#include <kate_includes.h>

#include <smoke.h>
#include <kate_smoke.h>

namespace __smokekate {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //KActionCollection
      switch(to) {
        case 1: return (void*)(KActionCollection*)xptr;
        default: return xptr;
      }
    case 2:   //KComponentData
      switch(to) {
        case 2: return (void*)(KComponentData*)xptr;
        default: return xptr;
      }
    case 3:   //KConfigBase
      switch(to) {
        case 3: return (void*)(KConfigBase*)xptr;
        default: return xptr;
      }
    case 4:   //KIcon
      switch(to) {
        case 4: return (void*)(KIcon*)xptr;
        default: return xptr;
      }
    case 5:   //KTextEditor::Document
      switch(to) {
        case 5: return (void*)(KTextEditor::Document*)xptr;
        default: return xptr;
      }
    case 6:   //KTextEditor::Editor
      switch(to) {
        case 6: return (void*)(KTextEditor::Editor*)xptr;
        default: return xptr;
      }
    case 7:   //KTextEditor::View
      switch(to) {
        case 7: return (void*)(KTextEditor::View*)xptr;
        default: return xptr;
      }
    case 8:   //KUrl
      switch(to) {
        case 8: return (void*)(KUrl*)xptr;
        default: return xptr;
      }
    case 9:   //KXMLGUIClient
      switch(to) {
        case 9: return (void*)(KXMLGUIClient*)xptr;
        case 19: return (void*)(Kate::XMLGUIClient*)(KXMLGUIClient*)xptr;
        default: return xptr;
      }
    case 10:   //KXMLGUIFactory
      switch(to) {
        case 42: return (void*)(QObject*)(KXMLGUIFactory*)xptr;
        case 10: return (void*)(KXMLGUIFactory*)xptr;
        default: return xptr;
      }
    case 11:   //Kate::Application
      switch(to) {
        case 42: return (void*)(QObject*)(Kate::Application*)xptr;
        case 11: return (void*)(Kate::Application*)xptr;
        default: return xptr;
      }
    case 12:   //Kate::DocumentManager
      switch(to) {
        case 42: return (void*)(QObject*)(Kate::DocumentManager*)xptr;
        case 12: return (void*)(Kate::DocumentManager*)xptr;
        default: return xptr;
      }
    case 13:   //Kate::MainWindow
      switch(to) {
        case 42: return (void*)(QObject*)(Kate::MainWindow*)xptr;
        case 13: return (void*)(Kate::MainWindow*)xptr;
        default: return xptr;
      }
    case 14:   //Kate::Plugin
      switch(to) {
        case 42: return (void*)(QObject*)(Kate::Plugin*)xptr;
        case 14: return (void*)(Kate::Plugin*)xptr;
        default: return xptr;
      }
    case 15:   //Kate::PluginConfigPage
      switch(to) {
        case 56: return (void*)(QWidget*)(Kate::PluginConfigPage*)xptr;
        case 42: return (void*)(QObject*)(Kate::PluginConfigPage*)xptr;
        case 15: return (void*)(Kate::PluginConfigPage*)xptr;
        default: return xptr;
      }
    case 16:   //Kate::PluginConfigPageInterface
      switch(to) {
        case 16: return (void*)(Kate::PluginConfigPageInterface*)xptr;
        default: return xptr;
      }
    case 17:   //Kate::PluginManager
      switch(to) {
        case 42: return (void*)(QObject*)(Kate::PluginManager*)xptr;
        case 17: return (void*)(Kate::PluginManager*)xptr;
        default: return xptr;
      }
    case 18:   //Kate::PluginView
      switch(to) {
        case 42: return (void*)(QObject*)(Kate::PluginView*)xptr;
        case 18: return (void*)(Kate::PluginView*)xptr;
        default: return xptr;
      }
    case 19:   //Kate::XMLGUIClient
      switch(to) {
        case 9: return (void*)(KXMLGUIClient*)(Kate::XMLGUIClient*)xptr;
        case 19: return (void*)(Kate::XMLGUIClient*)xptr;
        default: return xptr;
      }
    case 20:   //QAction
      switch(to) {
        case 20: return (void*)(QAction*)xptr;
        default: return xptr;
      }
    case 21:   //QActionEvent
      switch(to) {
        case 21: return (void*)(QActionEvent*)xptr;
        default: return xptr;
      }
    case 22:   //QBool
      switch(to) {
        case 22: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 23:   //QChildEvent
      switch(to) {
        case 23: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 24:   //QCloseEvent
      switch(to) {
        case 24: return (void*)(QCloseEvent*)xptr;
        default: return xptr;
      }
    case 25:   //QContextMenuEvent
      switch(to) {
        case 25: return (void*)(QContextMenuEvent*)xptr;
        default: return xptr;
      }
    case 26:   //QDomDocument
      switch(to) {
        case 26: return (void*)(QDomDocument*)xptr;
        default: return xptr;
      }
    case 27:   //QDomElement
      switch(to) {
        case 27: return (void*)(QDomElement*)xptr;
        default: return xptr;
      }
    case 28:   //QDragEnterEvent
      switch(to) {
        case 28: return (void*)(QDragEnterEvent*)xptr;
        default: return xptr;
      }
    case 29:   //QDragLeaveEvent
      switch(to) {
        case 29: return (void*)(QDragLeaveEvent*)xptr;
        default: return xptr;
      }
    case 30:   //QDragMoveEvent
      switch(to) {
        case 30: return (void*)(QDragMoveEvent*)xptr;
        default: return xptr;
      }
    case 31:   //QDropEvent
      switch(to) {
        case 31: return (void*)(QDropEvent*)xptr;
        default: return xptr;
      }
    case 32:   //QEvent
      switch(to) {
        case 32: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 33:   //QFocusEvent
      switch(to) {
        case 33: return (void*)(QFocusEvent*)xptr;
        default: return xptr;
      }
    case 34:   //QFont
      switch(to) {
        case 34: return (void*)(QFont*)xptr;
        default: return xptr;
      }
    case 36:   //QHideEvent
      switch(to) {
        case 36: return (void*)(QHideEvent*)xptr;
        default: return xptr;
      }
    case 37:   //QInputMethodEvent
      switch(to) {
        case 37: return (void*)(QInputMethodEvent*)xptr;
        default: return xptr;
      }
    case 38:   //QKeyEvent
      switch(to) {
        case 38: return (void*)(QKeyEvent*)xptr;
        default: return xptr;
      }
    case 39:   //QMetaObject
      switch(to) {
        case 39: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 40:   //QMouseEvent
      switch(to) {
        case 40: return (void*)(QMouseEvent*)xptr;
        default: return xptr;
      }
    case 41:   //QMoveEvent
      switch(to) {
        case 41: return (void*)(QMoveEvent*)xptr;
        default: return xptr;
      }
    case 42:   //QObject
      switch(to) {
        case 42: return (void*)(QObject*)xptr;
        case 17: return (void*)(Kate::PluginManager*)(QObject*)xptr;
        case 12: return (void*)(Kate::DocumentManager*)(QObject*)xptr;
        case 18: return (void*)(Kate::PluginView*)(QObject*)xptr;
        case 15: return (void*)(Kate::PluginConfigPage*)(QObject*)xptr;
        case 13: return (void*)(Kate::MainWindow*)(QObject*)xptr;
        case 14: return (void*)(Kate::Plugin*)(QObject*)xptr;
        case 11: return (void*)(Kate::Application*)(QObject*)xptr;
        default: return xptr;
      }
    case 43:   //QPaintEngine
      switch(to) {
        case 43: return (void*)(QPaintEngine*)xptr;
        default: return xptr;
      }
    case 44:   //QPaintEvent
      switch(to) {
        case 44: return (void*)(QPaintEvent*)xptr;
        default: return xptr;
      }
    case 45:   //QPalette
      switch(to) {
        case 45: return (void*)(QPalette*)xptr;
        default: return xptr;
      }
    case 46:   //QPixmap
      switch(to) {
        case 46: return (void*)(QPixmap*)xptr;
        default: return xptr;
      }
    case 47:   //QRegExp
      switch(to) {
        case 47: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 48:   //QResizeEvent
      switch(to) {
        case 48: return (void*)(QResizeEvent*)xptr;
        default: return xptr;
      }
    case 49:   //QShowEvent
      switch(to) {
        case 49: return (void*)(QShowEvent*)xptr;
        default: return xptr;
      }
    case 50:   //QSize
      switch(to) {
        case 50: return (void*)(QSize*)xptr;
        default: return xptr;
      }
    case 51:   //QStyle
      switch(to) {
        case 51: return (void*)(QStyle*)xptr;
        default: return xptr;
      }
    case 52:   //QTabletEvent
      switch(to) {
        case 52: return (void*)(QTabletEvent*)xptr;
        default: return xptr;
      }
    case 53:   //QTimerEvent
      switch(to) {
        case 53: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 54:   //QVariant
      switch(to) {
        case 54: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 55:   //QWheelEvent
      switch(to) {
        case 55: return (void*)(QWheelEvent*)xptr;
        default: return xptr;
      }
    case 56:   //QWidget
      switch(to) {
        case 42: return (void*)(QObject*)(QWidget*)xptr;
        case 56: return (void*)(QWidget*)xptr;
        case 15: return (void*)(Kate::PluginConfigPage*)(QWidget*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    42, 0,	// 1: QObject
    56, 0,	// 3: QWidget
    9, 0,	// 5: KXMLGUIClient
};

// These are the xenum functions for manipulating enum pointers
void xenum_Kate__MainWindow(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_Kate__Application(Smoke::Index, void*, Smoke::Stack);
void xcall_Kate__DocumentManager(Smoke::Index, void*, Smoke::Stack);
void xcall_Kate__MainWindow(Smoke::Index, void*, Smoke::Stack);
void xcall_Kate__Plugin(Smoke::Index, void*, Smoke::Stack);
void xcall_Kate__PluginConfigPage(Smoke::Index, void*, Smoke::Stack);
void xcall_Kate__PluginConfigPageInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_Kate__PluginManager(Smoke::Index, void*, Smoke::Stack);
void xcall_Kate__PluginView(Smoke::Index, void*, Smoke::Stack);
void xcall_Kate__XMLGUIClient(Smoke::Index, void*, Smoke::Stack);
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "KActionCollection", true, 0, 0, 0, 0, 0 },	//1
    { "KComponentData", true, 0, 0, 0, 0, 0 },	//2
    { "KConfigBase", true, 0, 0, 0, 0, 0 },	//3
    { "KIcon", true, 0, 0, 0, 0, 0 },	//4
    { "KTextEditor::Document", true, 0, 0, 0, 0, 0 },	//5
    { "KTextEditor::Editor", true, 0, 0, 0, 0, 0 },	//6
    { "KTextEditor::View", true, 0, 0, 0, 0, 0 },	//7
    { "KUrl", true, 0, 0, 0, 0, 0 },	//8
    { "KXMLGUIClient", true, 0, 0, 0, 0, 0 },	//9
    { "KXMLGUIFactory", true, 0, 0, 0, 0, 0 },	//10
    { "Kate::Application", false, 1, xcall_Kate__Application, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Kate::Application) },	//11
    { "Kate::DocumentManager", false, 1, xcall_Kate__DocumentManager, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Kate::DocumentManager) },	//12
    { "Kate::MainWindow", false, 1, xcall_Kate__MainWindow, xenum_Kate__MainWindow, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Kate::MainWindow) },	//13
    { "Kate::Plugin", false, 1, xcall_Kate__Plugin, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Kate::Plugin) },	//14
    { "Kate::PluginConfigPage", false, 3, xcall_Kate__PluginConfigPage, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Kate::PluginConfigPage) },	//15
    { "Kate::PluginConfigPageInterface", false, 0, xcall_Kate__PluginConfigPageInterface, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Kate::PluginConfigPageInterface) },	//16
    { "Kate::PluginManager", false, 1, xcall_Kate__PluginManager, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Kate::PluginManager) },	//17
    { "Kate::PluginView", false, 1, xcall_Kate__PluginView, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Kate::PluginView) },	//18
    { "Kate::XMLGUIClient", false, 5, xcall_Kate__XMLGUIClient, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Kate::XMLGUIClient) },	//19
    { "QAction", true, 0, 0, 0, 0, 0 },	//20
    { "QActionEvent", true, 0, 0, 0, 0, 0 },	//21
    { "QBool", true, 0, 0, 0, 0, 0 },	//22
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//23
    { "QCloseEvent", true, 0, 0, 0, 0, 0 },	//24
    { "QContextMenuEvent", true, 0, 0, 0, 0, 0 },	//25
    { "QDomDocument", true, 0, 0, 0, 0, 0 },	//26
    { "QDomElement", true, 0, 0, 0, 0, 0 },	//27
    { "QDragEnterEvent", true, 0, 0, 0, 0, 0 },	//28
    { "QDragLeaveEvent", true, 0, 0, 0, 0, 0 },	//29
    { "QDragMoveEvent", true, 0, 0, 0, 0, 0 },	//30
    { "QDropEvent", true, 0, 0, 0, 0, 0 },	//31
    { "QEvent", true, 0, 0, 0, 0, 0 },	//32
    { "QFocusEvent", true, 0, 0, 0, 0, 0 },	//33
    { "QFont", true, 0, 0, 0, 0, 0 },	//34
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, 0, Smoke::cf_namespace, 0 },	//35
    { "QHideEvent", true, 0, 0, 0, 0, 0 },	//36
    { "QInputMethodEvent", true, 0, 0, 0, 0, 0 },	//37
    { "QKeyEvent", true, 0, 0, 0, 0, 0 },	//38
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//39
    { "QMouseEvent", true, 0, 0, 0, 0, 0 },	//40
    { "QMoveEvent", true, 0, 0, 0, 0, 0 },	//41
    { "QObject", true, 0, 0, 0, 0, 0 },	//42
    { "QPaintEngine", true, 0, 0, 0, 0, 0 },	//43
    { "QPaintEvent", true, 0, 0, 0, 0, 0 },	//44
    { "QPalette", true, 0, 0, 0, 0, 0 },	//45
    { "QPixmap", true, 0, 0, 0, 0, 0 },	//46
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//47
    { "QResizeEvent", true, 0, 0, 0, 0, 0 },	//48
    { "QShowEvent", true, 0, 0, 0, 0, 0 },	//49
    { "QSize", true, 0, 0, 0, 0, 0 },	//50
    { "QStyle", true, 0, 0, 0, 0, 0 },	//51
    { "QTabletEvent", true, 0, 0, 0, 0, 0 },	//52
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//53
    { "QVariant", true, 0, 0, 0, 0, 0 },	//54
    { "QWheelEvent", true, 0, 0, 0, 0, 0 },	//55
    { "QWidget", true, 0, 0, 0, 0, 0 },	//56
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "KActionCollection*", 1, Smoke::t_class|Smoke::tf_ptr },	//1
    { "KComponentData", 2, Smoke::t_class|Smoke::tf_stack },	//2
    { "KConfigBase*", 3, Smoke::t_class|Smoke::tf_ptr },	//3
    { "KGlobal::CopyCatalogs", 0, Smoke::t_enum|Smoke::tf_stack },	//4
    { "KIcon", 4, Smoke::t_class|Smoke::tf_stack },	//5
    { "KTextEditor::Document*", 5, Smoke::t_class|Smoke::tf_ptr },	//6
    { "KTextEditor::Editor*", 6, Smoke::t_class|Smoke::tf_ptr },	//7
    { "KTextEditor::View*", 7, Smoke::t_class|Smoke::tf_ptr },	//8
    { "KXMLGUIClient::ReverseStateChange", 9, Smoke::t_enum|Smoke::tf_stack },	//9
    { "KXMLGUIFactory*", 10, Smoke::t_class|Smoke::tf_ptr },	//10
    { "Kate::Application*", 11, Smoke::t_class|Smoke::tf_ptr },	//11
    { "Kate::DocumentManager*", 12, Smoke::t_class|Smoke::tf_ptr },	//12
    { "Kate::MainWindow*", 13, Smoke::t_class|Smoke::tf_ptr },	//13
    { "Kate::MainWindow::Position", 13, Smoke::t_enum|Smoke::tf_stack },	//14
    { "Kate::Plugin*", 14, Smoke::t_class|Smoke::tf_ptr },	//15
    { "Kate::PluginConfigPage*", 15, Smoke::t_class|Smoke::tf_ptr },	//16
    { "Kate::PluginConfigPageInterface*", 16, Smoke::t_class|Smoke::tf_ptr },	//17
    { "Kate::PluginManager*", 17, Smoke::t_class|Smoke::tf_ptr },	//18
    { "Kate::PluginView*", 18, Smoke::t_class|Smoke::tf_ptr },	//19
    { "Kate::XMLGUIClient*", 19, Smoke::t_class|Smoke::tf_ptr },	//20
    { "QAction*", 20, Smoke::t_class|Smoke::tf_ptr },	//21
    { "QActionEvent*", 21, Smoke::t_class|Smoke::tf_ptr },	//22
    { "QBool", 22, Smoke::t_class|Smoke::tf_stack },	//23
    { "QChildEvent*", 23, Smoke::t_class|Smoke::tf_ptr },	//24
    { "QCloseEvent*", 24, Smoke::t_class|Smoke::tf_ptr },	//25
    { "QContextMenuEvent*", 25, Smoke::t_class|Smoke::tf_ptr },	//26
    { "QDomDocument", 26, Smoke::t_class|Smoke::tf_stack },	//27
    { "QDragEnterEvent*", 28, Smoke::t_class|Smoke::tf_ptr },	//28
    { "QDragLeaveEvent*", 29, Smoke::t_class|Smoke::tf_ptr },	//29
    { "QDragMoveEvent*", 30, Smoke::t_class|Smoke::tf_ptr },	//30
    { "QDropEvent*", 31, Smoke::t_class|Smoke::tf_ptr },	//31
    { "QEvent*", 32, Smoke::t_class|Smoke::tf_ptr },	//32
    { "QFocusEvent*", 33, Smoke::t_class|Smoke::tf_ptr },	//33
    { "QHideEvent*", 36, Smoke::t_class|Smoke::tf_ptr },	//34
    { "QInputMethodEvent*", 37, Smoke::t_class|Smoke::tf_ptr },	//35
    { "QKeyEvent*", 38, Smoke::t_class|Smoke::tf_ptr },	//36
    { "QList<KTextEditor::Document*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//37
    { "QMetaObject::Call", 39, Smoke::t_enum|Smoke::tf_stack },	//38
    { "QMouseEvent*", 40, Smoke::t_class|Smoke::tf_ptr },	//39
    { "QMoveEvent*", 41, Smoke::t_class|Smoke::tf_ptr },	//40
    { "QObject*", 42, Smoke::t_class|Smoke::tf_ptr },	//41
    { "QPaintDevice::PaintDeviceMetric", 0, Smoke::t_enum|Smoke::tf_stack },	//42
    { "QPaintEngine*", 43, Smoke::t_class|Smoke::tf_ptr },	//43
    { "QPaintEvent*", 44, Smoke::t_class|Smoke::tf_ptr },	//44
    { "QRegExp&", 47, Smoke::t_class|Smoke::tf_ref },	//45
    { "QResizeEvent*", 48, Smoke::t_class|Smoke::tf_ptr },	//46
    { "QShowEvent*", 49, Smoke::t_class|Smoke::tf_ptr },	//47
    { "QSize", 50, Smoke::t_class|Smoke::tf_stack },	//48
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//49
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//50
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//51
    { "QStyle&", 51, Smoke::t_class|Smoke::tf_ref },	//52
    { "QTabletEvent*", 52, Smoke::t_class|Smoke::tf_ptr },	//53
    { "QTimerEvent*", 53, Smoke::t_class|Smoke::tf_ptr },	//54
    { "QVariant", 54, Smoke::t_class|Smoke::tf_stack },	//55
    { "QWheelEvent*", 55, Smoke::t_class|Smoke::tf_ptr },	//56
    { "QWidget*", 56, Smoke::t_class|Smoke::tf_ptr },	//57
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//58
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//59
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//60
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//61
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//62
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//63
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//64
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//65
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//66
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//67
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//68
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//69
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//70
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//71
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//72
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//73
    { "Qt::CursorMoveStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//74
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//75
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//76
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//77
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//78
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//79
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//80
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//81
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//82
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//83
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//84
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//85
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//86
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//87
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//88
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//89
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//90
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//91
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//92
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//93
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//94
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//95
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//96
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//97
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//98
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//99
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//100
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//101
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//102
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//103
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//104
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//105
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//106
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//107
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//108
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//109
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//110
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//111
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//112
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//113
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//114
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//115
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//116
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//117
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//118
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//119
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//120
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//121
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//122
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//123
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//124
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//125
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//126
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//127
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//128
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//129
    { "_XEvent*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//130
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//131
    { "const KComponentData&", 2, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//132
    { "const KUrl&", 8, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//133
    { "const Kate::PluginConfigPageInterface&", 16, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//134
    { "const Kate::XMLGUIClient&", 19, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//135
    { "const QDomDocument&", 26, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//136
    { "const QDomElement&", 27, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//137
    { "const QFont&", 34, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//138
    { "const QList<KTextEditor::Document*>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//139
    { "const QList<KTextEditor::View*>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//140
    { "const QList<Kate::MainWindow*>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//141
    { "const QMetaObject&", 39, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//142
    { "const QMetaObject*", 39, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//143
    { "const QPalette&", 45, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//144
    { "const QPixmap&", 46, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//145
    { "const QRegExp&", 47, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//146
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//147
    { "const QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//148
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//149
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//150
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//151
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//152
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//153
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//154
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//155
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//156
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    137, 0,	//1  const QDomElement&
    132, 0,	//3  const KComponentData&
    147, 131, 131, 0,	//5  const QString&, bool, bool
    147, 0,	//9  const QString&
    147, 131, 0,	//11  const QString&, bool
    136, 131, 0,	//14  const QDomDocument&, bool
    147, 9, 0,	//17  const QString&, KXMLGUIClient::ReverseStateChange
    152, 154, 0,	//20  int, void*
    150, 0,	//23  const char*
    150, 150, 0,	//25  const char*, const char*
    150, 150, 152, 0,	//28  const char*, const char*, int
    38, 152, 155, 0,	//32  QMetaObject::Call, int, void**
    154, 0,	//36  void*
    133, 0,	//38  const KUrl&
    133, 147, 0,	//40  const KUrl&, const QString&
    6, 0,	//43  KTextEditor::Document*
    37, 0,	//45  QList<KTextEditor::Document*>
    139, 0,	//47  const QList<KTextEditor::Document*>&
    8, 0,	//49  KTextEditor::View*
    32, 0,	//51  QEvent*
    147, 19, 0,	//53  const QString&, Kate::PluginView*
    147, 14, 145, 147, 0,	//56  const QString&, Kate::MainWindow::Position, const QPixmap&, const QString&
    15, 147, 14, 145, 147, 0,	//61  Kate::Plugin*, const QString&, Kate::MainWindow::Position, const QPixmap&, const QString&
    57, 14, 0,	//67  QWidget*, Kate::MainWindow::Position
    57, 0,	//70  QWidget*
    17, 153, 0,	//72  Kate::PluginConfigPageInterface*, unsigned int
    11, 150, 0,	//75  Kate::Application*, const char*
    13, 0,	//78  Kate::MainWindow*
    3, 147, 0,	//80  KConfigBase*, const QString&
    11, 0,	//83  Kate::Application*
    57, 150, 0,	//85  QWidget*, const char*
    153, 57, 150, 0,	//88  unsigned int, QWidget*, const char*
    153, 0,	//92  unsigned int
    134, 0,	//94  const Kate::PluginConfigPageInterface&
    153, 57, 0,	//96  unsigned int, QWidget*
    147, 15, 0,	//99  const QString&, Kate::Plugin*
    135, 0,	//102  const Kate::XMLGUIClient&
    41, 32, 0,	//104  QObject*, QEvent*
    54, 0,	//107  QTimerEvent*
    24, 0,	//109  QChildEvent*
    131, 0,	//111  bool
    152, 0,	//113  int
    39, 0,	//115  QMouseEvent*
    56, 0,	//117  QWheelEvent*
    36, 0,	//119  QKeyEvent*
    33, 0,	//121  QFocusEvent*
    44, 0,	//123  QPaintEvent*
    40, 0,	//125  QMoveEvent*
    46, 0,	//127  QResizeEvent*
    25, 0,	//129  QCloseEvent*
    26, 0,	//131  QContextMenuEvent*
    53, 0,	//133  QTabletEvent*
    22, 0,	//135  QActionEvent*
    28, 0,	//137  QDragEnterEvent*
    30, 0,	//139  QDragMoveEvent*
    29, 0,	//141  QDragLeaveEvent*
    31, 0,	//143  QDropEvent*
    47, 0,	//145  QShowEvent*
    34, 0,	//147  QHideEvent*
    130, 0,	//149  _XEvent*
    42, 0,	//151  QPaintDevice::PaintDeviceMetric
    35, 0,	//153  QInputMethodEvent*
    92, 0,	//155  Qt::InputMethodQuery
    52, 0,	//157  QStyle&
    144, 0,	//159  const QPalette&
    138, 0,	//161  const QFont&
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "Application",	//1
    "Application$",	//2
    "Bottom",	//3
    "DocumentManager",	//4
    "DocumentManager$",	//5
    "DrawChildren",	//6
    "DrawWindowBackground",	//7
    "IgnoreMask",	//8
    "Left",	//9
    "MainWindow",	//10
    "MainWindow$",	//11
    "Plugin",	//12
    "Plugin#",	//13
    "Plugin#$",	//14
    "PluginConfigPage",	//15
    "PluginConfigPage#",	//16
    "PluginConfigPage#$",	//17
    "PluginConfigPageInterface",	//18
    "PluginConfigPageInterface#",	//19
    "PluginManager",	//20
    "PluginManager$",	//21
    "PluginView",	//22
    "PluginView#",	//23
    "Right",	//24
    "StateNoReverse",	//25
    "StateReverse",	//26
    "Top",	//27
    "XMLGUIClient",	//28
    "XMLGUIClient#",	//29
    "aboutToDeleteDocuments",	//30
    "aboutToDeleteDocuments?",	//31
    "aboutToLoadDocuments",	//32
    "action",	//33
    "actionCollection",	//34
    "actionEvent",	//35
    "activateView",	//36
    "activateView#",	//37
    "activeMainWindow",	//38
    "activeView",	//39
    "application",	//40
    "apply",	//41
    "centralWidget",	//42
    "changeEvent",	//43
    "changed",	//44
    "childEvent",	//45
    "closeDocument",	//46
    "closeDocument#",	//47
    "closeDocumentList",	//48
    "closeDocumentList?",	//49
    "closeEvent",	//50
    "componentData",	//51
    "configPage",	//52
    "configPage$",	//53
    "configPage$#",	//54
    "configPage$#$",	//55
    "configPageFullName",	//56
    "configPageFullName$",	//57
    "configPageIcon",	//58
    "configPageIcon$",	//59
    "configPageName",	//60
    "configPageName$",	//61
    "configPages",	//62
    "connectNotify",	//63
    "contextMenuEvent",	//64
    "createToolView",	//65
    "createToolView#$$#$",	//66
    "createToolView$$#$",	//67
    "createView",	//68
    "createView#",	//69
    "customEvent",	//70
    "defaults",	//71
    "devType",	//72
    "disconnectNotify",	//73
    "documentCreated",	//74
    "documentCreated#",	//75
    "documentDeleted",	//76
    "documentDeleted#",	//77
    "documentManager",	//78
    "documentWillBeDeleted",	//79
    "documentWillBeDeleted#",	//80
    "documents",	//81
    "documentsDeleted",	//82
    "documentsDeleted?",	//83
    "documentsLoaded",	//84
    "documentsLoaded?",	//85
    "domDocument",	//86
    "dragEnterEvent",	//87
    "dragLeaveEvent",	//88
    "dragMoveEvent",	//89
    "dropEvent",	//90
    "editor",	//91
    "enabledChange",	//92
    "enterEvent",	//93
    "event",	//94
    "eventFilter",	//95
    "findUrl",	//96
    "findUrl#",	//97
    "focusInEvent",	//98
    "focusNextPrevChild",	//99
    "focusOutEvent",	//100
    "fontChange",	//101
    "guiFactory",	//102
    "heightForWidth",	//103
    "hideEvent",	//104
    "hideToolView",	//105
    "hideToolView#",	//106
    "inputMethodEvent",	//107
    "inputMethodQuery",	//108
    "keyPressEvent",	//109
    "keyReleaseEvent",	//110
    "languageChange",	//111
    "leaveEvent",	//112
    "loadPlugin",	//113
    "loadPlugin$",	//114
    "loadPlugin$$",	//115
    "localXMLFile",	//116
    "mainWindow",	//117
    "mainWindows",	//118
    "metaObject",	//119
    "metric",	//120
    "minimumSizeHint",	//121
    "mouseDoubleClickEvent",	//122
    "mouseMoveEvent",	//123
    "mousePressEvent",	//124
    "mouseReleaseEvent",	//125
    "moveEvent",	//126
    "moveToolView",	//127
    "moveToolView#$",	//128
    "openUrl",	//129
    "openUrl#",	//130
    "openUrl#$",	//131
    "paintEngine",	//132
    "paintEvent",	//133
    "paletteChange",	//134
    "plugin",	//135
    "plugin$",	//136
    "pluginAvailable",	//137
    "pluginAvailable$",	//138
    "pluginConfigPageInterfaceNumber",	//139
    "pluginLoaded",	//140
    "pluginLoaded$#",	//141
    "pluginManager",	//142
    "pluginUnloaded",	//143
    "pluginUnloaded$#",	//144
    "pluginView",	//145
    "pluginView$",	//146
    "pluginViewCreated",	//147
    "pluginViewCreated$#",	//148
    "pluginViewDeleted",	//149
    "pluginViewDeleted$#",	//150
    "qt_metacall",	//151
    "qt_metacall$$?",	//152
    "qt_metacast",	//153
    "qt_metacast$",	//154
    "readSessionConfig",	//155
    "readSessionConfig#$",	//156
    "reset",	//157
    "resizeEvent",	//158
    "setComponentData",	//159
    "setDOMDocument",	//160
    "setLocalXMLFile",	//161
    "setVisible",	//162
    "setXML",	//163
    "setXMLFile",	//164
    "showEvent",	//165
    "showPluginConfigPage",	//166
    "showPluginConfigPage#$",	//167
    "showToolView",	//168
    "showToolView#",	//169
    "sizeHint",	//170
    "stateChanged",	//171
    "staticMetaObject",	//172
    "styleChange",	//173
    "tabletEvent",	//174
    "timerEvent",	//175
    "tr",	//176
    "tr$",	//177
    "tr$$",	//178
    "tr$$$",	//179
    "trUtf8",	//180
    "trUtf8$",	//181
    "trUtf8$$",	//182
    "trUtf8$$$",	//183
    "unhandledShortcutOverride",	//184
    "unhandledShortcutOverride#",	//185
    "unloadPlugin",	//186
    "unloadPlugin$",	//187
    "unloadPlugin$$",	//188
    "viewChanged",	//189
    "viewCreated",	//190
    "viewCreated#",	//191
    "views",	//192
    "virtual_hook",	//193
    "wheelEvent",	//194
    "window",	//195
    "windowActivationChange",	//196
    "writeSessionConfig",	//197
    "writeSessionConfig#$",	//198
    "x11Event",	//199
    "xmlFile",	//200
    "~Application",	//201
    "~DocumentManager",	//202
    "~MainWindow",	//203
    "~Plugin",	//204
    "~PluginConfigPage",	//205
    "~PluginConfigPageInterface",	//206
    "~PluginManager",	//207
    "~PluginView",	//208
    "~XMLGUIClient",	//209
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {9, 33, 1, 1, Smoke::mf_const|Smoke::mf_virtual, 21, 0},	//1 KXMLGUIClient::action(const QDomElement&) const
    {9, 34, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 1, 0},	//2 KXMLGUIClient::actionCollection() const
    {9, 51, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 2, 0},	//3 KXMLGUIClient::componentData() const
    {9, 86, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 27, 0},	//4 KXMLGUIClient::domDocument() const
    {9, 200, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 49, 0},	//5 KXMLGUIClient::xmlFile() const
    {9, 116, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 49, 0},	//6 KXMLGUIClient::localXMLFile() const
    {9, 159, 3, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//7 KXMLGUIClient::setComponentData(const KComponentData&)
    {9, 164, 5, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//8 KXMLGUIClient::setXMLFile(const QString&, bool, bool)
    {9, 161, 9, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//9 KXMLGUIClient::setLocalXMLFile(const QString&)
    {9, 163, 11, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//10 KXMLGUIClient::setXML(const QString&, bool)
    {9, 160, 14, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//11 KXMLGUIClient::setDOMDocument(const QDomDocument&, bool)
    {9, 171, 17, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//12 KXMLGUIClient::stateChanged(const QString&, KXMLGUIClient::ReverseStateChange)
    {9, 193, 20, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//13 KXMLGUIClient::virtual_hook(int, void*)
    {9, 25, 0, 0, Smoke::mf_static|Smoke::mf_enum, 9, 14},	//14 KXMLGUIClient::StateNoReverse (enum)
    {9, 26, 0, 0, Smoke::mf_static|Smoke::mf_enum, 9, 15},	//15 KXMLGUIClient::StateReverse (enum)
    {11, 119, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 143, 1},	//16 Kate::Application::metaObject() const
    {11, 153, 23, 1, Smoke::mf_virtual, 154, 2},	//17 Kate::Application::qt_metacast(const char*)
    {11, 176, 25, 2, Smoke::mf_static, 49, 3},	//18 Kate::Application::tr(const char*, const char*)
    {11, 180, 25, 2, Smoke::mf_static, 49, 4},	//19 Kate::Application::trUtf8(const char*, const char*)
    {11, 176, 28, 3, Smoke::mf_static, 49, 5},	//20 Kate::Application::tr(const char*, const char*, int)
    {11, 180, 28, 3, Smoke::mf_static, 49, 6},	//21 Kate::Application::trUtf8(const char*, const char*, int)
    {11, 151, 32, 3, Smoke::mf_virtual, 152, 7},	//22 Kate::Application::qt_metacall(QMetaObject::Call, int, void**)
    {11, 1, 36, 1, Smoke::mf_ctor, 11, 8},	//23 Kate::Application::Application(void*)
    {11, 78, 0, 0, 0, 12, 9},	//24 Kate::Application::documentManager()
    {11, 142, 0, 0, 0, 18, 10},	//25 Kate::Application::pluginManager()
    {11, 91, 0, 0, 0, 7, 11},	//26 Kate::Application::editor()
    {11, 38, 0, 0, 0, 13, 12},	//27 Kate::Application::activeMainWindow()
    {11, 118, 0, 0, Smoke::mf_const, 141, 13},	//28 Kate::Application::mainWindows() const
    {11, 176, 23, 1, Smoke::mf_static, 49, 14},	//29 Kate::Application::tr(const char*)
    {11, 180, 23, 1, Smoke::mf_static, 49, 15},	//30 Kate::Application::trUtf8(const char*)
    {11, 172, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 142, 16},	//31 Kate::Application::staticMetaObject() const
    {11, 201, 0, 0, Smoke::mf_dtor, 0, 17 },	//32 Kate::Application::~Application()
    {12, 119, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 143, 1},	//33 Kate::DocumentManager::metaObject() const
    {12, 153, 23, 1, Smoke::mf_virtual, 154, 2},	//34 Kate::DocumentManager::qt_metacast(const char*)
    {12, 176, 25, 2, Smoke::mf_static, 49, 3},	//35 Kate::DocumentManager::tr(const char*, const char*)
    {12, 180, 25, 2, Smoke::mf_static, 49, 4},	//36 Kate::DocumentManager::trUtf8(const char*, const char*)
    {12, 176, 28, 3, Smoke::mf_static, 49, 5},	//37 Kate::DocumentManager::tr(const char*, const char*, int)
    {12, 180, 28, 3, Smoke::mf_static, 49, 6},	//38 Kate::DocumentManager::trUtf8(const char*, const char*, int)
    {12, 151, 32, 3, Smoke::mf_virtual, 152, 7},	//39 Kate::DocumentManager::qt_metacall(QMetaObject::Call, int, void**)
    {12, 4, 36, 1, Smoke::mf_ctor, 12, 8},	//40 Kate::DocumentManager::DocumentManager(void*)
    {12, 81, 0, 0, Smoke::mf_const, 139, 9},	//41 Kate::DocumentManager::documents() const
    {12, 96, 38, 1, Smoke::mf_const, 6, 10},	//42 Kate::DocumentManager::findUrl(const KUrl&) const
    {12, 129, 40, 2, 0, 6, 11},	//43 Kate::DocumentManager::openUrl(const KUrl&, const QString&)
    {12, 46, 43, 1, 0, 131, 12},	//44 Kate::DocumentManager::closeDocument(KTextEditor::Document*)
    {12, 48, 45, 1, 0, 131, 13},	//45 Kate::DocumentManager::closeDocumentList(QList<KTextEditor::Document*>)
    {12, 74, 43, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 14},	//46 Kate::DocumentManager::documentCreated(KTextEditor::Document*)
    {12, 79, 43, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 15},	//47 Kate::DocumentManager::documentWillBeDeleted(KTextEditor::Document*)
    {12, 76, 43, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 16},	//48 Kate::DocumentManager::documentDeleted(KTextEditor::Document*)
    {12, 32, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 17},	//49 Kate::DocumentManager::aboutToLoadDocuments()
    {12, 84, 47, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 18},	//50 Kate::DocumentManager::documentsLoaded(const QList<KTextEditor::Document*>&)
    {12, 30, 47, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 19},	//51 Kate::DocumentManager::aboutToDeleteDocuments(const QList<KTextEditor::Document*>&)
    {12, 82, 47, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 20},	//52 Kate::DocumentManager::documentsDeleted(const QList<KTextEditor::Document*>&)
    {12, 176, 23, 1, Smoke::mf_static, 49, 21},	//53 Kate::DocumentManager::tr(const char*)
    {12, 180, 23, 1, Smoke::mf_static, 49, 22},	//54 Kate::DocumentManager::trUtf8(const char*)
    {12, 129, 38, 1, 0, 6, 23},	//55 Kate::DocumentManager::openUrl(const KUrl&)
    {12, 172, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 142, 24},	//56 Kate::DocumentManager::staticMetaObject() const
    {12, 202, 0, 0, Smoke::mf_dtor, 0, 25 },	//57 Kate::DocumentManager::~DocumentManager()
    {13, 119, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 143, 1},	//58 Kate::MainWindow::metaObject() const
    {13, 153, 23, 1, Smoke::mf_virtual, 154, 2},	//59 Kate::MainWindow::qt_metacast(const char*)
    {13, 176, 25, 2, Smoke::mf_static, 49, 3},	//60 Kate::MainWindow::tr(const char*, const char*)
    {13, 180, 25, 2, Smoke::mf_static, 49, 4},	//61 Kate::MainWindow::trUtf8(const char*, const char*)
    {13, 176, 28, 3, Smoke::mf_static, 49, 5},	//62 Kate::MainWindow::tr(const char*, const char*, int)
    {13, 180, 28, 3, Smoke::mf_static, 49, 6},	//63 Kate::MainWindow::trUtf8(const char*, const char*, int)
    {13, 151, 32, 3, Smoke::mf_virtual, 152, 7},	//64 Kate::MainWindow::qt_metacall(QMetaObject::Call, int, void**)
    {13, 10, 36, 1, Smoke::mf_ctor, 13, 8},	//65 Kate::MainWindow::MainWindow(void*)
    {13, 102, 0, 0, Smoke::mf_const, 10, 9},	//66 Kate::MainWindow::guiFactory() const
    {13, 195, 0, 0, Smoke::mf_const, 57, 10},	//67 Kate::MainWindow::window() const
    {13, 42, 0, 0, Smoke::mf_const, 57, 11},	//68 Kate::MainWindow::centralWidget() const
    {13, 192, 0, 0, Smoke::mf_const, 140, 12},	//69 Kate::MainWindow::views() const
    {13, 39, 0, 0, 0, 8, 13},	//70 Kate::MainWindow::activeView()
    {13, 36, 43, 1, 0, 8, 14},	//71 Kate::MainWindow::activateView(KTextEditor::Document*)
    {13, 129, 40, 2, 0, 8, 15},	//72 Kate::MainWindow::openUrl(const KUrl&, const QString&)
    {13, 189, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 16},	//73 Kate::MainWindow::viewChanged()
    {13, 190, 49, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 17},	//74 Kate::MainWindow::viewCreated(KTextEditor::View*)
    {13, 184, 51, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 18},	//75 Kate::MainWindow::unhandledShortcutOverride(QEvent*)
    {13, 147, 53, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 19},	//76 Kate::MainWindow::pluginViewCreated(const QString&, Kate::PluginView*)
    {13, 149, 53, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 20},	//77 Kate::MainWindow::pluginViewDeleted(const QString&, Kate::PluginView*)
    {13, 65, 56, 4, 0, 57, 21},	//78 Kate::MainWindow::createToolView(const QString&, Kate::MainWindow::Position, const QPixmap&, const QString&)
    {13, 65, 61, 5, 0, 57, 22},	//79 Kate::MainWindow::createToolView(Kate::Plugin*, const QString&, Kate::MainWindow::Position, const QPixmap&, const QString&)
    {13, 127, 67, 2, 0, 131, 23},	//80 Kate::MainWindow::moveToolView(QWidget*, Kate::MainWindow::Position)
    {13, 168, 70, 1, 0, 131, 24},	//81 Kate::MainWindow::showToolView(QWidget*)
    {13, 105, 70, 1, 0, 131, 25},	//82 Kate::MainWindow::hideToolView(QWidget*)
    {13, 166, 72, 2, 0, 0, 26},	//83 Kate::MainWindow::showPluginConfigPage(Kate::PluginConfigPageInterface*, unsigned int)
    {13, 145, 9, 1, 0, 19, 27},	//84 Kate::MainWindow::pluginView(const QString&)
    {13, 176, 23, 1, Smoke::mf_static, 49, 28},	//85 Kate::MainWindow::tr(const char*)
    {13, 180, 23, 1, Smoke::mf_static, 49, 29},	//86 Kate::MainWindow::trUtf8(const char*)
    {13, 129, 38, 1, 0, 8, 30},	//87 Kate::MainWindow::openUrl(const KUrl&)
    {13, 172, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 142, 31},	//88 Kate::MainWindow::staticMetaObject() const
    {13, 9, 0, 0, Smoke::mf_static|Smoke::mf_enum, 14, 32},	//89 Kate::MainWindow::Left (enum)
    {13, 24, 0, 0, Smoke::mf_static|Smoke::mf_enum, 14, 33},	//90 Kate::MainWindow::Right (enum)
    {13, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 14, 34},	//91 Kate::MainWindow::Top (enum)
    {13, 3, 0, 0, Smoke::mf_static|Smoke::mf_enum, 14, 35},	//92 Kate::MainWindow::Bottom (enum)
    {13, 203, 0, 0, Smoke::mf_dtor, 0, 36 },	//93 Kate::MainWindow::~MainWindow()
    {14, 119, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 143, 1},	//94 Kate::Plugin::metaObject() const
    {14, 153, 23, 1, Smoke::mf_virtual, 154, 2},	//95 Kate::Plugin::qt_metacast(const char*)
    {14, 176, 25, 2, Smoke::mf_static, 49, 3},	//96 Kate::Plugin::tr(const char*, const char*)
    {14, 180, 25, 2, Smoke::mf_static, 49, 4},	//97 Kate::Plugin::trUtf8(const char*, const char*)
    {14, 176, 28, 3, Smoke::mf_static, 49, 5},	//98 Kate::Plugin::tr(const char*, const char*, int)
    {14, 180, 28, 3, Smoke::mf_static, 49, 6},	//99 Kate::Plugin::trUtf8(const char*, const char*, int)
    {14, 151, 32, 3, Smoke::mf_virtual, 152, 7},	//100 Kate::Plugin::qt_metacall(QMetaObject::Call, int, void**)
    {14, 12, 75, 2, Smoke::mf_ctor, 15, 8},	//101 Kate::Plugin::Plugin(Kate::Application*, const char*)
    {14, 40, 0, 0, Smoke::mf_const, 11, 9},	//102 Kate::Plugin::application() const
    {14, 68, 78, 1, Smoke::mf_virtual, 19, 10},	//103 Kate::Plugin::createView(Kate::MainWindow*)
    {14, 155, 80, 2, Smoke::mf_virtual, 0, 11},	//104 Kate::Plugin::readSessionConfig(KConfigBase*, const QString&)
    {14, 197, 80, 2, Smoke::mf_virtual, 0, 12},	//105 Kate::Plugin::writeSessionConfig(KConfigBase*, const QString&)
    {14, 176, 23, 1, Smoke::mf_static, 49, 13},	//106 Kate::Plugin::tr(const char*)
    {14, 180, 23, 1, Smoke::mf_static, 49, 14},	//107 Kate::Plugin::trUtf8(const char*)
    {14, 12, 0, 0, Smoke::mf_ctor, 15, 15},	//108 Kate::Plugin::Plugin()
    {14, 12, 83, 1, Smoke::mf_ctor, 15, 16},	//109 Kate::Plugin::Plugin(Kate::Application*)
    {14, 172, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 142, 17},	//110 Kate::Plugin::staticMetaObject() const
    {14, 204, 0, 0, Smoke::mf_dtor, 0, 18 },	//111 Kate::Plugin::~Plugin()
    {15, 119, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 143, 1},	//112 Kate::PluginConfigPage::metaObject() const
    {15, 153, 23, 1, Smoke::mf_virtual, 154, 2},	//113 Kate::PluginConfigPage::qt_metacast(const char*)
    {15, 176, 25, 2, Smoke::mf_static, 49, 3},	//114 Kate::PluginConfigPage::tr(const char*, const char*)
    {15, 180, 25, 2, Smoke::mf_static, 49, 4},	//115 Kate::PluginConfigPage::trUtf8(const char*, const char*)
    {15, 176, 28, 3, Smoke::mf_static, 49, 5},	//116 Kate::PluginConfigPage::tr(const char*, const char*, int)
    {15, 180, 28, 3, Smoke::mf_static, 49, 6},	//117 Kate::PluginConfigPage::trUtf8(const char*, const char*, int)
    {15, 151, 32, 3, Smoke::mf_virtual, 152, 7},	//118 Kate::PluginConfigPage::qt_metacall(QMetaObject::Call, int, void**)
    {15, 15, 85, 2, Smoke::mf_ctor, 16, 8},	//119 Kate::PluginConfigPage::PluginConfigPage(QWidget*, const char*)
    {15, 41, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 9},	//120 Kate::PluginConfigPage::apply() [pure virtual]
    {15, 157, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 10},	//121 Kate::PluginConfigPage::reset() [pure virtual]
    {15, 71, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 11},	//122 Kate::PluginConfigPage::defaults() [pure virtual]
    {15, 44, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 12},	//123 Kate::PluginConfigPage::changed()
    {15, 176, 23, 1, Smoke::mf_static, 49, 13},	//124 Kate::PluginConfigPage::tr(const char*)
    {15, 180, 23, 1, Smoke::mf_static, 49, 14},	//125 Kate::PluginConfigPage::trUtf8(const char*)
    {15, 15, 0, 0, Smoke::mf_ctor, 16, 15},	//126 Kate::PluginConfigPage::PluginConfigPage()
    {15, 15, 70, 1, Smoke::mf_ctor, 16, 16},	//127 Kate::PluginConfigPage::PluginConfigPage(QWidget*)
    {15, 172, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 142, 17},	//128 Kate::PluginConfigPage::staticMetaObject() const
    {15, 205, 0, 0, Smoke::mf_dtor, 0, 18 },	//129 Kate::PluginConfigPage::~PluginConfigPage()
    {16, 18, 0, 0, Smoke::mf_ctor, 17, 1},	//130 Kate::PluginConfigPageInterface::PluginConfigPageInterface()
    {16, 139, 0, 0, Smoke::mf_const, 153, 2},	//131 Kate::PluginConfigPageInterface::pluginConfigPageInterfaceNumber() const
    {16, 62, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 153, 3},	//132 Kate::PluginConfigPageInterface::configPages() const [pure virtual]
    {16, 52, 88, 3, Smoke::mf_virtual|Smoke::mf_purevirtual, 16, 4},	//133 Kate::PluginConfigPageInterface::configPage(unsigned int, QWidget*, const char*) [pure virtual]
    {16, 60, 92, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 49, 5},	//134 Kate::PluginConfigPageInterface::configPageName(unsigned int) const [pure virtual]
    {16, 56, 92, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 49, 6},	//135 Kate::PluginConfigPageInterface::configPageFullName(unsigned int) const [pure virtual]
    {16, 58, 92, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 5, 7},	//136 Kate::PluginConfigPageInterface::configPageIcon(unsigned int) const [pure virtual]
    {16, 18, 94, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 17, 8},	//137 Kate::PluginConfigPageInterface::PluginConfigPageInterface(const Kate::PluginConfigPageInterface&)
    {16, 52, 0, 0, 0, 16, 9},	//138 Kate::PluginConfigPageInterface::configPage()
    {16, 52, 92, 1, 0, 16, 10},	//139 Kate::PluginConfigPageInterface::configPage(unsigned int)
    {16, 52, 96, 2, 0, 16, 11},	//140 Kate::PluginConfigPageInterface::configPage(unsigned int, QWidget*)
    {16, 60, 0, 0, Smoke::mf_const, 49, 12},	//141 Kate::PluginConfigPageInterface::configPageName() const
    {16, 56, 0, 0, Smoke::mf_const, 49, 13},	//142 Kate::PluginConfigPageInterface::configPageFullName() const
    {16, 58, 0, 0, Smoke::mf_const, 5, 14},	//143 Kate::PluginConfigPageInterface::configPageIcon() const
    {16, 206, 0, 0, Smoke::mf_dtor, 0, 15 },	//144 Kate::PluginConfigPageInterface::~PluginConfigPageInterface()
    {17, 119, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 143, 1},	//145 Kate::PluginManager::metaObject() const
    {17, 153, 23, 1, Smoke::mf_virtual, 154, 2},	//146 Kate::PluginManager::qt_metacast(const char*)
    {17, 176, 25, 2, Smoke::mf_static, 49, 3},	//147 Kate::PluginManager::tr(const char*, const char*)
    {17, 180, 25, 2, Smoke::mf_static, 49, 4},	//148 Kate::PluginManager::trUtf8(const char*, const char*)
    {17, 176, 28, 3, Smoke::mf_static, 49, 5},	//149 Kate::PluginManager::tr(const char*, const char*, int)
    {17, 180, 28, 3, Smoke::mf_static, 49, 6},	//150 Kate::PluginManager::trUtf8(const char*, const char*, int)
    {17, 151, 32, 3, Smoke::mf_virtual, 152, 7},	//151 Kate::PluginManager::qt_metacall(QMetaObject::Call, int, void**)
    {17, 20, 36, 1, Smoke::mf_ctor, 18, 8},	//152 Kate::PluginManager::PluginManager(void*)
    {17, 135, 9, 1, 0, 15, 9},	//153 Kate::PluginManager::plugin(const QString&)
    {17, 137, 9, 1, 0, 131, 10},	//154 Kate::PluginManager::pluginAvailable(const QString&)
    {17, 113, 11, 2, 0, 15, 11},	//155 Kate::PluginManager::loadPlugin(const QString&, bool)
    {17, 186, 11, 2, 0, 0, 12},	//156 Kate::PluginManager::unloadPlugin(const QString&, bool)
    {17, 140, 99, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 13},	//157 Kate::PluginManager::pluginLoaded(const QString&, Kate::Plugin*)
    {17, 143, 99, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 14},	//158 Kate::PluginManager::pluginUnloaded(const QString&, Kate::Plugin*)
    {17, 176, 23, 1, Smoke::mf_static, 49, 15},	//159 Kate::PluginManager::tr(const char*)
    {17, 180, 23, 1, Smoke::mf_static, 49, 16},	//160 Kate::PluginManager::trUtf8(const char*)
    {17, 113, 9, 1, 0, 15, 17},	//161 Kate::PluginManager::loadPlugin(const QString&)
    {17, 186, 9, 1, 0, 0, 18},	//162 Kate::PluginManager::unloadPlugin(const QString&)
    {17, 172, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 142, 19},	//163 Kate::PluginManager::staticMetaObject() const
    {17, 207, 0, 0, Smoke::mf_dtor, 0, 20 },	//164 Kate::PluginManager::~PluginManager()
    {18, 119, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 143, 1},	//165 Kate::PluginView::metaObject() const
    {18, 153, 23, 1, Smoke::mf_virtual, 154, 2},	//166 Kate::PluginView::qt_metacast(const char*)
    {18, 176, 25, 2, Smoke::mf_static, 49, 3},	//167 Kate::PluginView::tr(const char*, const char*)
    {18, 180, 25, 2, Smoke::mf_static, 49, 4},	//168 Kate::PluginView::trUtf8(const char*, const char*)
    {18, 176, 28, 3, Smoke::mf_static, 49, 5},	//169 Kate::PluginView::tr(const char*, const char*, int)
    {18, 180, 28, 3, Smoke::mf_static, 49, 6},	//170 Kate::PluginView::trUtf8(const char*, const char*, int)
    {18, 151, 32, 3, Smoke::mf_virtual, 152, 7},	//171 Kate::PluginView::qt_metacall(QMetaObject::Call, int, void**)
    {18, 22, 78, 1, Smoke::mf_ctor, 19, 8},	//172 Kate::PluginView::PluginView(Kate::MainWindow*)
    {18, 117, 0, 0, Smoke::mf_const, 13, 9},	//173 Kate::PluginView::mainWindow() const
    {18, 155, 80, 2, Smoke::mf_virtual, 0, 10},	//174 Kate::PluginView::readSessionConfig(KConfigBase*, const QString&)
    {18, 197, 80, 2, Smoke::mf_virtual, 0, 11},	//175 Kate::PluginView::writeSessionConfig(KConfigBase*, const QString&)
    {18, 176, 23, 1, Smoke::mf_static, 49, 12},	//176 Kate::PluginView::tr(const char*)
    {18, 180, 23, 1, Smoke::mf_static, 49, 13},	//177 Kate::PluginView::trUtf8(const char*)
    {18, 172, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 142, 14},	//178 Kate::PluginView::staticMetaObject() const
    {18, 208, 0, 0, Smoke::mf_dtor, 0, 15 },	//179 Kate::PluginView::~PluginView()
    {19, 28, 3, 1, Smoke::mf_ctor, 20, 1},	//180 Kate::XMLGUIClient::XMLGUIClient(const KComponentData&)
    {19, 28, 102, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 20, 2},	//181 Kate::XMLGUIClient::XMLGUIClient(const Kate::XMLGUIClient&)
    {19, 209, 0, 0, Smoke::mf_dtor, 0, 3 },	//182 Kate::XMLGUIClient::~XMLGUIClient()
    {42, 94, 51, 1, Smoke::mf_virtual, 131, 0},	//183 QObject::event(QEvent*)
    {42, 95, 104, 2, Smoke::mf_virtual, 131, 0},	//184 QObject::eventFilter(QObject*, QEvent*)
    {42, 175, 107, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//185 QObject::timerEvent(QTimerEvent*)
    {42, 45, 109, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//186 QObject::childEvent(QChildEvent*)
    {42, 70, 51, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//187 QObject::customEvent(QEvent*)
    {42, 63, 23, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//188 QObject::connectNotify(const char*)
    {42, 73, 23, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//189 QObject::disconnectNotify(const char*)
    {56, 72, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 152, 0},	//190 QWidget::devType() const
    {56, 162, 111, 1, Smoke::mf_property|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//191 QWidget::setVisible(bool)
    {56, 170, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_virtual, 48, 0},	//192 QWidget::sizeHint() const
    {56, 121, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_virtual, 48, 0},	//193 QWidget::minimumSizeHint() const
    {56, 103, 113, 1, Smoke::mf_const|Smoke::mf_virtual, 152, 0},	//194 QWidget::heightForWidth(int) const
    {56, 132, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 43, 0},	//195 QWidget::paintEngine() const
    {56, 94, 51, 1, Smoke::mf_protected|Smoke::mf_virtual, 131, 0},	//196 QWidget::event(QEvent*)
    {56, 124, 115, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//197 QWidget::mousePressEvent(QMouseEvent*)
    {56, 125, 115, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//198 QWidget::mouseReleaseEvent(QMouseEvent*)
    {56, 122, 115, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//199 QWidget::mouseDoubleClickEvent(QMouseEvent*)
    {56, 123, 115, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//200 QWidget::mouseMoveEvent(QMouseEvent*)
    {56, 194, 117, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//201 QWidget::wheelEvent(QWheelEvent*)
    {56, 109, 119, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//202 QWidget::keyPressEvent(QKeyEvent*)
    {56, 110, 119, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//203 QWidget::keyReleaseEvent(QKeyEvent*)
    {56, 98, 121, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//204 QWidget::focusInEvent(QFocusEvent*)
    {56, 100, 121, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//205 QWidget::focusOutEvent(QFocusEvent*)
    {56, 93, 51, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//206 QWidget::enterEvent(QEvent*)
    {56, 112, 51, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//207 QWidget::leaveEvent(QEvent*)
    {56, 133, 123, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//208 QWidget::paintEvent(QPaintEvent*)
    {56, 126, 125, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//209 QWidget::moveEvent(QMoveEvent*)
    {56, 158, 127, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//210 QWidget::resizeEvent(QResizeEvent*)
    {56, 50, 129, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//211 QWidget::closeEvent(QCloseEvent*)
    {56, 64, 131, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//212 QWidget::contextMenuEvent(QContextMenuEvent*)
    {56, 174, 133, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//213 QWidget::tabletEvent(QTabletEvent*)
    {56, 35, 135, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//214 QWidget::actionEvent(QActionEvent*)
    {56, 87, 137, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//215 QWidget::dragEnterEvent(QDragEnterEvent*)
    {56, 89, 139, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//216 QWidget::dragMoveEvent(QDragMoveEvent*)
    {56, 88, 141, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//217 QWidget::dragLeaveEvent(QDragLeaveEvent*)
    {56, 90, 143, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//218 QWidget::dropEvent(QDropEvent*)
    {56, 165, 145, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//219 QWidget::showEvent(QShowEvent*)
    {56, 104, 147, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//220 QWidget::hideEvent(QHideEvent*)
    {56, 199, 149, 1, Smoke::mf_protected|Smoke::mf_virtual, 131, 0},	//221 QWidget::x11Event(_XEvent*)
    {56, 43, 51, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//222 QWidget::changeEvent(QEvent*)
    {56, 120, 151, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 152, 0},	//223 QWidget::metric(QPaintDevice::PaintDeviceMetric) const
    {56, 107, 153, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//224 QWidget::inputMethodEvent(QInputMethodEvent*)
    {56, 108, 155, 1, Smoke::mf_const|Smoke::mf_virtual, 55, 0},	//225 QWidget::inputMethodQuery(Qt::InputMethodQuery) const
    {56, 99, 111, 1, Smoke::mf_protected|Smoke::mf_virtual, 131, 0},	//226 QWidget::focusNextPrevChild(bool)
    {56, 173, 157, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//227 QWidget::styleChange(QStyle&)
    {56, 92, 111, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//228 QWidget::enabledChange(bool)
    {56, 134, 159, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//229 QWidget::paletteChange(const QPalette&)
    {56, 101, 161, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//230 QWidget::fontChange(const QFont&)
    {56, 196, 111, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//231 QWidget::windowActivationChange(bool)
    {56, 111, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//232 QWidget::languageChange()
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    180,  // Kate::XMLGUIClient::XMLGUIClient(const KComponentData&)
    181,  // Kate::XMLGUIClient::XMLGUIClient(const Kate::XMLGUIClient&)
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {11, 2, 23},	// Kate::Application::Application$
    {11, 38, 27},	// Kate::Application::activeMainWindow
    {11, 78, 24},	// Kate::Application::documentManager
    {11, 91, 26},	// Kate::Application::editor
    {11, 118, 28},	// Kate::Application::mainWindows
    {11, 119, 16},	// Kate::Application::metaObject
    {11, 142, 25},	// Kate::Application::pluginManager
    {11, 152, 22},	// Kate::Application::qt_metacall$$?
    {11, 154, 17},	// Kate::Application::qt_metacast$
    {11, 172, 31},	// Kate::Application::staticMetaObject
    {11, 177, 29},	// Kate::Application::tr$
    {11, 178, 18},	// Kate::Application::tr$$
    {11, 179, 20},	// Kate::Application::tr$$$
    {11, 181, 30},	// Kate::Application::trUtf8$
    {11, 182, 19},	// Kate::Application::trUtf8$$
    {11, 183, 21},	// Kate::Application::trUtf8$$$
    {11, 201, 32},	// Kate::Application::~Application
    {12, 5, 40},	// Kate::DocumentManager::DocumentManager$
    {12, 31, 51},	// Kate::DocumentManager::aboutToDeleteDocuments?
    {12, 32, 49},	// Kate::DocumentManager::aboutToLoadDocuments
    {12, 47, 44},	// Kate::DocumentManager::closeDocument#
    {12, 49, 45},	// Kate::DocumentManager::closeDocumentList?
    {12, 75, 46},	// Kate::DocumentManager::documentCreated#
    {12, 77, 48},	// Kate::DocumentManager::documentDeleted#
    {12, 80, 47},	// Kate::DocumentManager::documentWillBeDeleted#
    {12, 81, 41},	// Kate::DocumentManager::documents
    {12, 83, 52},	// Kate::DocumentManager::documentsDeleted?
    {12, 85, 50},	// Kate::DocumentManager::documentsLoaded?
    {12, 97, 42},	// Kate::DocumentManager::findUrl#
    {12, 119, 33},	// Kate::DocumentManager::metaObject
    {12, 130, 55},	// Kate::DocumentManager::openUrl#
    {12, 131, 43},	// Kate::DocumentManager::openUrl#$
    {12, 152, 39},	// Kate::DocumentManager::qt_metacall$$?
    {12, 154, 34},	// Kate::DocumentManager::qt_metacast$
    {12, 172, 56},	// Kate::DocumentManager::staticMetaObject
    {12, 177, 53},	// Kate::DocumentManager::tr$
    {12, 178, 35},	// Kate::DocumentManager::tr$$
    {12, 179, 37},	// Kate::DocumentManager::tr$$$
    {12, 181, 54},	// Kate::DocumentManager::trUtf8$
    {12, 182, 36},	// Kate::DocumentManager::trUtf8$$
    {12, 183, 38},	// Kate::DocumentManager::trUtf8$$$
    {12, 202, 57},	// Kate::DocumentManager::~DocumentManager
    {13, 3, 92},	// Kate::MainWindow::Bottom
    {13, 9, 89},	// Kate::MainWindow::Left
    {13, 11, 65},	// Kate::MainWindow::MainWindow$
    {13, 24, 90},	// Kate::MainWindow::Right
    {13, 27, 91},	// Kate::MainWindow::Top
    {13, 37, 71},	// Kate::MainWindow::activateView#
    {13, 39, 70},	// Kate::MainWindow::activeView
    {13, 42, 68},	// Kate::MainWindow::centralWidget
    {13, 66, 79},	// Kate::MainWindow::createToolView#$$#$
    {13, 67, 78},	// Kate::MainWindow::createToolView$$#$
    {13, 102, 66},	// Kate::MainWindow::guiFactory
    {13, 106, 82},	// Kate::MainWindow::hideToolView#
    {13, 119, 58},	// Kate::MainWindow::metaObject
    {13, 128, 80},	// Kate::MainWindow::moveToolView#$
    {13, 130, 87},	// Kate::MainWindow::openUrl#
    {13, 131, 72},	// Kate::MainWindow::openUrl#$
    {13, 146, 84},	// Kate::MainWindow::pluginView$
    {13, 148, 76},	// Kate::MainWindow::pluginViewCreated$#
    {13, 150, 77},	// Kate::MainWindow::pluginViewDeleted$#
    {13, 152, 64},	// Kate::MainWindow::qt_metacall$$?
    {13, 154, 59},	// Kate::MainWindow::qt_metacast$
    {13, 167, 83},	// Kate::MainWindow::showPluginConfigPage#$
    {13, 169, 81},	// Kate::MainWindow::showToolView#
    {13, 172, 88},	// Kate::MainWindow::staticMetaObject
    {13, 177, 85},	// Kate::MainWindow::tr$
    {13, 178, 60},	// Kate::MainWindow::tr$$
    {13, 179, 62},	// Kate::MainWindow::tr$$$
    {13, 181, 86},	// Kate::MainWindow::trUtf8$
    {13, 182, 61},	// Kate::MainWindow::trUtf8$$
    {13, 183, 63},	// Kate::MainWindow::trUtf8$$$
    {13, 185, 75},	// Kate::MainWindow::unhandledShortcutOverride#
    {13, 189, 73},	// Kate::MainWindow::viewChanged
    {13, 191, 74},	// Kate::MainWindow::viewCreated#
    {13, 192, 69},	// Kate::MainWindow::views
    {13, 195, 67},	// Kate::MainWindow::window
    {13, 203, 93},	// Kate::MainWindow::~MainWindow
    {14, 12, 108},	// Kate::Plugin::Plugin
    {14, 13, 109},	// Kate::Plugin::Plugin#
    {14, 14, 101},	// Kate::Plugin::Plugin#$
    {14, 40, 102},	// Kate::Plugin::application
    {14, 69, 103},	// Kate::Plugin::createView#
    {14, 119, 94},	// Kate::Plugin::metaObject
    {14, 152, 100},	// Kate::Plugin::qt_metacall$$?
    {14, 154, 95},	// Kate::Plugin::qt_metacast$
    {14, 156, 104},	// Kate::Plugin::readSessionConfig#$
    {14, 172, 110},	// Kate::Plugin::staticMetaObject
    {14, 177, 106},	// Kate::Plugin::tr$
    {14, 178, 96},	// Kate::Plugin::tr$$
    {14, 179, 98},	// Kate::Plugin::tr$$$
    {14, 181, 107},	// Kate::Plugin::trUtf8$
    {14, 182, 97},	// Kate::Plugin::trUtf8$$
    {14, 183, 99},	// Kate::Plugin::trUtf8$$$
    {14, 198, 105},	// Kate::Plugin::writeSessionConfig#$
    {14, 204, 111},	// Kate::Plugin::~Plugin
    {15, 15, 126},	// Kate::PluginConfigPage::PluginConfigPage
    {15, 16, 127},	// Kate::PluginConfigPage::PluginConfigPage#
    {15, 17, 119},	// Kate::PluginConfigPage::PluginConfigPage#$
    {15, 41, 120},	// Kate::PluginConfigPage::apply
    {15, 44, 123},	// Kate::PluginConfigPage::changed
    {15, 71, 122},	// Kate::PluginConfigPage::defaults
    {15, 119, 112},	// Kate::PluginConfigPage::metaObject
    {15, 152, 118},	// Kate::PluginConfigPage::qt_metacall$$?
    {15, 154, 113},	// Kate::PluginConfigPage::qt_metacast$
    {15, 157, 121},	// Kate::PluginConfigPage::reset
    {15, 172, 128},	// Kate::PluginConfigPage::staticMetaObject
    {15, 177, 124},	// Kate::PluginConfigPage::tr$
    {15, 178, 114},	// Kate::PluginConfigPage::tr$$
    {15, 179, 116},	// Kate::PluginConfigPage::tr$$$
    {15, 181, 125},	// Kate::PluginConfigPage::trUtf8$
    {15, 182, 115},	// Kate::PluginConfigPage::trUtf8$$
    {15, 183, 117},	// Kate::PluginConfigPage::trUtf8$$$
    {15, 205, 129},	// Kate::PluginConfigPage::~PluginConfigPage
    {16, 18, 130},	// Kate::PluginConfigPageInterface::PluginConfigPageInterface
    {16, 19, 137},	// Kate::PluginConfigPageInterface::PluginConfigPageInterface#
    {16, 52, 138},	// Kate::PluginConfigPageInterface::configPage
    {16, 53, 139},	// Kate::PluginConfigPageInterface::configPage$
    {16, 54, 140},	// Kate::PluginConfigPageInterface::configPage$#
    {16, 55, 133},	// Kate::PluginConfigPageInterface::configPage$#$
    {16, 56, 142},	// Kate::PluginConfigPageInterface::configPageFullName
    {16, 57, 135},	// Kate::PluginConfigPageInterface::configPageFullName$
    {16, 58, 143},	// Kate::PluginConfigPageInterface::configPageIcon
    {16, 59, 136},	// Kate::PluginConfigPageInterface::configPageIcon$
    {16, 60, 141},	// Kate::PluginConfigPageInterface::configPageName
    {16, 61, 134},	// Kate::PluginConfigPageInterface::configPageName$
    {16, 62, 132},	// Kate::PluginConfigPageInterface::configPages
    {16, 139, 131},	// Kate::PluginConfigPageInterface::pluginConfigPageInterfaceNumber
    {16, 206, 144},	// Kate::PluginConfigPageInterface::~PluginConfigPageInterface
    {17, 21, 152},	// Kate::PluginManager::PluginManager$
    {17, 114, 161},	// Kate::PluginManager::loadPlugin$
    {17, 115, 155},	// Kate::PluginManager::loadPlugin$$
    {17, 119, 145},	// Kate::PluginManager::metaObject
    {17, 136, 153},	// Kate::PluginManager::plugin$
    {17, 138, 154},	// Kate::PluginManager::pluginAvailable$
    {17, 141, 157},	// Kate::PluginManager::pluginLoaded$#
    {17, 144, 158},	// Kate::PluginManager::pluginUnloaded$#
    {17, 152, 151},	// Kate::PluginManager::qt_metacall$$?
    {17, 154, 146},	// Kate::PluginManager::qt_metacast$
    {17, 172, 163},	// Kate::PluginManager::staticMetaObject
    {17, 177, 159},	// Kate::PluginManager::tr$
    {17, 178, 147},	// Kate::PluginManager::tr$$
    {17, 179, 149},	// Kate::PluginManager::tr$$$
    {17, 181, 160},	// Kate::PluginManager::trUtf8$
    {17, 182, 148},	// Kate::PluginManager::trUtf8$$
    {17, 183, 150},	// Kate::PluginManager::trUtf8$$$
    {17, 187, 162},	// Kate::PluginManager::unloadPlugin$
    {17, 188, 156},	// Kate::PluginManager::unloadPlugin$$
    {17, 207, 164},	// Kate::PluginManager::~PluginManager
    {18, 23, 172},	// Kate::PluginView::PluginView#
    {18, 117, 173},	// Kate::PluginView::mainWindow
    {18, 119, 165},	// Kate::PluginView::metaObject
    {18, 152, 171},	// Kate::PluginView::qt_metacall$$?
    {18, 154, 166},	// Kate::PluginView::qt_metacast$
    {18, 156, 174},	// Kate::PluginView::readSessionConfig#$
    {18, 172, 178},	// Kate::PluginView::staticMetaObject
    {18, 177, 176},	// Kate::PluginView::tr$
    {18, 178, 167},	// Kate::PluginView::tr$$
    {18, 179, 169},	// Kate::PluginView::tr$$$
    {18, 181, 177},	// Kate::PluginView::trUtf8$
    {18, 182, 168},	// Kate::PluginView::trUtf8$$
    {18, 183, 170},	// Kate::PluginView::trUtf8$$$
    {18, 198, 175},	// Kate::PluginView::writeSessionConfig#$
    {18, 208, 179},	// Kate::PluginView::~PluginView
    {19, 29, -1},	// Kate::XMLGUIClient::XMLGUIClient#
    {19, 209, 182},	// Kate::XMLGUIClient::~XMLGUIClient
};

}

extern "C" {

SMOKE_IMPORT void init_kdeui_Smoke();
SMOKE_IMPORT void init_kparts_Smoke();
SMOKE_IMPORT void init_ktexteditor_Smoke();

static bool initialized = false;
Smoke *kate_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_kate_Smoke() {
    init_kdeui_Smoke();
    init_kparts_Smoke();
    init_ktexteditor_Smoke();
    if (initialized) return;
    kate_Smoke = new Smoke(
        "kate",
        __smokekate::classes, 56,
        __smokekate::methods, 233,
        __smokekate::methodMaps, 167,
        __smokekate::methodNames, 209,
        __smokekate::types, 156,
        __smokekate::inheritanceList,
        __smokekate::argumentList,
        __smokekate::ambiguousMethodList,
        __smokekate::cast );
    initialized = true;
}

void delete_kate_Smoke() { delete kate_Smoke; }

}
