#include <nepomuk_includes.h>

#include <smoke.h>
#include <nepomuk_smoke.h>

namespace __smokenepomuk {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //KCharsets
      switch(to) {
        case 1: return (void*)(KCharsets*)xptr;
        default: return xptr;
      }
    case 2:   //KComponentData
      switch(to) {
        case 2: return (void*)(KComponentData*)xptr;
        default: return xptr;
      }
    case 3:   //KLocale
      switch(to) {
        case 3: return (void*)(KLocale*)xptr;
        default: return xptr;
      }
    case 4:   //KSharedConfig
      switch(to) {
        case 4: return (void*)(KSharedConfig*)xptr;
        default: return xptr;
      }
    case 5:   //KStandardDirs
      switch(to) {
        case 5: return (void*)(KStandardDirs*)xptr;
        default: return xptr;
      }
    case 6:   //KTagCloudWidget
      switch(to) {
        case 76: return (void*)(QWidget*)(KTagCloudWidget*)xptr;
        case 61: return (void*)(QObject*)(KTagCloudWidget*)xptr;
        case 6: return (void*)(KTagCloudWidget*)xptr;
        case 29: return (void*)(Nepomuk::TagCloud*)(KTagCloudWidget*)xptr;
        default: return xptr;
      }
    case 7:   //KTagDisplayWidget
      switch(to) {
        case 76: return (void*)(QWidget*)(KTagDisplayWidget*)xptr;
        case 61: return (void*)(QObject*)(KTagDisplayWidget*)xptr;
        case 7: return (void*)(KTagDisplayWidget*)xptr;
        default: return xptr;
      }
    case 8:   //KUrl
      switch(to) {
        case 73: return (void*)(QUrl*)(KUrl*)xptr;
        case 8: return (void*)(KUrl*)xptr;
        default: return xptr;
      }
    case 10:   //Nepomuk::Class
      switch(to) {
        case 12: return (void*)(Nepomuk::Entity*)(Nepomuk::Class*)xptr;
        case 10: return (void*)(Nepomuk::Class*)xptr;
        default: return xptr;
      }
    case 11:   //Nepomuk::DesktopOntologyLoader
      switch(to) {
        case 18: return (void*)(Nepomuk::OntologyLoader*)(Nepomuk::DesktopOntologyLoader*)xptr;
        case 11: return (void*)(Nepomuk::DesktopOntologyLoader*)xptr;
        default: return xptr;
      }
    case 12:   //Nepomuk::Entity
      switch(to) {
        case 12: return (void*)(Nepomuk::Entity*)xptr;
        case 10: return (void*)(Nepomuk::Class*)(Nepomuk::Entity*)xptr;
        case 20: return (void*)(Nepomuk::Property*)(Nepomuk::Entity*)xptr;
        default: return xptr;
      }
    case 13:   //Nepomuk::File
      switch(to) {
        case 24: return (void*)(Nepomuk::Resource*)(Nepomuk::File*)xptr;
        case 13: return (void*)(Nepomuk::File*)xptr;
        default: return xptr;
      }
    case 14:   //Nepomuk::FileOntologyLoader
      switch(to) {
        case 18: return (void*)(Nepomuk::OntologyLoader*)(Nepomuk::FileOntologyLoader*)xptr;
        case 14: return (void*)(Nepomuk::FileOntologyLoader*)xptr;
        default: return xptr;
      }
    case 15:   //Nepomuk::Literal
      switch(to) {
        case 15: return (void*)(Nepomuk::Literal*)xptr;
        default: return xptr;
      }
    case 16:   //Nepomuk::NepomukOntologyLoader
      switch(to) {
        case 18: return (void*)(Nepomuk::OntologyLoader*)(Nepomuk::NepomukOntologyLoader*)xptr;
        case 16: return (void*)(Nepomuk::NepomukOntologyLoader*)xptr;
        default: return xptr;
      }
    case 17:   //Nepomuk::Ontology
      switch(to) {
        case 17: return (void*)(Nepomuk::Ontology*)xptr;
        default: return xptr;
      }
    case 18:   //Nepomuk::OntologyLoader
      switch(to) {
        case 18: return (void*)(Nepomuk::OntologyLoader*)xptr;
        case 14: return (void*)(Nepomuk::FileOntologyLoader*)(Nepomuk::OntologyLoader*)xptr;
        case 11: return (void*)(Nepomuk::DesktopOntologyLoader*)(Nepomuk::OntologyLoader*)xptr;
        case 16: return (void*)(Nepomuk::NepomukOntologyLoader*)(Nepomuk::OntologyLoader*)xptr;
        default: return xptr;
      }
    case 19:   //Nepomuk::OntologyManager
      switch(to) {
        case 19: return (void*)(Nepomuk::OntologyManager*)xptr;
        default: return xptr;
      }
    case 20:   //Nepomuk::Property
      switch(to) {
        case 12: return (void*)(Nepomuk::Entity*)(Nepomuk::Property*)xptr;
        case 20: return (void*)(Nepomuk::Property*)xptr;
        default: return xptr;
      }
    case 21:   //Nepomuk::Query::ComparisonTerm
      switch(to) {
        case 23: return (void*)(Nepomuk::Query::Term*)(Nepomuk::Query::ComparisonTerm*)xptr;
        case 21: return (void*)(Nepomuk::Query::ComparisonTerm*)xptr;
        default: return xptr;
      }
    case 22:   //Nepomuk::Query::Query
      switch(to) {
        case 22: return (void*)(Nepomuk::Query::Query*)xptr;
        default: return xptr;
      }
    case 23:   //Nepomuk::Query::Term
      switch(to) {
        case 23: return (void*)(Nepomuk::Query::Term*)xptr;
        default: return xptr;
      }
    case 24:   //Nepomuk::Resource
      switch(to) {
        case 24: return (void*)(Nepomuk::Resource*)xptr;
        case 31: return (void*)(Nepomuk::Thing*)(Nepomuk::Resource*)xptr;
        case 28: return (void*)(Nepomuk::Tag*)(Nepomuk::Resource*)xptr;
        case 13: return (void*)(Nepomuk::File*)(Nepomuk::Resource*)xptr;
        default: return xptr;
      }
    case 25:   //Nepomuk::ResourceData
      switch(to) {
        case 25: return (void*)(Nepomuk::ResourceData*)xptr;
        default: return xptr;
      }
    case 26:   //Nepomuk::ResourceManager
      switch(to) {
        case 61: return (void*)(QObject*)(Nepomuk::ResourceManager*)xptr;
        case 26: return (void*)(Nepomuk::ResourceManager*)xptr;
        default: return xptr;
      }
    case 27:   //Nepomuk::Service
      switch(to) {
        case 61: return (void*)(QObject*)(Nepomuk::Service*)xptr;
        case 27: return (void*)(Nepomuk::Service*)xptr;
        default: return xptr;
      }
    case 28:   //Nepomuk::Tag
      switch(to) {
        case 24: return (void*)(Nepomuk::Resource*)(Nepomuk::Tag*)xptr;
        case 28: return (void*)(Nepomuk::Tag*)xptr;
        default: return xptr;
      }
    case 29:   //Nepomuk::TagCloud
      switch(to) {
        case 6: return (void*)(KTagCloudWidget*)(Nepomuk::TagCloud*)xptr;
        case 76: return (void*)(QWidget*)(Nepomuk::TagCloud*)xptr;
        case 61: return (void*)(QObject*)(Nepomuk::TagCloud*)xptr;
        case 29: return (void*)(Nepomuk::TagCloud*)xptr;
        default: return xptr;
      }
    case 30:   //Nepomuk::TagWidget
      switch(to) {
        case 76: return (void*)(QWidget*)(Nepomuk::TagWidget*)xptr;
        case 61: return (void*)(QObject*)(Nepomuk::TagWidget*)xptr;
        case 30: return (void*)(Nepomuk::TagWidget*)xptr;
        default: return xptr;
      }
    case 31:   //Nepomuk::Thing
      switch(to) {
        case 24: return (void*)(Nepomuk::Resource*)(Nepomuk::Thing*)xptr;
        case 31: return (void*)(Nepomuk::Thing*)xptr;
        default: return xptr;
      }
    case 33:   //Nepomuk::Types::Class
      switch(to) {
        case 34: return (void*)(Nepomuk::Types::Entity*)(Nepomuk::Types::Class*)xptr;
        case 33: return (void*)(Nepomuk::Types::Class*)xptr;
        default: return xptr;
      }
    case 34:   //Nepomuk::Types::Entity
      switch(to) {
        case 34: return (void*)(Nepomuk::Types::Entity*)xptr;
        case 37: return (void*)(Nepomuk::Types::Property*)(Nepomuk::Types::Entity*)xptr;
        case 36: return (void*)(Nepomuk::Types::Ontology*)(Nepomuk::Types::Entity*)xptr;
        case 33: return (void*)(Nepomuk::Types::Class*)(Nepomuk::Types::Entity*)xptr;
        default: return xptr;
      }
    case 35:   //Nepomuk::Types::Literal
      switch(to) {
        case 35: return (void*)(Nepomuk::Types::Literal*)xptr;
        default: return xptr;
      }
    case 36:   //Nepomuk::Types::Ontology
      switch(to) {
        case 34: return (void*)(Nepomuk::Types::Entity*)(Nepomuk::Types::Ontology*)xptr;
        case 36: return (void*)(Nepomuk::Types::Ontology*)xptr;
        default: return xptr;
      }
    case 37:   //Nepomuk::Types::Property
      switch(to) {
        case 34: return (void*)(Nepomuk::Types::Entity*)(Nepomuk::Types::Property*)xptr;
        case 37: return (void*)(Nepomuk::Types::Property*)xptr;
        default: return xptr;
      }
    case 38:   //Nepomuk::Variant
      switch(to) {
        case 38: return (void*)(Nepomuk::Variant*)xptr;
        default: return xptr;
      }
    case 39:   //QActionEvent
      switch(to) {
        case 39: return (void*)(QActionEvent*)xptr;
        default: return xptr;
      }
    case 40:   //QBool
      switch(to) {
        case 40: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 41:   //QChildEvent
      switch(to) {
        case 41: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 42:   //QCloseEvent
      switch(to) {
        case 42: return (void*)(QCloseEvent*)xptr;
        default: return xptr;
      }
    case 43:   //QContextMenuEvent
      switch(to) {
        case 43: return (void*)(QContextMenuEvent*)xptr;
        default: return xptr;
      }
    case 44:   //QDate
      switch(to) {
        case 44: return (void*)(QDate*)xptr;
        default: return xptr;
      }
    case 45:   //QDateTime
      switch(to) {
        case 45: return (void*)(QDateTime*)xptr;
        default: return xptr;
      }
    case 46:   //QDragEnterEvent
      switch(to) {
        case 46: return (void*)(QDragEnterEvent*)xptr;
        default: return xptr;
      }
    case 47:   //QDragLeaveEvent
      switch(to) {
        case 47: return (void*)(QDragLeaveEvent*)xptr;
        default: return xptr;
      }
    case 48:   //QDragMoveEvent
      switch(to) {
        case 48: return (void*)(QDragMoveEvent*)xptr;
        default: return xptr;
      }
    case 49:   //QDropEvent
      switch(to) {
        case 49: return (void*)(QDropEvent*)xptr;
        default: return xptr;
      }
    case 50:   //QEvent
      switch(to) {
        case 50: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 51:   //QFocusEvent
      switch(to) {
        case 51: return (void*)(QFocusEvent*)xptr;
        default: return xptr;
      }
    case 52:   //QFont
      switch(to) {
        case 52: return (void*)(QFont*)xptr;
        default: return xptr;
      }
    case 54:   //QHideEvent
      switch(to) {
        case 54: return (void*)(QHideEvent*)xptr;
        default: return xptr;
      }
    case 55:   //QIcon
      switch(to) {
        case 55: return (void*)(QIcon*)xptr;
        default: return xptr;
      }
    case 56:   //QInputMethodEvent
      switch(to) {
        case 56: return (void*)(QInputMethodEvent*)xptr;
        default: return xptr;
      }
    case 57:   //QKeyEvent
      switch(to) {
        case 57: return (void*)(QKeyEvent*)xptr;
        default: return xptr;
      }
    case 58:   //QMetaObject
      switch(to) {
        case 58: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 59:   //QMouseEvent
      switch(to) {
        case 59: return (void*)(QMouseEvent*)xptr;
        default: return xptr;
      }
    case 60:   //QMoveEvent
      switch(to) {
        case 60: return (void*)(QMoveEvent*)xptr;
        default: return xptr;
      }
    case 61:   //QObject
      switch(to) {
        case 61: return (void*)(QObject*)xptr;
        case 30: return (void*)(Nepomuk::TagWidget*)(QObject*)xptr;
        case 29: return (void*)(Nepomuk::TagCloud*)(QObject*)xptr;
        case 27: return (void*)(Nepomuk::Service*)(QObject*)xptr;
        case 6: return (void*)(KTagCloudWidget*)(QObject*)xptr;
        case 26: return (void*)(Nepomuk::ResourceManager*)(QObject*)xptr;
        case 7: return (void*)(KTagDisplayWidget*)(QObject*)xptr;
        default: return xptr;
      }
    case 62:   //QPaintEngine
      switch(to) {
        case 62: return (void*)(QPaintEngine*)xptr;
        default: return xptr;
      }
    case 63:   //QPaintEvent
      switch(to) {
        case 63: return (void*)(QPaintEvent*)xptr;
        default: return xptr;
      }
    case 64:   //QPalette
      switch(to) {
        case 64: return (void*)(QPalette*)xptr;
        default: return xptr;
      }
    case 65:   //QRegExp
      switch(to) {
        case 65: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 66:   //QResizeEvent
      switch(to) {
        case 66: return (void*)(QResizeEvent*)xptr;
        default: return xptr;
      }
    case 67:   //QShowEvent
      switch(to) {
        case 67: return (void*)(QShowEvent*)xptr;
        default: return xptr;
      }
    case 68:   //QSize
      switch(to) {
        case 68: return (void*)(QSize*)xptr;
        default: return xptr;
      }
    case 69:   //QStyle
      switch(to) {
        case 69: return (void*)(QStyle*)xptr;
        default: return xptr;
      }
    case 70:   //QTabletEvent
      switch(to) {
        case 70: return (void*)(QTabletEvent*)xptr;
        default: return xptr;
      }
    case 71:   //QTime
      switch(to) {
        case 71: return (void*)(QTime*)xptr;
        default: return xptr;
      }
    case 72:   //QTimerEvent
      switch(to) {
        case 72: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 73:   //QUrl
      switch(to) {
        case 73: return (void*)(QUrl*)xptr;
        default: return xptr;
      }
    case 74:   //QVariant
      switch(to) {
        case 74: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 75:   //QWheelEvent
      switch(to) {
        case 75: return (void*)(QWheelEvent*)xptr;
        default: return xptr;
      }
    case 76:   //QWidget
      switch(to) {
        case 61: return (void*)(QObject*)(QWidget*)xptr;
        case 76: return (void*)(QWidget*)xptr;
        case 30: return (void*)(Nepomuk::TagWidget*)(QWidget*)xptr;
        case 29: return (void*)(Nepomuk::TagCloud*)(QWidget*)xptr;
        case 6: return (void*)(KTagCloudWidget*)(QWidget*)xptr;
        case 7: return (void*)(KTagDisplayWidget*)(QWidget*)xptr;
        default: return xptr;
      }
    case 77:   //Soprano::LanguageTag
      switch(to) {
        case 77: return (void*)(Soprano::LanguageTag*)xptr;
        default: return xptr;
      }
    case 78:   //Soprano::LiteralValue
      switch(to) {
        case 78: return (void*)(Soprano::LiteralValue*)xptr;
        default: return xptr;
      }
    case 79:   //Soprano::Model
      switch(to) {
        case 79: return (void*)(Soprano::Model*)xptr;
        default: return xptr;
      }
    case 80:   //Soprano::Node
      switch(to) {
        case 80: return (void*)(Soprano::Node*)xptr;
        default: return xptr;
      }
    case 81:   //Soprano::Statement
      switch(to) {
        case 81: return (void*)(Soprano::Statement*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    76, 0,	// 1: QWidget
    12, 0,	// 3: Nepomuk::Entity
    18, 0,	// 5: Nepomuk::OntologyLoader
    24, 0,	// 7: Nepomuk::Resource
    61, 0,	// 9: QObject
    6, 0,	// 11: KTagCloudWidget
    34, 0,	// 13: Nepomuk::Types::Entity
};

// These are the xenum functions for manipulating enum pointers
void xenum_Nepomuk__TagWidget(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Nepomuk(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_KTagCloudWidget(Smoke::Index, void*, Smoke::Stack);
void xcall_KTagDisplayWidget(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Class(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__DesktopOntologyLoader(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Entity(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__File(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__FileOntologyLoader(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Literal(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__NepomukOntologyLoader(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Ontology(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__OntologyLoader(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__OntologyManager(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Property(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Resource(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__ResourceManager(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Service(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Tag(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__TagCloud(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__TagWidget(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Thing(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Types(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Types__Class(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Types__Entity(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Types__Literal(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Types__Ontology(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Types__Property(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Variant(Smoke::Index, void*, Smoke::Stack);
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "KCharsets", true, 0, 0, 0, 0, 0 },	//1
    { "KComponentData", true, 0, 0, 0, 0, 0 },	//2
    { "KLocale", true, 0, 0, 0, 0, 0 },	//3
    { "KSharedConfig", true, 0, 0, 0, 0, 0 },	//4
    { "KStandardDirs", true, 0, 0, 0, 0, 0 },	//5
    { "KTagCloudWidget", false, 1, xcall_KTagCloudWidget, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KTagCloudWidget) },	//6
    { "KTagDisplayWidget", false, 1, xcall_KTagDisplayWidget, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KTagDisplayWidget) },	//7
    { "KUrl", true, 0, 0, 0, 0, 0 },	//8
    { "Nepomuk", false, 0, xcall_Nepomuk, xenum_Nepomuk, Smoke::cf_namespace, 0 },	//9
    { "Nepomuk::Class", false, 3, xcall_Nepomuk__Class, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Nepomuk::Class) },	//10
    { "Nepomuk::DesktopOntologyLoader", false, 5, xcall_Nepomuk__DesktopOntologyLoader, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Nepomuk::DesktopOntologyLoader) },	//11
    { "Nepomuk::Entity", false, 0, xcall_Nepomuk__Entity, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Nepomuk::Entity) },	//12
    { "Nepomuk::File", false, 7, xcall_Nepomuk__File, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Nepomuk::File) },	//13
    { "Nepomuk::FileOntologyLoader", false, 5, xcall_Nepomuk__FileOntologyLoader, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Nepomuk::FileOntologyLoader) },	//14
    { "Nepomuk::Literal", false, 0, xcall_Nepomuk__Literal, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Nepomuk::Literal) },	//15
    { "Nepomuk::NepomukOntologyLoader", false, 5, xcall_Nepomuk__NepomukOntologyLoader, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Nepomuk::NepomukOntologyLoader) },	//16
    { "Nepomuk::Ontology", false, 0, xcall_Nepomuk__Ontology, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Nepomuk::Ontology) },	//17
    { "Nepomuk::OntologyLoader", false, 0, xcall_Nepomuk__OntologyLoader, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Nepomuk::OntologyLoader) },	//18
    { "Nepomuk::OntologyManager", false, 0, xcall_Nepomuk__OntologyManager, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Nepomuk::OntologyManager) },	//19
    { "Nepomuk::Property", false, 3, xcall_Nepomuk__Property, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Nepomuk::Property) },	//20
    { "Nepomuk::Query::ComparisonTerm", true, 0, 0, 0, 0, 0 },	//21
    { "Nepomuk::Query::Query", true, 0, 0, 0, 0, 0 },	//22
    { "Nepomuk::Query::Term", true, 0, 0, 0, 0, 0 },	//23
    { "Nepomuk::Resource", false, 0, xcall_Nepomuk__Resource, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Nepomuk::Resource) },	//24
    { "Nepomuk::ResourceData", true, 0, 0, 0, 0, 0 },	//25
    { "Nepomuk::ResourceManager", false, 9, xcall_Nepomuk__ResourceManager, 0, Smoke::cf_virtual, sizeof(Nepomuk::ResourceManager) },	//26
    { "Nepomuk::Service", false, 9, xcall_Nepomuk__Service, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Nepomuk::Service) },	//27
    { "Nepomuk::Tag", false, 7, xcall_Nepomuk__Tag, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Nepomuk::Tag) },	//28
    { "Nepomuk::TagCloud", false, 11, xcall_Nepomuk__TagCloud, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Nepomuk::TagCloud) },	//29
    { "Nepomuk::TagWidget", false, 1, xcall_Nepomuk__TagWidget, xenum_Nepomuk__TagWidget, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Nepomuk::TagWidget) },	//30
    { "Nepomuk::Thing", false, 7, xcall_Nepomuk__Thing, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Nepomuk::Thing) },	//31
    { "Nepomuk::Types", false, 0, xcall_Nepomuk__Types, 0, Smoke::cf_namespace, 0 },	//32
    { "Nepomuk::Types::Class", false, 13, xcall_Nepomuk__Types__Class, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Nepomuk::Types::Class) },	//33
    { "Nepomuk::Types::Entity", false, 0, xcall_Nepomuk__Types__Entity, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Nepomuk::Types::Entity) },	//34
    { "Nepomuk::Types::Literal", false, 0, xcall_Nepomuk__Types__Literal, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Nepomuk::Types::Literal) },	//35
    { "Nepomuk::Types::Ontology", false, 13, xcall_Nepomuk__Types__Ontology, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Nepomuk::Types::Ontology) },	//36
    { "Nepomuk::Types::Property", false, 13, xcall_Nepomuk__Types__Property, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Nepomuk::Types::Property) },	//37
    { "Nepomuk::Variant", false, 0, xcall_Nepomuk__Variant, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Nepomuk::Variant) },	//38
    { "QActionEvent", true, 0, 0, 0, 0, 0 },	//39
    { "QBool", true, 0, 0, 0, 0, 0 },	//40
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//41
    { "QCloseEvent", true, 0, 0, 0, 0, 0 },	//42
    { "QContextMenuEvent", true, 0, 0, 0, 0, 0 },	//43
    { "QDate", true, 0, 0, 0, 0, 0 },	//44
    { "QDateTime", true, 0, 0, 0, 0, 0 },	//45
    { "QDragEnterEvent", true, 0, 0, 0, 0, 0 },	//46
    { "QDragLeaveEvent", true, 0, 0, 0, 0, 0 },	//47
    { "QDragMoveEvent", true, 0, 0, 0, 0, 0 },	//48
    { "QDropEvent", true, 0, 0, 0, 0, 0 },	//49
    { "QEvent", true, 0, 0, 0, 0, 0 },	//50
    { "QFocusEvent", true, 0, 0, 0, 0, 0 },	//51
    { "QFont", true, 0, 0, 0, 0, 0 },	//52
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//53
    { "QHideEvent", true, 0, 0, 0, 0, 0 },	//54
    { "QIcon", true, 0, 0, 0, 0, 0 },	//55
    { "QInputMethodEvent", true, 0, 0, 0, 0, 0 },	//56
    { "QKeyEvent", true, 0, 0, 0, 0, 0 },	//57
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//58
    { "QMouseEvent", true, 0, 0, 0, 0, 0 },	//59
    { "QMoveEvent", true, 0, 0, 0, 0, 0 },	//60
    { "QObject", true, 0, 0, 0, 0, 0 },	//61
    { "QPaintEngine", true, 0, 0, 0, 0, 0 },	//62
    { "QPaintEvent", true, 0, 0, 0, 0, 0 },	//63
    { "QPalette", true, 0, 0, 0, 0, 0 },	//64
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//65
    { "QResizeEvent", true, 0, 0, 0, 0, 0 },	//66
    { "QShowEvent", true, 0, 0, 0, 0, 0 },	//67
    { "QSize", true, 0, 0, 0, 0, 0 },	//68
    { "QStyle", true, 0, 0, 0, 0, 0 },	//69
    { "QTabletEvent", true, 0, 0, 0, 0, 0 },	//70
    { "QTime", true, 0, 0, 0, 0, 0 },	//71
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//72
    { "QUrl", true, 0, 0, 0, 0, 0 },	//73
    { "QVariant", true, 0, 0, 0, 0, 0 },	//74
    { "QWheelEvent", true, 0, 0, 0, 0, 0 },	//75
    { "QWidget", true, 0, 0, 0, 0, 0 },	//76
    { "Soprano::LanguageTag", true, 0, 0, 0, 0, 0 },	//77
    { "Soprano::LiteralValue", true, 0, 0, 0, 0, 0 },	//78
    { "Soprano::Model", true, 0, 0, 0, 0, 0 },	//79
    { "Soprano::Node", true, 0, 0, 0, 0, 0 },	//80
    { "Soprano::Statement", true, 0, 0, 0, 0, 0 },	//81
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "KCharsets*", 1, Smoke::t_class|Smoke::tf_ptr },	//1
    { "KComponentData", 2, Smoke::t_class|Smoke::tf_stack },	//2
    { "KGlobal::CopyCatalogs", 0, Smoke::t_enum|Smoke::tf_stack },	//3
    { "KLocale*", 3, Smoke::t_class|Smoke::tf_ptr },	//4
    { "KSharedConfig", 4, Smoke::t_class|Smoke::tf_stack },	//5
    { "KSharedPtr<KSharedConfig>", 0, Smoke::t_voidp|Smoke::tf_stack },	//6
    { "KStandardDirs*", 5, Smoke::t_class|Smoke::tf_ptr },	//7
    { "KTagCloudWidget*", 6, Smoke::t_class|Smoke::tf_ptr },	//8
    { "KTagDisplayWidget*", 7, Smoke::t_class|Smoke::tf_ptr },	//9
    { "KUrl", 8, Smoke::t_class|Smoke::tf_stack },	//10
    { "Nepomuk::Class&", 10, Smoke::t_class|Smoke::tf_ref },	//11
    { "Nepomuk::Class*", 10, Smoke::t_class|Smoke::tf_ptr },	//12
    { "Nepomuk::DesktopOntologyLoader*", 11, Smoke::t_class|Smoke::tf_ptr },	//13
    { "Nepomuk::Entity&", 12, Smoke::t_class|Smoke::tf_ref },	//14
    { "Nepomuk::Entity*", 12, Smoke::t_class|Smoke::tf_ptr },	//15
    { "Nepomuk::ErrorCode", 9, Smoke::t_enum|Smoke::tf_stack },	//16
    { "Nepomuk::File", 13, Smoke::t_class|Smoke::tf_stack },	//17
    { "Nepomuk::File&", 13, Smoke::t_class|Smoke::tf_ref },	//18
    { "Nepomuk::File*", 13, Smoke::t_class|Smoke::tf_ptr },	//19
    { "Nepomuk::FileOntologyLoader*", 14, Smoke::t_class|Smoke::tf_ptr },	//20
    { "Nepomuk::Literal", 15, Smoke::t_class|Smoke::tf_stack },	//21
    { "Nepomuk::Literal&", 15, Smoke::t_class|Smoke::tf_ref },	//22
    { "Nepomuk::Literal*", 15, Smoke::t_class|Smoke::tf_ptr },	//23
    { "Nepomuk::NepomukOntologyLoader*", 16, Smoke::t_class|Smoke::tf_ptr },	//24
    { "Nepomuk::Ontology&", 17, Smoke::t_class|Smoke::tf_ref },	//25
    { "Nepomuk::Ontology*", 17, Smoke::t_class|Smoke::tf_ptr },	//26
    { "Nepomuk::OntologyLoader*", 18, Smoke::t_class|Smoke::tf_ptr },	//27
    { "Nepomuk::OntologyManager*", 19, Smoke::t_class|Smoke::tf_ptr },	//28
    { "Nepomuk::Property&", 20, Smoke::t_class|Smoke::tf_ref },	//29
    { "Nepomuk::Property*", 20, Smoke::t_class|Smoke::tf_ptr },	//30
    { "Nepomuk::Query::ComparisonTerm", 21, Smoke::t_class|Smoke::tf_stack },	//31
    { "Nepomuk::Query::Query", 22, Smoke::t_class|Smoke::tf_stack },	//32
    { "Nepomuk::Query::Term", 23, Smoke::t_class|Smoke::tf_stack },	//33
    { "Nepomuk::Resource", 24, Smoke::t_class|Smoke::tf_stack },	//34
    { "Nepomuk::Resource&", 24, Smoke::t_class|Smoke::tf_ref },	//35
    { "Nepomuk::Resource*", 24, Smoke::t_class|Smoke::tf_ptr },	//36
    { "Nepomuk::ResourceData*", 25, Smoke::t_class|Smoke::tf_ptr },	//37
    { "Nepomuk::ResourceManager*", 26, Smoke::t_class|Smoke::tf_ptr },	//38
    { "Nepomuk::Service*", 27, Smoke::t_class|Smoke::tf_ptr },	//39
    { "Nepomuk::Tag", 28, Smoke::t_class|Smoke::tf_stack },	//40
    { "Nepomuk::Tag&", 28, Smoke::t_class|Smoke::tf_ref },	//41
    { "Nepomuk::Tag*", 28, Smoke::t_class|Smoke::tf_ptr },	//42
    { "Nepomuk::TagCloud*", 29, Smoke::t_class|Smoke::tf_ptr },	//43
    { "Nepomuk::TagWidget*", 30, Smoke::t_class|Smoke::tf_ptr },	//44
    { "Nepomuk::TagWidget::ModeFlag", 30, Smoke::t_enum|Smoke::tf_stack },	//45
    { "Nepomuk::TagWidget::ModeFlags", 0, Smoke::t_uint|Smoke::tf_stack },	//46
    { "Nepomuk::Thing", 31, Smoke::t_class|Smoke::tf_stack },	//47
    { "Nepomuk::Thing&", 31, Smoke::t_class|Smoke::tf_ref },	//48
    { "Nepomuk::Thing*", 31, Smoke::t_class|Smoke::tf_ptr },	//49
    { "Nepomuk::Types::Class", 33, Smoke::t_class|Smoke::tf_stack },	//50
    { "Nepomuk::Types::Class&", 33, Smoke::t_class|Smoke::tf_ref },	//51
    { "Nepomuk::Types::Class*", 33, Smoke::t_class|Smoke::tf_ptr },	//52
    { "Nepomuk::Types::Entity&", 34, Smoke::t_class|Smoke::tf_ref },	//53
    { "Nepomuk::Types::Entity*", 34, Smoke::t_class|Smoke::tf_ptr },	//54
    { "Nepomuk::Types::Literal", 35, Smoke::t_class|Smoke::tf_stack },	//55
    { "Nepomuk::Types::Literal&", 35, Smoke::t_class|Smoke::tf_ref },	//56
    { "Nepomuk::Types::Literal*", 35, Smoke::t_class|Smoke::tf_ptr },	//57
    { "Nepomuk::Types::Ontology&", 36, Smoke::t_class|Smoke::tf_ref },	//58
    { "Nepomuk::Types::Ontology*", 36, Smoke::t_class|Smoke::tf_ptr },	//59
    { "Nepomuk::Types::Property", 37, Smoke::t_class|Smoke::tf_stack },	//60
    { "Nepomuk::Types::Property&", 37, Smoke::t_class|Smoke::tf_ref },	//61
    { "Nepomuk::Types::Property*", 37, Smoke::t_class|Smoke::tf_ptr },	//62
    { "Nepomuk::Variant", 38, Smoke::t_class|Smoke::tf_stack },	//63
    { "Nepomuk::Variant&", 38, Smoke::t_class|Smoke::tf_ref },	//64
    { "Nepomuk::Variant*", 38, Smoke::t_class|Smoke::tf_ptr },	//65
    { "QActionEvent*", 39, Smoke::t_class|Smoke::tf_ptr },	//66
    { "QBool", 40, Smoke::t_class|Smoke::tf_stack },	//67
    { "QChildEvent*", 41, Smoke::t_class|Smoke::tf_ptr },	//68
    { "QCloseEvent*", 42, Smoke::t_class|Smoke::tf_ptr },	//69
    { "QContextMenuEvent*", 43, Smoke::t_class|Smoke::tf_ptr },	//70
    { "QDate", 44, Smoke::t_class|Smoke::tf_stack },	//71
    { "QDateTime", 45, Smoke::t_class|Smoke::tf_stack },	//72
    { "QDragEnterEvent*", 46, Smoke::t_class|Smoke::tf_ptr },	//73
    { "QDragLeaveEvent*", 47, Smoke::t_class|Smoke::tf_ptr },	//74
    { "QDragMoveEvent*", 48, Smoke::t_class|Smoke::tf_ptr },	//75
    { "QDropEvent*", 49, Smoke::t_class|Smoke::tf_ptr },	//76
    { "QEvent*", 50, Smoke::t_class|Smoke::tf_ptr },	//77
    { "QFlags<Nepomuk::TagWidget::ModeFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//78
    { "QFlags<Qt::AlignmentFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//79
    { "QFocusEvent*", 51, Smoke::t_class|Smoke::tf_ptr },	//80
    { "QHash<QString,Nepomuk::Variant>", 0, Smoke::t_voidp|Smoke::tf_stack },	//81
    { "QHash<QUrl,Nepomuk::Variant>", 0, Smoke::t_voidp|Smoke::tf_stack },	//82
    { "QHideEvent*", 54, Smoke::t_class|Smoke::tf_ptr },	//83
    { "QIcon", 55, Smoke::t_class|Smoke::tf_stack },	//84
    { "QInputMethodEvent*", 56, Smoke::t_class|Smoke::tf_ptr },	//85
    { "QKeyEvent*", 57, Smoke::t_class|Smoke::tf_ptr },	//86
    { "QList<Nepomuk::Resource>", 0, Smoke::t_voidp|Smoke::tf_stack },	//87
    { "QList<Nepomuk::Tag>", 0, Smoke::t_voidp|Smoke::tf_stack },	//88
    { "QList<Nepomuk::Types::Class>", 0, Smoke::t_voidp|Smoke::tf_stack },	//89
    { "QList<Nepomuk::Types::Property>", 0, Smoke::t_voidp|Smoke::tf_stack },	//90
    { "QList<Nepomuk::Variant>", 0, Smoke::t_voidp|Smoke::tf_stack },	//91
    { "QList<QDate>", 0, Smoke::t_voidp|Smoke::tf_stack },	//92
    { "QList<QDateTime>", 0, Smoke::t_voidp|Smoke::tf_stack },	//93
    { "QList<QTime>", 0, Smoke::t_voidp|Smoke::tf_stack },	//94
    { "QList<QUrl>", 0, Smoke::t_voidp|Smoke::tf_stack },	//95
    { "QList<Soprano::Node>", 0, Smoke::t_voidp|Smoke::tf_stack },	//96
    { "QList<Soprano::Statement>", 0, Smoke::t_voidp|Smoke::tf_stack },	//97
    { "QList<bool>", 0, Smoke::t_voidp|Smoke::tf_stack },	//98
    { "QList<const Nepomuk::Class*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//99
    { "QList<const Nepomuk::Property*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//100
    { "QList<double>", 0, Smoke::t_voidp|Smoke::tf_stack },	//101
    { "QList<int>", 0, Smoke::t_voidp|Smoke::tf_stack },	//102
    { "QList<long long>", 0, Smoke::t_voidp|Smoke::tf_stack },	//103
    { "QList<unsigned int>", 0, Smoke::t_voidp|Smoke::tf_stack },	//104
    { "QList<unsigned long long>", 0, Smoke::t_voidp|Smoke::tf_stack },	//105
    { "QMap<QString,int>", 0, Smoke::t_voidp|Smoke::tf_stack },	//106
    { "QMetaObject::Call", 58, Smoke::t_enum|Smoke::tf_stack },	//107
    { "QMouseEvent*", 59, Smoke::t_class|Smoke::tf_ptr },	//108
    { "QMoveEvent*", 60, Smoke::t_class|Smoke::tf_ptr },	//109
    { "QObject*", 61, Smoke::t_class|Smoke::tf_ptr },	//110
    { "QPaintDevice::PaintDeviceMetric", 0, Smoke::t_enum|Smoke::tf_stack },	//111
    { "QPaintEngine*", 62, Smoke::t_class|Smoke::tf_ptr },	//112
    { "QPaintEvent*", 63, Smoke::t_class|Smoke::tf_ptr },	//113
    { "QRegExp&", 65, Smoke::t_class|Smoke::tf_ref },	//114
    { "QResizeEvent*", 66, Smoke::t_class|Smoke::tf_ptr },	//115
    { "QShowEvent*", 67, Smoke::t_class|Smoke::tf_ptr },	//116
    { "QSize", 68, Smoke::t_class|Smoke::tf_stack },	//117
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//118
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//119
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//120
    { "QStyle&", 69, Smoke::t_class|Smoke::tf_ref },	//121
    { "QTabletEvent*", 70, Smoke::t_class|Smoke::tf_ptr },	//122
    { "QTime", 71, Smoke::t_class|Smoke::tf_stack },	//123
    { "QTimerEvent*", 72, Smoke::t_class|Smoke::tf_ptr },	//124
    { "QUrl", 73, Smoke::t_class|Smoke::tf_stack },	//125
    { "QVariant", 74, Smoke::t_class|Smoke::tf_stack },	//126
    { "QVariant::Type", 74, Smoke::t_enum|Smoke::tf_stack },	//127
    { "QWheelEvent*", 75, Smoke::t_class|Smoke::tf_ptr },	//128
    { "QWidget*", 76, Smoke::t_class|Smoke::tf_ptr },	//129
    { "Qt::Alignment", 0, Smoke::t_uint|Smoke::tf_stack },	//130
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//131
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//132
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//133
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//134
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//135
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//136
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//137
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//138
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//139
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//140
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//141
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//142
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//143
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//144
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//145
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//146
    { "Qt::CursorMoveStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//147
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//148
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//149
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//150
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//151
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//152
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//153
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//154
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//155
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//156
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//157
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//158
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//159
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//160
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//161
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//162
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//163
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//164
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//165
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//166
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//167
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//168
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//169
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//170
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//171
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//172
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//173
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//174
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//175
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//176
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//177
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//178
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//179
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//180
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//181
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//182
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//183
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//184
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//185
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//186
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//187
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//188
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//189
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//190
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//191
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//192
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//193
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//194
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//195
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//196
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//197
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//198
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//199
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//200
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//201
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//202
    { "QtMsgType", 53, Smoke::t_enum|Smoke::tf_stack },	//203
    { "Soprano::BackendFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//204
    { "Soprano::BackendOption", 0, Smoke::t_enum|Smoke::tf_stack },	//205
    { "Soprano::Error::ErrorCode", 0, Smoke::t_enum|Smoke::tf_stack },	//206
    { "Soprano::Model*", 79, Smoke::t_class|Smoke::tf_ptr },	//207
    { "Soprano::Node", 80, Smoke::t_class|Smoke::tf_stack },	//208
    { "Soprano::Query::QueryLanguage", 0, Smoke::t_enum|Smoke::tf_stack },	//209
    { "Soprano::RdfSerialization", 0, Smoke::t_enum|Smoke::tf_stack },	//210
    { "Soprano::Statement", 81, Smoke::t_class|Smoke::tf_stack },	//211
    { "_XEvent*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//212
    { "__codecvt_result", 53, Smoke::t_enum|Smoke::tf_stack },	//213
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//214
    { "const KComponentData&", 2, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//215
    { "const KUrl&", 8, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//216
    { "const Nepomuk::Class&", 10, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//217
    { "const Nepomuk::Class*", 10, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//218
    { "const Nepomuk::DesktopOntologyLoader&", 11, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//219
    { "const Nepomuk::Entity&", 12, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//220
    { "const Nepomuk::File&", 13, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//221
    { "const Nepomuk::FileOntologyLoader&", 14, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//222
    { "const Nepomuk::Literal&", 15, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//223
    { "const Nepomuk::NepomukOntologyLoader&", 16, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//224
    { "const Nepomuk::Ontology&", 17, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//225
    { "const Nepomuk::Ontology*", 17, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//226
    { "const Nepomuk::OntologyLoader&", 18, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//227
    { "const Nepomuk::OntologyManager&", 19, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//228
    { "const Nepomuk::Property&", 20, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//229
    { "const Nepomuk::Property*", 20, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//230
    { "const Nepomuk::Query::Query&", 22, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//231
    { "const Nepomuk::Query::Term&", 23, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//232
    { "const Nepomuk::Resource&", 24, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//233
    { "const Nepomuk::Tag&", 28, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//234
    { "const Nepomuk::Thing&", 31, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//235
    { "const Nepomuk::Types::Class&", 33, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//236
    { "const Nepomuk::Types::Entity&", 34, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//237
    { "const Nepomuk::Types::Literal&", 35, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//238
    { "const Nepomuk::Types::Ontology&", 36, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//239
    { "const Nepomuk::Types::Property&", 37, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//240
    { "const Nepomuk::Variant&", 38, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//241
    { "const QDate&", 44, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//242
    { "const QDateTime&", 45, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//243
    { "const QFont&", 52, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//244
    { "const QList<Nepomuk::Resource>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//245
    { "const QList<Nepomuk::Tag>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//246
    { "const QList<Nepomuk::Variant>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//247
    { "const QList<QDate>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//248
    { "const QList<QDateTime>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//249
    { "const QList<QTime>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//250
    { "const QList<QUrl>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//251
    { "const QList<Soprano::Node>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//252
    { "const QList<bool>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//253
    { "const QList<double>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//254
    { "const QList<int>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//255
    { "const QList<long long>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//256
    { "const QList<unsigned int>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//257
    { "const QList<unsigned long long>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//258
    { "const QMap<QString,int>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//259
    { "const QMetaObject&", 58, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//260
    { "const QMetaObject*", 58, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//261
    { "const QObject*", 61, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//262
    { "const QPalette&", 64, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//263
    { "const QRegExp&", 65, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//264
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//265
    { "const QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//266
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//267
    { "const QTime&", 71, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//268
    { "const QUrl&", 73, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//269
    { "const QVariant&", 74, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//270
    { "const Soprano::LanguageTag&", 77, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//271
    { "const Soprano::LiteralValue&", 78, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//272
    { "const Soprano::Node&", 80, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//273
    { "const Soprano::Statement&", 81, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//274
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//275
    { "const unsigned int&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//276
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//277
    { "double", 0, Smoke::t_double|Smoke::tf_stack },	//278
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//279
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//280
    { "long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//281
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//282
    { "unsigned long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//283
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//284
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//285
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//286
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    275, 0,	//1  const char*
    275, 275, 0,	//3  const char*, const char*
    275, 275, 279, 0,	//6  const char*, const char*, int
    107, 279, 285, 0,	//10  QMetaObject::Call, int, void**
    129, 0,	//14  QWidget*
    265, 0,	//16  const QString&
    265, 279, 0,	//18  const QString&, int
    259, 0,	//21  const QMap<QString,int>&
    279, 0,	//23  int
    115, 0,	//25  QResizeEvent*
    266, 0,	//27  const QStringList&
    233, 0,	//29  const Nepomuk::Resource&
    241, 0,	//31  const Nepomuk::Variant&
    16, 0,	//33  Nepomuk::ErrorCode
    273, 0,	//35  const Soprano::Node&
    269, 0,	//37  const QUrl&
    217, 0,	//39  const Nepomuk::Class&
    265, 265, 0,	//41  const QString&, const QString&
    218, 0,	//44  const Nepomuk::Class*
    219, 0,	//46  const Nepomuk::DesktopOntologyLoader&
    220, 0,	//48  const Nepomuk::Entity&
    216, 38, 0,	//50  const KUrl&, Nepomuk::ResourceManager*
    216, 0,	//53  const KUrl&
    221, 0,	//55  const Nepomuk::File&
    265, 210, 0,	//57  const QString&, Soprano::RdfSerialization
    210, 0,	//60  Soprano::RdfSerialization
    222, 0,	//62  const Nepomuk::FileOntologyLoader&
    223, 0,	//64  const Nepomuk::Literal&
    224, 0,	//66  const Nepomuk::NepomukOntologyLoader&
    225, 0,	//68  const Nepomuk::Ontology&
    227, 0,	//70  const Nepomuk::OntologyLoader&
    27, 0,	//72  Nepomuk::OntologyLoader*
    228, 0,	//74  const Nepomuk::OntologyManager&
    229, 0,	//76  const Nepomuk::Property&
    38, 0,	//78  Nepomuk::ResourceManager*
    265, 269, 0,	//80  const QString&, const QUrl&
    265, 269, 38, 0,	//83  const QString&, const QUrl&, Nepomuk::ResourceManager*
    269, 269, 0,	//87  const QUrl&, const QUrl&
    269, 269, 38, 0,	//90  const QUrl&, const QUrl&, Nepomuk::ResourceManager*
    37, 0,	//94  Nepomuk::ResourceData*
    251, 0,	//96  const QList<QUrl>&
    240, 241, 0,	//98  const Nepomuk::Types::Property&, const Nepomuk::Variant&
    269, 241, 0,	//101  const QUrl&, const Nepomuk::Variant&
    265, 241, 0,	//104  const QString&, const Nepomuk::Variant&
    245, 0,	//107  const QList<Nepomuk::Resource>&
    246, 0,	//109  const QList<Nepomuk::Tag>&
    234, 0,	//111  const Nepomuk::Tag&
    276, 0,	//113  const unsigned int&
    216, 236, 38, 0,	//115  const KUrl&, const Nepomuk::Types::Class&, Nepomuk::ResourceManager*
    216, 236, 0,	//119  const KUrl&, const Nepomuk::Types::Class&
    207, 0,	//122  Soprano::Model*
    110, 214, 0,	//124  QObject*, bool
    214, 0,	//127  bool
    110, 0,	//129  QObject*
    265, 38, 0,	//131  const QString&, Nepomuk::ResourceManager*
    269, 38, 0,	//134  const QUrl&, Nepomuk::ResourceManager*
    40, 0,	//137  Nepomuk::Tag
    233, 129, 0,	//139  const Nepomuk::Resource&, QWidget*
    130, 0,	//142  Qt::Alignment
    46, 0,	//144  Nepomuk::TagWidget::ModeFlags
    235, 0,	//146  const Nepomuk::Thing&
    237, 0,	//148  const Nepomuk::Types::Entity&
    236, 0,	//150  const Nepomuk::Types::Class&
    238, 0,	//152  const Nepomuk::Types::Literal&
    239, 0,	//154  const Nepomuk::Types::Ontology&
    240, 0,	//156  const Nepomuk::Types::Property&
    270, 0,	//158  const QVariant&
    281, 0,	//160  long long
    282, 0,	//162  unsigned int
    283, 0,	//164  unsigned long long
    278, 0,	//166  double
    242, 0,	//168  const QDate&
    268, 0,	//170  const QTime&
    243, 0,	//172  const QDateTime&
    255, 0,	//174  const QList<int>&
    256, 0,	//176  const QList<long long>&
    257, 0,	//178  const QList<unsigned int>&
    258, 0,	//180  const QList<unsigned long long>&
    253, 0,	//182  const QList<bool>&
    254, 0,	//184  const QList<double>&
    248, 0,	//186  const QList<QDate>&
    250, 0,	//188  const QList<QTime>&
    249, 0,	//190  const QList<QDateTime>&
    247, 0,	//192  const QList<Nepomuk::Variant>&
    252, 0,	//194  const QList<Soprano::Node>&
    77, 0,	//196  QEvent*
    110, 77, 0,	//198  QObject*, QEvent*
    124, 0,	//201  QTimerEvent*
    68, 0,	//203  QChildEvent*
    108, 0,	//205  QMouseEvent*
    128, 0,	//207  QWheelEvent*
    86, 0,	//209  QKeyEvent*
    80, 0,	//211  QFocusEvent*
    113, 0,	//213  QPaintEvent*
    109, 0,	//215  QMoveEvent*
    69, 0,	//217  QCloseEvent*
    70, 0,	//219  QContextMenuEvent*
    122, 0,	//221  QTabletEvent*
    66, 0,	//223  QActionEvent*
    73, 0,	//225  QDragEnterEvent*
    75, 0,	//227  QDragMoveEvent*
    74, 0,	//229  QDragLeaveEvent*
    76, 0,	//231  QDropEvent*
    116, 0,	//233  QShowEvent*
    83, 0,	//235  QHideEvent*
    212, 0,	//237  _XEvent*
    111, 0,	//239  QPaintDevice::PaintDeviceMetric
    85, 0,	//241  QInputMethodEvent*
    165, 0,	//243  Qt::InputMethodQuery
    121, 0,	//245  QStyle&
    263, 0,	//247  const QPalette&
    244, 0,	//249  const QFont&
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "Class",	//1
    "Class#",	//2
    "CommunicationError",	//3
    "DesktopOntologyLoader",	//4
    "DesktopOntologyLoader#",	//5
    "DisableTagClicking",	//6
    "DrawChildren",	//7
    "DrawWindowBackground",	//8
    "Entity",	//9
    "Entity#",	//10
    "File",	//11
    "File#",	//12
    "File##",	//13
    "FileOntologyLoader",	//14
    "FileOntologyLoader#",	//15
    "FileOntologyLoader$",	//16
    "FileOntologyLoader$$",	//17
    "IgnoreMask",	//18
    "InvalidType",	//19
    "KTagCloudWidget",	//20
    "KTagCloudWidget#",	//21
    "KTagDisplayWidget",	//22
    "KTagDisplayWidget#",	//23
    "Literal",	//24
    "Literal#",	//25
    "MiniMode",	//26
    "NepomukOntologyLoader",	//27
    "NepomukOntologyLoader#",	//28
    "NoError",	//29
    "Ontology",	//30
    "Ontology#",	//31
    "OntologyLoader",	//32
    "OntologyLoader#",	//33
    "OntologyManager",	//34
    "OntologyManager#",	//35
    "Property",	//36
    "Property#",	//37
    "Q_COMPLEX_TYPE",	//38
    "Q_DUMMY_TYPE",	//39
    "Q_MOVABLE_TYPE",	//40
    "Q_PRIMITIVE_TYPE",	//41
    "Q_STATIC_TYPE",	//42
    "QtCriticalMsg",	//43
    "QtDebugMsg",	//44
    "QtFatalMsg",	//45
    "QtSystemMsg",	//46
    "QtWarningMsg",	//47
    "RDFLiteralToValue",	//48
    "RDFLiteralToValue#",	//49
    "ReadOnly",	//50
    "Resource",	//51
    "Resource#",	//52
    "Resource##",	//53
    "Resource###",	//54
    "Resource$",	//55
    "Resource$#",	//56
    "Resource$##",	//57
    "Resource$$",	//58
    "Service",	//59
    "Service#",	//60
    "Service#$",	//61
    "StandardMode",	//62
    "Tag",	//63
    "Tag#",	//64
    "Tag##",	//65
    "Tag###",	//66
    "Tag$",	//67
    "Tag$#",	//68
    "Tag$##",	//69
    "TagCloud",	//70
    "TagCloud#",	//71
    "TagWidget",	//72
    "TagWidget#",	//73
    "TagWidget##",	//74
    "Thing",	//75
    "Thing#",	//76
    "Thing##",	//77
    "Thing###",	//78
    "Thing$",	//79
    "Thing$#",	//80
    "Thing$##",	//81
    "UnknownError",	//82
    "Variant",	//83
    "Variant#",	//84
    "Variant$",	//85
    "Variant?",	//86
    "__codecvt_error",	//87
    "__codecvt_noconv",	//88
    "__codecvt_ok",	//89
    "__codecvt_partial",	//90
    "actionEvent",	//91
    "addAltLabel",	//92
    "addAltLabel$",	//93
    "addAnnotation",	//94
    "addAnnotation#",	//95
    "addGroundingOccurrence",	//96
    "addGroundingOccurrence#",	//97
    "addIdentifier",	//98
    "addIdentifier$",	//99
    "addIsRelated",	//100
    "addIsRelated#",	//101
    "addIsTopicOf",	//102
    "addIsTopicOf#",	//103
    "addProperty",	//104
    "addProperty##",	//105
    "addSymbol",	//106
    "addSymbol$",	//107
    "addTag",	//108
    "addTag#",	//109
    "addTag$",	//110
    "addTag$$",	//111
    "addTags",	//112
    "addTags?",	//113
    "addTopic",	//114
    "addTopic#",	//115
    "addType",	//116
    "addType#",	//117
    "alignment",	//118
    "allClasses",	//119
    "allOntologies",	//120
    "allParentClasses",	//121
    "allProperties",	//122
    "allResources",	//123
    "allResourcesOfType",	//124
    "allResourcesOfType#",	//125
    "allResourcesOfType$",	//126
    "allResourcesWithProperty",	//127
    "allResourcesWithProperty##",	//128
    "allResourcesWithProperty$#",	//129
    "allSubClasses",	//130
    "allTags",	//131
    "altLabelUri",	//132
    "altLabels",	//133
    "annotationOf",	//134
    "annotationUri",	//135
    "annotations",	//136
    "append",	//137
    "append#",	//138
    "append$",	//139
    "assignedTags",	//140
    "autoUpdate",	//141
    "cardinality",	//142
    "changeEvent",	//143
    "childEvent",	//144
    "className",	//145
    "clear",	//146
    "clearCache",	//147
    "closeEvent",	//148
    "comment",	//149
    "comment$",	//150
    "connectNotify",	//151
    "contextMenuEvent",	//152
    "createManagerForModel",	//153
    "createManagerForModel#",	//154
    "createResourceFromUri",	//155
    "createResourceFromUri$",	//156
    "customEvent",	//157
    "dataType",	//158
    "dataTypeUri",	//159
    "defaultGraph",	//160
    "definingOntology",	//161
    "deleteInstance",	//162
    "description",	//163
    "descriptionUri",	//164
    "devType",	//165
    "dirResource",	//166
    "disconnectNotify",	//167
    "domain",	//168
    "domainOf",	//169
    "dragEnterEvent",	//170
    "dragLeaveEvent",	//171
    "dragMoveEvent",	//172
    "dropEvent",	//173
    "enabledChange",	//174
    "enterEvent",	//175
    "error",	//176
    "error$$",	//177
    "errorString",	//178
    "errorString$",	//179
    "event",	//180
    "eventFilter",	//181
    "exists",	//182
    "extractNamespace",	//183
    "extractNamespace#",	//184
    "fileName",	//185
    "findClassByLabel",	//186
    "findClassByLabel$",	//187
    "findClassByLabel$$",	//188
    "findClassByName",	//189
    "findClassByName$",	//190
    "findClassByUri",	//191
    "findClassByUri#",	//192
    "findPropertyByLabel",	//193
    "findPropertyByLabel$",	//194
    "findPropertyByLabel$$",	//195
    "findPropertyByName",	//196
    "findPropertyByName$",	//197
    "findPropertyByUri",	//198
    "findPropertyByUri#",	//199
    "focusInEvent",	//200
    "focusNextPrevChild",	//201
    "focusOutEvent",	//202
    "fontChange",	//203
    "fromNode",	//204
    "fromNode#",	//205
    "fromNodeList",	//206
    "fromNodeList?",	//207
    "fromResourceUri",	//208
    "fromResourceUri#",	//209
    "fromResourceUri##",	//210
    "fromResourceUri###",	//211
    "fromString",	//212
    "fromString$$",	//213
    "generateUniqueUri",	//214
    "generateUniqueUri$",	//215
    "genericDescription",	//216
    "genericIcon",	//217
    "genericLabel",	//218
    "getOntology",	//219
    "getOntology#",	//220
    "groundingOccurrences",	//221
    "hasProperty",	//222
    "hasProperty#",	//223
    "hasProperty##",	//224
    "hasProperty$",	//225
    "hasType",	//226
    "hasType#",	//227
    "heightForWidth",	//228
    "hideEvent",	//229
    "icon",	//230
    "identifierUri",	//231
    "identifiers",	//232
    "increaseUsageCount",	//233
    "init",	//234
    "initialized",	//235
    "inputMethodEvent",	//236
    "inputMethodQuery",	//237
    "instance",	//238
    "inverseProperty",	//239
    "isAvailable",	//240
    "isBool",	//241
    "isBoolList",	//242
    "isDate",	//243
    "isDateList",	//244
    "isDateTime",	//245
    "isDateTimeList",	//246
    "isDouble",	//247
    "isDoubleList",	//248
    "isFile",	//249
    "isInt",	//250
    "isInt64",	//251
    "isInt64List",	//252
    "isIntList",	//253
    "isList",	//254
    "isParentOf",	//255
    "isParentOf#",	//256
    "isRelatedOf",	//257
    "isRelatedUri",	//258
    "isRelateds",	//259
    "isResource",	//260
    "isResourceList",	//261
    "isString",	//262
    "isStringList",	//263
    "isSubClassOf",	//264
    "isSubClassOf#",	//265
    "isSubPropertyOf",	//266
    "isSubPropertyOf#",	//267
    "isTime",	//268
    "isTimeList",	//269
    "isTopicOfUri",	//270
    "isTopicOfs",	//271
    "isUnsignedInt",	//272
    "isUnsignedInt64",	//273
    "isUnsignedInt64List",	//274
    "isUnsignedIntList",	//275
    "isUrl",	//276
    "isUrlList",	//277
    "isValid",	//278
    "keyPressEvent",	//279
    "keyReleaseEvent",	//280
    "label",	//281
    "label$",	//282
    "labelUri",	//283
    "languageChange",	//284
    "leaveEvent",	//285
    "literalRangeType",	//286
    "load",	//287
    "load#",	//288
    "loadOntology",	//289
    "loadOntology#",	//290
    "mainModel",	//291
    "manager",	//292
    "maxCardinality",	//293
    "maxTagsShown",	//294
    "metaObject",	//295
    "metric",	//296
    "minCardinality",	//297
    "minimumSizeHint",	//298
    "modeFlags",	//299
    "mouseDoubleClickEvent",	//300
    "mouseMoveEvent",	//301
    "mousePressEvent",	//302
    "mouseReleaseEvent",	//303
    "moveEvent",	//304
    "name",	//305
    "naoNamespace",	//306
    "nepomukSystemStarted",	//307
    "nepomukSystemStopped",	//308
    "notifyError",	//309
    "notifyError$$",	//310
    "nrlNamespace",	//311
    "occurrences",	//312
    "operator QUrl",	//313
    "operator!=",	//314
    "operator!=#",	//315
    "operator=",	//316
    "operator=#",	//317
    "operator=$",	//318
    "operator==",	//319
    "operator==#",	//320
    "operator=?",	//321
    "paintEngine",	//322
    "paintEvent",	//323
    "paletteChange",	//324
    "parentClasses",	//325
    "parentOf",	//326
    "parentProperties",	//327
    "pimoThing",	//328
    "properties",	//329
    "property",	//330
    "property#",	//331
    "property$",	//332
    "qHash",	//333
    "qHash#",	//334
    "qt_metacall",	//335
    "qt_metacall$$?",	//336
    "qt_metacast",	//337
    "qt_metacast$",	//338
    "range",	//339
    "rangeOf",	//340
    "rating",	//341
    "ratingUri",	//342
    "rdfNamepace",	//343
    "rdfsNamespace",	//344
    "referencingOccurrences",	//345
    "remove",	//346
    "removeProperty",	//347
    "removeProperty#",	//348
    "removeProperty##",	//349
    "removeProperty$",	//350
    "removeResource",	//351
    "removeResource$",	//352
    "reset",	//353
    "reset$",	//354
    "resizeEvent",	//355
    "resizeEvent#",	//356
    "resourceModified",	//357
    "resourceModified$",	//358
    "resourceType",	//359
    "resourceTypeUri",	//360
    "resourceUri",	//361
    "selectedTags",	//362
    "selectionChanged",	//363
    "selectionChanged?",	//364
    "setAlignment",	//365
    "setAlignment$",	//366
    "setAltLabels",	//367
    "setAltLabels?",	//368
    "setAnnotations",	//369
    "setAnnotations?",	//370
    "setAssignedTags",	//371
    "setAssignedTags?",	//372
    "setAutoUpdate",	//373
    "setAutoUpdate$",	//374
    "setDefaultRepository",	//375
    "setDefaultRepository$",	//376
    "setDescription",	//377
    "setDescription$",	//378
    "setFileName",	//379
    "setFileName$",	//380
    "setIdentifiers",	//381
    "setIdentifiers?",	//382
    "setIsRelateds",	//383
    "setIsRelateds?",	//384
    "setIsTopicOfs",	//385
    "setIsTopicOfs?",	//386
    "setLabel",	//387
    "setLabel$",	//388
    "setMaxFontSize",	//389
    "setMaxFontSize$",	//390
    "setMaxTagsShown",	//391
    "setMaxTagsShown$",	//392
    "setMinFontSize",	//393
    "setMinFontSize$",	//394
    "setModeFlags",	//395
    "setModeFlags$",	//396
    "setOntologyLoader",	//397
    "setOntologyLoader#",	//398
    "setOverrideMainModel",	//399
    "setOverrideMainModel#",	//400
    "setProperty",	//401
    "setProperty##",	//402
    "setProperty$#",	//403
    "setRating",	//404
    "setRating$",	//405
    "setSelectedTags",	//406
    "setSelectedTags?",	//407
    "setSerialization",	//408
    "setSerialization$",	//409
    "setServiceInitialized",	//410
    "setServiceInitialized$",	//411
    "setSymbols",	//412
    "setSymbols?",	//413
    "setTaggedResource",	//414
    "setTaggedResource#",	//415
    "setTaggedResources",	//416
    "setTaggedResources?",	//417
    "setTags",	//418
    "setTags?",	//419
    "setTopics",	//420
    "setTopics?",	//421
    "setTypes",	//422
    "setTypes?",	//423
    "setVisible",	//424
    "showEvent",	//425
    "simpleType",	//426
    "sizeHint",	//427
    "staticMetaObject",	//428
    "styleChange",	//429
    "subClasses",	//430
    "subProperties",	//431
    "symbolUri",	//432
    "symbols",	//433
    "tabletEvent",	//434
    "tagClicked",	//435
    "tagClicked#",	//436
    "tagClicked$",	//437
    "tagOf",	//438
    "tagUri",	//439
    "tagWeight",	//440
    "tagWeight$",	//441
    "taggedResources",	//442
    "tags",	//443
    "timerEvent",	//444
    "toBool",	//445
    "toBoolList",	//446
    "toDate",	//447
    "toDateList",	//448
    "toDateTime",	//449
    "toDateTimeList",	//450
    "toDouble",	//451
    "toDoubleList",	//452
    "toFile",	//453
    "toInt",	//454
    "toInt64",	//455
    "toInt64List",	//456
    "toIntList",	//457
    "toNode",	//458
    "toNodeList",	//459
    "toResource",	//460
    "toResourceList",	//461
    "toString",	//462
    "toStringList",	//463
    "toTime",	//464
    "toTimeList",	//465
    "toUnsignedInt",	//466
    "toUnsignedInt64",	//467
    "toUnsignedInt64List",	//468
    "toUnsignedIntList",	//469
    "toUrl",	//470
    "toUrlList",	//471
    "toVariantList",	//472
    "topicUri",	//473
    "topics",	//474
    "tr",	//475
    "tr$",	//476
    "tr$$",	//477
    "tr$$$",	//478
    "trUtf8",	//479
    "trUtf8$",	//480
    "trUtf8$$",	//481
    "trUtf8$$$",	//482
    "type",	//483
    "typePredicate",	//484
    "types",	//485
    "updateTags",	//486
    "uri",	//487
    "url",	//488
    "usageCount",	//489
    "userVisible",	//490
    "valueToRDFNode",	//491
    "valueToRDFNode#",	//492
    "valuesToRDFNodes",	//493
    "valuesToRDFNodes#",	//494
    "variant",	//495
    "wheelEvent",	//496
    "windowActivationChange",	//497
    "x11Event",	//498
    "~Class",	//499
    "~DesktopOntologyLoader",	//500
    "~Entity",	//501
    "~File",	//502
    "~FileOntologyLoader",	//503
    "~KTagCloudWidget",	//504
    "~KTagDisplayWidget",	//505
    "~Literal",	//506
    "~NepomukOntologyLoader",	//507
    "~Ontology",	//508
    "~OntologyLoader",	//509
    "~OntologyManager",	//510
    "~Property",	//511
    "~Resource",	//512
    "~Service",	//513
    "~Tag",	//514
    "~TagCloud",	//515
    "~TagWidget",	//516
    "~Thing",	//517
    "~Variant",	//518
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {6, 295, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 261, 1},	//1 KTagCloudWidget::metaObject() const
    {6, 337, 1, 1, Smoke::mf_virtual, 284, 2},	//2 KTagCloudWidget::qt_metacast(const char*)
    {6, 475, 3, 2, Smoke::mf_static, 118, 3},	//3 KTagCloudWidget::tr(const char*, const char*)
    {6, 479, 3, 2, Smoke::mf_static, 118, 4},	//4 KTagCloudWidget::trUtf8(const char*, const char*)
    {6, 475, 6, 3, Smoke::mf_static, 118, 5},	//5 KTagCloudWidget::tr(const char*, const char*, int)
    {6, 479, 6, 3, Smoke::mf_static, 118, 6},	//6 KTagCloudWidget::trUtf8(const char*, const char*, int)
    {6, 335, 10, 3, Smoke::mf_virtual, 279, 7},	//7 KTagCloudWidget::qt_metacall(QMetaObject::Call, int, void**)
    {6, 20, 14, 1, Smoke::mf_ctor, 8, 8},	//8 KTagCloudWidget::KTagCloudWidget(QWidget*)
    {6, 440, 16, 1, Smoke::mf_const, 279, 9},	//9 KTagCloudWidget::tagWeight(const QString&) const
    {6, 108, 18, 2, Smoke::mf_slot, 0, 10},	//10 KTagCloudWidget::addTag(const QString&, int)
    {6, 112, 21, 1, Smoke::mf_slot, 0, 11},	//11 KTagCloudWidget::addTags(const QMap<QString,int>&)
    {6, 146, 0, 0, Smoke::mf_slot, 0, 12},	//12 KTagCloudWidget::clear()
    {6, 389, 23, 1, Smoke::mf_slot, 0, 13},	//13 KTagCloudWidget::setMaxFontSize(int)
    {6, 393, 23, 1, Smoke::mf_slot, 0, 14},	//14 KTagCloudWidget::setMinFontSize(int)
    {6, 435, 16, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 15},	//15 KTagCloudWidget::tagClicked(const QString&)
    {6, 355, 25, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 16},	//16 KTagCloudWidget::resizeEvent(QResizeEvent*)
    {6, 475, 1, 1, Smoke::mf_static, 118, 17},	//17 KTagCloudWidget::tr(const char*)
    {6, 479, 1, 1, Smoke::mf_static, 118, 18},	//18 KTagCloudWidget::trUtf8(const char*)
    {6, 20, 0, 0, Smoke::mf_ctor, 8, 19},	//19 KTagCloudWidget::KTagCloudWidget()
    {6, 428, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 260, 20},	//20 KTagCloudWidget::staticMetaObject() const
    {6, 504, 0, 0, Smoke::mf_dtor, 0, 21 },	//21 KTagCloudWidget::~KTagCloudWidget()
    {7, 295, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 261, 1},	//22 KTagDisplayWidget::metaObject() const
    {7, 337, 1, 1, Smoke::mf_virtual, 284, 2},	//23 KTagDisplayWidget::qt_metacast(const char*)
    {7, 475, 3, 2, Smoke::mf_static, 118, 3},	//24 KTagDisplayWidget::tr(const char*, const char*)
    {7, 479, 3, 2, Smoke::mf_static, 118, 4},	//25 KTagDisplayWidget::trUtf8(const char*, const char*)
    {7, 475, 6, 3, Smoke::mf_static, 118, 5},	//26 KTagDisplayWidget::tr(const char*, const char*, int)
    {7, 479, 6, 3, Smoke::mf_static, 118, 6},	//27 KTagDisplayWidget::trUtf8(const char*, const char*, int)
    {7, 335, 10, 3, Smoke::mf_virtual, 279, 7},	//28 KTagDisplayWidget::qt_metacall(QMetaObject::Call, int, void**)
    {7, 22, 14, 1, Smoke::mf_ctor, 9, 8},	//29 KTagDisplayWidget::KTagDisplayWidget(QWidget*)
    {7, 418, 27, 1, Smoke::mf_slot, 0, 9},	//30 KTagDisplayWidget::setTags(const QStringList&)
    {7, 108, 16, 1, Smoke::mf_slot, 0, 10},	//31 KTagDisplayWidget::addTag(const QString&)
    {7, 112, 27, 1, Smoke::mf_slot, 0, 11},	//32 KTagDisplayWidget::addTags(const QStringList&)
    {7, 146, 0, 0, Smoke::mf_slot, 0, 12},	//33 KTagDisplayWidget::clear()
    {7, 435, 16, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 13},	//34 KTagDisplayWidget::tagClicked(const QString&)
    {7, 475, 1, 1, Smoke::mf_static, 118, 14},	//35 KTagDisplayWidget::tr(const char*)
    {7, 479, 1, 1, Smoke::mf_static, 118, 15},	//36 KTagDisplayWidget::trUtf8(const char*)
    {7, 22, 0, 0, Smoke::mf_ctor, 9, 16},	//37 KTagDisplayWidget::KTagDisplayWidget()
    {7, 428, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 260, 17},	//38 KTagDisplayWidget::staticMetaObject() const
    {7, 505, 0, 0, Smoke::mf_dtor, 0, 18 },	//39 KTagDisplayWidget::~KTagDisplayWidget()
    {9, 343, 0, 0, Smoke::mf_static, 118, 1},	//40 Nepomuk::rdfNamepace()
    {9, 333, 29, 1, Smoke::mf_static, 282, 2},	//41 Nepomuk::qHash(const Nepomuk::Resource&)
    {9, 493, 31, 1, Smoke::mf_static, 96, 3},	//42 Nepomuk::valuesToRDFNodes(const Nepomuk::Variant&)
    {9, 375, 16, 1, Smoke::mf_static, 0, 4},	//43 Nepomuk::setDefaultRepository(const QString&)
    {9, 311, 0, 0, Smoke::mf_static, 118, 5},	//44 Nepomuk::nrlNamespace()
    {9, 178, 33, 1, Smoke::mf_static, 118, 6},	//45 Nepomuk::errorString(Nepomuk::ErrorCode)
    {9, 160, 0, 0, Smoke::mf_static, 118, 7},	//46 Nepomuk::defaultGraph()
    {9, 484, 0, 0, Smoke::mf_static, 118, 8},	//47 Nepomuk::typePredicate()
    {9, 344, 0, 0, Smoke::mf_static, 118, 9},	//48 Nepomuk::rdfsNamespace()
    {9, 306, 0, 0, Smoke::mf_static, 118, 10},	//49 Nepomuk::naoNamespace()
    {9, 48, 35, 1, Smoke::mf_static, 63, 11},	//50 Nepomuk::RDFLiteralToValue(const Soprano::Node&)
    {9, 183, 37, 1, Smoke::mf_static, 125, 12},	//51 Nepomuk::extractNamespace(const QUrl&)
    {9, 491, 31, 1, Smoke::mf_static, 208, 13},	//52 Nepomuk::valueToRDFNode(const Nepomuk::Variant&)
    {9, 29, 0, 0, Smoke::mf_static|Smoke::mf_enum, 16, 14},	//53 Nepomuk::NoError (enum)
    {9, 3, 0, 0, Smoke::mf_static|Smoke::mf_enum, 16, 15},	//54 Nepomuk::CommunicationError (enum)
    {9, 19, 0, 0, Smoke::mf_static|Smoke::mf_enum, 16, 16},	//55 Nepomuk::InvalidType (enum)
    {9, 82, 0, 0, Smoke::mf_static|Smoke::mf_enum, 16, 17},	//56 Nepomuk::UnknownError (enum)
    {10, 1, 0, 0, Smoke::mf_ctor, 12, 1},	//57 Nepomuk::Class::Class()
    {10, 1, 39, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 12, 2},	//58 Nepomuk::Class::Class(const Nepomuk::Class&)
    {10, 316, 39, 1, 0, 11, 3},	//59 Nepomuk::Class::operator=(const Nepomuk::Class&)
    {10, 122, 0, 0, Smoke::mf_const, 100, 4},	//60 Nepomuk::Class::allProperties() const
    {10, 196, 16, 1, Smoke::mf_const, 230, 5},	//61 Nepomuk::Class::findPropertyByName(const QString&) const
    {10, 193, 41, 2, Smoke::mf_const, 230, 6},	//62 Nepomuk::Class::findPropertyByLabel(const QString&, const QString&) const
    {10, 198, 37, 1, Smoke::mf_const, 230, 7},	//63 Nepomuk::Class::findPropertyByUri(const QUrl&) const
    {10, 325, 0, 0, Smoke::mf_const, 99, 8},	//64 Nepomuk::Class::parentClasses() const
    {10, 430, 0, 0, Smoke::mf_const, 99, 9},	//65 Nepomuk::Class::subClasses() const
    {10, 255, 44, 1, Smoke::mf_const, 214, 10},	//66 Nepomuk::Class::isParentOf(const Nepomuk::Class*) const
    {10, 264, 44, 1, Smoke::mf_const, 214, 11},	//67 Nepomuk::Class::isSubClassOf(const Nepomuk::Class*) const
    {10, 287, 37, 1, Smoke::mf_static, 218, 12},	//68 Nepomuk::Class::load(const QUrl&)
    {10, 193, 16, 1, Smoke::mf_const, 230, 13},	//69 Nepomuk::Class::findPropertyByLabel(const QString&) const
    {10, 499, 0, 0, Smoke::mf_dtor, 0, 14 },	//70 Nepomuk::Class::~Class()
    {11, 4, 0, 0, Smoke::mf_ctor, 13, 1},	//71 Nepomuk::DesktopOntologyLoader::DesktopOntologyLoader()
    {11, 120, 0, 0, 0, 95, 2},	//72 Nepomuk::DesktopOntologyLoader::allOntologies()
    {11, 289, 37, 1, Smoke::mf_virtual, 97, 3},	//73 Nepomuk::DesktopOntologyLoader::loadOntology(const QUrl&)
    {11, 4, 46, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 13, 4},	//74 Nepomuk::DesktopOntologyLoader::DesktopOntologyLoader(const Nepomuk::DesktopOntologyLoader&)
    {11, 500, 0, 0, Smoke::mf_dtor, 0, 5 },	//75 Nepomuk::DesktopOntologyLoader::~DesktopOntologyLoader()
    {12, 9, 48, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 15, 1},	//76 Nepomuk::Entity::Entity(const Nepomuk::Entity&)
    {12, 316, 48, 1, 0, 14, 2},	//77 Nepomuk::Entity::operator=(const Nepomuk::Entity&)
    {12, 161, 0, 0, Smoke::mf_const, 226, 3},	//78 Nepomuk::Entity::definingOntology() const
    {12, 305, 0, 0, Smoke::mf_const, 118, 4},	//79 Nepomuk::Entity::name() const
    {12, 487, 0, 0, Smoke::mf_const, 125, 5},	//80 Nepomuk::Entity::uri() const
    {12, 281, 16, 1, Smoke::mf_const, 118, 6},	//81 Nepomuk::Entity::label(const QString&) const
    {12, 149, 16, 1, Smoke::mf_const, 118, 7},	//82 Nepomuk::Entity::comment(const QString&) const
    {12, 9, 0, 0, Smoke::mf_ctor|Smoke::mf_protected, 15, 8},	//83 Nepomuk::Entity::Entity()
    {12, 281, 0, 0, Smoke::mf_const, 118, 9},	//84 Nepomuk::Entity::label() const
    {12, 149, 0, 0, Smoke::mf_const, 118, 10},	//85 Nepomuk::Entity::comment() const
    {12, 501, 0, 0, Smoke::mf_dtor, 0, 11 },	//86 Nepomuk::Entity::~Entity()
    {13, 11, 50, 2, Smoke::mf_ctor, 19, 1},	//87 Nepomuk::File::File(const KUrl&, Nepomuk::ResourceManager*)
    {13, 11, 29, 1, Smoke::mf_ctor, 19, 2},	//88 Nepomuk::File::File(const Nepomuk::Resource&)
    {13, 316, 53, 1, 0, 18, 3},	//89 Nepomuk::File::operator=(const KUrl&)
    {13, 488, 0, 0, Smoke::mf_const, 10, 4},	//90 Nepomuk::File::url() const
    {13, 166, 0, 0, Smoke::mf_const, 17, 5},	//91 Nepomuk::File::dirResource() const
    {13, 11, 55, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 19, 6},	//92 Nepomuk::File::File(const Nepomuk::File&)
    {13, 11, 0, 0, Smoke::mf_ctor, 19, 7},	//93 Nepomuk::File::File()
    {13, 11, 53, 1, Smoke::mf_ctor, 19, 8},	//94 Nepomuk::File::File(const KUrl&)
    {13, 502, 0, 0, Smoke::mf_dtor, 0, 9 },	//95 Nepomuk::File::~File()
    {14, 14, 0, 0, Smoke::mf_ctor, 20, 1},	//96 Nepomuk::FileOntologyLoader::FileOntologyLoader()
    {14, 14, 57, 2, Smoke::mf_ctor, 20, 2},	//97 Nepomuk::FileOntologyLoader::FileOntologyLoader(const QString&, Soprano::RdfSerialization)
    {14, 379, 16, 1, 0, 0, 3},	//98 Nepomuk::FileOntologyLoader::setFileName(const QString&)
    {14, 185, 0, 0, Smoke::mf_const, 118, 4},	//99 Nepomuk::FileOntologyLoader::fileName() const
    {14, 408, 60, 1, 0, 0, 5},	//100 Nepomuk::FileOntologyLoader::setSerialization(Soprano::RdfSerialization)
    {14, 289, 37, 1, Smoke::mf_virtual, 97, 6},	//101 Nepomuk::FileOntologyLoader::loadOntology(const QUrl&)
    {14, 14, 62, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 20, 7},	//102 Nepomuk::FileOntologyLoader::FileOntologyLoader(const Nepomuk::FileOntologyLoader&)
    {14, 14, 16, 1, Smoke::mf_ctor, 20, 8},	//103 Nepomuk::FileOntologyLoader::FileOntologyLoader(const QString&)
    {14, 503, 0, 0, Smoke::mf_dtor, 0, 9 },	//104 Nepomuk::FileOntologyLoader::~FileOntologyLoader()
    {15, 24, 0, 0, Smoke::mf_ctor, 23, 1},	//105 Nepomuk::Literal::Literal()
    {15, 24, 64, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 23, 2},	//106 Nepomuk::Literal::Literal(const Nepomuk::Literal&)
    {15, 24, 37, 1, Smoke::mf_ctor, 23, 3},	//107 Nepomuk::Literal::Literal(const QUrl&)
    {15, 316, 64, 1, 0, 22, 4},	//108 Nepomuk::Literal::operator=(const Nepomuk::Literal&)
    {15, 159, 0, 0, Smoke::mf_const, 269, 5},	//109 Nepomuk::Literal::dataTypeUri() const
    {15, 158, 0, 0, Smoke::mf_const, 127, 6},	//110 Nepomuk::Literal::dataType() const
    {15, 506, 0, 0, Smoke::mf_dtor, 0, 7 },	//111 Nepomuk::Literal::~Literal()
    {16, 27, 0, 0, Smoke::mf_ctor, 24, 1},	//112 Nepomuk::NepomukOntologyLoader::NepomukOntologyLoader()
    {16, 289, 37, 1, Smoke::mf_virtual, 97, 2},	//113 Nepomuk::NepomukOntologyLoader::loadOntology(const QUrl&)
    {16, 27, 66, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 24, 3},	//114 Nepomuk::NepomukOntologyLoader::NepomukOntologyLoader(const Nepomuk::NepomukOntologyLoader&)
    {16, 507, 0, 0, Smoke::mf_dtor, 0, 4 },	//115 Nepomuk::NepomukOntologyLoader::~NepomukOntologyLoader()
    {17, 30, 0, 0, Smoke::mf_ctor, 26, 1},	//116 Nepomuk::Ontology::Ontology()
    {17, 30, 68, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 26, 2},	//117 Nepomuk::Ontology::Ontology(const Nepomuk::Ontology&)
    {17, 316, 68, 1, 0, 25, 3},	//118 Nepomuk::Ontology::operator=(const Nepomuk::Ontology&)
    {17, 487, 0, 0, Smoke::mf_const, 125, 4},	//119 Nepomuk::Ontology::uri() const
    {17, 119, 0, 0, Smoke::mf_const, 99, 5},	//120 Nepomuk::Ontology::allClasses() const
    {17, 189, 16, 1, Smoke::mf_const, 218, 6},	//121 Nepomuk::Ontology::findClassByName(const QString&) const
    {17, 186, 41, 2, Smoke::mf_const, 218, 7},	//122 Nepomuk::Ontology::findClassByLabel(const QString&, const QString&) const
    {17, 191, 37, 1, Smoke::mf_const, 218, 8},	//123 Nepomuk::Ontology::findClassByUri(const QUrl&) const
    {17, 122, 0, 0, Smoke::mf_const, 100, 9},	//124 Nepomuk::Ontology::allProperties() const
    {17, 196, 16, 1, Smoke::mf_const, 230, 10},	//125 Nepomuk::Ontology::findPropertyByName(const QString&) const
    {17, 193, 41, 2, Smoke::mf_const, 230, 11},	//126 Nepomuk::Ontology::findPropertyByLabel(const QString&, const QString&) const
    {17, 198, 37, 1, Smoke::mf_const, 230, 12},	//127 Nepomuk::Ontology::findPropertyByUri(const QUrl&) const
    {17, 287, 37, 1, Smoke::mf_static, 226, 13},	//128 Nepomuk::Ontology::load(const QUrl&)
    {17, 186, 16, 1, Smoke::mf_const, 218, 14},	//129 Nepomuk::Ontology::findClassByLabel(const QString&) const
    {17, 193, 16, 1, Smoke::mf_const, 230, 15},	//130 Nepomuk::Ontology::findPropertyByLabel(const QString&) const
    {17, 508, 0, 0, Smoke::mf_dtor, 0, 16 },	//131 Nepomuk::Ontology::~Ontology()
    {18, 289, 37, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 97, 1},	//132 Nepomuk::OntologyLoader::loadOntology(const QUrl&) [pure virtual]
    {18, 32, 0, 0, Smoke::mf_ctor|Smoke::mf_protected, 27, 2},	//133 Nepomuk::OntologyLoader::OntologyLoader()
    {18, 32, 70, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 27, 3},	//134 Nepomuk::OntologyLoader::OntologyLoader(const Nepomuk::OntologyLoader&)
    {18, 509, 0, 0, Smoke::mf_dtor, 0, 4 },	//135 Nepomuk::OntologyLoader::~OntologyLoader()
    {19, 238, 0, 0, Smoke::mf_static, 28, 1},	//136 Nepomuk::OntologyManager::instance()
    {19, 397, 72, 1, 0, 0, 2},	//137 Nepomuk::OntologyManager::setOntologyLoader(Nepomuk::OntologyLoader*)
    {19, 219, 37, 1, 0, 226, 3},	//138 Nepomuk::OntologyManager::getOntology(const QUrl&)
    {19, 34, 74, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 28, 4},	//139 Nepomuk::OntologyManager::OntologyManager(const Nepomuk::OntologyManager&)
    {19, 510, 0, 0, Smoke::mf_dtor, 0, 5 },	//140 Nepomuk::OntologyManager::~OntologyManager()
    {20, 36, 0, 0, Smoke::mf_ctor, 30, 1},	//141 Nepomuk::Property::Property()
    {20, 36, 76, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 30, 2},	//142 Nepomuk::Property::Property(const Nepomuk::Property&)
    {20, 316, 76, 1, 0, 29, 3},	//143 Nepomuk::Property::operator=(const Nepomuk::Property&)
    {20, 327, 0, 0, Smoke::mf_const, 100, 4},	//144 Nepomuk::Property::parentProperties() const
    {20, 326, 0, 0, Smoke::mf_const, 100, 5},	//145 Nepomuk::Property::parentOf() const
    {20, 239, 0, 0, Smoke::mf_const, 230, 6},	//146 Nepomuk::Property::inverseProperty() const
    {20, 339, 0, 0, Smoke::mf_const, 218, 7},	//147 Nepomuk::Property::range() const
    {20, 286, 0, 0, Smoke::mf_const, 21, 8},	//148 Nepomuk::Property::literalRangeType() const
    {20, 168, 0, 0, Smoke::mf_const, 218, 9},	//149 Nepomuk::Property::domain() const
    {20, 142, 0, 0, Smoke::mf_const, 279, 10},	//150 Nepomuk::Property::cardinality() const
    {20, 297, 0, 0, Smoke::mf_const, 279, 11},	//151 Nepomuk::Property::minCardinality() const
    {20, 293, 0, 0, Smoke::mf_const, 279, 12},	//152 Nepomuk::Property::maxCardinality() const
    {20, 287, 37, 1, Smoke::mf_static, 230, 13},	//153 Nepomuk::Property::load(const QUrl&)
    {20, 511, 0, 0, Smoke::mf_dtor, 0, 14 },	//154 Nepomuk::Property::~Property()
    {24, 51, 0, 0, Smoke::mf_ctor, 36, 1},	//155 Nepomuk::Resource::Resource()
    {24, 51, 78, 1, Smoke::mf_ctor, 36, 2},	//156 Nepomuk::Resource::Resource(Nepomuk::ResourceManager*)
    {24, 51, 29, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 36, 3},	//157 Nepomuk::Resource::Resource(const Nepomuk::Resource&)
    {24, 51, 80, 2, Smoke::mf_ctor, 36, 4},	//158 Nepomuk::Resource::Resource(const QString&, const QUrl&)
    {24, 51, 83, 3, Smoke::mf_ctor, 36, 5},	//159 Nepomuk::Resource::Resource(const QString&, const QUrl&, Nepomuk::ResourceManager*)
    {24, 51, 41, 2, Smoke::mf_ctor, 36, 6},	//160 Nepomuk::Resource::Resource(const QString&, const QString&)
    {24, 51, 87, 2, Smoke::mf_ctor, 36, 7},	//161 Nepomuk::Resource::Resource(const QUrl&, const QUrl&)
    {24, 51, 90, 3, Smoke::mf_ctor, 36, 8},	//162 Nepomuk::Resource::Resource(const QUrl&, const QUrl&, Nepomuk::ResourceManager*)
    {24, 51, 94, 1, Smoke::mf_ctor, 36, 9},	//163 Nepomuk::Resource::Resource(Nepomuk::ResourceData*)
    {24, 316, 29, 1, 0, 35, 10},	//164 Nepomuk::Resource::operator=(const Nepomuk::Resource&)
    {24, 316, 37, 1, 0, 35, 11},	//165 Nepomuk::Resource::operator=(const QUrl&)
    {24, 292, 0, 0, Smoke::mf_const, 38, 12},	//166 Nepomuk::Resource::manager() const
    {24, 487, 0, 0, Smoke::mf_const, 118, 13},	//167 Nepomuk::Resource::uri() const
    {24, 361, 0, 0, Smoke::mf_const, 125, 14},	//168 Nepomuk::Resource::resourceUri() const
    {24, 483, 0, 0, Smoke::mf_const, 118, 15},	//169 Nepomuk::Resource::type() const
    {24, 359, 0, 0, Smoke::mf_const, 125, 16},	//170 Nepomuk::Resource::resourceType() const
    {24, 485, 0, 0, Smoke::mf_const, 95, 17},	//171 Nepomuk::Resource::types() const
    {24, 422, 96, 1, 0, 0, 18},	//172 Nepomuk::Resource::setTypes(const QList<QUrl>&)
    {24, 116, 37, 1, 0, 0, 19},	//173 Nepomuk::Resource::addType(const QUrl&)
    {24, 226, 37, 1, Smoke::mf_const, 214, 20},	//174 Nepomuk::Resource::hasType(const QUrl&) const
    {24, 145, 0, 0, Smoke::mf_const, 118, 21},	//175 Nepomuk::Resource::className() const
    {24, 122, 0, 0, Smoke::mf_const, 81, 22},	//176 Nepomuk::Resource::allProperties() const
    {24, 329, 0, 0, Smoke::mf_const, 82, 23},	//177 Nepomuk::Resource::properties() const
    {24, 222, 37, 1, Smoke::mf_const, 214, 24},	//178 Nepomuk::Resource::hasProperty(const QUrl&) const
    {24, 222, 98, 2, Smoke::mf_const, 214, 25},	//179 Nepomuk::Resource::hasProperty(const Nepomuk::Types::Property&, const Nepomuk::Variant&) const
    {24, 222, 16, 1, Smoke::mf_const, 214, 26},	//180 Nepomuk::Resource::hasProperty(const QString&) const
    {24, 330, 37, 1, Smoke::mf_const, 63, 27},	//181 Nepomuk::Resource::property(const QUrl&) const
    {24, 330, 16, 1, Smoke::mf_const, 63, 28},	//182 Nepomuk::Resource::property(const QString&) const
    {24, 401, 101, 2, 0, 0, 29},	//183 Nepomuk::Resource::setProperty(const QUrl&, const Nepomuk::Variant&)
    {24, 104, 101, 2, 0, 0, 30},	//184 Nepomuk::Resource::addProperty(const QUrl&, const Nepomuk::Variant&)
    {24, 401, 104, 2, 0, 0, 31},	//185 Nepomuk::Resource::setProperty(const QString&, const Nepomuk::Variant&)
    {24, 347, 37, 1, 0, 0, 32},	//186 Nepomuk::Resource::removeProperty(const QUrl&)
    {24, 347, 101, 2, 0, 0, 33},	//187 Nepomuk::Resource::removeProperty(const QUrl&, const Nepomuk::Variant&)
    {24, 347, 16, 1, 0, 0, 34},	//188 Nepomuk::Resource::removeProperty(const QString&)
    {24, 346, 0, 0, 0, 0, 35},	//189 Nepomuk::Resource::remove()
    {24, 182, 0, 0, Smoke::mf_const, 214, 36},	//190 Nepomuk::Resource::exists() const
    {24, 278, 0, 0, Smoke::mf_const, 214, 37},	//191 Nepomuk::Resource::isValid() const
    {24, 218, 0, 0, Smoke::mf_const, 118, 38},	//192 Nepomuk::Resource::genericLabel() const
    {24, 216, 0, 0, Smoke::mf_const, 118, 39},	//193 Nepomuk::Resource::genericDescription() const
    {24, 217, 0, 0, Smoke::mf_const, 118, 40},	//194 Nepomuk::Resource::genericIcon() const
    {24, 328, 0, 0, 0, 47, 41},	//195 Nepomuk::Resource::pimoThing()
    {24, 319, 29, 1, Smoke::mf_const, 214, 42},	//196 Nepomuk::Resource::operator==(const Nepomuk::Resource&) const
    {24, 314, 29, 1, Smoke::mf_const, 214, 43},	//197 Nepomuk::Resource::operator!=(const Nepomuk::Resource&) const
    {24, 163, 0, 0, Smoke::mf_const, 118, 44},	//198 Nepomuk::Resource::description() const
    {24, 377, 16, 1, 0, 0, 45},	//199 Nepomuk::Resource::setDescription(const QString&)
    {24, 164, 0, 0, Smoke::mf_static, 118, 46},	//200 Nepomuk::Resource::descriptionUri()
    {24, 232, 0, 0, Smoke::mf_const, 119, 47},	//201 Nepomuk::Resource::identifiers() const
    {24, 381, 27, 1, 0, 0, 48},	//202 Nepomuk::Resource::setIdentifiers(const QStringList&)
    {24, 98, 16, 1, 0, 0, 49},	//203 Nepomuk::Resource::addIdentifier(const QString&)
    {24, 231, 0, 0, Smoke::mf_static, 118, 50},	//204 Nepomuk::Resource::identifierUri()
    {24, 133, 0, 0, Smoke::mf_const, 119, 51},	//205 Nepomuk::Resource::altLabels() const
    {24, 367, 27, 1, 0, 0, 52},	//206 Nepomuk::Resource::setAltLabels(const QStringList&)
    {24, 92, 16, 1, 0, 0, 53},	//207 Nepomuk::Resource::addAltLabel(const QString&)
    {24, 132, 0, 0, Smoke::mf_static, 118, 54},	//208 Nepomuk::Resource::altLabelUri()
    {24, 136, 0, 0, Smoke::mf_const, 87, 55},	//209 Nepomuk::Resource::annotations() const
    {24, 369, 107, 1, 0, 0, 56},	//210 Nepomuk::Resource::setAnnotations(const QList<Nepomuk::Resource>&)
    {24, 94, 29, 1, 0, 0, 57},	//211 Nepomuk::Resource::addAnnotation(const Nepomuk::Resource&)
    {24, 135, 0, 0, Smoke::mf_static, 118, 58},	//212 Nepomuk::Resource::annotationUri()
    {24, 443, 0, 0, Smoke::mf_const, 88, 59},	//213 Nepomuk::Resource::tags() const
    {24, 418, 109, 1, 0, 0, 60},	//214 Nepomuk::Resource::setTags(const QList<Nepomuk::Tag>&)
    {24, 108, 111, 1, 0, 0, 61},	//215 Nepomuk::Resource::addTag(const Nepomuk::Tag&)
    {24, 439, 0, 0, Smoke::mf_static, 118, 62},	//216 Nepomuk::Resource::tagUri()
    {24, 474, 0, 0, Smoke::mf_const, 87, 63},	//217 Nepomuk::Resource::topics() const
    {24, 420, 107, 1, 0, 0, 64},	//218 Nepomuk::Resource::setTopics(const QList<Nepomuk::Resource>&)
    {24, 114, 29, 1, 0, 0, 65},	//219 Nepomuk::Resource::addTopic(const Nepomuk::Resource&)
    {24, 473, 0, 0, Smoke::mf_static, 118, 66},	//220 Nepomuk::Resource::topicUri()
    {24, 271, 0, 0, Smoke::mf_const, 87, 67},	//221 Nepomuk::Resource::isTopicOfs() const
    {24, 385, 107, 1, 0, 0, 68},	//222 Nepomuk::Resource::setIsTopicOfs(const QList<Nepomuk::Resource>&)
    {24, 102, 29, 1, 0, 0, 69},	//223 Nepomuk::Resource::addIsTopicOf(const Nepomuk::Resource&)
    {24, 270, 0, 0, Smoke::mf_static, 118, 70},	//224 Nepomuk::Resource::isTopicOfUri()
    {24, 259, 0, 0, Smoke::mf_const, 87, 71},	//225 Nepomuk::Resource::isRelateds() const
    {24, 383, 107, 1, 0, 0, 72},	//226 Nepomuk::Resource::setIsRelateds(const QList<Nepomuk::Resource>&)
    {24, 100, 29, 1, 0, 0, 73},	//227 Nepomuk::Resource::addIsRelated(const Nepomuk::Resource&)
    {24, 258, 0, 0, Smoke::mf_static, 118, 74},	//228 Nepomuk::Resource::isRelatedUri()
    {24, 281, 0, 0, Smoke::mf_const, 118, 75},	//229 Nepomuk::Resource::label() const
    {24, 387, 16, 1, 0, 0, 76},	//230 Nepomuk::Resource::setLabel(const QString&)
    {24, 283, 0, 0, Smoke::mf_static, 118, 77},	//231 Nepomuk::Resource::labelUri()
    {24, 341, 0, 0, Smoke::mf_const, 282, 78},	//232 Nepomuk::Resource::rating() const
    {24, 404, 113, 1, 0, 0, 79},	//233 Nepomuk::Resource::setRating(const unsigned int&)
    {24, 342, 0, 0, Smoke::mf_static, 118, 80},	//234 Nepomuk::Resource::ratingUri()
    {24, 433, 0, 0, Smoke::mf_const, 119, 81},	//235 Nepomuk::Resource::symbols() const
    {24, 412, 27, 1, 0, 0, 82},	//236 Nepomuk::Resource::setSymbols(const QStringList&)
    {24, 106, 16, 1, 0, 0, 83},	//237 Nepomuk::Resource::addSymbol(const QString&)
    {24, 432, 0, 0, Smoke::mf_static, 118, 84},	//238 Nepomuk::Resource::symbolUri()
    {24, 134, 0, 0, Smoke::mf_const, 87, 85},	//239 Nepomuk::Resource::annotationOf() const
    {24, 257, 0, 0, Smoke::mf_const, 87, 86},	//240 Nepomuk::Resource::isRelatedOf() const
    {24, 123, 0, 0, Smoke::mf_static, 87, 87},	//241 Nepomuk::Resource::allResources()
    {24, 489, 0, 0, Smoke::mf_const, 279, 88},	//242 Nepomuk::Resource::usageCount() const
    {24, 233, 0, 0, 0, 0, 89},	//243 Nepomuk::Resource::increaseUsageCount()
    {24, 249, 0, 0, Smoke::mf_const, 214, 90},	//244 Nepomuk::Resource::isFile() const
    {24, 453, 0, 0, Smoke::mf_const, 17, 91},	//245 Nepomuk::Resource::toFile() const
    {24, 208, 115, 3, Smoke::mf_static, 34, 92},	//246 Nepomuk::Resource::fromResourceUri(const KUrl&, const Nepomuk::Types::Class&, Nepomuk::ResourceManager*)
    {24, 51, 16, 1, Smoke::mf_ctor, 36, 93},	//247 Nepomuk::Resource::Resource(const QString&)
    {24, 51, 37, 1, Smoke::mf_ctor, 36, 94},	//248 Nepomuk::Resource::Resource(const QUrl&)
    {24, 208, 53, 1, Smoke::mf_static, 34, 95},	//249 Nepomuk::Resource::fromResourceUri(const KUrl&)
    {24, 208, 119, 2, Smoke::mf_static, 34, 96},	//250 Nepomuk::Resource::fromResourceUri(const KUrl&, const Nepomuk::Types::Class&)
    {24, 512, 0, 0, Smoke::mf_dtor, 0, 97 },	//251 Nepomuk::Resource::~Resource()
    {26, 295, 0, 0, Smoke::mf_const, 261, 1},	//252 Nepomuk::ResourceManager::metaObject() const
    {26, 337, 1, 1, 0, 284, 2},	//253 Nepomuk::ResourceManager::qt_metacast(const char*)
    {26, 475, 3, 2, Smoke::mf_static, 118, 3},	//254 Nepomuk::ResourceManager::tr(const char*, const char*)
    {26, 479, 3, 2, Smoke::mf_static, 118, 4},	//255 Nepomuk::ResourceManager::trUtf8(const char*, const char*)
    {26, 475, 6, 3, Smoke::mf_static, 118, 5},	//256 Nepomuk::ResourceManager::tr(const char*, const char*, int)
    {26, 479, 6, 3, Smoke::mf_static, 118, 6},	//257 Nepomuk::ResourceManager::trUtf8(const char*, const char*, int)
    {26, 335, 10, 3, 0, 279, 7},	//258 Nepomuk::ResourceManager::qt_metacall(QMetaObject::Call, int, void**)
    {26, 238, 0, 0, Smoke::mf_static, 38, 8},	//259 Nepomuk::ResourceManager::instance()
    {26, 162, 0, 0, 0, 0, 9},	//260 Nepomuk::ResourceManager::deleteInstance()
    {26, 234, 0, 0, 0, 279, 10},	//261 Nepomuk::ResourceManager::init()
    {26, 235, 0, 0, Smoke::mf_const, 214, 11},	//262 Nepomuk::ResourceManager::initialized() const
    {26, 291, 0, 0, 0, 207, 12},	//263 Nepomuk::ResourceManager::mainModel()
    {26, 399, 122, 1, 0, 0, 13},	//264 Nepomuk::ResourceManager::setOverrideMainModel(Soprano::Model*)
    {26, 155, 16, 1, 0, 34, 14},	//265 Nepomuk::ResourceManager::createResourceFromUri(const QString&)
    {26, 351, 16, 1, 0, 0, 15},	//266 Nepomuk::ResourceManager::removeResource(const QString&)
    {26, 124, 37, 1, 0, 87, 16},	//267 Nepomuk::ResourceManager::allResourcesOfType(const QUrl&)
    {26, 124, 16, 1, 0, 87, 17},	//268 Nepomuk::ResourceManager::allResourcesOfType(const QString&)
    {26, 127, 101, 2, 0, 87, 18},	//269 Nepomuk::ResourceManager::allResourcesWithProperty(const QUrl&, const Nepomuk::Variant&)
    {26, 127, 104, 2, 0, 87, 19},	//270 Nepomuk::ResourceManager::allResourcesWithProperty(const QString&, const Nepomuk::Variant&)
    {26, 147, 0, 0, 0, 0, 20},	//271 Nepomuk::ResourceManager::clearCache()
    {26, 214, 0, 0, 0, 118, 21},	//272 Nepomuk::ResourceManager::generateUniqueUri()
    {26, 214, 16, 1, 0, 125, 22},	//273 Nepomuk::ResourceManager::generateUniqueUri(const QString&)
    {26, 309, 18, 2, 0, 0, 23},	//274 Nepomuk::ResourceManager::notifyError(const QString&, int)
    {26, 153, 122, 1, Smoke::mf_static, 38, 24},	//275 Nepomuk::ResourceManager::createManagerForModel(Soprano::Model*)
    {26, 357, 16, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 25},	//276 Nepomuk::ResourceManager::resourceModified(const QString&)
    {26, 176, 18, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 26},	//277 Nepomuk::ResourceManager::error(const QString&, int)
    {26, 307, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 27},	//278 Nepomuk::ResourceManager::nepomukSystemStarted()
    {26, 308, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 28},	//279 Nepomuk::ResourceManager::nepomukSystemStopped()
    {26, 475, 1, 1, Smoke::mf_static, 118, 29},	//280 Nepomuk::ResourceManager::tr(const char*)
    {26, 479, 1, 1, Smoke::mf_static, 118, 30},	//281 Nepomuk::ResourceManager::trUtf8(const char*)
    {26, 428, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 260, 31},	//282 Nepomuk::ResourceManager::staticMetaObject() const
    {27, 295, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 261, 1},	//283 Nepomuk::Service::metaObject() const
    {27, 337, 1, 1, Smoke::mf_virtual, 284, 2},	//284 Nepomuk::Service::qt_metacast(const char*)
    {27, 475, 3, 2, Smoke::mf_static, 118, 3},	//285 Nepomuk::Service::tr(const char*, const char*)
    {27, 479, 3, 2, Smoke::mf_static, 118, 4},	//286 Nepomuk::Service::trUtf8(const char*, const char*)
    {27, 475, 6, 3, Smoke::mf_static, 118, 5},	//287 Nepomuk::Service::tr(const char*, const char*, int)
    {27, 479, 6, 3, Smoke::mf_static, 118, 6},	//288 Nepomuk::Service::trUtf8(const char*, const char*, int)
    {27, 335, 10, 3, Smoke::mf_virtual, 279, 7},	//289 Nepomuk::Service::qt_metacall(QMetaObject::Call, int, void**)
    {27, 59, 124, 2, Smoke::mf_ctor, 39, 8},	//290 Nepomuk::Service::Service(QObject*, bool)
    {27, 291, 0, 0, Smoke::mf_protected, 207, 9},	//291 Nepomuk::Service::mainModel()
    {27, 410, 127, 1, Smoke::mf_protected, 0, 10},	//292 Nepomuk::Service::setServiceInitialized(bool)
    {27, 475, 1, 1, Smoke::mf_static, 118, 11},	//293 Nepomuk::Service::tr(const char*)
    {27, 479, 1, 1, Smoke::mf_static, 118, 12},	//294 Nepomuk::Service::trUtf8(const char*)
    {27, 59, 0, 0, Smoke::mf_ctor, 39, 13},	//295 Nepomuk::Service::Service()
    {27, 59, 129, 1, Smoke::mf_ctor, 39, 14},	//296 Nepomuk::Service::Service(QObject*)
    {27, 428, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 260, 15},	//297 Nepomuk::Service::staticMetaObject() const
    {27, 513, 0, 0, Smoke::mf_dtor, 0, 16 },	//298 Nepomuk::Service::~Service()
    {28, 63, 0, 0, Smoke::mf_ctor, 42, 1},	//299 Nepomuk::Tag::Tag()
    {28, 63, 78, 1, Smoke::mf_ctor, 42, 2},	//300 Nepomuk::Tag::Tag(Nepomuk::ResourceManager*)
    {28, 63, 111, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 42, 3},	//301 Nepomuk::Tag::Tag(const Nepomuk::Tag&)
    {28, 63, 29, 1, Smoke::mf_ctor, 42, 4},	//302 Nepomuk::Tag::Tag(const Nepomuk::Resource&)
    {28, 63, 16, 1, Smoke::mf_ctor, 42, 5},	//303 Nepomuk::Tag::Tag(const QString&)
    {28, 63, 131, 2, Smoke::mf_ctor, 42, 6},	//304 Nepomuk::Tag::Tag(const QString&, Nepomuk::ResourceManager*)
    {28, 63, 37, 1, Smoke::mf_ctor, 42, 7},	//305 Nepomuk::Tag::Tag(const QUrl&)
    {28, 63, 134, 2, Smoke::mf_ctor, 42, 8},	//306 Nepomuk::Tag::Tag(const QUrl&, Nepomuk::ResourceManager*)
    {28, 316, 111, 1, 0, 41, 9},	//307 Nepomuk::Tag::operator=(const Nepomuk::Tag&)
    {28, 438, 0, 0, Smoke::mf_const, 87, 10},	//308 Nepomuk::Tag::tagOf() const
    {28, 131, 0, 0, Smoke::mf_static, 88, 11},	//309 Nepomuk::Tag::allTags()
    {28, 360, 0, 0, Smoke::mf_static, 118, 12},	//310 Nepomuk::Tag::resourceTypeUri()
    {28, 63, 80, 2, Smoke::mf_ctor|Smoke::mf_protected, 42, 13},	//311 Nepomuk::Tag::Tag(const QString&, const QUrl&)
    {28, 63, 87, 2, Smoke::mf_ctor|Smoke::mf_protected, 42, 14},	//312 Nepomuk::Tag::Tag(const QUrl&, const QUrl&)
    {28, 63, 83, 3, Smoke::mf_ctor|Smoke::mf_protected, 42, 15},	//313 Nepomuk::Tag::Tag(const QString&, const QUrl&, Nepomuk::ResourceManager*)
    {28, 63, 90, 3, Smoke::mf_ctor|Smoke::mf_protected, 42, 16},	//314 Nepomuk::Tag::Tag(const QUrl&, const QUrl&, Nepomuk::ResourceManager*)
    {28, 514, 0, 0, Smoke::mf_dtor, 0, 17 },	//315 Nepomuk::Tag::~Tag()
    {29, 295, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 261, 1},	//316 Nepomuk::TagCloud::metaObject() const
    {29, 337, 1, 1, Smoke::mf_virtual, 284, 2},	//317 Nepomuk::TagCloud::qt_metacast(const char*)
    {29, 475, 3, 2, Smoke::mf_static, 118, 3},	//318 Nepomuk::TagCloud::tr(const char*, const char*)
    {29, 479, 3, 2, Smoke::mf_static, 118, 4},	//319 Nepomuk::TagCloud::trUtf8(const char*, const char*)
    {29, 475, 6, 3, Smoke::mf_static, 118, 5},	//320 Nepomuk::TagCloud::tr(const char*, const char*, int)
    {29, 479, 6, 3, Smoke::mf_static, 118, 6},	//321 Nepomuk::TagCloud::trUtf8(const char*, const char*, int)
    {29, 335, 10, 3, Smoke::mf_virtual, 279, 7},	//322 Nepomuk::TagCloud::qt_metacall(QMetaObject::Call, int, void**)
    {29, 70, 14, 1, Smoke::mf_ctor, 43, 8},	//323 Nepomuk::TagCloud::TagCloud(QWidget*)
    {29, 141, 0, 0, Smoke::mf_const, 214, 9},	//324 Nepomuk::TagCloud::autoUpdate() const
    {29, 486, 0, 0, Smoke::mf_slot, 0, 10},	//325 Nepomuk::TagCloud::updateTags()
    {29, 373, 127, 1, Smoke::mf_slot, 0, 11},	//326 Nepomuk::TagCloud::setAutoUpdate(bool)
    {29, 435, 137, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 12},	//327 Nepomuk::TagCloud::tagClicked(Nepomuk::Tag)
    {29, 475, 1, 1, Smoke::mf_static, 118, 13},	//328 Nepomuk::TagCloud::tr(const char*)
    {29, 479, 1, 1, Smoke::mf_static, 118, 14},	//329 Nepomuk::TagCloud::trUtf8(const char*)
    {29, 70, 0, 0, Smoke::mf_ctor, 43, 15},	//330 Nepomuk::TagCloud::TagCloud()
    {29, 428, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 260, 16},	//331 Nepomuk::TagCloud::staticMetaObject() const
    {29, 515, 0, 0, Smoke::mf_dtor, 0, 17 },	//332 Nepomuk::TagCloud::~TagCloud()
    {30, 295, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 261, 1},	//333 Nepomuk::TagWidget::metaObject() const
    {30, 337, 1, 1, Smoke::mf_virtual, 284, 2},	//334 Nepomuk::TagWidget::qt_metacast(const char*)
    {30, 475, 3, 2, Smoke::mf_static, 118, 3},	//335 Nepomuk::TagWidget::tr(const char*, const char*)
    {30, 479, 3, 2, Smoke::mf_static, 118, 4},	//336 Nepomuk::TagWidget::trUtf8(const char*, const char*)
    {30, 475, 6, 3, Smoke::mf_static, 118, 5},	//337 Nepomuk::TagWidget::tr(const char*, const char*, int)
    {30, 479, 6, 3, Smoke::mf_static, 118, 6},	//338 Nepomuk::TagWidget::trUtf8(const char*, const char*, int)
    {30, 335, 10, 3, Smoke::mf_virtual, 279, 7},	//339 Nepomuk::TagWidget::qt_metacall(QMetaObject::Call, int, void**)
    {30, 72, 139, 2, Smoke::mf_ctor, 44, 8},	//340 Nepomuk::TagWidget::TagWidget(const Nepomuk::Resource&, QWidget*)
    {30, 72, 14, 1, Smoke::mf_ctor, 44, 9},	//341 Nepomuk::TagWidget::TagWidget(QWidget*)
    {30, 442, 0, 0, Smoke::mf_const, 87, 10},	//342 Nepomuk::TagWidget::taggedResources() const
    {30, 140, 0, 0, Smoke::mf_const, 88, 11},	//343 Nepomuk::TagWidget::assignedTags() const
    {30, 362, 0, 0, Smoke::mf_const, 88, 12},	//344 Nepomuk::TagWidget::selectedTags() const
    {30, 294, 0, 0, Smoke::mf_const, 279, 13},	//345 Nepomuk::TagWidget::maxTagsShown() const
    {30, 118, 0, 0, Smoke::mf_const, 79, 14},	//346 Nepomuk::TagWidget::alignment() const
    {30, 299, 0, 0, Smoke::mf_const, 78, 15},	//347 Nepomuk::TagWidget::modeFlags() const
    {30, 435, 137, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 16},	//348 Nepomuk::TagWidget::tagClicked(Nepomuk::Tag)
    {30, 363, 109, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 17},	//349 Nepomuk::TagWidget::selectionChanged(const QList<Nepomuk::Tag>&)
    {30, 414, 29, 1, Smoke::mf_slot, 0, 18},	//350 Nepomuk::TagWidget::setTaggedResource(const Nepomuk::Resource&)
    {30, 416, 107, 1, Smoke::mf_slot, 0, 19},	//351 Nepomuk::TagWidget::setTaggedResources(const QList<Nepomuk::Resource>&)
    {30, 371, 109, 1, Smoke::mf_slot, 0, 20},	//352 Nepomuk::TagWidget::setAssignedTags(const QList<Nepomuk::Tag>&)
    {30, 406, 109, 1, Smoke::mf_slot, 0, 21},	//353 Nepomuk::TagWidget::setSelectedTags(const QList<Nepomuk::Tag>&)
    {30, 391, 23, 1, Smoke::mf_slot, 0, 22},	//354 Nepomuk::TagWidget::setMaxTagsShown(int)
    {30, 365, 142, 1, Smoke::mf_slot, 0, 23},	//355 Nepomuk::TagWidget::setAlignment(Qt::Alignment)
    {30, 395, 144, 1, Smoke::mf_slot, 0, 24},	//356 Nepomuk::TagWidget::setModeFlags(Nepomuk::TagWidget::ModeFlags)
    {30, 475, 1, 1, Smoke::mf_static, 118, 25},	//357 Nepomuk::TagWidget::tr(const char*)
    {30, 479, 1, 1, Smoke::mf_static, 118, 26},	//358 Nepomuk::TagWidget::trUtf8(const char*)
    {30, 72, 29, 1, Smoke::mf_ctor, 44, 27},	//359 Nepomuk::TagWidget::TagWidget(const Nepomuk::Resource&)
    {30, 72, 0, 0, Smoke::mf_ctor, 44, 28},	//360 Nepomuk::TagWidget::TagWidget()
    {30, 428, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 260, 29},	//361 Nepomuk::TagWidget::staticMetaObject() const
    {30, 26, 0, 0, Smoke::mf_static|Smoke::mf_enum, 45, 30},	//362 Nepomuk::TagWidget::MiniMode (enum)
    {30, 62, 0, 0, Smoke::mf_static|Smoke::mf_enum, 45, 31},	//363 Nepomuk::TagWidget::StandardMode (enum)
    {30, 50, 0, 0, Smoke::mf_static|Smoke::mf_enum, 45, 32},	//364 Nepomuk::TagWidget::ReadOnly (enum)
    {30, 6, 0, 0, Smoke::mf_static|Smoke::mf_enum, 45, 33},	//365 Nepomuk::TagWidget::DisableTagClicking (enum)
    {30, 516, 0, 0, Smoke::mf_dtor, 0, 34 },	//366 Nepomuk::TagWidget::~TagWidget()
    {31, 75, 87, 2, Smoke::mf_ctor, 49, 1},	//367 Nepomuk::Thing::Thing(const QUrl&, const QUrl&)
    {31, 75, 90, 3, Smoke::mf_ctor, 49, 2},	//368 Nepomuk::Thing::Thing(const QUrl&, const QUrl&, Nepomuk::ResourceManager*)
    {31, 75, 80, 2, Smoke::mf_ctor, 49, 3},	//369 Nepomuk::Thing::Thing(const QString&, const QUrl&)
    {31, 75, 83, 3, Smoke::mf_ctor, 49, 4},	//370 Nepomuk::Thing::Thing(const QString&, const QUrl&, Nepomuk::ResourceManager*)
    {31, 75, 146, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 49, 5},	//371 Nepomuk::Thing::Thing(const Nepomuk::Thing&)
    {31, 75, 29, 1, Smoke::mf_ctor, 49, 6},	//372 Nepomuk::Thing::Thing(const Nepomuk::Resource&)
    {31, 75, 94, 1, Smoke::mf_ctor, 49, 7},	//373 Nepomuk::Thing::Thing(Nepomuk::ResourceData*)
    {31, 316, 146, 1, 0, 48, 8},	//374 Nepomuk::Thing::operator=(const Nepomuk::Thing&)
    {31, 316, 29, 1, 0, 48, 9},	//375 Nepomuk::Thing::operator=(const Nepomuk::Resource&)
    {31, 316, 37, 1, 0, 48, 10},	//376 Nepomuk::Thing::operator=(const QUrl&)
    {31, 221, 0, 0, Smoke::mf_const, 87, 11},	//377 Nepomuk::Thing::groundingOccurrences() const
    {31, 345, 0, 0, Smoke::mf_const, 87, 12},	//378 Nepomuk::Thing::referencingOccurrences() const
    {31, 312, 0, 0, Smoke::mf_const, 87, 13},	//379 Nepomuk::Thing::occurrences() const
    {31, 96, 29, 1, 0, 0, 14},	//380 Nepomuk::Thing::addGroundingOccurrence(const Nepomuk::Resource&)
    {31, 75, 0, 0, Smoke::mf_ctor, 49, 15},	//381 Nepomuk::Thing::Thing()
    {31, 75, 37, 1, Smoke::mf_ctor, 49, 16},	//382 Nepomuk::Thing::Thing(const QUrl&)
    {31, 75, 16, 1, Smoke::mf_ctor, 49, 17},	//383 Nepomuk::Thing::Thing(const QString&)
    {31, 517, 0, 0, Smoke::mf_dtor, 0, 18 },	//384 Nepomuk::Thing::~Thing()
    {32, 333, 148, 1, Smoke::mf_static, 282, 1},	//385 Nepomuk::Types::qHash(const Nepomuk::Types::Entity&)
    {33, 1, 0, 0, Smoke::mf_ctor, 52, 1},	//386 Nepomuk::Types::Class::Class()
    {33, 1, 37, 1, Smoke::mf_ctor, 52, 2},	//387 Nepomuk::Types::Class::Class(const QUrl&)
    {33, 1, 150, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 52, 3},	//388 Nepomuk::Types::Class::Class(const Nepomuk::Types::Class&)
    {33, 316, 150, 1, 0, 51, 4},	//389 Nepomuk::Types::Class::operator=(const Nepomuk::Types::Class&)
    {33, 340, 0, 0, 0, 90, 5},	//390 Nepomuk::Types::Class::rangeOf()
    {33, 340, 0, 0, Smoke::mf_const, 90, 6},	//391 Nepomuk::Types::Class::rangeOf() const
    {33, 169, 0, 0, 0, 90, 7},	//392 Nepomuk::Types::Class::domainOf()
    {33, 169, 0, 0, Smoke::mf_const, 90, 8},	//393 Nepomuk::Types::Class::domainOf() const
    {33, 196, 16, 1, 0, 60, 9},	//394 Nepomuk::Types::Class::findPropertyByName(const QString&)
    {33, 196, 16, 1, Smoke::mf_const, 60, 10},	//395 Nepomuk::Types::Class::findPropertyByName(const QString&) const
    {33, 193, 41, 2, 0, 60, 11},	//396 Nepomuk::Types::Class::findPropertyByLabel(const QString&, const QString&)
    {33, 193, 41, 2, Smoke::mf_const, 60, 12},	//397 Nepomuk::Types::Class::findPropertyByLabel(const QString&, const QString&) const
    {33, 325, 0, 0, 0, 89, 13},	//398 Nepomuk::Types::Class::parentClasses()
    {33, 325, 0, 0, Smoke::mf_const, 89, 14},	//399 Nepomuk::Types::Class::parentClasses() const
    {33, 430, 0, 0, 0, 89, 15},	//400 Nepomuk::Types::Class::subClasses()
    {33, 430, 0, 0, Smoke::mf_const, 89, 16},	//401 Nepomuk::Types::Class::subClasses() const
    {33, 121, 0, 0, 0, 89, 17},	//402 Nepomuk::Types::Class::allParentClasses()
    {33, 121, 0, 0, Smoke::mf_const, 89, 18},	//403 Nepomuk::Types::Class::allParentClasses() const
    {33, 130, 0, 0, 0, 89, 19},	//404 Nepomuk::Types::Class::allSubClasses()
    {33, 130, 0, 0, Smoke::mf_const, 89, 20},	//405 Nepomuk::Types::Class::allSubClasses() const
    {33, 255, 150, 1, 0, 214, 21},	//406 Nepomuk::Types::Class::isParentOf(const Nepomuk::Types::Class&)
    {33, 255, 150, 1, Smoke::mf_const, 214, 22},	//407 Nepomuk::Types::Class::isParentOf(const Nepomuk::Types::Class&) const
    {33, 264, 150, 1, 0, 214, 23},	//408 Nepomuk::Types::Class::isSubClassOf(const Nepomuk::Types::Class&)
    {33, 264, 150, 1, Smoke::mf_const, 214, 24},	//409 Nepomuk::Types::Class::isSubClassOf(const Nepomuk::Types::Class&) const
    {33, 193, 16, 1, 0, 60, 25},	//410 Nepomuk::Types::Class::findPropertyByLabel(const QString&)
    {33, 193, 16, 1, Smoke::mf_const, 60, 26},	//411 Nepomuk::Types::Class::findPropertyByLabel(const QString&) const
    {33, 499, 0, 0, Smoke::mf_dtor, 0, 27 },	//412 Nepomuk::Types::Class::~Class()
    {34, 9, 148, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 54, 1},	//413 Nepomuk::Types::Entity::Entity(const Nepomuk::Types::Entity&)
    {34, 316, 148, 1, 0, 53, 2},	//414 Nepomuk::Types::Entity::operator=(const Nepomuk::Types::Entity&)
    {34, 305, 0, 0, Smoke::mf_const, 118, 3},	//415 Nepomuk::Types::Entity::name() const
    {34, 487, 0, 0, Smoke::mf_const, 125, 4},	//416 Nepomuk::Types::Entity::uri() const
    {34, 281, 16, 1, 0, 118, 5},	//417 Nepomuk::Types::Entity::label(const QString&)
    {34, 281, 16, 1, Smoke::mf_const, 118, 6},	//418 Nepomuk::Types::Entity::label(const QString&) const
    {34, 149, 16, 1, 0, 118, 7},	//419 Nepomuk::Types::Entity::comment(const QString&)
    {34, 149, 16, 1, Smoke::mf_const, 118, 8},	//420 Nepomuk::Types::Entity::comment(const QString&) const
    {34, 230, 0, 0, 0, 84, 9},	//421 Nepomuk::Types::Entity::icon()
    {34, 230, 0, 0, Smoke::mf_const, 84, 10},	//422 Nepomuk::Types::Entity::icon() const
    {34, 278, 0, 0, Smoke::mf_const, 214, 11},	//423 Nepomuk::Types::Entity::isValid() const
    {34, 240, 0, 0, 0, 214, 12},	//424 Nepomuk::Types::Entity::isAvailable()
    {34, 240, 0, 0, Smoke::mf_const, 214, 13},	//425 Nepomuk::Types::Entity::isAvailable() const
    {34, 353, 127, 1, 0, 0, 14},	//426 Nepomuk::Types::Entity::reset(bool)
    {34, 490, 0, 0, Smoke::mf_const, 214, 15},	//427 Nepomuk::Types::Entity::userVisible() const
    {34, 313, 0, 0, Smoke::mf_const, 125, 16},	//428 Nepomuk::Types::Entity::operator QUrl() const
    {34, 319, 148, 1, Smoke::mf_const, 214, 17},	//429 Nepomuk::Types::Entity::operator==(const Nepomuk::Types::Entity&) const
    {34, 319, 37, 1, Smoke::mf_const, 214, 18},	//430 Nepomuk::Types::Entity::operator==(const QUrl&) const
    {34, 314, 148, 1, Smoke::mf_const, 214, 19},	//431 Nepomuk::Types::Entity::operator!=(const Nepomuk::Types::Entity&) const
    {34, 314, 37, 1, Smoke::mf_const, 214, 20},	//432 Nepomuk::Types::Entity::operator!=(const QUrl&) const
    {34, 9, 0, 0, Smoke::mf_ctor|Smoke::mf_protected, 54, 21},	//433 Nepomuk::Types::Entity::Entity()
    {34, 281, 0, 0, 0, 118, 22},	//434 Nepomuk::Types::Entity::label()
    {34, 281, 0, 0, Smoke::mf_const, 118, 23},	//435 Nepomuk::Types::Entity::label() const
    {34, 149, 0, 0, 0, 118, 24},	//436 Nepomuk::Types::Entity::comment()
    {34, 149, 0, 0, Smoke::mf_const, 118, 25},	//437 Nepomuk::Types::Entity::comment() const
    {34, 353, 0, 0, 0, 0, 26},	//438 Nepomuk::Types::Entity::reset()
    {34, 501, 0, 0, Smoke::mf_dtor, 0, 27 },	//439 Nepomuk::Types::Entity::~Entity()
    {35, 24, 0, 0, Smoke::mf_ctor, 57, 1},	//440 Nepomuk::Types::Literal::Literal()
    {35, 24, 152, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 57, 2},	//441 Nepomuk::Types::Literal::Literal(const Nepomuk::Types::Literal&)
    {35, 24, 37, 1, Smoke::mf_ctor, 57, 3},	//442 Nepomuk::Types::Literal::Literal(const QUrl&)
    {35, 316, 152, 1, 0, 56, 4},	//443 Nepomuk::Types::Literal::operator=(const Nepomuk::Types::Literal&)
    {35, 159, 0, 0, Smoke::mf_const, 125, 5},	//444 Nepomuk::Types::Literal::dataTypeUri() const
    {35, 158, 0, 0, Smoke::mf_const, 127, 6},	//445 Nepomuk::Types::Literal::dataType() const
    {35, 278, 0, 0, Smoke::mf_const, 214, 7},	//446 Nepomuk::Types::Literal::isValid() const
    {35, 506, 0, 0, Smoke::mf_dtor, 0, 8 },	//447 Nepomuk::Types::Literal::~Literal()
    {36, 30, 0, 0, Smoke::mf_ctor, 59, 1},	//448 Nepomuk::Types::Ontology::Ontology()
    {36, 30, 37, 1, Smoke::mf_ctor, 59, 2},	//449 Nepomuk::Types::Ontology::Ontology(const QUrl&)
    {36, 30, 154, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 59, 3},	//450 Nepomuk::Types::Ontology::Ontology(const Nepomuk::Types::Ontology&)
    {36, 316, 154, 1, 0, 58, 4},	//451 Nepomuk::Types::Ontology::operator=(const Nepomuk::Types::Ontology&)
    {36, 119, 0, 0, 0, 89, 5},	//452 Nepomuk::Types::Ontology::allClasses()
    {36, 189, 16, 1, 0, 50, 6},	//453 Nepomuk::Types::Ontology::findClassByName(const QString&)
    {36, 186, 41, 2, 0, 50, 7},	//454 Nepomuk::Types::Ontology::findClassByLabel(const QString&, const QString&)
    {36, 122, 0, 0, 0, 90, 8},	//455 Nepomuk::Types::Ontology::allProperties()
    {36, 196, 16, 1, 0, 60, 9},	//456 Nepomuk::Types::Ontology::findPropertyByName(const QString&)
    {36, 193, 41, 2, 0, 60, 10},	//457 Nepomuk::Types::Ontology::findPropertyByLabel(const QString&, const QString&)
    {36, 186, 16, 1, 0, 50, 11},	//458 Nepomuk::Types::Ontology::findClassByLabel(const QString&)
    {36, 193, 16, 1, 0, 60, 12},	//459 Nepomuk::Types::Ontology::findPropertyByLabel(const QString&)
    {36, 508, 0, 0, Smoke::mf_dtor, 0, 13 },	//460 Nepomuk::Types::Ontology::~Ontology()
    {37, 36, 0, 0, Smoke::mf_ctor, 62, 1},	//461 Nepomuk::Types::Property::Property()
    {37, 36, 37, 1, Smoke::mf_ctor, 62, 2},	//462 Nepomuk::Types::Property::Property(const QUrl&)
    {37, 36, 156, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 62, 3},	//463 Nepomuk::Types::Property::Property(const Nepomuk::Types::Property&)
    {37, 316, 156, 1, 0, 61, 4},	//464 Nepomuk::Types::Property::operator=(const Nepomuk::Types::Property&)
    {37, 327, 0, 0, 0, 90, 5},	//465 Nepomuk::Types::Property::parentProperties()
    {37, 327, 0, 0, Smoke::mf_const, 90, 6},	//466 Nepomuk::Types::Property::parentProperties() const
    {37, 431, 0, 0, 0, 90, 7},	//467 Nepomuk::Types::Property::subProperties()
    {37, 431, 0, 0, Smoke::mf_const, 90, 8},	//468 Nepomuk::Types::Property::subProperties() const
    {37, 239, 0, 0, 0, 60, 9},	//469 Nepomuk::Types::Property::inverseProperty()
    {37, 239, 0, 0, Smoke::mf_const, 60, 10},	//470 Nepomuk::Types::Property::inverseProperty() const
    {37, 339, 0, 0, 0, 50, 11},	//471 Nepomuk::Types::Property::range()
    {37, 339, 0, 0, Smoke::mf_const, 50, 12},	//472 Nepomuk::Types::Property::range() const
    {37, 286, 0, 0, 0, 55, 13},	//473 Nepomuk::Types::Property::literalRangeType()
    {37, 286, 0, 0, Smoke::mf_const, 55, 14},	//474 Nepomuk::Types::Property::literalRangeType() const
    {37, 168, 0, 0, 0, 50, 15},	//475 Nepomuk::Types::Property::domain()
    {37, 168, 0, 0, Smoke::mf_const, 50, 16},	//476 Nepomuk::Types::Property::domain() const
    {37, 142, 0, 0, 0, 279, 17},	//477 Nepomuk::Types::Property::cardinality()
    {37, 142, 0, 0, Smoke::mf_const, 279, 18},	//478 Nepomuk::Types::Property::cardinality() const
    {37, 297, 0, 0, 0, 279, 19},	//479 Nepomuk::Types::Property::minCardinality()
    {37, 297, 0, 0, Smoke::mf_const, 279, 20},	//480 Nepomuk::Types::Property::minCardinality() const
    {37, 293, 0, 0, 0, 279, 21},	//481 Nepomuk::Types::Property::maxCardinality()
    {37, 293, 0, 0, Smoke::mf_const, 279, 22},	//482 Nepomuk::Types::Property::maxCardinality() const
    {37, 255, 156, 1, 0, 214, 23},	//483 Nepomuk::Types::Property::isParentOf(const Nepomuk::Types::Property&)
    {37, 255, 156, 1, Smoke::mf_const, 214, 24},	//484 Nepomuk::Types::Property::isParentOf(const Nepomuk::Types::Property&) const
    {37, 266, 156, 1, 0, 214, 25},	//485 Nepomuk::Types::Property::isSubPropertyOf(const Nepomuk::Types::Property&)
    {37, 266, 156, 1, Smoke::mf_const, 214, 26},	//486 Nepomuk::Types::Property::isSubPropertyOf(const Nepomuk::Types::Property&) const
    {37, 511, 0, 0, Smoke::mf_dtor, 0, 27 },	//487 Nepomuk::Types::Property::~Property()
    {38, 83, 0, 0, Smoke::mf_ctor, 65, 1},	//488 Nepomuk::Variant::Variant()
    {38, 83, 31, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 65, 2},	//489 Nepomuk::Variant::Variant(const Nepomuk::Variant&)
    {38, 83, 158, 1, Smoke::mf_ctor, 65, 3},	//490 Nepomuk::Variant::Variant(const QVariant&)
    {38, 83, 23, 1, Smoke::mf_ctor, 65, 4},	//491 Nepomuk::Variant::Variant(int)
    {38, 83, 160, 1, Smoke::mf_ctor, 65, 5},	//492 Nepomuk::Variant::Variant(long long)
    {38, 83, 162, 1, Smoke::mf_ctor, 65, 6},	//493 Nepomuk::Variant::Variant(unsigned int)
    {38, 83, 164, 1, Smoke::mf_ctor, 65, 7},	//494 Nepomuk::Variant::Variant(unsigned long long)
    {38, 83, 127, 1, Smoke::mf_ctor, 65, 8},	//495 Nepomuk::Variant::Variant(bool)
    {38, 83, 166, 1, Smoke::mf_ctor, 65, 9},	//496 Nepomuk::Variant::Variant(double)
    {38, 83, 1, 1, Smoke::mf_ctor, 65, 10},	//497 Nepomuk::Variant::Variant(const char*)
    {38, 83, 16, 1, Smoke::mf_ctor, 65, 11},	//498 Nepomuk::Variant::Variant(const QString&)
    {38, 83, 168, 1, Smoke::mf_ctor, 65, 12},	//499 Nepomuk::Variant::Variant(const QDate&)
    {38, 83, 170, 1, Smoke::mf_ctor, 65, 13},	//500 Nepomuk::Variant::Variant(const QTime&)
    {38, 83, 172, 1, Smoke::mf_ctor, 65, 14},	//501 Nepomuk::Variant::Variant(const QDateTime&)
    {38, 83, 37, 1, Smoke::mf_ctor, 65, 15},	//502 Nepomuk::Variant::Variant(const QUrl&)
    {38, 83, 29, 1, Smoke::mf_ctor, 65, 16},	//503 Nepomuk::Variant::Variant(const Nepomuk::Resource&)
    {38, 83, 174, 1, Smoke::mf_ctor, 65, 17},	//504 Nepomuk::Variant::Variant(const QList<int>&)
    {38, 83, 176, 1, Smoke::mf_ctor, 65, 18},	//505 Nepomuk::Variant::Variant(const QList<long long>&)
    {38, 83, 178, 1, Smoke::mf_ctor, 65, 19},	//506 Nepomuk::Variant::Variant(const QList<unsigned int>&)
    {38, 83, 180, 1, Smoke::mf_ctor, 65, 20},	//507 Nepomuk::Variant::Variant(const QList<unsigned long long>&)
    {38, 83, 182, 1, Smoke::mf_ctor, 65, 21},	//508 Nepomuk::Variant::Variant(const QList<bool>&)
    {38, 83, 184, 1, Smoke::mf_ctor, 65, 22},	//509 Nepomuk::Variant::Variant(const QList<double>&)
    {38, 83, 27, 1, Smoke::mf_ctor, 65, 23},	//510 Nepomuk::Variant::Variant(const QStringList&)
    {38, 83, 186, 1, Smoke::mf_ctor, 65, 24},	//511 Nepomuk::Variant::Variant(const QList<QDate>&)
    {38, 83, 188, 1, Smoke::mf_ctor, 65, 25},	//512 Nepomuk::Variant::Variant(const QList<QTime>&)
    {38, 83, 190, 1, Smoke::mf_ctor, 65, 26},	//513 Nepomuk::Variant::Variant(const QList<QDateTime>&)
    {38, 83, 96, 1, Smoke::mf_ctor, 65, 27},	//514 Nepomuk::Variant::Variant(const QList<QUrl>&)
    {38, 83, 107, 1, Smoke::mf_ctor, 65, 28},	//515 Nepomuk::Variant::Variant(const QList<Nepomuk::Resource>&)
    {38, 83, 192, 1, Smoke::mf_ctor, 65, 29},	//516 Nepomuk::Variant::Variant(const QList<Nepomuk::Variant>&)
    {38, 316, 31, 1, 0, 64, 30},	//517 Nepomuk::Variant::operator=(const Nepomuk::Variant&)
    {38, 316, 23, 1, 0, 64, 31},	//518 Nepomuk::Variant::operator=(int)
    {38, 316, 160, 1, 0, 64, 32},	//519 Nepomuk::Variant::operator=(long long)
    {38, 316, 162, 1, 0, 64, 33},	//520 Nepomuk::Variant::operator=(unsigned int)
    {38, 316, 164, 1, 0, 64, 34},	//521 Nepomuk::Variant::operator=(unsigned long long)
    {38, 316, 127, 1, 0, 64, 35},	//522 Nepomuk::Variant::operator=(bool)
    {38, 316, 166, 1, 0, 64, 36},	//523 Nepomuk::Variant::operator=(double)
    {38, 316, 16, 1, 0, 64, 37},	//524 Nepomuk::Variant::operator=(const QString&)
    {38, 316, 168, 1, 0, 64, 38},	//525 Nepomuk::Variant::operator=(const QDate&)
    {38, 316, 170, 1, 0, 64, 39},	//526 Nepomuk::Variant::operator=(const QTime&)
    {38, 316, 172, 1, 0, 64, 40},	//527 Nepomuk::Variant::operator=(const QDateTime&)
    {38, 316, 37, 1, 0, 64, 41},	//528 Nepomuk::Variant::operator=(const QUrl&)
    {38, 316, 29, 1, 0, 64, 42},	//529 Nepomuk::Variant::operator=(const Nepomuk::Resource&)
    {38, 316, 174, 1, 0, 64, 43},	//530 Nepomuk::Variant::operator=(const QList<int>&)
    {38, 316, 176, 1, 0, 64, 44},	//531 Nepomuk::Variant::operator=(const QList<long long>&)
    {38, 316, 178, 1, 0, 64, 45},	//532 Nepomuk::Variant::operator=(const QList<unsigned int>&)
    {38, 316, 180, 1, 0, 64, 46},	//533 Nepomuk::Variant::operator=(const QList<unsigned long long>&)
    {38, 316, 182, 1, 0, 64, 47},	//534 Nepomuk::Variant::operator=(const QList<bool>&)
    {38, 316, 184, 1, 0, 64, 48},	//535 Nepomuk::Variant::operator=(const QList<double>&)
    {38, 316, 27, 1, 0, 64, 49},	//536 Nepomuk::Variant::operator=(const QStringList&)
    {38, 316, 186, 1, 0, 64, 50},	//537 Nepomuk::Variant::operator=(const QList<QDate>&)
    {38, 316, 188, 1, 0, 64, 51},	//538 Nepomuk::Variant::operator=(const QList<QTime>&)
    {38, 316, 190, 1, 0, 64, 52},	//539 Nepomuk::Variant::operator=(const QList<QDateTime>&)
    {38, 316, 96, 1, 0, 64, 53},	//540 Nepomuk::Variant::operator=(const QList<QUrl>&)
    {38, 316, 107, 1, 0, 64, 54},	//541 Nepomuk::Variant::operator=(const QList<Nepomuk::Resource>&)
    {38, 137, 23, 1, 0, 0, 55},	//542 Nepomuk::Variant::append(int)
    {38, 137, 160, 1, 0, 0, 56},	//543 Nepomuk::Variant::append(long long)
    {38, 137, 162, 1, 0, 0, 57},	//544 Nepomuk::Variant::append(unsigned int)
    {38, 137, 164, 1, 0, 0, 58},	//545 Nepomuk::Variant::append(unsigned long long)
    {38, 137, 127, 1, 0, 0, 59},	//546 Nepomuk::Variant::append(bool)
    {38, 137, 166, 1, 0, 0, 60},	//547 Nepomuk::Variant::append(double)
    {38, 137, 16, 1, 0, 0, 61},	//548 Nepomuk::Variant::append(const QString&)
    {38, 137, 168, 1, 0, 0, 62},	//549 Nepomuk::Variant::append(const QDate&)
    {38, 137, 170, 1, 0, 0, 63},	//550 Nepomuk::Variant::append(const QTime&)
    {38, 137, 172, 1, 0, 0, 64},	//551 Nepomuk::Variant::append(const QDateTime&)
    {38, 137, 37, 1, 0, 0, 65},	//552 Nepomuk::Variant::append(const QUrl&)
    {38, 137, 29, 1, 0, 0, 66},	//553 Nepomuk::Variant::append(const Nepomuk::Resource&)
    {38, 137, 31, 1, 0, 0, 67},	//554 Nepomuk::Variant::append(const Nepomuk::Variant&)
    {38, 319, 31, 1, Smoke::mf_const, 214, 68},	//555 Nepomuk::Variant::operator==(const Nepomuk::Variant&) const
    {38, 314, 31, 1, Smoke::mf_const, 214, 69},	//556 Nepomuk::Variant::operator!=(const Nepomuk::Variant&) const
    {38, 278, 0, 0, Smoke::mf_const, 214, 70},	//557 Nepomuk::Variant::isValid() const
    {38, 483, 0, 0, Smoke::mf_const, 279, 71},	//558 Nepomuk::Variant::type() const
    {38, 426, 0, 0, Smoke::mf_const, 279, 72},	//559 Nepomuk::Variant::simpleType() const
    {38, 254, 0, 0, Smoke::mf_const, 214, 73},	//560 Nepomuk::Variant::isList() const
    {38, 250, 0, 0, Smoke::mf_const, 214, 74},	//561 Nepomuk::Variant::isInt() const
    {38, 251, 0, 0, Smoke::mf_const, 214, 75},	//562 Nepomuk::Variant::isInt64() const
    {38, 272, 0, 0, Smoke::mf_const, 214, 76},	//563 Nepomuk::Variant::isUnsignedInt() const
    {38, 273, 0, 0, Smoke::mf_const, 214, 77},	//564 Nepomuk::Variant::isUnsignedInt64() const
    {38, 241, 0, 0, Smoke::mf_const, 214, 78},	//565 Nepomuk::Variant::isBool() const
    {38, 247, 0, 0, Smoke::mf_const, 214, 79},	//566 Nepomuk::Variant::isDouble() const
    {38, 262, 0, 0, Smoke::mf_const, 214, 80},	//567 Nepomuk::Variant::isString() const
    {38, 243, 0, 0, Smoke::mf_const, 214, 81},	//568 Nepomuk::Variant::isDate() const
    {38, 268, 0, 0, Smoke::mf_const, 214, 82},	//569 Nepomuk::Variant::isTime() const
    {38, 245, 0, 0, Smoke::mf_const, 214, 83},	//570 Nepomuk::Variant::isDateTime() const
    {38, 276, 0, 0, Smoke::mf_const, 214, 84},	//571 Nepomuk::Variant::isUrl() const
    {38, 260, 0, 0, Smoke::mf_const, 214, 85},	//572 Nepomuk::Variant::isResource() const
    {38, 253, 0, 0, Smoke::mf_const, 214, 86},	//573 Nepomuk::Variant::isIntList() const
    {38, 252, 0, 0, Smoke::mf_const, 214, 87},	//574 Nepomuk::Variant::isInt64List() const
    {38, 275, 0, 0, Smoke::mf_const, 214, 88},	//575 Nepomuk::Variant::isUnsignedIntList() const
    {38, 274, 0, 0, Smoke::mf_const, 214, 89},	//576 Nepomuk::Variant::isUnsignedInt64List() const
    {38, 242, 0, 0, Smoke::mf_const, 214, 90},	//577 Nepomuk::Variant::isBoolList() const
    {38, 248, 0, 0, Smoke::mf_const, 214, 91},	//578 Nepomuk::Variant::isDoubleList() const
    {38, 263, 0, 0, Smoke::mf_const, 214, 92},	//579 Nepomuk::Variant::isStringList() const
    {38, 244, 0, 0, Smoke::mf_const, 214, 93},	//580 Nepomuk::Variant::isDateList() const
    {38, 269, 0, 0, Smoke::mf_const, 214, 94},	//581 Nepomuk::Variant::isTimeList() const
    {38, 246, 0, 0, Smoke::mf_const, 214, 95},	//582 Nepomuk::Variant::isDateTimeList() const
    {38, 277, 0, 0, Smoke::mf_const, 214, 96},	//583 Nepomuk::Variant::isUrlList() const
    {38, 261, 0, 0, Smoke::mf_const, 214, 97},	//584 Nepomuk::Variant::isResourceList() const
    {38, 495, 0, 0, Smoke::mf_const, 126, 98},	//585 Nepomuk::Variant::variant() const
    {38, 454, 0, 0, Smoke::mf_const, 279, 99},	//586 Nepomuk::Variant::toInt() const
    {38, 455, 0, 0, Smoke::mf_const, 281, 100},	//587 Nepomuk::Variant::toInt64() const
    {38, 466, 0, 0, Smoke::mf_const, 282, 101},	//588 Nepomuk::Variant::toUnsignedInt() const
    {38, 467, 0, 0, Smoke::mf_const, 283, 102},	//589 Nepomuk::Variant::toUnsignedInt64() const
    {38, 445, 0, 0, Smoke::mf_const, 214, 103},	//590 Nepomuk::Variant::toBool() const
    {38, 451, 0, 0, Smoke::mf_const, 278, 104},	//591 Nepomuk::Variant::toDouble() const
    {38, 462, 0, 0, Smoke::mf_const, 118, 105},	//592 Nepomuk::Variant::toString() const
    {38, 447, 0, 0, Smoke::mf_const, 71, 106},	//593 Nepomuk::Variant::toDate() const
    {38, 464, 0, 0, Smoke::mf_const, 123, 107},	//594 Nepomuk::Variant::toTime() const
    {38, 449, 0, 0, Smoke::mf_const, 72, 108},	//595 Nepomuk::Variant::toDateTime() const
    {38, 470, 0, 0, Smoke::mf_const, 125, 109},	//596 Nepomuk::Variant::toUrl() const
    {38, 460, 0, 0, Smoke::mf_const, 34, 110},	//597 Nepomuk::Variant::toResource() const
    {38, 457, 0, 0, Smoke::mf_const, 102, 111},	//598 Nepomuk::Variant::toIntList() const
    {38, 456, 0, 0, Smoke::mf_const, 103, 112},	//599 Nepomuk::Variant::toInt64List() const
    {38, 469, 0, 0, Smoke::mf_const, 104, 113},	//600 Nepomuk::Variant::toUnsignedIntList() const
    {38, 468, 0, 0, Smoke::mf_const, 105, 114},	//601 Nepomuk::Variant::toUnsignedInt64List() const
    {38, 446, 0, 0, Smoke::mf_const, 98, 115},	//602 Nepomuk::Variant::toBoolList() const
    {38, 452, 0, 0, Smoke::mf_const, 101, 116},	//603 Nepomuk::Variant::toDoubleList() const
    {38, 463, 0, 0, Smoke::mf_const, 119, 117},	//604 Nepomuk::Variant::toStringList() const
    {38, 448, 0, 0, Smoke::mf_const, 92, 118},	//605 Nepomuk::Variant::toDateList() const
    {38, 465, 0, 0, Smoke::mf_const, 94, 119},	//606 Nepomuk::Variant::toTimeList() const
    {38, 450, 0, 0, Smoke::mf_const, 93, 120},	//607 Nepomuk::Variant::toDateTimeList() const
    {38, 471, 0, 0, Smoke::mf_const, 95, 121},	//608 Nepomuk::Variant::toUrlList() const
    {38, 461, 0, 0, Smoke::mf_const, 87, 122},	//609 Nepomuk::Variant::toResourceList() const
    {38, 472, 0, 0, Smoke::mf_const, 91, 123},	//610 Nepomuk::Variant::toVariantList() const
    {38, 458, 0, 0, Smoke::mf_const, 208, 124},	//611 Nepomuk::Variant::toNode() const
    {38, 459, 0, 0, Smoke::mf_const, 96, 125},	//612 Nepomuk::Variant::toNodeList() const
    {38, 212, 18, 2, Smoke::mf_static, 63, 126},	//613 Nepomuk::Variant::fromString(const QString&, int)
    {38, 204, 35, 1, Smoke::mf_static, 63, 127},	//614 Nepomuk::Variant::fromNode(const Soprano::Node&)
    {38, 206, 194, 1, Smoke::mf_static, 63, 128},	//615 Nepomuk::Variant::fromNodeList(const QList<Soprano::Node>&)
    {38, 518, 0, 0, Smoke::mf_dtor, 0, 129 },	//616 Nepomuk::Variant::~Variant()
    {53, 38, 0, 0, Smoke::mf_static|Smoke::mf_enum, 280, 1},	//617 QGlobalSpace::Q_COMPLEX_TYPE (enum)
    {53, 41, 0, 0, Smoke::mf_static|Smoke::mf_enum, 280, 2},	//618 QGlobalSpace::Q_PRIMITIVE_TYPE (enum)
    {53, 42, 0, 0, Smoke::mf_static|Smoke::mf_enum, 280, 3},	//619 QGlobalSpace::Q_STATIC_TYPE (enum)
    {53, 40, 0, 0, Smoke::mf_static|Smoke::mf_enum, 280, 4},	//620 QGlobalSpace::Q_MOVABLE_TYPE (enum)
    {53, 39, 0, 0, Smoke::mf_static|Smoke::mf_enum, 280, 5},	//621 QGlobalSpace::Q_DUMMY_TYPE (enum)
    {53, 44, 0, 0, Smoke::mf_static|Smoke::mf_enum, 203, 6},	//622 QGlobalSpace::QtDebugMsg (enum)
    {53, 47, 0, 0, Smoke::mf_static|Smoke::mf_enum, 203, 7},	//623 QGlobalSpace::QtWarningMsg (enum)
    {53, 43, 0, 0, Smoke::mf_static|Smoke::mf_enum, 203, 8},	//624 QGlobalSpace::QtCriticalMsg (enum)
    {53, 45, 0, 0, Smoke::mf_static|Smoke::mf_enum, 203, 9},	//625 QGlobalSpace::QtFatalMsg (enum)
    {53, 46, 0, 0, Smoke::mf_static|Smoke::mf_enum, 203, 10},	//626 QGlobalSpace::QtSystemMsg (enum)
    {53, 89, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 11},	//627 QGlobalSpace::__codecvt_ok (enum)
    {53, 90, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 12},	//628 QGlobalSpace::__codecvt_partial (enum)
    {53, 87, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 13},	//629 QGlobalSpace::__codecvt_error (enum)
    {53, 88, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 14},	//630 QGlobalSpace::__codecvt_noconv (enum)
    {61, 180, 196, 1, Smoke::mf_virtual, 214, 0},	//631 QObject::event(QEvent*)
    {61, 181, 198, 2, Smoke::mf_virtual, 214, 0},	//632 QObject::eventFilter(QObject*, QEvent*)
    {61, 444, 201, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//633 QObject::timerEvent(QTimerEvent*)
    {61, 144, 203, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//634 QObject::childEvent(QChildEvent*)
    {61, 157, 196, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//635 QObject::customEvent(QEvent*)
    {61, 151, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//636 QObject::connectNotify(const char*)
    {61, 167, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//637 QObject::disconnectNotify(const char*)
    {76, 165, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 279, 0},	//638 QWidget::devType() const
    {76, 424, 127, 1, Smoke::mf_property|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//639 QWidget::setVisible(bool)
    {76, 427, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_virtual, 117, 0},	//640 QWidget::sizeHint() const
    {76, 298, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_virtual, 117, 0},	//641 QWidget::minimumSizeHint() const
    {76, 228, 23, 1, Smoke::mf_const|Smoke::mf_virtual, 279, 0},	//642 QWidget::heightForWidth(int) const
    {76, 322, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 112, 0},	//643 QWidget::paintEngine() const
    {76, 180, 196, 1, Smoke::mf_protected|Smoke::mf_virtual, 214, 0},	//644 QWidget::event(QEvent*)
    {76, 302, 205, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//645 QWidget::mousePressEvent(QMouseEvent*)
    {76, 303, 205, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//646 QWidget::mouseReleaseEvent(QMouseEvent*)
    {76, 300, 205, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//647 QWidget::mouseDoubleClickEvent(QMouseEvent*)
    {76, 301, 205, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//648 QWidget::mouseMoveEvent(QMouseEvent*)
    {76, 496, 207, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//649 QWidget::wheelEvent(QWheelEvent*)
    {76, 279, 209, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//650 QWidget::keyPressEvent(QKeyEvent*)
    {76, 280, 209, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//651 QWidget::keyReleaseEvent(QKeyEvent*)
    {76, 200, 211, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//652 QWidget::focusInEvent(QFocusEvent*)
    {76, 202, 211, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//653 QWidget::focusOutEvent(QFocusEvent*)
    {76, 175, 196, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//654 QWidget::enterEvent(QEvent*)
    {76, 285, 196, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//655 QWidget::leaveEvent(QEvent*)
    {76, 323, 213, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//656 QWidget::paintEvent(QPaintEvent*)
    {76, 304, 215, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//657 QWidget::moveEvent(QMoveEvent*)
    {76, 355, 25, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//658 QWidget::resizeEvent(QResizeEvent*)
    {76, 148, 217, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//659 QWidget::closeEvent(QCloseEvent*)
    {76, 152, 219, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//660 QWidget::contextMenuEvent(QContextMenuEvent*)
    {76, 434, 221, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//661 QWidget::tabletEvent(QTabletEvent*)
    {76, 91, 223, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//662 QWidget::actionEvent(QActionEvent*)
    {76, 170, 225, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//663 QWidget::dragEnterEvent(QDragEnterEvent*)
    {76, 172, 227, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//664 QWidget::dragMoveEvent(QDragMoveEvent*)
    {76, 171, 229, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//665 QWidget::dragLeaveEvent(QDragLeaveEvent*)
    {76, 173, 231, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//666 QWidget::dropEvent(QDropEvent*)
    {76, 425, 233, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//667 QWidget::showEvent(QShowEvent*)
    {76, 229, 235, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//668 QWidget::hideEvent(QHideEvent*)
    {76, 498, 237, 1, Smoke::mf_protected|Smoke::mf_virtual, 214, 0},	//669 QWidget::x11Event(_XEvent*)
    {76, 143, 196, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//670 QWidget::changeEvent(QEvent*)
    {76, 296, 239, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 279, 0},	//671 QWidget::metric(QPaintDevice::PaintDeviceMetric) const
    {76, 236, 241, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//672 QWidget::inputMethodEvent(QInputMethodEvent*)
    {76, 237, 243, 1, Smoke::mf_const|Smoke::mf_virtual, 126, 0},	//673 QWidget::inputMethodQuery(Qt::InputMethodQuery) const
    {76, 201, 127, 1, Smoke::mf_protected|Smoke::mf_virtual, 214, 0},	//674 QWidget::focusNextPrevChild(bool)
    {76, 429, 245, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//675 QWidget::styleChange(QStyle&)
    {76, 174, 127, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//676 QWidget::enabledChange(bool)
    {76, 324, 247, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//677 QWidget::paletteChange(const QPalette&)
    {76, 203, 249, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//678 QWidget::fontChange(const QFont&)
    {76, 497, 127, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//679 QWidget::windowActivationChange(bool)
    {76, 284, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//680 QWidget::languageChange()
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    462,  // Nepomuk::Types::Property::Property(const QUrl&)
    463,  // Nepomuk::Types::Property::Property(const Nepomuk::Types::Property&)
    0,
    477,  // Nepomuk::Types::Property::cardinality()
    478,  // Nepomuk::Types::Property::cardinality() const
    0,
    475,  // Nepomuk::Types::Property::domain()
    476,  // Nepomuk::Types::Property::domain() const
    0,
    469,  // Nepomuk::Types::Property::inverseProperty()
    470,  // Nepomuk::Types::Property::inverseProperty() const
    0,
    483,  // Nepomuk::Types::Property::isParentOf(const Nepomuk::Types::Property&)
    484,  // Nepomuk::Types::Property::isParentOf(const Nepomuk::Types::Property&) const
    0,
    485,  // Nepomuk::Types::Property::isSubPropertyOf(const Nepomuk::Types::Property&)
    486,  // Nepomuk::Types::Property::isSubPropertyOf(const Nepomuk::Types::Property&) const
    0,
    473,  // Nepomuk::Types::Property::literalRangeType()
    474,  // Nepomuk::Types::Property::literalRangeType() const
    0,
    481,  // Nepomuk::Types::Property::maxCardinality()
    482,  // Nepomuk::Types::Property::maxCardinality() const
    0,
    479,  // Nepomuk::Types::Property::minCardinality()
    480,  // Nepomuk::Types::Property::minCardinality() const
    0,
    465,  // Nepomuk::Types::Property::parentProperties()
    466,  // Nepomuk::Types::Property::parentProperties() const
    0,
    471,  // Nepomuk::Types::Property::range()
    472,  // Nepomuk::Types::Property::range() const
    0,
    467,  // Nepomuk::Types::Property::subProperties()
    468,  // Nepomuk::Types::Property::subProperties() const
    0,
    387,  // Nepomuk::Types::Class::Class(const QUrl&)
    388,  // Nepomuk::Types::Class::Class(const Nepomuk::Types::Class&)
    0,
    402,  // Nepomuk::Types::Class::allParentClasses()
    403,  // Nepomuk::Types::Class::allParentClasses() const
    0,
    404,  // Nepomuk::Types::Class::allSubClasses()
    405,  // Nepomuk::Types::Class::allSubClasses() const
    0,
    392,  // Nepomuk::Types::Class::domainOf()
    393,  // Nepomuk::Types::Class::domainOf() const
    0,
    410,  // Nepomuk::Types::Class::findPropertyByLabel(const QString&)
    411,  // Nepomuk::Types::Class::findPropertyByLabel(const QString&) const
    0,
    396,  // Nepomuk::Types::Class::findPropertyByLabel(const QString&, const QString&)
    397,  // Nepomuk::Types::Class::findPropertyByLabel(const QString&, const QString&) const
    0,
    394,  // Nepomuk::Types::Class::findPropertyByName(const QString&)
    395,  // Nepomuk::Types::Class::findPropertyByName(const QString&) const
    0,
    406,  // Nepomuk::Types::Class::isParentOf(const Nepomuk::Types::Class&)
    407,  // Nepomuk::Types::Class::isParentOf(const Nepomuk::Types::Class&) const
    0,
    408,  // Nepomuk::Types::Class::isSubClassOf(const Nepomuk::Types::Class&)
    409,  // Nepomuk::Types::Class::isSubClassOf(const Nepomuk::Types::Class&) const
    0,
    398,  // Nepomuk::Types::Class::parentClasses()
    399,  // Nepomuk::Types::Class::parentClasses() const
    0,
    390,  // Nepomuk::Types::Class::rangeOf()
    391,  // Nepomuk::Types::Class::rangeOf() const
    0,
    400,  // Nepomuk::Types::Class::subClasses()
    401,  // Nepomuk::Types::Class::subClasses() const
    0,
    156,  // Nepomuk::Resource::Resource(Nepomuk::ResourceManager*)
    157,  // Nepomuk::Resource::Resource(const Nepomuk::Resource&)
    163,  // Nepomuk::Resource::Resource(Nepomuk::ResourceData*)
    248,  // Nepomuk::Resource::Resource(const QUrl&)
    0,
    164,  // Nepomuk::Resource::operator=(const Nepomuk::Resource&)
    165,  // Nepomuk::Resource::operator=(const QUrl&)
    0,
    436,  // Nepomuk::Types::Entity::comment()
    437,  // Nepomuk::Types::Entity::comment() const
    0,
    419,  // Nepomuk::Types::Entity::comment(const QString&)
    420,  // Nepomuk::Types::Entity::comment(const QString&) const
    0,
    421,  // Nepomuk::Types::Entity::icon()
    422,  // Nepomuk::Types::Entity::icon() const
    0,
    424,  // Nepomuk::Types::Entity::isAvailable()
    425,  // Nepomuk::Types::Entity::isAvailable() const
    0,
    434,  // Nepomuk::Types::Entity::label()
    435,  // Nepomuk::Types::Entity::label() const
    0,
    417,  // Nepomuk::Types::Entity::label(const QString&)
    418,  // Nepomuk::Types::Entity::label(const QString&) const
    0,
    431,  // Nepomuk::Types::Entity::operator!=(const Nepomuk::Types::Entity&) const
    432,  // Nepomuk::Types::Entity::operator!=(const QUrl&) const
    0,
    429,  // Nepomuk::Types::Entity::operator==(const Nepomuk::Types::Entity&) const
    430,  // Nepomuk::Types::Entity::operator==(const QUrl&) const
    0,
    300,  // Nepomuk::Tag::Tag(Nepomuk::ResourceManager*)
    301,  // Nepomuk::Tag::Tag(const Nepomuk::Tag&)
    302,  // Nepomuk::Tag::Tag(const Nepomuk::Resource&)
    305,  // Nepomuk::Tag::Tag(const QUrl&)
    0,
    306,  // Nepomuk::Tag::Tag(const QUrl&, Nepomuk::ResourceManager*)
    312,  // Nepomuk::Tag::Tag(const QUrl&, const QUrl&)
    0,
    304,  // Nepomuk::Tag::Tag(const QString&, Nepomuk::ResourceManager*)
    311,  // Nepomuk::Tag::Tag(const QString&, const QUrl&)
    0,
    371,  // Nepomuk::Thing::Thing(const Nepomuk::Thing&)
    372,  // Nepomuk::Thing::Thing(const Nepomuk::Resource&)
    373,  // Nepomuk::Thing::Thing(Nepomuk::ResourceData*)
    382,  // Nepomuk::Thing::Thing(const QUrl&)
    0,
    374,  // Nepomuk::Thing::operator=(const Nepomuk::Thing&)
    375,  // Nepomuk::Thing::operator=(const Nepomuk::Resource&)
    376,  // Nepomuk::Thing::operator=(const QUrl&)
    0,
    341,  // Nepomuk::TagWidget::TagWidget(QWidget*)
    359,  // Nepomuk::TagWidget::TagWidget(const Nepomuk::Resource&)
    0,
    449,  // Nepomuk::Types::Ontology::Ontology(const QUrl&)
    450,  // Nepomuk::Types::Ontology::Ontology(const Nepomuk::Types::Ontology&)
    0,
    106,  // Nepomuk::Literal::Literal(const Nepomuk::Literal&)
    107,  // Nepomuk::Literal::Literal(const QUrl&)
    0,
    88,  // Nepomuk::File::File(const Nepomuk::Resource&)
    92,  // Nepomuk::File::File(const Nepomuk::File&)
    94,  // Nepomuk::File::File(const KUrl&)
    0,
    441,  // Nepomuk::Types::Literal::Literal(const Nepomuk::Types::Literal&)
    442,  // Nepomuk::Types::Literal::Literal(const QUrl&)
    0,
    489,  // Nepomuk::Variant::Variant(const Nepomuk::Variant&)
    490,  // Nepomuk::Variant::Variant(const QVariant&)
    499,  // Nepomuk::Variant::Variant(const QDate&)
    500,  // Nepomuk::Variant::Variant(const QTime&)
    501,  // Nepomuk::Variant::Variant(const QDateTime&)
    502,  // Nepomuk::Variant::Variant(const QUrl&)
    503,  // Nepomuk::Variant::Variant(const Nepomuk::Resource&)
    0,
    491,  // Nepomuk::Variant::Variant(int)
    492,  // Nepomuk::Variant::Variant(long long)
    493,  // Nepomuk::Variant::Variant(unsigned int)
    494,  // Nepomuk::Variant::Variant(unsigned long long)
    495,  // Nepomuk::Variant::Variant(bool)
    496,  // Nepomuk::Variant::Variant(double)
    497,  // Nepomuk::Variant::Variant(const char*)
    498,  // Nepomuk::Variant::Variant(const QString&)
    0,
    504,  // Nepomuk::Variant::Variant(const QList<int>&)
    505,  // Nepomuk::Variant::Variant(const QList<long long>&)
    506,  // Nepomuk::Variant::Variant(const QList<unsigned int>&)
    507,  // Nepomuk::Variant::Variant(const QList<unsigned long long>&)
    508,  // Nepomuk::Variant::Variant(const QList<bool>&)
    509,  // Nepomuk::Variant::Variant(const QList<double>&)
    510,  // Nepomuk::Variant::Variant(const QStringList&)
    511,  // Nepomuk::Variant::Variant(const QList<QDate>&)
    512,  // Nepomuk::Variant::Variant(const QList<QTime>&)
    513,  // Nepomuk::Variant::Variant(const QList<QDateTime>&)
    514,  // Nepomuk::Variant::Variant(const QList<QUrl>&)
    515,  // Nepomuk::Variant::Variant(const QList<Nepomuk::Resource>&)
    516,  // Nepomuk::Variant::Variant(const QList<Nepomuk::Variant>&)
    0,
    549,  // Nepomuk::Variant::append(const QDate&)
    550,  // Nepomuk::Variant::append(const QTime&)
    551,  // Nepomuk::Variant::append(const QDateTime&)
    552,  // Nepomuk::Variant::append(const QUrl&)
    553,  // Nepomuk::Variant::append(const Nepomuk::Resource&)
    554,  // Nepomuk::Variant::append(const Nepomuk::Variant&)
    0,
    542,  // Nepomuk::Variant::append(int)
    543,  // Nepomuk::Variant::append(long long)
    544,  // Nepomuk::Variant::append(unsigned int)
    545,  // Nepomuk::Variant::append(unsigned long long)
    546,  // Nepomuk::Variant::append(bool)
    547,  // Nepomuk::Variant::append(double)
    548,  // Nepomuk::Variant::append(const QString&)
    0,
    517,  // Nepomuk::Variant::operator=(const Nepomuk::Variant&)
    525,  // Nepomuk::Variant::operator=(const QDate&)
    526,  // Nepomuk::Variant::operator=(const QTime&)
    527,  // Nepomuk::Variant::operator=(const QDateTime&)
    528,  // Nepomuk::Variant::operator=(const QUrl&)
    529,  // Nepomuk::Variant::operator=(const Nepomuk::Resource&)
    0,
    518,  // Nepomuk::Variant::operator=(int)
    519,  // Nepomuk::Variant::operator=(long long)
    520,  // Nepomuk::Variant::operator=(unsigned int)
    521,  // Nepomuk::Variant::operator=(unsigned long long)
    522,  // Nepomuk::Variant::operator=(bool)
    523,  // Nepomuk::Variant::operator=(double)
    524,  // Nepomuk::Variant::operator=(const QString&)
    0,
    530,  // Nepomuk::Variant::operator=(const QList<int>&)
    531,  // Nepomuk::Variant::operator=(const QList<long long>&)
    532,  // Nepomuk::Variant::operator=(const QList<unsigned int>&)
    533,  // Nepomuk::Variant::operator=(const QList<unsigned long long>&)
    534,  // Nepomuk::Variant::operator=(const QList<bool>&)
    535,  // Nepomuk::Variant::operator=(const QList<double>&)
    536,  // Nepomuk::Variant::operator=(const QStringList&)
    537,  // Nepomuk::Variant::operator=(const QList<QDate>&)
    538,  // Nepomuk::Variant::operator=(const QList<QTime>&)
    539,  // Nepomuk::Variant::operator=(const QList<QDateTime>&)
    540,  // Nepomuk::Variant::operator=(const QList<QUrl>&)
    541,  // Nepomuk::Variant::operator=(const QList<Nepomuk::Resource>&)
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {6, 20, 19},	// KTagCloudWidget::KTagCloudWidget
    {6, 21, 8},	// KTagCloudWidget::KTagCloudWidget#
    {6, 111, 10},	// KTagCloudWidget::addTag$$
    {6, 113, 11},	// KTagCloudWidget::addTags?
    {6, 146, 12},	// KTagCloudWidget::clear
    {6, 295, 1},	// KTagCloudWidget::metaObject
    {6, 336, 7},	// KTagCloudWidget::qt_metacall$$?
    {6, 338, 2},	// KTagCloudWidget::qt_metacast$
    {6, 356, 16},	// KTagCloudWidget::resizeEvent#
    {6, 390, 13},	// KTagCloudWidget::setMaxFontSize$
    {6, 394, 14},	// KTagCloudWidget::setMinFontSize$
    {6, 428, 20},	// KTagCloudWidget::staticMetaObject
    {6, 437, 15},	// KTagCloudWidget::tagClicked$
    {6, 441, 9},	// KTagCloudWidget::tagWeight$
    {6, 476, 17},	// KTagCloudWidget::tr$
    {6, 477, 3},	// KTagCloudWidget::tr$$
    {6, 478, 5},	// KTagCloudWidget::tr$$$
    {6, 480, 18},	// KTagCloudWidget::trUtf8$
    {6, 481, 4},	// KTagCloudWidget::trUtf8$$
    {6, 482, 6},	// KTagCloudWidget::trUtf8$$$
    {6, 504, 21},	// KTagCloudWidget::~KTagCloudWidget
    {7, 22, 37},	// KTagDisplayWidget::KTagDisplayWidget
    {7, 23, 29},	// KTagDisplayWidget::KTagDisplayWidget#
    {7, 110, 31},	// KTagDisplayWidget::addTag$
    {7, 113, 32},	// KTagDisplayWidget::addTags?
    {7, 146, 33},	// KTagDisplayWidget::clear
    {7, 295, 22},	// KTagDisplayWidget::metaObject
    {7, 336, 28},	// KTagDisplayWidget::qt_metacall$$?
    {7, 338, 23},	// KTagDisplayWidget::qt_metacast$
    {7, 419, 30},	// KTagDisplayWidget::setTags?
    {7, 428, 38},	// KTagDisplayWidget::staticMetaObject
    {7, 437, 34},	// KTagDisplayWidget::tagClicked$
    {7, 476, 35},	// KTagDisplayWidget::tr$
    {7, 477, 24},	// KTagDisplayWidget::tr$$
    {7, 478, 26},	// KTagDisplayWidget::tr$$$
    {7, 480, 36},	// KTagDisplayWidget::trUtf8$
    {7, 481, 25},	// KTagDisplayWidget::trUtf8$$
    {7, 482, 27},	// KTagDisplayWidget::trUtf8$$$
    {7, 505, 39},	// KTagDisplayWidget::~KTagDisplayWidget
    {9, 3, 54},	// Nepomuk::CommunicationError
    {9, 19, 55},	// Nepomuk::InvalidType
    {9, 29, 53},	// Nepomuk::NoError
    {9, 49, 50},	// Nepomuk::RDFLiteralToValue#
    {9, 82, 56},	// Nepomuk::UnknownError
    {9, 160, 46},	// Nepomuk::defaultGraph
    {9, 179, 45},	// Nepomuk::errorString$
    {9, 184, 51},	// Nepomuk::extractNamespace#
    {9, 306, 49},	// Nepomuk::naoNamespace
    {9, 311, 44},	// Nepomuk::nrlNamespace
    {9, 334, 41},	// Nepomuk::qHash#
    {9, 343, 40},	// Nepomuk::rdfNamepace
    {9, 344, 48},	// Nepomuk::rdfsNamespace
    {9, 376, 43},	// Nepomuk::setDefaultRepository$
    {9, 484, 47},	// Nepomuk::typePredicate
    {9, 492, 52},	// Nepomuk::valueToRDFNode#
    {9, 494, 42},	// Nepomuk::valuesToRDFNodes#
    {10, 1, 57},	// Nepomuk::Class::Class
    {10, 2, 58},	// Nepomuk::Class::Class#
    {10, 122, 60},	// Nepomuk::Class::allProperties
    {10, 194, 69},	// Nepomuk::Class::findPropertyByLabel$
    {10, 195, 62},	// Nepomuk::Class::findPropertyByLabel$$
    {10, 197, 61},	// Nepomuk::Class::findPropertyByName$
    {10, 199, 63},	// Nepomuk::Class::findPropertyByUri#
    {10, 256, 66},	// Nepomuk::Class::isParentOf#
    {10, 265, 67},	// Nepomuk::Class::isSubClassOf#
    {10, 288, 68},	// Nepomuk::Class::load#
    {10, 317, 59},	// Nepomuk::Class::operator=#
    {10, 325, 64},	// Nepomuk::Class::parentClasses
    {10, 430, 65},	// Nepomuk::Class::subClasses
    {10, 499, 70},	// Nepomuk::Class::~Class
    {11, 4, 71},	// Nepomuk::DesktopOntologyLoader::DesktopOntologyLoader
    {11, 5, 74},	// Nepomuk::DesktopOntologyLoader::DesktopOntologyLoader#
    {11, 120, 72},	// Nepomuk::DesktopOntologyLoader::allOntologies
    {11, 290, 73},	// Nepomuk::DesktopOntologyLoader::loadOntology#
    {11, 500, 75},	// Nepomuk::DesktopOntologyLoader::~DesktopOntologyLoader
    {12, 9, 83},	// Nepomuk::Entity::Entity
    {12, 10, 76},	// Nepomuk::Entity::Entity#
    {12, 149, 85},	// Nepomuk::Entity::comment
    {12, 150, 82},	// Nepomuk::Entity::comment$
    {12, 161, 78},	// Nepomuk::Entity::definingOntology
    {12, 281, 84},	// Nepomuk::Entity::label
    {12, 282, 81},	// Nepomuk::Entity::label$
    {12, 305, 79},	// Nepomuk::Entity::name
    {12, 317, 77},	// Nepomuk::Entity::operator=#
    {12, 487, 80},	// Nepomuk::Entity::uri
    {12, 501, 86},	// Nepomuk::Entity::~Entity
    {13, 11, 93},	// Nepomuk::File::File
    {13, 12, -134},	// Nepomuk::File::File#
    {13, 13, 87},	// Nepomuk::File::File##
    {13, 166, 91},	// Nepomuk::File::dirResource
    {13, 317, 89},	// Nepomuk::File::operator=#
    {13, 488, 90},	// Nepomuk::File::url
    {13, 502, 95},	// Nepomuk::File::~File
    {14, 14, 96},	// Nepomuk::FileOntologyLoader::FileOntologyLoader
    {14, 15, 102},	// Nepomuk::FileOntologyLoader::FileOntologyLoader#
    {14, 16, 103},	// Nepomuk::FileOntologyLoader::FileOntologyLoader$
    {14, 17, 97},	// Nepomuk::FileOntologyLoader::FileOntologyLoader$$
    {14, 185, 99},	// Nepomuk::FileOntologyLoader::fileName
    {14, 290, 101},	// Nepomuk::FileOntologyLoader::loadOntology#
    {14, 380, 98},	// Nepomuk::FileOntologyLoader::setFileName$
    {14, 409, 100},	// Nepomuk::FileOntologyLoader::setSerialization$
    {14, 503, 104},	// Nepomuk::FileOntologyLoader::~FileOntologyLoader
    {15, 24, 105},	// Nepomuk::Literal::Literal
    {15, 25, -131},	// Nepomuk::Literal::Literal#
    {15, 158, 110},	// Nepomuk::Literal::dataType
    {15, 159, 109},	// Nepomuk::Literal::dataTypeUri
    {15, 317, 108},	// Nepomuk::Literal::operator=#
    {15, 506, 111},	// Nepomuk::Literal::~Literal
    {16, 27, 112},	// Nepomuk::NepomukOntologyLoader::NepomukOntologyLoader
    {16, 28, 114},	// Nepomuk::NepomukOntologyLoader::NepomukOntologyLoader#
    {16, 290, 113},	// Nepomuk::NepomukOntologyLoader::loadOntology#
    {16, 507, 115},	// Nepomuk::NepomukOntologyLoader::~NepomukOntologyLoader
    {17, 30, 116},	// Nepomuk::Ontology::Ontology
    {17, 31, 117},	// Nepomuk::Ontology::Ontology#
    {17, 119, 120},	// Nepomuk::Ontology::allClasses
    {17, 122, 124},	// Nepomuk::Ontology::allProperties
    {17, 187, 129},	// Nepomuk::Ontology::findClassByLabel$
    {17, 188, 122},	// Nepomuk::Ontology::findClassByLabel$$
    {17, 190, 121},	// Nepomuk::Ontology::findClassByName$
    {17, 192, 123},	// Nepomuk::Ontology::findClassByUri#
    {17, 194, 130},	// Nepomuk::Ontology::findPropertyByLabel$
    {17, 195, 126},	// Nepomuk::Ontology::findPropertyByLabel$$
    {17, 197, 125},	// Nepomuk::Ontology::findPropertyByName$
    {17, 199, 127},	// Nepomuk::Ontology::findPropertyByUri#
    {17, 288, 128},	// Nepomuk::Ontology::load#
    {17, 317, 118},	// Nepomuk::Ontology::operator=#
    {17, 487, 119},	// Nepomuk::Ontology::uri
    {17, 508, 131},	// Nepomuk::Ontology::~Ontology
    {18, 32, 133},	// Nepomuk::OntologyLoader::OntologyLoader
    {18, 33, 134},	// Nepomuk::OntologyLoader::OntologyLoader#
    {18, 290, 132},	// Nepomuk::OntologyLoader::loadOntology#
    {18, 509, 135},	// Nepomuk::OntologyLoader::~OntologyLoader
    {19, 35, 139},	// Nepomuk::OntologyManager::OntologyManager#
    {19, 220, 138},	// Nepomuk::OntologyManager::getOntology#
    {19, 238, 136},	// Nepomuk::OntologyManager::instance
    {19, 398, 137},	// Nepomuk::OntologyManager::setOntologyLoader#
    {19, 510, 140},	// Nepomuk::OntologyManager::~OntologyManager
    {20, 36, 141},	// Nepomuk::Property::Property
    {20, 37, 142},	// Nepomuk::Property::Property#
    {20, 142, 150},	// Nepomuk::Property::cardinality
    {20, 168, 149},	// Nepomuk::Property::domain
    {20, 239, 146},	// Nepomuk::Property::inverseProperty
    {20, 286, 148},	// Nepomuk::Property::literalRangeType
    {20, 288, 153},	// Nepomuk::Property::load#
    {20, 293, 152},	// Nepomuk::Property::maxCardinality
    {20, 297, 151},	// Nepomuk::Property::minCardinality
    {20, 317, 143},	// Nepomuk::Property::operator=#
    {20, 326, 145},	// Nepomuk::Property::parentOf
    {20, 327, 144},	// Nepomuk::Property::parentProperties
    {20, 339, 147},	// Nepomuk::Property::range
    {20, 511, 154},	// Nepomuk::Property::~Property
    {24, 51, 155},	// Nepomuk::Resource::Resource
    {24, 52, -73},	// Nepomuk::Resource::Resource#
    {24, 53, 161},	// Nepomuk::Resource::Resource##
    {24, 54, 162},	// Nepomuk::Resource::Resource###
    {24, 55, 247},	// Nepomuk::Resource::Resource$
    {24, 56, 158},	// Nepomuk::Resource::Resource$#
    {24, 57, 159},	// Nepomuk::Resource::Resource$##
    {24, 58, 160},	// Nepomuk::Resource::Resource$$
    {24, 93, 207},	// Nepomuk::Resource::addAltLabel$
    {24, 95, 211},	// Nepomuk::Resource::addAnnotation#
    {24, 99, 203},	// Nepomuk::Resource::addIdentifier$
    {24, 101, 227},	// Nepomuk::Resource::addIsRelated#
    {24, 103, 223},	// Nepomuk::Resource::addIsTopicOf#
    {24, 105, 184},	// Nepomuk::Resource::addProperty##
    {24, 107, 237},	// Nepomuk::Resource::addSymbol$
    {24, 109, 215},	// Nepomuk::Resource::addTag#
    {24, 115, 219},	// Nepomuk::Resource::addTopic#
    {24, 117, 173},	// Nepomuk::Resource::addType#
    {24, 122, 176},	// Nepomuk::Resource::allProperties
    {24, 123, 241},	// Nepomuk::Resource::allResources
    {24, 132, 208},	// Nepomuk::Resource::altLabelUri
    {24, 133, 205},	// Nepomuk::Resource::altLabels
    {24, 134, 239},	// Nepomuk::Resource::annotationOf
    {24, 135, 212},	// Nepomuk::Resource::annotationUri
    {24, 136, 209},	// Nepomuk::Resource::annotations
    {24, 145, 175},	// Nepomuk::Resource::className
    {24, 163, 198},	// Nepomuk::Resource::description
    {24, 164, 200},	// Nepomuk::Resource::descriptionUri
    {24, 182, 190},	// Nepomuk::Resource::exists
    {24, 209, 249},	// Nepomuk::Resource::fromResourceUri#
    {24, 210, 250},	// Nepomuk::Resource::fromResourceUri##
    {24, 211, 246},	// Nepomuk::Resource::fromResourceUri###
    {24, 216, 193},	// Nepomuk::Resource::genericDescription
    {24, 217, 194},	// Nepomuk::Resource::genericIcon
    {24, 218, 192},	// Nepomuk::Resource::genericLabel
    {24, 223, 178},	// Nepomuk::Resource::hasProperty#
    {24, 224, 179},	// Nepomuk::Resource::hasProperty##
    {24, 225, 180},	// Nepomuk::Resource::hasProperty$
    {24, 227, 174},	// Nepomuk::Resource::hasType#
    {24, 231, 204},	// Nepomuk::Resource::identifierUri
    {24, 232, 201},	// Nepomuk::Resource::identifiers
    {24, 233, 243},	// Nepomuk::Resource::increaseUsageCount
    {24, 249, 244},	// Nepomuk::Resource::isFile
    {24, 257, 240},	// Nepomuk::Resource::isRelatedOf
    {24, 258, 228},	// Nepomuk::Resource::isRelatedUri
    {24, 259, 225},	// Nepomuk::Resource::isRelateds
    {24, 270, 224},	// Nepomuk::Resource::isTopicOfUri
    {24, 271, 221},	// Nepomuk::Resource::isTopicOfs
    {24, 278, 191},	// Nepomuk::Resource::isValid
    {24, 281, 229},	// Nepomuk::Resource::label
    {24, 283, 231},	// Nepomuk::Resource::labelUri
    {24, 292, 166},	// Nepomuk::Resource::manager
    {24, 315, 197},	// Nepomuk::Resource::operator!=#
    {24, 317, -78},	// Nepomuk::Resource::operator=#
    {24, 320, 196},	// Nepomuk::Resource::operator==#
    {24, 328, 195},	// Nepomuk::Resource::pimoThing
    {24, 329, 177},	// Nepomuk::Resource::properties
    {24, 331, 181},	// Nepomuk::Resource::property#
    {24, 332, 182},	// Nepomuk::Resource::property$
    {24, 341, 232},	// Nepomuk::Resource::rating
    {24, 342, 234},	// Nepomuk::Resource::ratingUri
    {24, 346, 189},	// Nepomuk::Resource::remove
    {24, 348, 186},	// Nepomuk::Resource::removeProperty#
    {24, 349, 187},	// Nepomuk::Resource::removeProperty##
    {24, 350, 188},	// Nepomuk::Resource::removeProperty$
    {24, 359, 170},	// Nepomuk::Resource::resourceType
    {24, 361, 168},	// Nepomuk::Resource::resourceUri
    {24, 368, 206},	// Nepomuk::Resource::setAltLabels?
    {24, 370, 210},	// Nepomuk::Resource::setAnnotations?
    {24, 378, 199},	// Nepomuk::Resource::setDescription$
    {24, 382, 202},	// Nepomuk::Resource::setIdentifiers?
    {24, 384, 226},	// Nepomuk::Resource::setIsRelateds?
    {24, 386, 222},	// Nepomuk::Resource::setIsTopicOfs?
    {24, 388, 230},	// Nepomuk::Resource::setLabel$
    {24, 402, 183},	// Nepomuk::Resource::setProperty##
    {24, 403, 185},	// Nepomuk::Resource::setProperty$#
    {24, 405, 233},	// Nepomuk::Resource::setRating$
    {24, 413, 236},	// Nepomuk::Resource::setSymbols?
    {24, 419, 214},	// Nepomuk::Resource::setTags?
    {24, 421, 218},	// Nepomuk::Resource::setTopics?
    {24, 423, 172},	// Nepomuk::Resource::setTypes?
    {24, 432, 238},	// Nepomuk::Resource::symbolUri
    {24, 433, 235},	// Nepomuk::Resource::symbols
    {24, 439, 216},	// Nepomuk::Resource::tagUri
    {24, 443, 213},	// Nepomuk::Resource::tags
    {24, 453, 245},	// Nepomuk::Resource::toFile
    {24, 473, 220},	// Nepomuk::Resource::topicUri
    {24, 474, 217},	// Nepomuk::Resource::topics
    {24, 483, 169},	// Nepomuk::Resource::type
    {24, 485, 171},	// Nepomuk::Resource::types
    {24, 487, 167},	// Nepomuk::Resource::uri
    {24, 489, 242},	// Nepomuk::Resource::usageCount
    {24, 512, 251},	// Nepomuk::Resource::~Resource
    {26, 125, 267},	// Nepomuk::ResourceManager::allResourcesOfType#
    {26, 126, 268},	// Nepomuk::ResourceManager::allResourcesOfType$
    {26, 128, 269},	// Nepomuk::ResourceManager::allResourcesWithProperty##
    {26, 129, 270},	// Nepomuk::ResourceManager::allResourcesWithProperty$#
    {26, 147, 271},	// Nepomuk::ResourceManager::clearCache
    {26, 154, 275},	// Nepomuk::ResourceManager::createManagerForModel#
    {26, 156, 265},	// Nepomuk::ResourceManager::createResourceFromUri$
    {26, 162, 260},	// Nepomuk::ResourceManager::deleteInstance
    {26, 177, 277},	// Nepomuk::ResourceManager::error$$
    {26, 214, 272},	// Nepomuk::ResourceManager::generateUniqueUri
    {26, 215, 273},	// Nepomuk::ResourceManager::generateUniqueUri$
    {26, 234, 261},	// Nepomuk::ResourceManager::init
    {26, 235, 262},	// Nepomuk::ResourceManager::initialized
    {26, 238, 259},	// Nepomuk::ResourceManager::instance
    {26, 291, 263},	// Nepomuk::ResourceManager::mainModel
    {26, 295, 252},	// Nepomuk::ResourceManager::metaObject
    {26, 307, 278},	// Nepomuk::ResourceManager::nepomukSystemStarted
    {26, 308, 279},	// Nepomuk::ResourceManager::nepomukSystemStopped
    {26, 310, 274},	// Nepomuk::ResourceManager::notifyError$$
    {26, 336, 258},	// Nepomuk::ResourceManager::qt_metacall$$?
    {26, 338, 253},	// Nepomuk::ResourceManager::qt_metacast$
    {26, 352, 266},	// Nepomuk::ResourceManager::removeResource$
    {26, 358, 276},	// Nepomuk::ResourceManager::resourceModified$
    {26, 400, 264},	// Nepomuk::ResourceManager::setOverrideMainModel#
    {26, 428, 282},	// Nepomuk::ResourceManager::staticMetaObject
    {26, 476, 280},	// Nepomuk::ResourceManager::tr$
    {26, 477, 254},	// Nepomuk::ResourceManager::tr$$
    {26, 478, 256},	// Nepomuk::ResourceManager::tr$$$
    {26, 480, 281},	// Nepomuk::ResourceManager::trUtf8$
    {26, 481, 255},	// Nepomuk::ResourceManager::trUtf8$$
    {26, 482, 257},	// Nepomuk::ResourceManager::trUtf8$$$
    {27, 59, 295},	// Nepomuk::Service::Service
    {27, 60, 296},	// Nepomuk::Service::Service#
    {27, 61, 290},	// Nepomuk::Service::Service#$
    {27, 291, 291},	// Nepomuk::Service::mainModel
    {27, 295, 283},	// Nepomuk::Service::metaObject
    {27, 336, 289},	// Nepomuk::Service::qt_metacall$$?
    {27, 338, 284},	// Nepomuk::Service::qt_metacast$
    {27, 411, 292},	// Nepomuk::Service::setServiceInitialized$
    {27, 428, 297},	// Nepomuk::Service::staticMetaObject
    {27, 476, 293},	// Nepomuk::Service::tr$
    {27, 477, 285},	// Nepomuk::Service::tr$$
    {27, 478, 287},	// Nepomuk::Service::tr$$$
    {27, 480, 294},	// Nepomuk::Service::trUtf8$
    {27, 481, 286},	// Nepomuk::Service::trUtf8$$
    {27, 482, 288},	// Nepomuk::Service::trUtf8$$$
    {27, 513, 298},	// Nepomuk::Service::~Service
    {28, 63, 299},	// Nepomuk::Tag::Tag
    {28, 64, -105},	// Nepomuk::Tag::Tag#
    {28, 65, -110},	// Nepomuk::Tag::Tag##
    {28, 66, 314},	// Nepomuk::Tag::Tag###
    {28, 67, 303},	// Nepomuk::Tag::Tag$
    {28, 68, -113},	// Nepomuk::Tag::Tag$#
    {28, 69, 313},	// Nepomuk::Tag::Tag$##
    {28, 131, 309},	// Nepomuk::Tag::allTags
    {28, 317, 307},	// Nepomuk::Tag::operator=#
    {28, 360, 310},	// Nepomuk::Tag::resourceTypeUri
    {28, 438, 308},	// Nepomuk::Tag::tagOf
    {28, 514, 315},	// Nepomuk::Tag::~Tag
    {29, 70, 330},	// Nepomuk::TagCloud::TagCloud
    {29, 71, 323},	// Nepomuk::TagCloud::TagCloud#
    {29, 141, 324},	// Nepomuk::TagCloud::autoUpdate
    {29, 295, 316},	// Nepomuk::TagCloud::metaObject
    {29, 336, 322},	// Nepomuk::TagCloud::qt_metacall$$?
    {29, 338, 317},	// Nepomuk::TagCloud::qt_metacast$
    {29, 374, 326},	// Nepomuk::TagCloud::setAutoUpdate$
    {29, 428, 331},	// Nepomuk::TagCloud::staticMetaObject
    {29, 436, 327},	// Nepomuk::TagCloud::tagClicked#
    {29, 476, 328},	// Nepomuk::TagCloud::tr$
    {29, 477, 318},	// Nepomuk::TagCloud::tr$$
    {29, 478, 320},	// Nepomuk::TagCloud::tr$$$
    {29, 480, 329},	// Nepomuk::TagCloud::trUtf8$
    {29, 481, 319},	// Nepomuk::TagCloud::trUtf8$$
    {29, 482, 321},	// Nepomuk::TagCloud::trUtf8$$$
    {29, 486, 325},	// Nepomuk::TagCloud::updateTags
    {29, 515, 332},	// Nepomuk::TagCloud::~TagCloud
    {30, 6, 365},	// Nepomuk::TagWidget::DisableTagClicking
    {30, 26, 362},	// Nepomuk::TagWidget::MiniMode
    {30, 50, 364},	// Nepomuk::TagWidget::ReadOnly
    {30, 62, 363},	// Nepomuk::TagWidget::StandardMode
    {30, 72, 360},	// Nepomuk::TagWidget::TagWidget
    {30, 73, -125},	// Nepomuk::TagWidget::TagWidget#
    {30, 74, 340},	// Nepomuk::TagWidget::TagWidget##
    {30, 118, 346},	// Nepomuk::TagWidget::alignment
    {30, 140, 343},	// Nepomuk::TagWidget::assignedTags
    {30, 294, 345},	// Nepomuk::TagWidget::maxTagsShown
    {30, 295, 333},	// Nepomuk::TagWidget::metaObject
    {30, 299, 347},	// Nepomuk::TagWidget::modeFlags
    {30, 336, 339},	// Nepomuk::TagWidget::qt_metacall$$?
    {30, 338, 334},	// Nepomuk::TagWidget::qt_metacast$
    {30, 362, 344},	// Nepomuk::TagWidget::selectedTags
    {30, 364, 349},	// Nepomuk::TagWidget::selectionChanged?
    {30, 366, 355},	// Nepomuk::TagWidget::setAlignment$
    {30, 372, 352},	// Nepomuk::TagWidget::setAssignedTags?
    {30, 392, 354},	// Nepomuk::TagWidget::setMaxTagsShown$
    {30, 396, 356},	// Nepomuk::TagWidget::setModeFlags$
    {30, 407, 353},	// Nepomuk::TagWidget::setSelectedTags?
    {30, 415, 350},	// Nepomuk::TagWidget::setTaggedResource#
    {30, 417, 351},	// Nepomuk::TagWidget::setTaggedResources?
    {30, 428, 361},	// Nepomuk::TagWidget::staticMetaObject
    {30, 436, 348},	// Nepomuk::TagWidget::tagClicked#
    {30, 442, 342},	// Nepomuk::TagWidget::taggedResources
    {30, 476, 357},	// Nepomuk::TagWidget::tr$
    {30, 477, 335},	// Nepomuk::TagWidget::tr$$
    {30, 478, 337},	// Nepomuk::TagWidget::tr$$$
    {30, 480, 358},	// Nepomuk::TagWidget::trUtf8$
    {30, 481, 336},	// Nepomuk::TagWidget::trUtf8$$
    {30, 482, 338},	// Nepomuk::TagWidget::trUtf8$$$
    {30, 516, 366},	// Nepomuk::TagWidget::~TagWidget
    {31, 75, 381},	// Nepomuk::Thing::Thing
    {31, 76, -116},	// Nepomuk::Thing::Thing#
    {31, 77, 367},	// Nepomuk::Thing::Thing##
    {31, 78, 368},	// Nepomuk::Thing::Thing###
    {31, 79, 383},	// Nepomuk::Thing::Thing$
    {31, 80, 369},	// Nepomuk::Thing::Thing$#
    {31, 81, 370},	// Nepomuk::Thing::Thing$##
    {31, 97, 380},	// Nepomuk::Thing::addGroundingOccurrence#
    {31, 221, 377},	// Nepomuk::Thing::groundingOccurrences
    {31, 312, 379},	// Nepomuk::Thing::occurrences
    {31, 317, -121},	// Nepomuk::Thing::operator=#
    {31, 345, 378},	// Nepomuk::Thing::referencingOccurrences
    {31, 517, 384},	// Nepomuk::Thing::~Thing
    {32, 334, 385},	// Nepomuk::Types::qHash#
    {33, 1, 386},	// Nepomuk::Types::Class::Class
    {33, 2, -37},	// Nepomuk::Types::Class::Class#
    {33, 121, -40},	// Nepomuk::Types::Class::allParentClasses
    {33, 130, -43},	// Nepomuk::Types::Class::allSubClasses
    {33, 169, -46},	// Nepomuk::Types::Class::domainOf
    {33, 194, -49},	// Nepomuk::Types::Class::findPropertyByLabel$
    {33, 195, -52},	// Nepomuk::Types::Class::findPropertyByLabel$$
    {33, 197, -55},	// Nepomuk::Types::Class::findPropertyByName$
    {33, 256, -58},	// Nepomuk::Types::Class::isParentOf#
    {33, 265, -61},	// Nepomuk::Types::Class::isSubClassOf#
    {33, 317, 389},	// Nepomuk::Types::Class::operator=#
    {33, 325, -64},	// Nepomuk::Types::Class::parentClasses
    {33, 340, -67},	// Nepomuk::Types::Class::rangeOf
    {33, 430, -70},	// Nepomuk::Types::Class::subClasses
    {33, 499, 412},	// Nepomuk::Types::Class::~Class
    {34, 9, 433},	// Nepomuk::Types::Entity::Entity
    {34, 10, 413},	// Nepomuk::Types::Entity::Entity#
    {34, 149, -81},	// Nepomuk::Types::Entity::comment
    {34, 150, -84},	// Nepomuk::Types::Entity::comment$
    {34, 230, -87},	// Nepomuk::Types::Entity::icon
    {34, 240, -90},	// Nepomuk::Types::Entity::isAvailable
    {34, 278, 423},	// Nepomuk::Types::Entity::isValid
    {34, 281, -93},	// Nepomuk::Types::Entity::label
    {34, 282, -96},	// Nepomuk::Types::Entity::label$
    {34, 305, 415},	// Nepomuk::Types::Entity::name
    {34, 313, 428},	// Nepomuk::Types::Entity::operator QUrl
    {34, 315, -99},	// Nepomuk::Types::Entity::operator!=#
    {34, 317, 414},	// Nepomuk::Types::Entity::operator=#
    {34, 320, -102},	// Nepomuk::Types::Entity::operator==#
    {34, 353, 438},	// Nepomuk::Types::Entity::reset
    {34, 354, 426},	// Nepomuk::Types::Entity::reset$
    {34, 487, 416},	// Nepomuk::Types::Entity::uri
    {34, 490, 427},	// Nepomuk::Types::Entity::userVisible
    {34, 501, 439},	// Nepomuk::Types::Entity::~Entity
    {35, 24, 440},	// Nepomuk::Types::Literal::Literal
    {35, 25, -138},	// Nepomuk::Types::Literal::Literal#
    {35, 158, 445},	// Nepomuk::Types::Literal::dataType
    {35, 159, 444},	// Nepomuk::Types::Literal::dataTypeUri
    {35, 278, 446},	// Nepomuk::Types::Literal::isValid
    {35, 317, 443},	// Nepomuk::Types::Literal::operator=#
    {35, 506, 447},	// Nepomuk::Types::Literal::~Literal
    {36, 30, 448},	// Nepomuk::Types::Ontology::Ontology
    {36, 31, -128},	// Nepomuk::Types::Ontology::Ontology#
    {36, 119, 452},	// Nepomuk::Types::Ontology::allClasses
    {36, 122, 455},	// Nepomuk::Types::Ontology::allProperties
    {36, 187, 458},	// Nepomuk::Types::Ontology::findClassByLabel$
    {36, 188, 454},	// Nepomuk::Types::Ontology::findClassByLabel$$
    {36, 190, 453},	// Nepomuk::Types::Ontology::findClassByName$
    {36, 194, 459},	// Nepomuk::Types::Ontology::findPropertyByLabel$
    {36, 195, 457},	// Nepomuk::Types::Ontology::findPropertyByLabel$$
    {36, 197, 456},	// Nepomuk::Types::Ontology::findPropertyByName$
    {36, 317, 451},	// Nepomuk::Types::Ontology::operator=#
    {36, 508, 460},	// Nepomuk::Types::Ontology::~Ontology
    {37, 36, 461},	// Nepomuk::Types::Property::Property
    {37, 37, -1},	// Nepomuk::Types::Property::Property#
    {37, 142, -4},	// Nepomuk::Types::Property::cardinality
    {37, 168, -7},	// Nepomuk::Types::Property::domain
    {37, 239, -10},	// Nepomuk::Types::Property::inverseProperty
    {37, 256, -13},	// Nepomuk::Types::Property::isParentOf#
    {37, 267, -16},	// Nepomuk::Types::Property::isSubPropertyOf#
    {37, 286, -19},	// Nepomuk::Types::Property::literalRangeType
    {37, 293, -22},	// Nepomuk::Types::Property::maxCardinality
    {37, 297, -25},	// Nepomuk::Types::Property::minCardinality
    {37, 317, 464},	// Nepomuk::Types::Property::operator=#
    {37, 327, -28},	// Nepomuk::Types::Property::parentProperties
    {37, 339, -31},	// Nepomuk::Types::Property::range
    {37, 431, -34},	// Nepomuk::Types::Property::subProperties
    {37, 511, 487},	// Nepomuk::Types::Property::~Property
    {38, 83, 488},	// Nepomuk::Variant::Variant
    {38, 84, -141},	// Nepomuk::Variant::Variant#
    {38, 85, -149},	// Nepomuk::Variant::Variant$
    {38, 86, -158},	// Nepomuk::Variant::Variant?
    {38, 138, -172},	// Nepomuk::Variant::append#
    {38, 139, -179},	// Nepomuk::Variant::append$
    {38, 205, 614},	// Nepomuk::Variant::fromNode#
    {38, 207, 615},	// Nepomuk::Variant::fromNodeList?
    {38, 213, 613},	// Nepomuk::Variant::fromString$$
    {38, 241, 565},	// Nepomuk::Variant::isBool
    {38, 242, 577},	// Nepomuk::Variant::isBoolList
    {38, 243, 568},	// Nepomuk::Variant::isDate
    {38, 244, 580},	// Nepomuk::Variant::isDateList
    {38, 245, 570},	// Nepomuk::Variant::isDateTime
    {38, 246, 582},	// Nepomuk::Variant::isDateTimeList
    {38, 247, 566},	// Nepomuk::Variant::isDouble
    {38, 248, 578},	// Nepomuk::Variant::isDoubleList
    {38, 250, 561},	// Nepomuk::Variant::isInt
    {38, 251, 562},	// Nepomuk::Variant::isInt64
    {38, 252, 574},	// Nepomuk::Variant::isInt64List
    {38, 253, 573},	// Nepomuk::Variant::isIntList
    {38, 254, 560},	// Nepomuk::Variant::isList
    {38, 260, 572},	// Nepomuk::Variant::isResource
    {38, 261, 584},	// Nepomuk::Variant::isResourceList
    {38, 262, 567},	// Nepomuk::Variant::isString
    {38, 263, 579},	// Nepomuk::Variant::isStringList
    {38, 268, 569},	// Nepomuk::Variant::isTime
    {38, 269, 581},	// Nepomuk::Variant::isTimeList
    {38, 272, 563},	// Nepomuk::Variant::isUnsignedInt
    {38, 273, 564},	// Nepomuk::Variant::isUnsignedInt64
    {38, 274, 576},	// Nepomuk::Variant::isUnsignedInt64List
    {38, 275, 575},	// Nepomuk::Variant::isUnsignedIntList
    {38, 276, 571},	// Nepomuk::Variant::isUrl
    {38, 277, 583},	// Nepomuk::Variant::isUrlList
    {38, 278, 557},	// Nepomuk::Variant::isValid
    {38, 315, 556},	// Nepomuk::Variant::operator!=#
    {38, 317, -187},	// Nepomuk::Variant::operator=#
    {38, 318, -194},	// Nepomuk::Variant::operator=$
    {38, 320, 555},	// Nepomuk::Variant::operator==#
    {38, 321, -202},	// Nepomuk::Variant::operator=?
    {38, 426, 559},	// Nepomuk::Variant::simpleType
    {38, 445, 590},	// Nepomuk::Variant::toBool
    {38, 446, 602},	// Nepomuk::Variant::toBoolList
    {38, 447, 593},	// Nepomuk::Variant::toDate
    {38, 448, 605},	// Nepomuk::Variant::toDateList
    {38, 449, 595},	// Nepomuk::Variant::toDateTime
    {38, 450, 607},	// Nepomuk::Variant::toDateTimeList
    {38, 451, 591},	// Nepomuk::Variant::toDouble
    {38, 452, 603},	// Nepomuk::Variant::toDoubleList
    {38, 454, 586},	// Nepomuk::Variant::toInt
    {38, 455, 587},	// Nepomuk::Variant::toInt64
    {38, 456, 599},	// Nepomuk::Variant::toInt64List
    {38, 457, 598},	// Nepomuk::Variant::toIntList
    {38, 458, 611},	// Nepomuk::Variant::toNode
    {38, 459, 612},	// Nepomuk::Variant::toNodeList
    {38, 460, 597},	// Nepomuk::Variant::toResource
    {38, 461, 609},	// Nepomuk::Variant::toResourceList
    {38, 462, 592},	// Nepomuk::Variant::toString
    {38, 463, 604},	// Nepomuk::Variant::toStringList
    {38, 464, 594},	// Nepomuk::Variant::toTime
    {38, 465, 606},	// Nepomuk::Variant::toTimeList
    {38, 466, 588},	// Nepomuk::Variant::toUnsignedInt
    {38, 467, 589},	// Nepomuk::Variant::toUnsignedInt64
    {38, 468, 601},	// Nepomuk::Variant::toUnsignedInt64List
    {38, 469, 600},	// Nepomuk::Variant::toUnsignedIntList
    {38, 470, 596},	// Nepomuk::Variant::toUrl
    {38, 471, 608},	// Nepomuk::Variant::toUrlList
    {38, 472, 610},	// Nepomuk::Variant::toVariantList
    {38, 483, 558},	// Nepomuk::Variant::type
    {38, 495, 585},	// Nepomuk::Variant::variant
    {38, 518, 616},	// Nepomuk::Variant::~Variant
    {53, 38, 617},	// QGlobalSpace::Q_COMPLEX_TYPE
    {53, 39, 621},	// QGlobalSpace::Q_DUMMY_TYPE
    {53, 40, 620},	// QGlobalSpace::Q_MOVABLE_TYPE
    {53, 41, 618},	// QGlobalSpace::Q_PRIMITIVE_TYPE
    {53, 42, 619},	// QGlobalSpace::Q_STATIC_TYPE
    {53, 43, 624},	// QGlobalSpace::QtCriticalMsg
    {53, 44, 622},	// QGlobalSpace::QtDebugMsg
    {53, 45, 625},	// QGlobalSpace::QtFatalMsg
    {53, 46, 626},	// QGlobalSpace::QtSystemMsg
    {53, 47, 623},	// QGlobalSpace::QtWarningMsg
    {53, 87, 629},	// QGlobalSpace::__codecvt_error
    {53, 88, 630},	// QGlobalSpace::__codecvt_noconv
    {53, 89, 627},	// QGlobalSpace::__codecvt_ok
    {53, 90, 628},	// QGlobalSpace::__codecvt_partial
};

}

extern "C" {

SMOKE_IMPORT void init_qtgui_Smoke();

static bool initialized = false;
Smoke *nepomuk_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_nepomuk_Smoke() {
    init_qtgui_Smoke();
    if (initialized) return;
    nepomuk_Smoke = new Smoke(
        "nepomuk",
        __smokenepomuk::classes, 81,
        __smokenepomuk::methods, 681,
        __smokenepomuk::methodMaps, 521,
        __smokenepomuk::methodNames, 518,
        __smokenepomuk::types, 286,
        __smokenepomuk::inheritanceList,
        __smokenepomuk::argumentList,
        __smokenepomuk::ambiguousMethodList,
        __smokenepomuk::cast );
    initialized = true;
}

void delete_nepomuk_Smoke() { delete nepomuk_Smoke; }

}
