#include <plasma_includes.h>

#include <smoke.h>
#include <plasma_smoke.h>

namespace __smokeplasma {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //KAction
      switch(to) {
        case 1: return (void*)(KAction*)xptr;
        default: return xptr;
      }
    case 2:   //KActionCollection
      switch(to) {
        case 2: return (void*)(KActionCollection*)xptr;
        default: return xptr;
      }
    case 3:   //KComboBox
      switch(to) {
        case 3: return (void*)(KComboBox*)xptr;
        default: return xptr;
      }
    case 4:   //KConfigBase
      switch(to) {
        case 4: return (void*)(KConfigBase*)xptr;
        default: return xptr;
      }
    case 5:   //KConfigDialog
      switch(to) {
        case 5: return (void*)(KConfigDialog*)xptr;
        default: return xptr;
      }
    case 6:   //KConfigGroup
      switch(to) {
        case 4: return (void*)(KConfigBase*)(KConfigGroup*)xptr;
        case 6: return (void*)(KConfigGroup*)xptr;
        default: return xptr;
      }
    case 7:   //KConfigSkeleton
      switch(to) {
        case 9: return (void*)(KCoreConfigSkeleton*)(KConfigSkeleton*)xptr;
        case 162: return (void*)(QObject*)(KConfigSkeleton*)xptr;
        case 7: return (void*)(KConfigSkeleton*)xptr;
        case 45: return (void*)(Plasma::ConfigLoader*)(KConfigSkeleton*)xptr;
        default: return xptr;
      }
    case 8:   //KConfigSkeletonItem
      switch(to) {
        case 8: return (void*)(KConfigSkeletonItem*)xptr;
        default: return xptr;
      }
    case 9:   //KCoreConfigSkeleton
      switch(to) {
        case 162: return (void*)(QObject*)(KCoreConfigSkeleton*)xptr;
        case 9: return (void*)(KCoreConfigSkeleton*)xptr;
        case 45: return (void*)(Plasma::ConfigLoader*)(KCoreConfigSkeleton*)xptr;
        default: return xptr;
      }
    case 10:   //KIcon
      switch(to) {
        case 150: return (void*)(QIcon*)(KIcon*)xptr;
        case 10: return (void*)(KIcon*)xptr;
        default: return xptr;
      }
    case 11:   //KIntSpinBox
      switch(to) {
        case 11: return (void*)(KIntSpinBox*)xptr;
        default: return xptr;
      }
    case 12:   //KJob
      switch(to) {
        case 162: return (void*)(QObject*)(KJob*)xptr;
        case 12: return (void*)(KJob*)xptr;
        case 31: return (void*)(Plasma::AccessAppletJob*)(KJob*)xptr;
        case 88: return (void*)(Plasma::ServiceAccessJob*)(KJob*)xptr;
        default: return xptr;
      }
    case 13:   //KLineEdit
      switch(to) {
        case 13: return (void*)(KLineEdit*)xptr;
        default: return xptr;
      }
    case 14:   //KPluginInfo
      switch(to) {
        case 14: return (void*)(KPluginInfo*)xptr;
        default: return xptr;
      }
    case 15:   //KPushButton
      switch(to) {
        case 15: return (void*)(KPushButton*)xptr;
        default: return xptr;
      }
    case 16:   //KService
      switch(to) {
        case 178: return (void*)(QSharedData*)(KService*)xptr;
        case 16: return (void*)(KService*)xptr;
        default: return xptr;
      }
    case 17:   //KServiceAction
      switch(to) {
        case 17: return (void*)(KServiceAction*)xptr;
        default: return xptr;
      }
    case 18:   //KSharedConfig
      switch(to) {
        case 4: return (void*)(KConfigBase*)(KSharedConfig*)xptr;
        case 178: return (void*)(QSharedData*)(KSharedConfig*)xptr;
        case 18: return (void*)(KSharedConfig*)xptr;
        default: return xptr;
      }
    case 19:   //KShortcut
      switch(to) {
        case 19: return (void*)(KShortcut*)xptr;
        default: return xptr;
      }
    case 20:   //KTabBar
      switch(to) {
        case 198: return (void*)(QWidget*)(KTabBar*)xptr;
        case 162: return (void*)(QObject*)(KTabBar*)xptr;
        case 20: return (void*)(KTabBar*)xptr;
        default: return xptr;
      }
    case 21:   //KTextBrowser
      switch(to) {
        case 21: return (void*)(KTextBrowser*)xptr;
        default: return xptr;
      }
    case 22:   //KTextEdit
      switch(to) {
        case 22: return (void*)(KTextEdit*)xptr;
        default: return xptr;
      }
    case 23:   //KUrl
      switch(to) {
        case 193: return (void*)(QUrl*)(KUrl*)xptr;
        case 23: return (void*)(KUrl*)xptr;
        default: return xptr;
      }
    case 24:   //Phonon::AudioOutput
      switch(to) {
        case 24: return (void*)(Phonon::AudioOutput*)xptr;
        default: return xptr;
      }
    case 25:   //Phonon::MediaObject
      switch(to) {
        case 25: return (void*)(Phonon::MediaObject*)xptr;
        default: return xptr;
      }
    case 26:   //Phonon::VideoWidget
      switch(to) {
        case 26: return (void*)(Phonon::VideoWidget*)xptr;
        default: return xptr;
      }
    case 28:   //Plasma::AbstractDialogManager
      switch(to) {
        case 162: return (void*)(QObject*)(Plasma::AbstractDialogManager*)xptr;
        case 28: return (void*)(Plasma::AbstractDialogManager*)xptr;
        default: return xptr;
      }
    case 29:   //Plasma::AbstractRunner
      switch(to) {
        case 162: return (void*)(QObject*)(Plasma::AbstractRunner*)xptr;
        case 29: return (void*)(Plasma::AbstractRunner*)xptr;
        default: return xptr;
      }
    case 30:   //Plasma::AbstractToolBox
      switch(to) {
        case 146: return (void*)(QGraphicsWidget*)(Plasma::AbstractToolBox*)xptr;
        case 134: return (void*)(QGraphicsObject*)(Plasma::AbstractToolBox*)xptr;
        case 162: return (void*)(QObject*)(Plasma::AbstractToolBox*)xptr;
        case 132: return (void*)(QGraphicsItem*)(Plasma::AbstractToolBox*)xptr;
        case 133: return (void*)(QGraphicsLayoutItem*)(Plasma::AbstractToolBox*)xptr;
        case 30: return (void*)(Plasma::AbstractToolBox*)xptr;
        default: return xptr;
      }
    case 31:   //Plasma::AccessAppletJob
      switch(to) {
        case 12: return (void*)(KJob*)(Plasma::AccessAppletJob*)xptr;
        case 162: return (void*)(QObject*)(Plasma::AccessAppletJob*)xptr;
        case 31: return (void*)(Plasma::AccessAppletJob*)xptr;
        default: return xptr;
      }
    case 32:   //Plasma::AccessManager
      switch(to) {
        case 162: return (void*)(QObject*)(Plasma::AccessManager*)xptr;
        case 32: return (void*)(Plasma::AccessManager*)xptr;
        default: return xptr;
      }
    case 33:   //Plasma::Animation
      switch(to) {
        case 108: return (void*)(QAbstractAnimation*)(Plasma::Animation*)xptr;
        case 162: return (void*)(QObject*)(Plasma::Animation*)xptr;
        case 33: return (void*)(Plasma::Animation*)xptr;
        default: return xptr;
      }
    case 34:   //Plasma::AnimationDriver
      switch(to) {
        case 162: return (void*)(QObject*)(Plasma::AnimationDriver*)xptr;
        case 34: return (void*)(Plasma::AnimationDriver*)xptr;
        default: return xptr;
      }
    case 35:   //Plasma::Animator
      switch(to) {
        case 162: return (void*)(QObject*)(Plasma::Animator*)xptr;
        case 35: return (void*)(Plasma::Animator*)xptr;
        default: return xptr;
      }
    case 36:   //Plasma::Applet
      switch(to) {
        case 146: return (void*)(QGraphicsWidget*)(Plasma::Applet*)xptr;
        case 134: return (void*)(QGraphicsObject*)(Plasma::Applet*)xptr;
        case 162: return (void*)(QObject*)(Plasma::Applet*)xptr;
        case 132: return (void*)(QGraphicsItem*)(Plasma::Applet*)xptr;
        case 133: return (void*)(QGraphicsLayoutItem*)(Plasma::Applet*)xptr;
        case 36: return (void*)(Plasma::Applet*)xptr;
        case 46: return (void*)(Plasma::Containment*)(Plasma::Applet*)xptr;
        case 64: return (void*)(Plasma::GLApplet*)(Plasma::Applet*)xptr;
        case 75: return (void*)(Plasma::PopupApplet*)(Plasma::Applet*)xptr;
        default: return xptr;
      }
    case 37:   //Plasma::AppletScript
      switch(to) {
        case 83: return (void*)(Plasma::ScriptEngine*)(Plasma::AppletScript*)xptr;
        case 162: return (void*)(QObject*)(Plasma::AppletScript*)xptr;
        case 37: return (void*)(Plasma::AppletScript*)xptr;
        default: return xptr;
      }
    case 38:   //Plasma::AuthorizationInterface
      switch(to) {
        case 38: return (void*)(Plasma::AuthorizationInterface*)xptr;
        default: return xptr;
      }
    case 39:   //Plasma::AuthorizationManager
      switch(to) {
        case 162: return (void*)(QObject*)(Plasma::AuthorizationManager*)xptr;
        case 39: return (void*)(Plasma::AuthorizationManager*)xptr;
        default: return xptr;
      }
    case 40:   //Plasma::AuthorizationRule
      switch(to) {
        case 162: return (void*)(QObject*)(Plasma::AuthorizationRule*)xptr;
        case 40: return (void*)(Plasma::AuthorizationRule*)xptr;
        default: return xptr;
      }
    case 41:   //Plasma::BusyWidget
      switch(to) {
        case 146: return (void*)(QGraphicsWidget*)(Plasma::BusyWidget*)xptr;
        case 134: return (void*)(QGraphicsObject*)(Plasma::BusyWidget*)xptr;
        case 162: return (void*)(QObject*)(Plasma::BusyWidget*)xptr;
        case 132: return (void*)(QGraphicsItem*)(Plasma::BusyWidget*)xptr;
        case 133: return (void*)(QGraphicsLayoutItem*)(Plasma::BusyWidget*)xptr;
        case 41: return (void*)(Plasma::BusyWidget*)xptr;
        default: return xptr;
      }
    case 42:   //Plasma::CheckBox
      switch(to) {
        case 135: return (void*)(QGraphicsProxyWidget*)(Plasma::CheckBox*)xptr;
        case 146: return (void*)(QGraphicsWidget*)(Plasma::CheckBox*)xptr;
        case 134: return (void*)(QGraphicsObject*)(Plasma::CheckBox*)xptr;
        case 162: return (void*)(QObject*)(Plasma::CheckBox*)xptr;
        case 132: return (void*)(QGraphicsItem*)(Plasma::CheckBox*)xptr;
        case 133: return (void*)(QGraphicsLayoutItem*)(Plasma::CheckBox*)xptr;
        case 42: return (void*)(Plasma::CheckBox*)xptr;
        default: return xptr;
      }
    case 43:   //Plasma::ClientPinRequest
      switch(to) {
        case 162: return (void*)(QObject*)(Plasma::ClientPinRequest*)xptr;
        case 43: return (void*)(Plasma::ClientPinRequest*)xptr;
        default: return xptr;
      }
    case 44:   //Plasma::ComboBox
      switch(to) {
        case 135: return (void*)(QGraphicsProxyWidget*)(Plasma::ComboBox*)xptr;
        case 146: return (void*)(QGraphicsWidget*)(Plasma::ComboBox*)xptr;
        case 134: return (void*)(QGraphicsObject*)(Plasma::ComboBox*)xptr;
        case 162: return (void*)(QObject*)(Plasma::ComboBox*)xptr;
        case 132: return (void*)(QGraphicsItem*)(Plasma::ComboBox*)xptr;
        case 133: return (void*)(QGraphicsLayoutItem*)(Plasma::ComboBox*)xptr;
        case 44: return (void*)(Plasma::ComboBox*)xptr;
        default: return xptr;
      }
    case 45:   //Plasma::ConfigLoader
      switch(to) {
        case 7: return (void*)(KConfigSkeleton*)(Plasma::ConfigLoader*)xptr;
        case 9: return (void*)(KCoreConfigSkeleton*)(Plasma::ConfigLoader*)xptr;
        case 162: return (void*)(QObject*)(Plasma::ConfigLoader*)xptr;
        case 45: return (void*)(Plasma::ConfigLoader*)xptr;
        default: return xptr;
      }
    case 46:   //Plasma::Containment
      switch(to) {
        case 36: return (void*)(Plasma::Applet*)(Plasma::Containment*)xptr;
        case 146: return (void*)(QGraphicsWidget*)(Plasma::Containment*)xptr;
        case 134: return (void*)(QGraphicsObject*)(Plasma::Containment*)xptr;
        case 162: return (void*)(QObject*)(Plasma::Containment*)xptr;
        case 132: return (void*)(QGraphicsItem*)(Plasma::Containment*)xptr;
        case 133: return (void*)(QGraphicsLayoutItem*)(Plasma::Containment*)xptr;
        case 46: return (void*)(Plasma::Containment*)xptr;
        default: return xptr;
      }
    case 47:   //Plasma::Containment::StyleOption
      switch(to) {
        case 185: return (void*)(QStyleOptionGraphicsItem*)(Plasma::Containment::StyleOption*)xptr;
        case 184: return (void*)(QStyleOption*)(Plasma::Containment::StyleOption*)xptr;
        case 47: return (void*)(Plasma::Containment::StyleOption*)xptr;
        default: return xptr;
      }
    case 48:   //Plasma::ContainmentActions
      switch(to) {
        case 162: return (void*)(QObject*)(Plasma::ContainmentActions*)xptr;
        case 48: return (void*)(Plasma::ContainmentActions*)xptr;
        default: return xptr;
      }
    case 49:   //Plasma::ContainmentActionsPluginsConfig
      switch(to) {
        case 49: return (void*)(Plasma::ContainmentActionsPluginsConfig*)xptr;
        default: return xptr;
      }
    case 50:   //Plasma::Context
      switch(to) {
        case 162: return (void*)(QObject*)(Plasma::Context*)xptr;
        case 50: return (void*)(Plasma::Context*)xptr;
        default: return xptr;
      }
    case 51:   //Plasma::Corona
      switch(to) {
        case 136: return (void*)(QGraphicsScene*)(Plasma::Corona*)xptr;
        case 162: return (void*)(QObject*)(Plasma::Corona*)xptr;
        case 51: return (void*)(Plasma::Corona*)xptr;
        default: return xptr;
      }
    case 52:   //Plasma::DataContainer
      switch(to) {
        case 162: return (void*)(QObject*)(Plasma::DataContainer*)xptr;
        case 52: return (void*)(Plasma::DataContainer*)xptr;
        default: return xptr;
      }
    case 53:   //Plasma::DataEngine
      switch(to) {
        case 162: return (void*)(QObject*)(Plasma::DataEngine*)xptr;
        case 53: return (void*)(Plasma::DataEngine*)xptr;
        default: return xptr;
      }
    case 54:   //Plasma::DataEngineManager
      switch(to) {
        case 162: return (void*)(QObject*)(Plasma::DataEngineManager*)xptr;
        case 54: return (void*)(Plasma::DataEngineManager*)xptr;
        default: return xptr;
      }
    case 55:   //Plasma::DataEngineScript
      switch(to) {
        case 83: return (void*)(Plasma::ScriptEngine*)(Plasma::DataEngineScript*)xptr;
        case 162: return (void*)(QObject*)(Plasma::DataEngineScript*)xptr;
        case 55: return (void*)(Plasma::DataEngineScript*)xptr;
        default: return xptr;
      }
    case 56:   //Plasma::Delegate
      switch(to) {
        case 109: return (void*)(QAbstractItemDelegate*)(Plasma::Delegate*)xptr;
        case 162: return (void*)(QObject*)(Plasma::Delegate*)xptr;
        case 56: return (void*)(Plasma::Delegate*)xptr;
        default: return xptr;
      }
    case 57:   //Plasma::Dialog
      switch(to) {
        case 198: return (void*)(QWidget*)(Plasma::Dialog*)xptr;
        case 162: return (void*)(QObject*)(Plasma::Dialog*)xptr;
        case 57: return (void*)(Plasma::Dialog*)xptr;
        default: return xptr;
      }
    case 58:   //Plasma::Extender
      switch(to) {
        case 146: return (void*)(QGraphicsWidget*)(Plasma::Extender*)xptr;
        case 134: return (void*)(QGraphicsObject*)(Plasma::Extender*)xptr;
        case 162: return (void*)(QObject*)(Plasma::Extender*)xptr;
        case 132: return (void*)(QGraphicsItem*)(Plasma::Extender*)xptr;
        case 133: return (void*)(QGraphicsLayoutItem*)(Plasma::Extender*)xptr;
        case 58: return (void*)(Plasma::Extender*)xptr;
        default: return xptr;
      }
    case 59:   //Plasma::ExtenderGroup
      switch(to) {
        case 60: return (void*)(Plasma::ExtenderItem*)(Plasma::ExtenderGroup*)xptr;
        case 146: return (void*)(QGraphicsWidget*)(Plasma::ExtenderGroup*)xptr;
        case 134: return (void*)(QGraphicsObject*)(Plasma::ExtenderGroup*)xptr;
        case 162: return (void*)(QObject*)(Plasma::ExtenderGroup*)xptr;
        case 132: return (void*)(QGraphicsItem*)(Plasma::ExtenderGroup*)xptr;
        case 133: return (void*)(QGraphicsLayoutItem*)(Plasma::ExtenderGroup*)xptr;
        case 59: return (void*)(Plasma::ExtenderGroup*)xptr;
        default: return xptr;
      }
    case 60:   //Plasma::ExtenderItem
      switch(to) {
        case 146: return (void*)(QGraphicsWidget*)(Plasma::ExtenderItem*)xptr;
        case 134: return (void*)(QGraphicsObject*)(Plasma::ExtenderItem*)xptr;
        case 162: return (void*)(QObject*)(Plasma::ExtenderItem*)xptr;
        case 132: return (void*)(QGraphicsItem*)(Plasma::ExtenderItem*)xptr;
        case 133: return (void*)(QGraphicsLayoutItem*)(Plasma::ExtenderItem*)xptr;
        case 60: return (void*)(Plasma::ExtenderItem*)xptr;
        case 59: return (void*)(Plasma::ExtenderGroup*)(Plasma::ExtenderItem*)xptr;
        default: return xptr;
      }
    case 61:   //Plasma::FlashingLabel
      switch(to) {
        case 146: return (void*)(QGraphicsWidget*)(Plasma::FlashingLabel*)xptr;
        case 134: return (void*)(QGraphicsObject*)(Plasma::FlashingLabel*)xptr;
        case 162: return (void*)(QObject*)(Plasma::FlashingLabel*)xptr;
        case 132: return (void*)(QGraphicsItem*)(Plasma::FlashingLabel*)xptr;
        case 133: return (void*)(QGraphicsLayoutItem*)(Plasma::FlashingLabel*)xptr;
        case 61: return (void*)(Plasma::FlashingLabel*)xptr;
        default: return xptr;
      }
    case 62:   //Plasma::Frame
      switch(to) {
        case 146: return (void*)(QGraphicsWidget*)(Plasma::Frame*)xptr;
        case 134: return (void*)(QGraphicsObject*)(Plasma::Frame*)xptr;
        case 162: return (void*)(QObject*)(Plasma::Frame*)xptr;
        case 132: return (void*)(QGraphicsItem*)(Plasma::Frame*)xptr;
        case 133: return (void*)(QGraphicsLayoutItem*)(Plasma::Frame*)xptr;
        case 62: return (void*)(Plasma::Frame*)xptr;
        default: return xptr;
      }
    case 63:   //Plasma::FrameSvg
      switch(to) {
        case 93: return (void*)(Plasma::Svg*)(Plasma::FrameSvg*)xptr;
        case 162: return (void*)(QObject*)(Plasma::FrameSvg*)xptr;
        case 63: return (void*)(Plasma::FrameSvg*)xptr;
        default: return xptr;
      }
    case 64:   //Plasma::GLApplet
      switch(to) {
        case 36: return (void*)(Plasma::Applet*)(Plasma::GLApplet*)xptr;
        case 146: return (void*)(QGraphicsWidget*)(Plasma::GLApplet*)xptr;
        case 134: return (void*)(QGraphicsObject*)(Plasma::GLApplet*)xptr;
        case 162: return (void*)(QObject*)(Plasma::GLApplet*)xptr;
        case 132: return (void*)(QGraphicsItem*)(Plasma::GLApplet*)xptr;
        case 133: return (void*)(QGraphicsLayoutItem*)(Plasma::GLApplet*)xptr;
        case 64: return (void*)(Plasma::GLApplet*)xptr;
        default: return xptr;
      }
    case 65:   //Plasma::GroupBox
      switch(to) {
        case 135: return (void*)(QGraphicsProxyWidget*)(Plasma::GroupBox*)xptr;
        case 146: return (void*)(QGraphicsWidget*)(Plasma::GroupBox*)xptr;
        case 134: return (void*)(QGraphicsObject*)(Plasma::GroupBox*)xptr;
        case 162: return (void*)(QObject*)(Plasma::GroupBox*)xptr;
        case 132: return (void*)(QGraphicsItem*)(Plasma::GroupBox*)xptr;
        case 133: return (void*)(QGraphicsLayoutItem*)(Plasma::GroupBox*)xptr;
        case 65: return (void*)(Plasma::GroupBox*)xptr;
        default: return xptr;
      }
    case 66:   //Plasma::IconWidget
      switch(to) {
        case 146: return (void*)(QGraphicsWidget*)(Plasma::IconWidget*)xptr;
        case 134: return (void*)(QGraphicsObject*)(Plasma::IconWidget*)xptr;
        case 162: return (void*)(QObject*)(Plasma::IconWidget*)xptr;
        case 132: return (void*)(QGraphicsItem*)(Plasma::IconWidget*)xptr;
        case 133: return (void*)(QGraphicsLayoutItem*)(Plasma::IconWidget*)xptr;
        case 66: return (void*)(Plasma::IconWidget*)xptr;
        default: return xptr;
      }
    case 67:   //Plasma::ItemBackground
      switch(to) {
        case 146: return (void*)(QGraphicsWidget*)(Plasma::ItemBackground*)xptr;
        case 134: return (void*)(QGraphicsObject*)(Plasma::ItemBackground*)xptr;
        case 162: return (void*)(QObject*)(Plasma::ItemBackground*)xptr;
        case 132: return (void*)(QGraphicsItem*)(Plasma::ItemBackground*)xptr;
        case 133: return (void*)(QGraphicsLayoutItem*)(Plasma::ItemBackground*)xptr;
        case 67: return (void*)(Plasma::ItemBackground*)xptr;
        default: return xptr;
      }
    case 68:   //Plasma::Label
      switch(to) {
        case 135: return (void*)(QGraphicsProxyWidget*)(Plasma::Label*)xptr;
        case 146: return (void*)(QGraphicsWidget*)(Plasma::Label*)xptr;
        case 134: return (void*)(QGraphicsObject*)(Plasma::Label*)xptr;
        case 162: return (void*)(QObject*)(Plasma::Label*)xptr;
        case 132: return (void*)(QGraphicsItem*)(Plasma::Label*)xptr;
        case 133: return (void*)(QGraphicsLayoutItem*)(Plasma::Label*)xptr;
        case 68: return (void*)(Plasma::Label*)xptr;
        default: return xptr;
      }
    case 69:   //Plasma::LineEdit
      switch(to) {
        case 135: return (void*)(QGraphicsProxyWidget*)(Plasma::LineEdit*)xptr;
        case 146: return (void*)(QGraphicsWidget*)(Plasma::LineEdit*)xptr;
        case 134: return (void*)(QGraphicsObject*)(Plasma::LineEdit*)xptr;
        case 162: return (void*)(QObject*)(Plasma::LineEdit*)xptr;
        case 132: return (void*)(QGraphicsItem*)(Plasma::LineEdit*)xptr;
        case 133: return (void*)(QGraphicsLayoutItem*)(Plasma::LineEdit*)xptr;
        case 69: return (void*)(Plasma::LineEdit*)xptr;
        default: return xptr;
      }
    case 70:   //Plasma::Meter
      switch(to) {
        case 146: return (void*)(QGraphicsWidget*)(Plasma::Meter*)xptr;
        case 134: return (void*)(QGraphicsObject*)(Plasma::Meter*)xptr;
        case 162: return (void*)(QObject*)(Plasma::Meter*)xptr;
        case 132: return (void*)(QGraphicsItem*)(Plasma::Meter*)xptr;
        case 133: return (void*)(QGraphicsLayoutItem*)(Plasma::Meter*)xptr;
        case 70: return (void*)(Plasma::Meter*)xptr;
        default: return xptr;
      }
    case 71:   //Plasma::Package
      switch(to) {
        case 71: return (void*)(Plasma::Package*)xptr;
        default: return xptr;
      }
    case 72:   //Plasma::PackageMetadata
      switch(to) {
        case 72: return (void*)(Plasma::PackageMetadata*)xptr;
        default: return xptr;
      }
    case 73:   //Plasma::PackageStructure
      switch(to) {
        case 162: return (void*)(QObject*)(Plasma::PackageStructure*)xptr;
        case 178: return (void*)(QSharedData*)(Plasma::PackageStructure*)xptr;
        case 73: return (void*)(Plasma::PackageStructure*)xptr;
        default: return xptr;
      }
    case 74:   //Plasma::PlotColor
      switch(to) {
        case 74: return (void*)(Plasma::PlotColor*)xptr;
        default: return xptr;
      }
    case 75:   //Plasma::PopupApplet
      switch(to) {
        case 36: return (void*)(Plasma::Applet*)(Plasma::PopupApplet*)xptr;
        case 146: return (void*)(QGraphicsWidget*)(Plasma::PopupApplet*)xptr;
        case 134: return (void*)(QGraphicsObject*)(Plasma::PopupApplet*)xptr;
        case 162: return (void*)(QObject*)(Plasma::PopupApplet*)xptr;
        case 132: return (void*)(QGraphicsItem*)(Plasma::PopupApplet*)xptr;
        case 133: return (void*)(QGraphicsLayoutItem*)(Plasma::PopupApplet*)xptr;
        case 75: return (void*)(Plasma::PopupApplet*)xptr;
        default: return xptr;
      }
    case 76:   //Plasma::PushButton
      switch(to) {
        case 135: return (void*)(QGraphicsProxyWidget*)(Plasma::PushButton*)xptr;
        case 146: return (void*)(QGraphicsWidget*)(Plasma::PushButton*)xptr;
        case 134: return (void*)(QGraphicsObject*)(Plasma::PushButton*)xptr;
        case 162: return (void*)(QObject*)(Plasma::PushButton*)xptr;
        case 132: return (void*)(QGraphicsItem*)(Plasma::PushButton*)xptr;
        case 133: return (void*)(QGraphicsLayoutItem*)(Plasma::PushButton*)xptr;
        case 76: return (void*)(Plasma::PushButton*)xptr;
        default: return xptr;
      }
    case 77:   //Plasma::QueryMatch
      switch(to) {
        case 77: return (void*)(Plasma::QueryMatch*)xptr;
        default: return xptr;
      }
    case 78:   //Plasma::RadioButton
      switch(to) {
        case 135: return (void*)(QGraphicsProxyWidget*)(Plasma::RadioButton*)xptr;
        case 146: return (void*)(QGraphicsWidget*)(Plasma::RadioButton*)xptr;
        case 134: return (void*)(QGraphicsObject*)(Plasma::RadioButton*)xptr;
        case 162: return (void*)(QObject*)(Plasma::RadioButton*)xptr;
        case 132: return (void*)(QGraphicsItem*)(Plasma::RadioButton*)xptr;
        case 133: return (void*)(QGraphicsLayoutItem*)(Plasma::RadioButton*)xptr;
        case 78: return (void*)(Plasma::RadioButton*)xptr;
        default: return xptr;
      }
    case 79:   //Plasma::RunnerContext
      switch(to) {
        case 162: return (void*)(QObject*)(Plasma::RunnerContext*)xptr;
        case 79: return (void*)(Plasma::RunnerContext*)xptr;
        default: return xptr;
      }
    case 80:   //Plasma::RunnerManager
      switch(to) {
        case 162: return (void*)(QObject*)(Plasma::RunnerManager*)xptr;
        case 80: return (void*)(Plasma::RunnerManager*)xptr;
        default: return xptr;
      }
    case 81:   //Plasma::RunnerScript
      switch(to) {
        case 83: return (void*)(Plasma::ScriptEngine*)(Plasma::RunnerScript*)xptr;
        case 162: return (void*)(QObject*)(Plasma::RunnerScript*)xptr;
        case 81: return (void*)(Plasma::RunnerScript*)xptr;
        default: return xptr;
      }
    case 82:   //Plasma::RunnerSyntax
      switch(to) {
        case 82: return (void*)(Plasma::RunnerSyntax*)xptr;
        default: return xptr;
      }
    case 83:   //Plasma::ScriptEngine
      switch(to) {
        case 162: return (void*)(QObject*)(Plasma::ScriptEngine*)xptr;
        case 83: return (void*)(Plasma::ScriptEngine*)xptr;
        case 55: return (void*)(Plasma::DataEngineScript*)(Plasma::ScriptEngine*)xptr;
        case 106: return (void*)(Plasma::WallpaperScript*)(Plasma::ScriptEngine*)xptr;
        case 81: return (void*)(Plasma::RunnerScript*)(Plasma::ScriptEngine*)xptr;
        case 37: return (void*)(Plasma::AppletScript*)(Plasma::ScriptEngine*)xptr;
        default: return xptr;
      }
    case 84:   //Plasma::ScrollBar
      switch(to) {
        case 135: return (void*)(QGraphicsProxyWidget*)(Plasma::ScrollBar*)xptr;
        case 146: return (void*)(QGraphicsWidget*)(Plasma::ScrollBar*)xptr;
        case 134: return (void*)(QGraphicsObject*)(Plasma::ScrollBar*)xptr;
        case 162: return (void*)(QObject*)(Plasma::ScrollBar*)xptr;
        case 132: return (void*)(QGraphicsItem*)(Plasma::ScrollBar*)xptr;
        case 133: return (void*)(QGraphicsLayoutItem*)(Plasma::ScrollBar*)xptr;
        case 84: return (void*)(Plasma::ScrollBar*)xptr;
        default: return xptr;
      }
    case 85:   //Plasma::ScrollWidget
      switch(to) {
        case 146: return (void*)(QGraphicsWidget*)(Plasma::ScrollWidget*)xptr;
        case 134: return (void*)(QGraphicsObject*)(Plasma::ScrollWidget*)xptr;
        case 162: return (void*)(QObject*)(Plasma::ScrollWidget*)xptr;
        case 132: return (void*)(QGraphicsItem*)(Plasma::ScrollWidget*)xptr;
        case 133: return (void*)(QGraphicsLayoutItem*)(Plasma::ScrollWidget*)xptr;
        case 85: return (void*)(Plasma::ScrollWidget*)xptr;
        default: return xptr;
      }
    case 86:   //Plasma::Separator
      switch(to) {
        case 146: return (void*)(QGraphicsWidget*)(Plasma::Separator*)xptr;
        case 134: return (void*)(QGraphicsObject*)(Plasma::Separator*)xptr;
        case 162: return (void*)(QObject*)(Plasma::Separator*)xptr;
        case 132: return (void*)(QGraphicsItem*)(Plasma::Separator*)xptr;
        case 133: return (void*)(QGraphicsLayoutItem*)(Plasma::Separator*)xptr;
        case 86: return (void*)(Plasma::Separator*)xptr;
        default: return xptr;
      }
    case 87:   //Plasma::Service
      switch(to) {
        case 162: return (void*)(QObject*)(Plasma::Service*)xptr;
        case 87: return (void*)(Plasma::Service*)xptr;
        default: return xptr;
      }
    case 88:   //Plasma::ServiceAccessJob
      switch(to) {
        case 12: return (void*)(KJob*)(Plasma::ServiceAccessJob*)xptr;
        case 162: return (void*)(QObject*)(Plasma::ServiceAccessJob*)xptr;
        case 88: return (void*)(Plasma::ServiceAccessJob*)xptr;
        default: return xptr;
      }
    case 89:   //Plasma::ServiceJob
      switch(to) {
        case 89: return (void*)(Plasma::ServiceJob*)xptr;
        default: return xptr;
      }
    case 90:   //Plasma::SignalPlotter
      switch(to) {
        case 146: return (void*)(QGraphicsWidget*)(Plasma::SignalPlotter*)xptr;
        case 134: return (void*)(QGraphicsObject*)(Plasma::SignalPlotter*)xptr;
        case 162: return (void*)(QObject*)(Plasma::SignalPlotter*)xptr;
        case 132: return (void*)(QGraphicsItem*)(Plasma::SignalPlotter*)xptr;
        case 133: return (void*)(QGraphicsLayoutItem*)(Plasma::SignalPlotter*)xptr;
        case 90: return (void*)(Plasma::SignalPlotter*)xptr;
        default: return xptr;
      }
    case 91:   //Plasma::Slider
      switch(to) {
        case 135: return (void*)(QGraphicsProxyWidget*)(Plasma::Slider*)xptr;
        case 146: return (void*)(QGraphicsWidget*)(Plasma::Slider*)xptr;
        case 134: return (void*)(QGraphicsObject*)(Plasma::Slider*)xptr;
        case 162: return (void*)(QObject*)(Plasma::Slider*)xptr;
        case 132: return (void*)(QGraphicsItem*)(Plasma::Slider*)xptr;
        case 133: return (void*)(QGraphicsLayoutItem*)(Plasma::Slider*)xptr;
        case 91: return (void*)(Plasma::Slider*)xptr;
        default: return xptr;
      }
    case 92:   //Plasma::SpinBox
      switch(to) {
        case 135: return (void*)(QGraphicsProxyWidget*)(Plasma::SpinBox*)xptr;
        case 146: return (void*)(QGraphicsWidget*)(Plasma::SpinBox*)xptr;
        case 134: return (void*)(QGraphicsObject*)(Plasma::SpinBox*)xptr;
        case 162: return (void*)(QObject*)(Plasma::SpinBox*)xptr;
        case 132: return (void*)(QGraphicsItem*)(Plasma::SpinBox*)xptr;
        case 133: return (void*)(QGraphicsLayoutItem*)(Plasma::SpinBox*)xptr;
        case 92: return (void*)(Plasma::SpinBox*)xptr;
        default: return xptr;
      }
    case 93:   //Plasma::Svg
      switch(to) {
        case 162: return (void*)(QObject*)(Plasma::Svg*)xptr;
        case 93: return (void*)(Plasma::Svg*)xptr;
        case 63: return (void*)(Plasma::FrameSvg*)(Plasma::Svg*)xptr;
        default: return xptr;
      }
    case 94:   //Plasma::SvgWidget
      switch(to) {
        case 146: return (void*)(QGraphicsWidget*)(Plasma::SvgWidget*)xptr;
        case 134: return (void*)(QGraphicsObject*)(Plasma::SvgWidget*)xptr;
        case 162: return (void*)(QObject*)(Plasma::SvgWidget*)xptr;
        case 132: return (void*)(QGraphicsItem*)(Plasma::SvgWidget*)xptr;
        case 133: return (void*)(QGraphicsLayoutItem*)(Plasma::SvgWidget*)xptr;
        case 94: return (void*)(Plasma::SvgWidget*)xptr;
        default: return xptr;
      }
    case 95:   //Plasma::TabBar
      switch(to) {
        case 146: return (void*)(QGraphicsWidget*)(Plasma::TabBar*)xptr;
        case 134: return (void*)(QGraphicsObject*)(Plasma::TabBar*)xptr;
        case 162: return (void*)(QObject*)(Plasma::TabBar*)xptr;
        case 132: return (void*)(QGraphicsItem*)(Plasma::TabBar*)xptr;
        case 133: return (void*)(QGraphicsLayoutItem*)(Plasma::TabBar*)xptr;
        case 95: return (void*)(Plasma::TabBar*)xptr;
        default: return xptr;
      }
    case 96:   //Plasma::TextBrowser
      switch(to) {
        case 135: return (void*)(QGraphicsProxyWidget*)(Plasma::TextBrowser*)xptr;
        case 146: return (void*)(QGraphicsWidget*)(Plasma::TextBrowser*)xptr;
        case 134: return (void*)(QGraphicsObject*)(Plasma::TextBrowser*)xptr;
        case 162: return (void*)(QObject*)(Plasma::TextBrowser*)xptr;
        case 132: return (void*)(QGraphicsItem*)(Plasma::TextBrowser*)xptr;
        case 133: return (void*)(QGraphicsLayoutItem*)(Plasma::TextBrowser*)xptr;
        case 96: return (void*)(Plasma::TextBrowser*)xptr;
        default: return xptr;
      }
    case 97:   //Plasma::TextEdit
      switch(to) {
        case 135: return (void*)(QGraphicsProxyWidget*)(Plasma::TextEdit*)xptr;
        case 146: return (void*)(QGraphicsWidget*)(Plasma::TextEdit*)xptr;
        case 134: return (void*)(QGraphicsObject*)(Plasma::TextEdit*)xptr;
        case 162: return (void*)(QObject*)(Plasma::TextEdit*)xptr;
        case 132: return (void*)(QGraphicsItem*)(Plasma::TextEdit*)xptr;
        case 133: return (void*)(QGraphicsLayoutItem*)(Plasma::TextEdit*)xptr;
        case 97: return (void*)(Plasma::TextEdit*)xptr;
        default: return xptr;
      }
    case 98:   //Plasma::Theme
      switch(to) {
        case 162: return (void*)(QObject*)(Plasma::Theme*)xptr;
        case 98: return (void*)(Plasma::Theme*)xptr;
        default: return xptr;
      }
    case 99:   //Plasma::ToolButton
      switch(to) {
        case 135: return (void*)(QGraphicsProxyWidget*)(Plasma::ToolButton*)xptr;
        case 146: return (void*)(QGraphicsWidget*)(Plasma::ToolButton*)xptr;
        case 134: return (void*)(QGraphicsObject*)(Plasma::ToolButton*)xptr;
        case 162: return (void*)(QObject*)(Plasma::ToolButton*)xptr;
        case 132: return (void*)(QGraphicsItem*)(Plasma::ToolButton*)xptr;
        case 133: return (void*)(QGraphicsLayoutItem*)(Plasma::ToolButton*)xptr;
        case 99: return (void*)(Plasma::ToolButton*)xptr;
        default: return xptr;
      }
    case 100:   //Plasma::ToolTipContent
      switch(to) {
        case 100: return (void*)(Plasma::ToolTipContent*)xptr;
        default: return xptr;
      }
    case 101:   //Plasma::ToolTipManager
      switch(to) {
        case 162: return (void*)(QObject*)(Plasma::ToolTipManager*)xptr;
        case 101: return (void*)(Plasma::ToolTipManager*)xptr;
        default: return xptr;
      }
    case 102:   //Plasma::TreeView
      switch(to) {
        case 135: return (void*)(QGraphicsProxyWidget*)(Plasma::TreeView*)xptr;
        case 146: return (void*)(QGraphicsWidget*)(Plasma::TreeView*)xptr;
        case 134: return (void*)(QGraphicsObject*)(Plasma::TreeView*)xptr;
        case 162: return (void*)(QObject*)(Plasma::TreeView*)xptr;
        case 132: return (void*)(QGraphicsItem*)(Plasma::TreeView*)xptr;
        case 133: return (void*)(QGraphicsLayoutItem*)(Plasma::TreeView*)xptr;
        case 102: return (void*)(Plasma::TreeView*)xptr;
        default: return xptr;
      }
    case 103:   //Plasma::VideoWidget
      switch(to) {
        case 135: return (void*)(QGraphicsProxyWidget*)(Plasma::VideoWidget*)xptr;
        case 146: return (void*)(QGraphicsWidget*)(Plasma::VideoWidget*)xptr;
        case 134: return (void*)(QGraphicsObject*)(Plasma::VideoWidget*)xptr;
        case 162: return (void*)(QObject*)(Plasma::VideoWidget*)xptr;
        case 132: return (void*)(QGraphicsItem*)(Plasma::VideoWidget*)xptr;
        case 133: return (void*)(QGraphicsLayoutItem*)(Plasma::VideoWidget*)xptr;
        case 103: return (void*)(Plasma::VideoWidget*)xptr;
        default: return xptr;
      }
    case 104:   //Plasma::View
      switch(to) {
        case 145: return (void*)(QGraphicsView*)(Plasma::View*)xptr;
        case 111: return (void*)(QAbstractScrollArea*)(Plasma::View*)xptr;
        case 130: return (void*)(QFrame*)(Plasma::View*)xptr;
        case 198: return (void*)(QWidget*)(Plasma::View*)xptr;
        case 162: return (void*)(QObject*)(Plasma::View*)xptr;
        case 104: return (void*)(Plasma::View*)xptr;
        default: return xptr;
      }
    case 105:   //Plasma::Wallpaper
      switch(to) {
        case 162: return (void*)(QObject*)(Plasma::Wallpaper*)xptr;
        case 105: return (void*)(Plasma::Wallpaper*)xptr;
        default: return xptr;
      }
    case 106:   //Plasma::WallpaperScript
      switch(to) {
        case 83: return (void*)(Plasma::ScriptEngine*)(Plasma::WallpaperScript*)xptr;
        case 162: return (void*)(QObject*)(Plasma::WallpaperScript*)xptr;
        case 106: return (void*)(Plasma::WallpaperScript*)xptr;
        default: return xptr;
      }
    case 107:   //Plasma::WebView
      switch(to) {
        case 146: return (void*)(QGraphicsWidget*)(Plasma::WebView*)xptr;
        case 134: return (void*)(QGraphicsObject*)(Plasma::WebView*)xptr;
        case 162: return (void*)(QObject*)(Plasma::WebView*)xptr;
        case 132: return (void*)(QGraphicsItem*)(Plasma::WebView*)xptr;
        case 133: return (void*)(QGraphicsLayoutItem*)(Plasma::WebView*)xptr;
        case 107: return (void*)(Plasma::WebView*)xptr;
        default: return xptr;
      }
    case 108:   //QAbstractAnimation
      switch(to) {
        case 162: return (void*)(QObject*)(QAbstractAnimation*)xptr;
        case 108: return (void*)(QAbstractAnimation*)xptr;
        case 33: return (void*)(Plasma::Animation*)(QAbstractAnimation*)xptr;
        default: return xptr;
      }
    case 109:   //QAbstractItemDelegate
      switch(to) {
        case 162: return (void*)(QObject*)(QAbstractItemDelegate*)xptr;
        case 109: return (void*)(QAbstractItemDelegate*)xptr;
        case 56: return (void*)(Plasma::Delegate*)(QAbstractItemDelegate*)xptr;
        default: return xptr;
      }
    case 110:   //QAbstractItemModel
      switch(to) {
        case 162: return (void*)(QObject*)(QAbstractItemModel*)xptr;
        case 110: return (void*)(QAbstractItemModel*)xptr;
        default: return xptr;
      }
    case 111:   //QAbstractScrollArea
      switch(to) {
        case 130: return (void*)(QFrame*)(QAbstractScrollArea*)xptr;
        case 198: return (void*)(QWidget*)(QAbstractScrollArea*)xptr;
        case 162: return (void*)(QObject*)(QAbstractScrollArea*)xptr;
        case 111: return (void*)(QAbstractScrollArea*)xptr;
        case 104: return (void*)(Plasma::View*)(QAbstractScrollArea*)xptr;
        default: return xptr;
      }
    case 112:   //QAction
      switch(to) {
        case 112: return (void*)(QAction*)xptr;
        default: return xptr;
      }
    case 113:   //QActionEvent
      switch(to) {
        case 126: return (void*)(QEvent*)(QActionEvent*)xptr;
        case 113: return (void*)(QActionEvent*)xptr;
        default: return xptr;
      }
    case 114:   //QBool
      switch(to) {
        case 114: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 115:   //QByteArray
      switch(to) {
        case 115: return (void*)(QByteArray*)xptr;
        default: return xptr;
      }
    case 116:   //QCheckBox
      switch(to) {
        case 116: return (void*)(QCheckBox*)xptr;
        default: return xptr;
      }
    case 117:   //QChildEvent
      switch(to) {
        case 126: return (void*)(QEvent*)(QChildEvent*)xptr;
        case 117: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 118:   //QCloseEvent
      switch(to) {
        case 126: return (void*)(QEvent*)(QCloseEvent*)xptr;
        case 118: return (void*)(QCloseEvent*)xptr;
        default: return xptr;
      }
    case 119:   //QColor
      switch(to) {
        case 119: return (void*)(QColor*)xptr;
        default: return xptr;
      }
    case 120:   //QContextMenuEvent
      switch(to) {
        case 126: return (void*)(QEvent*)(QContextMenuEvent*)xptr;
        case 120: return (void*)(QContextMenuEvent*)xptr;
        default: return xptr;
      }
    case 121:   //QDragEnterEvent
      switch(to) {
        case 123: return (void*)(QDragMoveEvent*)(QDragEnterEvent*)xptr;
        case 124: return (void*)(QDropEvent*)(QDragEnterEvent*)xptr;
        case 126: return (void*)(QEvent*)(QDragEnterEvent*)xptr;
        case 121: return (void*)(QDragEnterEvent*)xptr;
        default: return xptr;
      }
    case 122:   //QDragLeaveEvent
      switch(to) {
        case 126: return (void*)(QEvent*)(QDragLeaveEvent*)xptr;
        case 122: return (void*)(QDragLeaveEvent*)xptr;
        default: return xptr;
      }
    case 123:   //QDragMoveEvent
      switch(to) {
        case 124: return (void*)(QDropEvent*)(QDragMoveEvent*)xptr;
        case 126: return (void*)(QEvent*)(QDragMoveEvent*)xptr;
        case 123: return (void*)(QDragMoveEvent*)xptr;
        default: return xptr;
      }
    case 124:   //QDropEvent
      switch(to) {
        case 126: return (void*)(QEvent*)(QDropEvent*)xptr;
        case 124: return (void*)(QDropEvent*)xptr;
        default: return xptr;
      }
    case 125:   //QEasingCurve
      switch(to) {
        case 125: return (void*)(QEasingCurve*)xptr;
        default: return xptr;
      }
    case 126:   //QEvent
      switch(to) {
        case 126: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 127:   //QFocusEvent
      switch(to) {
        case 126: return (void*)(QEvent*)(QFocusEvent*)xptr;
        case 127: return (void*)(QFocusEvent*)xptr;
        default: return xptr;
      }
    case 128:   //QFont
      switch(to) {
        case 128: return (void*)(QFont*)xptr;
        default: return xptr;
      }
    case 129:   //QFontMetrics
      switch(to) {
        case 129: return (void*)(QFontMetrics*)xptr;
        default: return xptr;
      }
    case 130:   //QFrame
      switch(to) {
        case 198: return (void*)(QWidget*)(QFrame*)xptr;
        case 162: return (void*)(QObject*)(QFrame*)xptr;
        case 130: return (void*)(QFrame*)xptr;
        case 104: return (void*)(Plasma::View*)(QFrame*)xptr;
        default: return xptr;
      }
    case 132:   //QGraphicsItem
      switch(to) {
        case 132: return (void*)(QGraphicsItem*)xptr;
        case 95: return (void*)(Plasma::TabBar*)(QGraphicsItem*)xptr;
        case 67: return (void*)(Plasma::ItemBackground*)(QGraphicsItem*)xptr;
        case 36: return (void*)(Plasma::Applet*)(QGraphicsItem*)xptr;
        case 46: return (void*)(Plasma::Containment*)(QGraphicsItem*)xptr;
        case 94: return (void*)(Plasma::SvgWidget*)(QGraphicsItem*)xptr;
        case 68: return (void*)(Plasma::Label*)(QGraphicsItem*)xptr;
        case 62: return (void*)(Plasma::Frame*)(QGraphicsItem*)xptr;
        case 103: return (void*)(Plasma::VideoWidget*)(QGraphicsItem*)xptr;
        case 59: return (void*)(Plasma::ExtenderGroup*)(QGraphicsItem*)xptr;
        case 41: return (void*)(Plasma::BusyWidget*)(QGraphicsItem*)xptr;
        case 64: return (void*)(Plasma::GLApplet*)(QGraphicsItem*)xptr;
        case 42: return (void*)(Plasma::CheckBox*)(QGraphicsItem*)xptr;
        case 102: return (void*)(Plasma::TreeView*)(QGraphicsItem*)xptr;
        case 99: return (void*)(Plasma::ToolButton*)(QGraphicsItem*)xptr;
        case 65: return (void*)(Plasma::GroupBox*)(QGraphicsItem*)xptr;
        case 84: return (void*)(Plasma::ScrollBar*)(QGraphicsItem*)xptr;
        case 66: return (void*)(Plasma::IconWidget*)(QGraphicsItem*)xptr;
        case 69: return (void*)(Plasma::LineEdit*)(QGraphicsItem*)xptr;
        case 60: return (void*)(Plasma::ExtenderItem*)(QGraphicsItem*)xptr;
        case 86: return (void*)(Plasma::Separator*)(QGraphicsItem*)xptr;
        case 76: return (void*)(Plasma::PushButton*)(QGraphicsItem*)xptr;
        case 78: return (void*)(Plasma::RadioButton*)(QGraphicsItem*)xptr;
        case 96: return (void*)(Plasma::TextBrowser*)(QGraphicsItem*)xptr;
        case 75: return (void*)(Plasma::PopupApplet*)(QGraphicsItem*)xptr;
        case 58: return (void*)(Plasma::Extender*)(QGraphicsItem*)xptr;
        case 92: return (void*)(Plasma::SpinBox*)(QGraphicsItem*)xptr;
        case 90: return (void*)(Plasma::SignalPlotter*)(QGraphicsItem*)xptr;
        case 85: return (void*)(Plasma::ScrollWidget*)(QGraphicsItem*)xptr;
        case 30: return (void*)(Plasma::AbstractToolBox*)(QGraphicsItem*)xptr;
        case 70: return (void*)(Plasma::Meter*)(QGraphicsItem*)xptr;
        case 44: return (void*)(Plasma::ComboBox*)(QGraphicsItem*)xptr;
        case 91: return (void*)(Plasma::Slider*)(QGraphicsItem*)xptr;
        case 107: return (void*)(Plasma::WebView*)(QGraphicsItem*)xptr;
        case 61: return (void*)(Plasma::FlashingLabel*)(QGraphicsItem*)xptr;
        case 97: return (void*)(Plasma::TextEdit*)(QGraphicsItem*)xptr;
        default: return xptr;
      }
    case 133:   //QGraphicsLayoutItem
      switch(to) {
        case 133: return (void*)(QGraphicsLayoutItem*)xptr;
        case 95: return (void*)(Plasma::TabBar*)(QGraphicsLayoutItem*)xptr;
        case 67: return (void*)(Plasma::ItemBackground*)(QGraphicsLayoutItem*)xptr;
        case 36: return (void*)(Plasma::Applet*)(QGraphicsLayoutItem*)xptr;
        case 46: return (void*)(Plasma::Containment*)(QGraphicsLayoutItem*)xptr;
        case 94: return (void*)(Plasma::SvgWidget*)(QGraphicsLayoutItem*)xptr;
        case 68: return (void*)(Plasma::Label*)(QGraphicsLayoutItem*)xptr;
        case 62: return (void*)(Plasma::Frame*)(QGraphicsLayoutItem*)xptr;
        case 103: return (void*)(Plasma::VideoWidget*)(QGraphicsLayoutItem*)xptr;
        case 59: return (void*)(Plasma::ExtenderGroup*)(QGraphicsLayoutItem*)xptr;
        case 41: return (void*)(Plasma::BusyWidget*)(QGraphicsLayoutItem*)xptr;
        case 64: return (void*)(Plasma::GLApplet*)(QGraphicsLayoutItem*)xptr;
        case 42: return (void*)(Plasma::CheckBox*)(QGraphicsLayoutItem*)xptr;
        case 102: return (void*)(Plasma::TreeView*)(QGraphicsLayoutItem*)xptr;
        case 99: return (void*)(Plasma::ToolButton*)(QGraphicsLayoutItem*)xptr;
        case 65: return (void*)(Plasma::GroupBox*)(QGraphicsLayoutItem*)xptr;
        case 84: return (void*)(Plasma::ScrollBar*)(QGraphicsLayoutItem*)xptr;
        case 66: return (void*)(Plasma::IconWidget*)(QGraphicsLayoutItem*)xptr;
        case 69: return (void*)(Plasma::LineEdit*)(QGraphicsLayoutItem*)xptr;
        case 60: return (void*)(Plasma::ExtenderItem*)(QGraphicsLayoutItem*)xptr;
        case 86: return (void*)(Plasma::Separator*)(QGraphicsLayoutItem*)xptr;
        case 76: return (void*)(Plasma::PushButton*)(QGraphicsLayoutItem*)xptr;
        case 78: return (void*)(Plasma::RadioButton*)(QGraphicsLayoutItem*)xptr;
        case 96: return (void*)(Plasma::TextBrowser*)(QGraphicsLayoutItem*)xptr;
        case 75: return (void*)(Plasma::PopupApplet*)(QGraphicsLayoutItem*)xptr;
        case 58: return (void*)(Plasma::Extender*)(QGraphicsLayoutItem*)xptr;
        case 92: return (void*)(Plasma::SpinBox*)(QGraphicsLayoutItem*)xptr;
        case 90: return (void*)(Plasma::SignalPlotter*)(QGraphicsLayoutItem*)xptr;
        case 85: return (void*)(Plasma::ScrollWidget*)(QGraphicsLayoutItem*)xptr;
        case 30: return (void*)(Plasma::AbstractToolBox*)(QGraphicsLayoutItem*)xptr;
        case 70: return (void*)(Plasma::Meter*)(QGraphicsLayoutItem*)xptr;
        case 44: return (void*)(Plasma::ComboBox*)(QGraphicsLayoutItem*)xptr;
        case 91: return (void*)(Plasma::Slider*)(QGraphicsLayoutItem*)xptr;
        case 107: return (void*)(Plasma::WebView*)(QGraphicsLayoutItem*)xptr;
        case 61: return (void*)(Plasma::FlashingLabel*)(QGraphicsLayoutItem*)xptr;
        case 97: return (void*)(Plasma::TextEdit*)(QGraphicsLayoutItem*)xptr;
        default: return xptr;
      }
    case 134:   //QGraphicsObject
      switch(to) {
        case 162: return (void*)(QObject*)(QGraphicsObject*)xptr;
        case 132: return (void*)(QGraphicsItem*)(QGraphicsObject*)xptr;
        case 134: return (void*)(QGraphicsObject*)xptr;
        case 95: return (void*)(Plasma::TabBar*)(QGraphicsObject*)xptr;
        case 67: return (void*)(Plasma::ItemBackground*)(QGraphicsObject*)xptr;
        case 36: return (void*)(Plasma::Applet*)(QGraphicsObject*)xptr;
        case 46: return (void*)(Plasma::Containment*)(QGraphicsObject*)xptr;
        case 94: return (void*)(Plasma::SvgWidget*)(QGraphicsObject*)xptr;
        case 68: return (void*)(Plasma::Label*)(QGraphicsObject*)xptr;
        case 62: return (void*)(Plasma::Frame*)(QGraphicsObject*)xptr;
        case 103: return (void*)(Plasma::VideoWidget*)(QGraphicsObject*)xptr;
        case 59: return (void*)(Plasma::ExtenderGroup*)(QGraphicsObject*)xptr;
        case 41: return (void*)(Plasma::BusyWidget*)(QGraphicsObject*)xptr;
        case 64: return (void*)(Plasma::GLApplet*)(QGraphicsObject*)xptr;
        case 42: return (void*)(Plasma::CheckBox*)(QGraphicsObject*)xptr;
        case 102: return (void*)(Plasma::TreeView*)(QGraphicsObject*)xptr;
        case 99: return (void*)(Plasma::ToolButton*)(QGraphicsObject*)xptr;
        case 65: return (void*)(Plasma::GroupBox*)(QGraphicsObject*)xptr;
        case 84: return (void*)(Plasma::ScrollBar*)(QGraphicsObject*)xptr;
        case 66: return (void*)(Plasma::IconWidget*)(QGraphicsObject*)xptr;
        case 69: return (void*)(Plasma::LineEdit*)(QGraphicsObject*)xptr;
        case 60: return (void*)(Plasma::ExtenderItem*)(QGraphicsObject*)xptr;
        case 86: return (void*)(Plasma::Separator*)(QGraphicsObject*)xptr;
        case 76: return (void*)(Plasma::PushButton*)(QGraphicsObject*)xptr;
        case 78: return (void*)(Plasma::RadioButton*)(QGraphicsObject*)xptr;
        case 96: return (void*)(Plasma::TextBrowser*)(QGraphicsObject*)xptr;
        case 75: return (void*)(Plasma::PopupApplet*)(QGraphicsObject*)xptr;
        case 58: return (void*)(Plasma::Extender*)(QGraphicsObject*)xptr;
        case 92: return (void*)(Plasma::SpinBox*)(QGraphicsObject*)xptr;
        case 90: return (void*)(Plasma::SignalPlotter*)(QGraphicsObject*)xptr;
        case 85: return (void*)(Plasma::ScrollWidget*)(QGraphicsObject*)xptr;
        case 30: return (void*)(Plasma::AbstractToolBox*)(QGraphicsObject*)xptr;
        case 70: return (void*)(Plasma::Meter*)(QGraphicsObject*)xptr;
        case 44: return (void*)(Plasma::ComboBox*)(QGraphicsObject*)xptr;
        case 91: return (void*)(Plasma::Slider*)(QGraphicsObject*)xptr;
        case 107: return (void*)(Plasma::WebView*)(QGraphicsObject*)xptr;
        case 61: return (void*)(Plasma::FlashingLabel*)(QGraphicsObject*)xptr;
        case 97: return (void*)(Plasma::TextEdit*)(QGraphicsObject*)xptr;
        default: return xptr;
      }
    case 135:   //QGraphicsProxyWidget
      switch(to) {
        case 146: return (void*)(QGraphicsWidget*)(QGraphicsProxyWidget*)xptr;
        case 134: return (void*)(QGraphicsObject*)(QGraphicsProxyWidget*)xptr;
        case 162: return (void*)(QObject*)(QGraphicsProxyWidget*)xptr;
        case 132: return (void*)(QGraphicsItem*)(QGraphicsProxyWidget*)xptr;
        case 133: return (void*)(QGraphicsLayoutItem*)(QGraphicsProxyWidget*)xptr;
        case 135: return (void*)(QGraphicsProxyWidget*)xptr;
        case 68: return (void*)(Plasma::Label*)(QGraphicsProxyWidget*)xptr;
        case 103: return (void*)(Plasma::VideoWidget*)(QGraphicsProxyWidget*)xptr;
        case 42: return (void*)(Plasma::CheckBox*)(QGraphicsProxyWidget*)xptr;
        case 102: return (void*)(Plasma::TreeView*)(QGraphicsProxyWidget*)xptr;
        case 99: return (void*)(Plasma::ToolButton*)(QGraphicsProxyWidget*)xptr;
        case 65: return (void*)(Plasma::GroupBox*)(QGraphicsProxyWidget*)xptr;
        case 84: return (void*)(Plasma::ScrollBar*)(QGraphicsProxyWidget*)xptr;
        case 69: return (void*)(Plasma::LineEdit*)(QGraphicsProxyWidget*)xptr;
        case 76: return (void*)(Plasma::PushButton*)(QGraphicsProxyWidget*)xptr;
        case 78: return (void*)(Plasma::RadioButton*)(QGraphicsProxyWidget*)xptr;
        case 96: return (void*)(Plasma::TextBrowser*)(QGraphicsProxyWidget*)xptr;
        case 92: return (void*)(Plasma::SpinBox*)(QGraphicsProxyWidget*)xptr;
        case 44: return (void*)(Plasma::ComboBox*)(QGraphicsProxyWidget*)xptr;
        case 91: return (void*)(Plasma::Slider*)(QGraphicsProxyWidget*)xptr;
        case 97: return (void*)(Plasma::TextEdit*)(QGraphicsProxyWidget*)xptr;
        default: return xptr;
      }
    case 136:   //QGraphicsScene
      switch(to) {
        case 162: return (void*)(QObject*)(QGraphicsScene*)xptr;
        case 136: return (void*)(QGraphicsScene*)xptr;
        case 51: return (void*)(Plasma::Corona*)(QGraphicsScene*)xptr;
        default: return xptr;
      }
    case 137:   //QGraphicsSceneContextMenuEvent
      switch(to) {
        case 126: return (void*)(QEvent*)(QGraphicsSceneContextMenuEvent*)xptr;
        case 137: return (void*)(QGraphicsSceneContextMenuEvent*)xptr;
        default: return xptr;
      }
    case 138:   //QGraphicsSceneDragDropEvent
      switch(to) {
        case 126: return (void*)(QEvent*)(QGraphicsSceneDragDropEvent*)xptr;
        case 138: return (void*)(QGraphicsSceneDragDropEvent*)xptr;
        default: return xptr;
      }
    case 139:   //QGraphicsSceneHelpEvent
      switch(to) {
        case 126: return (void*)(QEvent*)(QGraphicsSceneHelpEvent*)xptr;
        case 139: return (void*)(QGraphicsSceneHelpEvent*)xptr;
        default: return xptr;
      }
    case 140:   //QGraphicsSceneHoverEvent
      switch(to) {
        case 126: return (void*)(QEvent*)(QGraphicsSceneHoverEvent*)xptr;
        case 140: return (void*)(QGraphicsSceneHoverEvent*)xptr;
        default: return xptr;
      }
    case 141:   //QGraphicsSceneMouseEvent
      switch(to) {
        case 126: return (void*)(QEvent*)(QGraphicsSceneMouseEvent*)xptr;
        case 141: return (void*)(QGraphicsSceneMouseEvent*)xptr;
        default: return xptr;
      }
    case 142:   //QGraphicsSceneMoveEvent
      switch(to) {
        case 126: return (void*)(QEvent*)(QGraphicsSceneMoveEvent*)xptr;
        case 142: return (void*)(QGraphicsSceneMoveEvent*)xptr;
        default: return xptr;
      }
    case 143:   //QGraphicsSceneResizeEvent
      switch(to) {
        case 126: return (void*)(QEvent*)(QGraphicsSceneResizeEvent*)xptr;
        case 143: return (void*)(QGraphicsSceneResizeEvent*)xptr;
        default: return xptr;
      }
    case 144:   //QGraphicsSceneWheelEvent
      switch(to) {
        case 126: return (void*)(QEvent*)(QGraphicsSceneWheelEvent*)xptr;
        case 144: return (void*)(QGraphicsSceneWheelEvent*)xptr;
        default: return xptr;
      }
    case 145:   //QGraphicsView
      switch(to) {
        case 111: return (void*)(QAbstractScrollArea*)(QGraphicsView*)xptr;
        case 130: return (void*)(QFrame*)(QGraphicsView*)xptr;
        case 198: return (void*)(QWidget*)(QGraphicsView*)xptr;
        case 162: return (void*)(QObject*)(QGraphicsView*)xptr;
        case 145: return (void*)(QGraphicsView*)xptr;
        case 104: return (void*)(Plasma::View*)(QGraphicsView*)xptr;
        default: return xptr;
      }
    case 146:   //QGraphicsWidget
      switch(to) {
        case 134: return (void*)(QGraphicsObject*)(QGraphicsWidget*)xptr;
        case 162: return (void*)(QObject*)(QGraphicsWidget*)xptr;
        case 132: return (void*)(QGraphicsItem*)(QGraphicsWidget*)xptr;
        case 133: return (void*)(QGraphicsLayoutItem*)(QGraphicsWidget*)xptr;
        case 146: return (void*)(QGraphicsWidget*)xptr;
        case 95: return (void*)(Plasma::TabBar*)(QGraphicsWidget*)xptr;
        case 67: return (void*)(Plasma::ItemBackground*)(QGraphicsWidget*)xptr;
        case 36: return (void*)(Plasma::Applet*)(QGraphicsWidget*)xptr;
        case 46: return (void*)(Plasma::Containment*)(QGraphicsWidget*)xptr;
        case 94: return (void*)(Plasma::SvgWidget*)(QGraphicsWidget*)xptr;
        case 68: return (void*)(Plasma::Label*)(QGraphicsWidget*)xptr;
        case 62: return (void*)(Plasma::Frame*)(QGraphicsWidget*)xptr;
        case 103: return (void*)(Plasma::VideoWidget*)(QGraphicsWidget*)xptr;
        case 59: return (void*)(Plasma::ExtenderGroup*)(QGraphicsWidget*)xptr;
        case 41: return (void*)(Plasma::BusyWidget*)(QGraphicsWidget*)xptr;
        case 64: return (void*)(Plasma::GLApplet*)(QGraphicsWidget*)xptr;
        case 42: return (void*)(Plasma::CheckBox*)(QGraphicsWidget*)xptr;
        case 102: return (void*)(Plasma::TreeView*)(QGraphicsWidget*)xptr;
        case 99: return (void*)(Plasma::ToolButton*)(QGraphicsWidget*)xptr;
        case 65: return (void*)(Plasma::GroupBox*)(QGraphicsWidget*)xptr;
        case 84: return (void*)(Plasma::ScrollBar*)(QGraphicsWidget*)xptr;
        case 66: return (void*)(Plasma::IconWidget*)(QGraphicsWidget*)xptr;
        case 69: return (void*)(Plasma::LineEdit*)(QGraphicsWidget*)xptr;
        case 60: return (void*)(Plasma::ExtenderItem*)(QGraphicsWidget*)xptr;
        case 86: return (void*)(Plasma::Separator*)(QGraphicsWidget*)xptr;
        case 76: return (void*)(Plasma::PushButton*)(QGraphicsWidget*)xptr;
        case 78: return (void*)(Plasma::RadioButton*)(QGraphicsWidget*)xptr;
        case 96: return (void*)(Plasma::TextBrowser*)(QGraphicsWidget*)xptr;
        case 75: return (void*)(Plasma::PopupApplet*)(QGraphicsWidget*)xptr;
        case 58: return (void*)(Plasma::Extender*)(QGraphicsWidget*)xptr;
        case 92: return (void*)(Plasma::SpinBox*)(QGraphicsWidget*)xptr;
        case 90: return (void*)(Plasma::SignalPlotter*)(QGraphicsWidget*)xptr;
        case 85: return (void*)(Plasma::ScrollWidget*)(QGraphicsWidget*)xptr;
        case 30: return (void*)(Plasma::AbstractToolBox*)(QGraphicsWidget*)xptr;
        case 70: return (void*)(Plasma::Meter*)(QGraphicsWidget*)xptr;
        case 44: return (void*)(Plasma::ComboBox*)(QGraphicsWidget*)xptr;
        case 91: return (void*)(Plasma::Slider*)(QGraphicsWidget*)xptr;
        case 107: return (void*)(Plasma::WebView*)(QGraphicsWidget*)xptr;
        case 61: return (void*)(Plasma::FlashingLabel*)(QGraphicsWidget*)xptr;
        case 97: return (void*)(Plasma::TextEdit*)(QGraphicsWidget*)xptr;
        default: return xptr;
      }
    case 147:   //QGroupBox
      switch(to) {
        case 147: return (void*)(QGroupBox*)xptr;
        default: return xptr;
      }
    case 148:   //QHideEvent
      switch(to) {
        case 126: return (void*)(QEvent*)(QHideEvent*)xptr;
        case 148: return (void*)(QHideEvent*)xptr;
        default: return xptr;
      }
    case 149:   //QIODevice
      switch(to) {
        case 162: return (void*)(QObject*)(QIODevice*)xptr;
        case 149: return (void*)(QIODevice*)xptr;
        default: return xptr;
      }
    case 150:   //QIcon
      switch(to) {
        case 150: return (void*)(QIcon*)xptr;
        default: return xptr;
      }
    case 151:   //QImage
      switch(to) {
        case 151: return (void*)(QImage*)xptr;
        default: return xptr;
      }
    case 152:   //QInputMethodEvent
      switch(to) {
        case 126: return (void*)(QEvent*)(QInputMethodEvent*)xptr;
        case 152: return (void*)(QInputMethodEvent*)xptr;
        default: return xptr;
      }
    case 153:   //QKeyEvent
      switch(to) {
        case 126: return (void*)(QEvent*)(QKeyEvent*)xptr;
        case 153: return (void*)(QKeyEvent*)xptr;
        default: return xptr;
      }
    case 154:   //QLabel
      switch(to) {
        case 154: return (void*)(QLabel*)xptr;
        default: return xptr;
      }
    case 155:   //QMenu
      switch(to) {
        case 155: return (void*)(QMenu*)xptr;
        default: return xptr;
      }
    case 156:   //QMetaObject
      switch(to) {
        case 156: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 157:   //QMimeData
      switch(to) {
        case 162: return (void*)(QObject*)(QMimeData*)xptr;
        case 157: return (void*)(QMimeData*)xptr;
        default: return xptr;
      }
    case 158:   //QModelIndex
      switch(to) {
        case 158: return (void*)(QModelIndex*)xptr;
        default: return xptr;
      }
    case 159:   //QMouseEvent
      switch(to) {
        case 126: return (void*)(QEvent*)(QMouseEvent*)xptr;
        case 159: return (void*)(QMouseEvent*)xptr;
        default: return xptr;
      }
    case 160:   //QMoveEvent
      switch(to) {
        case 126: return (void*)(QEvent*)(QMoveEvent*)xptr;
        case 160: return (void*)(QMoveEvent*)xptr;
        default: return xptr;
      }
    case 161:   //QMutex
      switch(to) {
        case 161: return (void*)(QMutex*)xptr;
        default: return xptr;
      }
    case 162:   //QObject
      switch(to) {
        case 162: return (void*)(QObject*)xptr;
        case 95: return (void*)(Plasma::TabBar*)(QObject*)xptr;
        case 67: return (void*)(Plasma::ItemBackground*)(QObject*)xptr;
        case 101: return (void*)(Plasma::ToolTipManager*)(QObject*)xptr;
        case 54: return (void*)(Plasma::DataEngineManager*)(QObject*)xptr;
        case 28: return (void*)(Plasma::AbstractDialogManager*)(QObject*)xptr;
        case 55: return (void*)(Plasma::DataEngineScript*)(QObject*)xptr;
        case 45: return (void*)(Plasma::ConfigLoader*)(QObject*)xptr;
        case 34: return (void*)(Plasma::AnimationDriver*)(QObject*)xptr;
        case 36: return (void*)(Plasma::Applet*)(QObject*)xptr;
        case 46: return (void*)(Plasma::Containment*)(QObject*)xptr;
        case 51: return (void*)(Plasma::Corona*)(QObject*)xptr;
        case 43: return (void*)(Plasma::ClientPinRequest*)(QObject*)xptr;
        case 94: return (void*)(Plasma::SvgWidget*)(QObject*)xptr;
        case 68: return (void*)(Plasma::Label*)(QObject*)xptr;
        case 106: return (void*)(Plasma::WallpaperScript*)(QObject*)xptr;
        case 93: return (void*)(Plasma::Svg*)(QObject*)xptr;
        case 62: return (void*)(Plasma::Frame*)(QObject*)xptr;
        case 103: return (void*)(Plasma::VideoWidget*)(QObject*)xptr;
        case 31: return (void*)(Plasma::AccessAppletJob*)(QObject*)xptr;
        case 59: return (void*)(Plasma::ExtenderGroup*)(QObject*)xptr;
        case 41: return (void*)(Plasma::BusyWidget*)(QObject*)xptr;
        case 50: return (void*)(Plasma::Context*)(QObject*)xptr;
        case 64: return (void*)(Plasma::GLApplet*)(QObject*)xptr;
        case 42: return (void*)(Plasma::CheckBox*)(QObject*)xptr;
        case 39: return (void*)(Plasma::AuthorizationManager*)(QObject*)xptr;
        case 80: return (void*)(Plasma::RunnerManager*)(QObject*)xptr;
        case 102: return (void*)(Plasma::TreeView*)(QObject*)xptr;
        case 53: return (void*)(Plasma::DataEngine*)(QObject*)xptr;
        case 99: return (void*)(Plasma::ToolButton*)(QObject*)xptr;
        case 65: return (void*)(Plasma::GroupBox*)(QObject*)xptr;
        case 105: return (void*)(Plasma::Wallpaper*)(QObject*)xptr;
        case 84: return (void*)(Plasma::ScrollBar*)(QObject*)xptr;
        case 66: return (void*)(Plasma::IconWidget*)(QObject*)xptr;
        case 73: return (void*)(Plasma::PackageStructure*)(QObject*)xptr;
        case 87: return (void*)(Plasma::Service*)(QObject*)xptr;
        case 32: return (void*)(Plasma::AccessManager*)(QObject*)xptr;
        case 69: return (void*)(Plasma::LineEdit*)(QObject*)xptr;
        case 60: return (void*)(Plasma::ExtenderItem*)(QObject*)xptr;
        case 81: return (void*)(Plasma::RunnerScript*)(QObject*)xptr;
        case 35: return (void*)(Plasma::Animator*)(QObject*)xptr;
        case 88: return (void*)(Plasma::ServiceAccessJob*)(QObject*)xptr;
        case 83: return (void*)(Plasma::ScriptEngine*)(QObject*)xptr;
        case 86: return (void*)(Plasma::Separator*)(QObject*)xptr;
        case 76: return (void*)(Plasma::PushButton*)(QObject*)xptr;
        case 78: return (void*)(Plasma::RadioButton*)(QObject*)xptr;
        case 98: return (void*)(Plasma::Theme*)(QObject*)xptr;
        case 96: return (void*)(Plasma::TextBrowser*)(QObject*)xptr;
        case 75: return (void*)(Plasma::PopupApplet*)(QObject*)xptr;
        case 56: return (void*)(Plasma::Delegate*)(QObject*)xptr;
        case 63: return (void*)(Plasma::FrameSvg*)(QObject*)xptr;
        case 52: return (void*)(Plasma::DataContainer*)(QObject*)xptr;
        case 79: return (void*)(Plasma::RunnerContext*)(QObject*)xptr;
        case 58: return (void*)(Plasma::Extender*)(QObject*)xptr;
        case 33: return (void*)(Plasma::Animation*)(QObject*)xptr;
        case 57: return (void*)(Plasma::Dialog*)(QObject*)xptr;
        case 92: return (void*)(Plasma::SpinBox*)(QObject*)xptr;
        case 29: return (void*)(Plasma::AbstractRunner*)(QObject*)xptr;
        case 90: return (void*)(Plasma::SignalPlotter*)(QObject*)xptr;
        case 85: return (void*)(Plasma::ScrollWidget*)(QObject*)xptr;
        case 30: return (void*)(Plasma::AbstractToolBox*)(QObject*)xptr;
        case 70: return (void*)(Plasma::Meter*)(QObject*)xptr;
        case 44: return (void*)(Plasma::ComboBox*)(QObject*)xptr;
        case 48: return (void*)(Plasma::ContainmentActions*)(QObject*)xptr;
        case 40: return (void*)(Plasma::AuthorizationRule*)(QObject*)xptr;
        case 91: return (void*)(Plasma::Slider*)(QObject*)xptr;
        case 107: return (void*)(Plasma::WebView*)(QObject*)xptr;
        case 61: return (void*)(Plasma::FlashingLabel*)(QObject*)xptr;
        case 97: return (void*)(Plasma::TextEdit*)(QObject*)xptr;
        case 104: return (void*)(Plasma::View*)(QObject*)xptr;
        case 37: return (void*)(Plasma::AppletScript*)(QObject*)xptr;
        default: return xptr;
      }
    case 163:   //QPaintEngine
      switch(to) {
        case 163: return (void*)(QPaintEngine*)xptr;
        default: return xptr;
      }
    case 164:   //QPaintEvent
      switch(to) {
        case 126: return (void*)(QEvent*)(QPaintEvent*)xptr;
        case 164: return (void*)(QPaintEvent*)xptr;
        default: return xptr;
      }
    case 165:   //QPainter
      switch(to) {
        case 165: return (void*)(QPainter*)xptr;
        default: return xptr;
      }
    case 166:   //QPainterPath
      switch(to) {
        case 166: return (void*)(QPainterPath*)xptr;
        default: return xptr;
      }
    case 167:   //QPalette
      switch(to) {
        case 167: return (void*)(QPalette*)xptr;
        default: return xptr;
      }
    case 168:   //QPixmap
      switch(to) {
        case 168: return (void*)(QPixmap*)xptr;
        default: return xptr;
      }
    case 169:   //QPoint
      switch(to) {
        case 169: return (void*)(QPoint*)xptr;
        default: return xptr;
      }
    case 170:   //QPointF
      switch(to) {
        case 170: return (void*)(QPointF*)xptr;
        default: return xptr;
      }
    case 171:   //QRadioButton
      switch(to) {
        case 171: return (void*)(QRadioButton*)xptr;
        default: return xptr;
      }
    case 172:   //QRect
      switch(to) {
        case 172: return (void*)(QRect*)xptr;
        default: return xptr;
      }
    case 173:   //QRectF
      switch(to) {
        case 173: return (void*)(QRectF*)xptr;
        default: return xptr;
      }
    case 174:   //QRegExp
      switch(to) {
        case 174: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 175:   //QRegion
      switch(to) {
        case 175: return (void*)(QRegion*)xptr;
        default: return xptr;
      }
    case 176:   //QResizeEvent
      switch(to) {
        case 126: return (void*)(QEvent*)(QResizeEvent*)xptr;
        case 176: return (void*)(QResizeEvent*)xptr;
        default: return xptr;
      }
    case 177:   //QScrollBar
      switch(to) {
        case 198: return (void*)(QWidget*)(QScrollBar*)xptr;
        case 162: return (void*)(QObject*)(QScrollBar*)xptr;
        case 177: return (void*)(QScrollBar*)xptr;
        default: return xptr;
      }
    case 178:   //QSharedData
      switch(to) {
        case 178: return (void*)(QSharedData*)xptr;
        case 73: return (void*)(Plasma::PackageStructure*)(QSharedData*)xptr;
        default: return xptr;
      }
    case 179:   //QShowEvent
      switch(to) {
        case 126: return (void*)(QEvent*)(QShowEvent*)xptr;
        case 179: return (void*)(QShowEvent*)xptr;
        default: return xptr;
      }
    case 180:   //QSize
      switch(to) {
        case 180: return (void*)(QSize*)xptr;
        default: return xptr;
      }
    case 181:   //QSizeF
      switch(to) {
        case 181: return (void*)(QSizeF*)xptr;
        default: return xptr;
      }
    case 182:   //QSlider
      switch(to) {
        case 198: return (void*)(QWidget*)(QSlider*)xptr;
        case 162: return (void*)(QObject*)(QSlider*)xptr;
        case 182: return (void*)(QSlider*)xptr;
        default: return xptr;
      }
    case 183:   //QStyle
      switch(to) {
        case 162: return (void*)(QObject*)(QStyle*)xptr;
        case 183: return (void*)(QStyle*)xptr;
        default: return xptr;
      }
    case 184:   //QStyleOption
      switch(to) {
        case 184: return (void*)(QStyleOption*)xptr;
        case 47: return (void*)(Plasma::Containment::StyleOption*)(QStyleOption*)xptr;
        default: return xptr;
      }
    case 185:   //QStyleOptionGraphicsItem
      switch(to) {
        case 184: return (void*)(QStyleOption*)(QStyleOptionGraphicsItem*)xptr;
        case 185: return (void*)(QStyleOptionGraphicsItem*)xptr;
        case 47: return (void*)(Plasma::Containment::StyleOption*)(QStyleOptionGraphicsItem*)xptr;
        default: return xptr;
      }
    case 186:   //QStyleOptionViewItem
      switch(to) {
        case 184: return (void*)(QStyleOption*)(QStyleOptionViewItem*)xptr;
        case 186: return (void*)(QStyleOptionViewItem*)xptr;
        default: return xptr;
      }
    case 187:   //QTabletEvent
      switch(to) {
        case 126: return (void*)(QEvent*)(QTabletEvent*)xptr;
        case 187: return (void*)(QTabletEvent*)xptr;
        default: return xptr;
      }
    case 188:   //QTextDocument
      switch(to) {
        case 188: return (void*)(QTextDocument*)xptr;
        default: return xptr;
      }
    case 189:   //QTextOption
      switch(to) {
        case 189: return (void*)(QTextOption*)xptr;
        default: return xptr;
      }
    case 190:   //QTimerEvent
      switch(to) {
        case 126: return (void*)(QEvent*)(QTimerEvent*)xptr;
        case 190: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 191:   //QToolButton
      switch(to) {
        case 191: return (void*)(QToolButton*)xptr;
        default: return xptr;
      }
    case 192:   //QTreeView
      switch(to) {
        case 192: return (void*)(QTreeView*)xptr;
        default: return xptr;
      }
    case 193:   //QUrl
      switch(to) {
        case 193: return (void*)(QUrl*)xptr;
        default: return xptr;
      }
    case 194:   //QVariant
      switch(to) {
        case 194: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 195:   //QWebFrame
      switch(to) {
        case 195: return (void*)(QWebFrame*)xptr;
        default: return xptr;
      }
    case 196:   //QWebPage
      switch(to) {
        case 196: return (void*)(QWebPage*)xptr;
        default: return xptr;
      }
    case 197:   //QWheelEvent
      switch(to) {
        case 126: return (void*)(QEvent*)(QWheelEvent*)xptr;
        case 197: return (void*)(QWheelEvent*)xptr;
        default: return xptr;
      }
    case 198:   //QWidget
      switch(to) {
        case 162: return (void*)(QObject*)(QWidget*)xptr;
        case 198: return (void*)(QWidget*)xptr;
        case 57: return (void*)(Plasma::Dialog*)(QWidget*)xptr;
        case 104: return (void*)(Plasma::View*)(QWidget*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    162, 0,	// 1: QObject
    146, 0,	// 3: QGraphicsWidget
    12, 0,	// 5: KJob
    108, 0,	// 7: QAbstractAnimation
    83, 0,	// 9: Plasma::ScriptEngine
    135, 0,	// 11: QGraphicsProxyWidget
    7, 0,	// 13: KConfigSkeleton
    36, 0,	// 15: Plasma::Applet
    185, 0,	// 17: QStyleOptionGraphicsItem
    136, 0,	// 19: QGraphicsScene
    109, 0,	// 21: QAbstractItemDelegate
    198, 0,	// 23: QWidget
    60, 0,	// 25: Plasma::ExtenderItem
    93, 0,	// 27: Plasma::Svg
    162, 178, 0,	// 29: QObject, QSharedData
    145, 0,	// 32: QGraphicsView
};

// These are the xenum functions for manipulating enum pointers
void xenum_Plasma__Animation(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Plasma__AuthorizationRule(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Plasma(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Plasma__Containment__StyleOption(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Plasma__AbstractRunner(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Plasma__Dialog(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Plasma__ToolTipManager(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Plasma__ToolTipContent(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Plasma__Meter(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Plasma__Delegate(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Plasma__VideoWidget(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Plasma__Frame(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Plasma__AuthorizationManager(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Plasma__Wallpaper(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Plasma__Extender(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Plasma__RunnerContext(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Plasma__Animator(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Plasma__AbstractToolBox(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Plasma__Applet(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Plasma__QueryMatch(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Plasma__Theme(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Plasma__Containment(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Plasma__FrameSvg(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_Plasma(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__AbstractDialogManager(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__AbstractRunner(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__AbstractToolBox(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__AccessAppletJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__AccessManager(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__Animation(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__AnimationDriver(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__Animator(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__Applet(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__AppletScript(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__AuthorizationInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__AuthorizationManager(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__AuthorizationRule(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__BusyWidget(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__CheckBox(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__ClientPinRequest(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__ComboBox(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__ConfigLoader(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__Containment(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__Containment__StyleOption(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__ContainmentActions(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__ContainmentActionsPluginsConfig(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__Context(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__Corona(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__DataContainer(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__DataEngine(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__DataEngineManager(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__DataEngineScript(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__Delegate(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__Dialog(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__Extender(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__ExtenderGroup(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__ExtenderItem(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__FlashingLabel(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__Frame(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__FrameSvg(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__GLApplet(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__GroupBox(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__IconWidget(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__ItemBackground(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__Label(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__LineEdit(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__Meter(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__Package(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__PackageMetadata(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__PackageStructure(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__PlotColor(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__PopupApplet(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__PushButton(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__QueryMatch(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__RadioButton(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__RunnerContext(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__RunnerManager(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__RunnerScript(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__RunnerSyntax(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__ScriptEngine(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__ScrollBar(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__ScrollWidget(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__Separator(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__Service(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__ServiceAccessJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__SignalPlotter(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__Slider(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__SpinBox(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__Svg(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__SvgWidget(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__TabBar(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__TextBrowser(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__TextEdit(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__Theme(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__ToolButton(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__ToolTipContent(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__ToolTipManager(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__TreeView(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__VideoWidget(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__View(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__Wallpaper(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__WallpaperScript(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__WebView(Smoke::Index, void*, Smoke::Stack);
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "KAction", true, 0, 0, 0, 0, 0 },	//1
    { "KActionCollection", true, 0, 0, 0, 0, 0 },	//2
    { "KComboBox", true, 0, 0, 0, 0, 0 },	//3
    { "KConfigBase", true, 0, 0, 0, 0, 0 },	//4
    { "KConfigDialog", true, 0, 0, 0, 0, 0 },	//5
    { "KConfigGroup", true, 0, 0, 0, 0, 0 },	//6
    { "KConfigSkeleton", true, 0, 0, 0, 0, 0 },	//7
    { "KConfigSkeletonItem", true, 0, 0, 0, 0, 0 },	//8
    { "KCoreConfigSkeleton", true, 0, 0, 0, 0, 0 },	//9
    { "KIcon", true, 0, 0, 0, 0, 0 },	//10
    { "KIntSpinBox", true, 0, 0, 0, 0, 0 },	//11
    { "KJob", true, 0, 0, 0, 0, 0 },	//12
    { "KLineEdit", true, 0, 0, 0, 0, 0 },	//13
    { "KPluginInfo", true, 0, 0, 0, 0, 0 },	//14
    { "KPushButton", true, 0, 0, 0, 0, 0 },	//15
    { "KService", true, 0, 0, 0, 0, 0 },	//16
    { "KServiceAction", true, 0, 0, 0, 0, 0 },	//17
    { "KSharedConfig", true, 0, 0, 0, 0, 0 },	//18
    { "KShortcut", true, 0, 0, 0, 0, 0 },	//19
    { "KTabBar", true, 0, 0, 0, 0, 0 },	//20
    { "KTextBrowser", true, 0, 0, 0, 0, 0 },	//21
    { "KTextEdit", true, 0, 0, 0, 0, 0 },	//22
    { "KUrl", true, 0, 0, 0, 0, 0 },	//23
    { "Phonon::AudioOutput", true, 0, 0, 0, 0, 0 },	//24
    { "Phonon::MediaObject", true, 0, 0, 0, 0, 0 },	//25
    { "Phonon::VideoWidget", true, 0, 0, 0, 0, 0 },	//26
    { "Plasma", false, 0, xcall_Plasma, xenum_Plasma, Smoke::cf_namespace, 0 },	//27
    { "Plasma::AbstractDialogManager", false, 1, xcall_Plasma__AbstractDialogManager, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::AbstractDialogManager) },	//28
    { "Plasma::AbstractRunner", false, 1, xcall_Plasma__AbstractRunner, xenum_Plasma__AbstractRunner, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::AbstractRunner) },	//29
    { "Plasma::AbstractToolBox", false, 3, xcall_Plasma__AbstractToolBox, xenum_Plasma__AbstractToolBox, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::AbstractToolBox) },	//30
    { "Plasma::AccessAppletJob", false, 5, xcall_Plasma__AccessAppletJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::AccessAppletJob) },	//31
    { "Plasma::AccessManager", false, 1, xcall_Plasma__AccessManager, 0, Smoke::cf_virtual, sizeof(Plasma::AccessManager) },	//32
    { "Plasma::Animation", false, 7, xcall_Plasma__Animation, xenum_Plasma__Animation, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::Animation) },	//33
    { "Plasma::AnimationDriver", false, 1, xcall_Plasma__AnimationDriver, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::AnimationDriver) },	//34
    { "Plasma::Animator", false, 1, xcall_Plasma__Animator, xenum_Plasma__Animator, Smoke::cf_virtual, sizeof(Plasma::Animator) },	//35
    { "Plasma::Applet", false, 3, xcall_Plasma__Applet, xenum_Plasma__Applet, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::Applet) },	//36
    { "Plasma::AppletScript", false, 9, xcall_Plasma__AppletScript, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::AppletScript) },	//37
    { "Plasma::AuthorizationInterface", false, 0, xcall_Plasma__AuthorizationInterface, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Plasma::AuthorizationInterface) },	//38
    { "Plasma::AuthorizationManager", false, 1, xcall_Plasma__AuthorizationManager, xenum_Plasma__AuthorizationManager, Smoke::cf_virtual, sizeof(Plasma::AuthorizationManager) },	//39
    { "Plasma::AuthorizationRule", false, 1, xcall_Plasma__AuthorizationRule, xenum_Plasma__AuthorizationRule, Smoke::cf_virtual, sizeof(Plasma::AuthorizationRule) },	//40
    { "Plasma::BusyWidget", false, 3, xcall_Plasma__BusyWidget, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::BusyWidget) },	//41
    { "Plasma::CheckBox", false, 11, xcall_Plasma__CheckBox, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::CheckBox) },	//42
    { "Plasma::ClientPinRequest", false, 1, xcall_Plasma__ClientPinRequest, 0, Smoke::cf_virtual, sizeof(Plasma::ClientPinRequest) },	//43
    { "Plasma::ComboBox", false, 11, xcall_Plasma__ComboBox, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::ComboBox) },	//44
    { "Plasma::ConfigLoader", false, 13, xcall_Plasma__ConfigLoader, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::ConfigLoader) },	//45
    { "Plasma::Containment", false, 15, xcall_Plasma__Containment, xenum_Plasma__Containment, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::Containment) },	//46
    { "Plasma::Containment::StyleOption", false, 17, xcall_Plasma__Containment__StyleOption, xenum_Plasma__Containment__StyleOption, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Plasma::Containment::StyleOption) },	//47
    { "Plasma::ContainmentActions", false, 1, xcall_Plasma__ContainmentActions, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::ContainmentActions) },	//48
    { "Plasma::ContainmentActionsPluginsConfig", false, 0, xcall_Plasma__ContainmentActionsPluginsConfig, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Plasma::ContainmentActionsPluginsConfig) },	//49
    { "Plasma::Context", false, 1, xcall_Plasma__Context, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::Context) },	//50
    { "Plasma::Corona", false, 19, xcall_Plasma__Corona, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::Corona) },	//51
    { "Plasma::DataContainer", false, 1, xcall_Plasma__DataContainer, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::DataContainer) },	//52
    { "Plasma::DataEngine", false, 1, xcall_Plasma__DataEngine, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::DataEngine) },	//53
    { "Plasma::DataEngineManager", false, 1, xcall_Plasma__DataEngineManager, 0, Smoke::cf_virtual, sizeof(Plasma::DataEngineManager) },	//54
    { "Plasma::DataEngineScript", false, 9, xcall_Plasma__DataEngineScript, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::DataEngineScript) },	//55
    { "Plasma::Delegate", false, 21, xcall_Plasma__Delegate, xenum_Plasma__Delegate, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::Delegate) },	//56
    { "Plasma::Dialog", false, 23, xcall_Plasma__Dialog, xenum_Plasma__Dialog, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::Dialog) },	//57
    { "Plasma::Extender", false, 3, xcall_Plasma__Extender, xenum_Plasma__Extender, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::Extender) },	//58
    { "Plasma::ExtenderGroup", false, 25, xcall_Plasma__ExtenderGroup, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::ExtenderGroup) },	//59
    { "Plasma::ExtenderItem", false, 3, xcall_Plasma__ExtenderItem, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::ExtenderItem) },	//60
    { "Plasma::FlashingLabel", false, 3, xcall_Plasma__FlashingLabel, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::FlashingLabel) },	//61
    { "Plasma::Frame", false, 3, xcall_Plasma__Frame, xenum_Plasma__Frame, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::Frame) },	//62
    { "Plasma::FrameSvg", false, 27, xcall_Plasma__FrameSvg, xenum_Plasma__FrameSvg, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::FrameSvg) },	//63
    { "Plasma::GLApplet", false, 15, xcall_Plasma__GLApplet, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::GLApplet) },	//64
    { "Plasma::GroupBox", false, 11, xcall_Plasma__GroupBox, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::GroupBox) },	//65
    { "Plasma::IconWidget", false, 3, xcall_Plasma__IconWidget, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::IconWidget) },	//66
    { "Plasma::ItemBackground", false, 3, xcall_Plasma__ItemBackground, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::ItemBackground) },	//67
    { "Plasma::Label", false, 11, xcall_Plasma__Label, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::Label) },	//68
    { "Plasma::LineEdit", false, 11, xcall_Plasma__LineEdit, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::LineEdit) },	//69
    { "Plasma::Meter", false, 3, xcall_Plasma__Meter, xenum_Plasma__Meter, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::Meter) },	//70
    { "Plasma::Package", false, 0, xcall_Plasma__Package, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Plasma::Package) },	//71
    { "Plasma::PackageMetadata", false, 0, xcall_Plasma__PackageMetadata, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Plasma::PackageMetadata) },	//72
    { "Plasma::PackageStructure", false, 29, xcall_Plasma__PackageStructure, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::PackageStructure) },	//73
    { "Plasma::PlotColor", false, 0, xcall_Plasma__PlotColor, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Plasma::PlotColor) },	//74
    { "Plasma::PopupApplet", false, 15, xcall_Plasma__PopupApplet, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::PopupApplet) },	//75
    { "Plasma::PushButton", false, 11, xcall_Plasma__PushButton, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::PushButton) },	//76
    { "Plasma::QueryMatch", false, 0, xcall_Plasma__QueryMatch, xenum_Plasma__QueryMatch, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Plasma::QueryMatch) },	//77
    { "Plasma::RadioButton", false, 11, xcall_Plasma__RadioButton, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::RadioButton) },	//78
    { "Plasma::RunnerContext", false, 1, xcall_Plasma__RunnerContext, xenum_Plasma__RunnerContext, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::RunnerContext) },	//79
    { "Plasma::RunnerManager", false, 1, xcall_Plasma__RunnerManager, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::RunnerManager) },	//80
    { "Plasma::RunnerScript", false, 9, xcall_Plasma__RunnerScript, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::RunnerScript) },	//81
    { "Plasma::RunnerSyntax", false, 0, xcall_Plasma__RunnerSyntax, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Plasma::RunnerSyntax) },	//82
    { "Plasma::ScriptEngine", false, 1, xcall_Plasma__ScriptEngine, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::ScriptEngine) },	//83
    { "Plasma::ScrollBar", false, 11, xcall_Plasma__ScrollBar, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::ScrollBar) },	//84
    { "Plasma::ScrollWidget", false, 3, xcall_Plasma__ScrollWidget, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::ScrollWidget) },	//85
    { "Plasma::Separator", false, 3, xcall_Plasma__Separator, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::Separator) },	//86
    { "Plasma::Service", false, 1, xcall_Plasma__Service, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::Service) },	//87
    { "Plasma::ServiceAccessJob", false, 5, xcall_Plasma__ServiceAccessJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::ServiceAccessJob) },	//88
    { "Plasma::ServiceJob", true, 0, 0, 0, 0, 0 },	//89
    { "Plasma::SignalPlotter", false, 3, xcall_Plasma__SignalPlotter, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::SignalPlotter) },	//90
    { "Plasma::Slider", false, 11, xcall_Plasma__Slider, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::Slider) },	//91
    { "Plasma::SpinBox", false, 11, xcall_Plasma__SpinBox, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::SpinBox) },	//92
    { "Plasma::Svg", false, 1, xcall_Plasma__Svg, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::Svg) },	//93
    { "Plasma::SvgWidget", false, 3, xcall_Plasma__SvgWidget, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::SvgWidget) },	//94
    { "Plasma::TabBar", false, 3, xcall_Plasma__TabBar, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::TabBar) },	//95
    { "Plasma::TextBrowser", false, 11, xcall_Plasma__TextBrowser, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::TextBrowser) },	//96
    { "Plasma::TextEdit", false, 11, xcall_Plasma__TextEdit, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::TextEdit) },	//97
    { "Plasma::Theme", false, 1, xcall_Plasma__Theme, xenum_Plasma__Theme, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::Theme) },	//98
    { "Plasma::ToolButton", false, 11, xcall_Plasma__ToolButton, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::ToolButton) },	//99
    { "Plasma::ToolTipContent", false, 0, xcall_Plasma__ToolTipContent, xenum_Plasma__ToolTipContent, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Plasma::ToolTipContent) },	//100
    { "Plasma::ToolTipManager", false, 1, xcall_Plasma__ToolTipManager, xenum_Plasma__ToolTipManager, Smoke::cf_virtual, sizeof(Plasma::ToolTipManager) },	//101
    { "Plasma::TreeView", false, 11, xcall_Plasma__TreeView, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::TreeView) },	//102
    { "Plasma::VideoWidget", false, 11, xcall_Plasma__VideoWidget, xenum_Plasma__VideoWidget, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::VideoWidget) },	//103
    { "Plasma::View", false, 32, xcall_Plasma__View, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::View) },	//104
    { "Plasma::Wallpaper", false, 1, xcall_Plasma__Wallpaper, xenum_Plasma__Wallpaper, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::Wallpaper) },	//105
    { "Plasma::WallpaperScript", false, 9, xcall_Plasma__WallpaperScript, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::WallpaperScript) },	//106
    { "Plasma::WebView", false, 3, xcall_Plasma__WebView, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::WebView) },	//107
    { "QAbstractAnimation", true, 0, 0, 0, 0, 0 },	//108
    { "QAbstractItemDelegate", true, 0, 0, 0, 0, 0 },	//109
    { "QAbstractItemModel", true, 0, 0, 0, 0, 0 },	//110
    { "QAbstractScrollArea", true, 0, 0, 0, 0, 0 },	//111
    { "QAction", true, 0, 0, 0, 0, 0 },	//112
    { "QActionEvent", true, 0, 0, 0, 0, 0 },	//113
    { "QBool", true, 0, 0, 0, 0, 0 },	//114
    { "QByteArray", true, 0, 0, 0, 0, 0 },	//115
    { "QCheckBox", true, 0, 0, 0, 0, 0 },	//116
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//117
    { "QCloseEvent", true, 0, 0, 0, 0, 0 },	//118
    { "QColor", true, 0, 0, 0, 0, 0 },	//119
    { "QContextMenuEvent", true, 0, 0, 0, 0, 0 },	//120
    { "QDragEnterEvent", true, 0, 0, 0, 0, 0 },	//121
    { "QDragLeaveEvent", true, 0, 0, 0, 0, 0 },	//122
    { "QDragMoveEvent", true, 0, 0, 0, 0, 0 },	//123
    { "QDropEvent", true, 0, 0, 0, 0, 0 },	//124
    { "QEasingCurve", true, 0, 0, 0, 0, 0 },	//125
    { "QEvent", true, 0, 0, 0, 0, 0 },	//126
    { "QFocusEvent", true, 0, 0, 0, 0, 0 },	//127
    { "QFont", true, 0, 0, 0, 0, 0 },	//128
    { "QFontMetrics", true, 0, 0, 0, 0, 0 },	//129
    { "QFrame", true, 0, 0, 0, 0, 0 },	//130
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, 0, Smoke::cf_namespace, 0 },	//131
    { "QGraphicsItem", true, 0, 0, 0, 0, 0 },	//132
    { "QGraphicsLayoutItem", true, 0, 0, 0, 0, 0 },	//133
    { "QGraphicsObject", true, 0, 0, 0, 0, 0 },	//134
    { "QGraphicsProxyWidget", true, 0, 0, 0, 0, 0 },	//135
    { "QGraphicsScene", true, 0, 0, 0, 0, 0 },	//136
    { "QGraphicsSceneContextMenuEvent", true, 0, 0, 0, 0, 0 },	//137
    { "QGraphicsSceneDragDropEvent", true, 0, 0, 0, 0, 0 },	//138
    { "QGraphicsSceneHelpEvent", true, 0, 0, 0, 0, 0 },	//139
    { "QGraphicsSceneHoverEvent", true, 0, 0, 0, 0, 0 },	//140
    { "QGraphicsSceneMouseEvent", true, 0, 0, 0, 0, 0 },	//141
    { "QGraphicsSceneMoveEvent", true, 0, 0, 0, 0, 0 },	//142
    { "QGraphicsSceneResizeEvent", true, 0, 0, 0, 0, 0 },	//143
    { "QGraphicsSceneWheelEvent", true, 0, 0, 0, 0, 0 },	//144
    { "QGraphicsView", true, 0, 0, 0, 0, 0 },	//145
    { "QGraphicsWidget", true, 0, 0, 0, 0, 0 },	//146
    { "QGroupBox", true, 0, 0, 0, 0, 0 },	//147
    { "QHideEvent", true, 0, 0, 0, 0, 0 },	//148
    { "QIODevice", true, 0, 0, 0, 0, 0 },	//149
    { "QIcon", true, 0, 0, 0, 0, 0 },	//150
    { "QImage", true, 0, 0, 0, 0, 0 },	//151
    { "QInputMethodEvent", true, 0, 0, 0, 0, 0 },	//152
    { "QKeyEvent", true, 0, 0, 0, 0, 0 },	//153
    { "QLabel", true, 0, 0, 0, 0, 0 },	//154
    { "QMenu", true, 0, 0, 0, 0, 0 },	//155
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//156
    { "QMimeData", true, 0, 0, 0, 0, 0 },	//157
    { "QModelIndex", true, 0, 0, 0, 0, 0 },	//158
    { "QMouseEvent", true, 0, 0, 0, 0, 0 },	//159
    { "QMoveEvent", true, 0, 0, 0, 0, 0 },	//160
    { "QMutex", true, 0, 0, 0, 0, 0 },	//161
    { "QObject", true, 0, 0, 0, 0, 0 },	//162
    { "QPaintEngine", true, 0, 0, 0, 0, 0 },	//163
    { "QPaintEvent", true, 0, 0, 0, 0, 0 },	//164
    { "QPainter", true, 0, 0, 0, 0, 0 },	//165
    { "QPainterPath", true, 0, 0, 0, 0, 0 },	//166
    { "QPalette", true, 0, 0, 0, 0, 0 },	//167
    { "QPixmap", true, 0, 0, 0, 0, 0 },	//168
    { "QPoint", true, 0, 0, 0, 0, 0 },	//169
    { "QPointF", true, 0, 0, 0, 0, 0 },	//170
    { "QRadioButton", true, 0, 0, 0, 0, 0 },	//171
    { "QRect", true, 0, 0, 0, 0, 0 },	//172
    { "QRectF", true, 0, 0, 0, 0, 0 },	//173
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//174
    { "QRegion", true, 0, 0, 0, 0, 0 },	//175
    { "QResizeEvent", true, 0, 0, 0, 0, 0 },	//176
    { "QScrollBar", true, 0, 0, 0, 0, 0 },	//177
    { "QSharedData", true, 0, 0, 0, 0, 0 },	//178
    { "QShowEvent", true, 0, 0, 0, 0, 0 },	//179
    { "QSize", true, 0, 0, 0, 0, 0 },	//180
    { "QSizeF", true, 0, 0, 0, 0, 0 },	//181
    { "QSlider", true, 0, 0, 0, 0, 0 },	//182
    { "QStyle", true, 0, 0, 0, 0, 0 },	//183
    { "QStyleOption", true, 0, 0, 0, 0, 0 },	//184
    { "QStyleOptionGraphicsItem", true, 0, 0, 0, 0, 0 },	//185
    { "QStyleOptionViewItem", true, 0, 0, 0, 0, 0 },	//186
    { "QTabletEvent", true, 0, 0, 0, 0, 0 },	//187
    { "QTextDocument", true, 0, 0, 0, 0, 0 },	//188
    { "QTextOption", true, 0, 0, 0, 0, 0 },	//189
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//190
    { "QToolButton", true, 0, 0, 0, 0, 0 },	//191
    { "QTreeView", true, 0, 0, 0, 0, 0 },	//192
    { "QUrl", true, 0, 0, 0, 0, 0 },	//193
    { "QVariant", true, 0, 0, 0, 0, 0 },	//194
    { "QWebFrame", true, 0, 0, 0, 0, 0 },	//195
    { "QWebPage", true, 0, 0, 0, 0, 0 },	//196
    { "QWheelEvent", true, 0, 0, 0, 0, 0 },	//197
    { "QWidget", true, 0, 0, 0, 0, 0 },	//198
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "KAction*", 1, Smoke::t_class|Smoke::tf_ptr },	//1
    { "KActionCollection*", 2, Smoke::t_class|Smoke::tf_ptr },	//2
    { "KComboBox*", 3, Smoke::t_class|Smoke::tf_ptr },	//3
    { "KConfigBase*", 4, Smoke::t_class|Smoke::tf_ptr },	//4
    { "KConfigDialog*", 5, Smoke::t_class|Smoke::tf_ptr },	//5
    { "KConfigGroup", 6, Smoke::t_class|Smoke::tf_stack },	//6
    { "KConfigGroup&", 6, Smoke::t_class|Smoke::tf_ref },	//7
    { "KConfigSkeletonItem*", 8, Smoke::t_class|Smoke::tf_ptr },	//8
    { "KGlobal::CopyCatalogs", 0, Smoke::t_enum|Smoke::tf_stack },	//9
    { "KIntSpinBox*", 11, Smoke::t_class|Smoke::tf_ptr },	//10
    { "KLineEdit*", 13, Smoke::t_class|Smoke::tf_ptr },	//11
    { "KPluginInfo", 14, Smoke::t_class|Smoke::tf_stack },	//12
    { "KPushButton*", 15, Smoke::t_class|Smoke::tf_ptr },	//13
    { "KService", 16, Smoke::t_class|Smoke::tf_stack },	//14
    { "KServiceAction", 17, Smoke::t_class|Smoke::tf_stack },	//15
    { "KSharedConfig", 18, Smoke::t_class|Smoke::tf_stack },	//16
    { "KSharedPtr<KService>", 0, Smoke::t_voidp|Smoke::tf_stack },	//17
    { "KSharedPtr<KSharedConfig>", 0, Smoke::t_voidp|Smoke::tf_stack },	//18
    { "KSharedPtr<Plasma::PackageStructure>", 0, Smoke::t_voidp|Smoke::tf_stack },	//19
    { "KShortcut", 19, Smoke::t_class|Smoke::tf_stack },	//20
    { "KTabBar*", 20, Smoke::t_class|Smoke::tf_ptr },	//21
    { "KTextBrowser*", 21, Smoke::t_class|Smoke::tf_ptr },	//22
    { "KTextEdit*", 22, Smoke::t_class|Smoke::tf_ptr },	//23
    { "KUrl", 23, Smoke::t_class|Smoke::tf_stack },	//24
    { "KUrl::List", 0, Smoke::t_voidp|Smoke::tf_stack },	//25
    { "Phonon::AudioOutput*", 24, Smoke::t_class|Smoke::tf_ptr },	//26
    { "Phonon::MediaObject*", 25, Smoke::t_class|Smoke::tf_ptr },	//27
    { "Phonon::VideoWidget*", 26, Smoke::t_class|Smoke::tf_ptr },	//28
    { "Plasma::AbstractDialogManager*", 28, Smoke::t_class|Smoke::tf_ptr },	//29
    { "Plasma::AbstractRunner*", 29, Smoke::t_class|Smoke::tf_ptr },	//30
    { "Plasma::AbstractRunner::Priority", 29, Smoke::t_enum|Smoke::tf_stack },	//31
    { "Plasma::AbstractRunner::Speed", 29, Smoke::t_enum|Smoke::tf_stack },	//32
    { "Plasma::AbstractToolBox*", 30, Smoke::t_class|Smoke::tf_ptr },	//33
    { "Plasma::AbstractToolBox::ToolType", 30, Smoke::t_enum|Smoke::tf_stack },	//34
    { "Plasma::AccessAppletJob*", 31, Smoke::t_class|Smoke::tf_ptr },	//35
    { "Plasma::AccessManager*", 32, Smoke::t_class|Smoke::tf_ptr },	//36
    { "Plasma::Animation*", 33, Smoke::t_class|Smoke::tf_ptr },	//37
    { "Plasma::Animation::MovementDirectionFlag", 33, Smoke::t_enum|Smoke::tf_stack },	//38
    { "Plasma::Animation::ReferenceFlag", 33, Smoke::t_enum|Smoke::tf_stack },	//39
    { "Plasma::AnimationDriver*", 34, Smoke::t_class|Smoke::tf_ptr },	//40
    { "Plasma::Animator*", 35, Smoke::t_class|Smoke::tf_ptr },	//41
    { "Plasma::Animator::Animation", 35, Smoke::t_enum|Smoke::tf_stack },	//42
    { "Plasma::Animator::CurveShape", 35, Smoke::t_enum|Smoke::tf_stack },	//43
    { "Plasma::Animator::Movement", 35, Smoke::t_enum|Smoke::tf_stack },	//44
    { "Plasma::AnnouncementMethod", 27, Smoke::t_enum|Smoke::tf_stack },	//45
    { "Plasma::AnnouncementMethods", 0, Smoke::t_uint|Smoke::tf_stack },	//46
    { "Plasma::Applet*", 36, Smoke::t_class|Smoke::tf_ptr },	//47
    { "Plasma::Applet::BackgroundHint", 36, Smoke::t_enum|Smoke::tf_stack },	//48
    { "Plasma::AppletScript*", 37, Smoke::t_class|Smoke::tf_ptr },	//49
    { "Plasma::AspectRatioMode", 27, Smoke::t_enum|Smoke::tf_stack },	//50
    { "Plasma::AuthorizationInterface*", 38, Smoke::t_class|Smoke::tf_ptr },	//51
    { "Plasma::AuthorizationManager*", 39, Smoke::t_class|Smoke::tf_ptr },	//52
    { "Plasma::AuthorizationManager::AuthorizationPolicy", 39, Smoke::t_enum|Smoke::tf_stack },	//53
    { "Plasma::AuthorizationRule&", 40, Smoke::t_class|Smoke::tf_ref },	//54
    { "Plasma::AuthorizationRule*", 40, Smoke::t_class|Smoke::tf_ptr },	//55
    { "Plasma::AuthorizationRule::Persistence", 40, Smoke::t_enum|Smoke::tf_stack },	//56
    { "Plasma::AuthorizationRule::Policy", 40, Smoke::t_enum|Smoke::tf_stack },	//57
    { "Plasma::AuthorizationRule::Target", 40, Smoke::t_enum|Smoke::tf_stack },	//58
    { "Plasma::BusyWidget*", 41, Smoke::t_class|Smoke::tf_ptr },	//59
    { "Plasma::CheckBox*", 42, Smoke::t_class|Smoke::tf_ptr },	//60
    { "Plasma::ClientPinRequest&", 43, Smoke::t_class|Smoke::tf_ref },	//61
    { "Plasma::ClientPinRequest*", 43, Smoke::t_class|Smoke::tf_ptr },	//62
    { "Plasma::ComboBox*", 44, Smoke::t_class|Smoke::tf_ptr },	//63
    { "Plasma::ComponentType", 27, Smoke::t_enum|Smoke::tf_stack },	//64
    { "Plasma::ConfigLoader*", 45, Smoke::t_class|Smoke::tf_ptr },	//65
    { "Plasma::Constraint", 27, Smoke::t_enum|Smoke::tf_stack },	//66
    { "Plasma::Containment*", 46, Smoke::t_class|Smoke::tf_ptr },	//67
    { "Plasma::Containment::StyleOption*", 47, Smoke::t_class|Smoke::tf_ptr },	//68
    { "Plasma::Containment::StyleOption::StyleOptionType", 47, Smoke::t_enum|Smoke::tf_stack },	//69
    { "Plasma::Containment::StyleOption::StyleOptionVersion", 47, Smoke::t_enum|Smoke::tf_stack },	//70
    { "Plasma::Containment::Type", 46, Smoke::t_enum|Smoke::tf_stack },	//71
    { "Plasma::ContainmentActions*", 48, Smoke::t_class|Smoke::tf_ptr },	//72
    { "Plasma::ContainmentActionsPluginsConfig", 49, Smoke::t_class|Smoke::tf_stack },	//73
    { "Plasma::ContainmentActionsPluginsConfig&", 49, Smoke::t_class|Smoke::tf_ref },	//74
    { "Plasma::ContainmentActionsPluginsConfig*", 49, Smoke::t_class|Smoke::tf_ptr },	//75
    { "Plasma::Context*", 50, Smoke::t_class|Smoke::tf_ptr },	//76
    { "Plasma::Corona*", 51, Smoke::t_class|Smoke::tf_ptr },	//77
    { "Plasma::DataContainer*", 52, Smoke::t_class|Smoke::tf_ptr },	//78
    { "Plasma::DataEngine*", 53, Smoke::t_class|Smoke::tf_ptr },	//79
    { "Plasma::DataEngine::Data", 0, Smoke::t_voidp|Smoke::tf_stack },	//80
    { "Plasma::DataEngineManager*", 54, Smoke::t_class|Smoke::tf_ptr },	//81
    { "Plasma::DataEngineScript*", 55, Smoke::t_class|Smoke::tf_ptr },	//82
    { "Plasma::Delegate*", 56, Smoke::t_class|Smoke::tf_ptr },	//83
    { "Plasma::Delegate::ColumnType", 56, Smoke::t_enum|Smoke::tf_stack },	//84
    { "Plasma::Delegate::SpecificRoles", 56, Smoke::t_enum|Smoke::tf_stack },	//85
    { "Plasma::Dialog*", 57, Smoke::t_class|Smoke::tf_ptr },	//86
    { "Plasma::Dialog::ResizeCorner", 57, Smoke::t_enum|Smoke::tf_stack },	//87
    { "Plasma::Direction", 27, Smoke::t_enum|Smoke::tf_stack },	//88
    { "Plasma::Extender*", 58, Smoke::t_class|Smoke::tf_ptr },	//89
    { "Plasma::Extender::Appearance", 58, Smoke::t_enum|Smoke::tf_stack },	//90
    { "Plasma::ExtenderGroup*", 59, Smoke::t_class|Smoke::tf_ptr },	//91
    { "Plasma::ExtenderItem*", 60, Smoke::t_class|Smoke::tf_ptr },	//92
    { "Plasma::FlashingLabel*", 61, Smoke::t_class|Smoke::tf_ptr },	//93
    { "Plasma::FlipDirection", 27, Smoke::t_enum|Smoke::tf_stack },	//94
    { "Plasma::FormFactor", 27, Smoke::t_enum|Smoke::tf_stack },	//95
    { "Plasma::Frame*", 62, Smoke::t_class|Smoke::tf_ptr },	//96
    { "Plasma::Frame::Shadow", 62, Smoke::t_enum|Smoke::tf_stack },	//97
    { "Plasma::FrameSvg*", 63, Smoke::t_class|Smoke::tf_ptr },	//98
    { "Plasma::FrameSvg::EnabledBorder", 63, Smoke::t_enum|Smoke::tf_stack },	//99
    { "Plasma::GLApplet*", 64, Smoke::t_class|Smoke::tf_ptr },	//100
    { "Plasma::GroupBox*", 65, Smoke::t_class|Smoke::tf_ptr },	//101
    { "Plasma::IconWidget*", 66, Smoke::t_class|Smoke::tf_ptr },	//102
    { "Plasma::ImmutabilityType", 27, Smoke::t_enum|Smoke::tf_stack },	//103
    { "Plasma::IntervalAlignment", 27, Smoke::t_enum|Smoke::tf_stack },	//104
    { "Plasma::ItemBackground*", 67, Smoke::t_class|Smoke::tf_ptr },	//105
    { "Plasma::ItemStatus", 27, Smoke::t_enum|Smoke::tf_stack },	//106
    { "Plasma::ItemTypes", 27, Smoke::t_enum|Smoke::tf_stack },	//107
    { "Plasma::Label*", 68, Smoke::t_class|Smoke::tf_ptr },	//108
    { "Plasma::LineEdit*", 69, Smoke::t_class|Smoke::tf_ptr },	//109
    { "Plasma::Location", 27, Smoke::t_enum|Smoke::tf_stack },	//110
    { "Plasma::MarginEdge", 27, Smoke::t_enum|Smoke::tf_stack },	//111
    { "Plasma::MessageButton", 27, Smoke::t_enum|Smoke::tf_stack },	//112
    { "Plasma::Meter*", 70, Smoke::t_class|Smoke::tf_ptr },	//113
    { "Plasma::Meter::MeterType", 70, Smoke::t_enum|Smoke::tf_stack },	//114
    { "Plasma::Package&", 71, Smoke::t_class|Smoke::tf_ref },	//115
    { "Plasma::Package*", 71, Smoke::t_class|Smoke::tf_ptr },	//116
    { "Plasma::PackageMetadata", 72, Smoke::t_class|Smoke::tf_stack },	//117
    { "Plasma::PackageMetadata&", 72, Smoke::t_class|Smoke::tf_ref },	//118
    { "Plasma::PackageMetadata*", 72, Smoke::t_class|Smoke::tf_ptr },	//119
    { "Plasma::PackageStructure", 73, Smoke::t_class|Smoke::tf_stack },	//120
    { "Plasma::PackageStructure&", 73, Smoke::t_class|Smoke::tf_ref },	//121
    { "Plasma::PackageStructure*", 73, Smoke::t_class|Smoke::tf_ptr },	//122
    { "Plasma::PlotColor", 74, Smoke::t_class|Smoke::tf_stack },	//123
    { "Plasma::PlotColor*", 74, Smoke::t_class|Smoke::tf_ptr },	//124
    { "Plasma::PopupApplet*", 75, Smoke::t_class|Smoke::tf_ptr },	//125
    { "Plasma::PopupPlacement", 27, Smoke::t_enum|Smoke::tf_stack },	//126
    { "Plasma::Position", 27, Smoke::t_enum|Smoke::tf_stack },	//127
    { "Plasma::PushButton*", 76, Smoke::t_class|Smoke::tf_ptr },	//128
    { "Plasma::QueryMatch", 77, Smoke::t_class|Smoke::tf_stack },	//129
    { "Plasma::QueryMatch&", 77, Smoke::t_class|Smoke::tf_ref },	//130
    { "Plasma::QueryMatch*", 77, Smoke::t_class|Smoke::tf_ptr },	//131
    { "Plasma::QueryMatch::Type", 77, Smoke::t_enum|Smoke::tf_stack },	//132
    { "Plasma::RadioButton*", 78, Smoke::t_class|Smoke::tf_ptr },	//133
    { "Plasma::RunnerContext&", 79, Smoke::t_class|Smoke::tf_ref },	//134
    { "Plasma::RunnerContext*", 79, Smoke::t_class|Smoke::tf_ptr },	//135
    { "Plasma::RunnerContext::Type", 79, Smoke::t_enum|Smoke::tf_stack },	//136
    { "Plasma::RunnerManager*", 80, Smoke::t_class|Smoke::tf_ptr },	//137
    { "Plasma::RunnerScript*", 81, Smoke::t_class|Smoke::tf_ptr },	//138
    { "Plasma::RunnerSyntax", 82, Smoke::t_class|Smoke::tf_stack },	//139
    { "Plasma::RunnerSyntax&", 82, Smoke::t_class|Smoke::tf_ref },	//140
    { "Plasma::RunnerSyntax*", 82, Smoke::t_class|Smoke::tf_ptr },	//141
    { "Plasma::ScriptEngine*", 83, Smoke::t_class|Smoke::tf_ptr },	//142
    { "Plasma::ScrollBar*", 84, Smoke::t_class|Smoke::tf_ptr },	//143
    { "Plasma::ScrollWidget*", 85, Smoke::t_class|Smoke::tf_ptr },	//144
    { "Plasma::Separator*", 86, Smoke::t_class|Smoke::tf_ptr },	//145
    { "Plasma::Service*", 87, Smoke::t_class|Smoke::tf_ptr },	//146
    { "Plasma::ServiceAccessJob*", 88, Smoke::t_class|Smoke::tf_ptr },	//147
    { "Plasma::ServiceJob*", 89, Smoke::t_class|Smoke::tf_ptr },	//148
    { "Plasma::SignalPlotter*", 90, Smoke::t_class|Smoke::tf_ptr },	//149
    { "Plasma::Slider*", 91, Smoke::t_class|Smoke::tf_ptr },	//150
    { "Plasma::SpinBox*", 92, Smoke::t_class|Smoke::tf_ptr },	//151
    { "Plasma::Svg*", 93, Smoke::t_class|Smoke::tf_ptr },	//152
    { "Plasma::SvgWidget*", 94, Smoke::t_class|Smoke::tf_ptr },	//153
    { "Plasma::TabBar*", 95, Smoke::t_class|Smoke::tf_ptr },	//154
    { "Plasma::TextBrowser*", 96, Smoke::t_class|Smoke::tf_ptr },	//155
    { "Plasma::TextEdit*", 97, Smoke::t_class|Smoke::tf_ptr },	//156
    { "Plasma::Theme*", 98, Smoke::t_class|Smoke::tf_ptr },	//157
    { "Plasma::Theme::ColorRole", 98, Smoke::t_enum|Smoke::tf_stack },	//158
    { "Plasma::Theme::FontRole", 98, Smoke::t_enum|Smoke::tf_stack },	//159
    { "Plasma::ToolButton*", 99, Smoke::t_class|Smoke::tf_ptr },	//160
    { "Plasma::ToolTipContent&", 100, Smoke::t_class|Smoke::tf_ref },	//161
    { "Plasma::ToolTipContent*", 100, Smoke::t_class|Smoke::tf_ptr },	//162
    { "Plasma::ToolTipContent::ResourceType", 100, Smoke::t_enum|Smoke::tf_stack },	//163
    { "Plasma::ToolTipManager*", 101, Smoke::t_class|Smoke::tf_ptr },	//164
    { "Plasma::ToolTipManager::State", 101, Smoke::t_enum|Smoke::tf_stack },	//165
    { "Plasma::TreeView*", 102, Smoke::t_class|Smoke::tf_ptr },	//166
    { "Plasma::TrustLevel", 27, Smoke::t_enum|Smoke::tf_stack },	//167
    { "Plasma::VideoWidget*", 103, Smoke::t_class|Smoke::tf_ptr },	//168
    { "Plasma::VideoWidget::Control", 103, Smoke::t_enum|Smoke::tf_stack },	//169
    { "Plasma::View*", 104, Smoke::t_class|Smoke::tf_ptr },	//170
    { "Plasma::Wallpaper*", 105, Smoke::t_class|Smoke::tf_ptr },	//171
    { "Plasma::Wallpaper::ResizeMethod", 105, Smoke::t_enum|Smoke::tf_stack },	//172
    { "Plasma::WallpaperScript*", 106, Smoke::t_class|Smoke::tf_ptr },	//173
    { "Plasma::WebView*", 107, Smoke::t_class|Smoke::tf_ptr },	//174
    { "Plasma::WindowEffects::Effect", 0, Smoke::t_enum|Smoke::tf_stack },	//175
    { "Plasma::ZoomDirection", 27, Smoke::t_enum|Smoke::tf_stack },	//176
    { "Plasma::ZoomLevel", 27, Smoke::t_enum|Smoke::tf_stack },	//177
    { "QAbstractAnimation::Direction", 108, Smoke::t_enum|Smoke::tf_stack },	//178
    { "QAbstractAnimation::State", 108, Smoke::t_enum|Smoke::tf_stack },	//179
    { "QAbstractItemModel*", 110, Smoke::t_class|Smoke::tf_ptr },	//180
    { "QAction*", 112, Smoke::t_class|Smoke::tf_ptr },	//181
    { "QActionEvent*", 113, Smoke::t_class|Smoke::tf_ptr },	//182
    { "QBool", 114, Smoke::t_class|Smoke::tf_stack },	//183
    { "QCheckBox*", 116, Smoke::t_class|Smoke::tf_ptr },	//184
    { "QChildEvent*", 117, Smoke::t_class|Smoke::tf_ptr },	//185
    { "QCloseEvent*", 118, Smoke::t_class|Smoke::tf_ptr },	//186
    { "QColor", 119, Smoke::t_class|Smoke::tf_stack },	//187
    { "QColor&", 119, Smoke::t_class|Smoke::tf_ref },	//188
    { "QContextMenuEvent*", 120, Smoke::t_class|Smoke::tf_ptr },	//189
    { "QDragEnterEvent*", 121, Smoke::t_class|Smoke::tf_ptr },	//190
    { "QDragLeaveEvent*", 122, Smoke::t_class|Smoke::tf_ptr },	//191
    { "QDragMoveEvent*", 123, Smoke::t_class|Smoke::tf_ptr },	//192
    { "QDrawBorderPixmap::DrawingHint", 0, Smoke::t_enum|Smoke::tf_stack },	//193
    { "QDropEvent*", 124, Smoke::t_class|Smoke::tf_ptr },	//194
    { "QEasingCurve", 125, Smoke::t_class|Smoke::tf_stack },	//195
    { "QEvent*", 126, Smoke::t_class|Smoke::tf_ptr },	//196
    { "QFlags<Plasma::Applet::BackgroundHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//197
    { "QFlags<Plasma::AuthorizationRule::Target>", 0, Smoke::t_uint|Smoke::tf_stack },	//198
    { "QFlags<Plasma::ComponentType>", 0, Smoke::t_uint|Smoke::tf_stack },	//199
    { "QFlags<Plasma::Constraint>", 0, Smoke::t_uint|Smoke::tf_stack },	//200
    { "QFlags<Plasma::Dialog::ResizeCorner>", 0, Smoke::t_uint|Smoke::tf_stack },	//201
    { "QFlags<Plasma::FrameSvg::EnabledBorder>", 0, Smoke::t_uint|Smoke::tf_stack },	//202
    { "QFlags<Plasma::RunnerContext::Type>", 0, Smoke::t_uint|Smoke::tf_stack },	//203
    { "QFlags<Plasma::VideoWidget::Control>", 0, Smoke::t_uint|Smoke::tf_stack },	//204
    { "QFlags<Qt::AlignmentFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//205
    { "QFlags<Qt::KeyboardModifier>", 0, Smoke::t_uint|Smoke::tf_stack },	//206
    { "QFlags<Qt::WindowType>", 0, Smoke::t_uint|Smoke::tf_stack },	//207
    { "QFocusEvent*", 127, Smoke::t_class|Smoke::tf_ptr },	//208
    { "QFont", 128, Smoke::t_class|Smoke::tf_stack },	//209
    { "QFontMetrics", 129, Smoke::t_class|Smoke::tf_stack },	//210
    { "QGL::FormatOption", 0, Smoke::t_enum|Smoke::tf_stack },	//211
    { "QGraphicsItem*", 132, Smoke::t_class|Smoke::tf_ptr },	//212
    { "QGraphicsItem**", 132, Smoke::t_class|Smoke::tf_ptr },	//213
    { "QGraphicsItem::Extension", 132, Smoke::t_enum|Smoke::tf_stack },	//214
    { "QGraphicsItem::GraphicsItemChange", 132, Smoke::t_enum|Smoke::tf_stack },	//215
    { "QGraphicsLayoutItem*", 133, Smoke::t_class|Smoke::tf_ptr },	//216
    { "QGraphicsObject*", 134, Smoke::t_class|Smoke::tf_ptr },	//217
    { "QGraphicsSceneContextMenuEvent*", 137, Smoke::t_class|Smoke::tf_ptr },	//218
    { "QGraphicsSceneDragDropEvent*", 138, Smoke::t_class|Smoke::tf_ptr },	//219
    { "QGraphicsSceneHelpEvent*", 139, Smoke::t_class|Smoke::tf_ptr },	//220
    { "QGraphicsSceneHoverEvent*", 140, Smoke::t_class|Smoke::tf_ptr },	//221
    { "QGraphicsSceneMouseEvent*", 141, Smoke::t_class|Smoke::tf_ptr },	//222
    { "QGraphicsSceneMoveEvent*", 142, Smoke::t_class|Smoke::tf_ptr },	//223
    { "QGraphicsSceneResizeEvent*", 143, Smoke::t_class|Smoke::tf_ptr },	//224
    { "QGraphicsSceneWheelEvent*", 144, Smoke::t_class|Smoke::tf_ptr },	//225
    { "QGraphicsView*", 145, Smoke::t_class|Smoke::tf_ptr },	//226
    { "QGraphicsWidget*", 146, Smoke::t_class|Smoke::tf_ptr },	//227
    { "QGroupBox*", 147, Smoke::t_class|Smoke::tf_ptr },	//228
    { "QHash<QString,Plasma::DataContainer*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//229
    { "QHash<QString,QAction*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//230
    { "QHash<QString,QVariant>", 0, Smoke::t_voidp|Smoke::tf_stack },	//231
    { "QHideEvent*", 148, Smoke::t_class|Smoke::tf_ptr },	//232
    { "QIODevice*", 149, Smoke::t_class|Smoke::tf_ptr },	//233
    { "QIcon", 150, Smoke::t_class|Smoke::tf_stack },	//234
    { "QImage", 151, Smoke::t_class|Smoke::tf_stack },	//235
    { "QImage&", 151, Smoke::t_class|Smoke::tf_ref },	//236
    { "QInputMethodEvent*", 152, Smoke::t_class|Smoke::tf_ptr },	//237
    { "QKeyEvent*", 153, Smoke::t_class|Smoke::tf_ptr },	//238
    { "QLabel*", 154, Smoke::t_class|Smoke::tf_ptr },	//239
    { "QList<KPluginInfo>", 0, Smoke::t_voidp|Smoke::tf_stack },	//240
    { "QList<KServiceAction>", 0, Smoke::t_voidp|Smoke::tf_stack },	//241
    { "QList<KSharedPtr<KService> >", 0, Smoke::t_voidp|Smoke::tf_stack },	//242
    { "QList<Plasma::AbstractRunner*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//243
    { "QList<Plasma::Applet*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//244
    { "QList<Plasma::Containment*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//245
    { "QList<Plasma::ExtenderGroup*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//246
    { "QList<Plasma::ExtenderItem*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//247
    { "QList<Plasma::Location>", 0, Smoke::t_voidp|Smoke::tf_stack },	//248
    { "QList<Plasma::PackageMetadata>", 0, Smoke::t_voidp|Smoke::tf_stack },	//249
    { "QList<Plasma::PlotColor>&", 0, Smoke::t_voidp|Smoke::tf_ref },	//250
    { "QList<Plasma::QueryMatch>", 0, Smoke::t_voidp|Smoke::tf_stack },	//251
    { "QList<Plasma::RunnerSyntax>", 0, Smoke::t_voidp|Smoke::tf_stack },	//252
    { "QList<QAction*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//253
    { "QList<QAction*>&", 0, Smoke::t_voidp|Smoke::tf_ref },	//254
    { "QList<QAction*>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//255
    { "QList<QGraphicsWidget*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//256
    { "QList<QSize>", 0, Smoke::t_voidp|Smoke::tf_stack },	//257
    { "QList<const char*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//258
    { "QList<unsigned long>", 0, Smoke::t_voidp|Smoke::tf_stack },	//259
    { "QMap<QString,QVariant>", 0, Smoke::t_voidp|Smoke::tf_stack },	//260
    { "QMap<QString,QVariant>&", 0, Smoke::t_voidp|Smoke::tf_ref },	//261
    { "QMenu*", 155, Smoke::t_class|Smoke::tf_ptr },	//262
    { "QMetaObject::Call", 156, Smoke::t_enum|Smoke::tf_stack },	//263
    { "QMimeData*", 157, Smoke::t_class|Smoke::tf_ptr },	//264
    { "QMouseEvent*", 159, Smoke::t_class|Smoke::tf_ptr },	//265
    { "QMoveEvent*", 160, Smoke::t_class|Smoke::tf_ptr },	//266
    { "QMutex*", 161, Smoke::t_class|Smoke::tf_ptr },	//267
    { "QObject*", 162, Smoke::t_class|Smoke::tf_ptr },	//268
    { "QPaintDevice::PaintDeviceMetric", 0, Smoke::t_enum|Smoke::tf_stack },	//269
    { "QPaintEngine*", 163, Smoke::t_class|Smoke::tf_ptr },	//270
    { "QPaintEngine::Type", 163, Smoke::t_enum|Smoke::tf_stack },	//271
    { "QPaintEvent*", 164, Smoke::t_class|Smoke::tf_ptr },	//272
    { "QPainter*", 165, Smoke::t_class|Smoke::tf_ptr },	//273
    { "QPainterPath", 166, Smoke::t_class|Smoke::tf_stack },	//274
    { "QPixmap", 168, Smoke::t_class|Smoke::tf_stack },	//275
    { "QPixmap&", 168, Smoke::t_class|Smoke::tf_ref },	//276
    { "QPoint", 169, Smoke::t_class|Smoke::tf_stack },	//277
    { "QPointF", 170, Smoke::t_class|Smoke::tf_stack },	//278
    { "QRadioButton*", 171, Smoke::t_class|Smoke::tf_ptr },	//279
    { "QRect", 172, Smoke::t_class|Smoke::tf_stack },	//280
    { "QRectF", 173, Smoke::t_class|Smoke::tf_stack },	//281
    { "QRectF&", 173, Smoke::t_class|Smoke::tf_ref },	//282
    { "QRegExp&", 174, Smoke::t_class|Smoke::tf_ref },	//283
    { "QRegion", 175, Smoke::t_class|Smoke::tf_stack },	//284
    { "QResizeEvent*", 176, Smoke::t_class|Smoke::tf_ptr },	//285
    { "QScrollBar*", 177, Smoke::t_class|Smoke::tf_ptr },	//286
    { "QShowEvent*", 179, Smoke::t_class|Smoke::tf_ptr },	//287
    { "QSize", 180, Smoke::t_class|Smoke::tf_stack },	//288
    { "QSizeF", 181, Smoke::t_class|Smoke::tf_stack },	//289
    { "QSlider*", 182, Smoke::t_class|Smoke::tf_ptr },	//290
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//291
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//292
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//293
    { "QStyle&", 183, Smoke::t_class|Smoke::tf_ref },	//294
    { "QStyleOption*", 184, Smoke::t_class|Smoke::tf_ptr },	//295
    { "QTabletEvent*", 187, Smoke::t_class|Smoke::tf_ptr },	//296
    { "QTextDocument*", 188, Smoke::t_class|Smoke::tf_ptr },	//297
    { "QTimerEvent*", 190, Smoke::t_class|Smoke::tf_ptr },	//298
    { "QToolButton*", 191, Smoke::t_class|Smoke::tf_ptr },	//299
    { "QTreeView*", 192, Smoke::t_class|Smoke::tf_ptr },	//300
    { "QUrl", 193, Smoke::t_class|Smoke::tf_stack },	//301
    { "QVariant", 194, Smoke::t_class|Smoke::tf_stack },	//302
    { "QVariantList", 0, Smoke::t_voidp|Smoke::tf_stack },	//303
    { "QWebFrame*", 195, Smoke::t_class|Smoke::tf_ptr },	//304
    { "QWebPage*", 196, Smoke::t_class|Smoke::tf_ptr },	//305
    { "QWheelEvent*", 197, Smoke::t_class|Smoke::tf_ptr },	//306
    { "QWidget*", 198, Smoke::t_class|Smoke::tf_ptr },	//307
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//308
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//309
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//310
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//311
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//312
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//313
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//314
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//315
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//316
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//317
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//318
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//319
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//320
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//321
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//322
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//323
    { "Qt::CursorMoveStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//324
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//325
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//326
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//327
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//328
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//329
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//330
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//331
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//332
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//333
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//334
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//335
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//336
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//337
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//338
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//339
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//340
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//341
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//342
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//343
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//344
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//345
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//346
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//347
    { "Qt::KeyboardModifiers", 0, Smoke::t_uint|Smoke::tf_stack },	//348
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//349
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//350
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//351
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//352
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//353
    { "Qt::MouseButtons", 0, Smoke::t_uint|Smoke::tf_stack },	//354
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//355
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//356
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//357
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//358
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//359
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//360
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//361
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//362
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//363
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//364
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//365
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//366
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//367
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//368
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//369
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//370
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//371
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//372
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//373
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//374
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//375
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//376
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//377
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//378
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//379
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//380
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//381
    { "WId", 0, Smoke::t_ulong|Smoke::tf_stack },	//382
    { "_XEvent*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//383
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//384
    { "const KConfigBase&", 4, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//385
    { "const KConfigBase*", 4, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//386
    { "const KConfigGroup&", 6, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//387
    { "const KConfigGroup*", 6, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//388
    { "const KIcon&", 10, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//389
    { "const KPluginInfo&", 14, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//390
    { "const KSharedPtr<KService>", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//391
    { "const KSharedPtr<Plasma::PackageStructure>", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//392
    { "const KShortcut&", 19, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//393
    { "const KUrl&", 23, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//394
    { "const KUrl::List", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//395
    { "const KUrl::List&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//396
    { "const Plasma::AuthorizationInterface&", 38, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//397
    { "const Plasma::Containment::StyleOption&", 47, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//398
    { "const Plasma::Containment::Type", 46, Smoke::t_enum|Smoke::tf_stack|Smoke::tf_const },	//399
    { "const Plasma::ContainmentActionsPluginsConfig&", 49, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//400
    { "const Plasma::DataEngine::Data&", 0, Smoke::t_voidp|Smoke::tf_stack },	//401
    { "const Plasma::ImmutabilityType", 27, Smoke::t_enum|Smoke::tf_stack|Smoke::tf_const },	//402
    { "const Plasma::ItemStatus", 27, Smoke::t_enum|Smoke::tf_stack|Smoke::tf_const },	//403
    { "const Plasma::MarginEdge", 27, Smoke::t_enum|Smoke::tf_stack|Smoke::tf_const },	//404
    { "const Plasma::MessageButton", 27, Smoke::t_enum|Smoke::tf_stack|Smoke::tf_const },	//405
    { "const Plasma::Package&", 71, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//406
    { "const Plasma::Package*", 71, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//407
    { "const Plasma::PackageMetadata&", 72, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//408
    { "const Plasma::PackageStructure&", 73, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//409
    { "const Plasma::PlotColor&", 74, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//410
    { "const Plasma::QueryMatch&", 77, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//411
    { "const Plasma::QueryMatch*", 77, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//412
    { "const Plasma::RunnerContext&", 79, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//413
    { "const Plasma::RunnerSyntax&", 82, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//414
    { "const Plasma::ToolTipContent&", 100, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//415
    { "const QByteArray&", 115, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//416
    { "const QColor&", 119, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//417
    { "const QEasingCurve&", 125, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//418
    { "const QFlags<Plasma::Applet::BackgroundHint>", 0, Smoke::t_uint|Smoke::tf_stack|Smoke::tf_const },	//419
    { "const QFlags<Plasma::FrameSvg::EnabledBorder>", 0, Smoke::t_uint|Smoke::tf_stack|Smoke::tf_const },	//420
    { "const QFlags<Plasma::MessageButton>", 0, Smoke::t_uint|Smoke::tf_stack|Smoke::tf_const },	//421
    { "const QFlags<Plasma::VideoWidget::Control>", 0, Smoke::t_uint|Smoke::tf_stack|Smoke::tf_const },	//422
    { "const QFlags<Qt::AlignmentFlag>", 0, Smoke::t_uint|Smoke::tf_stack|Smoke::tf_const },	//423
    { "const QFont&", 128, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//424
    { "const QGraphicsItem*", 132, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//425
    { "const QGraphicsView*", 145, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//426
    { "const QHash<QString,QVariant>", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//427
    { "const QHash<QString,QVariant>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//428
    { "const QIcon&", 150, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//429
    { "const QImage&", 151, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//430
    { "const QList<Plasma::QueryMatch>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//431
    { "const QList<Plasma::RunnerSyntax>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//432
    { "const QList<QAction*>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//433
    { "const QList<QRect>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//434
    { "const QList<QVariant>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//435
    { "const QList<double>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//436
    { "const QList<unsigned int>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//437
    { "const QList<unsigned long>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//438
    { "const QMetaObject&", 156, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//439
    { "const QMetaObject*", 156, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//440
    { "const QModelIndex&", 158, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//441
    { "const QPainterPath&", 166, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//442
    { "const QPalette&", 167, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//443
    { "const QPixmap&", 168, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//444
    { "const QPoint", 169, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//445
    { "const QPoint&", 169, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//446
    { "const QPointF&", 170, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//447
    { "const QRect&", 172, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//448
    { "const QRectF&", 173, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//449
    { "const QRegExp&", 174, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//450
    { "const QRegion&", 175, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//451
    { "const QSize&", 180, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//452
    { "const QSizeF&", 181, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//453
    { "const QString", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//454
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//455
    { "const QStringList", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//456
    { "const QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//457
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//458
    { "const QStyleOptionGraphicsItem&", 185, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//459
    { "const QStyleOptionGraphicsItem*", 185, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//460
    { "const QStyleOptionViewItem&", 186, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//461
    { "const QTextOption&", 189, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//462
    { "const QUrl&", 193, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//463
    { "const QVariant&", 194, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//464
    { "const Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack|Smoke::tf_const },	//465
    { "const bool", 0, Smoke::t_bool|Smoke::tf_stack|Smoke::tf_const },	//466
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//467
    { "const double", 0, Smoke::t_double|Smoke::tf_stack|Smoke::tf_const },	//468
    { "const int", 0, Smoke::t_int|Smoke::tf_stack|Smoke::tf_const },	//469
    { "const int&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//470
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//471
    { "double", 0, Smoke::t_double|Smoke::tf_stack },	//472
    { "double&", 0, Smoke::t_voidp|Smoke::tf_ref },	//473
    { "double*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//474
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//475
    { "int*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//476
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//477
    { "long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//478
    { "qint64", 0, Smoke::t_voidp|Smoke::tf_stack },	//479
    { "qreal", 0, Smoke::t_double|Smoke::tf_stack },	//480
    { "uint", 0, Smoke::t_uint|Smoke::tf_stack },	//481
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//482
    { "unsigned long", 0, Smoke::t_ulong|Smoke::tf_stack },	//483
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//484
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//485
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//486
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    467, 0,	//1  const char*
    263, 475, 485, 0,	//3  QMetaObject::Call, int, void**
    384, 0,	//7  bool
    110, 0,	//9  Plasma::Location
    425, 0,	//11  const QGraphicsItem*
    455, 30, 0,	//13  const QString&, Plasma::AbstractRunner*
    455, 64, 0,	//16  const QString&, Plasma::ComponentType
    177, 0,	//19  Plasma::ZoomLevel
    455, 171, 0,	//21  const QString&, Plasma::Wallpaper*
    262, 455, 268, 0,	//24  QMenu*, const QString&, QObject*
    262, 0,	//28  QMenu*
    262, 455, 0,	//30  QMenu*, const QString&
    455, 79, 0,	//33  const QString&, Plasma::DataEngine*
    482, 0,	//36  unsigned int
    199, 0,	//38  QFlags<Plasma::ComponentType>
    455, 47, 0,	//40  const QString&, Plasma::Applet*
    467, 467, 0,	//43  const char*, const char*
    467, 467, 475, 0,	//46  const char*, const char*, int
    77, 0,	//50  Plasma::Corona*
    307, 47, 0,	//52  QWidget*, Plasma::Applet*
    134, 0,	//55  Plasma::RunnerContext&
    307, 0,	//57  QWidget*
    413, 411, 0,	//59  const Plasma::RunnerContext&, const Plasma::QueryMatch&
    203, 0,	//62  QFlags<Plasma::RunnerContext::Type>
    268, 455, 0,	//64  QObject*, const QString&
    391, 268, 0,	//67  const KSharedPtr<KService>, QObject*
    268, 435, 0,	//70  QObject*, const QList<QVariant>&
    32, 0,	//73  Plasma::AbstractRunner::Speed
    31, 0,	//75  Plasma::AbstractRunner::Priority
    455, 455, 0,	//77  const QString&, const QString&
    411, 0,	//80  const Plasma::QueryMatch&
    455, 429, 455, 0,	//82  const QString&, const QIcon&, const QString&
    455, 181, 0,	//86  const QString&, QAction*
    455, 0,	//89  const QString&
    414, 0,	//91  const Plasma::RunnerSyntax&
    432, 0,	//93  const QList<Plasma::RunnerSyntax>&
    412, 0,	//95  const Plasma::QueryMatch*
    268, 0,	//97  QObject*
    391, 0,	//99  const KSharedPtr<KService>
    67, 0,	//101  Plasma::Containment*
    455, 435, 67, 0,	//103  const QString&, const QList<QVariant>&, Plasma::Containment*
    181, 0,	//107  QAction*
    466, 0,	//109  const bool
    387, 0,	//111  const KConfigGroup&
    455, 435, 0,	//113  const QString&, const QList<QVariant>&
    394, 268, 0,	//116  const KUrl&, QObject*
    394, 0,	//119  const KUrl&
    35, 0,	//121  Plasma::AccessAppletJob*
    117, 0,	//123  Plasma::PackageMetadata
    227, 0,	//125  QGraphicsWidget*
    418, 0,	//127  const QEasingCurve&
    475, 0,	//129  int
    42, 0,	//131  Plasma::Animator::Animation
    44, 0,	//133  Plasma::Animator::Movement
    472, 444, 0,	//135  double, const QPixmap&
    472, 212, 0,	//138  double, QGraphicsItem*
    472, 212, 446, 446, 0,	//141  double, QGraphicsItem*, const QPoint&, const QPoint&
    42, 268, 0,	//146  Plasma::Animator::Animation, QObject*
    455, 268, 0,	//149  const QString&, QObject*
    43, 0,	//152  Plasma::Animator::CurveShape
    212, 44, 446, 0,	//154  QGraphicsItem*, Plasma::Animator::Movement, const QPoint&
    475, 475, 43, 268, 467, 0,	//158  int, int, Plasma::Animator::CurveShape, QObject*, const char*
    475, 444, 0,	//164  int, const QPixmap&
    212, 42, 0,	//167  QGraphicsItem*, Plasma::Animator::Animation
    212, 0,	//170  QGraphicsItem*
    227, 179, 179, 0,	//172  QGraphicsWidget*, QAbstractAnimation::State, QAbstractAnimation::State
    298, 0,	//176  QTimerEvent*
    7, 0,	//178  KConfigGroup&
    426, 448, 0,	//180  const QGraphicsView*, const QRect&
    426, 449, 0,	//183  const QGraphicsView*, const QRectF&
    452, 0,	//186  const QSize&
    452, 308, 0,	//188  const QSize&, Qt::AlignmentFlag
    200, 0,	//191  QFlags<Plasma::Constraint>
    50, 0,	//193  Plasma::AspectRatioMode
    463, 0,	//195  const QUrl&
    455, 384, 0,	//197  const QString&, bool
    457, 0,	//200  const QStringList&
    455, 482, 435, 0,	//202  const QString&, unsigned int, const QList<QVariant>&
    390, 482, 435, 0,	//206  const KPluginInfo&, unsigned int, const QList<QVariant>&
    390, 0,	//210  const KPluginInfo&
    273, 460, 448, 0,	//212  QPainter*, const QStyleOptionGraphicsItem*, const QRect&
    273, 460, 307, 0,	//216  QPainter*, const QStyleOptionGraphicsItem*, QWidget*
    291, 0,	//220  QString
    291, 181, 0,	//222  QString, QAction*
    419, 0,	//225  const QFlags<Plasma::Applet::BackgroundHint>
    393, 0,	//227  const KShortcut&
    92, 0,	//229  Plasma::ExtenderItem*
    212, 455, 482, 0,	//231  QGraphicsItem*, const QString&, unsigned int
    390, 212, 482, 0,	//235  const KPluginInfo&, QGraphicsItem*, unsigned int
    212, 455, 482, 435, 0,	//239  QGraphicsItem*, const QString&, unsigned int, const QList<QVariant>&
    5, 0,	//244  KConfigDialog*
    396, 0,	//246  const KUrl::List&
    362, 0,	//248  Qt::SizeHint
    405, 0,	//250  const Plasma::MessageButton
    47, 0,	//252  Plasma::Applet*
    106, 0,	//254  Plasma::ItemStatus
    103, 0,	//256  Plasma::ImmutabilityType
    402, 0,	//258  const Plasma::ImmutabilityType
    403, 0,	//260  const Plasma::ItemStatus
    46, 455, 0,	//262  Plasma::AnnouncementMethods, const QString&
    384, 455, 0,	//265  bool, const QString&
    429, 455, 421, 0,	//268  const QIcon&, const QString&, const QFlags<Plasma::MessageButton>
    268, 196, 0,	//272  QObject*, QEvent*
    212, 196, 0,	//275  QGraphicsItem*, QEvent*
    222, 0,	//278  QGraphicsSceneMouseEvent*
    208, 0,	//280  QFocusEvent*
    224, 0,	//282  QGraphicsSceneResizeEvent*
    215, 464, 0,	//284  QGraphicsItem::GraphicsItemChange, const QVariant&
    362, 453, 0,	//287  Qt::SizeHint, const QSizeF&
    221, 0,	//290  QGraphicsSceneHoverEvent*
    455, 482, 0,	//292  const QString&, unsigned int
    390, 482, 0,	//295  const KPluginInfo&, unsigned int
    212, 455, 0,	//298  QGraphicsItem*, const QString&
    390, 212, 0,	//301  const KPluginInfo&, QGraphicsItem*
    71, 0,	//304  Plasma::Containment::Type
    54, 0,	//306  Plasma::AuthorizationRule&
    61, 0,	//308  Plasma::ClientPinRequest&
    397, 0,	//310  const Plasma::AuthorizationInterface&
    53, 0,	//312  Plasma::AuthorizationManager::AuthorizationPolicy
    51, 0,	//314  Plasma::AuthorizationInterface*
    57, 0,	//316  Plasma::AuthorizationRule::Policy
    56, 0,	//318  Plasma::AuthorizationRule::Persistence
    198, 0,	//320  QFlags<Plasma::AuthorizationRule::Target>
    55, 0,	//322  Plasma::AuthorizationRule*
    287, 0,	//324  QShowEvent*
    232, 0,	//326  QHideEvent*
    273, 460, 0,	//328  QPainter*, const QStyleOptionGraphicsItem*
    196, 0,	//331  QEvent*
    62, 0,	//333  Plasma::ClientPinRequest*
    3, 0,	//335  KComboBox*
    455, 233, 268, 0,	//337  const QString&, QIODevice*, QObject*
    18, 233, 268, 0,	//341  KSharedPtr<KSharedConfig>, QIODevice*, QObject*
    388, 233, 268, 0,	//345  const KConfigGroup*, QIODevice*, QObject*
    455, 233, 0,	//349  const QString&, QIODevice*
    18, 233, 0,	//352  KSharedPtr<KSharedConfig>, QIODevice*
    388, 233, 0,	//355  const KConfigGroup*, QIODevice*
    455, 455, 455, 0,	//358  const QString&, const QString&, const QString&
    455, 435, 449, 0,	//362  const QString&, const QList<QVariant>&, const QRectF&
    47, 447, 384, 0,	//366  Plasma::Applet*, const QPointF&, bool
    475, 475, 0,	//370  int, int
    447, 446, 0,	//373  const QPointF&, const QPoint&
    445, 0,	//376  const QPoint
    47, 447, 0,	//378  Plasma::Applet*, const QPointF&
    67, 176, 0,	//381  Plasma::Containment*, Plasma::ZoomDirection
    447, 0,	//384  const QPointF&
    475, 475, 67, 0,	//386  int, int, Plasma::Containment*
    76, 0,	//390  Plasma::Context*
    95, 0,	//392  Plasma::FormFactor
    218, 0,	//394  QGraphicsSceneContextMenuEvent*
    238, 0,	//396  QKeyEvent*
    225, 0,	//398  QGraphicsSceneWheelEvent*
    219, 0,	//400  QGraphicsSceneDragDropEvent*
    33, 0,	//402  Plasma::AbstractToolBox*
    398, 0,	//404  const Plasma::Containment::StyleOption&
    459, 0,	//406  const QStyleOptionGraphicsItem&
    170, 0,	//408  Plasma::View*
    67, 455, 435, 0,	//410  Plasma::Containment*, const QString&, const QList<QVariant>&
    67, 390, 435, 0,	//414  Plasma::Containment*, const KPluginInfo&, const QList<QVariant>&
    452, 196, 0,	//418  const QSize&, QEvent*
    278, 277, 0,	//421  QPointF, QPoint
    67, 455, 0,	//424  Plasma::Containment*, const QString&
    67, 390, 0,	//427  Plasma::Containment*, const KPluginInfo&
    400, 0,	//430  const Plasma::ContainmentActionsPluginsConfig&
    196, 455, 0,	//432  QEvent*, const QString&
    206, 353, 455, 0,	//435  QFlags<Qt::KeyboardModifier>, Qt::MouseButton, const QString&
    206, 356, 455, 0,	//439  QFlags<Qt::KeyboardModifier>, Qt::Orientation, const QString&
    475, 475, 455, 435, 0,	//443  int, int, const QString&, const QList<QVariant>&
    425, 452, 0,	//448  const QGraphicsItem*, const QSize&
    425, 452, 308, 0,	//451  const QGraphicsItem*, const QSize&, Qt::AlignmentFlag
    2, 0,	//455  KActionCollection*
    71, 400, 0,	//457  Plasma::Containment::Type, const Plasma::ContainmentActionsPluginsConfig&
    29, 0,	//460  Plasma::AbstractDialogManager*
    385, 0,	//462  const KConfigBase&
    399, 0,	//464  const Plasma::Containment::Type
    7, 245, 0,	//466  KConfigGroup&, QList<Plasma::Containment*>
    42, 42, 0,	//469  Plasma::Animator::Animation, Plasma::Animator::Animation
    42, 455, 0,	//472  Plasma::Animator::Animation, const QString&
    399, 455, 0,	//475  const Plasma::Containment::Type, const QString&
    475, 475, 455, 0,	//478  int, int, const QString&
    455, 464, 0,	//482  const QString&, const QVariant&
    268, 482, 104, 0,	//485  QObject*, unsigned int, Plasma::IntervalAlignment
    455, 401, 0,	//489  const QString&, const Plasma::DataEngine::Data&
    78, 0,	//492  Plasma::DataContainer*
    268, 17, 0,	//494  QObject*, KSharedPtr<KService>
    455, 268, 482, 104, 0,	//497  const QString&, QObject*, unsigned int, Plasma::IntervalAlignment
    455, 455, 464, 0,	//502  const QString&, const QString&, const QVariant&
    455, 428, 0,	//506  const QString&, const QHash<QString,QVariant>&
    455, 268, 482, 0,	//509  const QString&, QObject*, unsigned int
    268, 482, 0,	//513  QObject*, unsigned int
    79, 0,	//516  Plasma::DataEngine*
    85, 475, 0,	//518  Plasma::Delegate::SpecificRoles, int
    85, 0,	//521  Plasma::Delegate::SpecificRoles
    273, 461, 441, 0,	//523  QPainter*, const QStyleOptionViewItem&, const QModelIndex&
    461, 441, 0,	//527  const QStyleOptionViewItem&, const QModelIndex&
    307, 207, 0,	//530  QWidget*, QFlags<Qt::WindowType>
    201, 0,	//533  QFlags<Plasma::Dialog::ResizeCorner>
    475, 475, 475, 475, 0,	//535  int, int, int, int
    476, 476, 476, 476, 0,	//540  int*, int*, int*, int*
    88, 0,	//545  Plasma::Direction
    272, 0,	//547  QPaintEvent*
    285, 0,	//549  QResizeEvent*
    265, 0,	//551  QMouseEvent*
    266, 0,	//553  QMoveEvent*
    446, 0,	//555  const QPoint&
    90, 0,	//557  Plasma::Extender::Appearance
    92, 447, 0,	//559  Plasma::ExtenderItem*, const QPointF&
    89, 482, 0,	//562  Plasma::Extender*, unsigned int
    89, 0,	//565  Plasma::Extender*
    429, 0,	//567  const QIcon&
    89, 447, 0,	//569  Plasma::Extender*, const QPointF&
    91, 0,	//572  Plasma::ExtenderGroup*
    91, 447, 0,	//574  Plasma::ExtenderGroup*, const QPointF&
    223, 0,	//577  QGraphicsSceneMoveEvent*
    424, 0,	//579  const QFont&
    417, 0,	//581  const QColor&
    455, 475, 462, 0,	//583  const QString&, int, const QTextOption&
    444, 475, 205, 0,	//587  const QPixmap&, int, QFlags<Qt::AlignmentFlag>
    455, 475, 0,	//591  const QString&, int
    444, 0,	//594  const QPixmap&
    444, 475, 0,	//596  const QPixmap&, int
    97, 0,	//599  Plasma::Frame::Shadow
    420, 0,	//601  const QFlags<Plasma::FrameSvg::EnabledBorder>
    453, 0,	//603  const QSizeF&
    404, 0,	//605  const Plasma::MarginEdge
    473, 473, 473, 473, 0,	//607  double&, double&, double&, double&
    273, 449, 449, 0,	//612  QPainter*, const QRectF&, const QRectF&
    273, 447, 0,	//616  QPainter*, const QPointF&
    273, 449, 0,	//619  QPainter*, const QRectF&
    273, 0,	//622  QPainter*
    212, 455, 475, 0,	//624  QGraphicsItem*, const QString&, int
    430, 482, 0,	//628  const QImage&, unsigned int
    430, 0,	//631  const QImage&
    455, 212, 0,	//633  const QString&, QGraphicsItem*
    429, 455, 212, 0,	//636  const QIcon&, const QString&, QGraphicsItem*
    356, 0,	//640  Qt::Orientation
    468, 0,	//642  const double
    273, 452, 475, 0,	//644  QPainter*, const QSize&, int
    429, 455, 0,	//648  const QIcon&, const QString&
    449, 0,	//651  const QRectF&
    480, 0,	//653  qreal
    281, 0,	//655  QRectF
    205, 0,	//657  QFlags<Qt::AlignmentFlag>
    11, 0,	//659  KLineEdit*
    114, 0,	//661  Plasma::Meter::MeterType
    475, 455, 0,	//663  int, const QString&
    475, 417, 0,	//666  int, const QColor&
    475, 424, 0,	//669  int, const QFont&
    475, 423, 0,	//672  int, const QFlags<Qt::AlignmentFlag>
    470, 0,	//675  const int&
    455, 455, 19, 0,	//677  const QString&, const QString&, KSharedPtr<Plasma::PackageStructure>
    455, 19, 0,	//681  const QString&, KSharedPtr<Plasma::PackageStructure>
    406, 0,	//684  const Plasma::Package&
    467, 455, 0,	//686  const char*, const QString&
    408, 455, 0,	//689  const Plasma::PackageMetadata&, const QString&
    408, 455, 455, 455, 0,	//692  const Plasma::PackageMetadata&, const QString&, const QString&, const QString&
    408, 455, 455, 0,	//697  const Plasma::PackageMetadata&, const QString&, const QString&
    408, 0,	//701  const Plasma::PackageMetadata&
    409, 0,	//703  const Plasma::PackageStructure&
    467, 455, 455, 0,	//705  const char*, const QString&, const QString&
    467, 384, 0,	//709  const char*, bool
    292, 0,	//712  QStringList
    467, 292, 0,	//714  const char*, QStringList
    386, 0,	//717  const KConfigBase*
    4, 0,	//719  KConfigBase*
    410, 0,	//721  const Plasma::PlotColor&
    308, 0,	//723  Qt::AlignmentFlag
    481, 0,	//725  uint
    389, 0,	//727  const KIcon&
    30, 0,	//729  Plasma::AbstractRunner*
    132, 0,	//731  Plasma::QueryMatch::Type
    472, 0,	//733  double
    413, 0,	//735  const Plasma::RunnerContext&
    464, 0,	//737  const QVariant&
    134, 268, 0,	//739  Plasma::RunnerContext&, QObject*
    455, 431, 0,	//742  const QString&, const QList<Plasma::QueryMatch>&
    455, 411, 0,	//745  const QString&, const Plasma::QueryMatch&
    454, 0,	//748  const QString
    456, 0,	//750  const QStringList
    7, 268, 0,	//752  KConfigGroup&, QObject*
    431, 0,	//755  const QList<Plasma::QueryMatch>&
    411, 255, 0,	//757  const Plasma::QueryMatch&, QList<QAction*>*
    469, 0,	//760  const int
    465, 0,	//762  const Qt::ScrollBarPolicy
    179, 179, 0,	//764  QAbstractAnimation::State, QAbstractAnimation::State
    212, 207, 0,	//767  QGraphicsItem*, QFlags<Qt::WindowType>
    455, 435, 268, 0,	//770  const QString&, const QList<QVariant>&, QObject*
    387, 268, 0,	//774  const KConfigGroup&, QObject*
    307, 455, 0,	//777  QWidget*, const QString&
    227, 455, 0,	//780  QGraphicsWidget*, const QString&
    217, 455, 0,	//783  QGraphicsObject*, const QString&
    217, 0,	//786  QGraphicsObject*
    148, 0,	//788  Plasma::ServiceJob*
    146, 0,	//790  Plasma::Service*
    455, 261, 0,	//792  const QString&, QMap<QString,QVariant>&
    233, 0,	//795  QIODevice*
    24, 268, 0,	//797  KUrl, QObject*
    24, 0,	//800  KUrl
    436, 0,	//802  const QList<double>&
    437, 0,	//804  const QList<unsigned int>&
    472, 472, 0,	//806  double, double
    482, 482, 0,	//809  unsigned int, unsigned int
    273, 482, 482, 475, 0,	//812  QPainter*, unsigned int, unsigned int, int
    273, 475, 475, 0,	//817  QPainter*, int, int
    273, 475, 475, 475, 0,	//821  QPainter*, int, int, int
    273, 475, 475, 475, 475, 0,	//826  QPainter*, int, int, int, int
    273, 447, 455, 0,	//832  QPainter*, const QPointF&, const QString&
    273, 475, 475, 455, 0,	//836  QPainter*, int, int, const QString&
    273, 449, 455, 0,	//841  QPainter*, const QRectF&, const QString&
    273, 475, 475, 475, 475, 455, 0,	//845  QPainter*, int, int, int, int, const QString&
    157, 0,	//852  Plasma::Theme*
    152, 455, 212, 207, 0,	//854  Plasma::Svg*, const QString&, QGraphicsItem*, QFlags<Qt::WindowType>
    152, 0,	//859  Plasma::Svg*
    353, 0,	//861  Qt::MouseButton
    152, 455, 0,	//863  Plasma::Svg*, const QString&
    152, 455, 212, 0,	//866  Plasma::Svg*, const QString&, QGraphicsItem*
    475, 429, 455, 216, 0,	//870  int, const QIcon&, const QString&, QGraphicsLayoutItem*
    475, 455, 216, 0,	//875  int, const QString&, QGraphicsLayoutItem*
    429, 455, 216, 0,	//879  const QIcon&, const QString&, QGraphicsLayoutItem*
    455, 216, 0,	//883  const QString&, QGraphicsLayoutItem*
    475, 429, 0,	//886  int, const QIcon&
    475, 384, 0,	//889  int, bool
    475, 429, 455, 0,	//892  int, const QIcon&, const QString&
    360, 0,	//896  Qt::ScrollBarPolicy
    23, 0,	//898  KTextEdit*
    158, 0,	//900  Plasma::Theme::ColorRole
    424, 159, 0,	//902  const QFont&, Plasma::Theme::FontRole
    159, 0,	//905  Plasma::Theme::FontRole
    455, 276, 0,	//907  const QString&, QPixmap&
    455, 276, 482, 0,	//910  const QString&, QPixmap&, unsigned int
    455, 444, 0,	//914  const QString&, const QPixmap&
    455, 444, 455, 0,	//917  const QString&, const QPixmap&, const QString&
    455, 455, 282, 0,	//921  const QString&, const QString&, QRectF&
    455, 455, 449, 0,	//925  const QString&, const QString&, const QRectF&
    415, 0,	//929  const Plasma::ToolTipContent&
    455, 455, 444, 0,	//931  const QString&, const QString&, const QPixmap&
    455, 455, 429, 0,	//935  const QString&, const QString&, const QIcon&
    483, 0,	//939  unsigned long
    438, 0,	//941  const QList<unsigned long>&
    163, 463, 464, 0,	//943  Plasma::ToolTipContent::ResourceType, const QUrl&, const QVariant&
    297, 0,	//947  QTextDocument*
    227, 415, 0,	//949  QGraphicsWidget*, const Plasma::ToolTipContent&
    165, 0,	//952  Plasma::ToolTipManager::State
    382, 354, 348, 446, 0,	//954  WId, Qt::MouseButtons, Qt::KeyboardModifiers, const QPoint&
    455, 354, 348, 446, 0,	//959  const QString&, Qt::MouseButtons, Qt::KeyboardModifiers, const QPoint&
    180, 0,	//964  QAbstractItemModel*
    422, 0,	//966  const QFlags<Plasma::VideoWidget::Control>
    478, 0,	//968  long long
    479, 0,	//970  qint64
    67, 307, 0,	//972  Plasma::Containment*, QWidget*
    67, 475, 307, 0,	//975  Plasma::Containment*, int, QWidget*
    67, 475, 0,	//979  Plasma::Containment*, int
    390, 435, 0,	//982  const KPluginInfo&, const QList<QVariant>&
    171, 0,	//985  Plasma::Wallpaper*
    172, 0,	//987  Plasma::Wallpaper::ResizeMethod
    455, 452, 172, 417, 0,	//989  const QString&, const QSize&, Plasma::Wallpaper::ResizeMethod, const QColor&
    430, 452, 172, 417, 0,	//994  const QImage&, const QSize&, Plasma::Wallpaper::ResizeMethod, const QColor&
    455, 236, 482, 0,	//999  const QString&, QImage&, unsigned int
    455, 430, 0,	//1003  const QString&, const QImage&
    433, 0,	//1006  const QList<QAction*>&
    455, 452, 0,	//1008  const QString&, const QSize&
    455, 452, 172, 0,	//1011  const QString&, const QSize&, Plasma::Wallpaper::ResizeMethod
    430, 452, 0,	//1015  const QImage&, const QSize&
    430, 452, 172, 0,	//1018  const QImage&, const QSize&, Plasma::Wallpaper::ResizeMethod
    455, 236, 0,	//1022  const QString&, QImage&
    395, 0,	//1025  const KUrl::List
    416, 394, 0,	//1027  const QByteArray&, const KUrl&
    455, 394, 0,	//1030  const QString&, const KUrl&
    305, 0,	//1033  QWebPage*
    416, 0,	//1035  const QByteArray&
    178, 0,	//1037  QAbstractAnimation::Direction
    307, 461, 441, 0,	//1039  QWidget*, const QStyleOptionViewItem&, const QModelIndex&
    307, 441, 0,	//1043  QWidget*, const QModelIndex&
    307, 180, 441, 0,	//1046  QWidget*, QAbstractItemModel*, const QModelIndex&
    196, 180, 461, 441, 0,	//1050  QEvent*, QAbstractItemModel*, const QStyleOptionViewItem&, const QModelIndex&
    425, 345, 0,	//1055  const QGraphicsItem*, Qt::ItemSelectionMode
    442, 345, 0,	//1058  const QPainterPath&, Qt::ItemSelectionMode
    237, 0,	//1061  QInputMethodEvent*
    342, 0,	//1063  Qt::InputMethodQuery
    214, 0,	//1065  QGraphicsItem::Extension
    214, 464, 0,	//1067  QGraphicsItem::Extension, const QVariant&
    220, 0,	//1070  QGraphicsSceneHelpEvent*
    273, 475, 213, 460, 307, 0,	//1072  QPainter*, int, QGraphicsItem**, const QStyleOptionGraphicsItem*, QWidget*
    189, 0,	//1078  QContextMenuEvent*
    190, 0,	//1080  QDragEnterEvent*
    191, 0,	//1082  QDragLeaveEvent*
    192, 0,	//1084  QDragMoveEvent*
    194, 0,	//1086  QDropEvent*
    306, 0,	//1088  QWheelEvent*
    273, 475, 213, 460, 0,	//1090  QPainter*, int, QGraphicsItem**, const QStyleOptionGraphicsItem*
    474, 474, 474, 474, 0,	//1095  double*, double*, double*, double*
    295, 0,	//1100  QStyleOption*
    186, 0,	//1102  QCloseEvent*
    185, 0,	//1104  QChildEvent*
    296, 0,	//1106  QTabletEvent*
    182, 0,	//1108  QActionEvent*
    383, 0,	//1110  _XEvent*
    269, 0,	//1112  QPaintDevice::PaintDeviceMetric
    294, 0,	//1114  QStyle&
    443, 0,	//1116  const QPalette&
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "AbstractDialogManager",	//1
    "AbstractDialogManager#",	//2
    "AbstractRunner",	//3
    "AbstractRunner#",	//4
    "AbstractRunner#$",	//5
    "AbstractRunner#?",	//6
    "AbstractRunner?",	//7
    "AbstractRunner?#",	//8
    "AbstractToolBox",	//9
    "AbstractToolBox#",	//10
    "AbstractToolBox#?",	//11
    "AcceptingInputStatus",	//12
    "AccessAppletJob",	//13
    "AccessAppletJob#",	//14
    "AccessAppletJob##",	//15
    "ActivateAnimation",	//16
    "Activated",	//17
    "ActiveStatus",	//18
    "AddTool",	//19
    "AlignToHour",	//20
    "AlignToMinute",	//21
    "All",	//22
    "AllBorders",	//23
    "AllConstraints",	//24
    "AllLayers",	//25
    "AllServices",	//26
    "AllUsers",	//27
    "Allow",	//28
    "AnalogMeter",	//29
    "AnchorUnderMouse",	//30
    "AnchorViewCenter",	//31
    "Animation",	//32
    "Animation#",	//33
    "AnimationDriver",	//34
    "AnimationDriver#",	//35
    "AnimatorComponent",	//36
    "AppearAnimation",	//37
    "Applet",	//38
    "Applet#",	//39
    "Applet##",	//40
    "Applet##$",	//41
    "Applet#$",	//42
    "Applet#$$",	//43
    "Applet#$$?",	//44
    "Applet#?",	//45
    "AppletComponent",	//46
    "AppletScript",	//47
    "AppletScript#",	//48
    "AppletType",	//49
    "Application",	//50
    "AuthorizationInterface",	//51
    "AuthorizationInterface#",	//52
    "BackgroundColor",	//53
    "BackgroundLayer",	//54
    "Backward",	//55
    "BarMeterHorizontal",	//56
    "BarMeterVertical",	//57
    "BottomBorder",	//58
    "BottomEdge",	//59
    "BottomMargin",	//60
    "BottomPosedLeftAlignedPopup",	//61
    "BottomPosedRightAlignedPopup",	//62
    "BottomPositioned",	//63
    "BottomUpStacked",	//64
    "BoundingRectViewportUpdate",	//65
    "Box",	//66
    "BspTreeIndex",	//67
    "BusyWidget",	//68
    "BusyWidget#",	//69
    "ButtonBackgroundColor",	//70
    "ButtonCancel",	//71
    "ButtonFocusColor",	//72
    "ButtonHoverColor",	//73
    "ButtonNo",	//74
    "ButtonNone",	//75
    "ButtonOk",	//76
    "ButtonTextColor",	//77
    "ButtonYes",	//78
    "Bytes",	//79
    "CacheBackground",	//80
    "CacheNone",	//81
    "Center",	//82
    "CenterPositioned",	//83
    "CenterTiledResize",	//84
    "CenteredResize",	//85
    "CheckBox",	//86
    "CheckBox#",	//87
    "ColumnTypeRole",	//88
    "ComboBox",	//89
    "ComboBox#",	//90
    "CompletionMatch",	//91
    "ConfigLoader",	//92
    "ConfigLoader##",	//93
    "ConfigLoader###",	//94
    "ConfigLoader$#",	//95
    "ConfigLoader$##",	//96
    "ConfigLoader?#",	//97
    "ConfigLoader?##",	//98
    "ConfigureTool",	//99
    "ConstrainedSquare",	//100
    "Containment",	//101
    "Containment#",	//102
    "Containment#$",	//103
    "Containment#$$",	//104
    "Containment#?",	//105
    "ContainmentActions",	//106
    "ContainmentActions#",	//107
    "ContainmentActions#?",	//108
    "ContainmentActionsPluginsConfig",	//109
    "ContainmentActionsPluginsConfig#",	//110
    "ContainmentComponent",	//111
    "Context",	//112
    "Context#",	//113
    "ContextConstraint",	//114
    "ControlTool",	//115
    "Corona",	//116
    "Corona#",	//117
    "CssResource",	//118
    "Custom",	//119
    "CustomContainment",	//120
    "CustomPanelContainment",	//121
    "DataContainer",	//122
    "DataContainer#",	//123
    "DataEngine",	//124
    "DataEngine#",	//125
    "DataEngine#?",	//126
    "DataEngineComponent",	//127
    "DataEngineScript",	//128
    "DataEngineScript#",	//129
    "Deactivated",	//130
    "Default",	//131
    "DefaultBackground",	//132
    "DefaultControls",	//133
    "DefaultFont",	//134
    "Delegate",	//135
    "Delegate#",	//136
    "DeleteWhenStopped",	//137
    "Deny",	//138
    "DenyAll",	//139
    "Desktop",	//140
    "DesktopContainment",	//141
    "DesktopFont",	//142
    "DesktopZoom",	//143
    "DestructiveTool",	//144
    "DeviceCoordinateCache",	//145
    "Dialog",	//146
    "Dialog#",	//147
    "Dialog#$",	//148
    "Directories",	//149
    "Directory",	//150
    "DisappearAnimation",	//151
    "DontAdjustForAntialiasing",	//152
    "DontClipPainter",	//153
    "DontSavePainterState",	//154
    "Down",	//155
    "DrawChildren",	//156
    "DrawWindowBackground",	//157
    "EaseInCurve",	//158
    "EaseInOutCurve",	//159
    "EaseOutCurve",	//160
    "EditNextItem",	//161
    "EditPreviousItem",	//162
    "EmitResult",	//163
    "ExactMatch",	//164
    "Executable",	//165
    "Extender",	//166
    "Extender#",	//167
    "ExtenderGroup",	//168
    "ExtenderGroup#",	//169
    "ExtenderGroup#$",	//170
    "ExtenderItem",	//171
    "ExtenderItem#",	//172
    "ExtenderItem#$",	//173
    "FadeAnimation",	//174
    "FastSlideInMovement",	//175
    "FastSlideOutMovement",	//176
    "File",	//177
    "FileSystem",	//178
    "Files",	//179
    "FixedSize",	//180
    "FlashingLabel",	//181
    "FlashingLabel#",	//182
    "Floating",	//183
    "FloatingPopup",	//184
    "ForegroundLayer",	//185
    "FormFactorConstraint",	//186
    "Forward",	//187
    "Frame",	//188
    "Frame#",	//189
    "FrameSvg",	//190
    "FrameSvg#",	//191
    "FullScreen",	//192
    "FullViewportUpdate",	//193
    "GLApplet",	//194
    "GLApplet#$$",	//195
    "GLApplet#?",	//196
    "GenericComponent",	//197
    "GeometryAnimation",	//198
    "GroupBox",	//199
    "GroupBox#",	//200
    "GroupZoom",	//201
    "GrowAnimation",	//202
    "HLine",	//203
    "Help",	//204
    "HelperMatch",	//205
    "HighPriority",	//206
    "HighestPriority",	//207
    "HighlightColor",	//208
    "Horizontal",	//209
    "HorizontalFlip",	//210
    "HtmlResource",	//211
    "IconWidget",	//212
    "IconWidget#",	//213
    "IconWidget#$",	//214
    "IconWidget#$#",	//215
    "IconWidget$",	//216
    "IconWidget$#",	//217
    "IgnoreAspectRatio",	//218
    "IgnoreMask",	//219
    "ImageResource",	//220
    "ImmutableConstraint",	//221
    "IndirectPainting",	//222
    "InformationalMatch",	//223
    "Inhibited",	//224
    "InvalidAspectRatioMode",	//225
    "InvalidCredentials",	//226
    "ItemAcceptsInputMethod",	//227
    "ItemBackground",	//228
    "ItemBackground#",	//229
    "ItemChildAddedChange",	//230
    "ItemChildRemovedChange",	//231
    "ItemClipsChildrenToShape",	//232
    "ItemClipsToShape",	//233
    "ItemCoordinateCache",	//234
    "ItemCursorChange",	//235
    "ItemCursorHasChanged",	//236
    "ItemDoesntPropagateOpacityToChildren",	//237
    "ItemEnabledChange",	//238
    "ItemEnabledHasChanged",	//239
    "ItemFlagsChange",	//240
    "ItemFlagsHaveChanged",	//241
    "ItemHasNoContents",	//242
    "ItemIgnoresParentOpacity",	//243
    "ItemIgnoresTransformations",	//244
    "ItemIsFocusScope",	//245
    "ItemIsFocusable",	//246
    "ItemIsMovable",	//247
    "ItemIsPanel",	//248
    "ItemIsSelectable",	//249
    "ItemLayer",	//250
    "ItemMatrixChange",	//251
    "ItemNegativeZStacksBehindParent",	//252
    "ItemOpacityChange",	//253
    "ItemOpacityHasChanged",	//254
    "ItemParentChange",	//255
    "ItemParentHasChanged",	//256
    "ItemPositionChange",	//257
    "ItemPositionHasChanged",	//258
    "ItemRotationChange",	//259
    "ItemRotationHasChanged",	//260
    "ItemScaleChange",	//261
    "ItemScaleHasChanged",	//262
    "ItemSceneChange",	//263
    "ItemSceneHasChanged",	//264
    "ItemScenePositionHasChanged",	//265
    "ItemSelectedChange",	//266
    "ItemSelectedHasChanged",	//267
    "ItemSendsGeometryChanges",	//268
    "ItemSendsScenePositionChanges",	//269
    "ItemStacksBehindParent",	//270
    "ItemStopsClickFocusPropagation",	//271
    "ItemStopsFocusHandling",	//272
    "ItemToolTipChange",	//273
    "ItemToolTipHasChanged",	//274
    "ItemTransformChange",	//275
    "ItemTransformHasChanged",	//276
    "ItemTransformOriginPointChange",	//277
    "ItemTransformOriginPointHasChanged",	//278
    "ItemUsesExtendedStyleOption",	//279
    "ItemVisibleChange",	//280
    "ItemVisibleHasChanged",	//281
    "ItemZValueChange",	//282
    "ItemZValueHasChanged",	//283
    "KeepAspectRatio",	//284
    "KeepWhenStopped",	//285
    "Killable",	//286
    "KilledJobError",	//287
    "Label",	//288
    "Label#",	//289
    "LastAnimation",	//290
    "LastResizeMethod",	//291
    "Left",	//292
    "LeftBorder",	//293
    "LeftEdge",	//294
    "LeftMargin",	//295
    "LeftPosedBottomAlignedPopup",	//296
    "LeftPosedTopAlignedPopup",	//297
    "LeftPositioned",	//298
    "LineEdit",	//299
    "LineEdit#",	//300
    "LineEditType",	//301
    "LinearCurve",	//302
    "LinkColor",	//303
    "LocationConstraint",	//304
    "LowPriority",	//305
    "LowestPriority",	//306
    "MainColumn",	//307
    "MaxpectResize",	//308
    "MediaCenter",	//309
    "Meter",	//310
    "Meter#",	//311
    "MinimalViewportUpdate",	//312
    "MiscTool",	//313
    "MoveAny",	//314
    "MoveDown",	//315
    "MoveLeft",	//316
    "MoveRight",	//317
    "MoveUp",	//318
    "Mutable",	//319
    "NeedsAttentionStatus",	//320
    "NetworkLocation",	//321
    "Next",	//322
    "NoAlignment",	//323
    "NoAnchor",	//324
    "NoAnnouncement",	//325
    "NoBackground",	//326
    "NoBorder",	//327
    "NoBorders",	//328
    "NoCache",	//329
    "NoCapabilities",	//330
    "NoConstraint",	//331
    "NoContainmentType",	//332
    "NoControls",	//333
    "NoCorner",	//334
    "NoDrag",	//335
    "NoError",	//336
    "NoFlip",	//337
    "NoFrame",	//338
    "NoHint",	//339
    "NoIndex",	//340
    "NoMatch",	//341
    "NoViewportUpdate",	//342
    "NonModal",	//343
    "None",	//344
    "NormalPriority",	//345
    "NormalSpeed",	//346
    "NorthEast",	//347
    "NorthWest",	//348
    "OpenFile",	//349
    "OverviewZoom",	//350
    "Package",	//351
    "Package#",	//352
    "Package$$?",	//353
    "Package$?",	//354
    "PackageMetadata",	//355
    "PackageMetadata#",	//356
    "PackageMetadata$",	//357
    "PackageStructure",	//358
    "PackageStructure#",	//359
    "PackageStructure#$",	//360
    "Panel",	//361
    "PanelContainment",	//362
    "PanelModal",	//363
    "PassiveStatus",	//364
    "Pause",	//365
    "Paused",	//366
    "PendularCurve",	//367
    "Persistent",	//368
    "PinPairing",	//369
    "PinRequired",	//370
    "PixmapTransitionAnimation",	//371
    "Plain",	//372
    "Planar",	//373
    "Play",	//374
    "PlayPause",	//375
    "PlotColor",	//376
    "PlotColor#",	//377
    "PopupApplet",	//378
    "PopupApplet#?",	//379
    "PopupConstraint",	//380
    "PossibleMatch",	//381
    "Previous",	//382
    "Progress",	//383
    "PulseAnimation",	//384
    "PushButton",	//385
    "PushButton#",	//386
    "Q_COMPLEX_TYPE",	//387
    "Q_DUMMY_TYPE",	//388
    "Q_MOVABLE_TYPE",	//389
    "Q_PRIMITIVE_TYPE",	//390
    "Q_STATIC_TYPE",	//391
    "QueryMatch",	//392
    "QueryMatch#",	//393
    "Quietly",	//394
    "RadioButton",	//395
    "RadioButton#",	//396
    "Raised",	//397
    "RevertModelCache",	//398
    "Right",	//399
    "RightBorder",	//400
    "RightEdge",	//401
    "RightMargin",	//402
    "RightPosedBottomAlignedPopup",	//403
    "RightPosedTopAlignedPopup",	//404
    "RightPositioned",	//405
    "RotationAnimation",	//406
    "RotationStackedAnimation",	//407
    "RubberBandDrag",	//408
    "RunnerComponent",	//409
    "RunnerContext",	//410
    "RunnerContext#",	//411
    "RunnerContext##",	//412
    "RunnerManager",	//413
    "RunnerManager#",	//414
    "RunnerManager##",	//415
    "RunnerScript",	//416
    "RunnerScript#",	//417
    "RunnerSyntax",	//418
    "RunnerSyntax#",	//419
    "RunnerSyntax$$",	//420
    "Running",	//421
    "ScaledAndCroppedResize",	//422
    "ScaledResize",	//423
    "SceneModal",	//424
    "ScreenConstraint",	//425
    "ScriptEngine",	//426
    "ScriptEngine#",	//427
    "ScrollBar",	//428
    "ScrollBar#",	//429
    "ScrollHandDrag",	//430
    "ScrollWidget",	//431
    "ScrollWidget#",	//432
    "SecondaryActionColumn",	//433
    "Separator",	//434
    "Separator#",	//435
    "Separator#$",	//436
    "Service",	//437
    "Service#",	//438
    "Service#?",	//439
    "ServiceAccessJob",	//440
    "ServiceAccessJob#",	//441
    "ServiceAccessJob##",	//442
    "Shadow_Mask",	//443
    "Shape_Mask",	//444
    "ShellCommand",	//445
    "SignalPlotter",	//446
    "SignalPlotter#",	//447
    "SizeConstraint",	//448
    "SlideAnimation",	//449
    "SlideInMovement",	//450
    "SlideOutMovement",	//451
    "Slider",	//452
    "Slider#",	//453
    "SlowSpeed",	//454
    "SmallestFont",	//455
    "SmartViewportUpdate",	//456
    "SouthEast",	//457
    "SouthWest",	//458
    "SpinBox",	//459
    "SpinBox#",	//460
    "Square",	//461
    "StandardBackground",	//462
    "StartupCompletedConstraint",	//463
    "Stop",	//464
    "Stopped",	//465
    "StyleOption",	//466
    "StyleOption#",	//467
    "StyledPanel",	//468
    "SubTitleMandatoryRole",	//469
    "SubTitleRole",	//470
    "SubmitModelCache",	//471
    "Sunken",	//472
    "Suspendable",	//473
    "Svg",	//474
    "Svg#",	//475
    "SvgWidget",	//476
    "SvgWidget#",	//477
    "SvgWidget#$",	//478
    "SvgWidget#$#",	//479
    "SvgWidget#$#$",	//480
    "SystemImmutable",	//481
    "TabBar",	//482
    "TabBar#",	//483
    "TextBrowser",	//484
    "TextBrowser#",	//485
    "TextColor",	//486
    "TextEdit",	//487
    "TextEdit#",	//488
    "Theme",	//489
    "Theme#",	//490
    "Theme$",	//491
    "Theme$#",	//492
    "TiledResize",	//493
    "ToolButton",	//494
    "ToolButton#",	//495
    "ToolTipContent",	//496
    "ToolTipContent#",	//497
    "ToolTipContent$$",	//498
    "ToolTipContent$$#",	//499
    "TopBorder",	//500
    "TopDownStacked",	//501
    "TopEdge",	//502
    "TopMargin",	//503
    "TopPosedLeftAlignedPopup",	//504
    "TopPosedRightAlignedPopup",	//505
    "TopPositioned",	//506
    "Transient",	//507
    "TranslucentBackground",	//508
    "TreeView",	//509
    "TreeView#",	//510
    "TrustedCredentials",	//511
    "TrustedOnly",	//512
    "Type",	//513
    "UltimateCredentials",	//514
    "UnknownCredentials",	//515
    "UnknownStatus",	//516
    "UnknownType",	//517
    "Up",	//518
    "UserDefinedError",	//519
    "UserExtension",	//520
    "UserImmutable",	//521
    "UserToolType",	//522
    "UserType",	//523
    "VLine",	//524
    "ValidCredentials",	//525
    "Version",	//526
    "Vertical",	//527
    "VerticalFlip",	//528
    "VideoWidget",	//529
    "VideoWidget#",	//530
    "View",	//531
    "View#",	//532
    "View##",	//533
    "View#$",	//534
    "View#$#",	//535
    "ViewBackgroundColor",	//536
    "ViewFocusColor",	//537
    "ViewHoverColor",	//538
    "ViewTextColor",	//539
    "VisitedLinkColor",	//540
    "Volume",	//541
    "Wallpaper",	//542
    "Wallpaper#",	//543
    "Wallpaper#?",	//544
    "WallpaperComponent",	//545
    "WallpaperScript",	//546
    "WallpaperScript#",	//547
    "WaterAnimation",	//548
    "WebView",	//549
    "WebView#",	//550
    "WinPanel",	//551
    "ZeroconfAnnouncement",	//552
    "ZoomAnimation",	//553
    "ZoomIn",	//554
    "ZoomOut",	//555
    "aboutToFinish",	//556
    "access",	//557
    "access#",	//558
    "access##",	//559
    "accessRemoteApplet",	//560
    "accessRemoteApplet#",	//561
    "action",	//562
    "action$",	//563
    "actionEvent",	//564
    "actions",	//565
    "actionsForMatch",	//566
    "actionsForMatch#",	//567
    "actionsForMatch#?",	//568
    "actionsFromMenu",	//569
    "actionsFromMenu#",	//570
    "actionsFromMenu#$",	//571
    "actionsFromMenu#$#",	//572
    "activate",	//573
    "activated",	//574
    "activated$",	//575
    "activity",	//576
    "activityChanged",	//577
    "activityChanged#",	//578
    "addAction",	//579
    "addAction$",	//580
    "addAction$#",	//581
    "addAction$#$",	//582
    "addApplet",	//583
    "addApplet#",	//584
    "addApplet##",	//585
    "addApplet##$",	//586
    "addApplet$",	//587
    "addApplet$?",	//588
    "addApplet$?#",	//589
    "addAssociatedWidget",	//590
    "addAssociatedWidget#",	//591
    "addContainment",	//592
    "addContainment$",	//593
    "addContainment$?",	//594
    "addContainmentDelayed",	//595
    "addContainmentDelayed$",	//596
    "addContainmentDelayed$?",	//597
    "addDirectoryDefinition",	//598
    "addDirectoryDefinition$$$",	//599
    "addExampleQuery",	//600
    "addExampleQuery$",	//601
    "addFileDefinition",	//602
    "addFileDefinition$$$",	//603
    "addIconAction",	//604
    "addIconAction#",	//605
    "addItem",	//606
    "addItem$",	//607
    "addMatch",	//608
    "addMatch$#",	//609
    "addMatches",	//610
    "addMatches$?",	//611
    "addOffscreenWidget",	//612
    "addOffscreenWidget#",	//613
    "addPlot",	//614
    "addPlot#",	//615
    "addPlugin",	//616
    "addPlugin#$",	//617
    "addPlugin$$$",	//618
    "addResource",	//619
    "addResource$##",	//620
    "addSample",	//621
    "addSample?",	//622
    "addShortcuts",	//623
    "addShortcuts#",	//624
    "addSiblingContainment",	//625
    "addSiblingContainment#",	//626
    "addSource",	//627
    "addSource#",	//628
    "addStandardConfigurationPages",	//629
    "addStandardConfigurationPages#",	//630
    "addSyntax",	//631
    "addSyntax#",	//632
    "addTab",	//633
    "addTab#$",	//634
    "addTab#$#",	//635
    "addTab$",	//636
    "addTab$#",	//637
    "addTool",	//638
    "addTool#",	//639
    "addToolBoxAction",	//640
    "addToolBoxAction#",	//641
    "addUrls",	//642
    "addUrls?",	//643
    "advance",	//644
    "alignment",	//645
    "allowExternalPaths",	//646
    "allowedRunners",	//647
    "alphaMask",	//648
    "animatedHide",	//649
    "animatedHide$",	//650
    "animatedShow",	//651
    "animatedShow$",	//652
    "animationCurve",	//653
    "animationCurve$",	//654
    "animationDuration",	//655
    "animationDuration$",	//656
    "animationFinished",	//657
    "animationFinished#$",	//658
    "animationFps",	//659
    "animationFps$",	//660
    "animationPath",	//661
    "animationPath$",	//662
    "animationStep",	//663
    "animationStep$",	//664
    "appearance",	//665
    "appearanceChanged",	//666
    "append",	//667
    "append$",	//668
    "applet",	//669
    "appletAdded",	//670
    "appletAdded##",	//671
    "appletDestroyed",	//672
    "appletDestroyed#",	//673
    "appletMimeType",	//674
    "appletRemoved",	//675
    "appletRemoved#",	//676
    "appletTransformedByUser",	//677
    "appletTransformedItself",	//678
    "applets",	//679
    "application",	//680
    "aspectRatioMode",	//681
    "associateItem",	//682
    "associateItem#$",	//683
    "associateWidget",	//684
    "associateWidget#$",	//685
    "associatedApplication",	//686
    "associatedApplicationUrls",	//687
    "attachedItems",	//688
    "audioOutput",	//689
    "author",	//690
    "authorizationRequest",	//691
    "authorizationRequest#",	//692
    "autoExpireDelay",	//693
    "autoHide",	//694
    "autoRaise",	//695
    "autohide",	//696
    "availableScreenRegion",	//697
    "availableScreenRegion$",	//698
    "availableScreenRegionChanged",	//699
    "back",	//700
    "backgroundColor",	//701
    "backgroundHints",	//702
    "becameUnused",	//703
    "becameUnused$",	//704
    "bigLock",	//705
    "bindTexture",	//706
    "bindTexture#",	//707
    "bindTexture#$",	//708
    "boundingRect",	//709
    "cacheAllRenderedFrames",	//710
    "calculateNiceRange",	//711
    "category",	//712
    "category#",	//713
    "category$",	//714
    "changeEvent",	//715
    "changeEvent#",	//716
    "changed",	//717
    "changed#",	//718
    "checkForUpdate",	//719
    "checkUsage",	//720
    "childEvent",	//721
    "clear",	//722
    "clearActions",	//723
    "clearApplets",	//724
    "clearCache",	//725
    "clearContainments",	//726
    "clearContent",	//727
    "clearContent#",	//728
    "click",	//729
    "clickMessage",	//730
    "clicked",	//731
    "clicked$",	//732
    "clientPinRequest",	//733
    "clientPinRequest#",	//734
    "closeEvent",	//735
    "closeToolBox",	//736
    "collapseGroup",	//737
    "collidesWithItem",	//738
    "collidesWithPath",	//739
    "color",	//740
    "color$",	//741
    "colorScheme",	//742
    "config",	//743
    "config$",	//744
    "configChanged",	//745
    "configNeedsSaving",	//746
    "configScheme",	//747
    "configSynced",	//748
    "configurationAccepted",	//749
    "configurationRequired",	//750
    "configurationRequired$",	//751
    "configureRequested",	//752
    "configureRequested#",	//753
    "connectAllSources",	//754
    "connectAllSources#",	//755
    "connectAllSources#$",	//756
    "connectAllSources#$$",	//757
    "connectNotify",	//758
    "connectSource",	//759
    "connectSource$#",	//760
    "connectSource$#$",	//761
    "connectSource$#$$",	//762
    "connectVisualization",	//763
    "connectVisualization#$$",	//764
    "constraintsEvent",	//765
    "constraintsEvent$",	//766
    "containerDict",	//767
    "containerForSource",	//768
    "containerForSource$",	//769
    "containment",	//770
    "containmentActions",	//771
    "containmentActions$",	//772
    "containmentActionsConfig",	//773
    "containmentActionsDefaults",	//774
    "containmentActionsDefaults$",	//775
    "containmentActionsTriggers",	//776
    "containmentAdded",	//777
    "containmentAdded#",	//778
    "containmentForScreen",	//779
    "containmentForScreen$",	//780
    "containmentForScreen$$",	//781
    "containmentForScreen$$$",	//782
    "containmentForScreen$$$?",	//783
    "containmentType",	//784
    "containments",	//785
    "contains",	//786
    "containsMultipleImages",	//787
    "contentsHash",	//788
    "contentsPrefix",	//789
    "contentsPrefixPaths",	//790
    "contentsRect",	//791
    "contentsSize",	//792
    "context",	//793
    "contextActions",	//794
    "contextChanged",	//795
    "contextChanged#",	//796
    "contextEvent",	//797
    "contextEvent#",	//798
    "contextMenuEvent",	//799
    "contextMenuEvent#",	//800
    "contextualActions",	//801
    "controlsVisible",	//802
    "corona",	//803
    "count",	//804
    "create",	//805
    "create$",	//806
    "create$#",	//807
    "createActivity",	//808
    "createActivity$",	//809
    "createConfigurationInterface",	//810
    "createConfigurationInterface#",	//811
    "createDefaultService",	//812
    "createDefaultService#",	//813
    "createEditor",	//814
    "createJob",	//815
    "createJob$?",	//816
    "createNewWidgetBrowser",	//817
    "createNewWidgetBrowser#",	//818
    "createPackage",	//819
    "createPackage#$$",	//820
    "createPackage#$$$",	//821
    "createRunOptions",	//822
    "createRunOptions#",	//823
    "currentActivity",	//824
    "currentActivityId",	//825
    "currentChanged",	//826
    "currentChanged$",	//827
    "currentIndex",	//828
    "currentIndexChanged",	//829
    "currentIndexChanged$",	//830
    "currentPixmap",	//831
    "currentPixmap$",	//832
    "currentThemeHasImage",	//833
    "currentThemeHasImage$",	//834
    "currentTime",	//835
    "customAnimation",	//836
    "customAnimation$$$#$",	//837
    "customAnimationFinished",	//838
    "customAnimationFinished$",	//839
    "customCategories",	//840
    "customEvent",	//841
    "darkColor",	//842
    "data",	//843
    "dataEngine",	//844
    "dataEngine$",	//845
    "dataUpdated",	//846
    "dataUpdated$?",	//847
    "defaultContainmentPlugin",	//848
    "defaultPackageRoot",	//849
    "defaultSyntax",	//850
    "defaultTheme",	//851
    "deleteTexture",	//852
    "deleteTexture$",	//853
    "description",	//854
    "desktop",	//855
    "destination",	//856
    "destroy",	//857
    "destroy$",	//858
    "destroyed",	//859
    "destroyed#",	//860
    "detachedItems",	//861
    "devType",	//862
    "dialogManager",	//863
    "dialogResized",	//864
    "dialogVisible",	//865
    "dialogVisible$",	//866
    "directories",	//867
    "disassociateItem",	//868
    "disassociateItem#",	//869
    "disassociateWidget",	//870
    "disassociateWidget#",	//871
    "disconnectNotify",	//872
    "disconnectSource",	//873
    "disconnectSource$#",	//874
    "disconnectVisualization",	//875
    "disconnectVisualization#",	//876
    "doKill",	//877
    "doResume",	//878
    "doSuspend",	//879
    "doubleClicked",	//880
    "dragEnterEvent",	//881
    "dragEnterEvent#",	//882
    "dragLeaveEvent",	//883
    "dragLeaveEvent#",	//884
    "dragMoveEvent",	//885
    "dragMoveEvent#",	//886
    "dragToScroll",	//887
    "drawActionButtonBase",	//888
    "drawActionButtonBase##$",	//889
    "drawAxisText",	//890
    "drawAxisText#$$",	//891
    "drawBackground",	//892
    "drawBackground#$$",	//893
    "drawForeground",	//894
    "drawHorizontalLines",	//895
    "drawHorizontalLines#$$$",	//896
    "drawItems",	//897
    "drawPlots",	//898
    "drawPlots#$$$$",	//899
    "drawThinFrame",	//900
    "drawThinFrame#$$",	//901
    "drawTopBarContents",	//902
    "drawTopBarContents#$$$",	//903
    "drawTopBarFrame",	//904
    "drawTopBarFrame#$$",	//905
    "drawVerticalLines",	//906
    "drawVerticalLines#$$$",	//907
    "drawWallpaper",	//908
    "drawWidget",	//909
    "drawWidget#$$$",	//910
    "dropEvent",	//911
    "dropEvent#",	//912
    "duration",	//913
    "easingCurve",	//914
    "editingFinished",	//915
    "editorEvent",	//916
    "effectiveDesktop",	//917
    "elementAnimationCurve",	//918
    "elementAnimationCurve$",	//919
    "elementAnimationDuration",	//920
    "elementAnimationDuration$",	//921
    "elementAnimationFinished",	//922
    "elementAnimationFinished$",	//923
    "elementAnimationFps",	//924
    "elementAnimationFps$",	//925
    "elementAppear",	//926
    "elementAppear$#",	//927
    "elementAtPoint",	//928
    "elementAtPoint#",	//929
    "elementDisappear",	//930
    "elementDisappear$#",	//931
    "elementID",	//932
    "elementRect",	//933
    "elementRect$",	//934
    "elementSize",	//935
    "elementSize$",	//936
    "email",	//937
    "emptyExtenderMessage",	//938
    "emptyRect",	//939
    "emptyRect##",	//940
    "enableAction",	//941
    "enableAction$$",	//942
    "enabledBorders",	//943
    "enabledBordersForItem",	//944
    "enabledBordersForItem#",	//945
    "enabledChange",	//946
    "engine",	//947
    "engine$",	//948
    "ensureItemVisible",	//949
    "ensureItemVisible#",	//950
    "ensureRectVisible",	//951
    "ensureRectVisible#",	//952
    "enterEvent",	//953
    "entryList",	//954
    "entryList$",	//955
    "errorString",	//956
    "event",	//957
    "event#",	//958
    "eventFilter",	//959
    "eventFilter##",	//960
    "eventToString",	//961
    "eventToString#",	//962
    "exampleQueries",	//963
    "exampleQueriesWithTermDescription",	//964
    "execQuery",	//965
    "execQuery$",	//966
    "execQuery$$",	//967
    "expandGroup",	//968
    "exportLayout",	//969
    "exportLayout#?",	//970
    "extender",	//971
    "extenderItemRestored",	//972
    "extenderItemRestored#",	//973
    "extension",	//974
    "fadeIn",	//975
    "fadeOut",	//976
    "filePath",	//977
    "filePath$",	//978
    "filePath$$",	//979
    "files",	//980
    "findInCache",	//981
    "findInCache$#",	//982
    "findInCache$#$",	//983
    "findInRectsCache",	//984
    "findInRectsCache$$#",	//985
    "findItem",	//986
    "findItem$$",	//987
    "findItemByName",	//988
    "findItemByName$",	//989
    "finished",	//990
    "finished#",	//991
    "firstPositionWidget",	//992
    "flash",	//993
    "flash#",	//994
    "flash#$",	//995
    "flash#$$",	//996
    "flash$",	//997
    "flash$$",	//998
    "flash$$#",	//999
    "flushPendingConstraintsEvents",	//1000
    "focusChanged",	//1001
    "focusChanged$",	//1002
    "focusInEvent",	//1003
    "focusInEvent#",	//1004
    "focusNextApplet",	//1005
    "focusNextPrevChild",	//1006
    "focusOutEvent",	//1007
    "focusOutEvent#",	//1008
    "focusPreviousApplet",	//1009
    "font",	//1010
    "font$",	//1011
    "fontChange",	//1012
    "fontColor",	//1013
    "fontMetrics",	//1014
    "forceImmediateUpdate",	//1015
    "forceImmediateUpdateOfAllVisualizations",	//1016
    "formFactor",	//1017
    "forward",	//1018
    "framePixmap",	//1019
    "frameShadow",	//1020
    "frameSize",	//1021
    "freeEdges",	//1022
    "freeEdges$",	//1023
    "geometry",	//1024
    "geometryChanged",	//1025
    "getContentsMargins",	//1026
    "getDataEngine",	//1027
    "getMargins",	//1028
    "getMargins$$$$",	//1029
    "getMinimumResizeLimits",	//1030
    "getMinimumResizeLimits$$$$",	//1031
    "getSnapshotImage",	//1032
    "getSnapshotImage$$",	//1033
    "globalConfig",	//1034
    "globalShortcut",	//1035
    "grabKeyboardEvent",	//1036
    "grabMouseEvent",	//1037
    "graphicsWidget",	//1038
    "group",	//1039
    "group$",	//1040
    "groupList",	//1041
    "groups",	//1042
    "hasAuthorization",	//1043
    "hasAuthorization$",	//1044
    "hasConfigurationInterface",	//1045
    "hasElement",	//1046
    "hasElement$",	//1047
    "hasElementPrefix",	//1048
    "hasElementPrefix$",	//1049
    "hasFailedToLaunch",	//1050
    "hasGroup",	//1051
    "hasGroup$",	//1052
    "hasItem",	//1053
    "hasItem$",	//1054
    "hasOverShoot",	//1055
    "hasRunOptions",	//1056
    "hasScaledContents",	//1057
    "hasValidAssociatedApplication",	//1058
    "heightForWidth",	//1059
    "helpEvent",	//1060
    "hide",	//1061
    "hide#",	//1062
    "hideCloseButton",	//1063
    "hideEvent",	//1064
    "hideEvent#",	//1065
    "hidePopup",	//1066
    "highlightWindows",	//1067
    "homepage",	//1068
    "horizontalLinesColor",	//1069
    "horizontalLinesCount",	//1070
    "horizontalScale",	//1071
    "horizontalScrollBarPolicy",	//1072
    "hoverEnterEvent",	//1073
    "hoverEnterEvent#",	//1074
    "hoverLeaveEvent",	//1075
    "hoverLeaveEvent#",	//1076
    "hoverMoveEvent",	//1077
    "hoverMoveEvent#",	//1078
    "html",	//1079
    "icon",	//1080
    "iconSize",	//1081
    "id",	//1082
    "ignoredTypes",	//1083
    "image",	//1084
    "imagePath",	//1085
    "imagePath$",	//1086
    "immutability",	//1087
    "immutabilityChanged",	//1088
    "immutabilityChanged$",	//1089
    "implementationApi",	//1090
    "importLayout",	//1091
    "importLayout#",	//1092
    "inControlArea",	//1093
    "inControlArea#",	//1094
    "infoText",	//1095
    "init",	//1096
    "init#",	//1097
    "initExtenderItem",	//1098
    "initExtenderItem#",	//1099
    "initStyleOption",	//1100
    "initWallpaper",	//1101
    "initWallpaper#",	//1102
    "initializeLayout",	//1103
    "initializeLayout$",	//1104
    "inputMethodEvent",	//1105
    "inputMethodQuery",	//1106
    "insertIntoCache",	//1107
    "insertIntoCache$#",	//1108
    "insertIntoCache$#$",	//1109
    "insertIntoRectsCache",	//1110
    "insertIntoRectsCache$$#",	//1111
    "insertTab",	//1112
    "insertTab$#$",	//1113
    "insertTab$#$#",	//1114
    "insertTab$$",	//1115
    "insertTab$$#",	//1116
    "installPackage",	//1117
    "installPackage$$",	//1118
    "installPackage$$$",	//1119
    "invalidateRectsCache",	//1120
    "invalidateRectsCache$",	//1121
    "invertLayout",	//1122
    "invertLayout$",	//1123
    "invertedLayout",	//1124
    "isAnimating",	//1125
    "isAutoCollapse",	//1126
    "isBusy",	//1127
    "isCheckable",	//1128
    "isChecked",	//1129
    "isClearButtonShown",	//1130
    "isClickable",	//1131
    "isCollapsed",	//1132
    "isContainment",	//1133
    "isDetached",	//1134
    "isDown",	//1135
    "isEmpty",	//1136
    "isEnabled",	//1137
    "isGroup",	//1138
    "isGroupCollapsed",	//1139
    "isIconified",	//1140
    "isInitialized",	//1141
    "isInstantPopup",	//1142
    "isMatchingSuspended",	//1143
    "isObscuredBy",	//1144
    "isOperationEnabled",	//1145
    "isOperationEnabled$",	//1146
    "isPassivePopup",	//1147
    "isPluginVersionCompatible",	//1148
    "isPluginVersionCompatible$",	//1149
    "isPopupShowing",	//1150
    "isPreviewing",	//1151
    "isPublished",	//1152
    "isReadOnly",	//1153
    "isRegisteredAsDragHandle",	//1154
    "isRegisteredAsDragHandle#",	//1155
    "isRequired",	//1156
    "isRequired$",	//1157
    "isRunning",	//1158
    "isShowing",	//1159
    "isStorageEnabled",	//1160
    "isTabBarShown",	//1161
    "isTabHighlighted",	//1162
    "isTabHighlighted$",	//1163
    "isToolBoxOpen",	//1164
    "isTransient",	//1165
    "isUserConfiguring",	//1166
    "isUserResizing",	//1167
    "isUsingRenderingCache",	//1168
    "isValid",	//1169
    "isVisible",	//1170
    "isVisible#",	//1171
    "isWallpaperEnabled",	//1172
    "item",	//1173
    "item$",	//1174
    "itemActivated",	//1175
    "itemActivated$#",	//1176
    "itemAddedEvent",	//1177
    "itemAddedEvent#",	//1178
    "itemAddedEvent##",	//1179
    "itemAppear",	//1180
    "itemAppear$#",	//1181
    "itemAttached",	//1182
    "itemAttached#",	//1183
    "itemChange",	//1184
    "itemChange$#",	//1185
    "itemDetached",	//1186
    "itemDetached#",	//1187
    "itemDisappear",	//1188
    "itemDisappear$#",	//1189
    "itemHoverEnterEvent",	//1190
    "itemHoverEnterEvent#",	//1191
    "itemHoverLeaveEvent",	//1192
    "itemHoverLeaveEvent#",	//1193
    "itemHoverMoveEvent",	//1194
    "itemHoverMoveEvent##",	//1195
    "itemRemovedEvent",	//1196
    "itemRemovedEvent#",	//1197
    "itemSlideIn",	//1198
    "itemSlideIn$###",	//1199
    "itemSlideOut",	//1200
    "itemSlideOut$###",	//1201
    "items",	//1202
    "keyPressEvent",	//1203
    "keyPressEvent#",	//1204
    "keyReleaseEvent",	//1205
    "keyReleaseEvent#",	//1206
    "keywords",	//1207
    "kill",	//1208
    "knownLanguages",	//1209
    "knownLanguages$",	//1210
    "label",	//1211
    "label$",	//1212
    "labelAlignment",	//1213
    "labelAlignment$",	//1214
    "labelColor",	//1215
    "labelColor$",	//1216
    "labelFont",	//1217
    "labelFont$",	//1218
    "labelRect",	//1219
    "labelRect$",	//1220
    "languageChange",	//1221
    "lastDesktop",	//1222
    "lastPositionWidget",	//1223
    "lastScreen",	//1224
    "lastValue",	//1225
    "lastValue$",	//1226
    "lastValueAsString",	//1227
    "lastValueAsString$",	//1228
    "launchQuery",	//1229
    "launchQuery$",	//1230
    "launchQuery$$",	//1231
    "layoutContainments",	//1232
    "leaveEvent",	//1233
    "license",	//1234
    "linkActivated",	//1235
    "linkActivated$",	//1236
    "linkActivated$$$#",	//1237
    "linkHovered",	//1238
    "linkHovered$",	//1239
    "listActivities",	//1240
    "listAllEngines",	//1241
    "listAllEngines$",	//1242
    "listAppletInfo",	//1243
    "listAppletInfo$",	//1244
    "listAppletInfo$$",	//1245
    "listAppletInfoForMimetype",	//1246
    "listAppletInfoForMimetype$",	//1247
    "listAppletInfoForUrl",	//1248
    "listAppletInfoForUrl#",	//1249
    "listCachedRectKeys",	//1250
    "listCachedRectKeys$",	//1251
    "listCategories",	//1252
    "listCategories$",	//1253
    "listCategories$$",	//1254
    "listContainmentActionsInfo",	//1255
    "listContainmentTypes",	//1256
    "listContainments",	//1257
    "listContainments$",	//1258
    "listContainments$$",	//1259
    "listContainmentsForMimetype",	//1260
    "listContainmentsForMimetype$",	//1261
    "listContainmentsOfType",	//1262
    "listContainmentsOfType$",	//1263
    "listContainmentsOfType$$",	//1264
    "listContainmentsOfType$$$",	//1265
    "listEngineInfo",	//1266
    "listEngineInfo$",	//1267
    "listEngineInfoByCategory",	//1268
    "listEngineInfoByCategory$",	//1269
    "listEngineInfoByCategory$$",	//1270
    "listInstalled",	//1271
    "listInstalled$",	//1272
    "listInstalledPaths",	//1273
    "listInstalledPaths$",	//1274
    "listRenderingModes",	//1275
    "listRunnerInfo",	//1276
    "listRunnerInfo$",	//1277
    "listThemeInfo",	//1278
    "listToolBoxInfo",	//1279
    "listToolBoxInfo$",	//1280
    "listWallpaperInfo",	//1281
    "listWallpaperInfo$",	//1282
    "listWallpaperInfoForMimetype",	//1283
    "listWallpaperInfoForMimetype$",	//1284
    "listWallpaperInfoForMimetype$$",	//1285
    "load",	//1286
    "load#",	//1287
    "load##",	//1288
    "load##?",	//1289
    "load#$",	//1290
    "load#$?",	//1291
    "load#?",	//1292
    "load$",	//1293
    "load$#",	//1294
    "load$$",	//1295
    "load$$?",	//1296
    "load$?",	//1297
    "load$?#",	//1298
    "loadAnimationFromPackage",	//1299
    "loadAnimationFromPackage$#",	//1300
    "loadDefaultLayout",	//1301
    "loadEngine",	//1302
    "loadEngine$",	//1303
    "loadFinished",	//1304
    "loadFinished$",	//1305
    "loadLayout",	//1306
    "loadLayout$",	//1307
    "loadPlasmoid",	//1308
    "loadPlasmoid$",	//1309
    "loadPlasmoid$$",	//1310
    "loadPlasmoid$$?",	//1311
    "loadProgress",	//1312
    "loadProgress$",	//1313
    "loadRunner",	//1314
    "loadRunner$",	//1315
    "loadRunner?",	//1316
    "loadScriptEngine",	//1317
    "loadScriptEngine$#",	//1318
    "location",	//1319
    "locationChanged",	//1320
    "locationChanged#",	//1321
    "locationToDirection",	//1322
    "locationToDirection$",	//1323
    "locationToInverseDirection",	//1324
    "locationToInverseDirection$",	//1325
    "lostContainment",	//1326
    "lower",	//1327
    "mainFrame",	//1328
    "mainScript",	//1329
    "mainText",	//1330
    "makeCurrent",	//1331
    "mapAnimation",	//1332
    "mapAnimation$$",	//1333
    "mapFromView",	//1334
    "mapFromView##",	//1335
    "mapToView",	//1336
    "mapToView##",	//1337
    "marginSize",	//1338
    "marginSize$",	//1339
    "mask",	//1340
    "match",	//1341
    "match#",	//1342
    "match$",	//1343
    "matchSessionComplete",	//1344
    "matches",	//1345
    "matchesChanged",	//1346
    "matchesChanged?",	//1347
    "matchingSuspended",	//1348
    "matchingSuspended$",	//1349
    "maxSourceCount",	//1350
    "maximum",	//1351
    "maximumIconSize",	//1352
    "mediaObject",	//1353
    "messageButtonPressed",	//1354
    "messageButtonPressed$",	//1355
    "metaObject",	//1356
    "metadata",	//1357
    "meterType",	//1358
    "metric",	//1359
    "mimeDataForMatch",	//1360
    "mimeDataForMatch#",	//1361
    "mimeDataForMatch$",	//1362
    "mimeType",	//1363
    "mimetypes",	//1364
    "mimetypes$",	//1365
    "minimum",	//1366
    "minimumIconSize",	//1367
    "minimumPollingInterval",	//1368
    "minimumSizeHint",	//1369
    "model",	//1370
    "mouseDoubleClickEvent",	//1371
    "mouseDoubleClickEvent#",	//1372
    "mouseMoveEvent",	//1373
    "mouseMoveEvent#",	//1374
    "mousePressEvent",	//1375
    "mousePressEvent#",	//1376
    "mouseReleaseEvent",	//1377
    "mouseReleaseEvent#",	//1378
    "moveEvent",	//1379
    "moveEvent#",	//1380
    "moveItem",	//1381
    "moveItem#$#",	//1382
    "movementAnimationCurve",	//1383
    "movementAnimationCurve$",	//1384
    "movementAnimationDuration",	//1385
    "movementAnimationDuration$",	//1386
    "movementAnimationFps",	//1387
    "movementAnimationFps$",	//1388
    "movementFinished",	//1389
    "movementFinished#",	//1390
    "name",	//1391
    "name$",	//1392
    "nativeWidget",	//1393
    "needsPreviewDuringConfiguration",	//1394
    "needsToBeStored",	//1395
    "newStatus",	//1396
    "newStatus$",	//1397
    "newWidgetBrowserFinished",	//1398
    "nextRequested",	//1399
    "numDisplayLines",	//1400
    "numScreens",	//1401
    "offscreenWidgets",	//1402
    "opaqueArea",	//1403
    "openToolBox",	//1404
    "operationDescription",	//1405
    "operationDescription$",	//1406
    "operationNames",	//1407
    "operationsChanged",	//1408
    "operator!=",	//1409
    "operator!=#",	//1410
    "operator<",	//1411
    "operator<#",	//1412
    "operator=",	//1413
    "operator=#",	//1414
    "operator==",	//1415
    "operator==#",	//1416
    "orientation",	//1417
    "overflowBordersVisible",	//1418
    "package",	//1419
    "packageStructure",	//1420
    "packageStructure#",	//1421
    "packageStructure$$",	//1422
    "page",	//1423
    "pageStep",	//1424
    "paint",	//1425
    "paint##",	//1426
    "paint###",	//1427
    "paint##$",	//1428
    "paint#$$",	//1429
    "paint#$$$",	//1430
    "paint#$$$$",	//1431
    "paint#$$$$$",	//1432
    "paintEngine",	//1433
    "paintEvent",	//1434
    "paintEvent#",	//1435
    "paintFrame",	//1436
    "paintFrame#",	//1437
    "paintFrame##",	//1438
    "paintFrame###",	//1439
    "paintGLInterface",	//1440
    "paintGLInterface##",	//1441
    "paintInterface",	//1442
    "paintInterface###",	//1443
    "paintWindowFrame",	//1444
    "paintWindowFrame###",	//1445
    "paletteChange",	//1446
    "parametersFromDescription",	//1447
    "parametersFromDescription#",	//1448
    "paste",	//1449
    "paste##",	//1450
    "path",	//1451
    "path$",	//1452
    "pathChanged",	//1453
    "pause",	//1454
    "performMatch",	//1455
    "performMatch#",	//1456
    "persistence",	//1457
    "pin",	//1458
    "pixmap",	//1459
    "pixmap$",	//1460
    "play",	//1461
    "plotColors",	//1462
    "pluginName",	//1463
    "policy",	//1464
    "polishEvent",	//1465
    "popupAlignment",	//1466
    "popupEvent",	//1467
    "popupEvent$",	//1468
    "popupIcon",	//1469
    "popupPlacement",	//1470
    "popupPosition",	//1471
    "popupPosition#",	//1472
    "popupPosition##",	//1473
    "popupPosition##$",	//1474
    "popupPosition#$",	//1475
    "preferredIconSize",	//1476
    "preferredToolBoxPlugin",	//1477
    "preferredToolBoxPlugin$",	//1478
    "prefix",	//1479
    "prepare",	//1480
    "pressed",	//1481
    "pressed$",	//1482
    "previousRequested",	//1483
    "priority",	//1484
    "property",	//1485
    "property$",	//1486
    "propertyChange",	//1487
    "publish",	//1488
    "publish$$",	//1489
    "qt_metacall",	//1490
    "qt_metacall$$?",	//1491
    "qt_metacast",	//1492
    "qt_metacast$",	//1493
    "query",	//1494
    "query$",	//1495
    "queryFinished",	//1496
    "raise",	//1497
    "read",	//1498
    "read#",	//1499
    "read$",	//1500
    "readConfig",	//1501
    "readyForRemoteAccess",	//1502
    "rectAfterSubTitle",	//1503
    "rectAfterSubTitle##",	//1504
    "rectAfterTitle",	//1505
    "rectAfterTitle##",	//1506
    "registerAsDragHandle",	//1507
    "registerAsDragHandle#",	//1508
    "registerOperationsScheme",	//1509
    "registerPackage",	//1510
    "registerPackage#$",	//1511
    "registerResources",	//1512
    "registerResources#",	//1513
    "registerScrollingManager",	//1514
    "registerScrollingManager#",	//1515
    "registerWidget",	//1516
    "registerWidget#",	//1517
    "releaseRectsCache",	//1518
    "releaseRectsCache$",	//1519
    "releaseVisualFocus",	//1520
    "released",	//1521
    "relevance",	//1522
    "reload",	//1523
    "reloadConfiguration",	//1524
    "remainingTime",	//1525
    "remoteAppletAnnounced",	//1526
    "remoteAppletAnnounced#",	//1527
    "remoteAppletUnannounced",	//1528
    "remoteAppletUnannounced#",	//1529
    "remoteApplets",	//1530
    "remoteLocation",	//1531
    "remove",	//1532
    "remove#",	//1533
    "removeAction",	//1534
    "removeAction$",	//1535
    "removeAllData",	//1536
    "removeAllData$",	//1537
    "removeAllSources",	//1538
    "removeAssociatedWidget",	//1539
    "removeAssociatedWidget#",	//1540
    "removeData",	//1541
    "removeData$$",	//1542
    "removeDefinition",	//1543
    "removeDefinition$",	//1544
    "removeIconAction",	//1545
    "removeIconAction#",	//1546
    "removeMatch",	//1547
    "removeMatch$",	//1548
    "removeMatches",	//1549
    "removeMatches#",	//1550
    "removeMatches?",	//1551
    "removeOffscreenWidget",	//1552
    "removeOffscreenWidget#",	//1553
    "removePlot",	//1554
    "removePlot$",	//1555
    "removeSource",	//1556
    "removeSource$",	//1557
    "removeTab",	//1558
    "removeTab$",	//1559
    "removeTool",	//1560
    "removeTool#",	//1561
    "removeToolBoxAction",	//1562
    "removeToolBoxAction#",	//1563
    "render",	//1564
    "render##",	//1565
    "render##$",	//1566
    "render##$#",	//1567
    "render$#",	//1568
    "render$#$",	//1569
    "render$#$#",	//1570
    "renderCompleted",	//1571
    "renderCompleted#",	//1572
    "renderHintsChanged",	//1573
    "renderingMode",	//1574
    "reorderPlots",	//1575
    "reorderPlots?",	//1576
    "repaintNeeded",	//1577
    "reposition",	//1578
    "requestConfigSync",	//1579
    "requireConfigSync",	//1580
    "requiredDataEngines",	//1581
    "requiredDirectories",	//1582
    "requiredFiles",	//1583
    "requiredVersion",	//1584
    "reset",	//1585
    "resize",	//1586
    "resize#",	//1587
    "resize$$",	//1588
    "resizeCorners",	//1589
    "resizeEvent",	//1590
    "resizeEvent#",	//1591
    "resizeFrame",	//1592
    "resizeFrame#",	//1593
    "resizeMethodHint",	//1594
    "restore",	//1595
    "restore#",	//1596
    "restoreContents",	//1597
    "restoreContents#",	//1598
    "returnPressed",	//1599
    "returnToSource",	//1600
    "roleMapping",	//1601
    "roleMapping$",	//1602
    "run",	//1603
    "run#",	//1604
    "run##",	//1605
    "run$",	//1606
    "runAssociatedApplication",	//1607
    "runner",	//1608
    "runner$",	//1609
    "runnerName",	//1610
    "runnerName$",	//1611
    "runners",	//1612
    "save",	//1613
    "save#",	//1614
    "saveContents",	//1615
    "saveContents#",	//1616
    "saveLayout",	//1617
    "saveLayout$",	//1618
    "saveState",	//1619
    "saveState#",	//1620
    "scale",	//1621
    "scale$",	//1622
    "scaledBy",	//1623
    "scalingFactor",	//1624
    "scalingFactor$",	//1625
    "sceneEvent",	//1626
    "sceneEventFilter",	//1627
    "sceneEventFilter##",	//1628
    "sceneRectAboutToChange",	//1629
    "sceneRectChanged",	//1630
    "scheduleSourcesUpdated",	//1631
    "screen",	//1632
    "screenChanged",	//1633
    "screenChanged$$#",	//1634
    "screenGeometry",	//1635
    "screenGeometry$",	//1636
    "screenOwnerChanged",	//1637
    "screenOwnerChanged$$#",	//1638
    "screenRect",	//1639
    "scrollContentsBy",	//1640
    "scrollPosition",	//1641
    "scrollStateChanged",	//1642
    "scrollStateChanged#$$",	//1643
    "scrollStateChanged$$",	//1644
    "searchContext",	//1645
    "searchPath",	//1646
    "searchPath$",	//1647
    "searchTermDescription",	//1648
    "seek",	//1649
    "seek$",	//1650
    "selectedAction",	//1651
    "self",	//1652
    "service",	//1653
    "serviceForSource",	//1654
    "serviceForSource$",	//1655
    "serviceName",	//1656
    "servicePrefix",	//1657
    "serviceQuery",	//1658
    "serviceQuery$",	//1659
    "serviceQuery$$",	//1660
    "serviceReady",	//1661
    "serviceReady#",	//1662
    "serviceType",	//1663
    "setAction",	//1664
    "setAction#",	//1665
    "setActivity",	//1666
    "setActivity$",	//1667
    "setAlignment",	//1668
    "setAlignment$",	//1669
    "setAllowExternalPaths",	//1670
    "setAllowExternalPaths$",	//1671
    "setAllowedRunners",	//1672
    "setAllowedRunners?",	//1673
    "setAppearance",	//1674
    "setAppearance$",	//1675
    "setApplet",	//1676
    "setApplet#",	//1677
    "setAppletMimeType",	//1678
    "setAppletMimeType$",	//1679
    "setApplication",	//1680
    "setApplication$",	//1681
    "setAspectRatioMode",	//1682
    "setAspectRatioMode$",	//1683
    "setAssociatedApplication",	//1684
    "setAssociatedApplication$",	//1685
    "setAssociatedApplicationUrls",	//1686
    "setAssociatedApplicationUrls?",	//1687
    "setAuthor",	//1688
    "setAuthor$",	//1689
    "setAuthorizationInterface",	//1690
    "setAuthorizationInterface#",	//1691
    "setAuthorizationPolicy",	//1692
    "setAuthorizationPolicy$",	//1693
    "setAutoCollapse",	//1694
    "setAutoCollapse$",	//1695
    "setAutoExpireDelay",	//1696
    "setAutoExpireDelay$",	//1697
    "setAutoHide",	//1698
    "setAutoHide$",	//1699
    "setAutoRaise",	//1700
    "setAutoRaise$",	//1701
    "setAutohide",	//1702
    "setAutohide$",	//1703
    "setBackgroundColor",	//1704
    "setBackgroundColor#",	//1705
    "setBackgroundHints",	//1706
    "setBackgroundHints$",	//1707
    "setBoundingRect",	//1708
    "setBoundingRect#",	//1709
    "setBusy",	//1710
    "setBusy$",	//1711
    "setCacheAllRenderedFrames",	//1712
    "setCacheAllRenderedFrames$",	//1713
    "setCacheLimit",	//1714
    "setCacheLimit$",	//1715
    "setCategory",	//1716
    "setCategory$",	//1717
    "setCheckable",	//1718
    "setCheckable$",	//1719
    "setChecked",	//1720
    "setChecked$",	//1721
    "setClearButtonShown",	//1722
    "setClearButtonShown$",	//1723
    "setClickMessage",	//1724
    "setClickMessage$",	//1725
    "setClickable",	//1726
    "setClickable$",	//1727
    "setCollapsed",	//1728
    "setCollapsed$",	//1729
    "setColor",	//1730
    "setColor#",	//1731
    "setConfigurationRequired",	//1732
    "setConfigurationRequired$",	//1733
    "setConfigurationRequired$$",	//1734
    "setContainment",	//1735
    "setContainment#",	//1736
    "setContainmentActions",	//1737
    "setContainmentActions$$",	//1738
    "setContainmentActionsDefaults",	//1739
    "setContainmentActionsDefaults$#",	//1740
    "setContainmentType",	//1741
    "setContainmentType$",	//1742
    "setContainsMultipleImages",	//1743
    "setContainsMultipleImages$",	//1744
    "setContent",	//1745
    "setContent##",	//1746
    "setContentsPrefix",	//1747
    "setContentsPrefix$",	//1748
    "setContentsPrefixPaths",	//1749
    "setContentsPrefixPaths?",	//1750
    "setContextActions",	//1751
    "setContextActions?",	//1752
    "setContextualActions",	//1753
    "setContextualActions?",	//1754
    "setControlsVisible",	//1755
    "setControlsVisible$",	//1756
    "setCurrentActivity",	//1757
    "setCurrentActivity$",	//1758
    "setCurrentActivityId",	//1759
    "setCurrentActivityId$",	//1760
    "setCurrentIndex",	//1761
    "setCurrentIndex$",	//1762
    "setCustomCategories",	//1763
    "setCustomCategories?",	//1764
    "setDarkColor",	//1765
    "setDarkColor#",	//1766
    "setData",	//1767
    "setData#",	//1768
    "setData$#",	//1769
    "setData$$#",	//1770
    "setData$?",	//1771
    "setDataEngine",	//1772
    "setDataEngine#",	//1773
    "setDefaultContainmentPlugin",	//1774
    "setDefaultContainmentPlugin$",	//1775
    "setDefaultMimetypes",	//1776
    "setDefaultMimetypes?",	//1777
    "setDefaultPackageRoot",	//1778
    "setDefaultPackageRoot$",	//1779
    "setDefaultService",	//1780
    "setDefaultService$",	//1781
    "setDefaultSyntax",	//1782
    "setDefaultSyntax#",	//1783
    "setDefaults",	//1784
    "setDescription",	//1785
    "setDescription$",	//1786
    "setDestination",	//1787
    "setDestination$",	//1788
    "setDialogManager",	//1789
    "setDialogManager#",	//1790
    "setDown",	//1791
    "setDown$",	//1792
    "setDragToScroll",	//1793
    "setDragToScroll$",	//1794
    "setDrawBackground",	//1795
    "setDrawBackground$",	//1796
    "setDrawWallpaper",	//1797
    "setDrawWallpaper$",	//1798
    "setDuration",	//1799
    "setDuration$",	//1800
    "setEasingCurve",	//1801
    "setEasingCurve#",	//1802
    "setEditorData",	//1803
    "setElementID",	//1804
    "setElementID$",	//1805
    "setElementPrefix",	//1806
    "setElementPrefix$",	//1807
    "setEmail",	//1808
    "setEmail$",	//1809
    "setEmptyExtenderMessage",	//1810
    "setEmptyExtenderMessage$",	//1811
    "setEnabled",	//1812
    "setEnabled$",	//1813
    "setEnabledBorders",	//1814
    "setEnabledBorders$",	//1815
    "setExtender",	//1816
    "setExtender#",	//1817
    "setExtender##",	//1818
    "setExtension",	//1819
    "setFailedToLaunch",	//1820
    "setFailedToLaunch$",	//1821
    "setFailedToLaunch$$",	//1822
    "setFirstPositionWidget",	//1823
    "setFirstPositionWidget#",	//1824
    "setFont",	//1825
    "setFont#",	//1826
    "setFont#$",	//1827
    "setFontColor",	//1828
    "setFontColor#",	//1829
    "setFormFactor",	//1830
    "setFormFactor$",	//1831
    "setFrameShadow",	//1832
    "setFrameShadow$",	//1833
    "setGeometry",	//1834
    "setGeometry#",	//1835
    "setGlobalShortcut",	//1836
    "setGlobalShortcut#",	//1837
    "setGraphicsWidget",	//1838
    "setGraphicsWidget#",	//1839
    "setGroup",	//1840
    "setGroup#",	//1841
    "setGroup##",	//1842
    "setGroupCollapsed",	//1843
    "setGroupCollapsed$",	//1844
    "setHasConfigurationInterface",	//1845
    "setHasConfigurationInterface$",	//1846
    "setHasRunOptions",	//1847
    "setHasRunOptions$",	//1848
    "setHighlightWindows",	//1849
    "setHighlightWindows$",	//1850
    "setHorizontalLinesColor",	//1851
    "setHorizontalLinesColor#",	//1852
    "setHorizontalLinesCount",	//1853
    "setHorizontalLinesCount$",	//1854
    "setHorizontalScale",	//1855
    "setHorizontalScale$",	//1856
    "setHorizontalScrollBarPolicy",	//1857
    "setHorizontalScrollBarPolicy$",	//1858
    "setHtml",	//1859
    "setHtml#",	//1860
    "setHtml##",	//1861
    "setHtml$",	//1862
    "setHtml$#",	//1863
    "setIcon",	//1864
    "setIcon#",	//1865
    "setIcon$",	//1866
    "setId",	//1867
    "setId$",	//1868
    "setIgnoredTypes",	//1869
    "setIgnoredTypes$",	//1870
    "setImage",	//1871
    "setImage#",	//1872
    "setImage$",	//1873
    "setImage$$",	//1874
    "setImagePath",	//1875
    "setImagePath$",	//1876
    "setImmutability",	//1877
    "setImmutability$",	//1878
    "setImplementationApi",	//1879
    "setImplementationApi$",	//1880
    "setInfoText",	//1881
    "setInfoText$",	//1882
    "setInitialPixmap",	//1883
    "setInitialPixmap$#",	//1884
    "setInstantPopup",	//1885
    "setInstantPopup$",	//1886
    "setKeywords",	//1887
    "setKeywords?",	//1888
    "setLabel",	//1889
    "setLabel$",	//1890
    "setLabel$$",	//1891
    "setLabelAlignment",	//1892
    "setLabelAlignment$$",	//1893
    "setLabelColor",	//1894
    "setLabelColor$#",	//1895
    "setLabelFont",	//1896
    "setLabelFont$#",	//1897
    "setLastPositionWidget",	//1898
    "setLastPositionWidget#",	//1899
    "setLicense",	//1900
    "setLicense$",	//1901
    "setLocation",	//1902
    "setLocation$",	//1903
    "setMainText",	//1904
    "setMainText$",	//1905
    "setMaxSourceCount",	//1906
    "setMaxSourceCount$",	//1907
    "setMaximum",	//1908
    "setMaximum$",	//1909
    "setMaximumIconSize",	//1910
    "setMaximumIconSize#",	//1911
    "setMeterType",	//1912
    "setMeterType$",	//1913
    "setMimetypes",	//1914
    "setMimetypes$?",	//1915
    "setMinimum",	//1916
    "setMinimum$",	//1917
    "setMinimumIconSize",	//1918
    "setMinimumIconSize#",	//1919
    "setMinimumPollingInterval",	//1920
    "setMinimumPollingInterval$",	//1921
    "setMinimumResizeLimits",	//1922
    "setMinimumResizeLimits$$$$",	//1923
    "setModel",	//1924
    "setModel#",	//1925
    "setModelData",	//1926
    "setName",	//1927
    "setName$",	//1928
    "setNativeWidget",	//1929
    "setNativeWidget#",	//1930
    "setNeedsToBeStored",	//1931
    "setNeedsToBeStored$",	//1932
    "setNeedsUpdate",	//1933
    "setNeedsUpdate$",	//1934
    "setNumDisplayLines",	//1935
    "setNumDisplayLines$",	//1936
    "setOperationEnabled",	//1937
    "setOperationEnabled$$",	//1938
    "setOperationsScheme",	//1939
    "setOperationsScheme#",	//1940
    "setOrientation",	//1941
    "setOrientation$",	//1942
    "setOverShoot",	//1943
    "setOverShoot$",	//1944
    "setOverflowBordersVisible",	//1945
    "setOverflowBordersVisible$",	//1946
    "setPage",	//1947
    "setPage#",	//1948
    "setPageStep",	//1949
    "setPageStep$",	//1950
    "setPassivePopup",	//1951
    "setPassivePopup$",	//1952
    "setPath",	//1953
    "setPath$",	//1954
    "setPersistence",	//1955
    "setPersistence$",	//1956
    "setPin",	//1957
    "setPin$",	//1958
    "setPluginName",	//1959
    "setPluginName$",	//1960
    "setPolicy",	//1961
    "setPolicy$",	//1962
    "setPollingInterval",	//1963
    "setPollingInterval$",	//1964
    "setPopupAlignment",	//1965
    "setPopupAlignment$",	//1966
    "setPopupIcon",	//1967
    "setPopupIcon#",	//1968
    "setPopupIcon$",	//1969
    "setPreferredIconSize",	//1970
    "setPreferredIconSize#",	//1971
    "setPreferredToolBoxPlugin",	//1972
    "setPreferredToolBoxPlugin$$",	//1973
    "setPressed",	//1974
    "setPressed$",	//1975
    "setPreviewDuringConfiguration",	//1976
    "setPreviewDuringConfiguration$",	//1977
    "setPreviewing",	//1978
    "setPreviewing$",	//1979
    "setPriority",	//1980
    "setPriority$",	//1981
    "setQuery",	//1982
    "setQuery$",	//1983
    "setRange",	//1984
    "setRange$$",	//1985
    "setReadOnly",	//1986
    "setReadOnly$",	//1987
    "setRelevance",	//1988
    "setRelevance$",	//1989
    "setRemoteLocation",	//1990
    "setRemoteLocation#",	//1991
    "setRenderingMode",	//1992
    "setRenderingMode$",	//1993
    "setRequired",	//1994
    "setRequired$$",	//1995
    "setRequiredDataEngines",	//1996
    "setRequiredDataEngines?",	//1997
    "setRequiredVersion",	//1998
    "setRequiredVersion$",	//1999
    "setResizeHandleCorners",	//2000
    "setResizeHandleCorners$",	//2001
    "setResizeMethodHint",	//2002
    "setResizeMethodHint$",	//2003
    "setRoleMapping",	//2004
    "setRoleMapping$$",	//2005
    "setRunner",	//2006
    "setRunner#",	//2007
    "setRunning",	//2008
    "setRunning$",	//2009
    "setScaledContents",	//2010
    "setScaledContents$",	//2011
    "setScreen",	//2012
    "setScreen$",	//2013
    "setScreen$$",	//2014
    "setScrollPosition",	//2015
    "setScrollPosition#",	//2016
    "setSearchTermDescription",	//2017
    "setSearchTermDescription$",	//2018
    "setSelectedAction",	//2019
    "setSelectedAction#",	//2020
    "setServicePrefix",	//2021
    "setServicePrefix$",	//2022
    "setServiceType",	//2023
    "setServiceType$",	//2024
    "setShowHorizontalLines",	//2025
    "setShowHorizontalLines$",	//2026
    "setShowLabels",	//2027
    "setShowLabels$",	//2028
    "setShowTopBar",	//2029
    "setShowTopBar$",	//2030
    "setShowVerticalLines",	//2031
    "setShowVerticalLines$",	//2032
    "setShowing",	//2033
    "setShowing$",	//2034
    "setSingleMode",	//2035
    "setSingleMode$",	//2036
    "setSingleModeRunnerId",	//2037
    "setSingleModeRunnerId$",	//2038
    "setSingleRunnerQueryMode",	//2039
    "setSingleRunnerQueryMode$",	//2040
    "setSingleStep",	//2041
    "setSingleStep$",	//2042
    "setSnapSize",	//2043
    "setSnapSize#",	//2044
    "setSpeed",	//2045
    "setSpeed$",	//2046
    "setStackPlots",	//2047
    "setStackPlots$",	//2048
    "setState",	//2049
    "setState$",	//2050
    "setStatus",	//2051
    "setStatus$",	//2052
    "setStorageEnabled",	//2053
    "setStorageEnabled$",	//2054
    "setStorageEnabled$$",	//2055
    "setStyleSheet",	//2056
    "setStyleSheet$",	//2057
    "setSubText",	//2058
    "setSubText$",	//2059
    "setSubtext",	//2060
    "setSubtext$",	//2061
    "setSvg",	//2062
    "setSvg#",	//2063
    "setSvg$",	//2064
    "setSvg$$",	//2065
    "setSvgBackground",	//2066
    "setSvgBackground$",	//2067
    "setSyntaxes",	//2068
    "setSyntaxes?",	//2069
    "setTabBarShown",	//2070
    "setTabBarShown$",	//2071
    "setTabHighlighted",	//2072
    "setTabHighlighted$$",	//2073
    "setTabIcon",	//2074
    "setTabIcon$#",	//2075
    "setTabText",	//2076
    "setTabText$$",	//2077
    "setTarget",	//2078
    "setTarget#",	//2079
    "setTargetItem",	//2080
    "setTargetItem#",	//2081
    "setTargetSizeHint",	//2082
    "setTargetSizeHint#",	//2083
    "setTargetWidget",	//2084
    "setTargetWidget#",	//2085
    "setTargets",	//2086
    "setTargets$",	//2087
    "setText",	//2088
    "setText$",	//2089
    "setTextBackgroundColor",	//2090
    "setTextBackgroundColor#",	//2091
    "setTextSelectable",	//2092
    "setTextSelectable$",	//2093
    "setTheme",	//2094
    "setTheme#",	//2095
    "setThemeName",	//2096
    "setThemeName$",	//2097
    "setThinFrame",	//2098
    "setThinFrame$",	//2099
    "setTickInterval",	//2100
    "setTickInterval$",	//2101
    "setTitle",	//2102
    "setTitle$",	//2103
    "setToolBox",	//2104
    "setToolBox#",	//2105
    "setToolBoxOpen",	//2106
    "setToolBoxOpen$",	//2107
    "setTrackContainmentChanges",	//2108
    "setTrackContainmentChanges$",	//2109
    "setTransient",	//2110
    "setTransient$",	//2111
    "setType",	//2112
    "setType$",	//2113
    "setUnit",	//2114
    "setUnit$",	//2115
    "setUnpressed",	//2116
    "setUrl",	//2117
    "setUrl#",	//2118
    "setUrl$",	//2119
    "setUrls",	//2120
    "setUrls?",	//2121
    "setUseAutoRange",	//2122
    "setUseAutoRange$",	//2123
    "setUseGlobalSettings",	//2124
    "setUseGlobalSettings$",	//2125
    "setUsedControls",	//2126
    "setUsedControls$",	//2127
    "setUsingRenderingCache",	//2128
    "setUsingRenderingCache$",	//2129
    "setValid",	//2130
    "setValid$",	//2131
    "setValue",	//2132
    "setValue$",	//2133
    "setVersion",	//2134
    "setVersion$",	//2135
    "setVerticalLinesColor",	//2136
    "setVerticalLinesColor#",	//2137
    "setVerticalLinesDistance",	//2138
    "setVerticalLinesDistance$",	//2139
    "setVerticalLinesScroll",	//2140
    "setVerticalLinesScroll$",	//2141
    "setVerticalRange",	//2142
    "setVerticalRange$$",	//2143
    "setVerticalScrollBarPolicy",	//2144
    "setVerticalScrollBarPolicy$",	//2145
    "setView",	//2146
    "setView#",	//2147
    "setVisible",	//2148
    "setWallpaper",	//2149
    "setWallpaper#",	//2150
    "setWallpaper$",	//2151
    "setWallpaper$$",	//2152
    "setWallpaperEnabled",	//2153
    "setWallpaperEnabled$",	//2154
    "setWebsite",	//2155
    "setWebsite$",	//2156
    "setWidget",	//2157
    "setWidget#",	//2158
    "setWindowToPreview",	//2159
    "setWindowToPreview$",	//2160
    "setWindowsToPreview",	//2161
    "setWindowsToPreview?",	//2162
    "setWordWrap",	//2163
    "setWordWrap$",	//2164
    "setZoomFactor",	//2165
    "setZoomFactor$",	//2166
    "settingsChanged",	//2167
    "setupMatchSession",	//2168
    "shape",	//2169
    "shortcutsChanged",	//2170
    "shouldConserveResources",	//2171
    "show",	//2172
    "show#",	//2173
    "showAddWidgetsInterface",	//2174
    "showAddWidgetsInterface#",	//2175
    "showCloseButton",	//2176
    "showConfigurationInterface",	//2177
    "showConfigurationInterface#",	//2178
    "showContextMenu",	//2179
    "showContextMenu##",	//2180
    "showDialog",	//2181
    "showDialog##",	//2182
    "showDropZone",	//2183
    "showDropZone#",	//2184
    "showEvent",	//2185
    "showEvent#",	//2186
    "showHorizontalLines",	//2187
    "showLabels",	//2188
    "showMessage",	//2189
    "showMessage#$$",	//2190
    "showPopup",	//2191
    "showPopup$",	//2192
    "showToolTip",	//2193
    "showTopBar",	//2194
    "showVerticalLines",	//2195
    "singleMode",	//2196
    "singleModeAdvertisedRunnerIds",	//2197
    "singleModeRunner",	//2198
    "singleModeRunnerId",	//2199
    "singleRunnerQueryMode",	//2200
    "singleStep",	//2201
    "size",	//2202
    "sizeChanged",	//2203
    "sizeFromIconSize",	//2204
    "sizeFromIconSize$",	//2205
    "sizeHint",	//2206
    "sizeHint##",	//2207
    "sizeHint$",	//2208
    "sizeHint$#",	//2209
    "sizeHintChanged",	//2210
    "sizeHintChanged$",	//2211
    "sliderMoved",	//2212
    "sliderMoved$",	//2213
    "snapSize",	//2214
    "sourceAdded",	//2215
    "sourceAdded$",	//2216
    "sourceRemoved",	//2217
    "sourceRemoved$",	//2218
    "sourceRequestEvent",	//2219
    "sourceRequestEvent$",	//2220
    "sources",	//2221
    "speed",	//2222
    "stackPlots",	//2223
    "standardConfigurationDialog",	//2224
    "start",	//2225
    "startOperationCall",	//2226
    "startOperationCall#",	//2227
    "startOperationCall##",	//2228
    "startupArguments",	//2229
    "state",	//2230
    "staticMetaObject",	//2231
    "status",	//2232
    "stop",	//2233
    "stopCustomAnimation",	//2234
    "stopCustomAnimation$",	//2235
    "stopElementAnimation",	//2236
    "stopElementAnimation$",	//2237
    "stopItemAnimation",	//2238
    "stopItemAnimation$",	//2239
    "stopItemMovement",	//2240
    "stopItemMovement$",	//2241
    "structure",	//2242
    "styleChange",	//2243
    "styleSheet",	//2244
    "styleSheet$",	//2245
    "subText",	//2246
    "subtext",	//2247
    "supportedProtocols",	//2248
    "supportsExtension",	//2249
    "supportsMimetype",	//2250
    "supportsMimetype$",	//2251
    "suspendMatching",	//2252
    "suspendMatching$",	//2253
    "svg",	//2254
    "svgBackground",	//2255
    "swapContainment",	//2256
    "swapContainment#$",	//2257
    "swapContainment#$?",	//2258
    "swapContainment$",	//2259
    "swapContainment$?",	//2260
    "syncToGraphicsWidget",	//2261
    "syntaxes",	//2262
    "tabAt",	//2263
    "tabAt$",	//2264
    "tabIcon",	//2265
    "tabIcon$",	//2266
    "tabText",	//2267
    "tabText$",	//2268
    "tabletEvent",	//2269
    "takeTab",	//2270
    "takeTab$",	//2271
    "target",	//2272
    "targetItem",	//2273
    "targetItemReached",	//2274
    "targetItemReached#",	//2275
    "targetReached",	//2276
    "targetReached#",	//2277
    "targetSizeHint",	//2278
    "targetWidget",	//2279
    "targets",	//2280
    "teardown",	//2281
    "text",	//2282
    "textBackgroundColor",	//2283
    "textChanged",	//2284
    "textChanged$",	//2285
    "textEdited",	//2286
    "textEdited$",	//2287
    "textSelectable",	//2288
    "theme",	//2289
    "themeChanged",	//2290
    "themeName",	//2291
    "thinFrame",	//2292
    "tick",	//2293
    "tick$",	//2294
    "tickInterval",	//2295
    "timeSinceLastUpdate",	//2296
    "timerEvent",	//2297
    "timerEvent#",	//2298
    "title",	//2299
    "togglePopup",	//2300
    "toggled",	//2301
    "toggled$",	//2302
    "toolBox",	//2303
    "toolBoxItem",	//2304
    "toolBoxToggled",	//2305
    "toolBoxVisibilityChanged",	//2306
    "toolBoxVisibilityChanged$",	//2307
    "toolTipDelay",	//2308
    "topLevelViewAt",	//2309
    "topLevelViewAt#",	//2310
    "totalTime",	//2311
    "tr",	//2312
    "tr$",	//2313
    "tr$$",	//2314
    "tr$$$",	//2315
    "trUtf8",	//2316
    "trUtf8$",	//2317
    "trUtf8$$",	//2318
    "trUtf8$$$",	//2319
    "trackContainmentChanges",	//2320
    "type",	//2321
    "ungrabKeyboardEvent",	//2322
    "ungrabMouseEvent",	//2323
    "uninstallPackage",	//2324
    "uninstallPackage$$",	//2325
    "uninstallPackage$$$",	//2326
    "unit",	//2327
    "unloadEngine",	//2328
    "unloadEngine$",	//2329
    "unpublish",	//2330
    "unregisterAsDragHandle",	//2331
    "unregisterAsDragHandle#",	//2332
    "unregisterScrollingManager",	//2333
    "unregisterScrollingManager#",	//2334
    "unregisterWidget",	//2335
    "unregisterWidget#",	//2336
    "update",	//2337
    "update#",	//2338
    "updateAllSources",	//2339
    "updateConstraints",	//2340
    "updateConstraints$",	//2341
    "updateCurrentTime",	//2342
    "updateCurrentTime$",	//2343
    "updateDataBuffers",	//2344
    "updateDirection",	//2345
    "updateEditorGeometry",	//2346
    "updateGeometry",	//2347
    "updateRequested",	//2348
    "updateRequested#",	//2349
    "updateShortcuts",	//2350
    "updateSourceEvent",	//2351
    "updateSourceEvent$",	//2352
    "updateState",	//2353
    "url",	//2354
    "urlChanged",	//2355
    "urlChanged#",	//2356
    "urlDropped",	//2357
    "urlDropped#",	//2358
    "useAutoRange",	//2359
    "useDefaults",	//2360
    "useGlobalSettings",	//2361
    "useNativeWidgetStyle",	//2362
    "usedControls",	//2363
    "usrReadConfig",	//2364
    "usrSetDefaults",	//2365
    "usrUseDefaults",	//2366
    "usrWriteConfig",	//2367
    "value",	//2368
    "valueChanged",	//2369
    "valueChanged$",	//2370
    "version",	//2371
    "versionMajor",	//2372
    "versionMinor",	//2373
    "versionRelease",	//2374
    "versionString",	//2375
    "verticalLinesColor",	//2376
    "verticalLinesDistance",	//2377
    "verticalLinesScroll",	//2378
    "verticalMaxValue",	//2379
    "verticalMinValue",	//2380
    "verticalScrollBarPolicy",	//2381
    "view",	//2382
    "viewFor",	//2383
    "viewFor#",	//2384
    "viewportEvent",	//2385
    "viewportGeometry",	//2386
    "viewportGeometryChanged",	//2387
    "viewportGeometryChanged#",	//2388
    "visibilityChanged",	//2389
    "visibilityChanged$",	//2390
    "visualizationIsConnected",	//2391
    "visualizationIsConnected#",	//2392
    "wallpaper",	//2393
    "wallpaperPath",	//2394
    "wallpaperPath#",	//2395
    "website",	//2396
    "wheelEvent",	//2397
    "wheelEvent#",	//2398
    "widget",	//2399
    "windowActivationChange",	//2400
    "windowFrameEvent",	//2401
    "windowFrameSectionAt",	//2402
    "windowPreviewActivated",	//2403
    "windowPreviewActivated$$$#",	//2404
    "windowToPreview",	//2405
    "windowTranslucencyEnabled",	//2406
    "windowsToPreview",	//2407
    "wordWrap",	//2408
    "write",	//2409
    "write#",	//2410
    "write$",	//2411
    "writeConfig",	//2412
    "x11Event",	//2413
    "zoomFactor",	//2414
    "zoomRequested",	//2415
    "zoomRequested#$",	//2416
    "~AbstractDialogManager",	//2417
    "~AbstractRunner",	//2418
    "~AbstractToolBox",	//2419
    "~AccessAppletJob",	//2420
    "~Animation",	//2421
    "~AnimationDriver",	//2422
    "~Applet",	//2423
    "~AppletScript",	//2424
    "~AuthorizationInterface",	//2425
    "~AuthorizationRule",	//2426
    "~BusyWidget",	//2427
    "~CheckBox",	//2428
    "~ComboBox",	//2429
    "~ConfigLoader",	//2430
    "~Containment",	//2431
    "~ContainmentActions",	//2432
    "~ContainmentActionsPluginsConfig",	//2433
    "~Context",	//2434
    "~Corona",	//2435
    "~DataContainer",	//2436
    "~DataEngine",	//2437
    "~DataEngineScript",	//2438
    "~Delegate",	//2439
    "~Dialog",	//2440
    "~Extender",	//2441
    "~ExtenderGroup",	//2442
    "~ExtenderItem",	//2443
    "~FlashingLabel",	//2444
    "~Frame",	//2445
    "~FrameSvg",	//2446
    "~GLApplet",	//2447
    "~GroupBox",	//2448
    "~IconWidget",	//2449
    "~ItemBackground",	//2450
    "~Label",	//2451
    "~LineEdit",	//2452
    "~Meter",	//2453
    "~Package",	//2454
    "~PackageMetadata",	//2455
    "~PackageStructure",	//2456
    "~PlotColor",	//2457
    "~PopupApplet",	//2458
    "~PushButton",	//2459
    "~QueryMatch",	//2460
    "~RadioButton",	//2461
    "~RunnerContext",	//2462
    "~RunnerManager",	//2463
    "~RunnerScript",	//2464
    "~RunnerSyntax",	//2465
    "~ScriptEngine",	//2466
    "~ScrollBar",	//2467
    "~ScrollWidget",	//2468
    "~Separator",	//2469
    "~Service",	//2470
    "~ServiceAccessJob",	//2471
    "~SignalPlotter",	//2472
    "~Slider",	//2473
    "~SpinBox",	//2474
    "~StyleOption",	//2475
    "~Svg",	//2476
    "~SvgWidget",	//2477
    "~TabBar",	//2478
    "~TextBrowser",	//2479
    "~TextEdit",	//2480
    "~Theme",	//2481
    "~ToolButton",	//2482
    "~ToolTipContent",	//2483
    "~TreeView",	//2484
    "~VideoWidget",	//2485
    "~View",	//2486
    "~Wallpaper",	//2487
    "~WallpaperScript",	//2488
    "~WebView",	//2489
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {7, 1356, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 440, 0},	//1 KConfigSkeleton::metaObject() const
    {7, 1492, 1, 1, Smoke::mf_virtual, 484, 0},	//2 KConfigSkeleton::qt_metacast(const char*)
    {7, 1490, 3, 3, Smoke::mf_virtual, 475, 0},	//3 KConfigSkeleton::qt_metacall(QMetaObject::Call, int, void**)
    {9, 1784, 0, 0, Smoke::mf_virtual, 0, 0},	//4 KCoreConfigSkeleton::setDefaults()
    {9, 1501, 0, 0, Smoke::mf_virtual, 0, 0},	//5 KCoreConfigSkeleton::readConfig()
    {9, 2412, 0, 0, Smoke::mf_virtual, 0, 0},	//6 KCoreConfigSkeleton::writeConfig()
    {9, 2360, 7, 1, Smoke::mf_virtual, 384, 0},	//7 KCoreConfigSkeleton::useDefaults(bool)
    {9, 2366, 7, 1, Smoke::mf_protected|Smoke::mf_virtual, 384, 0},	//8 KCoreConfigSkeleton::usrUseDefaults(bool)
    {9, 2365, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//9 KCoreConfigSkeleton::usrSetDefaults()
    {9, 2364, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//10 KCoreConfigSkeleton::usrReadConfig()
    {12, 877, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 384, 0},	//11 KJob::doKill()
    {12, 879, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 384, 0},	//12 KJob::doSuspend()
    {12, 878, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 384, 0},	//13 KJob::doResume()
    {12, 956, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 291, 0},	//14 KJob::errorString() const
    {12, 336, 0, 0, Smoke::mf_static|Smoke::mf_enum, 477, 5},	//15 KJob::NoError (enum)
    {12, 287, 0, 0, Smoke::mf_static|Smoke::mf_enum, 477, 6},	//16 KJob::KilledJobError (enum)
    {12, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 477, 7},	//17 KJob::UserDefinedError (enum)
    {27, 1322, 9, 1, Smoke::mf_static, 88, 1},	//18 Plasma::locationToDirection(Plasma::Location)
    {27, 2375, 0, 0, Smoke::mf_static, 467, 2},	//19 Plasma::versionString()
    {27, 2372, 0, 0, Smoke::mf_static, 482, 3},	//20 Plasma::versionMajor()
    {27, 2383, 11, 1, Smoke::mf_static, 226, 4},	//21 Plasma::viewFor(const QGraphicsItem*)
    {27, 2371, 0, 0, Smoke::mf_static, 482, 5},	//22 Plasma::version()
    {27, 1324, 9, 1, Smoke::mf_static, 88, 6},	//23 Plasma::locationToInverseDirection(Plasma::Location)
    {27, 1317, 13, 2, Smoke::mf_static, 138, 7},	//24 Plasma::loadScriptEngine(const QString&, Plasma::AbstractRunner*)
    {27, 2373, 0, 0, Smoke::mf_static, 482, 8},	//25 Plasma::versionMinor()
    {27, 1420, 16, 2, Smoke::mf_static, 19, 9},	//26 Plasma::packageStructure(const QString&, Plasma::ComponentType)
    {27, 1624, 19, 1, Smoke::mf_static, 472, 10},	//27 Plasma::scalingFactor(Plasma::ZoomLevel)
    {27, 1317, 21, 2, Smoke::mf_static, 173, 11},	//28 Plasma::loadScriptEngine(const QString&, Plasma::Wallpaper*)
    {27, 569, 24, 3, Smoke::mf_static, 253, 12},	//29 Plasma::actionsFromMenu(QMenu*, const QString&, QObject*)
    {27, 569, 28, 1, Smoke::mf_static, 253, 13},	//30 Plasma::actionsFromMenu(QMenu*)
    {27, 569, 30, 2, Smoke::mf_static, 253, 14},	//31 Plasma::actionsFromMenu(QMenu*, const QString&)
    {27, 1317, 33, 2, Smoke::mf_static, 82, 15},	//32 Plasma::loadScriptEngine(const QString&, Plasma::DataEngine*)
    {27, 1148, 36, 1, Smoke::mf_static, 384, 16},	//33 Plasma::isPluginVersionCompatible(unsigned int)
    {27, 1209, 38, 1, Smoke::mf_static, 292, 17},	//34 Plasma::knownLanguages(QFlags<Plasma::ComponentType>)
    {27, 1317, 40, 2, Smoke::mf_static, 49, 18},	//35 Plasma::loadScriptEngine(const QString&, Plasma::Applet*)
    {27, 2374, 0, 0, Smoke::mf_static, 482, 19},	//36 Plasma::versionRelease()
    {27, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 176, 20},	//37 Plasma::ZoomIn (enum)
    {27, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 176, 21},	//38 Plasma::ZoomOut (enum)
    {27, 373, 0, 0, Smoke::mf_static|Smoke::mf_enum, 95, 22},	//39 Plasma::Planar (enum)
    {27, 309, 0, 0, Smoke::mf_static|Smoke::mf_enum, 95, 23},	//40 Plasma::MediaCenter (enum)
    {27, 209, 0, 0, Smoke::mf_static|Smoke::mf_enum, 95, 24},	//41 Plasma::Horizontal (enum)
    {27, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 95, 25},	//42 Plasma::Vertical (enum)
    {27, 50, 0, 0, Smoke::mf_static|Smoke::mf_enum, 95, 26},	//43 Plasma::Application (enum)
    {27, 75, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 27},	//44 Plasma::ButtonNone (enum)
    {27, 76, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 28},	//45 Plasma::ButtonOk (enum)
    {27, 78, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 29},	//46 Plasma::ButtonYes (enum)
    {27, 74, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 30},	//47 Plasma::ButtonNo (enum)
    {27, 71, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 31},	//48 Plasma::ButtonCancel (enum)
    {27, 323, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 32},	//49 Plasma::NoAlignment (enum)
    {27, 21, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 33},	//50 Plasma::AlignToMinute (enum)
    {27, 20, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 34},	//51 Plasma::AlignToHour (enum)
    {27, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 35},	//52 Plasma::TopMargin (enum)
    {27, 60, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 36},	//53 Plasma::BottomMargin (enum)
    {27, 295, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 37},	//54 Plasma::LeftMargin (enum)
    {27, 402, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 38},	//55 Plasma::RightMargin (enum)
    {27, 225, 0, 0, Smoke::mf_static|Smoke::mf_enum, 50, 39},	//56 Plasma::InvalidAspectRatioMode (enum)
    {27, 218, 0, 0, Smoke::mf_static|Smoke::mf_enum, 50, 40},	//57 Plasma::IgnoreAspectRatio (enum)
    {27, 284, 0, 0, Smoke::mf_static|Smoke::mf_enum, 50, 41},	//58 Plasma::KeepAspectRatio (enum)
    {27, 461, 0, 0, Smoke::mf_static|Smoke::mf_enum, 50, 42},	//59 Plasma::Square (enum)
    {27, 100, 0, 0, Smoke::mf_static|Smoke::mf_enum, 50, 43},	//60 Plasma::ConstrainedSquare (enum)
    {27, 180, 0, 0, Smoke::mf_static|Smoke::mf_enum, 50, 44},	//61 Plasma::FixedSize (enum)
    {27, 298, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 45},	//62 Plasma::LeftPositioned (enum)
    {27, 405, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 46},	//63 Plasma::RightPositioned (enum)
    {27, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 47},	//64 Plasma::TopPositioned (enum)
    {27, 63, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 48},	//65 Plasma::BottomPositioned (enum)
    {27, 83, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 49},	//66 Plasma::CenterPositioned (enum)
    {27, 155, 0, 0, Smoke::mf_static|Smoke::mf_enum, 88, 50},	//67 Plasma::Down (enum)
    {27, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 88, 51},	//68 Plasma::Up (enum)
    {27, 292, 0, 0, Smoke::mf_static|Smoke::mf_enum, 88, 52},	//69 Plasma::Left (enum)
    {27, 399, 0, 0, Smoke::mf_static|Smoke::mf_enum, 88, 53},	//70 Plasma::Right (enum)
    {27, 325, 0, 0, Smoke::mf_static|Smoke::mf_enum, 45, 54},	//71 Plasma::NoAnnouncement (enum)
    {27, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 45, 55},	//72 Plasma::ZeroconfAnnouncement (enum)
    {27, 226, 0, 0, Smoke::mf_static|Smoke::mf_enum, 167, 56},	//73 Plasma::InvalidCredentials (enum)
    {27, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 167, 57},	//74 Plasma::UnknownCredentials (enum)
    {27, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 167, 58},	//75 Plasma::ValidCredentials (enum)
    {27, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 167, 59},	//76 Plasma::TrustedCredentials (enum)
    {27, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 167, 60},	//77 Plasma::UltimateCredentials (enum)
    {27, 319, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 61},	//78 Plasma::Mutable (enum)
    {27, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 62},	//79 Plasma::UserImmutable (enum)
    {27, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 63},	//80 Plasma::SystemImmutable (enum)
    {27, 184, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 64},	//81 Plasma::FloatingPopup (enum)
    {27, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 65},	//82 Plasma::TopPosedLeftAlignedPopup (enum)
    {27, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 66},	//83 Plasma::TopPosedRightAlignedPopup (enum)
    {27, 297, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 67},	//84 Plasma::LeftPosedTopAlignedPopup (enum)
    {27, 296, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 68},	//85 Plasma::LeftPosedBottomAlignedPopup (enum)
    {27, 61, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 69},	//86 Plasma::BottomPosedLeftAlignedPopup (enum)
    {27, 62, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 70},	//87 Plasma::BottomPosedRightAlignedPopup (enum)
    {27, 404, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 71},	//88 Plasma::RightPosedTopAlignedPopup (enum)
    {27, 403, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 72},	//89 Plasma::RightPosedBottomAlignedPopup (enum)
    {27, 49, 0, 0, Smoke::mf_static|Smoke::mf_enum, 107, 73},	//90 Plasma::AppletType (enum)
    {27, 301, 0, 0, Smoke::mf_static|Smoke::mf_enum, 107, 74},	//91 Plasma::LineEditType (enum)
    {27, 331, 0, 0, Smoke::mf_static|Smoke::mf_enum, 66, 75},	//92 Plasma::NoConstraint (enum)
    {27, 186, 0, 0, Smoke::mf_static|Smoke::mf_enum, 66, 76},	//93 Plasma::FormFactorConstraint (enum)
    {27, 304, 0, 0, Smoke::mf_static|Smoke::mf_enum, 66, 77},	//94 Plasma::LocationConstraint (enum)
    {27, 425, 0, 0, Smoke::mf_static|Smoke::mf_enum, 66, 78},	//95 Plasma::ScreenConstraint (enum)
    {27, 448, 0, 0, Smoke::mf_static|Smoke::mf_enum, 66, 79},	//96 Plasma::SizeConstraint (enum)
    {27, 221, 0, 0, Smoke::mf_static|Smoke::mf_enum, 66, 80},	//97 Plasma::ImmutableConstraint (enum)
    {27, 463, 0, 0, Smoke::mf_static|Smoke::mf_enum, 66, 81},	//98 Plasma::StartupCompletedConstraint (enum)
    {27, 114, 0, 0, Smoke::mf_static|Smoke::mf_enum, 66, 82},	//99 Plasma::ContextConstraint (enum)
    {27, 380, 0, 0, Smoke::mf_static|Smoke::mf_enum, 66, 83},	//100 Plasma::PopupConstraint (enum)
    {27, 24, 0, 0, Smoke::mf_static|Smoke::mf_enum, 66, 84},	//101 Plasma::AllConstraints (enum)
    {27, 337, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 85},	//102 Plasma::NoFlip (enum)
    {27, 210, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 86},	//103 Plasma::HorizontalFlip (enum)
    {27, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 87},	//104 Plasma::VerticalFlip (enum)
    {27, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 88},	//105 Plasma::UnknownStatus (enum)
    {27, 364, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 89},	//106 Plasma::PassiveStatus (enum)
    {27, 18, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 90},	//107 Plasma::ActiveStatus (enum)
    {27, 320, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 91},	//108 Plasma::NeedsAttentionStatus (enum)
    {27, 12, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 92},	//109 Plasma::AcceptingInputStatus (enum)
    {27, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 177, 93},	//110 Plasma::DesktopZoom (enum)
    {27, 201, 0, 0, Smoke::mf_static|Smoke::mf_enum, 177, 94},	//111 Plasma::GroupZoom (enum)
    {27, 350, 0, 0, Smoke::mf_static|Smoke::mf_enum, 177, 95},	//112 Plasma::OverviewZoom (enum)
    {27, 46, 0, 0, Smoke::mf_static|Smoke::mf_enum, 64, 96},	//113 Plasma::AppletComponent (enum)
    {27, 127, 0, 0, Smoke::mf_static|Smoke::mf_enum, 64, 97},	//114 Plasma::DataEngineComponent (enum)
    {27, 409, 0, 0, Smoke::mf_static|Smoke::mf_enum, 64, 98},	//115 Plasma::RunnerComponent (enum)
    {27, 36, 0, 0, Smoke::mf_static|Smoke::mf_enum, 64, 99},	//116 Plasma::AnimatorComponent (enum)
    {27, 111, 0, 0, Smoke::mf_static|Smoke::mf_enum, 64, 100},	//117 Plasma::ContainmentComponent (enum)
    {27, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 64, 101},	//118 Plasma::WallpaperComponent (enum)
    {27, 197, 0, 0, Smoke::mf_static|Smoke::mf_enum, 64, 102},	//119 Plasma::GenericComponent (enum)
    {27, 183, 0, 0, Smoke::mf_static|Smoke::mf_enum, 110, 103},	//120 Plasma::Floating (enum)
    {27, 140, 0, 0, Smoke::mf_static|Smoke::mf_enum, 110, 104},	//121 Plasma::Desktop (enum)
    {27, 192, 0, 0, Smoke::mf_static|Smoke::mf_enum, 110, 105},	//122 Plasma::FullScreen (enum)
    {27, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 110, 106},	//123 Plasma::TopEdge (enum)
    {27, 59, 0, 0, Smoke::mf_static|Smoke::mf_enum, 110, 107},	//124 Plasma::BottomEdge (enum)
    {27, 294, 0, 0, Smoke::mf_static|Smoke::mf_enum, 110, 108},	//125 Plasma::LeftEdge (enum)
    {27, 401, 0, 0, Smoke::mf_static|Smoke::mf_enum, 110, 109},	//126 Plasma::RightEdge (enum)
    {28, 1356, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 440, 1},	//127 Plasma::AbstractDialogManager::metaObject() const
    {28, 1492, 1, 1, Smoke::mf_virtual, 484, 2},	//128 Plasma::AbstractDialogManager::qt_metacast(const char*)
    {28, 2312, 43, 2, Smoke::mf_static, 291, 3},	//129 Plasma::AbstractDialogManager::tr(const char*, const char*)
    {28, 2316, 43, 2, Smoke::mf_static, 291, 4},	//130 Plasma::AbstractDialogManager::trUtf8(const char*, const char*)
    {28, 2312, 46, 3, Smoke::mf_static, 291, 5},	//131 Plasma::AbstractDialogManager::tr(const char*, const char*, int)
    {28, 2316, 46, 3, Smoke::mf_static, 291, 6},	//132 Plasma::AbstractDialogManager::trUtf8(const char*, const char*, int)
    {28, 1490, 3, 3, Smoke::mf_virtual, 475, 7},	//133 Plasma::AbstractDialogManager::qt_metacall(QMetaObject::Call, int, void**)
    {28, 1, 50, 1, Smoke::mf_ctor, 29, 8},	//134 Plasma::AbstractDialogManager::AbstractDialogManager(Plasma::Corona*)
    {28, 2181, 52, 2, Smoke::mf_slot, 0, 9},	//135 Plasma::AbstractDialogManager::showDialog(QWidget*, Plasma::Applet*)
    {28, 2312, 1, 1, Smoke::mf_static, 291, 10},	//136 Plasma::AbstractDialogManager::tr(const char*)
    {28, 2316, 1, 1, Smoke::mf_static, 291, 11},	//137 Plasma::AbstractDialogManager::trUtf8(const char*)
    {28, 1, 0, 0, Smoke::mf_ctor, 29, 12},	//138 Plasma::AbstractDialogManager::AbstractDialogManager()
    {28, 2231, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 439, 13},	//139 Plasma::AbstractDialogManager::staticMetaObject() const
    {28, 2417, 0, 0, Smoke::mf_dtor, 0, 14 },	//140 Plasma::AbstractDialogManager::~AbstractDialogManager()
    {29, 1356, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 440, 1},	//141 Plasma::AbstractRunner::metaObject() const
    {29, 1492, 1, 1, Smoke::mf_virtual, 484, 2},	//142 Plasma::AbstractRunner::qt_metacast(const char*)
    {29, 2312, 43, 2, Smoke::mf_static, 291, 3},	//143 Plasma::AbstractRunner::tr(const char*, const char*)
    {29, 2316, 43, 2, Smoke::mf_static, 291, 4},	//144 Plasma::AbstractRunner::trUtf8(const char*, const char*)
    {29, 2312, 46, 3, Smoke::mf_static, 291, 5},	//145 Plasma::AbstractRunner::tr(const char*, const char*, int)
    {29, 2316, 46, 3, Smoke::mf_static, 291, 6},	//146 Plasma::AbstractRunner::trUtf8(const char*, const char*, int)
    {29, 1490, 3, 3, Smoke::mf_virtual, 475, 7},	//147 Plasma::AbstractRunner::qt_metacall(QMetaObject::Call, int, void**)
    {29, 1341, 55, 1, Smoke::mf_virtual, 0, 8},	//148 Plasma::AbstractRunner::match(Plasma::RunnerContext&)
    {29, 1455, 55, 1, 0, 0, 9},	//149 Plasma::AbstractRunner::performMatch(Plasma::RunnerContext&)
    {29, 1056, 0, 0, 0, 384, 10},	//150 Plasma::AbstractRunner::hasRunOptions()
    {29, 822, 57, 1, Smoke::mf_virtual, 0, 11},	//151 Plasma::AbstractRunner::createRunOptions(QWidget*)
    {29, 1603, 59, 2, Smoke::mf_virtual, 0, 12},	//152 Plasma::AbstractRunner::run(const Plasma::RunnerContext&, const Plasma::QueryMatch&)
    {29, 2222, 0, 0, Smoke::mf_const, 32, 13},	//153 Plasma::AbstractRunner::speed() const
    {29, 1484, 0, 0, Smoke::mf_const, 31, 14},	//154 Plasma::AbstractRunner::priority() const
    {29, 1083, 0, 0, Smoke::mf_const, 203, 15},	//155 Plasma::AbstractRunner::ignoredTypes() const
    {29, 1869, 62, 1, 0, 0, 16},	//156 Plasma::AbstractRunner::setIgnoredTypes(QFlags<Plasma::RunnerContext::Type>)
    {29, 1391, 0, 0, Smoke::mf_const|Smoke::mf_property, 291, 17},	//157 Plasma::AbstractRunner::name() const
    {29, 1082, 0, 0, Smoke::mf_const|Smoke::mf_property, 291, 18},	//158 Plasma::AbstractRunner::id() const
    {29, 854, 0, 0, Smoke::mf_const|Smoke::mf_property, 291, 19},	//159 Plasma::AbstractRunner::description() const
    {29, 1080, 0, 0, Smoke::mf_const|Smoke::mf_property, 234, 20},	//160 Plasma::AbstractRunner::icon() const
    {29, 1419, 0, 0, Smoke::mf_const, 407, 21},	//161 Plasma::AbstractRunner::package() const
    {29, 1524, 0, 0, Smoke::mf_virtual, 0, 22},	//162 Plasma::AbstractRunner::reloadConfiguration()
    {29, 2262, 0, 0, Smoke::mf_const, 252, 23},	//163 Plasma::AbstractRunner::syntaxes() const
    {29, 705, 0, 0, Smoke::mf_static, 267, 24},	//164 Plasma::AbstractRunner::bigLock()
    {29, 850, 0, 0, Smoke::mf_const, 141, 25},	//165 Plasma::AbstractRunner::defaultSyntax() const
    {29, 1143, 0, 0, Smoke::mf_const|Smoke::mf_property, 384, 26},	//166 Plasma::AbstractRunner::isMatchingSuspended() const
    {29, 1480, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 27},	//167 Plasma::AbstractRunner::prepare()
    {29, 2281, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 28},	//168 Plasma::AbstractRunner::teardown()
    {29, 1348, 7, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 29},	//169 Plasma::AbstractRunner::matchingSuspended(bool)
    {29, 3, 64, 2, Smoke::mf_ctor|Smoke::mf_protected, 30, 30},	//170 Plasma::AbstractRunner::AbstractRunner(QObject*, const QString&)
    {29, 3, 67, 2, Smoke::mf_ctor|Smoke::mf_protected, 30, 31},	//171 Plasma::AbstractRunner::AbstractRunner(const KSharedPtr<KService>, QObject*)
    {29, 3, 70, 2, Smoke::mf_ctor|Smoke::mf_protected, 30, 32},	//172 Plasma::AbstractRunner::AbstractRunner(QObject*, const QList<QVariant>&)
    {29, 2252, 7, 1, Smoke::mf_protected|Smoke::mf_property, 0, 33},	//173 Plasma::AbstractRunner::suspendMatching(bool)
    {29, 743, 0, 0, Smoke::mf_const|Smoke::mf_protected, 6, 34},	//174 Plasma::AbstractRunner::config() const
    {29, 1847, 7, 1, Smoke::mf_protected, 0, 35},	//175 Plasma::AbstractRunner::setHasRunOptions(bool)
    {29, 2045, 73, 1, Smoke::mf_protected, 0, 36},	//176 Plasma::AbstractRunner::setSpeed(Plasma::AbstractRunner::Speed)
    {29, 1980, 75, 1, Smoke::mf_protected, 0, 37},	//177 Plasma::AbstractRunner::setPriority(Plasma::AbstractRunner::Priority)
    {29, 1658, 77, 2, Smoke::mf_const|Smoke::mf_protected, 242, 38},	//178 Plasma::AbstractRunner::serviceQuery(const QString&, const QString&) const
    {29, 566, 80, 1, Smoke::mf_protected|Smoke::mf_virtual, 253, 39},	//179 Plasma::AbstractRunner::actionsForMatch(const Plasma::QueryMatch&)
    {29, 579, 82, 3, Smoke::mf_protected, 181, 40},	//180 Plasma::AbstractRunner::addAction(const QString&, const QIcon&, const QString&)
    {29, 579, 86, 2, Smoke::mf_protected, 0, 41},	//181 Plasma::AbstractRunner::addAction(const QString&, QAction*)
    {29, 1534, 89, 1, Smoke::mf_protected, 0, 42},	//182 Plasma::AbstractRunner::removeAction(const QString&)
    {29, 562, 89, 1, Smoke::mf_const|Smoke::mf_protected, 181, 43},	//183 Plasma::AbstractRunner::action(const QString&) const
    {29, 565, 0, 0, Smoke::mf_const|Smoke::mf_protected, 230, 44},	//184 Plasma::AbstractRunner::actions() const
    {29, 723, 0, 0, Smoke::mf_protected, 0, 45},	//185 Plasma::AbstractRunner::clearActions()
    {29, 631, 91, 1, Smoke::mf_protected, 0, 46},	//186 Plasma::AbstractRunner::addSyntax(const Plasma::RunnerSyntax&)
    {29, 1782, 91, 1, Smoke::mf_protected, 0, 47},	//187 Plasma::AbstractRunner::setDefaultSyntax(const Plasma::RunnerSyntax&)
    {29, 2068, 93, 1, Smoke::mf_protected, 0, 48},	//188 Plasma::AbstractRunner::setSyntaxes(const QList<Plasma::RunnerSyntax>&)
    {29, 844, 89, 1, Smoke::mf_const|Smoke::mf_protected, 79, 49},	//189 Plasma::AbstractRunner::dataEngine(const QString&) const
    {29, 1096, 0, 0, Smoke::mf_protected|Smoke::mf_slot, 0, 50},	//190 Plasma::AbstractRunner::init()
    {29, 1360, 95, 1, Smoke::mf_protected|Smoke::mf_slot, 264, 51},	//191 Plasma::AbstractRunner::mimeDataForMatch(const Plasma::QueryMatch*)
    {29, 2312, 1, 1, Smoke::mf_static, 291, 52},	//192 Plasma::AbstractRunner::tr(const char*)
    {29, 2316, 1, 1, Smoke::mf_static, 291, 53},	//193 Plasma::AbstractRunner::trUtf8(const char*)
    {29, 3, 0, 0, Smoke::mf_ctor|Smoke::mf_protected, 30, 54},	//194 Plasma::AbstractRunner::AbstractRunner()
    {29, 3, 97, 1, Smoke::mf_ctor|Smoke::mf_protected, 30, 55},	//195 Plasma::AbstractRunner::AbstractRunner(QObject*)
    {29, 3, 99, 1, Smoke::mf_ctor|Smoke::mf_protected, 30, 56},	//196 Plasma::AbstractRunner::AbstractRunner(const KSharedPtr<KService>)
    {29, 1658, 89, 1, Smoke::mf_const|Smoke::mf_protected, 242, 57},	//197 Plasma::AbstractRunner::serviceQuery(const QString&) const
    {29, 2231, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 439, 58},	//198 Plasma::AbstractRunner::staticMetaObject() const
    {29, 454, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 59},	//199 Plasma::AbstractRunner::SlowSpeed (enum)
    {29, 346, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 60},	//200 Plasma::AbstractRunner::NormalSpeed (enum)
    {29, 306, 0, 0, Smoke::mf_static|Smoke::mf_enum, 31, 61},	//201 Plasma::AbstractRunner::LowestPriority (enum)
    {29, 305, 0, 0, Smoke::mf_static|Smoke::mf_enum, 31, 62},	//202 Plasma::AbstractRunner::LowPriority (enum)
    {29, 345, 0, 0, Smoke::mf_static|Smoke::mf_enum, 31, 63},	//203 Plasma::AbstractRunner::NormalPriority (enum)
    {29, 206, 0, 0, Smoke::mf_static|Smoke::mf_enum, 31, 64},	//204 Plasma::AbstractRunner::HighPriority (enum)
    {29, 207, 0, 0, Smoke::mf_static|Smoke::mf_enum, 31, 65},	//205 Plasma::AbstractRunner::HighestPriority (enum)
    {29, 2418, 0, 0, Smoke::mf_dtor, 0, 66 },	//206 Plasma::AbstractRunner::~AbstractRunner()
    {30, 1356, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 440, 1},	//207 Plasma::AbstractToolBox::metaObject() const
    {30, 1492, 1, 1, Smoke::mf_virtual, 484, 2},	//208 Plasma::AbstractToolBox::qt_metacast(const char*)
    {30, 2312, 43, 2, Smoke::mf_static, 291, 3},	//209 Plasma::AbstractToolBox::tr(const char*, const char*)
    {30, 2316, 43, 2, Smoke::mf_static, 291, 4},	//210 Plasma::AbstractToolBox::trUtf8(const char*, const char*)
    {30, 2312, 46, 3, Smoke::mf_static, 291, 5},	//211 Plasma::AbstractToolBox::tr(const char*, const char*, int)
    {30, 2316, 46, 3, Smoke::mf_static, 291, 6},	//212 Plasma::AbstractToolBox::trUtf8(const char*, const char*, int)
    {30, 1490, 3, 3, Smoke::mf_virtual, 475, 7},	//213 Plasma::AbstractToolBox::qt_metacall(QMetaObject::Call, int, void**)
    {30, 9, 101, 1, Smoke::mf_ctor, 33, 8},	//214 Plasma::AbstractToolBox::AbstractToolBox(Plasma::Containment*)
    {30, 9, 70, 2, Smoke::mf_ctor, 33, 9},	//215 Plasma::AbstractToolBox::AbstractToolBox(QObject*, const QList<QVariant>&)
    {30, 1286, 103, 3, Smoke::mf_static, 33, 10},	//216 Plasma::AbstractToolBox::load(const QString&, const QList<QVariant>&, Plasma::Containment*)
    {30, 1279, 89, 1, Smoke::mf_static, 240, 11},	//217 Plasma::AbstractToolBox::listToolBoxInfo(const QString&)
    {30, 638, 107, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 12},	//218 Plasma::AbstractToolBox::addTool(QAction*) [pure virtual]
    {30, 1560, 107, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 13},	//219 Plasma::AbstractToolBox::removeTool(QAction*) [pure virtual]
    {30, 1159, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_virtual|Smoke::mf_purevirtual, 384, 14},	//220 Plasma::AbstractToolBox::isShowing() const [pure virtual]
    {30, 2033, 109, 1, Smoke::mf_property|Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 15},	//221 Plasma::AbstractToolBox::setShowing(const bool) [pure virtual]
    {30, 1595, 111, 1, Smoke::mf_slot, 0, 16},	//222 Plasma::AbstractToolBox::restore(const KConfigGroup&)
    {30, 1613, 111, 1, Smoke::mf_slot, 0, 17},	//223 Plasma::AbstractToolBox::save(const KConfigGroup&)
    {30, 1578, 0, 0, Smoke::mf_slot, 0, 18},	//224 Plasma::AbstractToolBox::reposition()
    {30, 2301, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 19},	//225 Plasma::AbstractToolBox::toggled()
    {30, 2389, 7, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 20},	//226 Plasma::AbstractToolBox::visibilityChanged(bool)
    {30, 770, 0, 0, Smoke::mf_const|Smoke::mf_protected, 67, 21},	//227 Plasma::AbstractToolBox::containment() const
    {30, 2312, 1, 1, Smoke::mf_static, 291, 22},	//228 Plasma::AbstractToolBox::tr(const char*)
    {30, 2316, 1, 1, Smoke::mf_static, 291, 23},	//229 Plasma::AbstractToolBox::trUtf8(const char*)
    {30, 9, 0, 0, Smoke::mf_ctor, 33, 24},	//230 Plasma::AbstractToolBox::AbstractToolBox()
    {30, 9, 97, 1, Smoke::mf_ctor, 33, 25},	//231 Plasma::AbstractToolBox::AbstractToolBox(QObject*)
    {30, 1286, 89, 1, Smoke::mf_static, 33, 26},	//232 Plasma::AbstractToolBox::load(const QString&)
    {30, 1286, 113, 2, Smoke::mf_static, 33, 27},	//233 Plasma::AbstractToolBox::load(const QString&, const QList<QVariant>&)
    {30, 1279, 0, 0, Smoke::mf_static, 240, 28},	//234 Plasma::AbstractToolBox::listToolBoxInfo()
    {30, 2231, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 439, 29},	//235 Plasma::AbstractToolBox::staticMetaObject() const
    {30, 19, 0, 0, Smoke::mf_static|Smoke::mf_enum, 34, 30},	//236 Plasma::AbstractToolBox::AddTool (enum)
    {30, 99, 0, 0, Smoke::mf_static|Smoke::mf_enum, 34, 31},	//237 Plasma::AbstractToolBox::ConfigureTool (enum)
    {30, 115, 0, 0, Smoke::mf_static|Smoke::mf_enum, 34, 32},	//238 Plasma::AbstractToolBox::ControlTool (enum)
    {30, 313, 0, 0, Smoke::mf_static|Smoke::mf_enum, 34, 33},	//239 Plasma::AbstractToolBox::MiscTool (enum)
    {30, 144, 0, 0, Smoke::mf_static|Smoke::mf_enum, 34, 34},	//240 Plasma::AbstractToolBox::DestructiveTool (enum)
    {30, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 34, 35},	//241 Plasma::AbstractToolBox::UserToolType (enum)
    {30, 2419, 0, 0, Smoke::mf_dtor, 0, 36 },	//242 Plasma::AbstractToolBox::~AbstractToolBox()
    {31, 1356, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 440, 1},	//243 Plasma::AccessAppletJob::metaObject() const
    {31, 1492, 1, 1, Smoke::mf_virtual, 484, 2},	//244 Plasma::AccessAppletJob::qt_metacast(const char*)
    {31, 2312, 43, 2, Smoke::mf_static, 291, 3},	//245 Plasma::AccessAppletJob::tr(const char*, const char*)
    {31, 2316, 43, 2, Smoke::mf_static, 291, 4},	//246 Plasma::AccessAppletJob::trUtf8(const char*, const char*)
    {31, 2312, 46, 3, Smoke::mf_static, 291, 5},	//247 Plasma::AccessAppletJob::tr(const char*, const char*, int)
    {31, 2316, 46, 3, Smoke::mf_static, 291, 6},	//248 Plasma::AccessAppletJob::trUtf8(const char*, const char*, int)
    {31, 1490, 3, 3, Smoke::mf_virtual, 475, 7},	//249 Plasma::AccessAppletJob::qt_metacall(QMetaObject::Call, int, void**)
    {31, 669, 0, 0, Smoke::mf_const, 47, 8},	//250 Plasma::AccessAppletJob::applet() const
    {31, 13, 116, 2, Smoke::mf_ctor|Smoke::mf_protected, 35, 9},	//251 Plasma::AccessAppletJob::AccessAppletJob(const KUrl&, QObject*)
    {31, 2225, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 10},	//252 Plasma::AccessAppletJob::start()
    {31, 2312, 1, 1, Smoke::mf_static, 291, 11},	//253 Plasma::AccessAppletJob::tr(const char*)
    {31, 2316, 1, 1, Smoke::mf_static, 291, 12},	//254 Plasma::AccessAppletJob::trUtf8(const char*)
    {31, 13, 119, 1, Smoke::mf_ctor|Smoke::mf_protected, 35, 13},	//255 Plasma::AccessAppletJob::AccessAppletJob(const KUrl&)
    {31, 2231, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 439, 14},	//256 Plasma::AccessAppletJob::staticMetaObject() const
    {31, 2420, 0, 0, Smoke::mf_dtor, 0, 15 },	//257 Plasma::AccessAppletJob::~AccessAppletJob()
    {32, 1356, 0, 0, Smoke::mf_const, 440, 1},	//258 Plasma::AccessManager::metaObject() const
    {32, 1492, 1, 1, 0, 484, 2},	//259 Plasma::AccessManager::qt_metacast(const char*)
    {32, 2312, 43, 2, Smoke::mf_static, 291, 3},	//260 Plasma::AccessManager::tr(const char*, const char*)
    {32, 2316, 43, 2, Smoke::mf_static, 291, 4},	//261 Plasma::AccessManager::trUtf8(const char*, const char*)
    {32, 2312, 46, 3, Smoke::mf_static, 291, 5},	//262 Plasma::AccessManager::tr(const char*, const char*, int)
    {32, 2316, 46, 3, Smoke::mf_static, 291, 6},	//263 Plasma::AccessManager::trUtf8(const char*, const char*, int)
    {32, 1490, 3, 3, 0, 475, 7},	//264 Plasma::AccessManager::qt_metacall(QMetaObject::Call, int, void**)
    {32, 1652, 0, 0, Smoke::mf_static, 36, 8},	//265 Plasma::AccessManager::self()
    {32, 560, 119, 1, Smoke::mf_const, 35, 9},	//266 Plasma::AccessManager::accessRemoteApplet(const KUrl&) const
    {32, 1530, 0, 0, Smoke::mf_const, 249, 10},	//267 Plasma::AccessManager::remoteApplets() const
    {32, 2248, 0, 0, Smoke::mf_static, 292, 11},	//268 Plasma::AccessManager::supportedProtocols()
    {32, 990, 121, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 12},	//269 Plasma::AccessManager::finished(Plasma::AccessAppletJob*)
    {32, 1526, 123, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 13},	//270 Plasma::AccessManager::remoteAppletAnnounced(Plasma::PackageMetadata)
    {32, 1528, 123, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 14},	//271 Plasma::AccessManager::remoteAppletUnannounced(Plasma::PackageMetadata)
    {32, 2312, 1, 1, Smoke::mf_static, 291, 15},	//272 Plasma::AccessManager::tr(const char*)
    {32, 2316, 1, 1, Smoke::mf_static, 291, 16},	//273 Plasma::AccessManager::trUtf8(const char*)
    {32, 2231, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 439, 17},	//274 Plasma::AccessManager::staticMetaObject() const
    {33, 1356, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 440, 1},	//275 Plasma::Animation::metaObject() const
    {33, 1492, 1, 1, Smoke::mf_virtual, 484, 2},	//276 Plasma::Animation::qt_metacast(const char*)
    {33, 2312, 43, 2, Smoke::mf_static, 291, 3},	//277 Plasma::Animation::tr(const char*, const char*)
    {33, 2316, 43, 2, Smoke::mf_static, 291, 4},	//278 Plasma::Animation::trUtf8(const char*, const char*)
    {33, 2312, 46, 3, Smoke::mf_static, 291, 5},	//279 Plasma::Animation::tr(const char*, const char*, int)
    {33, 2316, 46, 3, Smoke::mf_static, 291, 6},	//280 Plasma::Animation::trUtf8(const char*, const char*, int)
    {33, 1490, 3, 3, Smoke::mf_virtual, 475, 7},	//281 Plasma::Animation::qt_metacall(QMetaObject::Call, int, void**)
    {33, 913, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_virtual, 475, 8},	//282 Plasma::Animation::duration() const
    {33, 32, 97, 1, Smoke::mf_ctor, 37, 9},	//283 Plasma::Animation::Animation(QObject*)
    {33, 2084, 125, 1, 0, 0, 10},	//284 Plasma::Animation::setTargetWidget(QGraphicsWidget*)
    {33, 2279, 0, 0, Smoke::mf_const, 227, 11},	//285 Plasma::Animation::targetWidget() const
    {33, 1801, 127, 1, Smoke::mf_property, 0, 12},	//286 Plasma::Animation::setEasingCurve(const QEasingCurve&)
    {33, 914, 0, 0, Smoke::mf_const|Smoke::mf_property, 195, 13},	//287 Plasma::Animation::easingCurve() const
    {33, 1799, 129, 1, Smoke::mf_protected|Smoke::mf_property|Smoke::mf_virtual, 0, 14},	//288 Plasma::Animation::setDuration(int)
    {33, 2342, 129, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 15},	//289 Plasma::Animation::updateCurrentTime(int)
    {33, 2312, 1, 1, Smoke::mf_static, 291, 16},	//290 Plasma::Animation::tr(const char*)
    {33, 2316, 1, 1, Smoke::mf_static, 291, 17},	//291 Plasma::Animation::trUtf8(const char*)
    {33, 32, 0, 0, Smoke::mf_ctor, 37, 18},	//292 Plasma::Animation::Animation()
    {33, 1799, 0, 0, Smoke::mf_protected|Smoke::mf_property, 0, 19},	//293 Plasma::Animation::setDuration()
    {33, 2231, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 439, 20},	//294 Plasma::Animation::staticMetaObject() const
    {33, 82, 0, 0, Smoke::mf_static|Smoke::mf_enum, 39, 21},	//295 Plasma::Animation::Center (enum)
    {33, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 39, 22},	//296 Plasma::Animation::Up (enum)
    {33, 155, 0, 0, Smoke::mf_static|Smoke::mf_enum, 39, 23},	//297 Plasma::Animation::Down (enum)
    {33, 292, 0, 0, Smoke::mf_static|Smoke::mf_enum, 39, 24},	//298 Plasma::Animation::Left (enum)
    {33, 399, 0, 0, Smoke::mf_static|Smoke::mf_enum, 39, 25},	//299 Plasma::Animation::Right (enum)
    {33, 314, 0, 0, Smoke::mf_static|Smoke::mf_enum, 38, 26},	//300 Plasma::Animation::MoveAny (enum)
    {33, 318, 0, 0, Smoke::mf_static|Smoke::mf_enum, 38, 27},	//301 Plasma::Animation::MoveUp (enum)
    {33, 317, 0, 0, Smoke::mf_static|Smoke::mf_enum, 38, 28},	//302 Plasma::Animation::MoveRight (enum)
    {33, 315, 0, 0, Smoke::mf_static|Smoke::mf_enum, 38, 29},	//303 Plasma::Animation::MoveDown (enum)
    {33, 316, 0, 0, Smoke::mf_static|Smoke::mf_enum, 38, 30},	//304 Plasma::Animation::MoveLeft (enum)
    {33, 2421, 0, 0, Smoke::mf_dtor, 0, 31 },	//305 Plasma::Animation::~Animation()
    {34, 1356, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 440, 1},	//306 Plasma::AnimationDriver::metaObject() const
    {34, 1492, 1, 1, Smoke::mf_virtual, 484, 2},	//307 Plasma::AnimationDriver::qt_metacast(const char*)
    {34, 2312, 43, 2, Smoke::mf_static, 291, 3},	//308 Plasma::AnimationDriver::tr(const char*, const char*)
    {34, 2316, 43, 2, Smoke::mf_static, 291, 4},	//309 Plasma::AnimationDriver::trUtf8(const char*, const char*)
    {34, 2312, 46, 3, Smoke::mf_static, 291, 5},	//310 Plasma::AnimationDriver::tr(const char*, const char*, int)
    {34, 2316, 46, 3, Smoke::mf_static, 291, 6},	//311 Plasma::AnimationDriver::trUtf8(const char*, const char*, int)
    {34, 1490, 3, 3, Smoke::mf_virtual, 475, 7},	//312 Plasma::AnimationDriver::qt_metacall(QMetaObject::Call, int, void**)
    {34, 34, 97, 1, Smoke::mf_ctor, 40, 8},	//313 Plasma::AnimationDriver::AnimationDriver(QObject*)
    {34, 659, 131, 1, Smoke::mf_const|Smoke::mf_virtual, 475, 9},	//314 Plasma::AnimationDriver::animationFps(Plasma::Animator::Animation) const
    {34, 1387, 133, 1, Smoke::mf_const|Smoke::mf_virtual, 475, 10},	//315 Plasma::AnimationDriver::movementAnimationFps(Plasma::Animator::Movement) const
    {34, 924, 131, 1, Smoke::mf_const|Smoke::mf_virtual, 475, 11},	//316 Plasma::AnimationDriver::elementAnimationFps(Plasma::Animator::Animation) const
    {34, 655, 131, 1, Smoke::mf_const|Smoke::mf_virtual, 475, 12},	//317 Plasma::AnimationDriver::animationDuration(Plasma::Animator::Animation) const
    {34, 1385, 133, 1, Smoke::mf_const|Smoke::mf_virtual, 475, 13},	//318 Plasma::AnimationDriver::movementAnimationDuration(Plasma::Animator::Movement) const
    {34, 920, 131, 1, Smoke::mf_const|Smoke::mf_virtual, 475, 14},	//319 Plasma::AnimationDriver::elementAnimationDuration(Plasma::Animator::Animation) const
    {34, 653, 131, 1, Smoke::mf_const|Smoke::mf_virtual, 43, 15},	//320 Plasma::AnimationDriver::animationCurve(Plasma::Animator::Animation) const
    {34, 1383, 133, 1, Smoke::mf_const|Smoke::mf_virtual, 43, 16},	//321 Plasma::AnimationDriver::movementAnimationCurve(Plasma::Animator::Movement) const
    {34, 918, 131, 1, Smoke::mf_const|Smoke::mf_virtual, 43, 17},	//322 Plasma::AnimationDriver::elementAnimationCurve(Plasma::Animator::Animation) const
    {34, 926, 135, 2, Smoke::mf_virtual, 275, 18},	//323 Plasma::AnimationDriver::elementAppear(double, const QPixmap&)
    {34, 930, 135, 2, Smoke::mf_virtual, 275, 19},	//324 Plasma::AnimationDriver::elementDisappear(double, const QPixmap&)
    {34, 1180, 138, 2, Smoke::mf_virtual, 0, 20},	//325 Plasma::AnimationDriver::itemAppear(double, QGraphicsItem*)
    {34, 1188, 138, 2, Smoke::mf_virtual, 0, 21},	//326 Plasma::AnimationDriver::itemDisappear(double, QGraphicsItem*)
    {34, 1175, 138, 2, Smoke::mf_virtual, 0, 22},	//327 Plasma::AnimationDriver::itemActivated(double, QGraphicsItem*)
    {34, 1198, 141, 4, Smoke::mf_virtual, 0, 23},	//328 Plasma::AnimationDriver::itemSlideIn(double, QGraphicsItem*, const QPoint&, const QPoint&)
    {34, 1200, 141, 4, Smoke::mf_virtual, 0, 24},	//329 Plasma::AnimationDriver::itemSlideOut(double, QGraphicsItem*, const QPoint&, const QPoint&)
    {34, 2312, 1, 1, Smoke::mf_static, 291, 25},	//330 Plasma::AnimationDriver::tr(const char*)
    {34, 2316, 1, 1, Smoke::mf_static, 291, 26},	//331 Plasma::AnimationDriver::trUtf8(const char*)
    {34, 34, 0, 0, Smoke::mf_ctor, 40, 27},	//332 Plasma::AnimationDriver::AnimationDriver()
    {34, 2231, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 439, 28},	//333 Plasma::AnimationDriver::staticMetaObject() const
    {34, 2422, 0, 0, Smoke::mf_dtor, 0, 29 },	//334 Plasma::AnimationDriver::~AnimationDriver()
    {35, 1356, 0, 0, Smoke::mf_const, 440, 1},	//335 Plasma::Animator::metaObject() const
    {35, 1492, 1, 1, 0, 484, 2},	//336 Plasma::Animator::qt_metacast(const char*)
    {35, 2312, 43, 2, Smoke::mf_static, 291, 3},	//337 Plasma::Animator::tr(const char*, const char*)
    {35, 2316, 43, 2, Smoke::mf_static, 291, 4},	//338 Plasma::Animator::trUtf8(const char*, const char*)
    {35, 2312, 46, 3, Smoke::mf_static, 291, 5},	//339 Plasma::Animator::tr(const char*, const char*, int)
    {35, 2316, 46, 3, Smoke::mf_static, 291, 6},	//340 Plasma::Animator::trUtf8(const char*, const char*, int)
    {35, 1490, 3, 3, 0, 475, 7},	//341 Plasma::Animator::qt_metacall(QMetaObject::Call, int, void**)
    {35, 1652, 0, 0, Smoke::mf_static, 41, 8},	//342 Plasma::Animator::self()
    {35, 805, 146, 2, Smoke::mf_static, 37, 9},	//343 Plasma::Animator::create(Plasma::Animator::Animation, QObject*)
    {35, 805, 149, 2, Smoke::mf_static, 37, 10},	//344 Plasma::Animator::create(const QString&, QObject*)
    {35, 805, 152, 1, Smoke::mf_static, 195, 11},	//345 Plasma::Animator::create(Plasma::Animator::CurveShape)
    {35, 2238, 129, 1, 0, 0, 12},	//346 Plasma::Animator::stopItemAnimation(int)
    {35, 1381, 154, 3, 0, 475, 13},	//347 Plasma::Animator::moveItem(QGraphicsItem*, Plasma::Animator::Movement, const QPoint&)
    {35, 2240, 129, 1, 0, 0, 14},	//348 Plasma::Animator::stopItemMovement(int)
    {35, 836, 158, 5, 0, 475, 15},	//349 Plasma::Animator::customAnimation(int, int, Plasma::Animator::CurveShape, QObject*, const char*)
    {35, 2234, 129, 1, 0, 0, 16},	//350 Plasma::Animator::stopCustomAnimation(int)
    {35, 2236, 129, 1, 0, 0, 17},	//351 Plasma::Animator::stopElementAnimation(int)
    {35, 1883, 164, 2, 0, 0, 18},	//352 Plasma::Animator::setInitialPixmap(int, const QPixmap&)
    {35, 831, 129, 1, 0, 275, 19},	//353 Plasma::Animator::currentPixmap(int)
    {35, 1125, 0, 0, Smoke::mf_const, 384, 20},	//354 Plasma::Animator::isAnimating() const
    {35, 1514, 125, 1, 0, 0, 21},	//355 Plasma::Animator::registerScrollingManager(QGraphicsWidget*)
    {35, 2333, 125, 1, 0, 0, 22},	//356 Plasma::Animator::unregisterScrollingManager(QGraphicsWidget*)
    {35, 657, 167, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 23},	//357 Plasma::Animator::animationFinished(QGraphicsItem*, Plasma::Animator::Animation)
    {35, 1389, 170, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 24},	//358 Plasma::Animator::movementFinished(QGraphicsItem*)
    {35, 922, 129, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 25},	//359 Plasma::Animator::elementAnimationFinished(int)
    {35, 838, 129, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 26},	//360 Plasma::Animator::customAnimationFinished(int)
    {35, 1642, 172, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 27},	//361 Plasma::Animator::scrollStateChanged(QGraphicsWidget*, QAbstractAnimation::State, QAbstractAnimation::State)
    {35, 2297, 176, 1, Smoke::mf_protected, 0, 28},	//362 Plasma::Animator::timerEvent(QTimerEvent*)
    {35, 2312, 1, 1, Smoke::mf_static, 291, 29},	//363 Plasma::Animator::tr(const char*)
    {35, 2316, 1, 1, Smoke::mf_static, 291, 30},	//364 Plasma::Animator::trUtf8(const char*)
    {35, 805, 131, 1, Smoke::mf_static, 37, 31},	//365 Plasma::Animator::create(Plasma::Animator::Animation)
    {35, 805, 89, 1, Smoke::mf_static, 37, 32},	//366 Plasma::Animator::create(const QString&)
    {35, 2231, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 439, 33},	//367 Plasma::Animator::staticMetaObject() const
    {35, 37, 0, 0, Smoke::mf_static|Smoke::mf_enum, 42, 34},	//368 Plasma::Animator::AppearAnimation (enum)
    {35, 151, 0, 0, Smoke::mf_static|Smoke::mf_enum, 42, 35},	//369 Plasma::Animator::DisappearAnimation (enum)
    {35, 16, 0, 0, Smoke::mf_static|Smoke::mf_enum, 42, 36},	//370 Plasma::Animator::ActivateAnimation (enum)
    {35, 174, 0, 0, Smoke::mf_static|Smoke::mf_enum, 42, 37},	//371 Plasma::Animator::FadeAnimation (enum)
    {35, 202, 0, 0, Smoke::mf_static|Smoke::mf_enum, 42, 38},	//372 Plasma::Animator::GrowAnimation (enum)
    {35, 384, 0, 0, Smoke::mf_static|Smoke::mf_enum, 42, 39},	//373 Plasma::Animator::PulseAnimation (enum)
    {35, 406, 0, 0, Smoke::mf_static|Smoke::mf_enum, 42, 40},	//374 Plasma::Animator::RotationAnimation (enum)
    {35, 407, 0, 0, Smoke::mf_static|Smoke::mf_enum, 42, 41},	//375 Plasma::Animator::RotationStackedAnimation (enum)
    {35, 449, 0, 0, Smoke::mf_static|Smoke::mf_enum, 42, 42},	//376 Plasma::Animator::SlideAnimation (enum)
    {35, 198, 0, 0, Smoke::mf_static|Smoke::mf_enum, 42, 43},	//377 Plasma::Animator::GeometryAnimation (enum)
    {35, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 42, 44},	//378 Plasma::Animator::ZoomAnimation (enum)
    {35, 371, 0, 0, Smoke::mf_static|Smoke::mf_enum, 42, 45},	//379 Plasma::Animator::PixmapTransitionAnimation (enum)
    {35, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 42, 46},	//380 Plasma::Animator::WaterAnimation (enum)
    {35, 290, 0, 0, Smoke::mf_static|Smoke::mf_enum, 42, 47},	//381 Plasma::Animator::LastAnimation (enum)
    {35, 158, 0, 0, Smoke::mf_static|Smoke::mf_enum, 43, 48},	//382 Plasma::Animator::EaseInCurve (enum)
    {35, 160, 0, 0, Smoke::mf_static|Smoke::mf_enum, 43, 49},	//383 Plasma::Animator::EaseOutCurve (enum)
    {35, 159, 0, 0, Smoke::mf_static|Smoke::mf_enum, 43, 50},	//384 Plasma::Animator::EaseInOutCurve (enum)
    {35, 302, 0, 0, Smoke::mf_static|Smoke::mf_enum, 43, 51},	//385 Plasma::Animator::LinearCurve (enum)
    {35, 367, 0, 0, Smoke::mf_static|Smoke::mf_enum, 43, 52},	//386 Plasma::Animator::PendularCurve (enum)
    {35, 450, 0, 0, Smoke::mf_static|Smoke::mf_enum, 44, 53},	//387 Plasma::Animator::SlideInMovement (enum)
    {35, 451, 0, 0, Smoke::mf_static|Smoke::mf_enum, 44, 54},	//388 Plasma::Animator::SlideOutMovement (enum)
    {35, 175, 0, 0, Smoke::mf_static|Smoke::mf_enum, 44, 55},	//389 Plasma::Animator::FastSlideInMovement (enum)
    {35, 176, 0, 0, Smoke::mf_static|Smoke::mf_enum, 44, 56},	//390 Plasma::Animator::FastSlideOutMovement (enum)
    {36, 1356, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 440, 1},	//391 Plasma::Applet::metaObject() const
    {36, 1492, 1, 1, Smoke::mf_virtual, 484, 2},	//392 Plasma::Applet::qt_metacast(const char*)
    {36, 2312, 43, 2, Smoke::mf_static, 291, 3},	//393 Plasma::Applet::tr(const char*, const char*)
    {36, 2316, 43, 2, Smoke::mf_static, 291, 4},	//394 Plasma::Applet::trUtf8(const char*, const char*)
    {36, 2312, 46, 3, Smoke::mf_static, 291, 5},	//395 Plasma::Applet::tr(const char*, const char*, int)
    {36, 2316, 46, 3, Smoke::mf_static, 291, 6},	//396 Plasma::Applet::trUtf8(const char*, const char*, int)
    {36, 1490, 3, 3, Smoke::mf_virtual, 475, 7},	//397 Plasma::Applet::qt_metacall(QMetaObject::Call, int, void**)
    {36, 1420, 0, 0, Smoke::mf_static, 19, 8},	//398 Plasma::Applet::packageStructure()
    {36, 1082, 0, 0, Smoke::mf_const, 482, 9},	//399 Plasma::Applet::id() const
    {36, 743, 0, 0, Smoke::mf_const, 6, 10},	//400 Plasma::Applet::config() const
    {36, 743, 89, 1, Smoke::mf_const, 6, 11},	//401 Plasma::Applet::config(const QString&) const
    {36, 1613, 178, 1, Smoke::mf_const|Smoke::mf_virtual, 0, 12},	//402 Plasma::Applet::save(KConfigGroup&) const
    {36, 1595, 178, 1, Smoke::mf_virtual, 0, 13},	//403 Plasma::Applet::restore(KConfigGroup&)
    {36, 1034, 0, 0, Smoke::mf_const, 6, 14},	//404 Plasma::Applet::globalConfig() const
    {36, 747, 0, 0, Smoke::mf_const, 65, 15},	//405 Plasma::Applet::configScheme() const
    {36, 844, 89, 1, Smoke::mf_const, 79, 16},	//406 Plasma::Applet::dataEngine(const QString&) const
    {36, 1419, 0, 0, Smoke::mf_const, 407, 17},	//407 Plasma::Applet::package() const
    {36, 2382, 0, 0, Smoke::mf_const, 226, 18},	//408 Plasma::Applet::view() const
    {36, 1334, 180, 2, Smoke::mf_const, 281, 19},	//409 Plasma::Applet::mapFromView(const QGraphicsView*, const QRect&) const
    {36, 1336, 183, 2, Smoke::mf_const, 280, 20},	//410 Plasma::Applet::mapToView(const QGraphicsView*, const QRectF&) const
    {36, 1471, 186, 1, Smoke::mf_const, 277, 21},	//411 Plasma::Applet::popupPosition(const QSize&) const
    {36, 1471, 188, 2, Smoke::mf_const, 277, 22},	//412 Plasma::Applet::popupPosition(const QSize&, Qt::AlignmentFlag) const
    {36, 2340, 191, 1, 0, 0, 23},	//413 Plasma::Applet::updateConstraints(QFlags<Plasma::Constraint>)
    {36, 1017, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 95, 24},	//414 Plasma::Applet::formFactor() const
    {36, 1319, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 110, 25},	//415 Plasma::Applet::location() const
    {36, 793, 0, 0, Smoke::mf_const, 76, 26},	//416 Plasma::Applet::context() const
    {36, 681, 0, 0, Smoke::mf_const, 50, 27},	//417 Plasma::Applet::aspectRatioMode() const
    {36, 1682, 193, 1, 0, 0, 28},	//418 Plasma::Applet::setAspectRatioMode(Plasma::AspectRatioMode)
    {36, 1243, 77, 2, Smoke::mf_static, 240, 29},	//419 Plasma::Applet::listAppletInfo(const QString&, const QString&)
    {36, 1246, 89, 1, Smoke::mf_static, 240, 30},	//420 Plasma::Applet::listAppletInfoForMimetype(const QString&)
    {36, 1248, 195, 1, Smoke::mf_static, 240, 31},	//421 Plasma::Applet::listAppletInfoForUrl(const QUrl&)
    {36, 1252, 197, 2, Smoke::mf_static, 292, 32},	//422 Plasma::Applet::listCategories(const QString&, bool)
    {36, 1763, 200, 1, 0, 0, 33},	//423 Plasma::Applet::setCustomCategories(const QStringList&)
    {36, 840, 0, 0, 0, 292, 34},	//424 Plasma::Applet::customCategories()
    {36, 1308, 202, 3, Smoke::mf_static, 47, 35},	//425 Plasma::Applet::loadPlasmoid(const QString&, unsigned int, const QList<QVariant>&)
    {36, 1286, 202, 3, Smoke::mf_static, 47, 36},	//426 Plasma::Applet::load(const QString&, unsigned int, const QList<QVariant>&)
    {36, 1286, 206, 3, Smoke::mf_static, 47, 37},	//427 Plasma::Applet::load(const KPluginInfo&, unsigned int, const QList<QVariant>&)
    {36, 712, 210, 1, Smoke::mf_static, 291, 38},	//428 Plasma::Applet::category(const KPluginInfo&)
    {36, 712, 89, 1, Smoke::mf_static, 291, 39},	//429 Plasma::Applet::category(const QString&)
    {36, 1442, 212, 3, Smoke::mf_virtual, 0, 40},	//430 Plasma::Applet::paintInterface(QPainter*, const QStyleOptionGraphicsItem*, const QRect&)
    {36, 1391, 0, 0, Smoke::mf_const|Smoke::mf_property, 291, 41},	//431 Plasma::Applet::name() const
    {36, 1010, 0, 0, Smoke::mf_const, 209, 42},	//432 Plasma::Applet::font() const
    {36, 1463, 0, 0, Smoke::mf_const|Smoke::mf_property, 291, 43},	//433 Plasma::Applet::pluginName() const
    {36, 2171, 0, 0, Smoke::mf_const|Smoke::mf_property, 384, 44},	//434 Plasma::Applet::shouldConserveResources() const
    {36, 1080, 0, 0, Smoke::mf_const, 291, 45},	//435 Plasma::Applet::icon() const
    {36, 712, 0, 0, Smoke::mf_const|Smoke::mf_property, 291, 46},	//436 Plasma::Applet::category() const
    {36, 1087, 0, 0, Smoke::mf_const|Smoke::mf_property, 103, 47},	//437 Plasma::Applet::immutability() const
    {36, 1444, 216, 3, Smoke::mf_virtual, 0, 48},	//438 Plasma::Applet::paintWindowFrame(QPainter*, const QStyleOptionGraphicsItem*, QWidget*)
    {36, 1050, 0, 0, Smoke::mf_const|Smoke::mf_property, 384, 49},	//439 Plasma::Applet::hasFailedToLaunch() const
    {36, 1127, 0, 0, Smoke::mf_const|Smoke::mf_property, 384, 50},	//440 Plasma::Applet::isBusy() const
    {36, 750, 0, 0, Smoke::mf_const|Smoke::mf_property, 384, 51},	//441 Plasma::Applet::configurationRequired() const
    {36, 1045, 0, 0, Smoke::mf_const|Smoke::mf_property, 384, 52},	//442 Plasma::Applet::hasConfigurationInterface() const
    {36, 801, 0, 0, Smoke::mf_virtual, 253, 53},	//443 Plasma::Applet::contextualActions()
    {36, 562, 220, 1, Smoke::mf_const, 181, 54},	//444 Plasma::Applet::action(QString) const
    {36, 579, 222, 2, 0, 0, 55},	//445 Plasma::Applet::addAction(QString, QAction*)
    {36, 1706, 225, 1, 0, 0, 56},	//446 Plasma::Applet::setBackgroundHints(const QFlags<Plasma::Applet::BackgroundHint>)
    {36, 702, 0, 0, Smoke::mf_const, 197, 57},	//447 Plasma::Applet::backgroundHints() const
    {36, 1133, 0, 0, Smoke::mf_const, 384, 58},	//448 Plasma::Applet::isContainment() const
    {36, 1639, 0, 0, Smoke::mf_const, 280, 59},	//449 Plasma::Applet::screenRect() const
    {36, 2321, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 475, 60},	//450 Plasma::Applet::type() const
    {36, 770, 0, 0, Smoke::mf_const, 67, 61},	//451 Plasma::Applet::containment() const
    {36, 1836, 227, 1, 0, 0, 62},	//452 Plasma::Applet::setGlobalShortcut(const KShortcut&)
    {36, 1035, 0, 0, Smoke::mf_const, 20, 63},	//453 Plasma::Applet::globalShortcut() const
    {36, 1150, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 384, 64},	//454 Plasma::Applet::isPopupShowing() const
    {36, 590, 57, 1, Smoke::mf_virtual, 0, 65},	//455 Plasma::Applet::addAssociatedWidget(QWidget*)
    {36, 1539, 57, 1, Smoke::mf_virtual, 0, 66},	//456 Plasma::Applet::removeAssociatedWidget(QWidget*)
    {36, 1098, 229, 1, Smoke::mf_virtual, 0, 67},	//457 Plasma::Applet::initExtenderItem(Plasma::ExtenderItem*)
    {36, 38, 231, 3, Smoke::mf_ctor, 47, 68},	//458 Plasma::Applet::Applet(QGraphicsItem*, const QString&, unsigned int)
    {36, 38, 235, 3, Smoke::mf_ctor, 47, 69},	//459 Plasma::Applet::Applet(const KPluginInfo&, QGraphicsItem*, unsigned int)
    {36, 38, 239, 4, Smoke::mf_ctor, 47, 70},	//460 Plasma::Applet::Applet(QGraphicsItem*, const QString&, unsigned int, const QList<QVariant>&)
    {36, 859, 0, 0, Smoke::mf_const, 384, 71},	//461 Plasma::Applet::destroyed() const
    {36, 810, 244, 1, Smoke::mf_virtual, 0, 72},	//462 Plasma::Applet::createConfigurationInterface(KConfigDialog*)
    {36, 1043, 89, 1, Smoke::mf_const, 384, 73},	//463 Plasma::Applet::hasAuthorization(const QString&) const
    {36, 1684, 89, 1, 0, 0, 74},	//464 Plasma::Applet::setAssociatedApplication(const QString&)
    {36, 1686, 246, 1, 0, 0, 75},	//465 Plasma::Applet::setAssociatedApplicationUrls(const KUrl::List&)
    {36, 686, 0, 0, Smoke::mf_const, 291, 76},	//466 Plasma::Applet::associatedApplication() const
    {36, 687, 0, 0, Smoke::mf_const, 25, 77},	//467 Plasma::Applet::associatedApplicationUrls() const
    {36, 1058, 0, 0, Smoke::mf_const, 384, 78},	//468 Plasma::Applet::hasValidAssociatedApplication() const
    {36, 1520, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 79},	//469 Plasma::Applet::releaseVisualFocus()
    {36, 1025, 0, 0, Smoke::mf_protected, 0, 80},	//470 Plasma::Applet::geometryChanged()
    {36, 677, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 81},	//471 Plasma::Applet::appletTransformedByUser()
    {36, 678, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 82},	//472 Plasma::Applet::appletTransformedItself()
    {36, 2210, 248, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 83},	//473 Plasma::Applet::sizeHintChanged(Qt::SizeHint)
    {36, 746, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 84},	//474 Plasma::Applet::configNeedsSaving()
    {36, 573, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 85},	//475 Plasma::Applet::activate()
    {36, 1354, 250, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 86},	//476 Plasma::Applet::messageButtonPressed(const Plasma::MessageButton)
    {36, 672, 252, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 87},	//477 Plasma::Applet::appletDestroyed(Plasma::Applet*)
    {36, 1396, 254, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 88},	//478 Plasma::Applet::newStatus(Plasma::ItemStatus)
    {36, 972, 229, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 89},	//479 Plasma::Applet::extenderItemRestored(Plasma::ExtenderItem*)
    {36, 1088, 256, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 90},	//480 Plasma::Applet::immutabilityChanged(Plasma::ImmutabilityType)
    {36, 1877, 258, 1, Smoke::mf_property|Smoke::mf_slot, 0, 91},	//481 Plasma::Applet::setImmutability(const Plasma::ImmutabilityType)
    {36, 857, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 92},	//482 Plasma::Applet::destroy()
    {36, 2177, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 93},	//483 Plasma::Applet::showConfigurationInterface()
    {36, 2177, 57, 1, Smoke::mf_slot, 0, 94},	//484 Plasma::Applet::showConfigurationInterface(QWidget*)
    {36, 1166, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_slot, 384, 95},	//485 Plasma::Applet::isUserConfiguring() const
    {36, 1497, 0, 0, Smoke::mf_slot, 0, 96},	//486 Plasma::Applet::raise()
    {36, 1327, 0, 0, Smoke::mf_slot, 0, 97},	//487 Plasma::Applet::lower()
    {36, 1000, 0, 0, Smoke::mf_slot, 0, 98},	//488 Plasma::Applet::flushPendingConstraintsEvents()
    {36, 1096, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 99},	//489 Plasma::Applet::init()
    {36, 745, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 100},	//490 Plasma::Applet::configChanged()
    {36, 1710, 7, 1, Smoke::mf_property|Smoke::mf_slot, 0, 101},	//491 Plasma::Applet::setBusy(bool)
    {36, 2229, 0, 0, Smoke::mf_const|Smoke::mf_slot, 303, 102},	//492 Plasma::Applet::startupArguments() const
    {36, 2232, 0, 0, Smoke::mf_const|Smoke::mf_slot, 106, 103},	//493 Plasma::Applet::status() const
    {36, 2051, 260, 1, Smoke::mf_slot, 0, 104},	//494 Plasma::Applet::setStatus(const Plasma::ItemStatus)
    {36, 1488, 262, 2, Smoke::mf_slot, 0, 105},	//495 Plasma::Applet::publish(Plasma::AnnouncementMethods, const QString&)
    {36, 2330, 0, 0, Smoke::mf_slot, 0, 106},	//496 Plasma::Applet::unpublish()
    {36, 1152, 0, 0, Smoke::mf_const|Smoke::mf_slot, 384, 107},	//497 Plasma::Applet::isPublished() const
    {36, 1607, 0, 0, Smoke::mf_slot, 0, 108},	//498 Plasma::Applet::runAssociatedApplication()
    {36, 38, 70, 2, Smoke::mf_ctor|Smoke::mf_protected, 47, 109},	//499 Plasma::Applet::Applet(QObject*, const QList<QVariant>&)
    {36, 1820, 265, 2, Smoke::mf_protected, 0, 110},	//500 Plasma::Applet::setFailedToLaunch(bool, const QString&)
    {36, 1619, 178, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 0, 111},	//501 Plasma::Applet::saveState(KConfigGroup&) const
    {36, 1845, 7, 1, Smoke::mf_protected, 0, 112},	//502 Plasma::Applet::setHasConfigurationInterface(bool)
    {36, 1732, 265, 2, Smoke::mf_protected, 0, 113},	//503 Plasma::Applet::setConfigurationRequired(bool, const QString&)
    {36, 2189, 268, 3, Smoke::mf_protected, 0, 114},	//504 Plasma::Applet::showMessage(const QIcon&, const QString&, const QFlags<Plasma::MessageButton>)
    {36, 765, 191, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 115},	//505 Plasma::Applet::constraintsEvent(QFlags<Plasma::Constraint>)
    {36, 1507, 170, 1, Smoke::mf_protected, 0, 116},	//506 Plasma::Applet::registerAsDragHandle(QGraphicsItem*)
    {36, 2331, 170, 1, Smoke::mf_protected, 0, 117},	//507 Plasma::Applet::unregisterAsDragHandle(QGraphicsItem*)
    {36, 1154, 170, 1, Smoke::mf_protected, 384, 118},	//508 Plasma::Applet::isRegisteredAsDragHandle(QGraphicsItem*)
    {36, 971, 0, 0, Smoke::mf_const|Smoke::mf_protected, 89, 119},	//509 Plasma::Applet::extender() const
    {36, 959, 272, 2, Smoke::mf_protected|Smoke::mf_virtual, 384, 120},	//510 Plasma::Applet::eventFilter(QObject*, QEvent*)
    {36, 1627, 275, 2, Smoke::mf_protected|Smoke::mf_virtual, 384, 121},	//511 Plasma::Applet::sceneEventFilter(QGraphicsItem*, QEvent*)
    {36, 1373, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 122},	//512 Plasma::Applet::mouseMoveEvent(QGraphicsSceneMouseEvent*)
    {36, 1003, 280, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 123},	//513 Plasma::Applet::focusInEvent(QFocusEvent*)
    {36, 1590, 282, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 124},	//514 Plasma::Applet::resizeEvent(QGraphicsSceneResizeEvent*)
    {36, 1184, 284, 2, Smoke::mf_protected|Smoke::mf_virtual, 302, 125},	//515 Plasma::Applet::itemChange(QGraphicsItem::GraphicsItemChange, const QVariant&)
    {36, 2169, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 274, 126},	//516 Plasma::Applet::shape() const
    {36, 2206, 287, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 289, 127},	//517 Plasma::Applet::sizeHint(Qt::SizeHint, const QSizeF&) const
    {36, 1073, 290, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 128},	//518 Plasma::Applet::hoverEnterEvent(QGraphicsSceneHoverEvent*)
    {36, 1075, 290, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 129},	//519 Plasma::Applet::hoverLeaveEvent(QGraphicsSceneHoverEvent*)
    {36, 2297, 176, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 130},	//520 Plasma::Applet::timerEvent(QTimerEvent*)
    {36, 2312, 1, 1, Smoke::mf_static, 291, 131},	//521 Plasma::Applet::tr(const char*)
    {36, 2316, 1, 1, Smoke::mf_static, 291, 132},	//522 Plasma::Applet::trUtf8(const char*)
    {36, 2340, 0, 0, 0, 0, 133},	//523 Plasma::Applet::updateConstraints()
    {36, 1243, 0, 0, Smoke::mf_static, 240, 134},	//524 Plasma::Applet::listAppletInfo()
    {36, 1243, 89, 1, Smoke::mf_static, 240, 135},	//525 Plasma::Applet::listAppletInfo(const QString&)
    {36, 1252, 0, 0, Smoke::mf_static, 292, 136},	//526 Plasma::Applet::listCategories()
    {36, 1252, 89, 1, Smoke::mf_static, 292, 137},	//527 Plasma::Applet::listCategories(const QString&)
    {36, 1308, 89, 1, Smoke::mf_static, 47, 138},	//528 Plasma::Applet::loadPlasmoid(const QString&)
    {36, 1308, 292, 2, Smoke::mf_static, 47, 139},	//529 Plasma::Applet::loadPlasmoid(const QString&, unsigned int)
    {36, 1286, 89, 1, Smoke::mf_static, 47, 140},	//530 Plasma::Applet::load(const QString&)
    {36, 1286, 292, 2, Smoke::mf_static, 47, 141},	//531 Plasma::Applet::load(const QString&, unsigned int)
    {36, 1286, 210, 1, Smoke::mf_static, 47, 142},	//532 Plasma::Applet::load(const KPluginInfo&)
    {36, 1286, 295, 2, Smoke::mf_static, 47, 143},	//533 Plasma::Applet::load(const KPluginInfo&, unsigned int)
    {36, 38, 0, 0, Smoke::mf_ctor, 47, 144},	//534 Plasma::Applet::Applet()
    {36, 38, 170, 1, Smoke::mf_ctor, 47, 145},	//535 Plasma::Applet::Applet(QGraphicsItem*)
    {36, 38, 298, 2, Smoke::mf_ctor, 47, 146},	//536 Plasma::Applet::Applet(QGraphicsItem*, const QString&)
    {36, 38, 210, 1, Smoke::mf_ctor, 47, 147},	//537 Plasma::Applet::Applet(const KPluginInfo&)
    {36, 38, 301, 2, Smoke::mf_ctor, 47, 148},	//538 Plasma::Applet::Applet(const KPluginInfo&, QGraphicsItem*)
    {36, 1820, 7, 1, Smoke::mf_protected, 0, 149},	//539 Plasma::Applet::setFailedToLaunch(bool)
    {36, 1732, 7, 1, Smoke::mf_protected, 0, 150},	//540 Plasma::Applet::setConfigurationRequired(bool)
    {36, 2206, 248, 1, Smoke::mf_const|Smoke::mf_protected, 289, 151},	//541 Plasma::Applet::sizeHint(Qt::SizeHint) const
    {36, 2231, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 439, 152},	//542 Plasma::Applet::staticMetaObject() const
    {36, 326, 0, 0, Smoke::mf_static|Smoke::mf_enum, 48, 153},	//543 Plasma::Applet::NoBackground (enum)
    {36, 462, 0, 0, Smoke::mf_static|Smoke::mf_enum, 48, 154},	//544 Plasma::Applet::StandardBackground (enum)
    {36, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 48, 155},	//545 Plasma::Applet::TranslucentBackground (enum)
    {36, 132, 0, 0, Smoke::mf_static|Smoke::mf_enum, 48, 156},	//546 Plasma::Applet::DefaultBackground (enum)
    {36, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 477, 157},	//547 Plasma::Applet::Type (enum)
    {36, 2423, 0, 0, Smoke::mf_dtor, 0, 158 },	//548 Plasma::Applet::~Applet()
    {37, 1356, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 440, 1},	//549 Plasma::AppletScript::metaObject() const
    {37, 1492, 1, 1, Smoke::mf_virtual, 484, 2},	//550 Plasma::AppletScript::qt_metacast(const char*)
    {37, 2312, 43, 2, Smoke::mf_static, 291, 3},	//551 Plasma::AppletScript::tr(const char*, const char*)
    {37, 2316, 43, 2, Smoke::mf_static, 291, 4},	//552 Plasma::AppletScript::trUtf8(const char*, const char*)
    {37, 2312, 46, 3, Smoke::mf_static, 291, 5},	//553 Plasma::AppletScript::tr(const char*, const char*, int)
    {37, 2316, 46, 3, Smoke::mf_static, 291, 6},	//554 Plasma::AppletScript::trUtf8(const char*, const char*, int)
    {37, 1490, 3, 3, Smoke::mf_virtual, 475, 7},	//555 Plasma::AppletScript::qt_metacall(QMetaObject::Call, int, void**)
    {37, 47, 97, 1, Smoke::mf_ctor, 49, 8},	//556 Plasma::AppletScript::AppletScript(QObject*)
    {37, 1676, 252, 1, 0, 0, 9},	//557 Plasma::AppletScript::setApplet(Plasma::Applet*)
    {37, 669, 0, 0, Smoke::mf_const, 47, 10},	//558 Plasma::AppletScript::applet() const
    {37, 1442, 212, 3, Smoke::mf_virtual, 0, 11},	//559 Plasma::AppletScript::paintInterface(QPainter*, const QStyleOptionGraphicsItem*, const QRect&)
    {37, 2202, 0, 0, Smoke::mf_const, 289, 12},	//560 Plasma::AppletScript::size() const
    {37, 765, 191, 1, Smoke::mf_virtual, 0, 13},	//561 Plasma::AppletScript::constraintsEvent(QFlags<Plasma::Constraint>)
    {37, 801, 0, 0, Smoke::mf_virtual, 253, 14},	//562 Plasma::AppletScript::contextualActions()
    {37, 2169, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 274, 15},	//563 Plasma::AppletScript::shape() const
    {37, 1845, 7, 1, 0, 0, 16},	//564 Plasma::AppletScript::setHasConfigurationInterface(bool)
    {37, 1732, 265, 2, 0, 0, 17},	//565 Plasma::AppletScript::setConfigurationRequired(bool, const QString&)
    {37, 1820, 265, 2, 0, 0, 18},	//566 Plasma::AppletScript::setFailedToLaunch(bool, const QString&)
    {37, 746, 0, 0, Smoke::mf_const, 0, 19},	//567 Plasma::AppletScript::configNeedsSaving() const
    {37, 971, 0, 0, Smoke::mf_const, 89, 20},	//568 Plasma::AppletScript::extender() const
    {37, 908, 0, 0, Smoke::mf_const, 384, 21},	//569 Plasma::AppletScript::drawWallpaper() const
    {37, 1797, 7, 1, 0, 0, 22},	//570 Plasma::AppletScript::setDrawWallpaper(bool)
    {37, 784, 0, 0, Smoke::mf_const, 71, 23},	//571 Plasma::AppletScript::containmentType() const
    {37, 1741, 304, 1, 0, 0, 24},	//572 Plasma::AppletScript::setContainmentType(Plasma::Containment::Type)
    {37, 1619, 178, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_signal, 0, 25},	//573 Plasma::AppletScript::saveState(KConfigGroup&) const
    {37, 1467, 7, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_signal, 0, 26},	//574 Plasma::AppletScript::popupEvent(bool) const
    {37, 2177, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 27},	//575 Plasma::AppletScript::showConfigurationInterface()
    {37, 745, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 28},	//576 Plasma::AppletScript::configChanged()
    {37, 844, 89, 1, Smoke::mf_const|Smoke::mf_protected, 79, 29},	//577 Plasma::AppletScript::dataEngine(const QString&) const
    {37, 1329, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 291, 30},	//578 Plasma::AppletScript::mainScript() const
    {37, 1419, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 407, 31},	//579 Plasma::AppletScript::package() const
    {37, 854, 0, 0, Smoke::mf_const|Smoke::mf_protected, 12, 32},	//580 Plasma::AppletScript::description() const
    {37, 2224, 0, 0, Smoke::mf_protected, 5, 33},	//581 Plasma::AppletScript::standardConfigurationDialog()
    {37, 629, 244, 1, Smoke::mf_protected, 0, 34},	//582 Plasma::AppletScript::addStandardConfigurationPages(KConfigDialog*)
    {37, 2189, 268, 3, Smoke::mf_protected, 0, 35},	//583 Plasma::AppletScript::showMessage(const QIcon&, const QString&, const QFlags<Plasma::MessageButton>)
    {37, 1507, 170, 1, Smoke::mf_protected, 0, 36},	//584 Plasma::AppletScript::registerAsDragHandle(QGraphicsItem*)
    {37, 2331, 170, 1, Smoke::mf_protected, 0, 37},	//585 Plasma::AppletScript::unregisterAsDragHandle(QGraphicsItem*)
    {37, 1154, 170, 1, Smoke::mf_protected, 384, 38},	//586 Plasma::AppletScript::isRegisteredAsDragHandle(QGraphicsItem*)
    {37, 1299, 149, 2, Smoke::mf_protected, 37, 39},	//587 Plasma::AppletScript::loadAnimationFromPackage(const QString&, QObject*)
    {37, 2312, 1, 1, Smoke::mf_static, 291, 40},	//588 Plasma::AppletScript::tr(const char*)
    {37, 2316, 1, 1, Smoke::mf_static, 291, 41},	//589 Plasma::AppletScript::trUtf8(const char*)
    {37, 47, 0, 0, Smoke::mf_ctor, 49, 42},	//590 Plasma::AppletScript::AppletScript()
    {37, 1732, 7, 1, 0, 0, 43},	//591 Plasma::AppletScript::setConfigurationRequired(bool)
    {37, 1820, 7, 1, 0, 0, 44},	//592 Plasma::AppletScript::setFailedToLaunch(bool)
    {37, 2231, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 439, 45},	//593 Plasma::AppletScript::staticMetaObject() const
    {37, 2424, 0, 0, Smoke::mf_dtor, 0, 46 },	//594 Plasma::AppletScript::~AppletScript()
    {38, 691, 306, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 1},	//595 Plasma::AuthorizationInterface::authorizationRequest(Plasma::AuthorizationRule&) [pure virtual]
    {38, 733, 308, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 2},	//596 Plasma::AuthorizationInterface::clientPinRequest(Plasma::ClientPinRequest&) [pure virtual]
    {38, 51, 0, 0, Smoke::mf_ctor|Smoke::mf_protected, 51, 3},	//597 Plasma::AuthorizationInterface::AuthorizationInterface()
    {38, 51, 310, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 51, 4},	//598 Plasma::AuthorizationInterface::AuthorizationInterface(const Plasma::AuthorizationInterface&)
    {38, 2425, 0, 0, Smoke::mf_dtor, 0, 5 },	//599 Plasma::AuthorizationInterface::~AuthorizationInterface()
    {39, 1356, 0, 0, Smoke::mf_const, 440, 1},	//600 Plasma::AuthorizationManager::metaObject() const
    {39, 1492, 1, 1, 0, 484, 2},	//601 Plasma::AuthorizationManager::qt_metacast(const char*)
    {39, 2312, 43, 2, Smoke::mf_static, 291, 3},	//602 Plasma::AuthorizationManager::tr(const char*, const char*)
    {39, 2316, 43, 2, Smoke::mf_static, 291, 4},	//603 Plasma::AuthorizationManager::trUtf8(const char*, const char*)
    {39, 2312, 46, 3, Smoke::mf_static, 291, 5},	//604 Plasma::AuthorizationManager::tr(const char*, const char*, int)
    {39, 2316, 46, 3, Smoke::mf_static, 291, 6},	//605 Plasma::AuthorizationManager::trUtf8(const char*, const char*, int)
    {39, 1490, 3, 3, 0, 475, 7},	//606 Plasma::AuthorizationManager::qt_metacall(QMetaObject::Call, int, void**)
    {39, 1652, 0, 0, Smoke::mf_static, 52, 8},	//607 Plasma::AuthorizationManager::self()
    {39, 1692, 312, 1, 0, 0, 9},	//608 Plasma::AuthorizationManager::setAuthorizationPolicy(Plasma::AuthorizationManager::AuthorizationPolicy)
    {39, 1690, 314, 1, 0, 0, 10},	//609 Plasma::AuthorizationManager::setAuthorizationInterface(Plasma::AuthorizationInterface*)
    {39, 1502, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 11},	//610 Plasma::AuthorizationManager::readyForRemoteAccess()
    {39, 2312, 1, 1, Smoke::mf_static, 291, 12},	//611 Plasma::AuthorizationManager::tr(const char*)
    {39, 2316, 1, 1, Smoke::mf_static, 291, 13},	//612 Plasma::AuthorizationManager::trUtf8(const char*)
    {39, 2231, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 439, 14},	//613 Plasma::AuthorizationManager::staticMetaObject() const
    {39, 139, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 15},	//614 Plasma::AuthorizationManager::DenyAll (enum)
    {39, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 16},	//615 Plasma::AuthorizationManager::TrustedOnly (enum)
    {39, 369, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 17},	//616 Plasma::AuthorizationManager::PinPairing (enum)
    {39, 119, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 18},	//617 Plasma::AuthorizationManager::Custom (enum)
    {40, 1356, 0, 0, Smoke::mf_const, 440, 1},	//618 Plasma::AuthorizationRule::metaObject() const
    {40, 1492, 1, 1, 0, 484, 2},	//619 Plasma::AuthorizationRule::qt_metacast(const char*)
    {40, 2312, 43, 2, Smoke::mf_static, 291, 3},	//620 Plasma::AuthorizationRule::tr(const char*, const char*)
    {40, 2316, 43, 2, Smoke::mf_static, 291, 4},	//621 Plasma::AuthorizationRule::trUtf8(const char*, const char*)
    {40, 2312, 46, 3, Smoke::mf_static, 291, 5},	//622 Plasma::AuthorizationRule::tr(const char*, const char*, int)
    {40, 2316, 46, 3, Smoke::mf_static, 291, 6},	//623 Plasma::AuthorizationRule::trUtf8(const char*, const char*, int)
    {40, 1490, 3, 3, 0, 475, 7},	//624 Plasma::AuthorizationRule::qt_metacall(QMetaObject::Call, int, void**)
    {40, 854, 0, 0, Smoke::mf_const, 291, 8},	//625 Plasma::AuthorizationRule::description() const
    {40, 1961, 316, 1, 0, 0, 9},	//626 Plasma::AuthorizationRule::setPolicy(Plasma::AuthorizationRule::Policy)
    {40, 1464, 0, 0, 0, 57, 10},	//627 Plasma::AuthorizationRule::policy()
    {40, 1955, 318, 1, 0, 0, 11},	//628 Plasma::AuthorizationRule::setPersistence(Plasma::AuthorizationRule::Persistence)
    {40, 1457, 0, 0, 0, 56, 12},	//629 Plasma::AuthorizationRule::persistence()
    {40, 2086, 320, 1, 0, 0, 13},	//630 Plasma::AuthorizationRule::setTargets(QFlags<Plasma::AuthorizationRule::Target>)
    {40, 2280, 0, 0, 0, 198, 14},	//631 Plasma::AuthorizationRule::targets()
    {40, 1957, 89, 1, 0, 0, 15},	//632 Plasma::AuthorizationRule::setPin(const QString&)
    {40, 1458, 0, 0, Smoke::mf_const, 291, 16},	//633 Plasma::AuthorizationRule::pin() const
    {40, 1656, 0, 0, Smoke::mf_const, 291, 17},	//634 Plasma::AuthorizationRule::serviceName() const
    {40, 717, 322, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 18},	//635 Plasma::AuthorizationRule::changed(Plasma::AuthorizationRule*)
    {40, 2312, 1, 1, Smoke::mf_static, 291, 19},	//636 Plasma::AuthorizationRule::tr(const char*)
    {40, 2316, 1, 1, Smoke::mf_static, 291, 20},	//637 Plasma::AuthorizationRule::trUtf8(const char*)
    {40, 2231, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 439, 21},	//638 Plasma::AuthorizationRule::staticMetaObject() const
    {40, 138, 0, 0, Smoke::mf_static|Smoke::mf_enum, 57, 22},	//639 Plasma::AuthorizationRule::Deny (enum)
    {40, 28, 0, 0, Smoke::mf_static|Smoke::mf_enum, 57, 23},	//640 Plasma::AuthorizationRule::Allow (enum)
    {40, 370, 0, 0, Smoke::mf_static|Smoke::mf_enum, 57, 24},	//641 Plasma::AuthorizationRule::PinRequired (enum)
    {40, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 56, 25},	//642 Plasma::AuthorizationRule::Transient (enum)
    {40, 368, 0, 0, Smoke::mf_static|Smoke::mf_enum, 56, 26},	//643 Plasma::AuthorizationRule::Persistent (enum)
    {40, 131, 0, 0, Smoke::mf_static|Smoke::mf_enum, 58, 27},	//644 Plasma::AuthorizationRule::Default (enum)
    {40, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 58, 28},	//645 Plasma::AuthorizationRule::AllUsers (enum)
    {40, 26, 0, 0, Smoke::mf_static|Smoke::mf_enum, 58, 29},	//646 Plasma::AuthorizationRule::AllServices (enum)
    {40, 2426, 0, 0, Smoke::mf_dtor, 0, 30 },	//647 Plasma::AuthorizationRule::~AuthorizationRule()
    {41, 1356, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 440, 1},	//648 Plasma::BusyWidget::metaObject() const
    {41, 1492, 1, 1, Smoke::mf_virtual, 484, 2},	//649 Plasma::BusyWidget::qt_metacast(const char*)
    {41, 2312, 43, 2, Smoke::mf_static, 291, 3},	//650 Plasma::BusyWidget::tr(const char*, const char*)
    {41, 2316, 43, 2, Smoke::mf_static, 291, 4},	//651 Plasma::BusyWidget::trUtf8(const char*, const char*)
    {41, 2312, 46, 3, Smoke::mf_static, 291, 5},	//652 Plasma::BusyWidget::tr(const char*, const char*, int)
    {41, 2316, 46, 3, Smoke::mf_static, 291, 6},	//653 Plasma::BusyWidget::trUtf8(const char*, const char*, int)
    {41, 1490, 3, 3, Smoke::mf_virtual, 475, 7},	//654 Plasma::BusyWidget::qt_metacall(QMetaObject::Call, int, void**)
    {41, 68, 125, 1, Smoke::mf_ctor, 59, 8},	//655 Plasma::BusyWidget::BusyWidget(QGraphicsWidget*)
    {41, 2008, 7, 1, Smoke::mf_property, 0, 9},	//656 Plasma::BusyWidget::setRunning(bool)
    {41, 1158, 0, 0, Smoke::mf_const|Smoke::mf_property, 384, 10},	//657 Plasma::BusyWidget::isRunning() const
    {41, 1889, 89, 1, Smoke::mf_property, 0, 11},	//658 Plasma::BusyWidget::setLabel(const QString&)
    {41, 1211, 0, 0, Smoke::mf_const|Smoke::mf_property, 291, 12},	//659 Plasma::BusyWidget::label() const
    {41, 731, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 13},	//660 Plasma::BusyWidget::clicked()
    {41, 1425, 216, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 14},	//661 Plasma::BusyWidget::paint(QPainter*, const QStyleOptionGraphicsItem*, QWidget*)
    {41, 2185, 324, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 15},	//662 Plasma::BusyWidget::showEvent(QShowEvent*)
    {41, 1064, 326, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 16},	//663 Plasma::BusyWidget::hideEvent(QHideEvent*)
    {41, 1590, 282, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 17},	//664 Plasma::BusyWidget::resizeEvent(QGraphicsSceneResizeEvent*)
    {41, 1375, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 18},	//665 Plasma::BusyWidget::mousePressEvent(QGraphicsSceneMouseEvent*)
    {41, 1377, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 19},	//666 Plasma::BusyWidget::mouseReleaseEvent(QGraphicsSceneMouseEvent*)
    {41, 2297, 176, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 20},	//667 Plasma::BusyWidget::timerEvent(QTimerEvent*)
    {41, 2312, 1, 1, Smoke::mf_static, 291, 21},	//668 Plasma::BusyWidget::tr(const char*)
    {41, 2316, 1, 1, Smoke::mf_static, 291, 22},	//669 Plasma::BusyWidget::trUtf8(const char*)
    {41, 68, 0, 0, Smoke::mf_ctor, 59, 23},	//670 Plasma::BusyWidget::BusyWidget()
    {41, 1425, 328, 2, Smoke::mf_protected, 0, 24},	//671 Plasma::BusyWidget::paint(QPainter*, const QStyleOptionGraphicsItem*)
    {41, 2231, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 439, 25},	//672 Plasma::BusyWidget::staticMetaObject() const
    {41, 2427, 0, 0, Smoke::mf_dtor, 0, 26 },	//673 Plasma::BusyWidget::~BusyWidget()
    {42, 1356, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 440, 1},	//674 Plasma::CheckBox::metaObject() const
    {42, 1492, 1, 1, Smoke::mf_virtual, 484, 2},	//675 Plasma::CheckBox::qt_metacast(const char*)
    {42, 2312, 43, 2, Smoke::mf_static, 291, 3},	//676 Plasma::CheckBox::tr(const char*, const char*)
    {42, 2316, 43, 2, Smoke::mf_static, 291, 4},	//677 Plasma::CheckBox::trUtf8(const char*, const char*)
    {42, 2312, 46, 3, Smoke::mf_static, 291, 5},	//678 Plasma::CheckBox::tr(const char*, const char*, int)
    {42, 2316, 46, 3, Smoke::mf_static, 291, 6},	//679 Plasma::CheckBox::trUtf8(const char*, const char*, int)
    {42, 1490, 3, 3, Smoke::mf_virtual, 475, 7},	//680 Plasma::CheckBox::qt_metacall(QMetaObject::Call, int, void**)
    {42, 86, 125, 1, Smoke::mf_ctor, 60, 8},	//681 Plasma::CheckBox::CheckBox(QGraphicsWidget*)
    {42, 2088, 89, 1, Smoke::mf_property, 0, 9},	//682 Plasma::CheckBox::setText(const QString&)
    {42, 2282, 0, 0, Smoke::mf_const|Smoke::mf_property, 291, 10},	//683 Plasma::CheckBox::text() const
    {42, 1871, 89, 1, Smoke::mf_property, 0, 11},	//684 Plasma::CheckBox::setImage(const QString&)
    {42, 1084, 0, 0, Smoke::mf_const|Smoke::mf_property, 291, 12},	//685 Plasma::CheckBox::image() const
    {42, 2056, 89, 1, Smoke::mf_property, 0, 13},	//686 Plasma::CheckBox::setStyleSheet(const QString&)
    {42, 2244, 0, 0, Smoke::mf_property, 291, 14},	//687 Plasma::CheckBox::styleSheet()
    {42, 1393, 0, 0, Smoke::mf_const, 184, 15},	//688 Plasma::CheckBox::nativeWidget() const
    {42, 1720, 7, 1, Smoke::mf_property, 0, 16},	//689 Plasma::CheckBox::setChecked(bool)
    {42, 1129, 0, 0, Smoke::mf_const|Smoke::mf_property, 384, 17},	//690 Plasma::CheckBox::isChecked() const
    {42, 2301, 7, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 18},	//691 Plasma::CheckBox::toggled(bool)
    {42, 1590, 282, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 19},	//692 Plasma::CheckBox::resizeEvent(QGraphicsSceneResizeEvent*)
    {42, 715, 331, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 20},	//693 Plasma::CheckBox::changeEvent(QEvent*)
    {42, 2312, 1, 1, Smoke::mf_static, 291, 21},	//694 Plasma::CheckBox::tr(const char*)
    {42, 2316, 1, 1, Smoke::mf_static, 291, 22},	//695 Plasma::CheckBox::trUtf8(const char*)
    {42, 86, 0, 0, Smoke::mf_ctor, 60, 23},	//696 Plasma::CheckBox::CheckBox()
    {42, 2231, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 439, 24},	//697 Plasma::CheckBox::staticMetaObject() const
    {42, 2428, 0, 0, Smoke::mf_dtor, 0, 25 },	//698 Plasma::CheckBox::~CheckBox()
    {43, 1356, 0, 0, Smoke::mf_const, 440, 1},	//699 Plasma::ClientPinRequest::metaObject() const
    {43, 1492, 1, 1, 0, 484, 2},	//700 Plasma::ClientPinRequest::qt_metacast(const char*)
    {43, 2312, 43, 2, Smoke::mf_static, 291, 3},	//701 Plasma::ClientPinRequest::tr(const char*, const char*)
    {43, 2316, 43, 2, Smoke::mf_static, 291, 4},	//702 Plasma::ClientPinRequest::trUtf8(const char*, const char*)
    {43, 2312, 46, 3, Smoke::mf_static, 291, 5},	//703 Plasma::ClientPinRequest::tr(const char*, const char*, int)
    {43, 2316, 46, 3, Smoke::mf_static, 291, 6},	//704 Plasma::ClientPinRequest::trUtf8(const char*, const char*, int)
    {43, 1490, 3, 3, 0, 475, 7},	//705 Plasma::ClientPinRequest::qt_metacall(QMetaObject::Call, int, void**)
    {43, 854, 0, 0, Smoke::mf_const, 291, 8},	//706 Plasma::ClientPinRequest::description() const
    {43, 1957, 89, 1, 0, 0, 9},	//707 Plasma::ClientPinRequest::setPin(const QString&)
    {43, 1458, 0, 0, Smoke::mf_const, 291, 10},	//708 Plasma::ClientPinRequest::pin() const
    {43, 717, 333, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 11},	//709 Plasma::ClientPinRequest::changed(Plasma::ClientPinRequest*)
    {43, 2312, 1, 1, Smoke::mf_static, 291, 12},	//710 Plasma::ClientPinRequest::tr(const char*)
    {43, 2316, 1, 1, Smoke::mf_static, 291, 13},	//711 Plasma::ClientPinRequest::trUtf8(const char*)
    {43, 2231, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 439, 14},	//712 Plasma::ClientPinRequest::staticMetaObject() const
    {44, 1356, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 440, 1},	//713 Plasma::ComboBox::metaObject() const
    {44, 1492, 1, 1, Smoke::mf_virtual, 484, 2},	//714 Plasma::ComboBox::qt_metacast(const char*)
    {44, 2312, 43, 2, Smoke::mf_static, 291, 3},	//715 Plasma::ComboBox::tr(const char*, const char*)
    {44, 2316, 43, 2, Smoke::mf_static, 291, 4},	//716 Plasma::ComboBox::trUtf8(const char*, const char*)
    {44, 2312, 46, 3, Smoke::mf_static, 291, 5},	//717 Plasma::ComboBox::tr(const char*, const char*, int)
    {44, 2316, 46, 3, Smoke::mf_static, 291, 6},	//718 Plasma::ComboBox::trUtf8(const char*, const char*, int)
    {44, 1490, 3, 3, Smoke::mf_virtual, 475, 7},	//719 Plasma::ComboBox::qt_metacall(QMetaObject::Call, int, void**)
    {44, 89, 125, 1, Smoke::mf_ctor, 63, 8},	//720 Plasma::ComboBox::ComboBox(QGraphicsWidget*)
    {44, 2282, 0, 0, Smoke::mf_const|Smoke::mf_property, 291, 9},	//721 Plasma::ComboBox::text() const
    {44, 2056, 89, 1, Smoke::mf_property, 0, 10},	//722 Plasma::ComboBox::setStyleSheet(const QString&)
    {44, 2244, 0, 0, Smoke::mf_property, 291, 11},	//723 Plasma::ComboBox::styleSheet()
    {44, 1929, 335, 1, 0, 0, 12},	//724 Plasma::ComboBox::setNativeWidget(KComboBox*)
    {44, 1393, 0, 0, Smoke::mf_const, 3, 13},	//725 Plasma::ComboBox::nativeWidget() const
    {44, 606, 89, 1, 0, 0, 14},	//726 Plasma::ComboBox::addItem(const QString&)
    {44, 804, 0, 0, Smoke::mf_const|Smoke::mf_property, 475, 15},	//727 Plasma::ComboBox::count() const
    {44, 828, 0, 0, Smoke::mf_const|Smoke::mf_property, 475, 16},	//728 Plasma::ComboBox::currentIndex() const
    {44, 1761, 129, 1, Smoke::mf_property, 0, 17},	//729 Plasma::ComboBox::setCurrentIndex(int)
    {44, 722, 0, 0, Smoke::mf_slot, 0, 18},	//730 Plasma::ComboBox::clear()
    {44, 574, 89, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 19},	//731 Plasma::ComboBox::activated(const QString&)
    {44, 2284, 89, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 20},	//732 Plasma::ComboBox::textChanged(const QString&)
    {44, 829, 129, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 21},	//733 Plasma::ComboBox::currentIndexChanged(int)
    {44, 1590, 282, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 22},	//734 Plasma::ComboBox::resizeEvent(QGraphicsSceneResizeEvent*)
    {44, 1425, 216, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 23},	//735 Plasma::ComboBox::paint(QPainter*, const QStyleOptionGraphicsItem*, QWidget*)
    {44, 1003, 280, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 24},	//736 Plasma::ComboBox::focusInEvent(QFocusEvent*)
    {44, 1007, 280, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 25},	//737 Plasma::ComboBox::focusOutEvent(QFocusEvent*)
    {44, 1073, 290, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 26},	//738 Plasma::ComboBox::hoverEnterEvent(QGraphicsSceneHoverEvent*)
    {44, 1075, 290, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 27},	//739 Plasma::ComboBox::hoverLeaveEvent(QGraphicsSceneHoverEvent*)
    {44, 715, 331, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 28},	//740 Plasma::ComboBox::changeEvent(QEvent*)
    {44, 1375, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 29},	//741 Plasma::ComboBox::mousePressEvent(QGraphicsSceneMouseEvent*)
    {44, 2312, 1, 1, Smoke::mf_static, 291, 30},	//742 Plasma::ComboBox::tr(const char*)
    {44, 2316, 1, 1, Smoke::mf_static, 291, 31},	//743 Plasma::ComboBox::trUtf8(const char*)
    {44, 89, 0, 0, Smoke::mf_ctor, 63, 32},	//744 Plasma::ComboBox::ComboBox()
    {44, 2231, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 439, 33},	//745 Plasma::ComboBox::staticMetaObject() const
    {44, 2429, 0, 0, Smoke::mf_dtor, 0, 34 },	//746 Plasma::ComboBox::~ComboBox()
    {45, 92, 337, 3, Smoke::mf_ctor, 65, 1},	//747 Plasma::ConfigLoader::ConfigLoader(const QString&, QIODevice*, QObject*)
    {45, 92, 341, 3, Smoke::mf_ctor, 65, 2},	//748 Plasma::ConfigLoader::ConfigLoader(KSharedPtr<KSharedConfig>, QIODevice*, QObject*)
    {45, 92, 345, 3, Smoke::mf_ctor, 65, 3},	//749 Plasma::ConfigLoader::ConfigLoader(const KConfigGroup*, QIODevice*, QObject*)
    {45, 986, 77, 2, 0, 8, 4},	//750 Plasma::ConfigLoader::findItem(const QString&, const QString&)
    {45, 988, 89, 1, 0, 8, 5},	//751 Plasma::ConfigLoader::findItemByName(const QString&)
    {45, 1485, 89, 1, 0, 302, 6},	//752 Plasma::ConfigLoader::property(const QString&)
    {45, 1051, 89, 1, Smoke::mf_const, 384, 7},	//753 Plasma::ConfigLoader::hasGroup(const QString&) const
    {45, 1041, 0, 0, Smoke::mf_const, 292, 8},	//754 Plasma::ConfigLoader::groupList() const
    {45, 2367, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 9},	//755 Plasma::ConfigLoader::usrWriteConfig()
    {45, 92, 349, 2, Smoke::mf_ctor, 65, 10},	//756 Plasma::ConfigLoader::ConfigLoader(const QString&, QIODevice*)
    {45, 92, 352, 2, Smoke::mf_ctor, 65, 11},	//757 Plasma::ConfigLoader::ConfigLoader(KSharedPtr<KSharedConfig>, QIODevice*)
    {45, 92, 355, 2, Smoke::mf_ctor, 65, 12},	//758 Plasma::ConfigLoader::ConfigLoader(const KConfigGroup*, QIODevice*)
    {45, 2430, 0, 0, Smoke::mf_dtor, 0, 13 },	//759 Plasma::ConfigLoader::~ConfigLoader()
    {46, 1356, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 440, 1},	//760 Plasma::Containment::metaObject() const
    {46, 1492, 1, 1, Smoke::mf_virtual, 484, 2},	//761 Plasma::Containment::qt_metacast(const char*)
    {46, 2312, 43, 2, Smoke::mf_static, 291, 3},	//762 Plasma::Containment::tr(const char*, const char*)
    {46, 2316, 43, 2, Smoke::mf_static, 291, 4},	//763 Plasma::Containment::trUtf8(const char*, const char*)
    {46, 2312, 46, 3, Smoke::mf_static, 291, 5},	//764 Plasma::Containment::tr(const char*, const char*, int)
    {46, 2316, 46, 3, Smoke::mf_static, 291, 6},	//765 Plasma::Containment::trUtf8(const char*, const char*, int)
    {46, 1490, 3, 3, Smoke::mf_virtual, 475, 7},	//766 Plasma::Containment::qt_metacall(QMetaObject::Call, int, void**)
    {46, 101, 231, 3, Smoke::mf_ctor, 67, 8},	//767 Plasma::Containment::Containment(QGraphicsItem*, const QString&, unsigned int)
    {46, 101, 70, 2, Smoke::mf_ctor, 67, 9},	//768 Plasma::Containment::Containment(QObject*, const QList<QVariant>&)
    {46, 1096, 0, 0, Smoke::mf_virtual, 0, 10},	//769 Plasma::Containment::init()
    {46, 784, 0, 0, Smoke::mf_const, 71, 11},	//770 Plasma::Containment::containmentType() const
    {46, 803, 0, 0, Smoke::mf_const, 77, 12},	//771 Plasma::Containment::corona() const
    {46, 1257, 77, 2, Smoke::mf_static, 240, 13},	//772 Plasma::Containment::listContainments(const QString&, const QString&)
    {46, 1262, 358, 3, Smoke::mf_static, 240, 14},	//773 Plasma::Containment::listContainmentsOfType(const QString&, const QString&, const QString&)
    {46, 1256, 0, 0, Smoke::mf_static, 292, 15},	//774 Plasma::Containment::listContainmentTypes()
    {46, 1260, 89, 1, Smoke::mf_static, 240, 16},	//775 Plasma::Containment::listContainmentsForMimetype(const QString&)
    {46, 583, 362, 3, 0, 47, 17},	//776 Plasma::Containment::addApplet(const QString&, const QList<QVariant>&, const QRectF&)
    {46, 583, 366, 3, 0, 0, 18},	//777 Plasma::Containment::addApplet(Plasma::Applet*, const QPointF&, bool)
    {46, 679, 0, 0, Smoke::mf_const, 244, 19},	//778 Plasma::Containment::applets() const
    {46, 724, 0, 0, 0, 0, 20},	//779 Plasma::Containment::clearApplets()
    {46, 2012, 370, 2, 0, 0, 21},	//780 Plasma::Containment::setScreen(int, int)
    {46, 1632, 0, 0, Smoke::mf_const, 475, 22},	//781 Plasma::Containment::screen() const
    {46, 1224, 0, 0, Smoke::mf_const, 475, 23},	//782 Plasma::Containment::lastScreen() const
    {46, 855, 0, 0, Smoke::mf_const, 475, 24},	//783 Plasma::Containment::desktop() const
    {46, 1222, 0, 0, Smoke::mf_const, 475, 25},	//784 Plasma::Containment::lastDesktop() const
    {46, 1613, 178, 1, Smoke::mf_const|Smoke::mf_virtual, 0, 26},	//785 Plasma::Containment::save(KConfigGroup&) const
    {46, 1595, 178, 1, Smoke::mf_virtual, 0, 27},	//786 Plasma::Containment::restore(KConfigGroup&)
    {46, 941, 197, 2, 0, 0, 28},	//787 Plasma::Containment::enableAction(const QString&, bool)
    {46, 640, 107, 1, 0, 0, 29},	//788 Plasma::Containment::addToolBoxAction(QAction*)
    {46, 1562, 107, 1, 0, 0, 30},	//789 Plasma::Containment::removeToolBoxAction(QAction*)
    {46, 2106, 7, 1, 0, 0, 31},	//790 Plasma::Containment::setToolBoxOpen(bool)
    {46, 1164, 0, 0, Smoke::mf_const, 384, 32},	//791 Plasma::Containment::isToolBoxOpen() const
    {46, 1404, 0, 0, 0, 0, 33},	//792 Plasma::Containment::openToolBox()
    {46, 736, 0, 0, 0, 0, 34},	//793 Plasma::Containment::closeToolBox()
    {46, 590, 57, 1, Smoke::mf_virtual, 0, 35},	//794 Plasma::Containment::addAssociatedWidget(QWidget*)
    {46, 1539, 57, 1, Smoke::mf_virtual, 0, 36},	//795 Plasma::Containment::removeAssociatedWidget(QWidget*)
    {46, 908, 0, 0, 0, 384, 37},	//796 Plasma::Containment::drawWallpaper()
    {46, 2149, 77, 2, 0, 0, 38},	//797 Plasma::Containment::setWallpaper(const QString&, const QString&)
    {46, 2393, 0, 0, Smoke::mf_const, 171, 39},	//798 Plasma::Containment::wallpaper() const
    {46, 1666, 89, 1, 0, 0, 40},	//799 Plasma::Containment::setActivity(const QString&)
    {46, 576, 0, 0, Smoke::mf_const, 291, 41},	//800 Plasma::Containment::activity() const
    {46, 793, 0, 0, Smoke::mf_const, 76, 42},	//801 Plasma::Containment::context() const
    {46, 2179, 373, 2, 0, 0, 43},	//802 Plasma::Containment::showContextMenu(const QPointF&, const QPoint&)
    {46, 2183, 376, 1, Smoke::mf_virtual, 0, 44},	//803 Plasma::Containment::showDropZone(const QPoint)
    {46, 1737, 77, 2, 0, 0, 45},	//804 Plasma::Containment::setContainmentActions(const QString&, const QString&)
    {46, 776, 0, 0, 0, 292, 46},	//805 Plasma::Containment::containmentActionsTriggers()
    {46, 771, 89, 1, 0, 291, 47},	//806 Plasma::Containment::containmentActions(const QString&)
    {46, 773, 0, 0, 0, 6, 48},	//807 Plasma::Containment::containmentActionsConfig()
    {46, 670, 378, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 49},	//808 Plasma::Containment::appletAdded(Plasma::Applet*, const QPointF&)
    {46, 675, 252, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 50},	//809 Plasma::Containment::appletRemoved(Plasma::Applet*)
    {46, 2415, 381, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 51},	//810 Plasma::Containment::zoomRequested(Plasma::Containment*, Plasma::ZoomDirection)
    {46, 2305, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 52},	//811 Plasma::Containment::toolBoxToggled()
    {46, 2306, 7, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 53},	//812 Plasma::Containment::toolBoxVisibilityChanged(bool)
    {46, 625, 101, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 54},	//813 Plasma::Containment::addSiblingContainment(Plasma::Containment*)
    {46, 2174, 384, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 55},	//814 Plasma::Containment::showAddWidgetsInterface(const QPointF&)
    {46, 1633, 386, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 56},	//815 Plasma::Containment::screenChanged(int, int, Plasma::Containment*)
    {46, 752, 101, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 57},	//816 Plasma::Containment::configureRequested(Plasma::Containment*)
    {46, 795, 390, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 58},	//817 Plasma::Containment::contextChanged(Plasma::Context*)
    {46, 1902, 9, 1, Smoke::mf_slot, 0, 59},	//818 Plasma::Containment::setLocation(Plasma::Location)
    {46, 1830, 392, 1, Smoke::mf_slot, 0, 60},	//819 Plasma::Containment::setFormFactor(Plasma::FormFactor)
    {46, 625, 0, 0, Smoke::mf_slot, 0, 61},	//820 Plasma::Containment::addSiblingContainment()
    {46, 1005, 0, 0, Smoke::mf_slot, 0, 62},	//821 Plasma::Containment::focusNextApplet()
    {46, 1009, 0, 0, Smoke::mf_slot, 0, 63},	//822 Plasma::Containment::focusPreviousApplet()
    {46, 857, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 64},	//823 Plasma::Containment::destroy()
    {46, 857, 7, 1, Smoke::mf_slot, 0, 65},	//824 Plasma::Containment::destroy(bool)
    {46, 2177, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 66},	//825 Plasma::Containment::showConfigurationInterface()
    {46, 745, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 67},	//826 Plasma::Containment::configChanged()
    {46, 1741, 304, 1, Smoke::mf_protected, 0, 68},	//827 Plasma::Containment::setContainmentType(Plasma::Containment::Type)
    {46, 1797, 7, 1, Smoke::mf_protected, 0, 69},	//828 Plasma::Containment::setDrawWallpaper(bool)
    {46, 1615, 178, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 0, 70},	//829 Plasma::Containment::saveContents(KConfigGroup&) const
    {46, 1597, 178, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 71},	//830 Plasma::Containment::restoreContents(KConfigGroup&)
    {46, 1373, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 72},	//831 Plasma::Containment::mouseMoveEvent(QGraphicsSceneMouseEvent*)
    {46, 1375, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 73},	//832 Plasma::Containment::mousePressEvent(QGraphicsSceneMouseEvent*)
    {46, 1377, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 74},	//833 Plasma::Containment::mouseReleaseEvent(QGraphicsSceneMouseEvent*)
    {46, 799, 394, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 75},	//834 Plasma::Containment::contextMenuEvent(QGraphicsSceneContextMenuEvent*)
    {46, 1203, 396, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 76},	//835 Plasma::Containment::keyPressEvent(QKeyEvent*)
    {46, 2397, 398, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 77},	//836 Plasma::Containment::wheelEvent(QGraphicsSceneWheelEvent*)
    {46, 1627, 275, 2, Smoke::mf_protected|Smoke::mf_virtual, 384, 78},	//837 Plasma::Containment::sceneEventFilter(QGraphicsItem*, QEvent*)
    {46, 1184, 284, 2, Smoke::mf_protected|Smoke::mf_virtual, 302, 79},	//838 Plasma::Containment::itemChange(QGraphicsItem::GraphicsItemChange, const QVariant&)
    {46, 881, 400, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 80},	//839 Plasma::Containment::dragEnterEvent(QGraphicsSceneDragDropEvent*)
    {46, 883, 400, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 81},	//840 Plasma::Containment::dragLeaveEvent(QGraphicsSceneDragDropEvent*)
    {46, 885, 400, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 82},	//841 Plasma::Containment::dragMoveEvent(QGraphicsSceneDragDropEvent*)
    {46, 911, 400, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 83},	//842 Plasma::Containment::dropEvent(QGraphicsSceneDragDropEvent*)
    {46, 1590, 282, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 84},	//843 Plasma::Containment::resizeEvent(QGraphicsSceneResizeEvent*)
    {46, 2304, 0, 0, Smoke::mf_const|Smoke::mf_protected, 425, 85},	//844 Plasma::Containment::toolBoxItem() const
    {46, 2104, 402, 1, Smoke::mf_protected, 0, 86},	//845 Plasma::Containment::setToolBox(Plasma::AbstractToolBox*)
    {46, 2303, 0, 0, Smoke::mf_const|Smoke::mf_protected, 33, 87},	//846 Plasma::Containment::toolBox() const
    {46, 2312, 1, 1, Smoke::mf_static, 291, 88},	//847 Plasma::Containment::tr(const char*)
    {46, 2316, 1, 1, Smoke::mf_static, 291, 89},	//848 Plasma::Containment::trUtf8(const char*)
    {46, 101, 0, 0, Smoke::mf_ctor, 67, 90},	//849 Plasma::Containment::Containment()
    {46, 101, 170, 1, Smoke::mf_ctor, 67, 91},	//850 Plasma::Containment::Containment(QGraphicsItem*)
    {46, 101, 298, 2, Smoke::mf_ctor, 67, 92},	//851 Plasma::Containment::Containment(QGraphicsItem*, const QString&)
    {46, 1257, 0, 0, Smoke::mf_static, 240, 93},	//852 Plasma::Containment::listContainments()
    {46, 1257, 89, 1, Smoke::mf_static, 240, 94},	//853 Plasma::Containment::listContainments(const QString&)
    {46, 1262, 89, 1, Smoke::mf_static, 240, 95},	//854 Plasma::Containment::listContainmentsOfType(const QString&)
    {46, 1262, 77, 2, Smoke::mf_static, 240, 96},	//855 Plasma::Containment::listContainmentsOfType(const QString&, const QString&)
    {46, 583, 89, 1, 0, 47, 97},	//856 Plasma::Containment::addApplet(const QString&)
    {46, 583, 113, 2, 0, 47, 98},	//857 Plasma::Containment::addApplet(const QString&, const QList<QVariant>&)
    {46, 583, 252, 1, 0, 0, 99},	//858 Plasma::Containment::addApplet(Plasma::Applet*)
    {46, 583, 378, 2, 0, 0, 100},	//859 Plasma::Containment::addApplet(Plasma::Applet*, const QPointF&)
    {46, 2012, 129, 1, 0, 0, 101},	//860 Plasma::Containment::setScreen(int)
    {46, 2149, 89, 1, 0, 0, 102},	//861 Plasma::Containment::setWallpaper(const QString&)
    {46, 2231, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 439, 103},	//862 Plasma::Containment::staticMetaObject() const
    {46, 332, 0, 0, Smoke::mf_static|Smoke::mf_enum, 71, 104},	//863 Plasma::Containment::NoContainmentType (enum)
    {46, 141, 0, 0, Smoke::mf_static|Smoke::mf_enum, 71, 105},	//864 Plasma::Containment::DesktopContainment (enum)
    {46, 362, 0, 0, Smoke::mf_static|Smoke::mf_enum, 71, 106},	//865 Plasma::Containment::PanelContainment (enum)
    {46, 120, 0, 0, Smoke::mf_static|Smoke::mf_enum, 71, 107},	//866 Plasma::Containment::CustomContainment (enum)
    {46, 121, 0, 0, Smoke::mf_static|Smoke::mf_enum, 71, 108},	//867 Plasma::Containment::CustomPanelContainment (enum)
    {46, 2431, 0, 0, Smoke::mf_dtor, 0, 109 },	//868 Plasma::Containment::~Containment()
    {47, 466, 0, 0, Smoke::mf_ctor, 68, 1},	//869 Plasma::Containment::StyleOption::StyleOption()
    {47, 466, 404, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 68, 2},	//870 Plasma::Containment::StyleOption::StyleOption(const Plasma::Containment::StyleOption&)
    {47, 466, 406, 1, Smoke::mf_ctor, 68, 3},	//871 Plasma::Containment::StyleOption::StyleOption(const QStyleOptionGraphicsItem&)
    {47, 2382, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 170, 4},	//872 Plasma::Containment::StyleOption::view() const
    {47, 2146, 408, 1, Smoke::mf_attribute, 0, 5},	//873 Plasma::Containment::StyleOption::setView(Plasma::View*)
    {47, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 69, 6},	//874 Plasma::Containment::StyleOption::Type (enum)
    {47, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 70, 7},	//875 Plasma::Containment::StyleOption::Version (enum)
    {47, 2475, 0, 0, Smoke::mf_dtor, 0, 8 },	//876 Plasma::Containment::StyleOption::~StyleOption()
    {48, 1356, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 440, 1},	//877 Plasma::ContainmentActions::metaObject() const
    {48, 1492, 1, 1, Smoke::mf_virtual, 484, 2},	//878 Plasma::ContainmentActions::qt_metacast(const char*)
    {48, 2312, 43, 2, Smoke::mf_static, 291, 3},	//879 Plasma::ContainmentActions::tr(const char*, const char*)
    {48, 2316, 43, 2, Smoke::mf_static, 291, 4},	//880 Plasma::ContainmentActions::trUtf8(const char*, const char*)
    {48, 2312, 46, 3, Smoke::mf_static, 291, 5},	//881 Plasma::ContainmentActions::tr(const char*, const char*, int)
    {48, 2316, 46, 3, Smoke::mf_static, 291, 6},	//882 Plasma::ContainmentActions::trUtf8(const char*, const char*, int)
    {48, 1490, 3, 3, Smoke::mf_virtual, 475, 7},	//883 Plasma::ContainmentActions::qt_metacall(QMetaObject::Call, int, void**)
    {48, 106, 97, 1, Smoke::mf_ctor, 72, 8},	//884 Plasma::ContainmentActions::ContainmentActions(QObject*)
    {48, 1255, 0, 0, Smoke::mf_static, 240, 9},	//885 Plasma::ContainmentActions::listContainmentActionsInfo()
    {48, 1286, 410, 3, Smoke::mf_static, 72, 10},	//886 Plasma::ContainmentActions::load(Plasma::Containment*, const QString&, const QList<QVariant>&)
    {48, 1286, 414, 3, Smoke::mf_static, 72, 11},	//887 Plasma::ContainmentActions::load(Plasma::Containment*, const KPluginInfo&, const QList<QVariant>&)
    {48, 1420, 0, 0, Smoke::mf_static, 19, 12},	//888 Plasma::ContainmentActions::packageStructure()
    {48, 1391, 0, 0, Smoke::mf_const|Smoke::mf_property, 291, 13},	//889 Plasma::ContainmentActions::name() const
    {48, 1463, 0, 0, Smoke::mf_const|Smoke::mf_property, 291, 14},	//890 Plasma::ContainmentActions::pluginName() const
    {48, 1080, 0, 0, Smoke::mf_const|Smoke::mf_property, 291, 15},	//891 Plasma::ContainmentActions::icon() const
    {48, 1141, 0, 0, Smoke::mf_const, 384, 16},	//892 Plasma::ContainmentActions::isInitialized() const
    {48, 1595, 111, 1, 0, 0, 17},	//893 Plasma::ContainmentActions::restore(const KConfigGroup&)
    {48, 1613, 178, 1, Smoke::mf_virtual, 0, 18},	//894 Plasma::ContainmentActions::save(KConfigGroup&)
    {48, 810, 57, 1, Smoke::mf_virtual, 307, 19},	//895 Plasma::ContainmentActions::createConfigurationInterface(QWidget*)
    {48, 749, 0, 0, Smoke::mf_virtual, 0, 20},	//896 Plasma::ContainmentActions::configurationAccepted()
    {48, 797, 331, 1, Smoke::mf_virtual, 0, 21},	//897 Plasma::ContainmentActions::contextEvent(QEvent*)
    {48, 801, 0, 0, Smoke::mf_virtual, 253, 22},	//898 Plasma::ContainmentActions::contextualActions()
    {48, 844, 89, 1, Smoke::mf_const, 79, 23},	//899 Plasma::ContainmentActions::dataEngine(const QString&) const
    {48, 750, 0, 0, Smoke::mf_const, 384, 24},	//900 Plasma::ContainmentActions::configurationRequired() const
    {48, 961, 331, 1, Smoke::mf_static, 291, 25},	//901 Plasma::ContainmentActions::eventToString(QEvent*)
    {48, 1471, 418, 2, 0, 277, 26},	//902 Plasma::ContainmentActions::popupPosition(const QSize&, QEvent*)
    {48, 957, 331, 1, Smoke::mf_virtual, 384, 27},	//903 Plasma::ContainmentActions::event(QEvent*)
    {48, 1735, 101, 1, 0, 0, 28},	//904 Plasma::ContainmentActions::setContainment(Plasma::Containment*)
    {48, 106, 70, 2, Smoke::mf_ctor|Smoke::mf_protected, 72, 29},	//905 Plasma::ContainmentActions::ContainmentActions(QObject*, const QList<QVariant>&)
    {48, 1096, 111, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 30},	//906 Plasma::ContainmentActions::init(const KConfigGroup&)
    {48, 1732, 7, 1, Smoke::mf_protected, 0, 31},	//907 Plasma::ContainmentActions::setConfigurationRequired(bool)
    {48, 770, 0, 0, Smoke::mf_protected, 67, 32},	//908 Plasma::ContainmentActions::containment()
    {48, 1449, 421, 2, Smoke::mf_protected, 0, 33},	//909 Plasma::ContainmentActions::paste(QPointF, QPoint)
    {48, 2312, 1, 1, Smoke::mf_static, 291, 34},	//910 Plasma::ContainmentActions::tr(const char*)
    {48, 2316, 1, 1, Smoke::mf_static, 291, 35},	//911 Plasma::ContainmentActions::trUtf8(const char*)
    {48, 106, 0, 0, Smoke::mf_ctor, 72, 36},	//912 Plasma::ContainmentActions::ContainmentActions()
    {48, 1286, 424, 2, Smoke::mf_static, 72, 37},	//913 Plasma::ContainmentActions::load(Plasma::Containment*, const QString&)
    {48, 1286, 427, 2, Smoke::mf_static, 72, 38},	//914 Plasma::ContainmentActions::load(Plasma::Containment*, const KPluginInfo&)
    {48, 1732, 0, 0, Smoke::mf_protected, 0, 39},	//915 Plasma::ContainmentActions::setConfigurationRequired()
    {48, 2231, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 439, 40},	//916 Plasma::ContainmentActions::staticMetaObject() const
    {48, 2432, 0, 0, Smoke::mf_dtor, 0, 41 },	//917 Plasma::ContainmentActions::~ContainmentActions()
    {49, 109, 0, 0, Smoke::mf_ctor, 75, 1},	//918 Plasma::ContainmentActionsPluginsConfig::ContainmentActionsPluginsConfig()
    {49, 109, 430, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 75, 2},	//919 Plasma::ContainmentActionsPluginsConfig::ContainmentActionsPluginsConfig(const Plasma::ContainmentActionsPluginsConfig&)
    {49, 1413, 430, 1, 0, 74, 3},	//920 Plasma::ContainmentActionsPluginsConfig::operator=(const Plasma::ContainmentActionsPluginsConfig&)
    {49, 722, 0, 0, 0, 0, 4},	//921 Plasma::ContainmentActionsPluginsConfig::clear()
    {49, 1532, 331, 1, 0, 0, 5},	//922 Plasma::ContainmentActionsPluginsConfig::remove(QEvent*)
    {49, 616, 432, 2, 0, 0, 6},	//923 Plasma::ContainmentActionsPluginsConfig::addPlugin(QEvent*, const QString&)
    {49, 616, 435, 3, 0, 0, 7},	//924 Plasma::ContainmentActionsPluginsConfig::addPlugin(QFlags<Qt::KeyboardModifier>, Qt::MouseButton, const QString&)
    {49, 616, 439, 3, 0, 0, 8},	//925 Plasma::ContainmentActionsPluginsConfig::addPlugin(QFlags<Qt::KeyboardModifier>, Qt::Orientation, const QString&)
    {49, 2433, 0, 0, Smoke::mf_dtor, 0, 9 },	//926 Plasma::ContainmentActionsPluginsConfig::~ContainmentActionsPluginsConfig()
    {50, 1356, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 440, 1},	//927 Plasma::Context::metaObject() const
    {50, 1492, 1, 1, Smoke::mf_virtual, 484, 2},	//928 Plasma::Context::qt_metacast(const char*)
    {50, 2312, 43, 2, Smoke::mf_static, 291, 3},	//929 Plasma::Context::tr(const char*, const char*)
    {50, 2316, 43, 2, Smoke::mf_static, 291, 4},	//930 Plasma::Context::trUtf8(const char*, const char*)
    {50, 2312, 46, 3, Smoke::mf_static, 291, 5},	//931 Plasma::Context::tr(const char*, const char*, int)
    {50, 2316, 46, 3, Smoke::mf_static, 291, 6},	//932 Plasma::Context::trUtf8(const char*, const char*, int)
    {50, 1490, 3, 3, Smoke::mf_virtual, 475, 7},	//933 Plasma::Context::qt_metacall(QMetaObject::Call, int, void**)
    {50, 112, 97, 1, Smoke::mf_ctor, 76, 8},	//934 Plasma::Context::Context(QObject*)
    {50, 808, 89, 1, 0, 0, 9},	//935 Plasma::Context::createActivity(const QString&)
    {50, 1240, 0, 0, Smoke::mf_const, 292, 10},	//936 Plasma::Context::listActivities() const
    {50, 1757, 89, 1, 0, 0, 11},	//937 Plasma::Context::setCurrentActivity(const QString&)
    {50, 824, 0, 0, Smoke::mf_const, 291, 12},	//938 Plasma::Context::currentActivity() const
    {50, 1759, 89, 1, 0, 0, 13},	//939 Plasma::Context::setCurrentActivityId(const QString&)
    {50, 825, 0, 0, Smoke::mf_const, 291, 14},	//940 Plasma::Context::currentActivityId() const
    {50, 717, 390, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 15},	//941 Plasma::Context::changed(Plasma::Context*)
    {50, 577, 390, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 16},	//942 Plasma::Context::activityChanged(Plasma::Context*)
    {50, 1320, 390, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 17},	//943 Plasma::Context::locationChanged(Plasma::Context*)
    {50, 2312, 1, 1, Smoke::mf_static, 291, 18},	//944 Plasma::Context::tr(const char*)
    {50, 2316, 1, 1, Smoke::mf_static, 291, 19},	//945 Plasma::Context::trUtf8(const char*)
    {50, 112, 0, 0, Smoke::mf_ctor, 76, 20},	//946 Plasma::Context::Context()
    {50, 2231, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 439, 21},	//947 Plasma::Context::staticMetaObject() const
    {50, 2434, 0, 0, Smoke::mf_dtor, 0, 22 },	//948 Plasma::Context::~Context()
    {51, 1356, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 440, 1},	//949 Plasma::Corona::metaObject() const
    {51, 1492, 1, 1, Smoke::mf_virtual, 484, 2},	//950 Plasma::Corona::qt_metacast(const char*)
    {51, 2312, 43, 2, Smoke::mf_static, 291, 3},	//951 Plasma::Corona::tr(const char*, const char*)
    {51, 2316, 43, 2, Smoke::mf_static, 291, 4},	//952 Plasma::Corona::trUtf8(const char*, const char*)
    {51, 2312, 46, 3, Smoke::mf_static, 291, 5},	//953 Plasma::Corona::tr(const char*, const char*, int)
    {51, 2316, 46, 3, Smoke::mf_static, 291, 6},	//954 Plasma::Corona::trUtf8(const char*, const char*, int)
    {51, 1490, 3, 3, Smoke::mf_virtual, 475, 7},	//955 Plasma::Corona::qt_metacall(QMetaObject::Call, int, void**)
    {51, 116, 97, 1, Smoke::mf_ctor, 77, 8},	//956 Plasma::Corona::Corona(QObject*)
    {51, 1678, 89, 1, 0, 0, 9},	//957 Plasma::Corona::setAppletMimeType(const QString&)
    {51, 674, 0, 0, 0, 291, 10},	//958 Plasma::Corona::appletMimeType()
    {51, 848, 0, 0, Smoke::mf_const, 291, 11},	//959 Plasma::Corona::defaultContainmentPlugin() const
    {51, 785, 0, 0, Smoke::mf_const, 245, 12},	//960 Plasma::Corona::containments() const
    {51, 726, 0, 0, 0, 0, 13},	//961 Plasma::Corona::clearContainments()
    {51, 743, 0, 0, Smoke::mf_const, 18, 14},	//962 Plasma::Corona::config() const
    {51, 592, 113, 2, 0, 67, 15},	//963 Plasma::Corona::addContainment(const QString&, const QList<QVariant>&)
    {51, 595, 113, 2, 0, 67, 16},	//964 Plasma::Corona::addContainmentDelayed(const QString&, const QList<QVariant>&)
    {51, 779, 370, 2, Smoke::mf_const, 67, 17},	//965 Plasma::Corona::containmentForScreen(int, int) const
    {51, 779, 443, 4, 0, 67, 18},	//966 Plasma::Corona::containmentForScreen(int, int, const QString&, const QList<QVariant>&)
    {51, 612, 125, 1, 0, 0, 19},	//967 Plasma::Corona::addOffscreenWidget(QGraphicsWidget*)
    {51, 1552, 125, 1, 0, 0, 20},	//968 Plasma::Corona::removeOffscreenWidget(QGraphicsWidget*)
    {51, 1402, 0, 0, Smoke::mf_const, 256, 21},	//969 Plasma::Corona::offscreenWidgets() const
    {51, 1401, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 475, 22},	//970 Plasma::Corona::numScreens() const
    {51, 1635, 129, 1, Smoke::mf_const|Smoke::mf_virtual, 280, 23},	//971 Plasma::Corona::screenGeometry(int) const
    {51, 697, 129, 1, Smoke::mf_const|Smoke::mf_virtual, 284, 24},	//972 Plasma::Corona::availableScreenRegion(int) const
    {51, 1471, 448, 2, 0, 277, 25},	//973 Plasma::Corona::popupPosition(const QGraphicsItem*, const QSize&)
    {51, 1471, 451, 3, 0, 277, 26},	//974 Plasma::Corona::popupPosition(const QGraphicsItem*, const QSize&, Qt::AlignmentFlag)
    {51, 1022, 129, 1, Smoke::mf_const, 248, 27},	//975 Plasma::Corona::freeEdges(int) const
    {51, 562, 220, 1, Smoke::mf_const, 181, 28},	//976 Plasma::Corona::action(QString) const
    {51, 579, 222, 2, 0, 0, 29},	//977 Plasma::Corona::addAction(QString, QAction*)
    {51, 565, 0, 0, Smoke::mf_const, 253, 30},	//978 Plasma::Corona::actions() const
    {51, 941, 197, 2, 0, 0, 31},	//979 Plasma::Corona::enableAction(const QString&, bool)
    {51, 2350, 0, 0, 0, 0, 32},	//980 Plasma::Corona::updateShortcuts()
    {51, 623, 455, 1, 0, 0, 33},	//981 Plasma::Corona::addShortcuts(KActionCollection*)
    {51, 579, 220, 1, 0, 1, 34},	//982 Plasma::Corona::addAction(QString)
    {51, 1739, 457, 2, 0, 0, 35},	//983 Plasma::Corona::setContainmentActionsDefaults(Plasma::Containment::Type, const Plasma::ContainmentActionsPluginsConfig&)
    {51, 774, 304, 1, 0, 73, 36},	//984 Plasma::Corona::containmentActionsDefaults(Plasma::Containment::Type)
    {51, 1789, 460, 1, 0, 0, 37},	//985 Plasma::Corona::setDialogManager(Plasma::AbstractDialogManager*)
    {51, 863, 0, 0, 0, 29, 38},	//986 Plasma::Corona::dialogManager()
    {51, 1091, 462, 1, 0, 245, 39},	//987 Plasma::Corona::importLayout(const KConfigBase&)
    {51, 1477, 464, 1, Smoke::mf_const, 291, 40},	//988 Plasma::Corona::preferredToolBoxPlugin(const Plasma::Containment::Type) const
    {51, 1091, 111, 1, 0, 245, 41},	//989 Plasma::Corona::importLayout(const KConfigGroup&)
    {51, 969, 466, 2, 0, 0, 42},	//990 Plasma::Corona::exportLayout(KConfigGroup&, QList<Plasma::Containment*>)
    {51, 1103, 89, 1, Smoke::mf_slot, 0, 43},	//991 Plasma::Corona::initializeLayout(const QString&)
    {51, 1306, 89, 1, Smoke::mf_slot, 0, 44},	//992 Plasma::Corona::loadLayout(const QString&)
    {51, 1617, 89, 1, Smoke::mf_const|Smoke::mf_slot, 0, 45},	//993 Plasma::Corona::saveLayout(const QString&) const
    {51, 1087, 0, 0, Smoke::mf_const|Smoke::mf_slot, 103, 46},	//994 Plasma::Corona::immutability() const
    {51, 1877, 258, 1, Smoke::mf_slot, 0, 47},	//995 Plasma::Corona::setImmutability(const Plasma::ImmutabilityType)
    {51, 1579, 0, 0, Smoke::mf_slot, 0, 48},	//996 Plasma::Corona::requestConfigSync()
    {51, 1580, 0, 0, Smoke::mf_slot, 0, 49},	//997 Plasma::Corona::requireConfigSync()
    {51, 1232, 0, 0, Smoke::mf_slot, 0, 50},	//998 Plasma::Corona::layoutContainments()
    {51, 777, 101, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 51},	//999 Plasma::Corona::containmentAdded(Plasma::Containment*)
    {51, 1637, 386, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 52},	//1000 Plasma::Corona::screenOwnerChanged(int, int, Plasma::Containment*)
    {51, 1520, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 53},	//1001 Plasma::Corona::releaseVisualFocus()
    {51, 748, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 54},	//1002 Plasma::Corona::configSynced()
    {51, 699, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 55},	//1003 Plasma::Corona::availableScreenRegionChanged()
    {51, 1088, 256, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 56},	//1004 Plasma::Corona::immutabilityChanged(Plasma::ImmutabilityType)
    {51, 2170, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 57},	//1005 Plasma::Corona::shortcutsChanged()
    {51, 1301, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 58},	//1006 Plasma::Corona::loadDefaultLayout()
    {51, 1332, 469, 2, Smoke::mf_protected, 0, 59},	//1007 Plasma::Corona::mapAnimation(Plasma::Animator::Animation, Plasma::Animator::Animation)
    {51, 1332, 472, 2, Smoke::mf_protected, 0, 60},	//1008 Plasma::Corona::mapAnimation(Plasma::Animator::Animation, const QString&)
    {51, 1972, 475, 2, Smoke::mf_protected, 0, 61},	//1009 Plasma::Corona::setPreferredToolBoxPlugin(const Plasma::Containment::Type, const QString&)
    {51, 1774, 89, 1, Smoke::mf_protected, 0, 62},	//1010 Plasma::Corona::setDefaultContainmentPlugin(const QString&)
    {51, 881, 400, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 63},	//1011 Plasma::Corona::dragEnterEvent(QGraphicsSceneDragDropEvent*)
    {51, 883, 400, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 64},	//1012 Plasma::Corona::dragLeaveEvent(QGraphicsSceneDragDropEvent*)
    {51, 885, 400, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 65},	//1013 Plasma::Corona::dragMoveEvent(QGraphicsSceneDragDropEvent*)
    {51, 2312, 1, 1, Smoke::mf_static, 291, 66},	//1014 Plasma::Corona::tr(const char*)
    {51, 2316, 1, 1, Smoke::mf_static, 291, 67},	//1015 Plasma::Corona::trUtf8(const char*)
    {51, 116, 0, 0, Smoke::mf_ctor, 77, 68},	//1016 Plasma::Corona::Corona()
    {51, 592, 89, 1, 0, 67, 69},	//1017 Plasma::Corona::addContainment(const QString&)
    {51, 595, 89, 1, 0, 67, 70},	//1018 Plasma::Corona::addContainmentDelayed(const QString&)
    {51, 779, 129, 1, Smoke::mf_const, 67, 71},	//1019 Plasma::Corona::containmentForScreen(int) const
    {51, 779, 478, 3, 0, 67, 72},	//1020 Plasma::Corona::containmentForScreen(int, int, const QString&)
    {51, 1103, 0, 0, Smoke::mf_slot, 0, 73},	//1021 Plasma::Corona::initializeLayout()
    {51, 1306, 0, 0, Smoke::mf_slot, 0, 74},	//1022 Plasma::Corona::loadLayout()
    {51, 1617, 0, 0, Smoke::mf_const|Smoke::mf_slot, 0, 75},	//1023 Plasma::Corona::saveLayout() const
    {51, 2231, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 439, 76},	//1024 Plasma::Corona::staticMetaObject() const
    {51, 2435, 0, 0, Smoke::mf_dtor, 0, 77 },	//1025 Plasma::Corona::~Corona()
    {52, 1356, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 440, 1},	//1026 Plasma::DataContainer::metaObject() const
    {52, 1492, 1, 1, Smoke::mf_virtual, 484, 2},	//1027 Plasma::DataContainer::qt_metacast(const char*)
    {52, 2312, 43, 2, Smoke::mf_static, 291, 3},	//1028 Plasma::DataContainer::tr(const char*, const char*)
    {52, 2316, 43, 2, Smoke::mf_static, 291, 4},	//1029 Plasma::DataContainer::trUtf8(const char*, const char*)
    {52, 2312, 46, 3, Smoke::mf_static, 291, 5},	//1030 Plasma::DataContainer::tr(const char*, const char*, int)
    {52, 2316, 46, 3, Smoke::mf_static, 291, 6},	//1031 Plasma::DataContainer::trUtf8(const char*, const char*, int)
    {52, 1490, 3, 3, Smoke::mf_virtual, 475, 7},	//1032 Plasma::DataContainer::qt_metacall(QMetaObject::Call, int, void**)
    {52, 122, 97, 1, Smoke::mf_ctor, 78, 8},	//1033 Plasma::DataContainer::DataContainer(QObject*)
    {52, 843, 0, 0, Smoke::mf_const, 427, 9},	//1034 Plasma::DataContainer::data() const
    {52, 1767, 482, 2, 0, 0, 10},	//1035 Plasma::DataContainer::setData(const QString&, const QVariant&)
    {52, 1536, 0, 0, 0, 0, 11},	//1036 Plasma::DataContainer::removeAllData()
    {52, 2391, 97, 1, Smoke::mf_const, 384, 12},	//1037 Plasma::DataContainer::visualizationIsConnected(QObject*) const
    {52, 763, 485, 3, 0, 0, 13},	//1038 Plasma::DataContainer::connectVisualization(QObject*, unsigned int, Plasma::IntervalAlignment)
    {52, 2053, 7, 1, 0, 0, 14},	//1039 Plasma::DataContainer::setStorageEnabled(bool)
    {52, 1160, 0, 0, Smoke::mf_const, 384, 15},	//1040 Plasma::DataContainer::isStorageEnabled() const
    {52, 1395, 0, 0, Smoke::mf_const, 384, 16},	//1041 Plasma::DataContainer::needsToBeStored() const
    {52, 1931, 7, 1, 0, 0, 17},	//1042 Plasma::DataContainer::setNeedsToBeStored(bool)
    {52, 1027, 0, 0, 0, 79, 18},	//1043 Plasma::DataContainer::getDataEngine()
    {52, 875, 97, 1, Smoke::mf_slot, 0, 19},	//1044 Plasma::DataContainer::disconnectVisualization(QObject*)
    {52, 1015, 0, 0, Smoke::mf_slot, 0, 20},	//1045 Plasma::DataContainer::forceImmediateUpdate()
    {52, 846, 489, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 21},	//1046 Plasma::DataContainer::dataUpdated(const QString&, const Plasma::DataEngine::Data&)
    {52, 703, 89, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 22},	//1047 Plasma::DataContainer::becameUnused(const QString&)
    {52, 2348, 492, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 23},	//1048 Plasma::DataContainer::updateRequested(Plasma::DataContainer*)
    {52, 719, 0, 0, Smoke::mf_protected, 0, 24},	//1049 Plasma::DataContainer::checkForUpdate()
    {52, 2296, 0, 0, Smoke::mf_const|Smoke::mf_protected, 482, 25},	//1050 Plasma::DataContainer::timeSinceLastUpdate() const
    {52, 1933, 7, 1, Smoke::mf_protected, 0, 26},	//1051 Plasma::DataContainer::setNeedsUpdate(bool)
    {52, 720, 0, 0, Smoke::mf_protected|Smoke::mf_slot, 0, 27},	//1052 Plasma::DataContainer::checkUsage()
    {52, 2297, 176, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 28},	//1053 Plasma::DataContainer::timerEvent(QTimerEvent*)
    {52, 2312, 1, 1, Smoke::mf_static, 291, 29},	//1054 Plasma::DataContainer::tr(const char*)
    {52, 2316, 1, 1, Smoke::mf_static, 291, 30},	//1055 Plasma::DataContainer::trUtf8(const char*)
    {52, 122, 0, 0, Smoke::mf_ctor, 78, 31},	//1056 Plasma::DataContainer::DataContainer()
    {52, 1933, 0, 0, Smoke::mf_protected, 0, 32},	//1057 Plasma::DataContainer::setNeedsUpdate()
    {52, 2231, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 439, 33},	//1058 Plasma::DataContainer::staticMetaObject() const
    {52, 2436, 0, 0, Smoke::mf_dtor, 0, 34 },	//1059 Plasma::DataContainer::~DataContainer()
    {53, 1356, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 440, 1},	//1060 Plasma::DataEngine::metaObject() const
    {53, 1492, 1, 1, Smoke::mf_virtual, 484, 2},	//1061 Plasma::DataEngine::qt_metacast(const char*)
    {53, 2312, 43, 2, Smoke::mf_static, 291, 3},	//1062 Plasma::DataEngine::tr(const char*, const char*)
    {53, 2316, 43, 2, Smoke::mf_static, 291, 4},	//1063 Plasma::DataEngine::trUtf8(const char*, const char*)
    {53, 2312, 46, 3, Smoke::mf_static, 291, 5},	//1064 Plasma::DataEngine::tr(const char*, const char*, int)
    {53, 2316, 46, 3, Smoke::mf_static, 291, 6},	//1065 Plasma::DataEngine::trUtf8(const char*, const char*, int)
    {53, 1490, 3, 3, Smoke::mf_virtual, 475, 7},	//1066 Plasma::DataEngine::qt_metacall(QMetaObject::Call, int, void**)
    {53, 124, 494, 2, Smoke::mf_ctor, 79, 8},	//1067 Plasma::DataEngine::DataEngine(QObject*, KSharedPtr<KService>)
    {53, 124, 70, 2, Smoke::mf_ctor, 79, 9},	//1068 Plasma::DataEngine::DataEngine(QObject*, const QList<QVariant>&)
    {53, 1096, 0, 0, Smoke::mf_virtual, 0, 10},	//1069 Plasma::DataEngine::init()
    {53, 2221, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_virtual, 292, 11},	//1070 Plasma::DataEngine::sources() const
    {53, 1654, 89, 1, Smoke::mf_virtual, 146, 12},	//1071 Plasma::DataEngine::serviceForSource(const QString&)
    {53, 1391, 0, 0, Smoke::mf_const|Smoke::mf_property, 291, 13},	//1072 Plasma::DataEngine::name() const
    {53, 759, 497, 4, Smoke::mf_const, 0, 14},	//1073 Plasma::DataEngine::connectSource(const QString&, QObject*, unsigned int, Plasma::IntervalAlignment) const
    {53, 754, 485, 3, Smoke::mf_const, 0, 15},	//1074 Plasma::DataEngine::connectAllSources(QObject*, unsigned int, Plasma::IntervalAlignment) const
    {53, 873, 149, 2, Smoke::mf_const, 0, 16},	//1075 Plasma::DataEngine::disconnectSource(const QString&, QObject*) const
    {53, 768, 89, 1, 0, 78, 17},	//1076 Plasma::DataEngine::containerForSource(const QString&)
    {53, 1494, 89, 1, Smoke::mf_const, 231, 18},	//1077 Plasma::DataEngine::query(const QString&) const
    {53, 1169, 0, 0, Smoke::mf_const|Smoke::mf_property, 384, 19},	//1078 Plasma::DataEngine::isValid() const
    {53, 1136, 0, 0, Smoke::mf_const, 384, 20},	//1079 Plasma::DataEngine::isEmpty() const
    {53, 1350, 0, 0, Smoke::mf_const, 482, 21},	//1080 Plasma::DataEngine::maxSourceCount() const
    {53, 1080, 0, 0, Smoke::mf_const|Smoke::mf_property, 291, 22},	//1081 Plasma::DataEngine::icon() const
    {53, 1419, 0, 0, Smoke::mf_const, 407, 23},	//1082 Plasma::DataEngine::package() const
    {53, 1463, 0, 0, Smoke::mf_const, 291, 24},	//1083 Plasma::DataEngine::pluginName() const
    {53, 812, 97, 1, 0, 146, 25},	//1084 Plasma::DataEngine::createDefaultService(QObject*)
    {53, 2215, 89, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 26},	//1085 Plasma::DataEngine::sourceAdded(const QString&)
    {53, 2217, 89, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 27},	//1086 Plasma::DataEngine::sourceRemoved(const QString&)
    {53, 2219, 89, 1, Smoke::mf_protected|Smoke::mf_virtual, 384, 28},	//1087 Plasma::DataEngine::sourceRequestEvent(const QString&)
    {53, 2351, 89, 1, Smoke::mf_protected|Smoke::mf_virtual, 384, 29},	//1088 Plasma::DataEngine::updateSourceEvent(const QString&)
    {53, 1767, 482, 2, Smoke::mf_protected, 0, 30},	//1089 Plasma::DataEngine::setData(const QString&, const QVariant&)
    {53, 1767, 502, 3, Smoke::mf_protected, 0, 31},	//1090 Plasma::DataEngine::setData(const QString&, const QString&, const QVariant&)
    {53, 1767, 506, 2, Smoke::mf_protected, 0, 32},	//1091 Plasma::DataEngine::setData(const QString&, const QHash<QString,QVariant>&)
    {53, 1536, 89, 1, Smoke::mf_protected, 0, 33},	//1092 Plasma::DataEngine::removeAllData(const QString&)
    {53, 1541, 77, 2, Smoke::mf_protected, 0, 34},	//1093 Plasma::DataEngine::removeData(const QString&, const QString&)
    {53, 627, 492, 1, Smoke::mf_protected, 0, 35},	//1094 Plasma::DataEngine::addSource(Plasma::DataContainer*)
    {53, 1906, 36, 1, Smoke::mf_protected, 0, 36},	//1095 Plasma::DataEngine::setMaxSourceCount(unsigned int)
    {53, 1920, 129, 1, Smoke::mf_protected, 0, 37},	//1096 Plasma::DataEngine::setMinimumPollingInterval(int)
    {53, 1368, 0, 0, Smoke::mf_const|Smoke::mf_protected, 475, 38},	//1097 Plasma::DataEngine::minimumPollingInterval() const
    {53, 1963, 36, 1, Smoke::mf_protected, 0, 39},	//1098 Plasma::DataEngine::setPollingInterval(unsigned int)
    {53, 1538, 0, 0, Smoke::mf_protected, 0, 40},	//1099 Plasma::DataEngine::removeAllSources()
    {53, 2130, 7, 1, Smoke::mf_protected, 0, 41},	//1100 Plasma::DataEngine::setValid(bool)
    {53, 767, 0, 0, Smoke::mf_const|Smoke::mf_protected, 229, 42},	//1101 Plasma::DataEngine::containerDict() const
    {53, 2297, 176, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 43},	//1102 Plasma::DataEngine::timerEvent(QTimerEvent*)
    {53, 1927, 89, 1, Smoke::mf_protected, 0, 44},	//1103 Plasma::DataEngine::setName(const QString&)
    {53, 1864, 89, 1, Smoke::mf_protected|Smoke::mf_property, 0, 45},	//1104 Plasma::DataEngine::setIcon(const QString&)
    {53, 1780, 89, 1, Smoke::mf_protected, 0, 46},	//1105 Plasma::DataEngine::setDefaultService(const QString&)
    {53, 2053, 197, 2, Smoke::mf_protected, 0, 47},	//1106 Plasma::DataEngine::setStorageEnabled(const QString&, bool)
    {53, 1631, 0, 0, Smoke::mf_protected|Smoke::mf_slot, 0, 48},	//1107 Plasma::DataEngine::scheduleSourcesUpdated()
    {53, 1556, 89, 1, Smoke::mf_protected|Smoke::mf_slot, 0, 49},	//1108 Plasma::DataEngine::removeSource(const QString&)
    {53, 2339, 0, 0, Smoke::mf_protected|Smoke::mf_slot, 0, 50},	//1109 Plasma::DataEngine::updateAllSources()
    {53, 1016, 0, 0, Smoke::mf_protected|Smoke::mf_slot, 0, 51},	//1110 Plasma::DataEngine::forceImmediateUpdateOfAllVisualizations()
    {53, 2312, 1, 1, Smoke::mf_static, 291, 52},	//1111 Plasma::DataEngine::tr(const char*)
    {53, 2316, 1, 1, Smoke::mf_static, 291, 53},	//1112 Plasma::DataEngine::trUtf8(const char*)
    {53, 124, 0, 0, Smoke::mf_ctor, 79, 54},	//1113 Plasma::DataEngine::DataEngine()
    {53, 124, 97, 1, Smoke::mf_ctor, 79, 55},	//1114 Plasma::DataEngine::DataEngine(QObject*)
    {53, 759, 149, 2, Smoke::mf_const, 0, 56},	//1115 Plasma::DataEngine::connectSource(const QString&, QObject*) const
    {53, 759, 509, 3, Smoke::mf_const, 0, 57},	//1116 Plasma::DataEngine::connectSource(const QString&, QObject*, unsigned int) const
    {53, 754, 97, 1, Smoke::mf_const, 0, 58},	//1117 Plasma::DataEngine::connectAllSources(QObject*) const
    {53, 754, 513, 2, Smoke::mf_const, 0, 59},	//1118 Plasma::DataEngine::connectAllSources(QObject*, unsigned int) const
    {53, 812, 0, 0, 0, 146, 60},	//1119 Plasma::DataEngine::createDefaultService()
    {53, 2231, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 439, 61},	//1120 Plasma::DataEngine::staticMetaObject() const
    {53, 2437, 0, 0, Smoke::mf_dtor, 0, 62 },	//1121 Plasma::DataEngine::~DataEngine()
    {54, 1356, 0, 0, Smoke::mf_const, 440, 1},	//1122 Plasma::DataEngineManager::metaObject() const
    {54, 1492, 1, 1, 0, 484, 2},	//1123 Plasma::DataEngineManager::qt_metacast(const char*)
    {54, 2312, 43, 2, Smoke::mf_static, 291, 3},	//1124 Plasma::DataEngineManager::tr(const char*, const char*)
    {54, 2316, 43, 2, Smoke::mf_static, 291, 4},	//1125 Plasma::DataEngineManager::trUtf8(const char*, const char*)
    {54, 2312, 46, 3, Smoke::mf_static, 291, 5},	//1126 Plasma::DataEngineManager::tr(const char*, const char*, int)
    {54, 2316, 46, 3, Smoke::mf_static, 291, 6},	//1127 Plasma::DataEngineManager::trUtf8(const char*, const char*, int)
    {54, 1490, 3, 3, 0, 475, 7},	//1128 Plasma::DataEngineManager::qt_metacall(QMetaObject::Call, int, void**)
    {54, 1652, 0, 0, Smoke::mf_static, 81, 8},	//1129 Plasma::DataEngineManager::self()
    {54, 947, 89, 1, Smoke::mf_const, 79, 9},	//1130 Plasma::DataEngineManager::engine(const QString&) const
    {54, 1302, 89, 1, 0, 79, 10},	//1131 Plasma::DataEngineManager::loadEngine(const QString&)
    {54, 2328, 89, 1, 0, 0, 11},	//1132 Plasma::DataEngineManager::unloadEngine(const QString&)
    {54, 1241, 89, 1, Smoke::mf_static, 292, 12},	//1133 Plasma::DataEngineManager::listAllEngines(const QString&)
    {54, 1266, 89, 1, Smoke::mf_static, 240, 13},	//1134 Plasma::DataEngineManager::listEngineInfo(const QString&)
    {54, 1268, 77, 2, Smoke::mf_static, 240, 14},	//1135 Plasma::DataEngineManager::listEngineInfoByCategory(const QString&, const QString&)
    {54, 2297, 176, 1, Smoke::mf_protected, 0, 15},	//1136 Plasma::DataEngineManager::timerEvent(QTimerEvent*)
    {54, 2312, 1, 1, Smoke::mf_static, 291, 16},	//1137 Plasma::DataEngineManager::tr(const char*)
    {54, 2316, 1, 1, Smoke::mf_static, 291, 17},	//1138 Plasma::DataEngineManager::trUtf8(const char*)
    {54, 1241, 0, 0, Smoke::mf_static, 292, 18},	//1139 Plasma::DataEngineManager::listAllEngines()
    {54, 1266, 0, 0, Smoke::mf_static, 240, 19},	//1140 Plasma::DataEngineManager::listEngineInfo()
    {54, 1268, 89, 1, Smoke::mf_static, 240, 20},	//1141 Plasma::DataEngineManager::listEngineInfoByCategory(const QString&)
    {54, 2231, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 439, 21},	//1142 Plasma::DataEngineManager::staticMetaObject() const
    {55, 1356, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 440, 1},	//1143 Plasma::DataEngineScript::metaObject() const
    {55, 1492, 1, 1, Smoke::mf_virtual, 484, 2},	//1144 Plasma::DataEngineScript::qt_metacast(const char*)
    {55, 2312, 43, 2, Smoke::mf_static, 291, 3},	//1145 Plasma::DataEngineScript::tr(const char*, const char*)
    {55, 2316, 43, 2, Smoke::mf_static, 291, 4},	//1146 Plasma::DataEngineScript::trUtf8(const char*, const char*)
    {55, 2312, 46, 3, Smoke::mf_static, 291, 5},	//1147 Plasma::DataEngineScript::tr(const char*, const char*, int)
    {55, 2316, 46, 3, Smoke::mf_static, 291, 6},	//1148 Plasma::DataEngineScript::trUtf8(const char*, const char*, int)
    {55, 1490, 3, 3, Smoke::mf_virtual, 475, 7},	//1149 Plasma::DataEngineScript::qt_metacall(QMetaObject::Call, int, void**)
    {55, 128, 97, 1, Smoke::mf_ctor, 82, 8},	//1150 Plasma::DataEngineScript::DataEngineScript(QObject*)
    {55, 1772, 516, 1, 0, 0, 9},	//1151 Plasma::DataEngineScript::setDataEngine(Plasma::DataEngine*)
    {55, 844, 0, 0, Smoke::mf_const, 79, 10},	//1152 Plasma::DataEngineScript::dataEngine() const
    {55, 2221, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 292, 11},	//1153 Plasma::DataEngineScript::sources() const
    {55, 2219, 89, 1, Smoke::mf_virtual, 384, 12},	//1154 Plasma::DataEngineScript::sourceRequestEvent(const QString&)
    {55, 2351, 89, 1, Smoke::mf_virtual, 384, 13},	//1155 Plasma::DataEngineScript::updateSourceEvent(const QString&)
    {55, 1654, 89, 1, Smoke::mf_virtual, 146, 14},	//1156 Plasma::DataEngineScript::serviceForSource(const QString&)
    {55, 1329, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 291, 15},	//1157 Plasma::DataEngineScript::mainScript() const
    {55, 1419, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 407, 16},	//1158 Plasma::DataEngineScript::package() const
    {55, 854, 0, 0, Smoke::mf_const|Smoke::mf_protected, 12, 17},	//1159 Plasma::DataEngineScript::description() const
    {55, 1767, 502, 3, Smoke::mf_protected, 0, 18},	//1160 Plasma::DataEngineScript::setData(const QString&, const QString&, const QVariant&)
    {55, 1767, 482, 2, Smoke::mf_protected, 0, 19},	//1161 Plasma::DataEngineScript::setData(const QString&, const QVariant&)
    {55, 1767, 506, 2, Smoke::mf_protected, 0, 20},	//1162 Plasma::DataEngineScript::setData(const QString&, const QHash<QString,QVariant>&)
    {55, 1536, 89, 1, Smoke::mf_protected, 0, 21},	//1163 Plasma::DataEngineScript::removeAllData(const QString&)
    {55, 1541, 77, 2, Smoke::mf_protected, 0, 22},	//1164 Plasma::DataEngineScript::removeData(const QString&, const QString&)
    {55, 1906, 36, 1, Smoke::mf_protected, 0, 23},	//1165 Plasma::DataEngineScript::setMaxSourceCount(unsigned int)
    {55, 1920, 129, 1, Smoke::mf_protected, 0, 24},	//1166 Plasma::DataEngineScript::setMinimumPollingInterval(int)
    {55, 1368, 0, 0, Smoke::mf_const|Smoke::mf_protected, 475, 25},	//1167 Plasma::DataEngineScript::minimumPollingInterval() const
    {55, 1963, 36, 1, Smoke::mf_protected, 0, 26},	//1168 Plasma::DataEngineScript::setPollingInterval(unsigned int)
    {55, 1538, 0, 0, Smoke::mf_protected, 0, 27},	//1169 Plasma::DataEngineScript::removeAllSources()
    {55, 627, 492, 1, Smoke::mf_protected, 0, 28},	//1170 Plasma::DataEngineScript::addSource(Plasma::DataContainer*)
    {55, 767, 0, 0, Smoke::mf_const|Smoke::mf_protected, 229, 29},	//1171 Plasma::DataEngineScript::containerDict() const
    {55, 1927, 89, 1, Smoke::mf_protected, 0, 30},	//1172 Plasma::DataEngineScript::setName(const QString&)
    {55, 1864, 89, 1, Smoke::mf_protected, 0, 31},	//1173 Plasma::DataEngineScript::setIcon(const QString&)
    {55, 1631, 0, 0, Smoke::mf_protected, 0, 32},	//1174 Plasma::DataEngineScript::scheduleSourcesUpdated()
    {55, 1556, 89, 1, Smoke::mf_protected, 0, 33},	//1175 Plasma::DataEngineScript::removeSource(const QString&)
    {55, 2339, 0, 0, Smoke::mf_protected, 0, 34},	//1176 Plasma::DataEngineScript::updateAllSources()
    {55, 1016, 0, 0, Smoke::mf_protected, 0, 35},	//1177 Plasma::DataEngineScript::forceImmediateUpdateOfAllVisualizations()
    {55, 2312, 1, 1, Smoke::mf_static, 291, 36},	//1178 Plasma::DataEngineScript::tr(const char*)
    {55, 2316, 1, 1, Smoke::mf_static, 291, 37},	//1179 Plasma::DataEngineScript::trUtf8(const char*)
    {55, 128, 0, 0, Smoke::mf_ctor, 82, 38},	//1180 Plasma::DataEngineScript::DataEngineScript()
    {55, 2231, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 439, 39},	//1181 Plasma::DataEngineScript::staticMetaObject() const
    {55, 2438, 0, 0, Smoke::mf_dtor, 0, 40 },	//1182 Plasma::DataEngineScript::~DataEngineScript()
    {56, 1356, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 440, 1},	//1183 Plasma::Delegate::metaObject() const
    {56, 1492, 1, 1, Smoke::mf_virtual, 484, 2},	//1184 Plasma::Delegate::qt_metacast(const char*)
    {56, 2312, 43, 2, Smoke::mf_static, 291, 3},	//1185 Plasma::Delegate::tr(const char*, const char*)
    {56, 2316, 43, 2, Smoke::mf_static, 291, 4},	//1186 Plasma::Delegate::trUtf8(const char*, const char*)
    {56, 2312, 46, 3, Smoke::mf_static, 291, 5},	//1187 Plasma::Delegate::tr(const char*, const char*, int)
    {56, 2316, 46, 3, Smoke::mf_static, 291, 6},	//1188 Plasma::Delegate::trUtf8(const char*, const char*, int)
    {56, 1490, 3, 3, Smoke::mf_virtual, 475, 7},	//1189 Plasma::Delegate::qt_metacall(QMetaObject::Call, int, void**)
    {56, 135, 97, 1, Smoke::mf_ctor, 83, 8},	//1190 Plasma::Delegate::Delegate(QObject*)
    {56, 2004, 518, 2, 0, 0, 9},	//1191 Plasma::Delegate::setRoleMapping(Plasma::Delegate::SpecificRoles, int)
    {56, 1601, 521, 1, Smoke::mf_const, 475, 10},	//1192 Plasma::Delegate::roleMapping(Plasma::Delegate::SpecificRoles) const
    {56, 1425, 523, 3, Smoke::mf_const|Smoke::mf_virtual, 0, 11},	//1193 Plasma::Delegate::paint(QPainter*, const QStyleOptionViewItem&, const QModelIndex&) const
    {56, 2193, 0, 0, Smoke::mf_const, 384, 12},	//1194 Plasma::Delegate::showToolTip() const
    {56, 1505, 527, 2, Smoke::mf_const|Smoke::mf_protected, 280, 13},	//1195 Plasma::Delegate::rectAfterTitle(const QStyleOptionViewItem&, const QModelIndex&) const
    {56, 1503, 527, 2, Smoke::mf_const|Smoke::mf_protected, 280, 14},	//1196 Plasma::Delegate::rectAfterSubTitle(const QStyleOptionViewItem&, const QModelIndex&) const
    {56, 939, 527, 2, Smoke::mf_const|Smoke::mf_protected, 280, 15},	//1197 Plasma::Delegate::emptyRect(const QStyleOptionViewItem&, const QModelIndex&) const
    {56, 2206, 527, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 288, 16},	//1198 Plasma::Delegate::sizeHint(const QStyleOptionViewItem&, const QModelIndex&) const
    {56, 2312, 1, 1, Smoke::mf_static, 291, 17},	//1199 Plasma::Delegate::tr(const char*)
    {56, 2316, 1, 1, Smoke::mf_static, 291, 18},	//1200 Plasma::Delegate::trUtf8(const char*)
    {56, 135, 0, 0, Smoke::mf_ctor, 83, 19},	//1201 Plasma::Delegate::Delegate()
    {56, 2231, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 439, 20},	//1202 Plasma::Delegate::staticMetaObject() const
    {56, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 85, 21},	//1203 Plasma::Delegate::SubTitleRole (enum)
    {56, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 85, 22},	//1204 Plasma::Delegate::SubTitleMandatoryRole (enum)
    {56, 88, 0, 0, Smoke::mf_static|Smoke::mf_enum, 85, 23},	//1205 Plasma::Delegate::ColumnTypeRole (enum)
    {56, 307, 0, 0, Smoke::mf_static|Smoke::mf_enum, 84, 24},	//1206 Plasma::Delegate::MainColumn (enum)
    {56, 433, 0, 0, Smoke::mf_static|Smoke::mf_enum, 84, 25},	//1207 Plasma::Delegate::SecondaryActionColumn (enum)
    {56, 2439, 0, 0, Smoke::mf_dtor, 0, 26 },	//1208 Plasma::Delegate::~Delegate()
    {57, 1356, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 440, 1},	//1209 Plasma::Dialog::metaObject() const
    {57, 1492, 1, 1, Smoke::mf_virtual, 484, 2},	//1210 Plasma::Dialog::qt_metacast(const char*)
    {57, 2312, 43, 2, Smoke::mf_static, 291, 3},	//1211 Plasma::Dialog::tr(const char*, const char*)
    {57, 2316, 43, 2, Smoke::mf_static, 291, 4},	//1212 Plasma::Dialog::trUtf8(const char*, const char*)
    {57, 2312, 46, 3, Smoke::mf_static, 291, 5},	//1213 Plasma::Dialog::tr(const char*, const char*, int)
    {57, 2316, 46, 3, Smoke::mf_static, 291, 6},	//1214 Plasma::Dialog::trUtf8(const char*, const char*, int)
    {57, 1490, 3, 3, Smoke::mf_virtual, 475, 7},	//1215 Plasma::Dialog::qt_metacall(QMetaObject::Call, int, void**)
    {57, 146, 530, 2, Smoke::mf_ctor, 86, 8},	//1216 Plasma::Dialog::Dialog(QWidget*, QFlags<Qt::WindowType>)
    {57, 1838, 125, 1, 0, 0, 9},	//1217 Plasma::Dialog::setGraphicsWidget(QGraphicsWidget*)
    {57, 1038, 0, 0, 0, 227, 10},	//1218 Plasma::Dialog::graphicsWidget()
    {57, 2000, 533, 1, 0, 0, 11},	//1219 Plasma::Dialog::setResizeHandleCorners(QFlags<Plasma::Dialog::ResizeCorner>)
    {57, 1589, 0, 0, Smoke::mf_const, 201, 12},	//1220 Plasma::Dialog::resizeCorners() const
    {57, 1167, 0, 0, Smoke::mf_const, 384, 13},	//1221 Plasma::Dialog::isUserResizing() const
    {57, 1922, 535, 4, 0, 0, 14},	//1222 Plasma::Dialog::setMinimumResizeLimits(int, int, int, int)
    {57, 1030, 540, 4, 0, 0, 15},	//1223 Plasma::Dialog::getMinimumResizeLimits(int*, int*, int*, int*)
    {57, 649, 545, 1, 0, 0, 16},	//1224 Plasma::Dialog::animatedHide(Plasma::Direction)
    {57, 651, 545, 1, 0, 0, 17},	//1225 Plasma::Dialog::animatedShow(Plasma::Direction)
    {57, 681, 0, 0, Smoke::mf_const, 50, 18},	//1226 Plasma::Dialog::aspectRatioMode() const
    {57, 1682, 193, 1, 0, 0, 19},	//1227 Plasma::Dialog::setAspectRatioMode(Plasma::AspectRatioMode)
    {57, 864, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 20},	//1228 Plasma::Dialog::dialogResized()
    {57, 865, 7, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 21},	//1229 Plasma::Dialog::dialogVisible(bool)
    {57, 2261, 0, 0, Smoke::mf_slot, 0, 22},	//1230 Plasma::Dialog::syncToGraphicsWidget()
    {57, 1434, 547, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 23},	//1231 Plasma::Dialog::paintEvent(QPaintEvent*)
    {57, 957, 331, 1, Smoke::mf_protected|Smoke::mf_virtual, 384, 24},	//1232 Plasma::Dialog::event(QEvent*)
    {57, 1590, 549, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 25},	//1233 Plasma::Dialog::resizeEvent(QResizeEvent*)
    {57, 959, 272, 2, Smoke::mf_protected|Smoke::mf_virtual, 384, 26},	//1234 Plasma::Dialog::eventFilter(QObject*, QEvent*)
    {57, 1064, 326, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 27},	//1235 Plasma::Dialog::hideEvent(QHideEvent*)
    {57, 2185, 324, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 28},	//1236 Plasma::Dialog::showEvent(QShowEvent*)
    {57, 1003, 280, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 29},	//1237 Plasma::Dialog::focusInEvent(QFocusEvent*)
    {57, 1373, 551, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 30},	//1238 Plasma::Dialog::mouseMoveEvent(QMouseEvent*)
    {57, 1375, 551, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 31},	//1239 Plasma::Dialog::mousePressEvent(QMouseEvent*)
    {57, 1377, 551, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 32},	//1240 Plasma::Dialog::mouseReleaseEvent(QMouseEvent*)
    {57, 1203, 396, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 33},	//1241 Plasma::Dialog::keyPressEvent(QKeyEvent*)
    {57, 1379, 553, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 34},	//1242 Plasma::Dialog::moveEvent(QMoveEvent*)
    {57, 1093, 555, 1, Smoke::mf_protected, 384, 35},	//1243 Plasma::Dialog::inControlArea(const QPoint&)
    {57, 2312, 1, 1, Smoke::mf_static, 291, 36},	//1244 Plasma::Dialog::tr(const char*)
    {57, 2316, 1, 1, Smoke::mf_static, 291, 37},	//1245 Plasma::Dialog::trUtf8(const char*)
    {57, 146, 0, 0, Smoke::mf_ctor, 86, 38},	//1246 Plasma::Dialog::Dialog()
    {57, 146, 57, 1, Smoke::mf_ctor, 86, 39},	//1247 Plasma::Dialog::Dialog(QWidget*)
    {57, 2231, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 439, 40},	//1248 Plasma::Dialog::staticMetaObject() const
    {57, 334, 0, 0, Smoke::mf_static|Smoke::mf_enum, 87, 41},	//1249 Plasma::Dialog::NoCorner (enum)
    {57, 347, 0, 0, Smoke::mf_static|Smoke::mf_enum, 87, 42},	//1250 Plasma::Dialog::NorthEast (enum)
    {57, 457, 0, 0, Smoke::mf_static|Smoke::mf_enum, 87, 43},	//1251 Plasma::Dialog::SouthEast (enum)
    {57, 348, 0, 0, Smoke::mf_static|Smoke::mf_enum, 87, 44},	//1252 Plasma::Dialog::NorthWest (enum)
    {57, 458, 0, 0, Smoke::mf_static|Smoke::mf_enum, 87, 45},	//1253 Plasma::Dialog::SouthWest (enum)
    {57, 22, 0, 0, Smoke::mf_static|Smoke::mf_enum, 87, 46},	//1254 Plasma::Dialog::All (enum)
    {57, 2440, 0, 0, Smoke::mf_dtor, 0, 47 },	//1255 Plasma::Dialog::~Dialog()
    {58, 1356, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 440, 1},	//1256 Plasma::Extender::metaObject() const
    {58, 1492, 1, 1, Smoke::mf_virtual, 484, 2},	//1257 Plasma::Extender::qt_metacast(const char*)
    {58, 2312, 43, 2, Smoke::mf_static, 291, 3},	//1258 Plasma::Extender::tr(const char*, const char*)
    {58, 2316, 43, 2, Smoke::mf_static, 291, 4},	//1259 Plasma::Extender::trUtf8(const char*, const char*)
    {58, 2312, 46, 3, Smoke::mf_static, 291, 5},	//1260 Plasma::Extender::tr(const char*, const char*, int)
    {58, 2316, 46, 3, Smoke::mf_static, 291, 6},	//1261 Plasma::Extender::trUtf8(const char*, const char*, int)
    {58, 1490, 3, 3, Smoke::mf_virtual, 475, 7},	//1262 Plasma::Extender::qt_metacall(QMetaObject::Call, int, void**)
    {58, 166, 252, 1, Smoke::mf_ctor, 89, 8},	//1263 Plasma::Extender::Extender(Plasma::Applet*)
    {58, 1810, 89, 1, Smoke::mf_property, 0, 9},	//1264 Plasma::Extender::setEmptyExtenderMessage(const QString&)
    {58, 938, 0, 0, Smoke::mf_const|Smoke::mf_property, 291, 10},	//1265 Plasma::Extender::emptyExtenderMessage() const
    {58, 1202, 0, 0, Smoke::mf_const, 247, 11},	//1266 Plasma::Extender::items() const
    {58, 688, 0, 0, Smoke::mf_const, 247, 12},	//1267 Plasma::Extender::attachedItems() const
    {58, 861, 0, 0, Smoke::mf_const, 247, 13},	//1268 Plasma::Extender::detachedItems() const
    {58, 1173, 89, 1, Smoke::mf_const, 92, 14},	//1269 Plasma::Extender::item(const QString&) const
    {58, 1039, 89, 1, Smoke::mf_const, 91, 15},	//1270 Plasma::Extender::group(const QString&) const
    {58, 1053, 89, 1, Smoke::mf_const, 384, 16},	//1271 Plasma::Extender::hasItem(const QString&) const
    {58, 1136, 0, 0, Smoke::mf_const|Smoke::mf_property, 384, 17},	//1272 Plasma::Extender::isEmpty() const
    {58, 1674, 557, 1, 0, 0, 18},	//1273 Plasma::Extender::setAppearance(Plasma::Extender::Appearance)
    {58, 665, 0, 0, Smoke::mf_const, 90, 19},	//1274 Plasma::Extender::appearance() const
    {58, 1042, 0, 0, Smoke::mf_const, 246, 20},	//1275 Plasma::Extender::groups() const
    {58, 669, 0, 0, Smoke::mf_const, 47, 21},	//1276 Plasma::Extender::applet() const
    {58, 1177, 559, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 22},	//1277 Plasma::Extender::itemAddedEvent(Plasma::ExtenderItem*, const QPointF&)
    {58, 1196, 229, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 23},	//1278 Plasma::Extender::itemRemovedEvent(Plasma::ExtenderItem*)
    {58, 1190, 229, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 24},	//1279 Plasma::Extender::itemHoverEnterEvent(Plasma::ExtenderItem*)
    {58, 1194, 559, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 25},	//1280 Plasma::Extender::itemHoverMoveEvent(Plasma::ExtenderItem*, const QPointF&)
    {58, 1192, 229, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 26},	//1281 Plasma::Extender::itemHoverLeaveEvent(Plasma::ExtenderItem*)
    {58, 1619, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 27},	//1282 Plasma::Extender::saveState()
    {58, 944, 229, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 202, 28},	//1283 Plasma::Extender::enabledBordersForItem(Plasma::ExtenderItem*) const
    {58, 1184, 284, 2, Smoke::mf_protected|Smoke::mf_virtual, 302, 29},	//1284 Plasma::Extender::itemChange(QGraphicsItem::GraphicsItemChange, const QVariant&)
    {58, 1590, 282, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 30},	//1285 Plasma::Extender::resizeEvent(QGraphicsSceneResizeEvent*)
    {58, 1375, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 31},	//1286 Plasma::Extender::mousePressEvent(QGraphicsSceneMouseEvent*)
    {58, 881, 400, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 32},	//1287 Plasma::Extender::dragEnterEvent(QGraphicsSceneDragDropEvent*)
    {58, 885, 400, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 33},	//1288 Plasma::Extender::dragMoveEvent(QGraphicsSceneDragDropEvent*)
    {58, 883, 400, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 34},	//1289 Plasma::Extender::dragLeaveEvent(QGraphicsSceneDragDropEvent*)
    {58, 911, 400, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 35},	//1290 Plasma::Extender::dropEvent(QGraphicsSceneDragDropEvent*)
    {58, 1182, 229, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 36},	//1291 Plasma::Extender::itemAttached(Plasma::ExtenderItem*)
    {58, 1186, 229, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 37},	//1292 Plasma::Extender::itemDetached(Plasma::ExtenderItem*)
    {58, 1025, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 38},	//1293 Plasma::Extender::geometryChanged()
    {58, 2312, 1, 1, Smoke::mf_static, 291, 39},	//1294 Plasma::Extender::tr(const char*)
    {58, 2316, 1, 1, Smoke::mf_static, 291, 40},	//1295 Plasma::Extender::trUtf8(const char*)
    {58, 1177, 229, 1, Smoke::mf_protected, 0, 41},	//1296 Plasma::Extender::itemAddedEvent(Plasma::ExtenderItem*)
    {58, 2231, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 439, 42},	//1297 Plasma::Extender::staticMetaObject() const
    {58, 328, 0, 0, Smoke::mf_static|Smoke::mf_enum, 90, 43},	//1298 Plasma::Extender::NoBorders (enum)
    {58, 64, 0, 0, Smoke::mf_static|Smoke::mf_enum, 90, 44},	//1299 Plasma::Extender::BottomUpStacked (enum)
    {58, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 90, 45},	//1300 Plasma::Extender::TopDownStacked (enum)
    {58, 2441, 0, 0, Smoke::mf_dtor, 0, 46 },	//1301 Plasma::Extender::~Extender()
    {59, 1356, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 440, 1},	//1302 Plasma::ExtenderGroup::metaObject() const
    {59, 1492, 1, 1, Smoke::mf_virtual, 484, 2},	//1303 Plasma::ExtenderGroup::qt_metacast(const char*)
    {59, 2312, 43, 2, Smoke::mf_static, 291, 3},	//1304 Plasma::ExtenderGroup::tr(const char*, const char*)
    {59, 2316, 43, 2, Smoke::mf_static, 291, 4},	//1305 Plasma::ExtenderGroup::trUtf8(const char*, const char*)
    {59, 2312, 46, 3, Smoke::mf_static, 291, 5},	//1306 Plasma::ExtenderGroup::tr(const char*, const char*, int)
    {59, 2316, 46, 3, Smoke::mf_static, 291, 6},	//1307 Plasma::ExtenderGroup::trUtf8(const char*, const char*, int)
    {59, 1490, 3, 3, Smoke::mf_virtual, 475, 7},	//1308 Plasma::ExtenderGroup::qt_metacall(QMetaObject::Call, int, void**)
    {59, 168, 562, 2, Smoke::mf_ctor, 91, 8},	//1309 Plasma::ExtenderGroup::ExtenderGroup(Plasma::Extender*, unsigned int)
    {59, 1202, 0, 0, Smoke::mf_const, 247, 9},	//1310 Plasma::ExtenderGroup::items() const
    {59, 694, 0, 0, Smoke::mf_const|Smoke::mf_property, 384, 10},	//1311 Plasma::ExtenderGroup::autoHide() const
    {59, 1698, 7, 1, Smoke::mf_property, 0, 11},	//1312 Plasma::ExtenderGroup::setAutoHide(bool)
    {59, 1139, 0, 0, Smoke::mf_const|Smoke::mf_property, 384, 12},	//1313 Plasma::ExtenderGroup::isGroupCollapsed() const
    {59, 1126, 0, 0, Smoke::mf_const|Smoke::mf_property, 384, 13},	//1314 Plasma::ExtenderGroup::isAutoCollapse() const
    {59, 1694, 7, 1, Smoke::mf_property, 0, 14},	//1315 Plasma::ExtenderGroup::setAutoCollapse(bool)
    {59, 1843, 7, 1, Smoke::mf_property|Smoke::mf_slot, 0, 15},	//1316 Plasma::ExtenderGroup::setGroupCollapsed(bool)
    {59, 968, 0, 0, Smoke::mf_slot, 0, 16},	//1317 Plasma::ExtenderGroup::expandGroup()
    {59, 737, 0, 0, Smoke::mf_slot, 0, 17},	//1318 Plasma::ExtenderGroup::collapseGroup()
    {59, 1590, 282, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 18},	//1319 Plasma::ExtenderGroup::resizeEvent(QGraphicsSceneResizeEvent*)
    {59, 959, 272, 2, Smoke::mf_protected|Smoke::mf_virtual, 384, 19},	//1320 Plasma::ExtenderGroup::eventFilter(QObject*, QEvent*)
    {59, 881, 400, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 20},	//1321 Plasma::ExtenderGroup::dragEnterEvent(QGraphicsSceneDragDropEvent*)
    {59, 885, 400, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 21},	//1322 Plasma::ExtenderGroup::dragMoveEvent(QGraphicsSceneDragDropEvent*)
    {59, 883, 400, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 22},	//1323 Plasma::ExtenderGroup::dragLeaveEvent(QGraphicsSceneDragDropEvent*)
    {59, 911, 400, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 23},	//1324 Plasma::ExtenderGroup::dropEvent(QGraphicsSceneDragDropEvent*)
    {59, 2312, 1, 1, Smoke::mf_static, 291, 24},	//1325 Plasma::ExtenderGroup::tr(const char*)
    {59, 2316, 1, 1, Smoke::mf_static, 291, 25},	//1326 Plasma::ExtenderGroup::trUtf8(const char*)
    {59, 168, 565, 1, Smoke::mf_ctor, 91, 26},	//1327 Plasma::ExtenderGroup::ExtenderGroup(Plasma::Extender*)
    {59, 2231, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 439, 27},	//1328 Plasma::ExtenderGroup::staticMetaObject() const
    {59, 2442, 0, 0, Smoke::mf_dtor, 0, 28 },	//1329 Plasma::ExtenderGroup::~ExtenderGroup()
    {60, 1356, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 440, 1},	//1330 Plasma::ExtenderItem::metaObject() const
    {60, 1492, 1, 1, Smoke::mf_virtual, 484, 2},	//1331 Plasma::ExtenderItem::qt_metacast(const char*)
    {60, 2312, 43, 2, Smoke::mf_static, 291, 3},	//1332 Plasma::ExtenderItem::tr(const char*, const char*)
    {60, 2316, 43, 2, Smoke::mf_static, 291, 4},	//1333 Plasma::ExtenderItem::trUtf8(const char*, const char*)
    {60, 2312, 46, 3, Smoke::mf_static, 291, 5},	//1334 Plasma::ExtenderItem::tr(const char*, const char*, int)
    {60, 2316, 46, 3, Smoke::mf_static, 291, 6},	//1335 Plasma::ExtenderItem::trUtf8(const char*, const char*, int)
    {60, 1490, 3, 3, Smoke::mf_virtual, 475, 7},	//1336 Plasma::ExtenderItem::qt_metacall(QMetaObject::Call, int, void**)
    {60, 171, 562, 2, Smoke::mf_ctor, 92, 8},	//1337 Plasma::ExtenderItem::ExtenderItem(Plasma::Extender*, unsigned int)
    {60, 743, 0, 0, Smoke::mf_const, 6, 9},	//1338 Plasma::ExtenderItem::config() const
    {60, 2157, 170, 1, 0, 0, 10},	//1339 Plasma::ExtenderItem::setWidget(QGraphicsItem*)
    {60, 2399, 0, 0, Smoke::mf_const, 212, 11},	//1340 Plasma::ExtenderItem::widget() const
    {60, 2102, 89, 1, Smoke::mf_property, 0, 12},	//1341 Plasma::ExtenderItem::setTitle(const QString&)
    {60, 2299, 0, 0, Smoke::mf_const|Smoke::mf_property, 291, 13},	//1342 Plasma::ExtenderItem::title() const
    {60, 1927, 89, 1, Smoke::mf_property, 0, 14},	//1343 Plasma::ExtenderItem::setName(const QString&)
    {60, 1391, 0, 0, Smoke::mf_const|Smoke::mf_property, 291, 15},	//1344 Plasma::ExtenderItem::name() const
    {60, 1864, 89, 1, 0, 0, 16},	//1345 Plasma::ExtenderItem::setIcon(const QString&)
    {60, 1864, 567, 1, Smoke::mf_property, 0, 17},	//1346 Plasma::ExtenderItem::setIcon(const QIcon&)
    {60, 1080, 0, 0, Smoke::mf_const|Smoke::mf_property, 234, 18},	//1347 Plasma::ExtenderItem::icon() const
    {60, 1816, 569, 2, 0, 0, 19},	//1348 Plasma::ExtenderItem::setExtender(Plasma::Extender*, const QPointF&)
    {60, 971, 0, 0, Smoke::mf_const, 89, 20},	//1349 Plasma::ExtenderItem::extender() const
    {60, 1840, 572, 1, 0, 0, 21},	//1350 Plasma::ExtenderItem::setGroup(Plasma::ExtenderGroup*)
    {60, 1840, 574, 2, 0, 0, 22},	//1351 Plasma::ExtenderItem::setGroup(Plasma::ExtenderGroup*, const QPointF&)
    {60, 1039, 0, 0, Smoke::mf_const, 91, 23},	//1352 Plasma::ExtenderItem::group() const
    {60, 1138, 0, 0, Smoke::mf_const, 384, 24},	//1353 Plasma::ExtenderItem::isGroup() const
    {60, 1696, 36, 1, 0, 0, 25},	//1354 Plasma::ExtenderItem::setAutoExpireDelay(unsigned int)
    {60, 693, 0, 0, Smoke::mf_const, 482, 26},	//1355 Plasma::ExtenderItem::autoExpireDelay() const
    {60, 1134, 0, 0, Smoke::mf_const|Smoke::mf_property, 384, 27},	//1356 Plasma::ExtenderItem::isDetached() const
    {60, 1132, 0, 0, Smoke::mf_const|Smoke::mf_property, 384, 28},	//1357 Plasma::ExtenderItem::isCollapsed() const
    {60, 579, 86, 2, 0, 0, 29},	//1358 Plasma::ExtenderItem::addAction(const QString&, QAction*)
    {60, 562, 89, 1, Smoke::mf_const, 181, 30},	//1359 Plasma::ExtenderItem::action(const QString&) const
    {60, 2110, 109, 1, 0, 0, 31},	//1360 Plasma::ExtenderItem::setTransient(const bool)
    {60, 1165, 0, 0, Smoke::mf_const, 384, 32},	//1361 Plasma::ExtenderItem::isTransient() const
    {60, 857, 0, 0, Smoke::mf_slot, 0, 33},	//1362 Plasma::ExtenderItem::destroy()
    {60, 1728, 7, 1, Smoke::mf_property|Smoke::mf_slot, 0, 34},	//1363 Plasma::ExtenderItem::setCollapsed(bool)
    {60, 1600, 0, 0, Smoke::mf_slot, 0, 35},	//1364 Plasma::ExtenderItem::returnToSource()
    {60, 2176, 0, 0, Smoke::mf_slot, 0, 36},	//1365 Plasma::ExtenderItem::showCloseButton()
    {60, 1063, 0, 0, Smoke::mf_slot, 0, 37},	//1366 Plasma::ExtenderItem::hideCloseButton()
    {60, 859, 229, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 38},	//1367 Plasma::ExtenderItem::destroyed(Plasma::ExtenderItem*)
    {60, 1425, 216, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 39},	//1368 Plasma::ExtenderItem::paint(QPainter*, const QStyleOptionGraphicsItem*, QWidget*)
    {60, 1379, 577, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 40},	//1369 Plasma::ExtenderItem::moveEvent(QGraphicsSceneMoveEvent*)
    {60, 1590, 282, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 41},	//1370 Plasma::ExtenderItem::resizeEvent(QGraphicsSceneResizeEvent*)
    {60, 1375, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 42},	//1371 Plasma::ExtenderItem::mousePressEvent(QGraphicsSceneMouseEvent*)
    {60, 1371, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 43},	//1372 Plasma::ExtenderItem::mouseDoubleClickEvent(QGraphicsSceneMouseEvent*)
    {60, 1373, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 44},	//1373 Plasma::ExtenderItem::mouseMoveEvent(QGraphicsSceneMouseEvent*)
    {60, 1377, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 45},	//1374 Plasma::ExtenderItem::mouseReleaseEvent(QGraphicsSceneMouseEvent*)
    {60, 1077, 290, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 46},	//1375 Plasma::ExtenderItem::hoverMoveEvent(QGraphicsSceneHoverEvent*)
    {60, 1075, 290, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 47},	//1376 Plasma::ExtenderItem::hoverLeaveEvent(QGraphicsSceneHoverEvent*)
    {60, 1627, 275, 2, Smoke::mf_protected|Smoke::mf_virtual, 384, 48},	//1377 Plasma::ExtenderItem::sceneEventFilter(QGraphicsItem*, QEvent*)
    {60, 2206, 287, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 289, 49},	//1378 Plasma::ExtenderItem::sizeHint(Qt::SizeHint, const QSizeF&) const
    {60, 2312, 1, 1, Smoke::mf_static, 291, 50},	//1379 Plasma::ExtenderItem::tr(const char*)
    {60, 2316, 1, 1, Smoke::mf_static, 291, 51},	//1380 Plasma::ExtenderItem::trUtf8(const char*)
    {60, 171, 565, 1, Smoke::mf_ctor, 92, 52},	//1381 Plasma::ExtenderItem::ExtenderItem(Plasma::Extender*)
    {60, 1816, 565, 1, 0, 0, 53},	//1382 Plasma::ExtenderItem::setExtender(Plasma::Extender*)
    {60, 2231, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 439, 54},	//1383 Plasma::ExtenderItem::staticMetaObject() const
    {60, 2443, 0, 0, Smoke::mf_dtor, 0, 55 },	//1384 Plasma::ExtenderItem::~ExtenderItem()
    {61, 1356, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 440, 1},	//1385 Plasma::FlashingLabel::metaObject() const
    {61, 1492, 1, 1, Smoke::mf_virtual, 484, 2},	//1386 Plasma::FlashingLabel::qt_metacast(const char*)
    {61, 2312, 43, 2, Smoke::mf_static, 291, 3},	//1387 Plasma::FlashingLabel::tr(const char*, const char*)
    {61, 2316, 43, 2, Smoke::mf_static, 291, 4},	//1388 Plasma::FlashingLabel::trUtf8(const char*, const char*)
    {61, 2312, 46, 3, Smoke::mf_static, 291, 5},	//1389 Plasma::FlashingLabel::tr(const char*, const char*, int)
    {61, 2316, 46, 3, Smoke::mf_static, 291, 6},	//1390 Plasma::FlashingLabel::trUtf8(const char*, const char*, int)
    {61, 1490, 3, 3, Smoke::mf_virtual, 475, 7},	//1391 Plasma::FlashingLabel::qt_metacall(QMetaObject::Call, int, void**)
    {61, 181, 170, 1, Smoke::mf_ctor, 93, 8},	//1392 Plasma::FlashingLabel::FlashingLabel(QGraphicsItem*)
    {61, 1425, 216, 3, Smoke::mf_virtual, 0, 9},	//1393 Plasma::FlashingLabel::paint(QPainter*, const QStyleOptionGraphicsItem*, QWidget*)
    {61, 1010, 0, 0, Smoke::mf_const|Smoke::mf_property, 209, 10},	//1394 Plasma::FlashingLabel::font() const
    {61, 1825, 579, 1, Smoke::mf_property, 0, 11},	//1395 Plasma::FlashingLabel::setFont(const QFont&)
    {61, 740, 0, 0, Smoke::mf_const|Smoke::mf_property, 187, 12},	//1396 Plasma::FlashingLabel::color() const
    {61, 1730, 581, 1, Smoke::mf_property, 0, 13},	//1397 Plasma::FlashingLabel::setColor(const QColor&)
    {61, 913, 0, 0, Smoke::mf_const|Smoke::mf_property, 475, 14},	//1398 Plasma::FlashingLabel::duration() const
    {61, 1799, 129, 1, Smoke::mf_property, 0, 15},	//1399 Plasma::FlashingLabel::setDuration(int)
    {61, 993, 583, 3, 0, 0, 16},	//1400 Plasma::FlashingLabel::flash(const QString&, int, const QTextOption&)
    {61, 993, 587, 3, 0, 0, 17},	//1401 Plasma::FlashingLabel::flash(const QPixmap&, int, QFlags<Qt::AlignmentFlag>)
    {61, 1702, 7, 1, Smoke::mf_property, 0, 18},	//1402 Plasma::FlashingLabel::setAutohide(bool)
    {61, 696, 0, 0, Smoke::mf_const|Smoke::mf_property, 384, 19},	//1403 Plasma::FlashingLabel::autohide() const
    {61, 2206, 287, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 289, 20},	//1404 Plasma::FlashingLabel::sizeHint(Qt::SizeHint, const QSizeF&) const
    {61, 1208, 0, 0, Smoke::mf_slot, 0, 21},	//1405 Plasma::FlashingLabel::kill()
    {61, 975, 0, 0, Smoke::mf_protected|Smoke::mf_slot, 0, 22},	//1406 Plasma::FlashingLabel::fadeIn()
    {61, 976, 0, 0, Smoke::mf_protected|Smoke::mf_slot, 0, 23},	//1407 Plasma::FlashingLabel::fadeOut()
    {61, 2312, 1, 1, Smoke::mf_static, 291, 24},	//1408 Plasma::FlashingLabel::tr(const char*)
    {61, 2316, 1, 1, Smoke::mf_static, 291, 25},	//1409 Plasma::FlashingLabel::trUtf8(const char*)
    {61, 181, 0, 0, Smoke::mf_ctor, 93, 26},	//1410 Plasma::FlashingLabel::FlashingLabel()
    {61, 1425, 328, 2, 0, 0, 27},	//1411 Plasma::FlashingLabel::paint(QPainter*, const QStyleOptionGraphicsItem*)
    {61, 993, 89, 1, 0, 0, 28},	//1412 Plasma::FlashingLabel::flash(const QString&)
    {61, 993, 591, 2, 0, 0, 29},	//1413 Plasma::FlashingLabel::flash(const QString&, int)
    {61, 993, 594, 1, 0, 0, 30},	//1414 Plasma::FlashingLabel::flash(const QPixmap&)
    {61, 993, 596, 2, 0, 0, 31},	//1415 Plasma::FlashingLabel::flash(const QPixmap&, int)
    {61, 2231, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 439, 32},	//1416 Plasma::FlashingLabel::staticMetaObject() const
    {61, 2444, 0, 0, Smoke::mf_dtor, 0, 33 },	//1417 Plasma::FlashingLabel::~FlashingLabel()
    {62, 1356, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 440, 1},	//1418 Plasma::Frame::metaObject() const
    {62, 1492, 1, 1, Smoke::mf_virtual, 484, 2},	//1419 Plasma::Frame::qt_metacast(const char*)
    {62, 2312, 43, 2, Smoke::mf_static, 291, 3},	//1420 Plasma::Frame::tr(const char*, const char*)
    {62, 2316, 43, 2, Smoke::mf_static, 291, 4},	//1421 Plasma::Frame::trUtf8(const char*, const char*)
    {62, 2312, 46, 3, Smoke::mf_static, 291, 5},	//1422 Plasma::Frame::tr(const char*, const char*, int)
    {62, 2316, 46, 3, Smoke::mf_static, 291, 6},	//1423 Plasma::Frame::trUtf8(const char*, const char*, int)
    {62, 1490, 3, 3, Smoke::mf_virtual, 475, 7},	//1424 Plasma::Frame::qt_metacall(QMetaObject::Call, int, void**)
    {62, 188, 125, 1, Smoke::mf_ctor, 96, 8},	//1425 Plasma::Frame::Frame(QGraphicsWidget*)
    {62, 1832, 599, 1, Smoke::mf_property, 0, 9},	//1426 Plasma::Frame::setFrameShadow(Plasma::Frame::Shadow)
    {62, 1020, 0, 0, Smoke::mf_const|Smoke::mf_property, 97, 10},	//1427 Plasma::Frame::frameShadow() const
    {62, 1814, 601, 1, 0, 0, 11},	//1428 Plasma::Frame::setEnabledBorders(const QFlags<Plasma::FrameSvg::EnabledBorder>)
    {62, 943, 0, 0, Smoke::mf_const, 202, 12},	//1429 Plasma::Frame::enabledBorders() const
    {62, 2088, 220, 1, Smoke::mf_property, 0, 13},	//1430 Plasma::Frame::setText(QString)
    {62, 2282, 0, 0, Smoke::mf_const|Smoke::mf_property, 291, 14},	//1431 Plasma::Frame::text() const
    {62, 1871, 89, 1, Smoke::mf_property, 0, 15},	//1432 Plasma::Frame::setImage(const QString&)
    {62, 1084, 0, 0, Smoke::mf_const|Smoke::mf_property, 291, 16},	//1433 Plasma::Frame::image() const
    {62, 2056, 89, 1, Smoke::mf_property, 0, 17},	//1434 Plasma::Frame::setStyleSheet(const QString&)
    {62, 2244, 0, 0, Smoke::mf_const|Smoke::mf_property, 291, 18},	//1435 Plasma::Frame::styleSheet() const
    {62, 1393, 0, 0, Smoke::mf_const, 307, 19},	//1436 Plasma::Frame::nativeWidget() const
    {62, 1425, 216, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 20},	//1437 Plasma::Frame::paint(QPainter*, const QStyleOptionGraphicsItem*, QWidget*)
    {62, 1590, 282, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 21},	//1438 Plasma::Frame::resizeEvent(QGraphicsSceneResizeEvent*)
    {62, 2206, 287, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 289, 22},	//1439 Plasma::Frame::sizeHint(Qt::SizeHint, const QSizeF&) const
    {62, 715, 331, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 23},	//1440 Plasma::Frame::changeEvent(QEvent*)
    {62, 2312, 1, 1, Smoke::mf_static, 291, 24},	//1441 Plasma::Frame::tr(const char*)
    {62, 2316, 1, 1, Smoke::mf_static, 291, 25},	//1442 Plasma::Frame::trUtf8(const char*)
    {62, 188, 0, 0, Smoke::mf_ctor, 96, 26},	//1443 Plasma::Frame::Frame()
    {62, 1425, 328, 2, Smoke::mf_protected, 0, 27},	//1444 Plasma::Frame::paint(QPainter*, const QStyleOptionGraphicsItem*)
    {62, 2231, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 439, 28},	//1445 Plasma::Frame::staticMetaObject() const
    {62, 372, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 29},	//1446 Plasma::Frame::Plain (enum)
    {62, 397, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 30},	//1447 Plasma::Frame::Raised (enum)
    {62, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 31},	//1448 Plasma::Frame::Sunken (enum)
    {62, 2445, 0, 0, Smoke::mf_dtor, 0, 32 },	//1449 Plasma::Frame::~Frame()
    {63, 1356, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 440, 1},	//1450 Plasma::FrameSvg::metaObject() const
    {63, 1492, 1, 1, Smoke::mf_virtual, 484, 2},	//1451 Plasma::FrameSvg::qt_metacast(const char*)
    {63, 2312, 43, 2, Smoke::mf_static, 291, 3},	//1452 Plasma::FrameSvg::tr(const char*, const char*)
    {63, 2316, 43, 2, Smoke::mf_static, 291, 4},	//1453 Plasma::FrameSvg::trUtf8(const char*, const char*)
    {63, 2312, 46, 3, Smoke::mf_static, 291, 5},	//1454 Plasma::FrameSvg::tr(const char*, const char*, int)
    {63, 2316, 46, 3, Smoke::mf_static, 291, 6},	//1455 Plasma::FrameSvg::trUtf8(const char*, const char*, int)
    {63, 1490, 3, 3, Smoke::mf_virtual, 475, 7},	//1456 Plasma::FrameSvg::qt_metacall(QMetaObject::Call, int, void**)
    {63, 190, 97, 1, Smoke::mf_ctor, 98, 8},	//1457 Plasma::FrameSvg::FrameSvg(QObject*)
    {63, 1875, 89, 1, 0, 0, 9},	//1458 Plasma::FrameSvg::setImagePath(const QString&)
    {63, 1814, 601, 1, 0, 0, 10},	//1459 Plasma::FrameSvg::setEnabledBorders(const QFlags<Plasma::FrameSvg::EnabledBorder>)
    {63, 943, 0, 0, Smoke::mf_const, 202, 11},	//1460 Plasma::FrameSvg::enabledBorders() const
    {63, 1592, 603, 1, 0, 0, 12},	//1461 Plasma::FrameSvg::resizeFrame(const QSizeF&)
    {63, 1021, 0, 0, Smoke::mf_const, 289, 13},	//1462 Plasma::FrameSvg::frameSize() const
    {63, 1338, 605, 1, Smoke::mf_const, 472, 14},	//1463 Plasma::FrameSvg::marginSize(const Plasma::MarginEdge) const
    {63, 1028, 607, 4, Smoke::mf_const, 0, 15},	//1464 Plasma::FrameSvg::getMargins(double&, double&, double&, double&) const
    {63, 791, 0, 0, Smoke::mf_const, 281, 16},	//1465 Plasma::FrameSvg::contentsRect() const
    {63, 1806, 9, 1, 0, 0, 17},	//1466 Plasma::FrameSvg::setElementPrefix(Plasma::Location)
    {63, 1806, 89, 1, 0, 0, 18},	//1467 Plasma::FrameSvg::setElementPrefix(const QString&)
    {63, 1048, 89, 1, Smoke::mf_const, 384, 19},	//1468 Plasma::FrameSvg::hasElementPrefix(const QString&) const
    {63, 1048, 9, 1, Smoke::mf_const, 384, 20},	//1469 Plasma::FrameSvg::hasElementPrefix(Plasma::Location) const
    {63, 1479, 0, 0, 0, 291, 21},	//1470 Plasma::FrameSvg::prefix()
    {63, 1340, 0, 0, Smoke::mf_const, 284, 22},	//1471 Plasma::FrameSvg::mask() const
    {63, 648, 0, 0, Smoke::mf_const, 275, 23},	//1472 Plasma::FrameSvg::alphaMask() const
    {63, 1712, 7, 1, 0, 0, 24},	//1473 Plasma::FrameSvg::setCacheAllRenderedFrames(bool)
    {63, 710, 0, 0, Smoke::mf_const, 384, 25},	//1474 Plasma::FrameSvg::cacheAllRenderedFrames() const
    {63, 725, 0, 0, 0, 0, 26},	//1475 Plasma::FrameSvg::clearCache()
    {63, 1019, 0, 0, 0, 275, 27},	//1476 Plasma::FrameSvg::framePixmap()
    {63, 1436, 612, 3, 0, 0, 28},	//1477 Plasma::FrameSvg::paintFrame(QPainter*, const QRectF&, const QRectF&)
    {63, 1436, 616, 2, 0, 0, 29},	//1478 Plasma::FrameSvg::paintFrame(QPainter*, const QPointF&)
    {63, 2312, 1, 1, Smoke::mf_static, 291, 30},	//1479 Plasma::FrameSvg::tr(const char*)
    {63, 2316, 1, 1, Smoke::mf_static, 291, 31},	//1480 Plasma::FrameSvg::trUtf8(const char*)
    {63, 190, 0, 0, Smoke::mf_ctor, 98, 32},	//1481 Plasma::FrameSvg::FrameSvg()
    {63, 1436, 619, 2, 0, 0, 33},	//1482 Plasma::FrameSvg::paintFrame(QPainter*, const QRectF&)
    {63, 1436, 622, 1, 0, 0, 34},	//1483 Plasma::FrameSvg::paintFrame(QPainter*)
    {63, 2231, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 439, 35},	//1484 Plasma::FrameSvg::staticMetaObject() const
    {63, 327, 0, 0, Smoke::mf_static|Smoke::mf_enum, 99, 36},	//1485 Plasma::FrameSvg::NoBorder (enum)
    {63, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 99, 37},	//1486 Plasma::FrameSvg::TopBorder (enum)
    {63, 58, 0, 0, Smoke::mf_static|Smoke::mf_enum, 99, 38},	//1487 Plasma::FrameSvg::BottomBorder (enum)
    {63, 293, 0, 0, Smoke::mf_static|Smoke::mf_enum, 99, 39},	//1488 Plasma::FrameSvg::LeftBorder (enum)
    {63, 400, 0, 0, Smoke::mf_static|Smoke::mf_enum, 99, 40},	//1489 Plasma::FrameSvg::RightBorder (enum)
    {63, 23, 0, 0, Smoke::mf_static|Smoke::mf_enum, 99, 41},	//1490 Plasma::FrameSvg::AllBorders (enum)
    {63, 2446, 0, 0, Smoke::mf_dtor, 0, 42 },	//1491 Plasma::FrameSvg::~FrameSvg()
    {64, 1356, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 440, 1},	//1492 Plasma::GLApplet::metaObject() const
    {64, 1492, 1, 1, Smoke::mf_virtual, 484, 2},	//1493 Plasma::GLApplet::qt_metacast(const char*)
    {64, 2312, 43, 2, Smoke::mf_static, 291, 3},	//1494 Plasma::GLApplet::tr(const char*, const char*)
    {64, 2316, 43, 2, Smoke::mf_static, 291, 4},	//1495 Plasma::GLApplet::trUtf8(const char*, const char*)
    {64, 2312, 46, 3, Smoke::mf_static, 291, 5},	//1496 Plasma::GLApplet::tr(const char*, const char*, int)
    {64, 2316, 46, 3, Smoke::mf_static, 291, 6},	//1497 Plasma::GLApplet::trUtf8(const char*, const char*, int)
    {64, 1490, 3, 3, Smoke::mf_virtual, 475, 7},	//1498 Plasma::GLApplet::qt_metacall(QMetaObject::Call, int, void**)
    {64, 194, 624, 3, Smoke::mf_ctor, 100, 8},	//1499 Plasma::GLApplet::GLApplet(QGraphicsItem*, const QString&, int)
    {64, 194, 70, 2, Smoke::mf_ctor, 100, 9},	//1500 Plasma::GLApplet::GLApplet(QObject*, const QList<QVariant>&)
    {64, 706, 628, 2, 0, 482, 10},	//1501 Plasma::GLApplet::bindTexture(const QImage&, unsigned int)
    {64, 852, 36, 1, 0, 0, 11},	//1502 Plasma::GLApplet::deleteTexture(unsigned int)
    {64, 1440, 328, 2, Smoke::mf_virtual, 0, 12},	//1503 Plasma::GLApplet::paintGLInterface(QPainter*, const QStyleOptionGraphicsItem*)
    {64, 1331, 0, 0, 0, 0, 13},	//1504 Plasma::GLApplet::makeCurrent()
    {64, 2312, 1, 1, Smoke::mf_static, 291, 14},	//1505 Plasma::GLApplet::tr(const char*)
    {64, 2316, 1, 1, Smoke::mf_static, 291, 15},	//1506 Plasma::GLApplet::trUtf8(const char*)
    {64, 706, 631, 1, 0, 482, 16},	//1507 Plasma::GLApplet::bindTexture(const QImage&)
    {64, 2231, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 439, 17},	//1508 Plasma::GLApplet::staticMetaObject() const
    {64, 2447, 0, 0, Smoke::mf_dtor, 0, 18 },	//1509 Plasma::GLApplet::~GLApplet()
    {65, 1356, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 440, 1},	//1510 Plasma::GroupBox::metaObject() const
    {65, 1492, 1, 1, Smoke::mf_virtual, 484, 2},	//1511 Plasma::GroupBox::qt_metacast(const char*)
    {65, 2312, 43, 2, Smoke::mf_static, 291, 3},	//1512 Plasma::GroupBox::tr(const char*, const char*)
    {65, 2316, 43, 2, Smoke::mf_static, 291, 4},	//1513 Plasma::GroupBox::trUtf8(const char*, const char*)
    {65, 2312, 46, 3, Smoke::mf_static, 291, 5},	//1514 Plasma::GroupBox::tr(const char*, const char*, int)
    {65, 2316, 46, 3, Smoke::mf_static, 291, 6},	//1515 Plasma::GroupBox::trUtf8(const char*, const char*, int)
    {65, 1490, 3, 3, Smoke::mf_virtual, 475, 7},	//1516 Plasma::GroupBox::qt_metacall(QMetaObject::Call, int, void**)
    {65, 199, 125, 1, Smoke::mf_ctor, 101, 8},	//1517 Plasma::GroupBox::GroupBox(QGraphicsWidget*)
    {65, 2088, 89, 1, Smoke::mf_property, 0, 9},	//1518 Plasma::GroupBox::setText(const QString&)
    {65, 2282, 0, 0, Smoke::mf_const|Smoke::mf_property, 291, 10},	//1519 Plasma::GroupBox::text() const
    {65, 2056, 89, 1, Smoke::mf_property, 0, 11},	//1520 Plasma::GroupBox::setStyleSheet(const QString&)
    {65, 2244, 0, 0, Smoke::mf_property, 291, 12},	//1521 Plasma::GroupBox::styleSheet()
    {65, 1393, 0, 0, Smoke::mf_const, 228, 13},	//1522 Plasma::GroupBox::nativeWidget() const
    {65, 1590, 282, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 14},	//1523 Plasma::GroupBox::resizeEvent(QGraphicsSceneResizeEvent*)
    {65, 715, 331, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 15},	//1524 Plasma::GroupBox::changeEvent(QEvent*)
    {65, 2312, 1, 1, Smoke::mf_static, 291, 16},	//1525 Plasma::GroupBox::tr(const char*)
    {65, 2316, 1, 1, Smoke::mf_static, 291, 17},	//1526 Plasma::GroupBox::trUtf8(const char*)
    {65, 199, 0, 0, Smoke::mf_ctor, 101, 18},	//1527 Plasma::GroupBox::GroupBox()
    {65, 2231, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 439, 19},	//1528 Plasma::GroupBox::staticMetaObject() const
    {65, 2448, 0, 0, Smoke::mf_dtor, 0, 20 },	//1529 Plasma::GroupBox::~GroupBox()
    {66, 1356, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 440, 1},	//1530 Plasma::IconWidget::metaObject() const
    {66, 1492, 1, 1, Smoke::mf_virtual, 484, 2},	//1531 Plasma::IconWidget::qt_metacast(const char*)
    {66, 2312, 43, 2, Smoke::mf_static, 291, 3},	//1532 Plasma::IconWidget::tr(const char*, const char*)
    {66, 2316, 43, 2, Smoke::mf_static, 291, 4},	//1533 Plasma::IconWidget::trUtf8(const char*, const char*)
    {66, 2312, 46, 3, Smoke::mf_static, 291, 5},	//1534 Plasma::IconWidget::tr(const char*, const char*, int)
    {66, 2316, 46, 3, Smoke::mf_static, 291, 6},	//1535 Plasma::IconWidget::trUtf8(const char*, const char*, int)
    {66, 1490, 3, 3, Smoke::mf_virtual, 475, 7},	//1536 Plasma::IconWidget::qt_metacall(QMetaObject::Call, int, void**)
    {66, 212, 170, 1, Smoke::mf_ctor, 102, 8},	//1537 Plasma::IconWidget::IconWidget(QGraphicsItem*)
    {66, 212, 633, 2, Smoke::mf_ctor, 102, 9},	//1538 Plasma::IconWidget::IconWidget(const QString&, QGraphicsItem*)
    {66, 212, 636, 3, Smoke::mf_ctor, 102, 10},	//1539 Plasma::IconWidget::IconWidget(const QIcon&, const QString&, QGraphicsItem*)
    {66, 2282, 0, 0, Smoke::mf_const|Smoke::mf_property, 291, 11},	//1540 Plasma::IconWidget::text() const
    {66, 2088, 89, 1, Smoke::mf_property, 0, 12},	//1541 Plasma::IconWidget::setText(const QString&)
    {66, 2062, 77, 2, 0, 0, 13},	//1542 Plasma::IconWidget::setSvg(const QString&, const QString&)
    {66, 2254, 0, 0, Smoke::mf_const|Smoke::mf_property, 291, 14},	//1543 Plasma::IconWidget::svg() const
    {66, 1095, 0, 0, Smoke::mf_const|Smoke::mf_property, 291, 15},	//1544 Plasma::IconWidget::infoText() const
    {66, 1881, 89, 1, Smoke::mf_property, 0, 16},	//1545 Plasma::IconWidget::setInfoText(const QString&)
    {66, 1080, 0, 0, Smoke::mf_const|Smoke::mf_property, 234, 17},	//1546 Plasma::IconWidget::icon() const
    {66, 1864, 567, 1, Smoke::mf_property, 0, 18},	//1547 Plasma::IconWidget::setIcon(const QIcon&)
    {66, 2283, 0, 0, Smoke::mf_const|Smoke::mf_property, 187, 19},	//1548 Plasma::IconWidget::textBackgroundColor() const
    {66, 2090, 581, 1, Smoke::mf_property, 0, 20},	//1549 Plasma::IconWidget::setTextBackgroundColor(const QColor&)
    {66, 1864, 89, 1, 0, 0, 21},	//1550 Plasma::IconWidget::setIcon(const QString&)
    {66, 1081, 0, 0, Smoke::mf_const|Smoke::mf_property, 289, 22},	//1551 Plasma::IconWidget::iconSize() const
    {66, 1970, 603, 1, Smoke::mf_property, 0, 23},	//1552 Plasma::IconWidget::setPreferredIconSize(const QSizeF&)
    {66, 1476, 0, 0, Smoke::mf_const|Smoke::mf_property, 289, 24},	//1553 Plasma::IconWidget::preferredIconSize() const
    {66, 1918, 603, 1, Smoke::mf_property, 0, 25},	//1554 Plasma::IconWidget::setMinimumIconSize(const QSizeF&)
    {66, 1367, 0, 0, Smoke::mf_const|Smoke::mf_property, 289, 26},	//1555 Plasma::IconWidget::minimumIconSize() const
    {66, 1910, 603, 1, Smoke::mf_property, 0, 27},	//1556 Plasma::IconWidget::setMaximumIconSize(const QSizeF&)
    {66, 1352, 0, 0, Smoke::mf_const|Smoke::mf_property, 289, 28},	//1557 Plasma::IconWidget::maximumIconSize() const
    {66, 604, 107, 1, 0, 0, 29},	//1558 Plasma::IconWidget::addIconAction(QAction*)
    {66, 1545, 107, 1, 0, 0, 30},	//1559 Plasma::IconWidget::removeIconAction(QAction*)
    {66, 1664, 107, 1, 0, 0, 31},	//1560 Plasma::IconWidget::setAction(QAction*)
    {66, 562, 0, 0, Smoke::mf_const, 181, 32},	//1561 Plasma::IconWidget::action() const
    {66, 1941, 640, 1, Smoke::mf_property, 0, 33},	//1562 Plasma::IconWidget::setOrientation(Qt::Orientation)
    {66, 1417, 0, 0, Smoke::mf_const|Smoke::mf_property, 356, 34},	//1563 Plasma::IconWidget::orientation() const
    {66, 1122, 7, 1, 0, 0, 35},	//1564 Plasma::IconWidget::invertLayout(bool)
    {66, 1124, 0, 0, Smoke::mf_const, 384, 36},	//1565 Plasma::IconWidget::invertedLayout() const
    {66, 2204, 642, 1, Smoke::mf_const, 289, 37},	//1566 Plasma::IconWidget::sizeFromIconSize(const double) const
    {66, 1400, 0, 0, Smoke::mf_property, 475, 38},	//1567 Plasma::IconWidget::numDisplayLines()
    {66, 1935, 129, 1, Smoke::mf_property, 0, 39},	//1568 Plasma::IconWidget::setNumDisplayLines(int)
    {66, 1795, 7, 1, Smoke::mf_property, 0, 40},	//1569 Plasma::IconWidget::setDrawBackground(bool)
    {66, 892, 0, 0, Smoke::mf_const|Smoke::mf_property, 384, 41},	//1570 Plasma::IconWidget::drawBackground() const
    {66, 2169, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 274, 42},	//1571 Plasma::IconWidget::shape() const
    {66, 1974, 7, 1, Smoke::mf_slot, 0, 43},	//1572 Plasma::IconWidget::setPressed(bool)
    {66, 2116, 0, 0, Smoke::mf_slot, 0, 44},	//1573 Plasma::IconWidget::setUnpressed()
    {66, 1425, 216, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 45},	//1574 Plasma::IconWidget::paint(QPainter*, const QStyleOptionGraphicsItem*, QWidget*)
    {66, 2206, 287, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 289, 46},	//1575 Plasma::IconWidget::sizeHint(Qt::SizeHint, const QSizeF&) const
    {66, 1481, 7, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 47},	//1576 Plasma::IconWidget::pressed(bool)
    {66, 731, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 48},	//1577 Plasma::IconWidget::clicked()
    {66, 880, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 49},	//1578 Plasma::IconWidget::doubleClicked()
    {66, 574, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 50},	//1579 Plasma::IconWidget::activated()
    {66, 717, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 51},	//1580 Plasma::IconWidget::changed()
    {66, 1135, 0, 0, Smoke::mf_protected, 384, 52},	//1581 Plasma::IconWidget::isDown()
    {66, 1375, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 53},	//1582 Plasma::IconWidget::mousePressEvent(QGraphicsSceneMouseEvent*)
    {66, 1373, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 54},	//1583 Plasma::IconWidget::mouseMoveEvent(QGraphicsSceneMouseEvent*)
    {66, 1377, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 55},	//1584 Plasma::IconWidget::mouseReleaseEvent(QGraphicsSceneMouseEvent*)
    {66, 1371, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 56},	//1585 Plasma::IconWidget::mouseDoubleClickEvent(QGraphicsSceneMouseEvent*)
    {66, 1073, 290, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 57},	//1586 Plasma::IconWidget::hoverEnterEvent(QGraphicsSceneHoverEvent*)
    {66, 1075, 290, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 58},	//1587 Plasma::IconWidget::hoverLeaveEvent(QGraphicsSceneHoverEvent*)
    {66, 1627, 275, 2, Smoke::mf_protected|Smoke::mf_virtual, 384, 59},	//1588 Plasma::IconWidget::sceneEventFilter(QGraphicsItem*, QEvent*)
    {66, 715, 331, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 60},	//1589 Plasma::IconWidget::changeEvent(QEvent*)
    {66, 888, 644, 3, 0, 0, 61},	//1590 Plasma::IconWidget::drawActionButtonBase(QPainter*, const QSize&, int)
    {66, 2312, 1, 1, Smoke::mf_static, 291, 62},	//1591 Plasma::IconWidget::tr(const char*)
    {66, 2316, 1, 1, Smoke::mf_static, 291, 63},	//1592 Plasma::IconWidget::trUtf8(const char*)
    {66, 212, 0, 0, Smoke::mf_ctor, 102, 64},	//1593 Plasma::IconWidget::IconWidget()
    {66, 212, 89, 1, Smoke::mf_ctor, 102, 65},	//1594 Plasma::IconWidget::IconWidget(const QString&)
    {66, 212, 648, 2, Smoke::mf_ctor, 102, 66},	//1595 Plasma::IconWidget::IconWidget(const QIcon&, const QString&)
    {66, 2062, 89, 1, 0, 0, 67},	//1596 Plasma::IconWidget::setSvg(const QString&)
    {66, 1974, 0, 0, Smoke::mf_slot, 0, 68},	//1597 Plasma::IconWidget::setPressed()
    {66, 1425, 328, 2, Smoke::mf_protected, 0, 69},	//1598 Plasma::IconWidget::paint(QPainter*, const QStyleOptionGraphicsItem*)
    {66, 2206, 248, 1, Smoke::mf_const|Smoke::mf_protected, 289, 70},	//1599 Plasma::IconWidget::sizeHint(Qt::SizeHint) const
    {66, 2231, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 439, 71},	//1600 Plasma::IconWidget::staticMetaObject() const
    {66, 2449, 0, 0, Smoke::mf_dtor, 0, 72 },	//1601 Plasma::IconWidget::~IconWidget()
    {67, 1356, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 440, 1},	//1602 Plasma::ItemBackground::metaObject() const
    {67, 1492, 1, 1, Smoke::mf_virtual, 484, 2},	//1603 Plasma::ItemBackground::qt_metacast(const char*)
    {67, 2312, 43, 2, Smoke::mf_static, 291, 3},	//1604 Plasma::ItemBackground::tr(const char*, const char*)
    {67, 2316, 43, 2, Smoke::mf_static, 291, 4},	//1605 Plasma::ItemBackground::trUtf8(const char*, const char*)
    {67, 2312, 46, 3, Smoke::mf_static, 291, 5},	//1606 Plasma::ItemBackground::tr(const char*, const char*, int)
    {67, 2316, 46, 3, Smoke::mf_static, 291, 6},	//1607 Plasma::ItemBackground::trUtf8(const char*, const char*, int)
    {67, 1490, 3, 3, Smoke::mf_virtual, 475, 7},	//1608 Plasma::ItemBackground::qt_metacall(QMetaObject::Call, int, void**)
    {67, 228, 125, 1, Smoke::mf_ctor, 105, 8},	//1609 Plasma::ItemBackground::ItemBackground(QGraphicsWidget*)
    {67, 2078, 651, 1, Smoke::mf_property, 0, 9},	//1610 Plasma::ItemBackground::setTarget(const QRectF&)
    {67, 2272, 0, 0, Smoke::mf_const|Smoke::mf_property, 281, 10},	//1611 Plasma::ItemBackground::target() const
    {67, 2080, 170, 1, Smoke::mf_property, 0, 11},	//1612 Plasma::ItemBackground::setTargetItem(QGraphicsItem*)
    {67, 2273, 0, 0, Smoke::mf_const|Smoke::mf_property, 212, 12},	//1613 Plasma::ItemBackground::targetItem() const
    {67, 1425, 216, 3, Smoke::mf_virtual, 0, 13},	//1614 Plasma::ItemBackground::paint(QPainter*, const QStyleOptionGraphicsItem*, QWidget*)
    {67, 666, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 14},	//1615 Plasma::ItemBackground::appearanceChanged()
    {67, 663, 653, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 15},	//1616 Plasma::ItemBackground::animationStep(qreal)
    {67, 2276, 655, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 16},	//1617 Plasma::ItemBackground::targetReached(QRectF)
    {67, 2274, 170, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 17},	//1618 Plasma::ItemBackground::targetItemReached(QGraphicsItem*)
    {67, 1184, 284, 2, Smoke::mf_protected|Smoke::mf_virtual, 302, 18},	//1619 Plasma::ItemBackground::itemChange(QGraphicsItem::GraphicsItemChange, const QVariant&)
    {67, 959, 272, 2, Smoke::mf_protected|Smoke::mf_virtual, 384, 19},	//1620 Plasma::ItemBackground::eventFilter(QObject*, QEvent*)
    {67, 1627, 275, 2, Smoke::mf_protected|Smoke::mf_virtual, 384, 20},	//1621 Plasma::ItemBackground::sceneEventFilter(QGraphicsItem*, QEvent*)
    {67, 1590, 282, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 21},	//1622 Plasma::ItemBackground::resizeEvent(QGraphicsSceneResizeEvent*)
    {67, 2312, 1, 1, Smoke::mf_static, 291, 22},	//1623 Plasma::ItemBackground::tr(const char*)
    {67, 2316, 1, 1, Smoke::mf_static, 291, 23},	//1624 Plasma::ItemBackground::trUtf8(const char*)
    {67, 228, 0, 0, Smoke::mf_ctor, 105, 24},	//1625 Plasma::ItemBackground::ItemBackground()
    {67, 2231, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 439, 25},	//1626 Plasma::ItemBackground::staticMetaObject() const
    {67, 2450, 0, 0, Smoke::mf_dtor, 0, 26 },	//1627 Plasma::ItemBackground::~ItemBackground()
    {68, 1356, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 440, 1},	//1628 Plasma::Label::metaObject() const
    {68, 1492, 1, 1, Smoke::mf_virtual, 484, 2},	//1629 Plasma::Label::qt_metacast(const char*)
    {68, 2312, 43, 2, Smoke::mf_static, 291, 3},	//1630 Plasma::Label::tr(const char*, const char*)
    {68, 2316, 43, 2, Smoke::mf_static, 291, 4},	//1631 Plasma::Label::trUtf8(const char*, const char*)
    {68, 2312, 46, 3, Smoke::mf_static, 291, 5},	//1632 Plasma::Label::tr(const char*, const char*, int)
    {68, 2316, 46, 3, Smoke::mf_static, 291, 6},	//1633 Plasma::Label::trUtf8(const char*, const char*, int)
    {68, 1490, 3, 3, Smoke::mf_virtual, 475, 7},	//1634 Plasma::Label::qt_metacall(QMetaObject::Call, int, void**)
    {68, 288, 125, 1, Smoke::mf_ctor, 108, 8},	//1635 Plasma::Label::Label(QGraphicsWidget*)
    {68, 2088, 89, 1, Smoke::mf_property, 0, 9},	//1636 Plasma::Label::setText(const QString&)
    {68, 2282, 0, 0, Smoke::mf_const|Smoke::mf_property, 291, 10},	//1637 Plasma::Label::text() const
    {68, 1871, 89, 1, Smoke::mf_property, 0, 11},	//1638 Plasma::Label::setImage(const QString&)
    {68, 1084, 0, 0, Smoke::mf_const|Smoke::mf_property, 291, 12},	//1639 Plasma::Label::image() const
    {68, 1668, 657, 1, 0, 0, 13},	//1640 Plasma::Label::setAlignment(QFlags<Qt::AlignmentFlag>)
    {68, 645, 0, 0, Smoke::mf_const, 205, 14},	//1641 Plasma::Label::alignment() const
    {68, 2010, 7, 1, Smoke::mf_property, 0, 15},	//1642 Plasma::Label::setScaledContents(bool)
    {68, 1057, 0, 0, Smoke::mf_const|Smoke::mf_property, 384, 16},	//1643 Plasma::Label::hasScaledContents() const
    {68, 2092, 7, 1, Smoke::mf_property, 0, 17},	//1644 Plasma::Label::setTextSelectable(bool)
    {68, 2288, 0, 0, Smoke::mf_const|Smoke::mf_property, 384, 18},	//1645 Plasma::Label::textSelectable() const
    {68, 2163, 7, 1, Smoke::mf_property, 0, 19},	//1646 Plasma::Label::setWordWrap(bool)
    {68, 2408, 0, 0, Smoke::mf_const|Smoke::mf_property, 384, 20},	//1647 Plasma::Label::wordWrap() const
    {68, 2056, 89, 1, Smoke::mf_property, 0, 21},	//1648 Plasma::Label::setStyleSheet(const QString&)
    {68, 2244, 0, 0, Smoke::mf_property, 291, 22},	//1649 Plasma::Label::styleSheet()
    {68, 1393, 0, 0, Smoke::mf_const, 239, 23},	//1650 Plasma::Label::nativeWidget() const
    {68, 1235, 89, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 24},	//1651 Plasma::Label::linkActivated(const QString&)
    {68, 1238, 89, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 25},	//1652 Plasma::Label::linkHovered(const QString&)
    {68, 846, 489, 2, Smoke::mf_slot, 0, 26},	//1653 Plasma::Label::dataUpdated(const QString&, const Plasma::DataEngine::Data&)
    {68, 1590, 282, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 27},	//1654 Plasma::Label::resizeEvent(QGraphicsSceneResizeEvent*)
    {68, 1375, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 28},	//1655 Plasma::Label::mousePressEvent(QGraphicsSceneMouseEvent*)
    {68, 1373, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 29},	//1656 Plasma::Label::mouseMoveEvent(QGraphicsSceneMouseEvent*)
    {68, 1425, 216, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 30},	//1657 Plasma::Label::paint(QPainter*, const QStyleOptionGraphicsItem*, QWidget*)
    {68, 715, 331, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 31},	//1658 Plasma::Label::changeEvent(QEvent*)
    {68, 957, 331, 1, Smoke::mf_protected|Smoke::mf_virtual, 384, 32},	//1659 Plasma::Label::event(QEvent*)
    {68, 1184, 284, 2, Smoke::mf_protected|Smoke::mf_virtual, 302, 33},	//1660 Plasma::Label::itemChange(QGraphicsItem::GraphicsItemChange, const QVariant&)
    {68, 799, 394, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 34},	//1661 Plasma::Label::contextMenuEvent(QGraphicsSceneContextMenuEvent*)
    {68, 2206, 287, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 289, 35},	//1662 Plasma::Label::sizeHint(Qt::SizeHint, const QSizeF&) const
    {68, 2312, 1, 1, Smoke::mf_static, 291, 36},	//1663 Plasma::Label::tr(const char*)
    {68, 2316, 1, 1, Smoke::mf_static, 291, 37},	//1664 Plasma::Label::trUtf8(const char*)
    {68, 288, 0, 0, Smoke::mf_ctor, 108, 38},	//1665 Plasma::Label::Label()
    {68, 2231, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 439, 39},	//1666 Plasma::Label::staticMetaObject() const
    {68, 2451, 0, 0, Smoke::mf_dtor, 0, 40 },	//1667 Plasma::Label::~Label()
    {69, 1356, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 440, 1},	//1668 Plasma::LineEdit::metaObject() const
    {69, 1492, 1, 1, Smoke::mf_virtual, 484, 2},	//1669 Plasma::LineEdit::qt_metacast(const char*)
    {69, 2312, 43, 2, Smoke::mf_static, 291, 3},	//1670 Plasma::LineEdit::tr(const char*, const char*)
    {69, 2316, 43, 2, Smoke::mf_static, 291, 4},	//1671 Plasma::LineEdit::trUtf8(const char*, const char*)
    {69, 2312, 46, 3, Smoke::mf_static, 291, 5},	//1672 Plasma::LineEdit::tr(const char*, const char*, int)
    {69, 2316, 46, 3, Smoke::mf_static, 291, 6},	//1673 Plasma::LineEdit::trUtf8(const char*, const char*, int)
    {69, 1490, 3, 3, Smoke::mf_virtual, 475, 7},	//1674 Plasma::LineEdit::qt_metacall(QMetaObject::Call, int, void**)
    {69, 299, 125, 1, Smoke::mf_ctor, 109, 8},	//1675 Plasma::LineEdit::LineEdit(QGraphicsWidget*)
    {69, 2088, 89, 1, Smoke::mf_property, 0, 9},	//1676 Plasma::LineEdit::setText(const QString&)
    {69, 2282, 0, 0, Smoke::mf_const|Smoke::mf_property, 291, 10},	//1677 Plasma::LineEdit::text() const
    {69, 1722, 7, 1, Smoke::mf_property, 0, 11},	//1678 Plasma::LineEdit::setClearButtonShown(bool)
    {69, 1130, 0, 0, Smoke::mf_const|Smoke::mf_property, 384, 12},	//1679 Plasma::LineEdit::isClearButtonShown() const
    {69, 1724, 89, 1, Smoke::mf_property, 0, 13},	//1680 Plasma::LineEdit::setClickMessage(const QString&)
    {69, 730, 0, 0, Smoke::mf_const|Smoke::mf_property, 291, 14},	//1681 Plasma::LineEdit::clickMessage() const
    {69, 2056, 89, 1, Smoke::mf_property, 0, 15},	//1682 Plasma::LineEdit::setStyleSheet(const QString&)
    {69, 2244, 0, 0, Smoke::mf_property, 291, 16},	//1683 Plasma::LineEdit::styleSheet()
    {69, 1929, 659, 1, 0, 0, 17},	//1684 Plasma::LineEdit::setNativeWidget(KLineEdit*)
    {69, 1393, 0, 0, Smoke::mf_const, 11, 18},	//1685 Plasma::LineEdit::nativeWidget() const
    {69, 1073, 290, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 19},	//1686 Plasma::LineEdit::hoverEnterEvent(QGraphicsSceneHoverEvent*)
    {69, 1075, 290, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 20},	//1687 Plasma::LineEdit::hoverLeaveEvent(QGraphicsSceneHoverEvent*)
    {69, 715, 331, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 21},	//1688 Plasma::LineEdit::changeEvent(QEvent*)
    {69, 1425, 216, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 22},	//1689 Plasma::LineEdit::paint(QPainter*, const QStyleOptionGraphicsItem*, QWidget*)
    {69, 1375, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 23},	//1690 Plasma::LineEdit::mousePressEvent(QGraphicsSceneMouseEvent*)
    {69, 1003, 280, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 24},	//1691 Plasma::LineEdit::focusInEvent(QFocusEvent*)
    {69, 1007, 280, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 25},	//1692 Plasma::LineEdit::focusOutEvent(QFocusEvent*)
    {69, 915, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 26},	//1693 Plasma::LineEdit::editingFinished()
    {69, 1599, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 27},	//1694 Plasma::LineEdit::returnPressed()
    {69, 2286, 89, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 28},	//1695 Plasma::LineEdit::textEdited(const QString&)
    {69, 2284, 89, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 29},	//1696 Plasma::LineEdit::textChanged(const QString&)
    {69, 1001, 7, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 30},	//1697 Plasma::LineEdit::focusChanged(bool)
    {69, 2312, 1, 1, Smoke::mf_static, 291, 31},	//1698 Plasma::LineEdit::tr(const char*)
    {69, 2316, 1, 1, Smoke::mf_static, 291, 32},	//1699 Plasma::LineEdit::trUtf8(const char*)
    {69, 299, 0, 0, Smoke::mf_ctor, 109, 33},	//1700 Plasma::LineEdit::LineEdit()
    {69, 2231, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 439, 34},	//1701 Plasma::LineEdit::staticMetaObject() const
    {69, 2452, 0, 0, Smoke::mf_dtor, 0, 35 },	//1702 Plasma::LineEdit::~LineEdit()
    {70, 1356, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 440, 1},	//1703 Plasma::Meter::metaObject() const
    {70, 1492, 1, 1, Smoke::mf_virtual, 484, 2},	//1704 Plasma::Meter::qt_metacast(const char*)
    {70, 2312, 43, 2, Smoke::mf_static, 291, 3},	//1705 Plasma::Meter::tr(const char*, const char*)
    {70, 2316, 43, 2, Smoke::mf_static, 291, 4},	//1706 Plasma::Meter::trUtf8(const char*, const char*)
    {70, 2312, 46, 3, Smoke::mf_static, 291, 5},	//1707 Plasma::Meter::tr(const char*, const char*, int)
    {70, 2316, 46, 3, Smoke::mf_static, 291, 6},	//1708 Plasma::Meter::trUtf8(const char*, const char*, int)
    {70, 1490, 3, 3, Smoke::mf_virtual, 475, 7},	//1709 Plasma::Meter::qt_metacall(QMetaObject::Call, int, void**)
    {70, 310, 170, 1, Smoke::mf_ctor, 113, 8},	//1710 Plasma::Meter::Meter(QGraphicsItem*)
    {70, 1351, 0, 0, Smoke::mf_const|Smoke::mf_property, 475, 9},	//1711 Plasma::Meter::maximum() const
    {70, 1366, 0, 0, Smoke::mf_const|Smoke::mf_property, 475, 10},	//1712 Plasma::Meter::minimum() const
    {70, 2368, 0, 0, Smoke::mf_const|Smoke::mf_property, 475, 11},	//1713 Plasma::Meter::value() const
    {70, 2062, 89, 1, Smoke::mf_property, 0, 12},	//1714 Plasma::Meter::setSvg(const QString&)
    {70, 2254, 0, 0, Smoke::mf_const|Smoke::mf_property, 291, 13},	//1715 Plasma::Meter::svg() const
    {70, 1912, 661, 1, Smoke::mf_property, 0, 14},	//1716 Plasma::Meter::setMeterType(Plasma::Meter::MeterType)
    {70, 1358, 0, 0, Smoke::mf_const|Smoke::mf_property, 114, 15},	//1717 Plasma::Meter::meterType() const
    {70, 1889, 663, 2, 0, 0, 16},	//1718 Plasma::Meter::setLabel(int, const QString&)
    {70, 1211, 129, 1, Smoke::mf_const, 291, 17},	//1719 Plasma::Meter::label(int) const
    {70, 1894, 666, 2, 0, 0, 18},	//1720 Plasma::Meter::setLabelColor(int, const QColor&)
    {70, 1215, 129, 1, Smoke::mf_const, 187, 19},	//1721 Plasma::Meter::labelColor(int) const
    {70, 1896, 669, 2, 0, 0, 20},	//1722 Plasma::Meter::setLabelFont(int, const QFont&)
    {70, 1217, 129, 1, Smoke::mf_const, 209, 21},	//1723 Plasma::Meter::labelFont(int) const
    {70, 1892, 672, 2, 0, 0, 22},	//1724 Plasma::Meter::setLabelAlignment(int, const QFlags<Qt::AlignmentFlag>)
    {70, 1213, 129, 1, Smoke::mf_const, 205, 23},	//1725 Plasma::Meter::labelAlignment(int) const
    {70, 1219, 129, 1, Smoke::mf_const, 281, 24},	//1726 Plasma::Meter::labelRect(int) const
    {70, 846, 489, 2, Smoke::mf_slot, 0, 25},	//1727 Plasma::Meter::dataUpdated(const QString&, const Plasma::DataEngine::Data&)
    {70, 1908, 129, 1, Smoke::mf_property|Smoke::mf_slot, 0, 26},	//1728 Plasma::Meter::setMaximum(int)
    {70, 1916, 129, 1, Smoke::mf_property|Smoke::mf_slot, 0, 27},	//1729 Plasma::Meter::setMinimum(int)
    {70, 2132, 129, 1, Smoke::mf_property|Smoke::mf_slot, 0, 28},	//1730 Plasma::Meter::setValue(int)
    {70, 2369, 675, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 29},	//1731 Plasma::Meter::valueChanged(const int&)
    {70, 1425, 216, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 30},	//1732 Plasma::Meter::paint(QPainter*, const QStyleOptionGraphicsItem*, QWidget*)
    {70, 2206, 287, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 289, 31},	//1733 Plasma::Meter::sizeHint(Qt::SizeHint, const QSizeF&) const
    {70, 2312, 1, 1, Smoke::mf_static, 291, 32},	//1734 Plasma::Meter::tr(const char*)
    {70, 2316, 1, 1, Smoke::mf_static, 291, 33},	//1735 Plasma::Meter::trUtf8(const char*)
    {70, 310, 0, 0, Smoke::mf_ctor, 113, 34},	//1736 Plasma::Meter::Meter()
    {70, 1425, 328, 2, Smoke::mf_protected, 0, 35},	//1737 Plasma::Meter::paint(QPainter*, const QStyleOptionGraphicsItem*)
    {70, 2206, 248, 1, Smoke::mf_const|Smoke::mf_protected, 289, 36},	//1738 Plasma::Meter::sizeHint(Qt::SizeHint) const
    {70, 2231, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 439, 37},	//1739 Plasma::Meter::staticMetaObject() const
    {70, 56, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 38},	//1740 Plasma::Meter::BarMeterHorizontal (enum)
    {70, 57, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 39},	//1741 Plasma::Meter::BarMeterVertical (enum)
    {70, 29, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 40},	//1742 Plasma::Meter::AnalogMeter (enum)
    {70, 2453, 0, 0, Smoke::mf_dtor, 0, 41 },	//1743 Plasma::Meter::~Meter()
    {71, 351, 0, 0, Smoke::mf_ctor, 116, 1},	//1744 Plasma::Package::Package()
    {71, 351, 677, 3, Smoke::mf_ctor, 116, 2},	//1745 Plasma::Package::Package(const QString&, const QString&, KSharedPtr<Plasma::PackageStructure>)
    {71, 351, 681, 2, Smoke::mf_ctor, 116, 3},	//1746 Plasma::Package::Package(const QString&, KSharedPtr<Plasma::PackageStructure>)
    {71, 351, 684, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 116, 4},	//1747 Plasma::Package::Package(const Plasma::Package&)
    {71, 1413, 684, 1, 0, 115, 5},	//1748 Plasma::Package::operator=(const Plasma::Package&)
    {71, 1169, 0, 0, Smoke::mf_const, 384, 6},	//1749 Plasma::Package::isValid() const
    {71, 977, 686, 2, Smoke::mf_const, 291, 7},	//1750 Plasma::Package::filePath(const char*, const QString&) const
    {71, 977, 1, 1, Smoke::mf_const, 291, 8},	//1751 Plasma::Package::filePath(const char*) const
    {71, 954, 1, 1, Smoke::mf_const, 292, 9},	//1752 Plasma::Package::entryList(const char*) const
    {71, 1357, 0, 0, Smoke::mf_const, 117, 10},	//1753 Plasma::Package::metadata() const
    {71, 1953, 89, 1, 0, 0, 11},	//1754 Plasma::Package::setPath(const QString&)
    {71, 1451, 0, 0, Smoke::mf_const, 454, 12},	//1755 Plasma::Package::path() const
    {71, 2242, 0, 0, Smoke::mf_const, 392, 13},	//1756 Plasma::Package::structure() const
    {71, 788, 0, 0, Smoke::mf_const, 291, 14},	//1757 Plasma::Package::contentsHash() const
    {71, 1271, 89, 1, Smoke::mf_static, 292, 15},	//1758 Plasma::Package::listInstalled(const QString&)
    {71, 1273, 89, 1, Smoke::mf_static, 292, 16},	//1759 Plasma::Package::listInstalledPaths(const QString&)
    {71, 1117, 358, 3, Smoke::mf_static, 384, 17},	//1760 Plasma::Package::installPackage(const QString&, const QString&, const QString&)
    {71, 2324, 358, 3, Smoke::mf_static, 384, 18},	//1761 Plasma::Package::uninstallPackage(const QString&, const QString&, const QString&)
    {71, 1510, 689, 2, Smoke::mf_static, 384, 19},	//1762 Plasma::Package::registerPackage(const Plasma::PackageMetadata&, const QString&)
    {71, 819, 692, 4, Smoke::mf_static, 384, 20},	//1763 Plasma::Package::createPackage(const Plasma::PackageMetadata&, const QString&, const QString&, const QString&)
    {71, 819, 697, 3, Smoke::mf_static, 384, 21},	//1764 Plasma::Package::createPackage(const Plasma::PackageMetadata&, const QString&, const QString&)
    {71, 2454, 0, 0, Smoke::mf_dtor, 0, 22 },	//1765 Plasma::Package::~Package()
    {72, 355, 89, 1, Smoke::mf_ctor, 119, 1},	//1766 Plasma::PackageMetadata::PackageMetadata(const QString&)
    {72, 355, 701, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 119, 2},	//1767 Plasma::PackageMetadata::PackageMetadata(const Plasma::PackageMetadata&)
    {72, 1413, 701, 1, 0, 118, 3},	//1768 Plasma::PackageMetadata::operator=(const Plasma::PackageMetadata&)
    {72, 1169, 0, 0, Smoke::mf_const, 384, 4},	//1769 Plasma::PackageMetadata::isValid() const
    {72, 2409, 89, 1, Smoke::mf_const, 0, 5},	//1770 Plasma::PackageMetadata::write(const QString&) const
    {72, 1498, 89, 1, 0, 0, 6},	//1771 Plasma::PackageMetadata::read(const QString&)
    {72, 1391, 0, 0, Smoke::mf_const, 291, 7},	//1772 Plasma::PackageMetadata::name() const
    {72, 854, 0, 0, Smoke::mf_const, 291, 8},	//1773 Plasma::PackageMetadata::description() const
    {72, 1207, 0, 0, Smoke::mf_const, 292, 9},	//1774 Plasma::PackageMetadata::keywords() const
    {72, 1663, 0, 0, Smoke::mf_const, 291, 10},	//1775 Plasma::PackageMetadata::serviceType() const
    {72, 690, 0, 0, Smoke::mf_const, 291, 11},	//1776 Plasma::PackageMetadata::author() const
    {72, 937, 0, 0, Smoke::mf_const, 291, 12},	//1777 Plasma::PackageMetadata::email() const
    {72, 2371, 0, 0, Smoke::mf_const, 291, 13},	//1778 Plasma::PackageMetadata::version() const
    {72, 2396, 0, 0, Smoke::mf_const, 291, 14},	//1779 Plasma::PackageMetadata::website() const
    {72, 1234, 0, 0, Smoke::mf_const, 291, 15},	//1780 Plasma::PackageMetadata::license() const
    {72, 680, 0, 0, Smoke::mf_const, 291, 16},	//1781 Plasma::PackageMetadata::application() const
    {72, 712, 0, 0, Smoke::mf_const, 291, 17},	//1782 Plasma::PackageMetadata::category() const
    {72, 1584, 0, 0, Smoke::mf_const, 291, 18},	//1783 Plasma::PackageMetadata::requiredVersion() const
    {72, 1463, 0, 0, Smoke::mf_const, 291, 19},	//1784 Plasma::PackageMetadata::pluginName() const
    {72, 1090, 0, 0, Smoke::mf_const, 291, 20},	//1785 Plasma::PackageMetadata::implementationApi() const
    {72, 1531, 0, 0, Smoke::mf_const, 24, 21},	//1786 Plasma::PackageMetadata::remoteLocation() const
    {72, 1581, 0, 0, Smoke::mf_const, 292, 22},	//1787 Plasma::PackageMetadata::requiredDataEngines() const
    {72, 2321, 0, 0, Smoke::mf_const, 291, 23},	//1788 Plasma::PackageMetadata::type() const
    {72, 1927, 89, 1, 0, 0, 24},	//1789 Plasma::PackageMetadata::setName(const QString&)
    {72, 1785, 89, 1, 0, 0, 25},	//1790 Plasma::PackageMetadata::setDescription(const QString&)
    {72, 1080, 0, 0, Smoke::mf_const, 291, 26},	//1791 Plasma::PackageMetadata::icon() const
    {72, 1864, 89, 1, 0, 0, 27},	//1792 Plasma::PackageMetadata::setIcon(const QString&)
    {72, 1887, 200, 1, 0, 0, 28},	//1793 Plasma::PackageMetadata::setKeywords(const QStringList&)
    {72, 2023, 89, 1, 0, 0, 29},	//1794 Plasma::PackageMetadata::setServiceType(const QString&)
    {72, 1688, 89, 1, 0, 0, 30},	//1795 Plasma::PackageMetadata::setAuthor(const QString&)
    {72, 1808, 89, 1, 0, 0, 31},	//1796 Plasma::PackageMetadata::setEmail(const QString&)
    {72, 2134, 89, 1, 0, 0, 32},	//1797 Plasma::PackageMetadata::setVersion(const QString&)
    {72, 2155, 89, 1, 0, 0, 33},	//1798 Plasma::PackageMetadata::setWebsite(const QString&)
    {72, 1900, 89, 1, 0, 0, 34},	//1799 Plasma::PackageMetadata::setLicense(const QString&)
    {72, 1680, 89, 1, 0, 0, 35},	//1800 Plasma::PackageMetadata::setApplication(const QString&)
    {72, 1716, 89, 1, 0, 0, 36},	//1801 Plasma::PackageMetadata::setCategory(const QString&)
    {72, 1998, 89, 1, 0, 0, 37},	//1802 Plasma::PackageMetadata::setRequiredVersion(const QString&)
    {72, 1990, 119, 1, 0, 0, 38},	//1803 Plasma::PackageMetadata::setRemoteLocation(const KUrl&)
    {72, 2112, 89, 1, 0, 0, 39},	//1804 Plasma::PackageMetadata::setType(const QString&)
    {72, 1959, 89, 1, 0, 0, 40},	//1805 Plasma::PackageMetadata::setPluginName(const QString&)
    {72, 1879, 89, 1, 0, 0, 41},	//1806 Plasma::PackageMetadata::setImplementationApi(const QString&)
    {72, 1996, 200, 1, 0, 0, 42},	//1807 Plasma::PackageMetadata::setRequiredDataEngines(const QStringList&)
    {72, 355, 0, 0, Smoke::mf_ctor, 119, 43},	//1808 Plasma::PackageMetadata::PackageMetadata()
    {72, 2455, 0, 0, Smoke::mf_dtor, 0, 44 },	//1809 Plasma::PackageMetadata::~PackageMetadata()
    {73, 1356, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 440, 1},	//1810 Plasma::PackageStructure::metaObject() const
    {73, 1492, 1, 1, Smoke::mf_virtual, 484, 2},	//1811 Plasma::PackageStructure::qt_metacast(const char*)
    {73, 2312, 43, 2, Smoke::mf_static, 291, 3},	//1812 Plasma::PackageStructure::tr(const char*, const char*)
    {73, 2316, 43, 2, Smoke::mf_static, 291, 4},	//1813 Plasma::PackageStructure::trUtf8(const char*, const char*)
    {73, 2312, 46, 3, Smoke::mf_static, 291, 5},	//1814 Plasma::PackageStructure::tr(const char*, const char*, int)
    {73, 2316, 46, 3, Smoke::mf_static, 291, 6},	//1815 Plasma::PackageStructure::trUtf8(const char*, const char*, int)
    {73, 1490, 3, 3, Smoke::mf_virtual, 475, 7},	//1816 Plasma::PackageStructure::qt_metacall(QMetaObject::Call, int, void**)
    {73, 358, 64, 2, Smoke::mf_ctor, 122, 8},	//1817 Plasma::PackageStructure::PackageStructure(QObject*, const QString&)
    {73, 1413, 703, 1, 0, 121, 9},	//1818 Plasma::PackageStructure::operator=(const Plasma::PackageStructure&)
    {73, 1286, 89, 1, Smoke::mf_static, 19, 10},	//1819 Plasma::PackageStructure::load(const QString&)
    {73, 2321, 0, 0, Smoke::mf_const, 291, 11},	//1820 Plasma::PackageStructure::type() const
    {73, 867, 0, 0, Smoke::mf_const, 258, 12},	//1821 Plasma::PackageStructure::directories() const
    {73, 1582, 0, 0, Smoke::mf_const, 258, 13},	//1822 Plasma::PackageStructure::requiredDirectories() const
    {73, 980, 0, 0, Smoke::mf_const, 258, 14},	//1823 Plasma::PackageStructure::files() const
    {73, 1583, 0, 0, Smoke::mf_const, 258, 15},	//1824 Plasma::PackageStructure::requiredFiles() const
    {73, 598, 705, 3, 0, 0, 16},	//1825 Plasma::PackageStructure::addDirectoryDefinition(const char*, const QString&, const QString&)
    {73, 602, 705, 3, 0, 0, 17},	//1826 Plasma::PackageStructure::addFileDefinition(const char*, const QString&, const QString&)
    {73, 1543, 1, 1, 0, 0, 18},	//1827 Plasma::PackageStructure::removeDefinition(const char*)
    {73, 1451, 1, 1, Smoke::mf_const, 291, 19},	//1828 Plasma::PackageStructure::path(const char*) const
    {73, 1646, 1, 1, Smoke::mf_const, 292, 20},	//1829 Plasma::PackageStructure::searchPath(const char*) const
    {73, 954, 1, 1, 0, 292, 21},	//1830 Plasma::PackageStructure::entryList(const char*)
    {73, 1391, 1, 1, Smoke::mf_const, 291, 22},	//1831 Plasma::PackageStructure::name(const char*) const
    {73, 1994, 709, 2, 0, 0, 23},	//1832 Plasma::PackageStructure::setRequired(const char*, bool)
    {73, 1156, 1, 1, Smoke::mf_const, 384, 24},	//1833 Plasma::PackageStructure::isRequired(const char*) const
    {73, 1776, 712, 1, 0, 0, 25},	//1834 Plasma::PackageStructure::setDefaultMimetypes(QStringList)
    {73, 1914, 714, 2, 0, 0, 26},	//1835 Plasma::PackageStructure::setMimetypes(const char*, QStringList)
    {73, 1364, 1, 1, Smoke::mf_const, 292, 27},	//1836 Plasma::PackageStructure::mimetypes(const char*) const
    {73, 1953, 89, 1, 0, 0, 28},	//1837 Plasma::PackageStructure::setPath(const QString&)
    {73, 1451, 0, 0, Smoke::mf_const, 291, 29},	//1838 Plasma::PackageStructure::path() const
    {73, 1498, 717, 1, 0, 0, 30},	//1839 Plasma::PackageStructure::read(const KConfigBase*)
    {73, 2409, 719, 1, Smoke::mf_const, 0, 31},	//1840 Plasma::PackageStructure::write(KConfigBase*) const
    {73, 1117, 77, 2, Smoke::mf_virtual, 384, 32},	//1841 Plasma::PackageStructure::installPackage(const QString&, const QString&)
    {73, 2324, 77, 2, Smoke::mf_virtual, 384, 33},	//1842 Plasma::PackageStructure::uninstallPackage(const QString&, const QString&)
    {73, 817, 57, 1, Smoke::mf_virtual, 0, 34},	//1843 Plasma::PackageStructure::createNewWidgetBrowser(QWidget*)
    {73, 789, 0, 0, Smoke::mf_const, 291, 35},	//1844 Plasma::PackageStructure::contentsPrefix() const
    {73, 790, 0, 0, Smoke::mf_const, 292, 36},	//1845 Plasma::PackageStructure::contentsPrefixPaths() const
    {73, 849, 0, 0, Smoke::mf_const, 291, 37},	//1846 Plasma::PackageStructure::defaultPackageRoot() const
    {73, 1657, 0, 0, Smoke::mf_const, 291, 38},	//1847 Plasma::PackageStructure::servicePrefix() const
    {73, 2021, 89, 1, 0, 0, 39},	//1848 Plasma::PackageStructure::setServicePrefix(const QString&)
    {73, 1357, 0, 0, Smoke::mf_virtual, 117, 40},	//1849 Plasma::PackageStructure::metadata()
    {73, 646, 0, 0, Smoke::mf_const, 384, 41},	//1850 Plasma::PackageStructure::allowExternalPaths() const
    {73, 1398, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 42},	//1851 Plasma::PackageStructure::newWidgetBrowserFinished()
    {73, 1670, 7, 1, Smoke::mf_protected, 0, 43},	//1852 Plasma::PackageStructure::setAllowExternalPaths(bool)
    {73, 1747, 89, 1, Smoke::mf_protected, 0, 44},	//1853 Plasma::PackageStructure::setContentsPrefix(const QString&)
    {73, 1749, 200, 1, Smoke::mf_protected, 0, 45},	//1854 Plasma::PackageStructure::setContentsPrefixPaths(const QStringList&)
    {73, 1778, 89, 1, Smoke::mf_protected, 0, 46},	//1855 Plasma::PackageStructure::setDefaultPackageRoot(const QString&)
    {73, 1453, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 47},	//1856 Plasma::PackageStructure::pathChanged()
    {73, 2312, 1, 1, Smoke::mf_static, 291, 48},	//1857 Plasma::PackageStructure::tr(const char*)
    {73, 2316, 1, 1, Smoke::mf_static, 291, 49},	//1858 Plasma::PackageStructure::trUtf8(const char*)
    {73, 358, 0, 0, Smoke::mf_ctor, 122, 50},	//1859 Plasma::PackageStructure::PackageStructure()
    {73, 358, 97, 1, Smoke::mf_ctor, 122, 51},	//1860 Plasma::PackageStructure::PackageStructure(QObject*)
    {73, 817, 0, 0, 0, 0, 52},	//1861 Plasma::PackageStructure::createNewWidgetBrowser()
    {73, 2231, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 439, 53},	//1862 Plasma::PackageStructure::staticMetaObject() const
    {73, 2456, 0, 0, Smoke::mf_dtor, 0, 54 },	//1863 Plasma::PackageStructure::~PackageStructure()
    {74, 376, 0, 0, Smoke::mf_ctor, 124, 1},	//1864 Plasma::PlotColor::PlotColor()
    {74, 376, 721, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 124, 2},	//1865 Plasma::PlotColor::PlotColor(const Plasma::PlotColor&)
    {74, 740, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 188, 3},	//1866 Plasma::PlotColor::color() const
    {74, 1730, 581, 1, Smoke::mf_attribute, 0, 4},	//1867 Plasma::PlotColor::setColor(const QColor&)
    {74, 842, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 188, 5},	//1868 Plasma::PlotColor::darkColor() const
    {74, 1765, 581, 1, Smoke::mf_attribute, 0, 6},	//1869 Plasma::PlotColor::setDarkColor(const QColor&)
    {74, 2457, 0, 0, Smoke::mf_dtor, 0, 7 },	//1870 Plasma::PlotColor::~PlotColor()
    {75, 1356, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 440, 1},	//1871 Plasma::PopupApplet::metaObject() const
    {75, 1492, 1, 1, Smoke::mf_virtual, 484, 2},	//1872 Plasma::PopupApplet::qt_metacast(const char*)
    {75, 2312, 43, 2, Smoke::mf_static, 291, 3},	//1873 Plasma::PopupApplet::tr(const char*, const char*)
    {75, 2316, 43, 2, Smoke::mf_static, 291, 4},	//1874 Plasma::PopupApplet::trUtf8(const char*, const char*)
    {75, 2312, 46, 3, Smoke::mf_static, 291, 5},	//1875 Plasma::PopupApplet::tr(const char*, const char*, int)
    {75, 2316, 46, 3, Smoke::mf_static, 291, 6},	//1876 Plasma::PopupApplet::trUtf8(const char*, const char*, int)
    {75, 1490, 3, 3, Smoke::mf_virtual, 475, 7},	//1877 Plasma::PopupApplet::qt_metacall(QMetaObject::Call, int, void**)
    {75, 378, 70, 2, Smoke::mf_ctor, 125, 8},	//1878 Plasma::PopupApplet::PopupApplet(QObject*, const QList<QVariant>&)
    {75, 1967, 567, 1, 0, 0, 9},	//1879 Plasma::PopupApplet::setPopupIcon(const QIcon&)
    {75, 1967, 89, 1, 0, 0, 10},	//1880 Plasma::PopupApplet::setPopupIcon(const QString&)
    {75, 1469, 0, 0, Smoke::mf_const, 234, 11},	//1881 Plasma::PopupApplet::popupIcon() const
    {75, 2399, 0, 0, Smoke::mf_virtual, 307, 12},	//1882 Plasma::PopupApplet::widget()
    {75, 2157, 57, 1, 0, 0, 13},	//1883 Plasma::PopupApplet::setWidget(QWidget*)
    {75, 1038, 0, 0, Smoke::mf_virtual, 227, 14},	//1884 Plasma::PopupApplet::graphicsWidget()
    {75, 1838, 125, 1, 0, 0, 15},	//1885 Plasma::PopupApplet::setGraphicsWidget(QGraphicsWidget*)
    {75, 1470, 0, 0, Smoke::mf_const, 126, 16},	//1886 Plasma::PopupApplet::popupPlacement() const
    {75, 1965, 723, 1, Smoke::mf_property, 0, 17},	//1887 Plasma::PopupApplet::setPopupAlignment(Qt::AlignmentFlag)
    {75, 1466, 0, 0, Smoke::mf_const|Smoke::mf_property, 308, 18},	//1888 Plasma::PopupApplet::popupAlignment() const
    {75, 1951, 7, 1, 0, 0, 19},	//1889 Plasma::PopupApplet::setPassivePopup(bool)
    {75, 1147, 0, 0, Smoke::mf_const, 384, 20},	//1890 Plasma::PopupApplet::isPassivePopup() const
    {75, 1150, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 384, 21},	//1891 Plasma::PopupApplet::isPopupShowing() const
    {75, 1140, 0, 0, Smoke::mf_const, 384, 22},	//1892 Plasma::PopupApplet::isIconified() const
    {75, 1066, 0, 0, Smoke::mf_slot, 0, 23},	//1893 Plasma::PopupApplet::hidePopup()
    {75, 2191, 725, 1, Smoke::mf_slot, 0, 24},	//1894 Plasma::PopupApplet::showPopup(uint)
    {75, 2300, 0, 0, Smoke::mf_slot, 0, 25},	//1895 Plasma::PopupApplet::togglePopup()
    {75, 1467, 7, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 26},	//1896 Plasma::PopupApplet::popupEvent(bool)
    {75, 2206, 287, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 289, 27},	//1897 Plasma::PopupApplet::sizeHint(Qt::SizeHint, const QSizeF&) const
    {75, 1375, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 28},	//1898 Plasma::PopupApplet::mousePressEvent(QGraphicsSceneMouseEvent*)
    {75, 1377, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 29},	//1899 Plasma::PopupApplet::mouseReleaseEvent(QGraphicsSceneMouseEvent*)
    {75, 959, 272, 2, Smoke::mf_protected|Smoke::mf_virtual, 384, 30},	//1900 Plasma::PopupApplet::eventFilter(QObject*, QEvent*)
    {75, 881, 400, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 31},	//1901 Plasma::PopupApplet::dragEnterEvent(QGraphicsSceneDragDropEvent*)
    {75, 883, 400, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 32},	//1902 Plasma::PopupApplet::dragLeaveEvent(QGraphicsSceneDragDropEvent*)
    {75, 911, 400, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 33},	//1903 Plasma::PopupApplet::dropEvent(QGraphicsSceneDragDropEvent*)
    {75, 2297, 176, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 34},	//1904 Plasma::PopupApplet::timerEvent(QTimerEvent*)
    {75, 2312, 1, 1, Smoke::mf_static, 291, 35},	//1905 Plasma::PopupApplet::tr(const char*)
    {75, 2316, 1, 1, Smoke::mf_static, 291, 36},	//1906 Plasma::PopupApplet::trUtf8(const char*)
    {75, 2191, 0, 0, Smoke::mf_slot, 0, 37},	//1907 Plasma::PopupApplet::showPopup()
    {75, 2206, 248, 1, Smoke::mf_const|Smoke::mf_protected, 289, 38},	//1908 Plasma::PopupApplet::sizeHint(Qt::SizeHint) const
    {75, 2231, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 439, 39},	//1909 Plasma::PopupApplet::staticMetaObject() const
    {75, 2458, 0, 0, Smoke::mf_dtor, 0, 40 },	//1910 Plasma::PopupApplet::~PopupApplet()
    {76, 1356, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 440, 1},	//1911 Plasma::PushButton::metaObject() const
    {76, 1492, 1, 1, Smoke::mf_virtual, 484, 2},	//1912 Plasma::PushButton::qt_metacast(const char*)
    {76, 2312, 43, 2, Smoke::mf_static, 291, 3},	//1913 Plasma::PushButton::tr(const char*, const char*)
    {76, 2316, 43, 2, Smoke::mf_static, 291, 4},	//1914 Plasma::PushButton::trUtf8(const char*, const char*)
    {76, 2312, 46, 3, Smoke::mf_static, 291, 5},	//1915 Plasma::PushButton::tr(const char*, const char*, int)
    {76, 2316, 46, 3, Smoke::mf_static, 291, 6},	//1916 Plasma::PushButton::trUtf8(const char*, const char*, int)
    {76, 1490, 3, 3, Smoke::mf_virtual, 475, 7},	//1917 Plasma::PushButton::qt_metacall(QMetaObject::Call, int, void**)
    {76, 385, 125, 1, Smoke::mf_ctor, 128, 8},	//1918 Plasma::PushButton::PushButton(QGraphicsWidget*)
    {76, 2088, 89, 1, Smoke::mf_property, 0, 9},	//1919 Plasma::PushButton::setText(const QString&)
    {76, 2282, 0, 0, Smoke::mf_const|Smoke::mf_property, 291, 10},	//1920 Plasma::PushButton::text() const
    {76, 1871, 89, 1, Smoke::mf_property, 0, 11},	//1921 Plasma::PushButton::setImage(const QString&)
    {76, 1871, 77, 2, 0, 0, 12},	//1922 Plasma::PushButton::setImage(const QString&, const QString&)
    {76, 1084, 0, 0, Smoke::mf_const|Smoke::mf_property, 291, 13},	//1923 Plasma::PushButton::image() const
    {76, 2056, 89, 1, Smoke::mf_property, 0, 14},	//1924 Plasma::PushButton::setStyleSheet(const QString&)
    {76, 2244, 0, 0, Smoke::mf_property, 291, 15},	//1925 Plasma::PushButton::styleSheet()
    {76, 1664, 107, 1, 0, 0, 16},	//1926 Plasma::PushButton::setAction(QAction*)
    {76, 562, 0, 0, Smoke::mf_const, 181, 17},	//1927 Plasma::PushButton::action() const
    {76, 1864, 567, 1, Smoke::mf_property, 0, 18},	//1928 Plasma::PushButton::setIcon(const QIcon&)
    {76, 1864, 727, 1, 0, 0, 19},	//1929 Plasma::PushButton::setIcon(const KIcon&)
    {76, 1080, 0, 0, Smoke::mf_const|Smoke::mf_property, 234, 20},	//1930 Plasma::PushButton::icon() const
    {76, 1718, 7, 1, Smoke::mf_property, 0, 21},	//1931 Plasma::PushButton::setCheckable(bool)
    {76, 1128, 0, 0, Smoke::mf_const|Smoke::mf_property, 384, 22},	//1932 Plasma::PushButton::isCheckable() const
    {76, 1129, 0, 0, Smoke::mf_const|Smoke::mf_property, 384, 23},	//1933 Plasma::PushButton::isChecked() const
    {76, 1135, 0, 0, Smoke::mf_const|Smoke::mf_property, 384, 24},	//1934 Plasma::PushButton::isDown() const
    {76, 1393, 0, 0, Smoke::mf_const, 13, 25},	//1935 Plasma::PushButton::nativeWidget() const
    {76, 1481, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 26},	//1936 Plasma::PushButton::pressed()
    {76, 1521, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 27},	//1937 Plasma::PushButton::released()
    {76, 731, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 28},	//1938 Plasma::PushButton::clicked()
    {76, 2301, 7, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 29},	//1939 Plasma::PushButton::toggled(bool)
    {76, 729, 0, 0, Smoke::mf_slot, 0, 30},	//1940 Plasma::PushButton::click()
    {76, 1720, 7, 1, Smoke::mf_property|Smoke::mf_slot, 0, 31},	//1941 Plasma::PushButton::setChecked(bool)
    {76, 1425, 216, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 32},	//1942 Plasma::PushButton::paint(QPainter*, const QStyleOptionGraphicsItem*, QWidget*)
    {76, 1590, 282, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 33},	//1943 Plasma::PushButton::resizeEvent(QGraphicsSceneResizeEvent*)
    {76, 1073, 290, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 34},	//1944 Plasma::PushButton::hoverEnterEvent(QGraphicsSceneHoverEvent*)
    {76, 1075, 290, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 35},	//1945 Plasma::PushButton::hoverLeaveEvent(QGraphicsSceneHoverEvent*)
    {76, 715, 331, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 36},	//1946 Plasma::PushButton::changeEvent(QEvent*)
    {76, 2206, 287, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 289, 37},	//1947 Plasma::PushButton::sizeHint(Qt::SizeHint, const QSizeF&) const
    {76, 2312, 1, 1, Smoke::mf_static, 291, 38},	//1948 Plasma::PushButton::tr(const char*)
    {76, 2316, 1, 1, Smoke::mf_static, 291, 39},	//1949 Plasma::PushButton::trUtf8(const char*)
    {76, 385, 0, 0, Smoke::mf_ctor, 128, 40},	//1950 Plasma::PushButton::PushButton()
    {76, 1425, 328, 2, Smoke::mf_protected, 0, 41},	//1951 Plasma::PushButton::paint(QPainter*, const QStyleOptionGraphicsItem*)
    {76, 2231, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 439, 42},	//1952 Plasma::PushButton::staticMetaObject() const
    {76, 2459, 0, 0, Smoke::mf_dtor, 0, 43 },	//1953 Plasma::PushButton::~PushButton()
    {77, 392, 729, 1, Smoke::mf_ctor, 131, 1},	//1954 Plasma::QueryMatch::QueryMatch(Plasma::AbstractRunner*)
    {77, 392, 80, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 131, 2},	//1955 Plasma::QueryMatch::QueryMatch(const Plasma::QueryMatch&)
    {77, 1413, 80, 1, 0, 130, 3},	//1956 Plasma::QueryMatch::operator=(const Plasma::QueryMatch&)
    {77, 1415, 80, 1, Smoke::mf_const, 384, 4},	//1957 Plasma::QueryMatch::operator==(const Plasma::QueryMatch&) const
    {77, 1409, 80, 1, Smoke::mf_const, 384, 5},	//1958 Plasma::QueryMatch::operator!=(const Plasma::QueryMatch&) const
    {77, 1411, 80, 1, Smoke::mf_const, 384, 6},	//1959 Plasma::QueryMatch::operator<(const Plasma::QueryMatch&) const
    {77, 1608, 0, 0, Smoke::mf_const, 30, 7},	//1960 Plasma::QueryMatch::runner() const
    {77, 1169, 0, 0, Smoke::mf_const, 384, 8},	//1961 Plasma::QueryMatch::isValid() const
    {77, 2112, 731, 1, 0, 0, 9},	//1962 Plasma::QueryMatch::setType(Plasma::QueryMatch::Type)
    {77, 2321, 0, 0, Smoke::mf_const, 132, 10},	//1963 Plasma::QueryMatch::type() const
    {77, 1988, 733, 1, 0, 0, 11},	//1964 Plasma::QueryMatch::setRelevance(double)
    {77, 1522, 0, 0, Smoke::mf_const, 472, 12},	//1965 Plasma::QueryMatch::relevance() const
    {77, 1603, 735, 1, Smoke::mf_const, 0, 13},	//1966 Plasma::QueryMatch::run(const Plasma::RunnerContext&) const
    {77, 1767, 737, 1, 0, 0, 14},	//1967 Plasma::QueryMatch::setData(const QVariant&)
    {77, 843, 0, 0, Smoke::mf_const, 302, 15},	//1968 Plasma::QueryMatch::data() const
    {77, 1867, 89, 1, 0, 0, 16},	//1969 Plasma::QueryMatch::setId(const QString&)
    {77, 1082, 0, 0, Smoke::mf_const, 291, 17},	//1970 Plasma::QueryMatch::id() const
    {77, 2088, 89, 1, 0, 0, 18},	//1971 Plasma::QueryMatch::setText(const QString&)
    {77, 2282, 0, 0, Smoke::mf_const, 291, 19},	//1972 Plasma::QueryMatch::text() const
    {77, 2060, 89, 1, 0, 0, 20},	//1973 Plasma::QueryMatch::setSubtext(const QString&)
    {77, 2247, 0, 0, Smoke::mf_const, 291, 21},	//1974 Plasma::QueryMatch::subtext() const
    {77, 1864, 567, 1, 0, 0, 22},	//1975 Plasma::QueryMatch::setIcon(const QIcon&)
    {77, 1080, 0, 0, Smoke::mf_const, 234, 23},	//1976 Plasma::QueryMatch::icon() const
    {77, 1812, 7, 1, 0, 0, 24},	//1977 Plasma::QueryMatch::setEnabled(bool)
    {77, 1137, 0, 0, Smoke::mf_const, 384, 25},	//1978 Plasma::QueryMatch::isEnabled() const
    {77, 1651, 0, 0, Smoke::mf_const, 181, 26},	//1979 Plasma::QueryMatch::selectedAction() const
    {77, 2019, 107, 1, 0, 0, 27},	//1980 Plasma::QueryMatch::setSelectedAction(QAction*)
    {77, 1045, 0, 0, Smoke::mf_const, 384, 28},	//1981 Plasma::QueryMatch::hasConfigurationInterface() const
    {77, 810, 57, 1, 0, 0, 29},	//1982 Plasma::QueryMatch::createConfigurationInterface(QWidget*)
    {77, 341, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 30},	//1983 Plasma::QueryMatch::NoMatch (enum)
    {77, 91, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 31},	//1984 Plasma::QueryMatch::CompletionMatch (enum)
    {77, 381, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 32},	//1985 Plasma::QueryMatch::PossibleMatch (enum)
    {77, 223, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 33},	//1986 Plasma::QueryMatch::InformationalMatch (enum)
    {77, 205, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 34},	//1987 Plasma::QueryMatch::HelperMatch (enum)
    {77, 164, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 35},	//1988 Plasma::QueryMatch::ExactMatch (enum)
    {77, 2460, 0, 0, Smoke::mf_dtor, 0, 36 },	//1989 Plasma::QueryMatch::~QueryMatch()
    {78, 1356, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 440, 1},	//1990 Plasma::RadioButton::metaObject() const
    {78, 1492, 1, 1, Smoke::mf_virtual, 484, 2},	//1991 Plasma::RadioButton::qt_metacast(const char*)
    {78, 2312, 43, 2, Smoke::mf_static, 291, 3},	//1992 Plasma::RadioButton::tr(const char*, const char*)
    {78, 2316, 43, 2, Smoke::mf_static, 291, 4},	//1993 Plasma::RadioButton::trUtf8(const char*, const char*)
    {78, 2312, 46, 3, Smoke::mf_static, 291, 5},	//1994 Plasma::RadioButton::tr(const char*, const char*, int)
    {78, 2316, 46, 3, Smoke::mf_static, 291, 6},	//1995 Plasma::RadioButton::trUtf8(const char*, const char*, int)
    {78, 1490, 3, 3, Smoke::mf_virtual, 475, 7},	//1996 Plasma::RadioButton::qt_metacall(QMetaObject::Call, int, void**)
    {78, 395, 125, 1, Smoke::mf_ctor, 133, 8},	//1997 Plasma::RadioButton::RadioButton(QGraphicsWidget*)
    {78, 2088, 89, 1, Smoke::mf_property, 0, 9},	//1998 Plasma::RadioButton::setText(const QString&)
    {78, 2282, 0, 0, Smoke::mf_const|Smoke::mf_property, 291, 10},	//1999 Plasma::RadioButton::text() const
    {78, 1871, 89, 1, Smoke::mf_property, 0, 11},	//2000 Plasma::RadioButton::setImage(const QString&)
    {78, 1084, 0, 0, Smoke::mf_const|Smoke::mf_property, 291, 12},	//2001 Plasma::RadioButton::image() const
    {78, 2056, 89, 1, Smoke::mf_property, 0, 13},	//2002 Plasma::RadioButton::setStyleSheet(const QString&)
    {78, 2244, 0, 0, Smoke::mf_property, 291, 14},	//2003 Plasma::RadioButton::styleSheet()
    {78, 1393, 0, 0, Smoke::mf_const, 279, 15},	//2004 Plasma::RadioButton::nativeWidget() const
    {78, 1720, 7, 1, Smoke::mf_property, 0, 16},	//2005 Plasma::RadioButton::setChecked(bool)
    {78, 1129, 0, 0, Smoke::mf_const|Smoke::mf_property, 384, 17},	//2006 Plasma::RadioButton::isChecked() const
    {78, 2301, 7, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 18},	//2007 Plasma::RadioButton::toggled(bool)
    {78, 1590, 282, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 19},	//2008 Plasma::RadioButton::resizeEvent(QGraphicsSceneResizeEvent*)
    {78, 715, 331, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 20},	//2009 Plasma::RadioButton::changeEvent(QEvent*)
    {78, 2312, 1, 1, Smoke::mf_static, 291, 21},	//2010 Plasma::RadioButton::tr(const char*)
    {78, 2316, 1, 1, Smoke::mf_static, 291, 22},	//2011 Plasma::RadioButton::trUtf8(const char*)
    {78, 395, 0, 0, Smoke::mf_ctor, 133, 23},	//2012 Plasma::RadioButton::RadioButton()
    {78, 2231, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 439, 24},	//2013 Plasma::RadioButton::staticMetaObject() const
    {78, 2461, 0, 0, Smoke::mf_dtor, 0, 25 },	//2014 Plasma::RadioButton::~RadioButton()
    {79, 1356, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 440, 1},	//2015 Plasma::RunnerContext::metaObject() const
    {79, 1492, 1, 1, Smoke::mf_virtual, 484, 2},	//2016 Plasma::RunnerContext::qt_metacast(const char*)
    {79, 2312, 43, 2, Smoke::mf_static, 291, 3},	//2017 Plasma::RunnerContext::tr(const char*, const char*)
    {79, 2316, 43, 2, Smoke::mf_static, 291, 4},	//2018 Plasma::RunnerContext::trUtf8(const char*, const char*)
    {79, 2312, 46, 3, Smoke::mf_static, 291, 5},	//2019 Plasma::RunnerContext::tr(const char*, const char*, int)
    {79, 2316, 46, 3, Smoke::mf_static, 291, 6},	//2020 Plasma::RunnerContext::trUtf8(const char*, const char*, int)
    {79, 1490, 3, 3, Smoke::mf_virtual, 475, 7},	//2021 Plasma::RunnerContext::qt_metacall(QMetaObject::Call, int, void**)
    {79, 410, 97, 1, Smoke::mf_ctor, 135, 8},	//2022 Plasma::RunnerContext::RunnerContext(QObject*)
    {79, 410, 739, 2, Smoke::mf_ctor, 135, 9},	//2023 Plasma::RunnerContext::RunnerContext(Plasma::RunnerContext&, QObject*)
    {79, 1413, 735, 1, 0, 134, 10},	//2024 Plasma::RunnerContext::operator=(const Plasma::RunnerContext&)
    {79, 1585, 0, 0, 0, 0, 11},	//2025 Plasma::RunnerContext::reset()
    {79, 1982, 89, 1, 0, 0, 12},	//2026 Plasma::RunnerContext::setQuery(const QString&)
    {79, 1494, 0, 0, Smoke::mf_const, 291, 13},	//2027 Plasma::RunnerContext::query() const
    {79, 2321, 0, 0, Smoke::mf_const, 136, 14},	//2028 Plasma::RunnerContext::type() const
    {79, 1363, 0, 0, Smoke::mf_const, 291, 15},	//2029 Plasma::RunnerContext::mimeType() const
    {79, 1169, 0, 0, Smoke::mf_const, 384, 16},	//2030 Plasma::RunnerContext::isValid() const
    {79, 610, 742, 2, 0, 384, 17},	//2031 Plasma::RunnerContext::addMatches(const QString&, const QList<Plasma::QueryMatch>&)
    {79, 608, 745, 2, 0, 384, 18},	//2032 Plasma::RunnerContext::addMatch(const QString&, const Plasma::QueryMatch&)
    {79, 1547, 748, 1, 0, 384, 19},	//2033 Plasma::RunnerContext::removeMatch(const QString)
    {79, 1549, 750, 1, 0, 384, 20},	//2034 Plasma::RunnerContext::removeMatches(const QStringList)
    {79, 1549, 729, 1, 0, 384, 21},	//2035 Plasma::RunnerContext::removeMatches(Plasma::AbstractRunner*)
    {79, 1345, 0, 0, Smoke::mf_const, 251, 22},	//2036 Plasma::RunnerContext::matches() const
    {79, 1341, 89, 1, Smoke::mf_const, 129, 23},	//2037 Plasma::RunnerContext::match(const QString&) const
    {79, 2039, 7, 1, 0, 0, 24},	//2038 Plasma::RunnerContext::setSingleRunnerQueryMode(bool)
    {79, 2200, 0, 0, Smoke::mf_const, 384, 25},	//2039 Plasma::RunnerContext::singleRunnerQueryMode() const
    {79, 1595, 111, 1, 0, 0, 26},	//2040 Plasma::RunnerContext::restore(const KConfigGroup&)
    {79, 1613, 178, 1, 0, 0, 27},	//2041 Plasma::RunnerContext::save(KConfigGroup&)
    {79, 1603, 80, 1, 0, 0, 28},	//2042 Plasma::RunnerContext::run(const Plasma::QueryMatch&)
    {79, 1346, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 29},	//2043 Plasma::RunnerContext::matchesChanged()
    {79, 2312, 1, 1, Smoke::mf_static, 291, 30},	//2044 Plasma::RunnerContext::tr(const char*)
    {79, 2316, 1, 1, Smoke::mf_static, 291, 31},	//2045 Plasma::RunnerContext::trUtf8(const char*)
    {79, 410, 0, 0, Smoke::mf_ctor, 135, 32},	//2046 Plasma::RunnerContext::RunnerContext()
    {79, 410, 55, 1, Smoke::mf_ctor, 135, 33},	//2047 Plasma::RunnerContext::RunnerContext(Plasma::RunnerContext&)
    {79, 2231, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 439, 34},	//2048 Plasma::RunnerContext::staticMetaObject() const
    {79, 344, 0, 0, Smoke::mf_static|Smoke::mf_enum, 136, 35},	//2049 Plasma::RunnerContext::None (enum)
    {79, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 136, 36},	//2050 Plasma::RunnerContext::UnknownType (enum)
    {79, 150, 0, 0, Smoke::mf_static|Smoke::mf_enum, 136, 37},	//2051 Plasma::RunnerContext::Directory (enum)
    {79, 177, 0, 0, Smoke::mf_static|Smoke::mf_enum, 136, 38},	//2052 Plasma::RunnerContext::File (enum)
    {79, 321, 0, 0, Smoke::mf_static|Smoke::mf_enum, 136, 39},	//2053 Plasma::RunnerContext::NetworkLocation (enum)
    {79, 165, 0, 0, Smoke::mf_static|Smoke::mf_enum, 136, 40},	//2054 Plasma::RunnerContext::Executable (enum)
    {79, 445, 0, 0, Smoke::mf_static|Smoke::mf_enum, 136, 41},	//2055 Plasma::RunnerContext::ShellCommand (enum)
    {79, 204, 0, 0, Smoke::mf_static|Smoke::mf_enum, 136, 42},	//2056 Plasma::RunnerContext::Help (enum)
    {79, 178, 0, 0, Smoke::mf_static|Smoke::mf_enum, 136, 43},	//2057 Plasma::RunnerContext::FileSystem (enum)
    {79, 2462, 0, 0, Smoke::mf_dtor, 0, 44 },	//2058 Plasma::RunnerContext::~RunnerContext()
    {80, 1356, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 440, 1},	//2059 Plasma::RunnerManager::metaObject() const
    {80, 1492, 1, 1, Smoke::mf_virtual, 484, 2},	//2060 Plasma::RunnerManager::qt_metacast(const char*)
    {80, 2312, 43, 2, Smoke::mf_static, 291, 3},	//2061 Plasma::RunnerManager::tr(const char*, const char*)
    {80, 2316, 43, 2, Smoke::mf_static, 291, 4},	//2062 Plasma::RunnerManager::trUtf8(const char*, const char*)
    {80, 2312, 46, 3, Smoke::mf_static, 291, 5},	//2063 Plasma::RunnerManager::tr(const char*, const char*, int)
    {80, 2316, 46, 3, Smoke::mf_static, 291, 6},	//2064 Plasma::RunnerManager::trUtf8(const char*, const char*, int)
    {80, 1490, 3, 3, Smoke::mf_virtual, 475, 7},	//2065 Plasma::RunnerManager::qt_metacall(QMetaObject::Call, int, void**)
    {80, 413, 97, 1, Smoke::mf_ctor, 137, 8},	//2066 Plasma::RunnerManager::RunnerManager(QObject*)
    {80, 413, 752, 2, Smoke::mf_ctor, 137, 9},	//2067 Plasma::RunnerManager::RunnerManager(KConfigGroup&, QObject*)
    {80, 1608, 89, 1, Smoke::mf_const, 30, 10},	//2068 Plasma::RunnerManager::runner(const QString&) const
    {80, 2198, 0, 0, Smoke::mf_const, 30, 11},	//2069 Plasma::RunnerManager::singleModeRunner() const
    {80, 2037, 89, 1, 0, 0, 12},	//2070 Plasma::RunnerManager::setSingleModeRunnerId(const QString&)
    {80, 2199, 0, 0, Smoke::mf_const, 291, 13},	//2071 Plasma::RunnerManager::singleModeRunnerId() const
    {80, 2196, 0, 0, Smoke::mf_const, 384, 14},	//2072 Plasma::RunnerManager::singleMode() const
    {80, 2035, 7, 1, 0, 0, 15},	//2073 Plasma::RunnerManager::setSingleMode(bool)
    {80, 1610, 89, 1, Smoke::mf_const, 291, 16},	//2074 Plasma::RunnerManager::runnerName(const QString&) const
    {80, 1612, 0, 0, Smoke::mf_const, 243, 17},	//2075 Plasma::RunnerManager::runners() const
    {80, 2197, 0, 0, Smoke::mf_const, 292, 18},	//2076 Plasma::RunnerManager::singleModeAdvertisedRunnerIds() const
    {80, 1645, 0, 0, Smoke::mf_const, 135, 19},	//2077 Plasma::RunnerManager::searchContext() const
    {80, 1345, 0, 0, Smoke::mf_const, 251, 20},	//2078 Plasma::RunnerManager::matches() const
    {80, 1603, 80, 1, 0, 0, 21},	//2079 Plasma::RunnerManager::run(const Plasma::QueryMatch&)
    {80, 1603, 89, 1, 0, 0, 22},	//2080 Plasma::RunnerManager::run(const QString&)
    {80, 566, 80, 1, 0, 253, 23},	//2081 Plasma::RunnerManager::actionsForMatch(const Plasma::QueryMatch&)
    {80, 1494, 0, 0, Smoke::mf_const, 291, 24},	//2082 Plasma::RunnerManager::query() const
    {80, 1524, 0, 0, 0, 0, 25},	//2083 Plasma::RunnerManager::reloadConfiguration()
    {80, 1672, 200, 1, 0, 0, 26},	//2084 Plasma::RunnerManager::setAllowedRunners(const QStringList&)
    {80, 1314, 99, 1, 0, 0, 27},	//2085 Plasma::RunnerManager::loadRunner(const KSharedPtr<KService>)
    {80, 1314, 89, 1, 0, 0, 28},	//2086 Plasma::RunnerManager::loadRunner(const QString&)
    {80, 647, 0, 0, Smoke::mf_const, 292, 29},	//2087 Plasma::RunnerManager::allowedRunners() const
    {80, 1360, 80, 1, Smoke::mf_const, 264, 30},	//2088 Plasma::RunnerManager::mimeDataForMatch(const Plasma::QueryMatch&) const
    {80, 1360, 89, 1, Smoke::mf_const, 264, 31},	//2089 Plasma::RunnerManager::mimeDataForMatch(const QString&) const
    {80, 1276, 89, 1, Smoke::mf_static, 240, 32},	//2090 Plasma::RunnerManager::listRunnerInfo(const QString&)
    {80, 2168, 0, 0, Smoke::mf_slot, 0, 33},	//2091 Plasma::RunnerManager::setupMatchSession()
    {80, 1344, 0, 0, Smoke::mf_slot, 0, 34},	//2092 Plasma::RunnerManager::matchSessionComplete()
    {80, 1229, 77, 2, Smoke::mf_slot, 0, 35},	//2093 Plasma::RunnerManager::launchQuery(const QString&, const QString&)
    {80, 1229, 89, 1, Smoke::mf_slot, 0, 36},	//2094 Plasma::RunnerManager::launchQuery(const QString&)
    {80, 965, 77, 2, Smoke::mf_slot, 384, 37},	//2095 Plasma::RunnerManager::execQuery(const QString&, const QString&)
    {80, 965, 89, 1, Smoke::mf_slot, 384, 38},	//2096 Plasma::RunnerManager::execQuery(const QString&)
    {80, 1585, 0, 0, Smoke::mf_slot, 0, 39},	//2097 Plasma::RunnerManager::reset()
    {80, 1346, 755, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 40},	//2098 Plasma::RunnerManager::matchesChanged(const QList<Plasma::QueryMatch>&)
    {80, 1496, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 41},	//2099 Plasma::RunnerManager::queryFinished()
    {80, 2312, 1, 1, Smoke::mf_static, 291, 42},	//2100 Plasma::RunnerManager::tr(const char*)
    {80, 2316, 1, 1, Smoke::mf_static, 291, 43},	//2101 Plasma::RunnerManager::trUtf8(const char*)
    {80, 413, 0, 0, Smoke::mf_ctor, 137, 44},	//2102 Plasma::RunnerManager::RunnerManager()
    {80, 413, 178, 1, Smoke::mf_ctor, 137, 45},	//2103 Plasma::RunnerManager::RunnerManager(KConfigGroup&)
    {80, 1276, 0, 0, Smoke::mf_static, 240, 46},	//2104 Plasma::RunnerManager::listRunnerInfo()
    {80, 2231, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 439, 47},	//2105 Plasma::RunnerManager::staticMetaObject() const
    {80, 2463, 0, 0, Smoke::mf_dtor, 0, 48 },	//2106 Plasma::RunnerManager::~RunnerManager()
    {81, 1356, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 440, 1},	//2107 Plasma::RunnerScript::metaObject() const
    {81, 1492, 1, 1, Smoke::mf_virtual, 484, 2},	//2108 Plasma::RunnerScript::qt_metacast(const char*)
    {81, 2312, 43, 2, Smoke::mf_static, 291, 3},	//2109 Plasma::RunnerScript::tr(const char*, const char*)
    {81, 2316, 43, 2, Smoke::mf_static, 291, 4},	//2110 Plasma::RunnerScript::trUtf8(const char*, const char*)
    {81, 2312, 46, 3, Smoke::mf_static, 291, 5},	//2111 Plasma::RunnerScript::tr(const char*, const char*, int)
    {81, 2316, 46, 3, Smoke::mf_static, 291, 6},	//2112 Plasma::RunnerScript::trUtf8(const char*, const char*, int)
    {81, 1490, 3, 3, Smoke::mf_virtual, 475, 7},	//2113 Plasma::RunnerScript::qt_metacall(QMetaObject::Call, int, void**)
    {81, 416, 97, 1, Smoke::mf_ctor, 138, 8},	//2114 Plasma::RunnerScript::RunnerScript(QObject*)
    {81, 2006, 729, 1, 0, 0, 9},	//2115 Plasma::RunnerScript::setRunner(Plasma::AbstractRunner*)
    {81, 1608, 0, 0, Smoke::mf_const, 30, 10},	//2116 Plasma::RunnerScript::runner() const
    {81, 1341, 55, 1, Smoke::mf_virtual, 0, 11},	//2117 Plasma::RunnerScript::match(Plasma::RunnerContext&)
    {81, 1603, 59, 2, Smoke::mf_virtual, 0, 12},	//2118 Plasma::RunnerScript::run(const Plasma::RunnerContext&, const Plasma::QueryMatch&)
    {81, 1480, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 13},	//2119 Plasma::RunnerScript::prepare()
    {81, 2281, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 14},	//2120 Plasma::RunnerScript::teardown()
    {81, 822, 57, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 15},	//2121 Plasma::RunnerScript::createRunOptions(QWidget*)
    {81, 1524, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 16},	//2122 Plasma::RunnerScript::reloadConfiguration()
    {81, 566, 757, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 17},	//2123 Plasma::RunnerScript::actionsForMatch(const Plasma::QueryMatch&, QList<QAction*>*)
    {81, 1329, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 291, 18},	//2124 Plasma::RunnerScript::mainScript() const
    {81, 1419, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 407, 19},	//2125 Plasma::RunnerScript::package() const
    {81, 854, 0, 0, Smoke::mf_const|Smoke::mf_protected, 12, 20},	//2126 Plasma::RunnerScript::description() const
    {81, 844, 89, 1, Smoke::mf_protected, 79, 21},	//2127 Plasma::RunnerScript::dataEngine(const QString&)
    {81, 743, 0, 0, Smoke::mf_const|Smoke::mf_protected, 6, 22},	//2128 Plasma::RunnerScript::config() const
    {81, 1869, 62, 1, Smoke::mf_protected, 0, 23},	//2129 Plasma::RunnerScript::setIgnoredTypes(QFlags<Plasma::RunnerContext::Type>)
    {81, 1847, 7, 1, Smoke::mf_protected, 0, 24},	//2130 Plasma::RunnerScript::setHasRunOptions(bool)
    {81, 2045, 73, 1, Smoke::mf_protected, 0, 25},	//2131 Plasma::RunnerScript::setSpeed(Plasma::AbstractRunner::Speed)
    {81, 1980, 75, 1, Smoke::mf_protected, 0, 26},	//2132 Plasma::RunnerScript::setPriority(Plasma::AbstractRunner::Priority)
    {81, 1658, 77, 2, Smoke::mf_const|Smoke::mf_protected, 242, 27},	//2133 Plasma::RunnerScript::serviceQuery(const QString&, const QString&) const
    {81, 579, 82, 3, Smoke::mf_protected, 181, 28},	//2134 Plasma::RunnerScript::addAction(const QString&, const QIcon&, const QString&)
    {81, 579, 86, 2, Smoke::mf_protected, 0, 29},	//2135 Plasma::RunnerScript::addAction(const QString&, QAction*)
    {81, 1534, 89, 1, Smoke::mf_protected, 0, 30},	//2136 Plasma::RunnerScript::removeAction(const QString&)
    {81, 562, 89, 1, Smoke::mf_const|Smoke::mf_protected, 181, 31},	//2137 Plasma::RunnerScript::action(const QString&) const
    {81, 565, 0, 0, Smoke::mf_const|Smoke::mf_protected, 230, 32},	//2138 Plasma::RunnerScript::actions() const
    {81, 723, 0, 0, Smoke::mf_protected, 0, 33},	//2139 Plasma::RunnerScript::clearActions()
    {81, 631, 91, 1, Smoke::mf_protected, 0, 34},	//2140 Plasma::RunnerScript::addSyntax(const Plasma::RunnerSyntax&)
    {81, 2068, 93, 1, Smoke::mf_protected, 0, 35},	//2141 Plasma::RunnerScript::setSyntaxes(const QList<Plasma::RunnerSyntax>&)
    {81, 2312, 1, 1, Smoke::mf_static, 291, 36},	//2142 Plasma::RunnerScript::tr(const char*)
    {81, 2316, 1, 1, Smoke::mf_static, 291, 37},	//2143 Plasma::RunnerScript::trUtf8(const char*)
    {81, 416, 0, 0, Smoke::mf_ctor, 138, 38},	//2144 Plasma::RunnerScript::RunnerScript()
    {81, 1658, 89, 1, Smoke::mf_const|Smoke::mf_protected, 242, 39},	//2145 Plasma::RunnerScript::serviceQuery(const QString&) const
    {81, 2231, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 439, 40},	//2146 Plasma::RunnerScript::staticMetaObject() const
    {81, 2464, 0, 0, Smoke::mf_dtor, 0, 41 },	//2147 Plasma::RunnerScript::~RunnerScript()
    {82, 418, 77, 2, Smoke::mf_ctor, 141, 1},	//2148 Plasma::RunnerSyntax::RunnerSyntax(const QString&, const QString&)
    {82, 418, 91, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 141, 2},	//2149 Plasma::RunnerSyntax::RunnerSyntax(const Plasma::RunnerSyntax&)
    {82, 1413, 91, 1, 0, 140, 3},	//2150 Plasma::RunnerSyntax::operator=(const Plasma::RunnerSyntax&)
    {82, 600, 89, 1, 0, 0, 4},	//2151 Plasma::RunnerSyntax::addExampleQuery(const QString&)
    {82, 963, 0, 0, Smoke::mf_const, 292, 5},	//2152 Plasma::RunnerSyntax::exampleQueries() const
    {82, 964, 0, 0, Smoke::mf_const, 292, 6},	//2153 Plasma::RunnerSyntax::exampleQueriesWithTermDescription() const
    {82, 1785, 89, 1, 0, 0, 7},	//2154 Plasma::RunnerSyntax::setDescription(const QString&)
    {82, 854, 0, 0, Smoke::mf_const, 291, 8},	//2155 Plasma::RunnerSyntax::description() const
    {82, 2017, 89, 1, 0, 0, 9},	//2156 Plasma::RunnerSyntax::setSearchTermDescription(const QString&)
    {82, 1648, 0, 0, Smoke::mf_const, 291, 10},	//2157 Plasma::RunnerSyntax::searchTermDescription() const
    {82, 2465, 0, 0, Smoke::mf_dtor, 0, 11 },	//2158 Plasma::RunnerSyntax::~RunnerSyntax()
    {83, 1356, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 440, 1},	//2159 Plasma::ScriptEngine::metaObject() const
    {83, 1492, 1, 1, Smoke::mf_virtual, 484, 2},	//2160 Plasma::ScriptEngine::qt_metacast(const char*)
    {83, 2312, 43, 2, Smoke::mf_static, 291, 3},	//2161 Plasma::ScriptEngine::tr(const char*, const char*)
    {83, 2316, 43, 2, Smoke::mf_static, 291, 4},	//2162 Plasma::ScriptEngine::trUtf8(const char*, const char*)
    {83, 2312, 46, 3, Smoke::mf_static, 291, 5},	//2163 Plasma::ScriptEngine::tr(const char*, const char*, int)
    {83, 2316, 46, 3, Smoke::mf_static, 291, 6},	//2164 Plasma::ScriptEngine::trUtf8(const char*, const char*, int)
    {83, 1490, 3, 3, Smoke::mf_virtual, 475, 7},	//2165 Plasma::ScriptEngine::qt_metacall(QMetaObject::Call, int, void**)
    {83, 1096, 0, 0, Smoke::mf_virtual, 384, 8},	//2166 Plasma::ScriptEngine::init()
    {83, 426, 97, 1, Smoke::mf_ctor|Smoke::mf_protected, 142, 9},	//2167 Plasma::ScriptEngine::ScriptEngine(QObject*)
    {83, 1329, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 291, 10},	//2168 Plasma::ScriptEngine::mainScript() const
    {83, 1419, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 407, 11},	//2169 Plasma::ScriptEngine::package() const
    {83, 2312, 1, 1, Smoke::mf_static, 291, 12},	//2170 Plasma::ScriptEngine::tr(const char*)
    {83, 2316, 1, 1, Smoke::mf_static, 291, 13},	//2171 Plasma::ScriptEngine::trUtf8(const char*)
    {83, 426, 0, 0, Smoke::mf_ctor|Smoke::mf_protected, 142, 14},	//2172 Plasma::ScriptEngine::ScriptEngine()
    {83, 2231, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 439, 15},	//2173 Plasma::ScriptEngine::staticMetaObject() const
    {83, 2466, 0, 0, Smoke::mf_dtor, 0, 16 },	//2174 Plasma::ScriptEngine::~ScriptEngine()
    {84, 1356, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 440, 1},	//2175 Plasma::ScrollBar::metaObject() const
    {84, 1492, 1, 1, Smoke::mf_virtual, 484, 2},	//2176 Plasma::ScrollBar::qt_metacast(const char*)
    {84, 2312, 43, 2, Smoke::mf_static, 291, 3},	//2177 Plasma::ScrollBar::tr(const char*, const char*)
    {84, 2316, 43, 2, Smoke::mf_static, 291, 4},	//2178 Plasma::ScrollBar::trUtf8(const char*, const char*)
    {84, 2312, 46, 3, Smoke::mf_static, 291, 5},	//2179 Plasma::ScrollBar::tr(const char*, const char*, int)
    {84, 2316, 46, 3, Smoke::mf_static, 291, 6},	//2180 Plasma::ScrollBar::trUtf8(const char*, const char*, int)
    {84, 1490, 3, 3, Smoke::mf_virtual, 475, 7},	//2181 Plasma::ScrollBar::qt_metacall(QMetaObject::Call, int, void**)
    {84, 428, 125, 1, Smoke::mf_ctor, 143, 8},	//2182 Plasma::ScrollBar::ScrollBar(QGraphicsWidget*)
    {84, 1984, 370, 2, 0, 0, 9},	//2183 Plasma::ScrollBar::setRange(int, int)
    {84, 2041, 129, 1, Smoke::mf_property, 0, 10},	//2184 Plasma::ScrollBar::setSingleStep(int)
    {84, 2201, 0, 0, Smoke::mf_property, 475, 11},	//2185 Plasma::ScrollBar::singleStep()
    {84, 1949, 129, 1, Smoke::mf_property, 0, 12},	//2186 Plasma::ScrollBar::setPageStep(int)
    {84, 1424, 0, 0, Smoke::mf_property, 475, 13},	//2187 Plasma::ScrollBar::pageStep()
    {84, 2368, 0, 0, Smoke::mf_const|Smoke::mf_property, 475, 14},	//2188 Plasma::ScrollBar::value() const
    {84, 1366, 0, 0, Smoke::mf_const|Smoke::mf_property, 475, 15},	//2189 Plasma::ScrollBar::minimum() const
    {84, 1351, 0, 0, Smoke::mf_const|Smoke::mf_property, 475, 16},	//2190 Plasma::ScrollBar::maximum() const
    {84, 1916, 760, 1, Smoke::mf_const|Smoke::mf_property, 0, 17},	//2191 Plasma::ScrollBar::setMinimum(const int) const
    {84, 1908, 760, 1, Smoke::mf_const|Smoke::mf_property, 0, 18},	//2192 Plasma::ScrollBar::setMaximum(const int) const
    {84, 2056, 89, 1, Smoke::mf_property, 0, 19},	//2193 Plasma::ScrollBar::setStyleSheet(const QString&)
    {84, 2244, 0, 0, Smoke::mf_property, 291, 20},	//2194 Plasma::ScrollBar::styleSheet()
    {84, 1393, 0, 0, Smoke::mf_const, 286, 21},	//2195 Plasma::ScrollBar::nativeWidget() const
    {84, 1417, 0, 0, Smoke::mf_const|Smoke::mf_property, 356, 22},	//2196 Plasma::ScrollBar::orientation() const
    {84, 799, 394, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 23},	//2197 Plasma::ScrollBar::contextMenuEvent(QGraphicsSceneContextMenuEvent*)
    {84, 2132, 129, 1, Smoke::mf_property|Smoke::mf_slot, 0, 24},	//2198 Plasma::ScrollBar::setValue(int)
    {84, 1941, 640, 1, Smoke::mf_property|Smoke::mf_slot, 0, 25},	//2199 Plasma::ScrollBar::setOrientation(Qt::Orientation)
    {84, 2369, 129, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 26},	//2200 Plasma::ScrollBar::valueChanged(int)
    {84, 2212, 129, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 27},	//2201 Plasma::ScrollBar::sliderMoved(int)
    {84, 2312, 1, 1, Smoke::mf_static, 291, 28},	//2202 Plasma::ScrollBar::tr(const char*)
    {84, 2316, 1, 1, Smoke::mf_static, 291, 29},	//2203 Plasma::ScrollBar::trUtf8(const char*)
    {84, 428, 0, 0, Smoke::mf_ctor, 143, 30},	//2204 Plasma::ScrollBar::ScrollBar()
    {84, 2231, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 439, 31},	//2205 Plasma::ScrollBar::staticMetaObject() const
    {84, 2467, 0, 0, Smoke::mf_dtor, 0, 32 },	//2206 Plasma::ScrollBar::~ScrollBar()
    {85, 1356, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 440, 1},	//2207 Plasma::ScrollWidget::metaObject() const
    {85, 1492, 1, 1, Smoke::mf_virtual, 484, 2},	//2208 Plasma::ScrollWidget::qt_metacast(const char*)
    {85, 2312, 43, 2, Smoke::mf_static, 291, 3},	//2209 Plasma::ScrollWidget::tr(const char*, const char*)
    {85, 2316, 43, 2, Smoke::mf_static, 291, 4},	//2210 Plasma::ScrollWidget::trUtf8(const char*, const char*)
    {85, 2312, 46, 3, Smoke::mf_static, 291, 5},	//2211 Plasma::ScrollWidget::tr(const char*, const char*, int)
    {85, 2316, 46, 3, Smoke::mf_static, 291, 6},	//2212 Plasma::ScrollWidget::trUtf8(const char*, const char*, int)
    {85, 1490, 3, 3, Smoke::mf_virtual, 475, 7},	//2213 Plasma::ScrollWidget::qt_metacall(QMetaObject::Call, int, void**)
    {85, 431, 125, 1, Smoke::mf_ctor, 144, 8},	//2214 Plasma::ScrollWidget::ScrollWidget(QGraphicsWidget*)
    {85, 431, 170, 1, Smoke::mf_ctor, 144, 9},	//2215 Plasma::ScrollWidget::ScrollWidget(QGraphicsItem*)
    {85, 2157, 125, 1, 0, 0, 10},	//2216 Plasma::ScrollWidget::setWidget(QGraphicsWidget*)
    {85, 2399, 0, 0, Smoke::mf_const, 227, 11},	//2217 Plasma::ScrollWidget::widget() const
    {85, 1668, 657, 1, 0, 0, 12},	//2218 Plasma::ScrollWidget::setAlignment(QFlags<Qt::AlignmentFlag>)
    {85, 645, 0, 0, Smoke::mf_const, 205, 13},	//2219 Plasma::ScrollWidget::alignment() const
    {85, 1943, 7, 1, Smoke::mf_property, 0, 14},	//2220 Plasma::ScrollWidget::setOverShoot(bool)
    {85, 1055, 0, 0, Smoke::mf_const|Smoke::mf_property, 384, 15},	//2221 Plasma::ScrollWidget::hasOverShoot() const
    {85, 1857, 762, 1, Smoke::mf_property, 0, 16},	//2222 Plasma::ScrollWidget::setHorizontalScrollBarPolicy(const Qt::ScrollBarPolicy)
    {85, 1072, 0, 0, Smoke::mf_const|Smoke::mf_property, 360, 17},	//2223 Plasma::ScrollWidget::horizontalScrollBarPolicy() const
    {85, 2144, 762, 1, Smoke::mf_property, 0, 18},	//2224 Plasma::ScrollWidget::setVerticalScrollBarPolicy(const Qt::ScrollBarPolicy)
    {85, 2381, 0, 0, Smoke::mf_const|Smoke::mf_property, 360, 19},	//2225 Plasma::ScrollWidget::verticalScrollBarPolicy() const
    {85, 1418, 0, 0, Smoke::mf_const|Smoke::mf_property, 384, 20},	//2226 Plasma::ScrollWidget::overflowBordersVisible() const
    {85, 1945, 109, 1, Smoke::mf_property, 0, 21},	//2227 Plasma::ScrollWidget::setOverflowBordersVisible(const bool)
    {85, 951, 651, 1, 0, 0, 22},	//2228 Plasma::ScrollWidget::ensureRectVisible(const QRectF&)
    {85, 949, 170, 1, 0, 0, 23},	//2229 Plasma::ScrollWidget::ensureItemVisible(QGraphicsItem*)
    {85, 1507, 125, 1, 0, 0, 24},	//2230 Plasma::ScrollWidget::registerAsDragHandle(QGraphicsWidget*)
    {85, 2331, 125, 1, 0, 0, 25},	//2231 Plasma::ScrollWidget::unregisterAsDragHandle(QGraphicsWidget*)
    {85, 2386, 0, 0, Smoke::mf_const|Smoke::mf_property, 281, 26},	//2232 Plasma::ScrollWidget::viewportGeometry() const
    {85, 792, 0, 0, Smoke::mf_const|Smoke::mf_property, 289, 27},	//2233 Plasma::ScrollWidget::contentsSize() const
    {85, 2015, 384, 1, Smoke::mf_property, 0, 28},	//2234 Plasma::ScrollWidget::setScrollPosition(const QPointF&)
    {85, 1641, 0, 0, Smoke::mf_const|Smoke::mf_property, 278, 29},	//2235 Plasma::ScrollWidget::scrollPosition() const
    {85, 2043, 603, 1, Smoke::mf_property, 0, 30},	//2236 Plasma::ScrollWidget::setSnapSize(const QSizeF&)
    {85, 2214, 0, 0, Smoke::mf_const|Smoke::mf_property, 289, 31},	//2237 Plasma::ScrollWidget::snapSize() const
    {85, 2056, 89, 1, Smoke::mf_property, 0, 32},	//2238 Plasma::ScrollWidget::setStyleSheet(const QString&)
    {85, 2244, 0, 0, Smoke::mf_const|Smoke::mf_property, 291, 33},	//2239 Plasma::ScrollWidget::styleSheet() const
    {85, 1393, 0, 0, Smoke::mf_const, 307, 34},	//2240 Plasma::ScrollWidget::nativeWidget() const
    {85, 1642, 764, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 35},	//2241 Plasma::ScrollWidget::scrollStateChanged(QAbstractAnimation::State, QAbstractAnimation::State)
    {85, 2387, 651, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 36},	//2242 Plasma::ScrollWidget::viewportGeometryChanged(const QRectF&)
    {85, 1590, 282, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 37},	//2243 Plasma::ScrollWidget::resizeEvent(QGraphicsSceneResizeEvent*)
    {85, 1373, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 38},	//2244 Plasma::ScrollWidget::mouseMoveEvent(QGraphicsSceneMouseEvent*)
    {85, 1375, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 39},	//2245 Plasma::ScrollWidget::mousePressEvent(QGraphicsSceneMouseEvent*)
    {85, 1377, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 40},	//2246 Plasma::ScrollWidget::mouseReleaseEvent(QGraphicsSceneMouseEvent*)
    {85, 1203, 396, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 41},	//2247 Plasma::ScrollWidget::keyPressEvent(QKeyEvent*)
    {85, 2397, 398, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 42},	//2248 Plasma::ScrollWidget::wheelEvent(QGraphicsSceneWheelEvent*)
    {85, 959, 272, 2, Smoke::mf_protected|Smoke::mf_virtual, 384, 43},	//2249 Plasma::ScrollWidget::eventFilter(QObject*, QEvent*)
    {85, 1003, 280, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 44},	//2250 Plasma::ScrollWidget::focusInEvent(QFocusEvent*)
    {85, 2206, 287, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 289, 45},	//2251 Plasma::ScrollWidget::sizeHint(Qt::SizeHint, const QSizeF&) const
    {85, 1627, 275, 2, Smoke::mf_protected|Smoke::mf_virtual, 384, 46},	//2252 Plasma::ScrollWidget::sceneEventFilter(QGraphicsItem*, QEvent*)
    {85, 2312, 1, 1, Smoke::mf_static, 291, 47},	//2253 Plasma::ScrollWidget::tr(const char*)
    {85, 2316, 1, 1, Smoke::mf_static, 291, 48},	//2254 Plasma::ScrollWidget::trUtf8(const char*)
    {85, 431, 0, 0, Smoke::mf_ctor, 144, 49},	//2255 Plasma::ScrollWidget::ScrollWidget()
    {85, 2231, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 439, 50},	//2256 Plasma::ScrollWidget::staticMetaObject() const
    {85, 2468, 0, 0, Smoke::mf_dtor, 0, 51 },	//2257 Plasma::ScrollWidget::~ScrollWidget()
    {86, 1356, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 440, 1},	//2258 Plasma::Separator::metaObject() const
    {86, 1492, 1, 1, Smoke::mf_virtual, 484, 2},	//2259 Plasma::Separator::qt_metacast(const char*)
    {86, 2312, 43, 2, Smoke::mf_static, 291, 3},	//2260 Plasma::Separator::tr(const char*, const char*)
    {86, 2316, 43, 2, Smoke::mf_static, 291, 4},	//2261 Plasma::Separator::trUtf8(const char*, const char*)
    {86, 2312, 46, 3, Smoke::mf_static, 291, 5},	//2262 Plasma::Separator::tr(const char*, const char*, int)
    {86, 2316, 46, 3, Smoke::mf_static, 291, 6},	//2263 Plasma::Separator::trUtf8(const char*, const char*, int)
    {86, 1490, 3, 3, Smoke::mf_virtual, 475, 7},	//2264 Plasma::Separator::qt_metacall(QMetaObject::Call, int, void**)
    {86, 434, 767, 2, Smoke::mf_ctor, 145, 8},	//2265 Plasma::Separator::Separator(QGraphicsItem*, QFlags<Qt::WindowType>)
    {86, 1941, 640, 1, Smoke::mf_property, 0, 9},	//2266 Plasma::Separator::setOrientation(Qt::Orientation)
    {86, 1417, 0, 0, Smoke::mf_property, 356, 10},	//2267 Plasma::Separator::orientation()
    {86, 1425, 216, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 11},	//2268 Plasma::Separator::paint(QPainter*, const QStyleOptionGraphicsItem*, QWidget*)
    {86, 2206, 287, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 289, 12},	//2269 Plasma::Separator::sizeHint(Qt::SizeHint, const QSizeF&) const
    {86, 2312, 1, 1, Smoke::mf_static, 291, 13},	//2270 Plasma::Separator::tr(const char*)
    {86, 2316, 1, 1, Smoke::mf_static, 291, 14},	//2271 Plasma::Separator::trUtf8(const char*)
    {86, 434, 0, 0, Smoke::mf_ctor, 145, 15},	//2272 Plasma::Separator::Separator()
    {86, 434, 170, 1, Smoke::mf_ctor, 145, 16},	//2273 Plasma::Separator::Separator(QGraphicsItem*)
    {86, 2231, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 439, 17},	//2274 Plasma::Separator::staticMetaObject() const
    {86, 2469, 0, 0, Smoke::mf_dtor, 0, 18 },	//2275 Plasma::Separator::~Separator()
    {87, 1356, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 440, 1},	//2276 Plasma::Service::metaObject() const
    {87, 1492, 1, 1, Smoke::mf_virtual, 484, 2},	//2277 Plasma::Service::qt_metacast(const char*)
    {87, 2312, 43, 2, Smoke::mf_static, 291, 3},	//2278 Plasma::Service::tr(const char*, const char*)
    {87, 2316, 43, 2, Smoke::mf_static, 291, 4},	//2279 Plasma::Service::trUtf8(const char*, const char*)
    {87, 2312, 46, 3, Smoke::mf_static, 291, 5},	//2280 Plasma::Service::tr(const char*, const char*, int)
    {87, 2316, 46, 3, Smoke::mf_static, 291, 6},	//2281 Plasma::Service::trUtf8(const char*, const char*, int)
    {87, 1490, 3, 3, Smoke::mf_virtual, 475, 7},	//2282 Plasma::Service::qt_metacall(QMetaObject::Call, int, void**)
    {87, 1286, 770, 3, Smoke::mf_static, 146, 8},	//2283 Plasma::Service::load(const QString&, const QList<QVariant>&, QObject*)
    {87, 1286, 149, 2, Smoke::mf_static, 146, 9},	//2284 Plasma::Service::load(const QString&, QObject*)
    {87, 557, 116, 2, Smoke::mf_static, 146, 10},	//2285 Plasma::Service::access(const KUrl&, QObject*)
    {87, 1787, 89, 1, Smoke::mf_property, 0, 11},	//2286 Plasma::Service::setDestination(const QString&)
    {87, 856, 0, 0, Smoke::mf_const|Smoke::mf_property, 291, 12},	//2287 Plasma::Service::destination() const
    {87, 1407, 0, 0, Smoke::mf_const|Smoke::mf_property, 292, 13},	//2288 Plasma::Service::operationNames() const
    {87, 1405, 89, 1, 0, 6, 14},	//2289 Plasma::Service::operationDescription(const QString&)
    {87, 2226, 774, 2, 0, 148, 15},	//2290 Plasma::Service::startOperationCall(const KConfigGroup&, QObject*)
    {87, 1145, 89, 1, Smoke::mf_const, 384, 16},	//2291 Plasma::Service::isOperationEnabled(const QString&) const
    {87, 1391, 0, 0, Smoke::mf_const|Smoke::mf_property, 291, 17},	//2292 Plasma::Service::name() const
    {87, 684, 777, 2, 0, 0, 18},	//2293 Plasma::Service::associateWidget(QWidget*, const QString&)
    {87, 870, 57, 1, 0, 0, 19},	//2294 Plasma::Service::disassociateWidget(QWidget*)
    {87, 684, 780, 2, 0, 0, 20},	//2295 Plasma::Service::associateWidget(QGraphicsWidget*, const QString&)
    {87, 870, 125, 1, 0, 0, 21},	//2296 Plasma::Service::disassociateWidget(QGraphicsWidget*)
    {87, 682, 783, 2, 0, 0, 22},	//2297 Plasma::Service::associateItem(QGraphicsObject*, const QString&)
    {87, 868, 786, 1, 0, 0, 23},	//2298 Plasma::Service::disassociateItem(QGraphicsObject*)
    {87, 1447, 111, 1, 0, 260, 24},	//2299 Plasma::Service::parametersFromDescription(const KConfigGroup&)
    {87, 990, 788, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 25},	//2300 Plasma::Service::finished(Plasma::ServiceJob*)
    {87, 1408, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 26},	//2301 Plasma::Service::operationsChanged()
    {87, 1661, 790, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 27},	//2302 Plasma::Service::serviceReady(Plasma::Service*)
    {87, 437, 97, 1, Smoke::mf_ctor|Smoke::mf_protected, 146, 28},	//2303 Plasma::Service::Service(QObject*)
    {87, 437, 70, 2, Smoke::mf_ctor|Smoke::mf_protected, 146, 29},	//2304 Plasma::Service::Service(QObject*, const QList<QVariant>&)
    {87, 815, 792, 2, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 148, 30},	//2305 Plasma::Service::createJob(const QString&, QMap<QString,QVariant>&) [pure virtual]
    {87, 1509, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 31},	//2306 Plasma::Service::registerOperationsScheme()
    {87, 1939, 795, 1, Smoke::mf_protected, 0, 32},	//2307 Plasma::Service::setOperationsScheme(QIODevice*)
    {87, 1927, 89, 1, Smoke::mf_protected, 0, 33},	//2308 Plasma::Service::setName(const QString&)
    {87, 1937, 197, 2, Smoke::mf_protected, 0, 34},	//2309 Plasma::Service::setOperationEnabled(const QString&, bool)
    {87, 2312, 1, 1, Smoke::mf_static, 291, 35},	//2310 Plasma::Service::tr(const char*)
    {87, 2316, 1, 1, Smoke::mf_static, 291, 36},	//2311 Plasma::Service::trUtf8(const char*)
    {87, 1286, 113, 2, Smoke::mf_static, 146, 37},	//2312 Plasma::Service::load(const QString&, const QList<QVariant>&)
    {87, 1286, 89, 1, Smoke::mf_static, 146, 38},	//2313 Plasma::Service::load(const QString&)
    {87, 557, 119, 1, Smoke::mf_static, 146, 39},	//2314 Plasma::Service::access(const KUrl&)
    {87, 2226, 111, 1, 0, 148, 40},	//2315 Plasma::Service::startOperationCall(const KConfigGroup&)
    {87, 437, 0, 0, Smoke::mf_ctor|Smoke::mf_protected, 146, 41},	//2316 Plasma::Service::Service()
    {87, 2231, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 439, 42},	//2317 Plasma::Service::staticMetaObject() const
    {87, 2470, 0, 0, Smoke::mf_dtor, 0, 43 },	//2318 Plasma::Service::~Service()
    {88, 1356, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 440, 1},	//2319 Plasma::ServiceAccessJob::metaObject() const
    {88, 1492, 1, 1, Smoke::mf_virtual, 484, 2},	//2320 Plasma::ServiceAccessJob::qt_metacast(const char*)
    {88, 2312, 43, 2, Smoke::mf_static, 291, 3},	//2321 Plasma::ServiceAccessJob::tr(const char*, const char*)
    {88, 2316, 43, 2, Smoke::mf_static, 291, 4},	//2322 Plasma::ServiceAccessJob::trUtf8(const char*, const char*)
    {88, 2312, 46, 3, Smoke::mf_static, 291, 5},	//2323 Plasma::ServiceAccessJob::tr(const char*, const char*, int)
    {88, 2316, 46, 3, Smoke::mf_static, 291, 6},	//2324 Plasma::ServiceAccessJob::trUtf8(const char*, const char*, int)
    {88, 1490, 3, 3, Smoke::mf_virtual, 475, 7},	//2325 Plasma::ServiceAccessJob::qt_metacall(QMetaObject::Call, int, void**)
    {88, 1653, 0, 0, Smoke::mf_const, 146, 8},	//2326 Plasma::ServiceAccessJob::service() const
    {88, 440, 797, 2, Smoke::mf_ctor|Smoke::mf_protected, 147, 9},	//2327 Plasma::ServiceAccessJob::ServiceAccessJob(KUrl, QObject*)
    {88, 2225, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 10},	//2328 Plasma::ServiceAccessJob::start()
    {88, 2312, 1, 1, Smoke::mf_static, 291, 11},	//2329 Plasma::ServiceAccessJob::tr(const char*)
    {88, 2316, 1, 1, Smoke::mf_static, 291, 12},	//2330 Plasma::ServiceAccessJob::trUtf8(const char*)
    {88, 440, 800, 1, Smoke::mf_ctor|Smoke::mf_protected, 147, 13},	//2331 Plasma::ServiceAccessJob::ServiceAccessJob(KUrl)
    {88, 2231, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 439, 14},	//2332 Plasma::ServiceAccessJob::staticMetaObject() const
    {88, 2471, 0, 0, Smoke::mf_dtor, 0, 15 },	//2333 Plasma::ServiceAccessJob::~ServiceAccessJob()
    {90, 1356, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 440, 1},	//2334 Plasma::SignalPlotter::metaObject() const
    {90, 1492, 1, 1, Smoke::mf_virtual, 484, 2},	//2335 Plasma::SignalPlotter::qt_metacast(const char*)
    {90, 2312, 43, 2, Smoke::mf_static, 291, 3},	//2336 Plasma::SignalPlotter::tr(const char*, const char*)
    {90, 2316, 43, 2, Smoke::mf_static, 291, 4},	//2337 Plasma::SignalPlotter::trUtf8(const char*, const char*)
    {90, 2312, 46, 3, Smoke::mf_static, 291, 5},	//2338 Plasma::SignalPlotter::tr(const char*, const char*, int)
    {90, 2316, 46, 3, Smoke::mf_static, 291, 6},	//2339 Plasma::SignalPlotter::trUtf8(const char*, const char*, int)
    {90, 1490, 3, 3, Smoke::mf_virtual, 475, 7},	//2340 Plasma::SignalPlotter::qt_metacall(QMetaObject::Call, int, void**)
    {90, 446, 170, 1, Smoke::mf_ctor, 149, 8},	//2341 Plasma::SignalPlotter::SignalPlotter(QGraphicsItem*)
    {90, 614, 581, 1, 0, 0, 9},	//2342 Plasma::SignalPlotter::addPlot(const QColor&)
    {90, 621, 802, 1, 0, 0, 10},	//2343 Plasma::SignalPlotter::addSample(const QList<double>&)
    {90, 1575, 804, 1, 0, 0, 11},	//2344 Plasma::SignalPlotter::reorderPlots(const QList<unsigned int>&)
    {90, 1554, 36, 1, 0, 0, 12},	//2345 Plasma::SignalPlotter::removePlot(unsigned int)
    {90, 1462, 0, 0, 0, 250, 13},	//2346 Plasma::SignalPlotter::plotColors()
    {90, 2102, 89, 1, Smoke::mf_property, 0, 14},	//2347 Plasma::SignalPlotter::setTitle(const QString&)
    {90, 2299, 0, 0, Smoke::mf_const|Smoke::mf_property, 291, 15},	//2348 Plasma::SignalPlotter::title() const
    {90, 2114, 89, 1, Smoke::mf_property, 0, 16},	//2349 Plasma::SignalPlotter::setUnit(const QString&)
    {90, 2327, 0, 0, Smoke::mf_const|Smoke::mf_property, 291, 17},	//2350 Plasma::SignalPlotter::unit() const
    {90, 1621, 733, 1, 0, 0, 18},	//2351 Plasma::SignalPlotter::scale(double)
    {90, 1623, 0, 0, Smoke::mf_const, 472, 19},	//2352 Plasma::SignalPlotter::scaledBy() const
    {90, 2122, 7, 1, Smoke::mf_property, 0, 20},	//2353 Plasma::SignalPlotter::setUseAutoRange(bool)
    {90, 2359, 0, 0, Smoke::mf_const|Smoke::mf_property, 384, 21},	//2354 Plasma::SignalPlotter::useAutoRange() const
    {90, 2142, 806, 2, 0, 0, 22},	//2355 Plasma::SignalPlotter::setVerticalRange(double, double)
    {90, 2380, 0, 0, Smoke::mf_const, 472, 23},	//2356 Plasma::SignalPlotter::verticalMinValue() const
    {90, 2379, 0, 0, Smoke::mf_const, 472, 24},	//2357 Plasma::SignalPlotter::verticalMaxValue() const
    {90, 1855, 36, 1, 0, 0, 25},	//2358 Plasma::SignalPlotter::setHorizontalScale(unsigned int)
    {90, 1071, 0, 0, Smoke::mf_const, 482, 26},	//2359 Plasma::SignalPlotter::horizontalScale() const
    {90, 2031, 7, 1, Smoke::mf_property, 0, 27},	//2360 Plasma::SignalPlotter::setShowVerticalLines(bool)
    {90, 2195, 0, 0, Smoke::mf_const|Smoke::mf_property, 384, 28},	//2361 Plasma::SignalPlotter::showVerticalLines() const
    {90, 2136, 581, 1, Smoke::mf_property, 0, 29},	//2362 Plasma::SignalPlotter::setVerticalLinesColor(const QColor&)
    {90, 2376, 0, 0, Smoke::mf_const|Smoke::mf_property, 187, 30},	//2363 Plasma::SignalPlotter::verticalLinesColor() const
    {90, 2138, 36, 1, 0, 0, 31},	//2364 Plasma::SignalPlotter::setVerticalLinesDistance(unsigned int)
    {90, 2377, 0, 0, Smoke::mf_const, 482, 32},	//2365 Plasma::SignalPlotter::verticalLinesDistance() const
    {90, 2140, 7, 1, Smoke::mf_property, 0, 33},	//2366 Plasma::SignalPlotter::setVerticalLinesScroll(bool)
    {90, 2378, 0, 0, Smoke::mf_const|Smoke::mf_property, 384, 34},	//2367 Plasma::SignalPlotter::verticalLinesScroll() const
    {90, 2025, 7, 1, Smoke::mf_property, 0, 35},	//2368 Plasma::SignalPlotter::setShowHorizontalLines(bool)
    {90, 2187, 0, 0, Smoke::mf_const|Smoke::mf_property, 384, 36},	//2369 Plasma::SignalPlotter::showHorizontalLines() const
    {90, 1851, 581, 1, Smoke::mf_property, 0, 37},	//2370 Plasma::SignalPlotter::setHorizontalLinesColor(const QColor&)
    {90, 1069, 0, 0, Smoke::mf_const|Smoke::mf_property, 187, 38},	//2371 Plasma::SignalPlotter::horizontalLinesColor() const
    {90, 1828, 581, 1, Smoke::mf_property, 0, 39},	//2372 Plasma::SignalPlotter::setFontColor(const QColor&)
    {90, 1013, 0, 0, Smoke::mf_const|Smoke::mf_property, 187, 40},	//2373 Plasma::SignalPlotter::fontColor() const
    {90, 1825, 579, 1, Smoke::mf_property, 0, 41},	//2374 Plasma::SignalPlotter::setFont(const QFont&)
    {90, 1010, 0, 0, Smoke::mf_const|Smoke::mf_property, 209, 42},	//2375 Plasma::SignalPlotter::font() const
    {90, 1853, 36, 1, 0, 0, 43},	//2376 Plasma::SignalPlotter::setHorizontalLinesCount(unsigned int)
    {90, 1070, 0, 0, Smoke::mf_const, 482, 44},	//2377 Plasma::SignalPlotter::horizontalLinesCount() const
    {90, 2027, 7, 1, Smoke::mf_property, 0, 45},	//2378 Plasma::SignalPlotter::setShowLabels(bool)
    {90, 2188, 0, 0, Smoke::mf_const|Smoke::mf_property, 384, 46},	//2379 Plasma::SignalPlotter::showLabels() const
    {90, 2029, 7, 1, Smoke::mf_property, 0, 47},	//2380 Plasma::SignalPlotter::setShowTopBar(bool)
    {90, 2194, 0, 0, Smoke::mf_const|Smoke::mf_property, 384, 48},	//2381 Plasma::SignalPlotter::showTopBar() const
    {90, 1704, 581, 1, Smoke::mf_property, 0, 49},	//2382 Plasma::SignalPlotter::setBackgroundColor(const QColor&)
    {90, 701, 0, 0, Smoke::mf_const|Smoke::mf_property, 187, 50},	//2383 Plasma::SignalPlotter::backgroundColor() const
    {90, 2066, 89, 1, Smoke::mf_property, 0, 51},	//2384 Plasma::SignalPlotter::setSvgBackground(const QString&)
    {90, 2255, 0, 0, Smoke::mf_property, 291, 52},	//2385 Plasma::SignalPlotter::svgBackground()
    {90, 1225, 36, 1, Smoke::mf_const, 472, 53},	//2386 Plasma::SignalPlotter::lastValue(unsigned int) const
    {90, 1227, 36, 1, Smoke::mf_const, 291, 54},	//2387 Plasma::SignalPlotter::lastValueAsString(unsigned int) const
    {90, 2098, 7, 1, Smoke::mf_property, 0, 55},	//2388 Plasma::SignalPlotter::setThinFrame(bool)
    {90, 2292, 0, 0, Smoke::mf_const|Smoke::mf_property, 384, 56},	//2389 Plasma::SignalPlotter::thinFrame() const
    {90, 2047, 7, 1, Smoke::mf_property, 0, 57},	//2390 Plasma::SignalPlotter::setStackPlots(bool)
    {90, 2223, 0, 0, Smoke::mf_const|Smoke::mf_property, 384, 58},	//2391 Plasma::SignalPlotter::stackPlots() const
    {90, 1032, 809, 2, 0, 275, 59},	//2392 Plasma::SignalPlotter::getSnapshotImage(unsigned int, unsigned int)
    {90, 1834, 651, 1, Smoke::mf_virtual, 0, 60},	//2393 Plasma::SignalPlotter::setGeometry(const QRectF&)
    {90, 2344, 0, 0, Smoke::mf_protected, 0, 61},	//2394 Plasma::SignalPlotter::updateDataBuffers()
    {90, 711, 0, 0, Smoke::mf_protected, 0, 62},	//2395 Plasma::SignalPlotter::calculateNiceRange()
    {90, 1425, 216, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 63},	//2396 Plasma::SignalPlotter::paint(QPainter*, const QStyleOptionGraphicsItem*, QWidget*)
    {90, 909, 812, 4, Smoke::mf_protected, 0, 64},	//2397 Plasma::SignalPlotter::drawWidget(QPainter*, unsigned int, unsigned int, int)
    {90, 892, 817, 3, Smoke::mf_protected, 0, 65},	//2398 Plasma::SignalPlotter::drawBackground(QPainter*, int, int)
    {90, 900, 817, 3, Smoke::mf_protected, 0, 66},	//2399 Plasma::SignalPlotter::drawThinFrame(QPainter*, int, int)
    {90, 904, 817, 3, Smoke::mf_protected, 0, 67},	//2400 Plasma::SignalPlotter::drawTopBarFrame(QPainter*, int, int)
    {90, 902, 821, 4, Smoke::mf_protected, 0, 68},	//2401 Plasma::SignalPlotter::drawTopBarContents(QPainter*, int, int, int)
    {90, 906, 821, 4, Smoke::mf_protected, 0, 69},	//2402 Plasma::SignalPlotter::drawVerticalLines(QPainter*, int, int, int)
    {90, 898, 826, 5, Smoke::mf_protected, 0, 70},	//2403 Plasma::SignalPlotter::drawPlots(QPainter*, int, int, int, int)
    {90, 890, 817, 3, Smoke::mf_protected, 0, 71},	//2404 Plasma::SignalPlotter::drawAxisText(QPainter*, int, int)
    {90, 895, 821, 4, Smoke::mf_protected, 0, 72},	//2405 Plasma::SignalPlotter::drawHorizontalLines(QPainter*, int, int, int)
    {90, 2312, 1, 1, Smoke::mf_static, 291, 73},	//2406 Plasma::SignalPlotter::tr(const char*)
    {90, 2316, 1, 1, Smoke::mf_static, 291, 74},	//2407 Plasma::SignalPlotter::trUtf8(const char*)
    {90, 446, 0, 0, Smoke::mf_ctor, 149, 75},	//2408 Plasma::SignalPlotter::SignalPlotter()
    {90, 2231, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 439, 76},	//2409 Plasma::SignalPlotter::staticMetaObject() const
    {90, 2472, 0, 0, Smoke::mf_dtor, 0, 77 },	//2410 Plasma::SignalPlotter::~SignalPlotter()
    {91, 1356, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 440, 1},	//2411 Plasma::Slider::metaObject() const
    {91, 1492, 1, 1, Smoke::mf_virtual, 484, 2},	//2412 Plasma::Slider::qt_metacast(const char*)
    {91, 2312, 43, 2, Smoke::mf_static, 291, 3},	//2413 Plasma::Slider::tr(const char*, const char*)
    {91, 2316, 43, 2, Smoke::mf_static, 291, 4},	//2414 Plasma::Slider::trUtf8(const char*, const char*)
    {91, 2312, 46, 3, Smoke::mf_static, 291, 5},	//2415 Plasma::Slider::tr(const char*, const char*, int)
    {91, 2316, 46, 3, Smoke::mf_static, 291, 6},	//2416 Plasma::Slider::trUtf8(const char*, const char*, int)
    {91, 1490, 3, 3, Smoke::mf_virtual, 475, 7},	//2417 Plasma::Slider::qt_metacall(QMetaObject::Call, int, void**)
    {91, 452, 125, 1, Smoke::mf_ctor, 150, 8},	//2418 Plasma::Slider::Slider(QGraphicsWidget*)
    {91, 1351, 0, 0, Smoke::mf_const|Smoke::mf_property, 475, 9},	//2419 Plasma::Slider::maximum() const
    {91, 1366, 0, 0, Smoke::mf_const|Smoke::mf_property, 475, 10},	//2420 Plasma::Slider::minimum() const
    {91, 2368, 0, 0, Smoke::mf_const|Smoke::mf_property, 475, 11},	//2421 Plasma::Slider::value() const
    {91, 1417, 0, 0, Smoke::mf_const|Smoke::mf_property, 356, 12},	//2422 Plasma::Slider::orientation() const
    {91, 2056, 89, 1, Smoke::mf_property, 0, 13},	//2423 Plasma::Slider::setStyleSheet(const QString&)
    {91, 2244, 0, 0, Smoke::mf_property, 291, 14},	//2424 Plasma::Slider::styleSheet()
    {91, 1393, 0, 0, Smoke::mf_const, 290, 15},	//2425 Plasma::Slider::nativeWidget() const
    {91, 1425, 216, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 16},	//2426 Plasma::Slider::paint(QPainter*, const QStyleOptionGraphicsItem*, QWidget*)
    {91, 2397, 398, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 17},	//2427 Plasma::Slider::wheelEvent(QGraphicsSceneWheelEvent*)
    {91, 1908, 129, 1, Smoke::mf_property|Smoke::mf_slot, 0, 18},	//2428 Plasma::Slider::setMaximum(int)
    {91, 1916, 129, 1, Smoke::mf_property|Smoke::mf_slot, 0, 19},	//2429 Plasma::Slider::setMinimum(int)
    {91, 1984, 370, 2, Smoke::mf_slot, 0, 20},	//2430 Plasma::Slider::setRange(int, int)
    {91, 2132, 129, 1, Smoke::mf_property|Smoke::mf_slot, 0, 21},	//2431 Plasma::Slider::setValue(int)
    {91, 1941, 640, 1, Smoke::mf_property|Smoke::mf_slot, 0, 22},	//2432 Plasma::Slider::setOrientation(Qt::Orientation)
    {91, 2212, 129, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 23},	//2433 Plasma::Slider::sliderMoved(int)
    {91, 2369, 129, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 24},	//2434 Plasma::Slider::valueChanged(int)
    {91, 2312, 1, 1, Smoke::mf_static, 291, 25},	//2435 Plasma::Slider::tr(const char*)
    {91, 2316, 1, 1, Smoke::mf_static, 291, 26},	//2436 Plasma::Slider::trUtf8(const char*)
    {91, 452, 0, 0, Smoke::mf_ctor, 150, 27},	//2437 Plasma::Slider::Slider()
    {91, 2231, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 439, 28},	//2438 Plasma::Slider::staticMetaObject() const
    {91, 2473, 0, 0, Smoke::mf_dtor, 0, 29 },	//2439 Plasma::Slider::~Slider()
    {92, 1356, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 440, 1},	//2440 Plasma::SpinBox::metaObject() const
    {92, 1492, 1, 1, Smoke::mf_virtual, 484, 2},	//2441 Plasma::SpinBox::qt_metacast(const char*)
    {92, 2312, 43, 2, Smoke::mf_static, 291, 3},	//2442 Plasma::SpinBox::tr(const char*, const char*)
    {92, 2316, 43, 2, Smoke::mf_static, 291, 4},	//2443 Plasma::SpinBox::trUtf8(const char*, const char*)
    {92, 2312, 46, 3, Smoke::mf_static, 291, 5},	//2444 Plasma::SpinBox::tr(const char*, const char*, int)
    {92, 2316, 46, 3, Smoke::mf_static, 291, 6},	//2445 Plasma::SpinBox::trUtf8(const char*, const char*, int)
    {92, 1490, 3, 3, Smoke::mf_virtual, 475, 7},	//2446 Plasma::SpinBox::qt_metacall(QMetaObject::Call, int, void**)
    {92, 459, 125, 1, Smoke::mf_ctor, 151, 8},	//2447 Plasma::SpinBox::SpinBox(QGraphicsWidget*)
    {92, 1351, 0, 0, Smoke::mf_const|Smoke::mf_property, 475, 9},	//2448 Plasma::SpinBox::maximum() const
    {92, 1366, 0, 0, Smoke::mf_const|Smoke::mf_property, 475, 10},	//2449 Plasma::SpinBox::minimum() const
    {92, 2368, 0, 0, Smoke::mf_const|Smoke::mf_property, 475, 11},	//2450 Plasma::SpinBox::value() const
    {92, 2056, 89, 1, Smoke::mf_property, 0, 12},	//2451 Plasma::SpinBox::setStyleSheet(const QString&)
    {92, 2244, 0, 0, Smoke::mf_property, 291, 13},	//2452 Plasma::SpinBox::styleSheet()
    {92, 1393, 0, 0, Smoke::mf_const, 10, 14},	//2453 Plasma::SpinBox::nativeWidget() const
    {92, 715, 331, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 15},	//2454 Plasma::SpinBox::changeEvent(QEvent*)
    {92, 1073, 290, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 16},	//2455 Plasma::SpinBox::hoverEnterEvent(QGraphicsSceneHoverEvent*)
    {92, 1075, 290, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 17},	//2456 Plasma::SpinBox::hoverLeaveEvent(QGraphicsSceneHoverEvent*)
    {92, 1590, 282, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 18},	//2457 Plasma::SpinBox::resizeEvent(QGraphicsSceneResizeEvent*)
    {92, 1425, 216, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 19},	//2458 Plasma::SpinBox::paint(QPainter*, const QStyleOptionGraphicsItem*, QWidget*)
    {92, 1375, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 20},	//2459 Plasma::SpinBox::mousePressEvent(QGraphicsSceneMouseEvent*)
    {92, 1007, 280, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 21},	//2460 Plasma::SpinBox::focusOutEvent(QFocusEvent*)
    {92, 1908, 129, 1, Smoke::mf_slot, 0, 22},	//2461 Plasma::SpinBox::setMaximum(int)
    {92, 1916, 129, 1, Smoke::mf_property|Smoke::mf_slot, 0, 23},	//2462 Plasma::SpinBox::setMinimum(int)
    {92, 1984, 370, 2, Smoke::mf_slot, 0, 24},	//2463 Plasma::SpinBox::setRange(int, int)
    {92, 2132, 129, 1, Smoke::mf_property|Smoke::mf_slot, 0, 25},	//2464 Plasma::SpinBox::setValue(int)
    {92, 2212, 129, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 26},	//2465 Plasma::SpinBox::sliderMoved(int)
    {92, 2369, 129, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 27},	//2466 Plasma::SpinBox::valueChanged(int)
    {92, 915, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 28},	//2467 Plasma::SpinBox::editingFinished()
    {92, 2312, 1, 1, Smoke::mf_static, 291, 29},	//2468 Plasma::SpinBox::tr(const char*)
    {92, 2316, 1, 1, Smoke::mf_static, 291, 30},	//2469 Plasma::SpinBox::trUtf8(const char*)
    {92, 459, 0, 0, Smoke::mf_ctor, 151, 31},	//2470 Plasma::SpinBox::SpinBox()
    {92, 2231, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 439, 32},	//2471 Plasma::SpinBox::staticMetaObject() const
    {92, 2474, 0, 0, Smoke::mf_dtor, 0, 33 },	//2472 Plasma::SpinBox::~SpinBox()
    {93, 1356, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 440, 1},	//2473 Plasma::Svg::metaObject() const
    {93, 1492, 1, 1, Smoke::mf_virtual, 484, 2},	//2474 Plasma::Svg::qt_metacast(const char*)
    {93, 2312, 43, 2, Smoke::mf_static, 291, 3},	//2475 Plasma::Svg::tr(const char*, const char*)
    {93, 2316, 43, 2, Smoke::mf_static, 291, 4},	//2476 Plasma::Svg::trUtf8(const char*, const char*)
    {93, 2312, 46, 3, Smoke::mf_static, 291, 5},	//2477 Plasma::Svg::tr(const char*, const char*, int)
    {93, 2316, 46, 3, Smoke::mf_static, 291, 6},	//2478 Plasma::Svg::trUtf8(const char*, const char*, int)
    {93, 1490, 3, 3, Smoke::mf_virtual, 475, 7},	//2479 Plasma::Svg::qt_metacall(QMetaObject::Call, int, void**)
    {93, 474, 97, 1, Smoke::mf_ctor, 152, 8},	//2480 Plasma::Svg::Svg(QObject*)
    {93, 1459, 89, 1, 0, 275, 9},	//2481 Plasma::Svg::pixmap(const QString&)
    {93, 1425, 832, 3, 0, 0, 10},	//2482 Plasma::Svg::paint(QPainter*, const QPointF&, const QString&)
    {93, 1425, 836, 4, 0, 0, 11},	//2483 Plasma::Svg::paint(QPainter*, int, int, const QString&)
    {93, 1425, 841, 3, 0, 0, 12},	//2484 Plasma::Svg::paint(QPainter*, const QRectF&, const QString&)
    {93, 1425, 845, 6, 0, 0, 13},	//2485 Plasma::Svg::paint(QPainter*, int, int, int, int, const QString&)
    {93, 2202, 0, 0, Smoke::mf_const|Smoke::mf_property, 288, 14},	//2486 Plasma::Svg::size() const
    {93, 1586, 806, 2, 0, 0, 15},	//2487 Plasma::Svg::resize(double, double)
    {93, 1586, 603, 1, 0, 0, 16},	//2488 Plasma::Svg::resize(const QSizeF&)
    {93, 1586, 0, 0, 0, 0, 17},	//2489 Plasma::Svg::resize()
    {93, 935, 89, 1, Smoke::mf_const, 288, 18},	//2490 Plasma::Svg::elementSize(const QString&) const
    {93, 933, 89, 1, Smoke::mf_const, 281, 19},	//2491 Plasma::Svg::elementRect(const QString&) const
    {93, 1046, 89, 1, Smoke::mf_const, 384, 20},	//2492 Plasma::Svg::hasElement(const QString&) const
    {93, 928, 555, 1, Smoke::mf_const, 291, 21},	//2493 Plasma::Svg::elementAtPoint(const QPoint&) const
    {93, 1169, 0, 0, Smoke::mf_const, 384, 22},	//2494 Plasma::Svg::isValid() const
    {93, 1743, 7, 1, Smoke::mf_property, 0, 23},	//2495 Plasma::Svg::setContainsMultipleImages(bool)
    {93, 787, 0, 0, Smoke::mf_const|Smoke::mf_property, 384, 24},	//2496 Plasma::Svg::containsMultipleImages() const
    {93, 1875, 89, 1, Smoke::mf_property, 0, 25},	//2497 Plasma::Svg::setImagePath(const QString&)
    {93, 1085, 0, 0, Smoke::mf_const|Smoke::mf_property, 291, 26},	//2498 Plasma::Svg::imagePath() const
    {93, 2128, 7, 1, Smoke::mf_property, 0, 27},	//2499 Plasma::Svg::setUsingRenderingCache(bool)
    {93, 1168, 0, 0, Smoke::mf_const|Smoke::mf_property, 384, 28},	//2500 Plasma::Svg::isUsingRenderingCache() const
    {93, 2094, 852, 1, 0, 0, 29},	//2501 Plasma::Svg::setTheme(Plasma::Theme*)
    {93, 2289, 0, 0, Smoke::mf_const, 157, 30},	//2502 Plasma::Svg::theme() const
    {93, 1577, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 31},	//2503 Plasma::Svg::repaintNeeded()
    {93, 2203, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 32},	//2504 Plasma::Svg::sizeChanged()
    {93, 2312, 1, 1, Smoke::mf_static, 291, 33},	//2505 Plasma::Svg::tr(const char*)
    {93, 2316, 1, 1, Smoke::mf_static, 291, 34},	//2506 Plasma::Svg::trUtf8(const char*)
    {93, 474, 0, 0, Smoke::mf_ctor, 152, 35},	//2507 Plasma::Svg::Svg()
    {93, 1459, 0, 0, 0, 275, 36},	//2508 Plasma::Svg::pixmap()
    {93, 1425, 616, 2, 0, 0, 37},	//2509 Plasma::Svg::paint(QPainter*, const QPointF&)
    {93, 1425, 817, 3, 0, 0, 38},	//2510 Plasma::Svg::paint(QPainter*, int, int)
    {93, 1425, 619, 2, 0, 0, 39},	//2511 Plasma::Svg::paint(QPainter*, const QRectF&)
    {93, 1425, 826, 5, 0, 0, 40},	//2512 Plasma::Svg::paint(QPainter*, int, int, int, int)
    {93, 2231, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 439, 41},	//2513 Plasma::Svg::staticMetaObject() const
    {93, 2476, 0, 0, Smoke::mf_dtor, 0, 42 },	//2514 Plasma::Svg::~Svg()
    {94, 1356, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 440, 1},	//2515 Plasma::SvgWidget::metaObject() const
    {94, 1492, 1, 1, Smoke::mf_virtual, 484, 2},	//2516 Plasma::SvgWidget::qt_metacast(const char*)
    {94, 2312, 43, 2, Smoke::mf_static, 291, 3},	//2517 Plasma::SvgWidget::tr(const char*, const char*)
    {94, 2316, 43, 2, Smoke::mf_static, 291, 4},	//2518 Plasma::SvgWidget::trUtf8(const char*, const char*)
    {94, 2312, 46, 3, Smoke::mf_static, 291, 5},	//2519 Plasma::SvgWidget::tr(const char*, const char*, int)
    {94, 2316, 46, 3, Smoke::mf_static, 291, 6},	//2520 Plasma::SvgWidget::trUtf8(const char*, const char*, int)
    {94, 1490, 3, 3, Smoke::mf_virtual, 475, 7},	//2521 Plasma::SvgWidget::qt_metacall(QMetaObject::Call, int, void**)
    {94, 476, 767, 2, Smoke::mf_ctor, 153, 8},	//2522 Plasma::SvgWidget::SvgWidget(QGraphicsItem*, QFlags<Qt::WindowType>)
    {94, 476, 854, 4, Smoke::mf_ctor, 153, 9},	//2523 Plasma::SvgWidget::SvgWidget(Plasma::Svg*, const QString&, QGraphicsItem*, QFlags<Qt::WindowType>)
    {94, 2062, 859, 1, 0, 0, 10},	//2524 Plasma::SvgWidget::setSvg(Plasma::Svg*)
    {94, 2254, 0, 0, Smoke::mf_const, 152, 11},	//2525 Plasma::SvgWidget::svg() const
    {94, 1804, 89, 1, Smoke::mf_property, 0, 12},	//2526 Plasma::SvgWidget::setElementID(const QString&)
    {94, 932, 0, 0, Smoke::mf_const|Smoke::mf_property, 291, 13},	//2527 Plasma::SvgWidget::elementID() const
    {94, 1377, 278, 1, Smoke::mf_virtual, 0, 14},	//2528 Plasma::SvgWidget::mouseReleaseEvent(QGraphicsSceneMouseEvent*)
    {94, 731, 861, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 15},	//2529 Plasma::SvgWidget::clicked(Qt::MouseButton)
    {94, 1425, 216, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 16},	//2530 Plasma::SvgWidget::paint(QPainter*, const QStyleOptionGraphicsItem*, QWidget*)
    {94, 2206, 287, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 289, 17},	//2531 Plasma::SvgWidget::sizeHint(Qt::SizeHint, const QSizeF&) const
    {94, 1375, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 18},	//2532 Plasma::SvgWidget::mousePressEvent(QGraphicsSceneMouseEvent*)
    {94, 2312, 1, 1, Smoke::mf_static, 291, 19},	//2533 Plasma::SvgWidget::tr(const char*)
    {94, 2316, 1, 1, Smoke::mf_static, 291, 20},	//2534 Plasma::SvgWidget::trUtf8(const char*)
    {94, 476, 0, 0, Smoke::mf_ctor, 153, 21},	//2535 Plasma::SvgWidget::SvgWidget()
    {94, 476, 170, 1, Smoke::mf_ctor, 153, 22},	//2536 Plasma::SvgWidget::SvgWidget(QGraphicsItem*)
    {94, 476, 859, 1, Smoke::mf_ctor, 153, 23},	//2537 Plasma::SvgWidget::SvgWidget(Plasma::Svg*)
    {94, 476, 863, 2, Smoke::mf_ctor, 153, 24},	//2538 Plasma::SvgWidget::SvgWidget(Plasma::Svg*, const QString&)
    {94, 476, 866, 3, Smoke::mf_ctor, 153, 25},	//2539 Plasma::SvgWidget::SvgWidget(Plasma::Svg*, const QString&, QGraphicsItem*)
    {94, 2231, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 439, 26},	//2540 Plasma::SvgWidget::staticMetaObject() const
    {94, 2477, 0, 0, Smoke::mf_dtor, 0, 27 },	//2541 Plasma::SvgWidget::~SvgWidget()
    {95, 1356, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 440, 1},	//2542 Plasma::TabBar::metaObject() const
    {95, 1492, 1, 1, Smoke::mf_virtual, 484, 2},	//2543 Plasma::TabBar::qt_metacast(const char*)
    {95, 2312, 43, 2, Smoke::mf_static, 291, 3},	//2544 Plasma::TabBar::tr(const char*, const char*)
    {95, 2316, 43, 2, Smoke::mf_static, 291, 4},	//2545 Plasma::TabBar::trUtf8(const char*, const char*)
    {95, 2312, 46, 3, Smoke::mf_static, 291, 5},	//2546 Plasma::TabBar::tr(const char*, const char*, int)
    {95, 2316, 46, 3, Smoke::mf_static, 291, 6},	//2547 Plasma::TabBar::trUtf8(const char*, const char*, int)
    {95, 1490, 3, 3, Smoke::mf_virtual, 475, 7},	//2548 Plasma::TabBar::qt_metacall(QMetaObject::Call, int, void**)
    {95, 482, 125, 1, Smoke::mf_ctor, 154, 8},	//2549 Plasma::TabBar::TabBar(QGraphicsWidget*)
    {95, 1112, 870, 4, 0, 475, 9},	//2550 Plasma::TabBar::insertTab(int, const QIcon&, const QString&, QGraphicsLayoutItem*)
    {95, 1112, 875, 3, 0, 475, 10},	//2551 Plasma::TabBar::insertTab(int, const QString&, QGraphicsLayoutItem*)
    {95, 633, 879, 3, 0, 475, 11},	//2552 Plasma::TabBar::addTab(const QIcon&, const QString&, QGraphicsLayoutItem*)
    {95, 633, 883, 2, 0, 475, 12},	//2553 Plasma::TabBar::addTab(const QString&, QGraphicsLayoutItem*)
    {95, 1558, 129, 1, 0, 0, 13},	//2554 Plasma::TabBar::removeTab(int)
    {95, 2270, 129, 1, 0, 216, 14},	//2555 Plasma::TabBar::takeTab(int)
    {95, 2263, 129, 1, 0, 216, 15},	//2556 Plasma::TabBar::tabAt(int)
    {95, 828, 0, 0, Smoke::mf_const|Smoke::mf_property, 475, 16},	//2557 Plasma::TabBar::currentIndex() const
    {95, 804, 0, 0, Smoke::mf_const|Smoke::mf_property, 475, 17},	//2558 Plasma::TabBar::count() const
    {95, 2076, 663, 2, 0, 0, 18},	//2559 Plasma::TabBar::setTabText(int, const QString&)
    {95, 2267, 129, 1, Smoke::mf_const, 291, 19},	//2560 Plasma::TabBar::tabText(int) const
    {95, 2074, 886, 2, 0, 0, 20},	//2561 Plasma::TabBar::setTabIcon(int, const QIcon&)
    {95, 2265, 129, 1, Smoke::mf_const, 234, 21},	//2562 Plasma::TabBar::tabIcon(int) const
    {95, 2070, 7, 1, Smoke::mf_property, 0, 22},	//2563 Plasma::TabBar::setTabBarShown(bool)
    {95, 1161, 0, 0, Smoke::mf_const|Smoke::mf_property, 384, 23},	//2564 Plasma::TabBar::isTabBarShown() const
    {95, 2056, 89, 1, Smoke::mf_property, 0, 24},	//2565 Plasma::TabBar::setStyleSheet(const QString&)
    {95, 2244, 0, 0, Smoke::mf_const|Smoke::mf_property, 291, 25},	//2566 Plasma::TabBar::styleSheet() const
    {95, 2072, 889, 2, 0, 0, 26},	//2567 Plasma::TabBar::setTabHighlighted(int, bool)
    {95, 1162, 129, 1, Smoke::mf_const, 384, 27},	//2568 Plasma::TabBar::isTabHighlighted(int) const
    {95, 1393, 0, 0, Smoke::mf_const, 21, 28},	//2569 Plasma::TabBar::nativeWidget() const
    {95, 1823, 125, 1, 0, 0, 29},	//2570 Plasma::TabBar::setFirstPositionWidget(QGraphicsWidget*)
    {95, 992, 0, 0, Smoke::mf_const, 227, 30},	//2571 Plasma::TabBar::firstPositionWidget() const
    {95, 1898, 125, 1, 0, 0, 31},	//2572 Plasma::TabBar::setLastPositionWidget(QGraphicsWidget*)
    {95, 1223, 0, 0, Smoke::mf_const, 227, 32},	//2573 Plasma::TabBar::lastPositionWidget() const
    {95, 1761, 129, 1, Smoke::mf_property|Smoke::mf_slot, 0, 33},	//2574 Plasma::TabBar::setCurrentIndex(int)
    {95, 826, 129, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 34},	//2575 Plasma::TabBar::currentChanged(int)
    {95, 2397, 398, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 35},	//2576 Plasma::TabBar::wheelEvent(QGraphicsSceneWheelEvent*)
    {95, 1590, 282, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 36},	//2577 Plasma::TabBar::resizeEvent(QGraphicsSceneResizeEvent*)
    {95, 715, 331, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 37},	//2578 Plasma::TabBar::changeEvent(QEvent*)
    {95, 2312, 1, 1, Smoke::mf_static, 291, 38},	//2579 Plasma::TabBar::tr(const char*)
    {95, 2316, 1, 1, Smoke::mf_static, 291, 39},	//2580 Plasma::TabBar::trUtf8(const char*)
    {95, 482, 0, 0, Smoke::mf_ctor, 154, 40},	//2581 Plasma::TabBar::TabBar()
    {95, 1112, 892, 3, 0, 475, 41},	//2582 Plasma::TabBar::insertTab(int, const QIcon&, const QString&)
    {95, 1112, 663, 2, 0, 475, 42},	//2583 Plasma::TabBar::insertTab(int, const QString&)
    {95, 633, 648, 2, 0, 475, 43},	//2584 Plasma::TabBar::addTab(const QIcon&, const QString&)
    {95, 633, 89, 1, 0, 475, 44},	//2585 Plasma::TabBar::addTab(const QString&)
    {95, 2231, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 439, 45},	//2586 Plasma::TabBar::staticMetaObject() const
    {95, 2478, 0, 0, Smoke::mf_dtor, 0, 46 },	//2587 Plasma::TabBar::~TabBar()
    {96, 1356, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 440, 1},	//2588 Plasma::TextBrowser::metaObject() const
    {96, 1492, 1, 1, Smoke::mf_virtual, 484, 2},	//2589 Plasma::TextBrowser::qt_metacast(const char*)
    {96, 2312, 43, 2, Smoke::mf_static, 291, 3},	//2590 Plasma::TextBrowser::tr(const char*, const char*)
    {96, 2316, 43, 2, Smoke::mf_static, 291, 4},	//2591 Plasma::TextBrowser::trUtf8(const char*, const char*)
    {96, 2312, 46, 3, Smoke::mf_static, 291, 5},	//2592 Plasma::TextBrowser::tr(const char*, const char*, int)
    {96, 2316, 46, 3, Smoke::mf_static, 291, 6},	//2593 Plasma::TextBrowser::trUtf8(const char*, const char*, int)
    {96, 1490, 3, 3, Smoke::mf_virtual, 475, 7},	//2594 Plasma::TextBrowser::qt_metacall(QMetaObject::Call, int, void**)
    {96, 484, 125, 1, Smoke::mf_ctor, 155, 8},	//2595 Plasma::TextBrowser::TextBrowser(QGraphicsWidget*)
    {96, 2088, 89, 1, Smoke::mf_property, 0, 9},	//2596 Plasma::TextBrowser::setText(const QString&)
    {96, 2282, 0, 0, Smoke::mf_const|Smoke::mf_property, 291, 10},	//2597 Plasma::TextBrowser::text() const
    {96, 1857, 896, 1, 0, 0, 11},	//2598 Plasma::TextBrowser::setHorizontalScrollBarPolicy(Qt::ScrollBarPolicy)
    {96, 2144, 896, 1, 0, 0, 12},	//2599 Plasma::TextBrowser::setVerticalScrollBarPolicy(Qt::ScrollBarPolicy)
    {96, 2056, 89, 1, Smoke::mf_property, 0, 13},	//2600 Plasma::TextBrowser::setStyleSheet(const QString&)
    {96, 2244, 0, 0, Smoke::mf_property, 291, 14},	//2601 Plasma::TextBrowser::styleSheet()
    {96, 1393, 0, 0, Smoke::mf_const, 22, 15},	//2602 Plasma::TextBrowser::nativeWidget() const
    {96, 667, 89, 1, Smoke::mf_slot, 0, 16},	//2603 Plasma::TextBrowser::append(const QString&)
    {96, 846, 489, 2, Smoke::mf_slot, 0, 17},	//2604 Plasma::TextBrowser::dataUpdated(const QString&, const Plasma::DataEngine::Data&)
    {96, 2284, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 18},	//2605 Plasma::TextBrowser::textChanged()
    {96, 1590, 282, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 19},	//2606 Plasma::TextBrowser::resizeEvent(QGraphicsSceneResizeEvent*)
    {96, 2397, 398, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 20},	//2607 Plasma::TextBrowser::wheelEvent(QGraphicsSceneWheelEvent*)
    {96, 715, 331, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 21},	//2608 Plasma::TextBrowser::changeEvent(QEvent*)
    {96, 799, 394, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 22},	//2609 Plasma::TextBrowser::contextMenuEvent(QGraphicsSceneContextMenuEvent*)
    {96, 2312, 1, 1, Smoke::mf_static, 291, 23},	//2610 Plasma::TextBrowser::tr(const char*)
    {96, 2316, 1, 1, Smoke::mf_static, 291, 24},	//2611 Plasma::TextBrowser::trUtf8(const char*)
    {96, 484, 0, 0, Smoke::mf_ctor, 155, 25},	//2612 Plasma::TextBrowser::TextBrowser()
    {96, 2231, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 439, 26},	//2613 Plasma::TextBrowser::staticMetaObject() const
    {96, 2479, 0, 0, Smoke::mf_dtor, 0, 27 },	//2614 Plasma::TextBrowser::~TextBrowser()
    {97, 1356, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 440, 1},	//2615 Plasma::TextEdit::metaObject() const
    {97, 1492, 1, 1, Smoke::mf_virtual, 484, 2},	//2616 Plasma::TextEdit::qt_metacast(const char*)
    {97, 2312, 43, 2, Smoke::mf_static, 291, 3},	//2617 Plasma::TextEdit::tr(const char*, const char*)
    {97, 2316, 43, 2, Smoke::mf_static, 291, 4},	//2618 Plasma::TextEdit::trUtf8(const char*, const char*)
    {97, 2312, 46, 3, Smoke::mf_static, 291, 5},	//2619 Plasma::TextEdit::tr(const char*, const char*, int)
    {97, 2316, 46, 3, Smoke::mf_static, 291, 6},	//2620 Plasma::TextEdit::trUtf8(const char*, const char*, int)
    {97, 1490, 3, 3, Smoke::mf_virtual, 475, 7},	//2621 Plasma::TextEdit::qt_metacall(QMetaObject::Call, int, void**)
    {97, 487, 125, 1, Smoke::mf_ctor, 156, 8},	//2622 Plasma::TextEdit::TextEdit(QGraphicsWidget*)
    {97, 2088, 89, 1, Smoke::mf_property, 0, 9},	//2623 Plasma::TextEdit::setText(const QString&)
    {97, 2282, 0, 0, Smoke::mf_const|Smoke::mf_property, 291, 10},	//2624 Plasma::TextEdit::text() const
    {97, 1986, 7, 1, Smoke::mf_property, 0, 11},	//2625 Plasma::TextEdit::setReadOnly(bool)
    {97, 1153, 0, 0, Smoke::mf_const|Smoke::mf_property, 384, 12},	//2626 Plasma::TextEdit::isReadOnly() const
    {97, 2056, 89, 1, Smoke::mf_property, 0, 13},	//2627 Plasma::TextEdit::setStyleSheet(const QString&)
    {97, 2244, 0, 0, Smoke::mf_property, 291, 14},	//2628 Plasma::TextEdit::styleSheet()
    {97, 1929, 898, 1, 0, 0, 15},	//2629 Plasma::TextEdit::setNativeWidget(KTextEdit*)
    {97, 1393, 0, 0, Smoke::mf_const, 23, 16},	//2630 Plasma::TextEdit::nativeWidget() const
    {97, 667, 89, 1, Smoke::mf_slot, 0, 17},	//2631 Plasma::TextEdit::append(const QString&)
    {97, 846, 489, 2, Smoke::mf_slot, 0, 18},	//2632 Plasma::TextEdit::dataUpdated(const QString&, const Plasma::DataEngine::Data&)
    {97, 2284, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 19},	//2633 Plasma::TextEdit::textChanged()
    {97, 1590, 282, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 20},	//2634 Plasma::TextEdit::resizeEvent(QGraphicsSceneResizeEvent*)
    {97, 715, 331, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 21},	//2635 Plasma::TextEdit::changeEvent(QEvent*)
    {97, 799, 394, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 22},	//2636 Plasma::TextEdit::contextMenuEvent(QGraphicsSceneContextMenuEvent*)
    {97, 1375, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 23},	//2637 Plasma::TextEdit::mousePressEvent(QGraphicsSceneMouseEvent*)
    {97, 1007, 280, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 24},	//2638 Plasma::TextEdit::focusOutEvent(QFocusEvent*)
    {97, 2312, 1, 1, Smoke::mf_static, 291, 25},	//2639 Plasma::TextEdit::tr(const char*)
    {97, 2316, 1, 1, Smoke::mf_static, 291, 26},	//2640 Plasma::TextEdit::trUtf8(const char*)
    {97, 487, 0, 0, Smoke::mf_ctor, 156, 27},	//2641 Plasma::TextEdit::TextEdit()
    {97, 2231, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 439, 28},	//2642 Plasma::TextEdit::staticMetaObject() const
    {97, 2480, 0, 0, Smoke::mf_dtor, 0, 29 },	//2643 Plasma::TextEdit::~TextEdit()
    {98, 1356, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 440, 1},	//2644 Plasma::Theme::metaObject() const
    {98, 1492, 1, 1, Smoke::mf_virtual, 484, 2},	//2645 Plasma::Theme::qt_metacast(const char*)
    {98, 2312, 43, 2, Smoke::mf_static, 291, 3},	//2646 Plasma::Theme::tr(const char*, const char*)
    {98, 2316, 43, 2, Smoke::mf_static, 291, 4},	//2647 Plasma::Theme::trUtf8(const char*, const char*)
    {98, 2312, 46, 3, Smoke::mf_static, 291, 5},	//2648 Plasma::Theme::tr(const char*, const char*, int)
    {98, 2316, 46, 3, Smoke::mf_static, 291, 6},	//2649 Plasma::Theme::trUtf8(const char*, const char*, int)
    {98, 1490, 3, 3, Smoke::mf_virtual, 475, 7},	//2650 Plasma::Theme::qt_metacall(QMetaObject::Call, int, void**)
    {98, 851, 0, 0, Smoke::mf_static, 157, 8},	//2651 Plasma::Theme::defaultTheme()
    {98, 489, 97, 1, Smoke::mf_ctor, 157, 9},	//2652 Plasma::Theme::Theme(QObject*)
    {98, 489, 149, 2, Smoke::mf_ctor, 157, 10},	//2653 Plasma::Theme::Theme(const QString&, QObject*)
    {98, 1420, 0, 0, Smoke::mf_static, 19, 11},	//2654 Plasma::Theme::packageStructure()
    {98, 1278, 0, 0, Smoke::mf_static, 240, 12},	//2655 Plasma::Theme::listThemeInfo()
    {98, 2096, 89, 1, 0, 0, 13},	//2656 Plasma::Theme::setThemeName(const QString&)
    {98, 2291, 0, 0, Smoke::mf_const|Smoke::mf_property, 291, 14},	//2657 Plasma::Theme::themeName() const
    {98, 1085, 89, 1, Smoke::mf_const, 291, 15},	//2658 Plasma::Theme::imagePath(const QString&) const
    {98, 661, 89, 1, Smoke::mf_const, 291, 16},	//2659 Plasma::Theme::animationPath(const QString&) const
    {98, 2394, 186, 1, Smoke::mf_const, 291, 17},	//2660 Plasma::Theme::wallpaperPath(const QSize&) const
    {98, 833, 89, 1, Smoke::mf_const, 384, 18},	//2661 Plasma::Theme::currentThemeHasImage(const QString&) const
    {98, 742, 0, 0, Smoke::mf_const, 18, 19},	//2662 Plasma::Theme::colorScheme() const
    {98, 740, 900, 1, Smoke::mf_const, 187, 20},	//2663 Plasma::Theme::color(Plasma::Theme::ColorRole) const
    {98, 1825, 902, 2, 0, 0, 21},	//2664 Plasma::Theme::setFont(const QFont&, Plasma::Theme::FontRole)
    {98, 1010, 905, 1, Smoke::mf_const, 209, 22},	//2665 Plasma::Theme::font(Plasma::Theme::FontRole) const
    {98, 1014, 0, 0, Smoke::mf_const, 210, 23},	//2666 Plasma::Theme::fontMetrics() const
    {98, 2406, 0, 0, Smoke::mf_const, 384, 24},	//2667 Plasma::Theme::windowTranslucencyEnabled() const
    {98, 2124, 7, 1, 0, 0, 25},	//2668 Plasma::Theme::setUseGlobalSettings(bool)
    {98, 2361, 0, 0, Smoke::mf_const, 384, 26},	//2669 Plasma::Theme::useGlobalSettings() const
    {98, 2362, 0, 0, Smoke::mf_const, 384, 27},	//2670 Plasma::Theme::useNativeWidgetStyle() const
    {98, 2244, 89, 1, Smoke::mf_const, 291, 28},	//2671 Plasma::Theme::styleSheet(const QString&) const
    {98, 981, 907, 2, 0, 384, 29},	//2672 Plasma::Theme::findInCache(const QString&, QPixmap&)
    {98, 981, 910, 3, 0, 384, 30},	//2673 Plasma::Theme::findInCache(const QString&, QPixmap&, unsigned int)
    {98, 1107, 914, 2, 0, 0, 31},	//2674 Plasma::Theme::insertIntoCache(const QString&, const QPixmap&)
    {98, 1107, 917, 3, 0, 0, 32},	//2675 Plasma::Theme::insertIntoCache(const QString&, const QPixmap&, const QString&)
    {98, 1714, 129, 1, 0, 0, 33},	//2676 Plasma::Theme::setCacheLimit(int)
    {98, 984, 921, 3, Smoke::mf_const, 384, 34},	//2677 Plasma::Theme::findInRectsCache(const QString&, const QString&, QRectF&) const
    {98, 1250, 89, 1, Smoke::mf_const, 292, 35},	//2678 Plasma::Theme::listCachedRectKeys(const QString&) const
    {98, 1110, 925, 3, 0, 0, 36},	//2679 Plasma::Theme::insertIntoRectsCache(const QString&, const QString&, const QRectF&)
    {98, 1120, 89, 1, 0, 0, 37},	//2680 Plasma::Theme::invalidateRectsCache(const QString&)
    {98, 1518, 89, 1, 0, 0, 38},	//2681 Plasma::Theme::releaseRectsCache(const QString&)
    {98, 1068, 0, 0, Smoke::mf_const, 24, 39},	//2682 Plasma::Theme::homepage() const
    {98, 2308, 0, 0, Smoke::mf_const, 475, 40},	//2683 Plasma::Theme::toolTipDelay() const
    {98, 2290, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 41},	//2684 Plasma::Theme::themeChanged()
    {98, 2167, 0, 0, Smoke::mf_slot, 0, 42},	//2685 Plasma::Theme::settingsChanged()
    {98, 2312, 1, 1, Smoke::mf_static, 291, 43},	//2686 Plasma::Theme::tr(const char*)
    {98, 2316, 1, 1, Smoke::mf_static, 291, 44},	//2687 Plasma::Theme::trUtf8(const char*)
    {98, 489, 0, 0, Smoke::mf_ctor, 157, 45},	//2688 Plasma::Theme::Theme()
    {98, 489, 89, 1, Smoke::mf_ctor, 157, 46},	//2689 Plasma::Theme::Theme(const QString&)
    {98, 2394, 0, 0, Smoke::mf_const, 291, 47},	//2690 Plasma::Theme::wallpaperPath() const
    {98, 1825, 579, 1, 0, 0, 48},	//2691 Plasma::Theme::setFont(const QFont&)
    {98, 2244, 0, 0, Smoke::mf_const, 291, 49},	//2692 Plasma::Theme::styleSheet() const
    {98, 2231, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 439, 50},	//2693 Plasma::Theme::staticMetaObject() const
    {98, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 158, 51},	//2694 Plasma::Theme::TextColor (enum)
    {98, 208, 0, 0, Smoke::mf_static|Smoke::mf_enum, 158, 52},	//2695 Plasma::Theme::HighlightColor (enum)
    {98, 53, 0, 0, Smoke::mf_static|Smoke::mf_enum, 158, 53},	//2696 Plasma::Theme::BackgroundColor (enum)
    {98, 77, 0, 0, Smoke::mf_static|Smoke::mf_enum, 158, 54},	//2697 Plasma::Theme::ButtonTextColor (enum)
    {98, 70, 0, 0, Smoke::mf_static|Smoke::mf_enum, 158, 55},	//2698 Plasma::Theme::ButtonBackgroundColor (enum)
    {98, 303, 0, 0, Smoke::mf_static|Smoke::mf_enum, 158, 56},	//2699 Plasma::Theme::LinkColor (enum)
    {98, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 158, 57},	//2700 Plasma::Theme::VisitedLinkColor (enum)
    {98, 73, 0, 0, Smoke::mf_static|Smoke::mf_enum, 158, 58},	//2701 Plasma::Theme::ButtonHoverColor (enum)
    {98, 72, 0, 0, Smoke::mf_static|Smoke::mf_enum, 158, 59},	//2702 Plasma::Theme::ButtonFocusColor (enum)
    {98, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 158, 60},	//2703 Plasma::Theme::ViewTextColor (enum)
    {98, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 158, 61},	//2704 Plasma::Theme::ViewBackgroundColor (enum)
    {98, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 158, 62},	//2705 Plasma::Theme::ViewHoverColor (enum)
    {98, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 158, 63},	//2706 Plasma::Theme::ViewFocusColor (enum)
    {98, 134, 0, 0, Smoke::mf_static|Smoke::mf_enum, 159, 64},	//2707 Plasma::Theme::DefaultFont (enum)
    {98, 142, 0, 0, Smoke::mf_static|Smoke::mf_enum, 159, 65},	//2708 Plasma::Theme::DesktopFont (enum)
    {98, 455, 0, 0, Smoke::mf_static|Smoke::mf_enum, 159, 66},	//2709 Plasma::Theme::SmallestFont (enum)
    {98, 2481, 0, 0, Smoke::mf_dtor, 0, 67 },	//2710 Plasma::Theme::~Theme()
    {99, 1356, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 440, 1},	//2711 Plasma::ToolButton::metaObject() const
    {99, 1492, 1, 1, Smoke::mf_virtual, 484, 2},	//2712 Plasma::ToolButton::qt_metacast(const char*)
    {99, 2312, 43, 2, Smoke::mf_static, 291, 3},	//2713 Plasma::ToolButton::tr(const char*, const char*)
    {99, 2316, 43, 2, Smoke::mf_static, 291, 4},	//2714 Plasma::ToolButton::trUtf8(const char*, const char*)
    {99, 2312, 46, 3, Smoke::mf_static, 291, 5},	//2715 Plasma::ToolButton::tr(const char*, const char*, int)
    {99, 2316, 46, 3, Smoke::mf_static, 291, 6},	//2716 Plasma::ToolButton::trUtf8(const char*, const char*, int)
    {99, 1490, 3, 3, Smoke::mf_virtual, 475, 7},	//2717 Plasma::ToolButton::qt_metacall(QMetaObject::Call, int, void**)
    {99, 494, 125, 1, Smoke::mf_ctor, 160, 8},	//2718 Plasma::ToolButton::ToolButton(QGraphicsWidget*)
    {99, 1700, 7, 1, Smoke::mf_property, 0, 9},	//2719 Plasma::ToolButton::setAutoRaise(bool)
    {99, 695, 0, 0, Smoke::mf_const|Smoke::mf_property, 384, 10},	//2720 Plasma::ToolButton::autoRaise() const
    {99, 2088, 89, 1, Smoke::mf_property, 0, 11},	//2721 Plasma::ToolButton::setText(const QString&)
    {99, 2282, 0, 0, Smoke::mf_const|Smoke::mf_property, 291, 12},	//2722 Plasma::ToolButton::text() const
    {99, 1871, 89, 1, Smoke::mf_property, 0, 13},	//2723 Plasma::ToolButton::setImage(const QString&)
    {99, 1871, 77, 2, 0, 0, 14},	//2724 Plasma::ToolButton::setImage(const QString&, const QString&)
    {99, 1084, 0, 0, Smoke::mf_const|Smoke::mf_property, 291, 15},	//2725 Plasma::ToolButton::image() const
    {99, 1791, 7, 1, Smoke::mf_property, 0, 16},	//2726 Plasma::ToolButton::setDown(bool)
    {99, 1135, 0, 0, Smoke::mf_const|Smoke::mf_property, 384, 17},	//2727 Plasma::ToolButton::isDown() const
    {99, 2056, 89, 1, Smoke::mf_property, 0, 18},	//2728 Plasma::ToolButton::setStyleSheet(const QString&)
    {99, 2244, 0, 0, Smoke::mf_property, 291, 19},	//2729 Plasma::ToolButton::styleSheet()
    {99, 1664, 107, 1, 0, 0, 20},	//2730 Plasma::ToolButton::setAction(QAction*)
    {99, 562, 0, 0, Smoke::mf_const, 181, 21},	//2731 Plasma::ToolButton::action() const
    {99, 1864, 567, 1, 0, 0, 22},	//2732 Plasma::ToolButton::setIcon(const QIcon&)
    {99, 1080, 0, 0, Smoke::mf_const, 234, 23},	//2733 Plasma::ToolButton::icon() const
    {99, 1393, 0, 0, Smoke::mf_const, 299, 24},	//2734 Plasma::ToolButton::nativeWidget() const
    {99, 731, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 25},	//2735 Plasma::ToolButton::clicked()
    {99, 1481, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 26},	//2736 Plasma::ToolButton::pressed()
    {99, 1521, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 27},	//2737 Plasma::ToolButton::released()
    {99, 1425, 216, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 28},	//2738 Plasma::ToolButton::paint(QPainter*, const QStyleOptionGraphicsItem*, QWidget*)
    {99, 1590, 282, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 29},	//2739 Plasma::ToolButton::resizeEvent(QGraphicsSceneResizeEvent*)
    {99, 1073, 290, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 30},	//2740 Plasma::ToolButton::hoverEnterEvent(QGraphicsSceneHoverEvent*)
    {99, 1075, 290, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 31},	//2741 Plasma::ToolButton::hoverLeaveEvent(QGraphicsSceneHoverEvent*)
    {99, 715, 331, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 32},	//2742 Plasma::ToolButton::changeEvent(QEvent*)
    {99, 1184, 284, 2, Smoke::mf_protected|Smoke::mf_virtual, 302, 33},	//2743 Plasma::ToolButton::itemChange(QGraphicsItem::GraphicsItemChange, const QVariant&)
    {99, 2206, 287, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 289, 34},	//2744 Plasma::ToolButton::sizeHint(Qt::SizeHint, const QSizeF&) const
    {99, 2312, 1, 1, Smoke::mf_static, 291, 35},	//2745 Plasma::ToolButton::tr(const char*)
    {99, 2316, 1, 1, Smoke::mf_static, 291, 36},	//2746 Plasma::ToolButton::trUtf8(const char*)
    {99, 494, 0, 0, Smoke::mf_ctor, 160, 37},	//2747 Plasma::ToolButton::ToolButton()
    {99, 1425, 328, 2, Smoke::mf_protected, 0, 38},	//2748 Plasma::ToolButton::paint(QPainter*, const QStyleOptionGraphicsItem*)
    {99, 2231, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 439, 39},	//2749 Plasma::ToolButton::staticMetaObject() const
    {99, 2482, 0, 0, Smoke::mf_dtor, 0, 40 },	//2750 Plasma::ToolButton::~ToolButton()
    {100, 496, 0, 0, Smoke::mf_ctor, 162, 1},	//2751 Plasma::ToolTipContent::ToolTipContent()
    {100, 496, 929, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 162, 2},	//2752 Plasma::ToolTipContent::ToolTipContent(const Plasma::ToolTipContent&)
    {100, 496, 931, 3, Smoke::mf_ctor, 162, 3},	//2753 Plasma::ToolTipContent::ToolTipContent(const QString&, const QString&, const QPixmap&)
    {100, 496, 935, 3, Smoke::mf_ctor, 162, 4},	//2754 Plasma::ToolTipContent::ToolTipContent(const QString&, const QString&, const QIcon&)
    {100, 1413, 929, 1, 0, 161, 5},	//2755 Plasma::ToolTipContent::operator=(const Plasma::ToolTipContent&)
    {100, 1136, 0, 0, Smoke::mf_const, 384, 6},	//2756 Plasma::ToolTipContent::isEmpty() const
    {100, 1904, 89, 1, 0, 0, 7},	//2757 Plasma::ToolTipContent::setMainText(const QString&)
    {100, 1330, 0, 0, Smoke::mf_const, 291, 8},	//2758 Plasma::ToolTipContent::mainText() const
    {100, 2058, 89, 1, 0, 0, 9},	//2759 Plasma::ToolTipContent::setSubText(const QString&)
    {100, 2246, 0, 0, Smoke::mf_const, 291, 10},	//2760 Plasma::ToolTipContent::subText() const
    {100, 1871, 594, 1, 0, 0, 11},	//2761 Plasma::ToolTipContent::setImage(const QPixmap&)
    {100, 1871, 567, 1, 0, 0, 12},	//2762 Plasma::ToolTipContent::setImage(const QIcon&)
    {100, 1084, 0, 0, Smoke::mf_const, 275, 13},	//2763 Plasma::ToolTipContent::image() const
    {100, 2159, 939, 1, 0, 0, 14},	//2764 Plasma::ToolTipContent::setWindowToPreview(unsigned long)
    {100, 2405, 0, 0, Smoke::mf_const, 483, 15},	//2765 Plasma::ToolTipContent::windowToPreview() const
    {100, 2161, 941, 1, 0, 0, 16},	//2766 Plasma::ToolTipContent::setWindowsToPreview(const QList<unsigned long>&)
    {100, 2407, 0, 0, Smoke::mf_const, 259, 17},	//2767 Plasma::ToolTipContent::windowsToPreview() const
    {100, 1849, 7, 1, 0, 0, 18},	//2768 Plasma::ToolTipContent::setHighlightWindows(bool)
    {100, 1067, 0, 0, Smoke::mf_const, 384, 19},	//2769 Plasma::ToolTipContent::highlightWindows() const
    {100, 1702, 7, 1, 0, 0, 20},	//2770 Plasma::ToolTipContent::setAutohide(bool)
    {100, 696, 0, 0, Smoke::mf_const, 384, 21},	//2771 Plasma::ToolTipContent::autohide() const
    {100, 1885, 7, 1, 0, 0, 22},	//2772 Plasma::ToolTipContent::setInstantPopup(bool)
    {100, 1142, 0, 0, Smoke::mf_const, 384, 23},	//2773 Plasma::ToolTipContent::isInstantPopup() const
    {100, 619, 943, 3, 0, 0, 24},	//2774 Plasma::ToolTipContent::addResource(Plasma::ToolTipContent::ResourceType, const QUrl&, const QVariant&)
    {100, 1512, 947, 1, Smoke::mf_const, 0, 25},	//2775 Plasma::ToolTipContent::registerResources(QTextDocument*) const
    {100, 1726, 7, 1, 0, 0, 26},	//2776 Plasma::ToolTipContent::setClickable(bool)
    {100, 1131, 0, 0, Smoke::mf_const, 384, 27},	//2777 Plasma::ToolTipContent::isClickable() const
    {100, 1838, 125, 1, 0, 0, 28},	//2778 Plasma::ToolTipContent::setGraphicsWidget(QGraphicsWidget*)
    {100, 1038, 0, 0, Smoke::mf_const, 227, 29},	//2779 Plasma::ToolTipContent::graphicsWidget() const
    {100, 496, 77, 2, Smoke::mf_ctor, 162, 30},	//2780 Plasma::ToolTipContent::ToolTipContent(const QString&, const QString&)
    {100, 220, 0, 0, Smoke::mf_static|Smoke::mf_enum, 163, 31},	//2781 Plasma::ToolTipContent::ImageResource (enum)
    {100, 211, 0, 0, Smoke::mf_static|Smoke::mf_enum, 163, 32},	//2782 Plasma::ToolTipContent::HtmlResource (enum)
    {100, 118, 0, 0, Smoke::mf_static|Smoke::mf_enum, 163, 33},	//2783 Plasma::ToolTipContent::CssResource (enum)
    {100, 2483, 0, 0, Smoke::mf_dtor, 0, 34 },	//2784 Plasma::ToolTipContent::~ToolTipContent()
    {101, 1356, 0, 0, Smoke::mf_const, 440, 1},	//2785 Plasma::ToolTipManager::metaObject() const
    {101, 1492, 1, 1, 0, 484, 2},	//2786 Plasma::ToolTipManager::qt_metacast(const char*)
    {101, 2312, 43, 2, Smoke::mf_static, 291, 3},	//2787 Plasma::ToolTipManager::tr(const char*, const char*)
    {101, 2316, 43, 2, Smoke::mf_static, 291, 4},	//2788 Plasma::ToolTipManager::trUtf8(const char*, const char*)
    {101, 2312, 46, 3, Smoke::mf_static, 291, 5},	//2789 Plasma::ToolTipManager::tr(const char*, const char*, int)
    {101, 2316, 46, 3, Smoke::mf_static, 291, 6},	//2790 Plasma::ToolTipManager::trUtf8(const char*, const char*, int)
    {101, 1490, 3, 3, 0, 475, 7},	//2791 Plasma::ToolTipManager::qt_metacall(QMetaObject::Call, int, void**)
    {101, 1652, 0, 0, Smoke::mf_static, 164, 8},	//2792 Plasma::ToolTipManager::self()
    {101, 2172, 125, 1, 0, 0, 9},	//2793 Plasma::ToolTipManager::show(QGraphicsWidget*)
    {101, 1170, 125, 1, Smoke::mf_const, 384, 10},	//2794 Plasma::ToolTipManager::isVisible(QGraphicsWidget*) const
    {101, 1061, 125, 1, 0, 0, 11},	//2795 Plasma::ToolTipManager::hide(QGraphicsWidget*)
    {101, 1516, 125, 1, 0, 0, 12},	//2796 Plasma::ToolTipManager::registerWidget(QGraphicsWidget*)
    {101, 2335, 125, 1, 0, 0, 13},	//2797 Plasma::ToolTipManager::unregisterWidget(QGraphicsWidget*)
    {101, 1745, 949, 2, 0, 0, 14},	//2798 Plasma::ToolTipManager::setContent(QGraphicsWidget*, const Plasma::ToolTipContent&)
    {101, 727, 125, 1, 0, 0, 15},	//2799 Plasma::ToolTipManager::clearContent(QGraphicsWidget*)
    {101, 2049, 952, 1, 0, 0, 16},	//2800 Plasma::ToolTipManager::setState(Plasma::ToolTipManager::State)
    {101, 2230, 0, 0, Smoke::mf_const, 165, 17},	//2801 Plasma::ToolTipManager::state() const
    {101, 2403, 954, 4, Smoke::mf_protected|Smoke::mf_signal, 0, 18},	//2802 Plasma::ToolTipManager::windowPreviewActivated(WId, Qt::MouseButtons, Qt::KeyboardModifiers, const QPoint&)
    {101, 1235, 959, 4, Smoke::mf_protected|Smoke::mf_signal, 0, 19},	//2803 Plasma::ToolTipManager::linkActivated(const QString&, Qt::MouseButtons, Qt::KeyboardModifiers, const QPoint&)
    {101, 2312, 1, 1, Smoke::mf_static, 291, 20},	//2804 Plasma::ToolTipManager::tr(const char*)
    {101, 2316, 1, 1, Smoke::mf_static, 291, 21},	//2805 Plasma::ToolTipManager::trUtf8(const char*)
    {101, 2231, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 439, 22},	//2806 Plasma::ToolTipManager::staticMetaObject() const
    {101, 17, 0, 0, Smoke::mf_static|Smoke::mf_enum, 165, 23},	//2807 Plasma::ToolTipManager::Activated (enum)
    {101, 224, 0, 0, Smoke::mf_static|Smoke::mf_enum, 165, 24},	//2808 Plasma::ToolTipManager::Inhibited (enum)
    {101, 130, 0, 0, Smoke::mf_static|Smoke::mf_enum, 165, 25},	//2809 Plasma::ToolTipManager::Deactivated (enum)
    {102, 1356, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 440, 1},	//2810 Plasma::TreeView::metaObject() const
    {102, 1492, 1, 1, Smoke::mf_virtual, 484, 2},	//2811 Plasma::TreeView::qt_metacast(const char*)
    {102, 2312, 43, 2, Smoke::mf_static, 291, 3},	//2812 Plasma::TreeView::tr(const char*, const char*)
    {102, 2316, 43, 2, Smoke::mf_static, 291, 4},	//2813 Plasma::TreeView::trUtf8(const char*, const char*)
    {102, 2312, 46, 3, Smoke::mf_static, 291, 5},	//2814 Plasma::TreeView::tr(const char*, const char*, int)
    {102, 2316, 46, 3, Smoke::mf_static, 291, 6},	//2815 Plasma::TreeView::trUtf8(const char*, const char*, int)
    {102, 1490, 3, 3, Smoke::mf_virtual, 475, 7},	//2816 Plasma::TreeView::qt_metacall(QMetaObject::Call, int, void**)
    {102, 509, 125, 1, Smoke::mf_ctor, 166, 8},	//2817 Plasma::TreeView::TreeView(QGraphicsWidget*)
    {102, 1924, 964, 1, 0, 0, 9},	//2818 Plasma::TreeView::setModel(QAbstractItemModel*)
    {102, 1370, 0, 0, 0, 180, 10},	//2819 Plasma::TreeView::model()
    {102, 2056, 89, 1, Smoke::mf_property, 0, 11},	//2820 Plasma::TreeView::setStyleSheet(const QString&)
    {102, 2244, 0, 0, Smoke::mf_property, 291, 12},	//2821 Plasma::TreeView::styleSheet()
    {102, 1393, 0, 0, Smoke::mf_const, 300, 13},	//2822 Plasma::TreeView::nativeWidget() const
    {102, 2312, 1, 1, Smoke::mf_static, 291, 14},	//2823 Plasma::TreeView::tr(const char*)
    {102, 2316, 1, 1, Smoke::mf_static, 291, 15},	//2824 Plasma::TreeView::trUtf8(const char*)
    {102, 509, 0, 0, Smoke::mf_ctor, 166, 16},	//2825 Plasma::TreeView::TreeView()
    {102, 2231, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 439, 17},	//2826 Plasma::TreeView::staticMetaObject() const
    {102, 2484, 0, 0, Smoke::mf_dtor, 0, 18 },	//2827 Plasma::TreeView::~TreeView()
    {103, 1356, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 440, 1},	//2828 Plasma::VideoWidget::metaObject() const
    {103, 1492, 1, 1, Smoke::mf_virtual, 484, 2},	//2829 Plasma::VideoWidget::qt_metacast(const char*)
    {103, 2312, 43, 2, Smoke::mf_static, 291, 3},	//2830 Plasma::VideoWidget::tr(const char*, const char*)
    {103, 2316, 43, 2, Smoke::mf_static, 291, 4},	//2831 Plasma::VideoWidget::trUtf8(const char*, const char*)
    {103, 2312, 46, 3, Smoke::mf_static, 291, 5},	//2832 Plasma::VideoWidget::tr(const char*, const char*, int)
    {103, 2316, 46, 3, Smoke::mf_static, 291, 6},	//2833 Plasma::VideoWidget::trUtf8(const char*, const char*, int)
    {103, 1490, 3, 3, Smoke::mf_virtual, 475, 7},	//2834 Plasma::VideoWidget::qt_metacall(QMetaObject::Call, int, void**)
    {103, 529, 125, 1, Smoke::mf_ctor, 168, 8},	//2835 Plasma::VideoWidget::VideoWidget(QGraphicsWidget*)
    {103, 2117, 89, 1, Smoke::mf_property, 0, 9},	//2836 Plasma::VideoWidget::setUrl(const QString&)
    {103, 2354, 0, 0, Smoke::mf_const|Smoke::mf_property, 291, 10},	//2837 Plasma::VideoWidget::url() const
    {103, 1353, 0, 0, Smoke::mf_const, 27, 11},	//2838 Plasma::VideoWidget::mediaObject() const
    {103, 689, 0, 0, Smoke::mf_const, 26, 12},	//2839 Plasma::VideoWidget::audioOutput() const
    {103, 835, 0, 0, Smoke::mf_const, 478, 13},	//2840 Plasma::VideoWidget::currentTime() const
    {103, 2311, 0, 0, Smoke::mf_const, 478, 14},	//2841 Plasma::VideoWidget::totalTime() const
    {103, 1525, 0, 0, Smoke::mf_const, 478, 15},	//2842 Plasma::VideoWidget::remainingTime() const
    {103, 2126, 966, 1, 0, 0, 16},	//2843 Plasma::VideoWidget::setUsedControls(const QFlags<Plasma::VideoWidget::Control>)
    {103, 2363, 0, 0, Smoke::mf_const, 204, 17},	//2844 Plasma::VideoWidget::usedControls() const
    {103, 1755, 7, 1, Smoke::mf_property, 0, 18},	//2845 Plasma::VideoWidget::setControlsVisible(bool)
    {103, 802, 0, 0, Smoke::mf_const|Smoke::mf_property, 384, 19},	//2846 Plasma::VideoWidget::controlsVisible() const
    {103, 2100, 968, 1, 0, 0, 20},	//2847 Plasma::VideoWidget::setTickInterval(long long)
    {103, 2295, 0, 0, Smoke::mf_const, 478, 21},	//2848 Plasma::VideoWidget::tickInterval() const
    {103, 2056, 89, 1, Smoke::mf_property, 0, 22},	//2849 Plasma::VideoWidget::setStyleSheet(const QString&)
    {103, 2244, 0, 0, Smoke::mf_property, 291, 23},	//2850 Plasma::VideoWidget::styleSheet()
    {103, 1393, 0, 0, Smoke::mf_const, 28, 24},	//2851 Plasma::VideoWidget::nativeWidget() const
    {103, 1461, 0, 0, Smoke::mf_slot, 0, 25},	//2852 Plasma::VideoWidget::play()
    {103, 1454, 0, 0, Smoke::mf_slot, 0, 26},	//2853 Plasma::VideoWidget::pause()
    {103, 2233, 0, 0, Smoke::mf_slot, 0, 27},	//2854 Plasma::VideoWidget::stop()
    {103, 1649, 970, 1, Smoke::mf_slot, 0, 28},	//2855 Plasma::VideoWidget::seek(qint64)
    {103, 2293, 970, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 29},	//2856 Plasma::VideoWidget::tick(qint64)
    {103, 556, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 30},	//2857 Plasma::VideoWidget::aboutToFinish()
    {103, 1399, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 31},	//2858 Plasma::VideoWidget::nextRequested()
    {103, 1483, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 32},	//2859 Plasma::VideoWidget::previousRequested()
    {103, 1590, 282, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 33},	//2860 Plasma::VideoWidget::resizeEvent(QGraphicsSceneResizeEvent*)
    {103, 1073, 290, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 34},	//2861 Plasma::VideoWidget::hoverEnterEvent(QGraphicsSceneHoverEvent*)
    {103, 1075, 290, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 35},	//2862 Plasma::VideoWidget::hoverLeaveEvent(QGraphicsSceneHoverEvent*)
    {103, 1077, 290, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 36},	//2863 Plasma::VideoWidget::hoverMoveEvent(QGraphicsSceneHoverEvent*)
    {103, 2312, 1, 1, Smoke::mf_static, 291, 37},	//2864 Plasma::VideoWidget::tr(const char*)
    {103, 2316, 1, 1, Smoke::mf_static, 291, 38},	//2865 Plasma::VideoWidget::trUtf8(const char*)
    {103, 529, 0, 0, Smoke::mf_ctor, 168, 39},	//2866 Plasma::VideoWidget::VideoWidget()
    {103, 2231, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 439, 40},	//2867 Plasma::VideoWidget::staticMetaObject() const
    {103, 333, 0, 0, Smoke::mf_static|Smoke::mf_enum, 169, 41},	//2868 Plasma::VideoWidget::NoControls (enum)
    {103, 374, 0, 0, Smoke::mf_static|Smoke::mf_enum, 169, 42},	//2869 Plasma::VideoWidget::Play (enum)
    {103, 365, 0, 0, Smoke::mf_static|Smoke::mf_enum, 169, 43},	//2870 Plasma::VideoWidget::Pause (enum)
    {103, 464, 0, 0, Smoke::mf_static|Smoke::mf_enum, 169, 44},	//2871 Plasma::VideoWidget::Stop (enum)
    {103, 375, 0, 0, Smoke::mf_static|Smoke::mf_enum, 169, 45},	//2872 Plasma::VideoWidget::PlayPause (enum)
    {103, 382, 0, 0, Smoke::mf_static|Smoke::mf_enum, 169, 46},	//2873 Plasma::VideoWidget::Previous (enum)
    {103, 322, 0, 0, Smoke::mf_static|Smoke::mf_enum, 169, 47},	//2874 Plasma::VideoWidget::Next (enum)
    {103, 383, 0, 0, Smoke::mf_static|Smoke::mf_enum, 169, 48},	//2875 Plasma::VideoWidget::Progress (enum)
    {103, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 169, 49},	//2876 Plasma::VideoWidget::Volume (enum)
    {103, 349, 0, 0, Smoke::mf_static|Smoke::mf_enum, 169, 50},	//2877 Plasma::VideoWidget::OpenFile (enum)
    {103, 133, 0, 0, Smoke::mf_static|Smoke::mf_enum, 169, 51},	//2878 Plasma::VideoWidget::DefaultControls (enum)
    {103, 2485, 0, 0, Smoke::mf_dtor, 0, 52 },	//2879 Plasma::VideoWidget::~VideoWidget()
    {104, 1356, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 440, 1},	//2880 Plasma::View::metaObject() const
    {104, 1492, 1, 1, Smoke::mf_virtual, 484, 2},	//2881 Plasma::View::qt_metacast(const char*)
    {104, 2312, 43, 2, Smoke::mf_static, 291, 3},	//2882 Plasma::View::tr(const char*, const char*)
    {104, 2316, 43, 2, Smoke::mf_static, 291, 4},	//2883 Plasma::View::trUtf8(const char*, const char*)
    {104, 2312, 46, 3, Smoke::mf_static, 291, 5},	//2884 Plasma::View::tr(const char*, const char*, int)
    {104, 2316, 46, 3, Smoke::mf_static, 291, 6},	//2885 Plasma::View::trUtf8(const char*, const char*, int)
    {104, 1490, 3, 3, Smoke::mf_virtual, 475, 7},	//2886 Plasma::View::qt_metacall(QMetaObject::Call, int, void**)
    {104, 531, 972, 2, Smoke::mf_ctor, 170, 8},	//2887 Plasma::View::View(Plasma::Containment*, QWidget*)
    {104, 531, 975, 3, Smoke::mf_ctor, 170, 9},	//2888 Plasma::View::View(Plasma::Containment*, int, QWidget*)
    {104, 2153, 7, 1, 0, 0, 10},	//2889 Plasma::View::setWallpaperEnabled(bool)
    {104, 1172, 0, 0, Smoke::mf_const, 384, 11},	//2890 Plasma::View::isWallpaperEnabled() const
    {104, 2012, 370, 2, 0, 0, 12},	//2891 Plasma::View::setScreen(int, int)
    {104, 1632, 0, 0, Smoke::mf_const, 475, 13},	//2892 Plasma::View::screen() const
    {104, 855, 0, 0, Smoke::mf_const, 475, 14},	//2893 Plasma::View::desktop() const
    {104, 917, 0, 0, Smoke::mf_const, 475, 15},	//2894 Plasma::View::effectiveDesktop() const
    {104, 770, 0, 0, Smoke::mf_const, 67, 16},	//2895 Plasma::View::containment() const
    {104, 2256, 410, 3, 0, 67, 17},	//2896 Plasma::View::swapContainment(Plasma::Containment*, const QString&, const QList<QVariant>&)
    {104, 2256, 113, 2, 0, 67, 18},	//2897 Plasma::View::swapContainment(const QString&, const QList<QVariant>&)
    {104, 2108, 7, 1, 0, 0, 19},	//2898 Plasma::View::setTrackContainmentChanges(bool)
    {104, 2320, 0, 0, 0, 384, 20},	//2899 Plasma::View::trackContainmentChanges()
    {104, 2309, 555, 1, Smoke::mf_static, 170, 21},	//2900 Plasma::View::topLevelViewAt(const QPoint&)
    {104, 1082, 0, 0, Smoke::mf_const, 475, 22},	//2901 Plasma::View::id() const
    {104, 1629, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 23},	//2902 Plasma::View::sceneRectAboutToChange()
    {104, 1630, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 24},	//2903 Plasma::View::sceneRectChanged()
    {104, 1326, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 25},	//2904 Plasma::View::lostContainment()
    {104, 1735, 101, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 26},	//2905 Plasma::View::setContainment(Plasma::Containment*)
    {104, 743, 0, 0, Smoke::mf_const|Smoke::mf_protected, 6, 27},	//2906 Plasma::View::config() const
    {104, 746, 0, 0, Smoke::mf_const|Smoke::mf_protected, 0, 28},	//2907 Plasma::View::configNeedsSaving() const
    {104, 2312, 1, 1, Smoke::mf_static, 291, 29},	//2908 Plasma::View::tr(const char*)
    {104, 2316, 1, 1, Smoke::mf_static, 291, 30},	//2909 Plasma::View::trUtf8(const char*)
    {104, 531, 101, 1, Smoke::mf_ctor, 170, 31},	//2910 Plasma::View::View(Plasma::Containment*)
    {104, 531, 979, 2, Smoke::mf_ctor, 170, 32},	//2911 Plasma::View::View(Plasma::Containment*, int)
    {104, 2012, 129, 1, 0, 0, 33},	//2912 Plasma::View::setScreen(int)
    {104, 2256, 424, 2, 0, 67, 34},	//2913 Plasma::View::swapContainment(Plasma::Containment*, const QString&)
    {104, 2256, 89, 1, 0, 67, 35},	//2914 Plasma::View::swapContainment(const QString&)
    {104, 2231, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 439, 36},	//2915 Plasma::View::staticMetaObject() const
    {104, 2486, 0, 0, Smoke::mf_dtor, 0, 37 },	//2916 Plasma::View::~View()
    {105, 1356, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 440, 1},	//2917 Plasma::Wallpaper::metaObject() const
    {105, 1492, 1, 1, Smoke::mf_virtual, 484, 2},	//2918 Plasma::Wallpaper::qt_metacast(const char*)
    {105, 2312, 43, 2, Smoke::mf_static, 291, 3},	//2919 Plasma::Wallpaper::tr(const char*, const char*)
    {105, 2316, 43, 2, Smoke::mf_static, 291, 4},	//2920 Plasma::Wallpaper::trUtf8(const char*, const char*)
    {105, 2312, 46, 3, Smoke::mf_static, 291, 5},	//2921 Plasma::Wallpaper::tr(const char*, const char*, int)
    {105, 2316, 46, 3, Smoke::mf_static, 291, 6},	//2922 Plasma::Wallpaper::trUtf8(const char*, const char*, int)
    {105, 1490, 3, 3, Smoke::mf_virtual, 475, 7},	//2923 Plasma::Wallpaper::qt_metacall(QMetaObject::Call, int, void**)
    {105, 542, 97, 1, Smoke::mf_ctor, 171, 8},	//2924 Plasma::Wallpaper::Wallpaper(QObject*)
    {105, 2120, 246, 1, 0, 0, 9},	//2925 Plasma::Wallpaper::setUrls(const KUrl::List&)
    {105, 1281, 89, 1, Smoke::mf_static, 240, 10},	//2926 Plasma::Wallpaper::listWallpaperInfo(const QString&)
    {105, 1283, 77, 2, Smoke::mf_static, 240, 11},	//2927 Plasma::Wallpaper::listWallpaperInfoForMimetype(const QString&, const QString&)
    {105, 1286, 113, 2, Smoke::mf_static, 171, 12},	//2928 Plasma::Wallpaper::load(const QString&, const QList<QVariant>&)
    {105, 1286, 982, 2, Smoke::mf_static, 171, 13},	//2929 Plasma::Wallpaper::load(const KPluginInfo&, const QList<QVariant>&)
    {105, 1420, 985, 1, Smoke::mf_static, 19, 14},	//2930 Plasma::Wallpaper::packageStructure(Plasma::Wallpaper*)
    {105, 1391, 0, 0, Smoke::mf_const|Smoke::mf_property, 291, 15},	//2931 Plasma::Wallpaper::name() const
    {105, 1419, 0, 0, Smoke::mf_const, 407, 16},	//2932 Plasma::Wallpaper::package() const
    {105, 1463, 0, 0, Smoke::mf_const|Smoke::mf_property, 291, 17},	//2933 Plasma::Wallpaper::pluginName() const
    {105, 1080, 0, 0, Smoke::mf_const|Smoke::mf_property, 291, 18},	//2934 Plasma::Wallpaper::icon() const
    {105, 1574, 0, 0, Smoke::mf_const|Smoke::mf_property, 15, 19},	//2935 Plasma::Wallpaper::renderingMode() const
    {105, 2250, 89, 1, Smoke::mf_const, 384, 20},	//2936 Plasma::Wallpaper::supportsMimetype(const QString&) const
    {105, 1992, 89, 1, 0, 0, 21},	//2937 Plasma::Wallpaper::setRenderingMode(const QString&)
    {105, 1275, 0, 0, Smoke::mf_const|Smoke::mf_property, 241, 22},	//2938 Plasma::Wallpaper::listRenderingModes() const
    {105, 1141, 0, 0, Smoke::mf_const, 384, 23},	//2939 Plasma::Wallpaper::isInitialized() const
    {105, 709, 0, 0, Smoke::mf_const|Smoke::mf_property, 281, 24},	//2940 Plasma::Wallpaper::boundingRect() const
    {105, 1708, 651, 1, Smoke::mf_property, 0, 25},	//2941 Plasma::Wallpaper::setBoundingRect(const QRectF&)
    {105, 1425, 619, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 26},	//2942 Plasma::Wallpaper::paint(QPainter*, const QRectF&) [pure virtual]
    {105, 1595, 111, 1, 0, 0, 27},	//2943 Plasma::Wallpaper::restore(const KConfigGroup&)
    {105, 1613, 178, 1, Smoke::mf_virtual, 0, 28},	//2944 Plasma::Wallpaper::save(KConfigGroup&)
    {105, 810, 57, 1, Smoke::mf_virtual, 307, 29},	//2945 Plasma::Wallpaper::createConfigurationInterface(QWidget*)
    {105, 1373, 278, 1, Smoke::mf_virtual, 0, 30},	//2946 Plasma::Wallpaper::mouseMoveEvent(QGraphicsSceneMouseEvent*)
    {105, 1375, 278, 1, Smoke::mf_virtual, 0, 31},	//2947 Plasma::Wallpaper::mousePressEvent(QGraphicsSceneMouseEvent*)
    {105, 1377, 278, 1, Smoke::mf_virtual, 0, 32},	//2948 Plasma::Wallpaper::mouseReleaseEvent(QGraphicsSceneMouseEvent*)
    {105, 2397, 398, 1, Smoke::mf_virtual, 0, 33},	//2949 Plasma::Wallpaper::wheelEvent(QGraphicsSceneWheelEvent*)
    {105, 844, 89, 1, Smoke::mf_const, 79, 34},	//2950 Plasma::Wallpaper::dataEngine(const QString&) const
    {105, 750, 0, 0, Smoke::mf_const, 384, 35},	//2951 Plasma::Wallpaper::configurationRequired() const
    {105, 1168, 0, 0, Smoke::mf_const|Smoke::mf_property, 384, 36},	//2952 Plasma::Wallpaper::isUsingRenderingCache() const
    {105, 2002, 987, 1, Smoke::mf_property, 0, 37},	//2953 Plasma::Wallpaper::setResizeMethodHint(Plasma::Wallpaper::ResizeMethod)
    {105, 1594, 0, 0, Smoke::mf_const|Smoke::mf_property, 172, 38},	//2954 Plasma::Wallpaper::resizeMethodHint() const
    {105, 2082, 603, 1, Smoke::mf_property, 0, 39},	//2955 Plasma::Wallpaper::setTargetSizeHint(const QSizeF&)
    {105, 2278, 0, 0, Smoke::mf_const|Smoke::mf_property, 289, 40},	//2956 Plasma::Wallpaper::targetSizeHint() const
    {105, 801, 0, 0, Smoke::mf_const, 253, 41},	//2957 Plasma::Wallpaper::contextualActions() const
    {105, 1151, 0, 0, Smoke::mf_const|Smoke::mf_property, 384, 42},	//2958 Plasma::Wallpaper::isPreviewing() const
    {105, 1978, 7, 1, Smoke::mf_property, 0, 43},	//2959 Plasma::Wallpaper::setPreviewing(bool)
    {105, 1394, 0, 0, Smoke::mf_const, 384, 44},	//2960 Plasma::Wallpaper::needsPreviewDuringConfiguration() const
    {105, 2337, 651, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 45},	//2961 Plasma::Wallpaper::update(const QRectF&)
    {105, 752, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 46},	//2962 Plasma::Wallpaper::configureRequested()
    {105, 750, 7, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 47},	//2963 Plasma::Wallpaper::configurationRequired(bool)
    {105, 746, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 48},	//2964 Plasma::Wallpaper::configNeedsSaving()
    {105, 1571, 631, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 49},	//2965 Plasma::Wallpaper::renderCompleted(const QImage&)
    {105, 2357, 119, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 50},	//2966 Plasma::Wallpaper::urlDropped(const KUrl&)
    {105, 1573, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 51},	//2967 Plasma::Wallpaper::renderHintsChanged()
    {105, 642, 246, 1, Smoke::mf_protected|Smoke::mf_slot, 0, 52},	//2968 Plasma::Wallpaper::addUrls(const KUrl::List&)
    {105, 542, 70, 2, Smoke::mf_ctor|Smoke::mf_protected, 171, 53},	//2969 Plasma::Wallpaper::Wallpaper(QObject*, const QList<QVariant>&)
    {105, 1096, 111, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 54},	//2970 Plasma::Wallpaper::init(const KConfigGroup&)
    {105, 1732, 265, 2, Smoke::mf_protected, 0, 55},	//2971 Plasma::Wallpaper::setConfigurationRequired(bool, const QString&)
    {105, 1564, 989, 4, Smoke::mf_protected, 0, 56},	//2972 Plasma::Wallpaper::render(const QString&, const QSize&, Plasma::Wallpaper::ResizeMethod, const QColor&)
    {105, 1564, 994, 4, Smoke::mf_protected, 0, 57},	//2973 Plasma::Wallpaper::render(const QImage&, const QSize&, Plasma::Wallpaper::ResizeMethod, const QColor&)
    {105, 2128, 7, 1, Smoke::mf_protected|Smoke::mf_property, 0, 58},	//2974 Plasma::Wallpaper::setUsingRenderingCache(bool)
    {105, 981, 999, 3, Smoke::mf_protected, 384, 59},	//2975 Plasma::Wallpaper::findInCache(const QString&, QImage&, unsigned int)
    {105, 1107, 1003, 2, Smoke::mf_protected, 0, 60},	//2976 Plasma::Wallpaper::insertIntoCache(const QString&, const QImage&)
    {105, 1753, 1006, 1, Smoke::mf_protected, 0, 61},	//2977 Plasma::Wallpaper::setContextualActions(const QList<QAction*>&)
    {105, 1976, 109, 1, Smoke::mf_protected, 0, 62},	//2978 Plasma::Wallpaper::setPreviewDuringConfiguration(const bool)
    {105, 2312, 1, 1, Smoke::mf_static, 291, 63},	//2979 Plasma::Wallpaper::tr(const char*)
    {105, 2316, 1, 1, Smoke::mf_static, 291, 64},	//2980 Plasma::Wallpaper::trUtf8(const char*)
    {105, 542, 0, 0, Smoke::mf_ctor, 171, 65},	//2981 Plasma::Wallpaper::Wallpaper()
    {105, 1281, 0, 0, Smoke::mf_static, 240, 66},	//2982 Plasma::Wallpaper::listWallpaperInfo()
    {105, 1283, 89, 1, Smoke::mf_static, 240, 67},	//2983 Plasma::Wallpaper::listWallpaperInfoForMimetype(const QString&)
    {105, 1286, 89, 1, Smoke::mf_static, 171, 68},	//2984 Plasma::Wallpaper::load(const QString&)
    {105, 1286, 210, 1, Smoke::mf_static, 171, 69},	//2985 Plasma::Wallpaper::load(const KPluginInfo&)
    {105, 1420, 0, 0, Smoke::mf_static, 19, 70},	//2986 Plasma::Wallpaper::packageStructure()
    {105, 1732, 7, 1, Smoke::mf_protected, 0, 71},	//2987 Plasma::Wallpaper::setConfigurationRequired(bool)
    {105, 1564, 1008, 2, Smoke::mf_protected, 0, 72},	//2988 Plasma::Wallpaper::render(const QString&, const QSize&)
    {105, 1564, 1011, 3, Smoke::mf_protected, 0, 73},	//2989 Plasma::Wallpaper::render(const QString&, const QSize&, Plasma::Wallpaper::ResizeMethod)
    {105, 1564, 1015, 2, Smoke::mf_protected, 0, 74},	//2990 Plasma::Wallpaper::render(const QImage&, const QSize&)
    {105, 1564, 1018, 3, Smoke::mf_protected, 0, 75},	//2991 Plasma::Wallpaper::render(const QImage&, const QSize&, Plasma::Wallpaper::ResizeMethod)
    {105, 981, 1022, 2, Smoke::mf_protected, 384, 76},	//2992 Plasma::Wallpaper::findInCache(const QString&, QImage&)
    {105, 2231, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 439, 77},	//2993 Plasma::Wallpaper::staticMetaObject() const
    {105, 794, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 254, 78},	//2994 Plasma::Wallpaper::contextActions() const
    {105, 1751, 1006, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 79},	//2995 Plasma::Wallpaper::setContextActions(const QList<QAction*>&)
    {105, 423, 0, 0, Smoke::mf_static|Smoke::mf_enum, 172, 80},	//2996 Plasma::Wallpaper::ScaledResize (enum)
    {105, 85, 0, 0, Smoke::mf_static|Smoke::mf_enum, 172, 81},	//2997 Plasma::Wallpaper::CenteredResize (enum)
    {105, 422, 0, 0, Smoke::mf_static|Smoke::mf_enum, 172, 82},	//2998 Plasma::Wallpaper::ScaledAndCroppedResize (enum)
    {105, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 172, 83},	//2999 Plasma::Wallpaper::TiledResize (enum)
    {105, 84, 0, 0, Smoke::mf_static|Smoke::mf_enum, 172, 84},	//3000 Plasma::Wallpaper::CenterTiledResize (enum)
    {105, 308, 0, 0, Smoke::mf_static|Smoke::mf_enum, 172, 85},	//3001 Plasma::Wallpaper::MaxpectResize (enum)
    {105, 291, 0, 0, Smoke::mf_static|Smoke::mf_enum, 172, 86},	//3002 Plasma::Wallpaper::LastResizeMethod (enum)
    {105, 2487, 0, 0, Smoke::mf_dtor, 0, 87 },	//3003 Plasma::Wallpaper::~Wallpaper()
    {106, 1356, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 440, 1},	//3004 Plasma::WallpaperScript::metaObject() const
    {106, 1492, 1, 1, Smoke::mf_virtual, 484, 2},	//3005 Plasma::WallpaperScript::qt_metacast(const char*)
    {106, 2312, 43, 2, Smoke::mf_static, 291, 3},	//3006 Plasma::WallpaperScript::tr(const char*, const char*)
    {106, 2316, 43, 2, Smoke::mf_static, 291, 4},	//3007 Plasma::WallpaperScript::trUtf8(const char*, const char*)
    {106, 2312, 46, 3, Smoke::mf_static, 291, 5},	//3008 Plasma::WallpaperScript::tr(const char*, const char*, int)
    {106, 2316, 46, 3, Smoke::mf_static, 291, 6},	//3009 Plasma::WallpaperScript::trUtf8(const char*, const char*, int)
    {106, 1490, 3, 3, Smoke::mf_virtual, 475, 7},	//3010 Plasma::WallpaperScript::qt_metacall(QMetaObject::Call, int, void**)
    {106, 546, 97, 1, Smoke::mf_ctor, 173, 8},	//3011 Plasma::WallpaperScript::WallpaperScript(QObject*)
    {106, 2149, 985, 1, 0, 0, 9},	//3012 Plasma::WallpaperScript::setWallpaper(Plasma::Wallpaper*)
    {106, 2393, 0, 0, Smoke::mf_const, 171, 10},	//3013 Plasma::WallpaperScript::wallpaper() const
    {106, 1101, 111, 1, Smoke::mf_virtual, 0, 11},	//3014 Plasma::WallpaperScript::initWallpaper(const KConfigGroup&)
    {106, 1425, 619, 2, Smoke::mf_virtual, 0, 12},	//3015 Plasma::WallpaperScript::paint(QPainter*, const QRectF&)
    {106, 1613, 178, 1, Smoke::mf_virtual, 0, 13},	//3016 Plasma::WallpaperScript::save(KConfigGroup&)
    {106, 810, 57, 1, Smoke::mf_virtual, 307, 14},	//3017 Plasma::WallpaperScript::createConfigurationInterface(QWidget*)
    {106, 1373, 278, 1, Smoke::mf_virtual, 0, 15},	//3018 Plasma::WallpaperScript::mouseMoveEvent(QGraphicsSceneMouseEvent*)
    {106, 1375, 278, 1, Smoke::mf_virtual, 0, 16},	//3019 Plasma::WallpaperScript::mousePressEvent(QGraphicsSceneMouseEvent*)
    {106, 1377, 278, 1, Smoke::mf_virtual, 0, 17},	//3020 Plasma::WallpaperScript::mouseReleaseEvent(QGraphicsSceneMouseEvent*)
    {106, 2397, 398, 1, Smoke::mf_virtual, 0, 18},	//3021 Plasma::WallpaperScript::wheelEvent(QGraphicsSceneWheelEvent*)
    {106, 2120, 1025, 1, 0, 0, 19},	//3022 Plasma::WallpaperScript::setUrls(const KUrl::List)
    {106, 1329, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 291, 20},	//3023 Plasma::WallpaperScript::mainScript() const
    {106, 1419, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 407, 21},	//3024 Plasma::WallpaperScript::package() const
    {106, 854, 0, 0, Smoke::mf_const|Smoke::mf_protected, 12, 22},	//3025 Plasma::WallpaperScript::description() const
    {106, 1141, 0, 0, Smoke::mf_const|Smoke::mf_protected, 384, 23},	//3026 Plasma::WallpaperScript::isInitialized() const
    {106, 709, 0, 0, Smoke::mf_const|Smoke::mf_protected, 281, 24},	//3027 Plasma::WallpaperScript::boundingRect() const
    {106, 844, 89, 1, Smoke::mf_const|Smoke::mf_protected, 79, 25},	//3028 Plasma::WallpaperScript::dataEngine(const QString&) const
    {106, 2002, 987, 1, Smoke::mf_protected, 0, 26},	//3029 Plasma::WallpaperScript::setResizeMethodHint(Plasma::Wallpaper::ResizeMethod)
    {106, 2082, 603, 1, Smoke::mf_protected, 0, 27},	//3030 Plasma::WallpaperScript::setTargetSizeHint(const QSizeF&)
    {106, 1732, 265, 2, Smoke::mf_protected, 0, 28},	//3031 Plasma::WallpaperScript::setConfigurationRequired(bool, const QString&)
    {106, 1564, 989, 4, Smoke::mf_protected, 0, 29},	//3032 Plasma::WallpaperScript::render(const QString&, const QSize&, Plasma::Wallpaper::ResizeMethod, const QColor&)
    {106, 2128, 7, 1, Smoke::mf_protected, 0, 30},	//3033 Plasma::WallpaperScript::setUsingRenderingCache(bool)
    {106, 981, 999, 3, Smoke::mf_protected, 384, 31},	//3034 Plasma::WallpaperScript::findInCache(const QString&, QImage&, unsigned int)
    {106, 1107, 1003, 2, Smoke::mf_protected, 0, 32},	//3035 Plasma::WallpaperScript::insertIntoCache(const QString&, const QImage&)
    {106, 1753, 1006, 1, Smoke::mf_protected, 0, 33},	//3036 Plasma::WallpaperScript::setContextualActions(const QList<QAction*>&)
    {106, 2337, 651, 1, Smoke::mf_protected, 0, 34},	//3037 Plasma::WallpaperScript::update(const QRectF&)
    {106, 746, 0, 0, Smoke::mf_protected, 0, 35},	//3038 Plasma::WallpaperScript::configNeedsSaving()
    {106, 1571, 631, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 36},	//3039 Plasma::WallpaperScript::renderCompleted(const QImage&)
    {106, 2357, 119, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 37},	//3040 Plasma::WallpaperScript::urlDropped(const KUrl&)
    {106, 2312, 1, 1, Smoke::mf_static, 291, 38},	//3041 Plasma::WallpaperScript::tr(const char*)
    {106, 2316, 1, 1, Smoke::mf_static, 291, 39},	//3042 Plasma::WallpaperScript::trUtf8(const char*)
    {106, 546, 0, 0, Smoke::mf_ctor, 173, 40},	//3043 Plasma::WallpaperScript::WallpaperScript()
    {106, 1732, 7, 1, Smoke::mf_protected, 0, 41},	//3044 Plasma::WallpaperScript::setConfigurationRequired(bool)
    {106, 1564, 1008, 2, Smoke::mf_protected, 0, 42},	//3045 Plasma::WallpaperScript::render(const QString&, const QSize&)
    {106, 1564, 1011, 3, Smoke::mf_protected, 0, 43},	//3046 Plasma::WallpaperScript::render(const QString&, const QSize&, Plasma::Wallpaper::ResizeMethod)
    {106, 981, 1022, 2, Smoke::mf_protected, 384, 44},	//3047 Plasma::WallpaperScript::findInCache(const QString&, QImage&)
    {106, 2231, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 439, 45},	//3048 Plasma::WallpaperScript::staticMetaObject() const
    {106, 2488, 0, 0, Smoke::mf_dtor, 0, 46 },	//3049 Plasma::WallpaperScript::~WallpaperScript()
    {107, 1356, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 440, 1},	//3050 Plasma::WebView::metaObject() const
    {107, 1492, 1, 1, Smoke::mf_virtual, 484, 2},	//3051 Plasma::WebView::qt_metacast(const char*)
    {107, 2312, 43, 2, Smoke::mf_static, 291, 3},	//3052 Plasma::WebView::tr(const char*, const char*)
    {107, 2316, 43, 2, Smoke::mf_static, 291, 4},	//3053 Plasma::WebView::trUtf8(const char*, const char*)
    {107, 2312, 46, 3, Smoke::mf_static, 291, 5},	//3054 Plasma::WebView::tr(const char*, const char*, int)
    {107, 2316, 46, 3, Smoke::mf_static, 291, 6},	//3055 Plasma::WebView::trUtf8(const char*, const char*, int)
    {107, 1490, 3, 3, Smoke::mf_virtual, 475, 7},	//3056 Plasma::WebView::qt_metacall(QMetaObject::Call, int, void**)
    {107, 549, 170, 1, Smoke::mf_ctor, 174, 8},	//3057 Plasma::WebView::WebView(QGraphicsItem*)
    {107, 2117, 119, 1, Smoke::mf_property, 0, 9},	//3058 Plasma::WebView::setUrl(const KUrl&)
    {107, 2354, 0, 0, Smoke::mf_const|Smoke::mf_property, 24, 10},	//3059 Plasma::WebView::url() const
    {107, 1859, 1027, 2, 0, 0, 11},	//3060 Plasma::WebView::setHtml(const QByteArray&, const KUrl&)
    {107, 1079, 0, 0, Smoke::mf_const|Smoke::mf_property, 291, 12},	//3061 Plasma::WebView::html() const
    {107, 1859, 1030, 2, 0, 0, 13},	//3062 Plasma::WebView::setHtml(const QString&, const KUrl&)
    {107, 1024, 0, 0, Smoke::mf_const, 281, 14},	//3063 Plasma::WebView::geometry() const
    {107, 792, 0, 0, Smoke::mf_const|Smoke::mf_property, 289, 15},	//3064 Plasma::WebView::contentsSize() const
    {107, 2015, 384, 1, Smoke::mf_property, 0, 16},	//3065 Plasma::WebView::setScrollPosition(const QPointF&)
    {107, 1641, 0, 0, Smoke::mf_const|Smoke::mf_property, 278, 17},	//3066 Plasma::WebView::scrollPosition() const
    {107, 2386, 0, 0, Smoke::mf_const|Smoke::mf_property, 281, 18},	//3067 Plasma::WebView::viewportGeometry() const
    {107, 2414, 0, 0, Smoke::mf_const, 472, 19},	//3068 Plasma::WebView::zoomFactor() const
    {107, 2165, 642, 1, 0, 0, 20},	//3069 Plasma::WebView::setZoomFactor(const double)
    {107, 1947, 1033, 1, 0, 0, 21},	//3070 Plasma::WebView::setPage(QWebPage*)
    {107, 1423, 0, 0, Smoke::mf_const, 305, 22},	//3071 Plasma::WebView::page() const
    {107, 1328, 0, 0, Smoke::mf_const, 304, 23},	//3072 Plasma::WebView::mainFrame() const
    {107, 1793, 7, 1, Smoke::mf_property, 0, 24},	//3073 Plasma::WebView::setDragToScroll(bool)
    {107, 887, 0, 0, Smoke::mf_property, 384, 25},	//3074 Plasma::WebView::dragToScroll()
    {107, 1834, 651, 1, Smoke::mf_virtual, 0, 26},	//3075 Plasma::WebView::setGeometry(const QRectF&)
    {107, 700, 0, 0, Smoke::mf_slot, 0, 27},	//3076 Plasma::WebView::back()
    {107, 1018, 0, 0, Smoke::mf_slot, 0, 28},	//3077 Plasma::WebView::forward()
    {107, 1523, 0, 0, Smoke::mf_slot, 0, 29},	//3078 Plasma::WebView::reload()
    {107, 2233, 0, 0, Smoke::mf_slot, 0, 30},	//3079 Plasma::WebView::stop()
    {107, 1312, 129, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 31},	//3080 Plasma::WebView::loadProgress(int)
    {107, 1304, 7, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 32},	//3081 Plasma::WebView::loadFinished(bool)
    {107, 2355, 195, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 33},	//3082 Plasma::WebView::urlChanged(const QUrl&)
    {107, 1425, 216, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 34},	//3083 Plasma::WebView::paint(QPainter*, const QStyleOptionGraphicsItem*, QWidget*)
    {107, 1373, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 35},	//3084 Plasma::WebView::mouseMoveEvent(QGraphicsSceneMouseEvent*)
    {107, 1077, 290, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 36},	//3085 Plasma::WebView::hoverMoveEvent(QGraphicsSceneHoverEvent*)
    {107, 1375, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 37},	//3086 Plasma::WebView::mousePressEvent(QGraphicsSceneMouseEvent*)
    {107, 1371, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 38},	//3087 Plasma::WebView::mouseDoubleClickEvent(QGraphicsSceneMouseEvent*)
    {107, 1377, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 39},	//3088 Plasma::WebView::mouseReleaseEvent(QGraphicsSceneMouseEvent*)
    {107, 799, 394, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 40},	//3089 Plasma::WebView::contextMenuEvent(QGraphicsSceneContextMenuEvent*)
    {107, 2397, 398, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 41},	//3090 Plasma::WebView::wheelEvent(QGraphicsSceneWheelEvent*)
    {107, 1203, 396, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 42},	//3091 Plasma::WebView::keyPressEvent(QKeyEvent*)
    {107, 1205, 396, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 43},	//3092 Plasma::WebView::keyReleaseEvent(QKeyEvent*)
    {107, 1003, 280, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 44},	//3093 Plasma::WebView::focusInEvent(QFocusEvent*)
    {107, 1007, 280, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 45},	//3094 Plasma::WebView::focusOutEvent(QFocusEvent*)
    {107, 881, 400, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 46},	//3095 Plasma::WebView::dragEnterEvent(QGraphicsSceneDragDropEvent*)
    {107, 883, 400, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 47},	//3096 Plasma::WebView::dragLeaveEvent(QGraphicsSceneDragDropEvent*)
    {107, 885, 400, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 48},	//3097 Plasma::WebView::dragMoveEvent(QGraphicsSceneDragDropEvent*)
    {107, 911, 400, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 49},	//3098 Plasma::WebView::dropEvent(QGraphicsSceneDragDropEvent*)
    {107, 1184, 284, 2, Smoke::mf_protected|Smoke::mf_virtual, 302, 50},	//3099 Plasma::WebView::itemChange(QGraphicsItem::GraphicsItemChange, const QVariant&)
    {107, 2206, 287, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 289, 51},	//3100 Plasma::WebView::sizeHint(Qt::SizeHint, const QSizeF&) const
    {107, 2312, 1, 1, Smoke::mf_static, 291, 52},	//3101 Plasma::WebView::tr(const char*)
    {107, 2316, 1, 1, Smoke::mf_static, 291, 53},	//3102 Plasma::WebView::trUtf8(const char*)
    {107, 549, 0, 0, Smoke::mf_ctor, 174, 54},	//3103 Plasma::WebView::WebView()
    {107, 1859, 1035, 1, 0, 0, 55},	//3104 Plasma::WebView::setHtml(const QByteArray&)
    {107, 1859, 89, 1, 0, 0, 56},	//3105 Plasma::WebView::setHtml(const QString&)
    {107, 1425, 328, 2, Smoke::mf_protected, 0, 57},	//3106 Plasma::WebView::paint(QPainter*, const QStyleOptionGraphicsItem*)
    {107, 2231, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 439, 58},	//3107 Plasma::WebView::staticMetaObject() const
    {107, 2489, 0, 0, Smoke::mf_dtor, 0, 59 },	//3108 Plasma::WebView::~WebView()
    {108, 957, 331, 1, Smoke::mf_protected|Smoke::mf_virtual, 384, 0},	//3109 QAbstractAnimation::event(QEvent*)
    {108, 2353, 764, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3110 QAbstractAnimation::updateState(QAbstractAnimation::State, QAbstractAnimation::State)
    {108, 2345, 1037, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3111 QAbstractAnimation::updateDirection(QAbstractAnimation::Direction)
    {108, 187, 0, 0, Smoke::mf_static|Smoke::mf_enum, 178, 4},	//3112 QAbstractAnimation::Forward (enum)
    {108, 55, 0, 0, Smoke::mf_static|Smoke::mf_enum, 178, 5},	//3113 QAbstractAnimation::Backward (enum)
    {108, 465, 0, 0, Smoke::mf_static|Smoke::mf_enum, 179, 6},	//3114 QAbstractAnimation::Stopped (enum)
    {108, 366, 0, 0, Smoke::mf_static|Smoke::mf_enum, 179, 7},	//3115 QAbstractAnimation::Paused (enum)
    {108, 421, 0, 0, Smoke::mf_static|Smoke::mf_enum, 179, 8},	//3116 QAbstractAnimation::Running (enum)
    {109, 814, 1039, 3, Smoke::mf_const|Smoke::mf_virtual, 307, 0},	//3117 QAbstractItemDelegate::createEditor(QWidget*, const QStyleOptionViewItem&, const QModelIndex&) const
    {109, 1803, 1043, 2, Smoke::mf_const|Smoke::mf_virtual, 0, 0},	//3118 QAbstractItemDelegate::setEditorData(QWidget*, const QModelIndex&) const
    {109, 1926, 1046, 3, Smoke::mf_const|Smoke::mf_virtual, 0, 0},	//3119 QAbstractItemDelegate::setModelData(QWidget*, QAbstractItemModel*, const QModelIndex&) const
    {109, 2346, 1039, 3, Smoke::mf_const|Smoke::mf_virtual, 0, 0},	//3120 QAbstractItemDelegate::updateEditorGeometry(QWidget*, const QStyleOptionViewItem&, const QModelIndex&) const
    {109, 916, 1050, 4, Smoke::mf_virtual, 384, 0},	//3121 QAbstractItemDelegate::editorEvent(QEvent*, QAbstractItemModel*, const QStyleOptionViewItem&, const QModelIndex&)
    {111, 1369, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 288, 0},	//3122 QAbstractScrollArea::minimumSizeHint() const
    {130, 715, 331, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3123 QFrame::changeEvent(QEvent*)
    {131, 387, 0, 0, Smoke::mf_static|Smoke::mf_enum, 477, 1},	//3124 QGlobalSpace::Q_COMPLEX_TYPE (enum)
    {131, 390, 0, 0, Smoke::mf_static|Smoke::mf_enum, 477, 2},	//3125 QGlobalSpace::Q_PRIMITIVE_TYPE (enum)
    {131, 391, 0, 0, Smoke::mf_static|Smoke::mf_enum, 477, 3},	//3126 QGlobalSpace::Q_STATIC_TYPE (enum)
    {131, 389, 0, 0, Smoke::mf_static|Smoke::mf_enum, 477, 4},	//3127 QGlobalSpace::Q_MOVABLE_TYPE (enum)
    {131, 388, 0, 0, Smoke::mf_static|Smoke::mf_enum, 477, 5},	//3128 QGlobalSpace::Q_DUMMY_TYPE (enum)
    {132, 644, 129, 1, Smoke::mf_virtual, 0, 0},	//3129 QGraphicsItem::advance(int)
    {132, 786, 384, 1, Smoke::mf_const|Smoke::mf_virtual, 384, 0},	//3130 QGraphicsItem::contains(const QPointF&) const
    {132, 738, 1055, 2, Smoke::mf_const|Smoke::mf_virtual, 384, 0},	//3131 QGraphicsItem::collidesWithItem(const QGraphicsItem*, Qt::ItemSelectionMode) const
    {132, 739, 1058, 2, Smoke::mf_const|Smoke::mf_virtual, 384, 0},	//3132 QGraphicsItem::collidesWithPath(const QPainterPath&, Qt::ItemSelectionMode) const
    {132, 1144, 11, 1, Smoke::mf_const|Smoke::mf_virtual, 384, 0},	//3133 QGraphicsItem::isObscuredBy(const QGraphicsItem*) const
    {132, 1403, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 274, 0},	//3134 QGraphicsItem::opaqueArea() const
    {132, 1627, 275, 2, Smoke::mf_protected|Smoke::mf_virtual, 384, 0},	//3135 QGraphicsItem::sceneEventFilter(QGraphicsItem*, QEvent*)
    {132, 799, 394, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3136 QGraphicsItem::contextMenuEvent(QGraphicsSceneContextMenuEvent*)
    {132, 881, 400, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3137 QGraphicsItem::dragEnterEvent(QGraphicsSceneDragDropEvent*)
    {132, 883, 400, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3138 QGraphicsItem::dragLeaveEvent(QGraphicsSceneDragDropEvent*)
    {132, 885, 400, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3139 QGraphicsItem::dragMoveEvent(QGraphicsSceneDragDropEvent*)
    {132, 911, 400, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3140 QGraphicsItem::dropEvent(QGraphicsSceneDragDropEvent*)
    {132, 1073, 290, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3141 QGraphicsItem::hoverEnterEvent(QGraphicsSceneHoverEvent*)
    {132, 1203, 396, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3142 QGraphicsItem::keyPressEvent(QKeyEvent*)
    {132, 1205, 396, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3143 QGraphicsItem::keyReleaseEvent(QKeyEvent*)
    {132, 1375, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3144 QGraphicsItem::mousePressEvent(QGraphicsSceneMouseEvent*)
    {132, 1373, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3145 QGraphicsItem::mouseMoveEvent(QGraphicsSceneMouseEvent*)
    {132, 1377, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3146 QGraphicsItem::mouseReleaseEvent(QGraphicsSceneMouseEvent*)
    {132, 1371, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3147 QGraphicsItem::mouseDoubleClickEvent(QGraphicsSceneMouseEvent*)
    {132, 2397, 398, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3148 QGraphicsItem::wheelEvent(QGraphicsSceneWheelEvent*)
    {132, 1105, 1061, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3149 QGraphicsItem::inputMethodEvent(QInputMethodEvent*)
    {132, 1106, 1063, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 302, 0},	//3150 QGraphicsItem::inputMethodQuery(Qt::InputMethodQuery) const
    {132, 2249, 1065, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 384, 0},	//3151 QGraphicsItem::supportsExtension(QGraphicsItem::Extension) const
    {132, 1819, 1067, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3152 QGraphicsItem::setExtension(QGraphicsItem::Extension, const QVariant&)
    {132, 974, 737, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 302, 0},	//3153 QGraphicsItem::extension(const QVariant&) const
    {132, 257, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 26},	//3154 QGraphicsItem::ItemPositionChange (enum)
    {132, 251, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 27},	//3155 QGraphicsItem::ItemMatrixChange (enum)
    {132, 280, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 28},	//3156 QGraphicsItem::ItemVisibleChange (enum)
    {132, 238, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 29},	//3157 QGraphicsItem::ItemEnabledChange (enum)
    {132, 266, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 30},	//3158 QGraphicsItem::ItemSelectedChange (enum)
    {132, 255, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 31},	//3159 QGraphicsItem::ItemParentChange (enum)
    {132, 230, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 32},	//3160 QGraphicsItem::ItemChildAddedChange (enum)
    {132, 231, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 33},	//3161 QGraphicsItem::ItemChildRemovedChange (enum)
    {132, 275, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 34},	//3162 QGraphicsItem::ItemTransformChange (enum)
    {132, 258, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 35},	//3163 QGraphicsItem::ItemPositionHasChanged (enum)
    {132, 276, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 36},	//3164 QGraphicsItem::ItemTransformHasChanged (enum)
    {132, 263, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 37},	//3165 QGraphicsItem::ItemSceneChange (enum)
    {132, 281, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 38},	//3166 QGraphicsItem::ItemVisibleHasChanged (enum)
    {132, 239, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 39},	//3167 QGraphicsItem::ItemEnabledHasChanged (enum)
    {132, 267, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 40},	//3168 QGraphicsItem::ItemSelectedHasChanged (enum)
    {132, 256, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 41},	//3169 QGraphicsItem::ItemParentHasChanged (enum)
    {132, 264, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 42},	//3170 QGraphicsItem::ItemSceneHasChanged (enum)
    {132, 235, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 43},	//3171 QGraphicsItem::ItemCursorChange (enum)
    {132, 236, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 44},	//3172 QGraphicsItem::ItemCursorHasChanged (enum)
    {132, 273, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 45},	//3173 QGraphicsItem::ItemToolTipChange (enum)
    {132, 274, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 46},	//3174 QGraphicsItem::ItemToolTipHasChanged (enum)
    {132, 240, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 47},	//3175 QGraphicsItem::ItemFlagsChange (enum)
    {132, 241, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 48},	//3176 QGraphicsItem::ItemFlagsHaveChanged (enum)
    {132, 282, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 49},	//3177 QGraphicsItem::ItemZValueChange (enum)
    {132, 283, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 50},	//3178 QGraphicsItem::ItemZValueHasChanged (enum)
    {132, 253, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 51},	//3179 QGraphicsItem::ItemOpacityChange (enum)
    {132, 254, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 52},	//3180 QGraphicsItem::ItemOpacityHasChanged (enum)
    {132, 265, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 53},	//3181 QGraphicsItem::ItemScenePositionHasChanged (enum)
    {132, 259, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 54},	//3182 QGraphicsItem::ItemRotationChange (enum)
    {132, 260, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 55},	//3183 QGraphicsItem::ItemRotationHasChanged (enum)
    {132, 261, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 56},	//3184 QGraphicsItem::ItemScaleChange (enum)
    {132, 262, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 57},	//3185 QGraphicsItem::ItemScaleHasChanged (enum)
    {132, 277, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 58},	//3186 QGraphicsItem::ItemTransformOriginPointChange (enum)
    {132, 278, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 59},	//3187 QGraphicsItem::ItemTransformOriginPointHasChanged (enum)
    {132, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 477, 60},	//3188 QGraphicsItem::Type (enum)
    {132, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 477, 61},	//3189 QGraphicsItem::UserType (enum)
    {132, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 214, 62},	//3190 QGraphicsItem::UserExtension (enum)
    {135, 1834, 651, 1, Smoke::mf_virtual, 0, 0},	//3191 QGraphicsProxyWidget::setGeometry(const QRectF&)
    {135, 1425, 216, 3, Smoke::mf_virtual, 0, 0},	//3192 QGraphicsProxyWidget::paint(QPainter*, const QStyleOptionGraphicsItem*, QWidget*)
    {135, 2321, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 475, 0},	//3193 QGraphicsProxyWidget::type() const
    {135, 1184, 284, 2, Smoke::mf_protected|Smoke::mf_virtual, 302, 0},	//3194 QGraphicsProxyWidget::itemChange(QGraphicsItem::GraphicsItemChange, const QVariant&)
    {135, 957, 331, 1, Smoke::mf_protected|Smoke::mf_virtual, 384, 0},	//3195 QGraphicsProxyWidget::event(QEvent*)
    {135, 959, 272, 2, Smoke::mf_protected|Smoke::mf_virtual, 384, 0},	//3196 QGraphicsProxyWidget::eventFilter(QObject*, QEvent*)
    {135, 2185, 324, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3197 QGraphicsProxyWidget::showEvent(QShowEvent*)
    {135, 1064, 326, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3198 QGraphicsProxyWidget::hideEvent(QHideEvent*)
    {135, 799, 394, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3199 QGraphicsProxyWidget::contextMenuEvent(QGraphicsSceneContextMenuEvent*)
    {135, 881, 400, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3200 QGraphicsProxyWidget::dragEnterEvent(QGraphicsSceneDragDropEvent*)
    {135, 883, 400, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3201 QGraphicsProxyWidget::dragLeaveEvent(QGraphicsSceneDragDropEvent*)
    {135, 885, 400, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3202 QGraphicsProxyWidget::dragMoveEvent(QGraphicsSceneDragDropEvent*)
    {135, 911, 400, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3203 QGraphicsProxyWidget::dropEvent(QGraphicsSceneDragDropEvent*)
    {135, 1073, 290, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3204 QGraphicsProxyWidget::hoverEnterEvent(QGraphicsSceneHoverEvent*)
    {135, 1075, 290, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3205 QGraphicsProxyWidget::hoverLeaveEvent(QGraphicsSceneHoverEvent*)
    {135, 1077, 290, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3206 QGraphicsProxyWidget::hoverMoveEvent(QGraphicsSceneHoverEvent*)
    {135, 1037, 331, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3207 QGraphicsProxyWidget::grabMouseEvent(QEvent*)
    {135, 2323, 331, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3208 QGraphicsProxyWidget::ungrabMouseEvent(QEvent*)
    {135, 1373, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3209 QGraphicsProxyWidget::mouseMoveEvent(QGraphicsSceneMouseEvent*)
    {135, 1375, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3210 QGraphicsProxyWidget::mousePressEvent(QGraphicsSceneMouseEvent*)
    {135, 1377, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3211 QGraphicsProxyWidget::mouseReleaseEvent(QGraphicsSceneMouseEvent*)
    {135, 1371, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3212 QGraphicsProxyWidget::mouseDoubleClickEvent(QGraphicsSceneMouseEvent*)
    {135, 2397, 398, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3213 QGraphicsProxyWidget::wheelEvent(QGraphicsSceneWheelEvent*)
    {135, 1203, 396, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3214 QGraphicsProxyWidget::keyPressEvent(QKeyEvent*)
    {135, 1205, 396, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3215 QGraphicsProxyWidget::keyReleaseEvent(QKeyEvent*)
    {135, 1003, 280, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3216 QGraphicsProxyWidget::focusInEvent(QFocusEvent*)
    {135, 1007, 280, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3217 QGraphicsProxyWidget::focusOutEvent(QFocusEvent*)
    {135, 1006, 7, 1, Smoke::mf_protected|Smoke::mf_virtual, 384, 0},	//3218 QGraphicsProxyWidget::focusNextPrevChild(bool)
    {135, 2206, 287, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 289, 0},	//3219 QGraphicsProxyWidget::sizeHint(Qt::SizeHint, const QSizeF&) const
    {135, 1590, 282, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3220 QGraphicsProxyWidget::resizeEvent(QGraphicsSceneResizeEvent*)
    {135, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 477, 31},	//3221 QGraphicsProxyWidget::Type (enum)
    {136, 1106, 1063, 1, Smoke::mf_const|Smoke::mf_virtual, 302, 0},	//3222 QGraphicsScene::inputMethodQuery(Qt::InputMethodQuery) const
    {136, 957, 331, 1, Smoke::mf_protected|Smoke::mf_virtual, 384, 0},	//3223 QGraphicsScene::event(QEvent*)
    {136, 959, 272, 2, Smoke::mf_protected|Smoke::mf_virtual, 384, 0},	//3224 QGraphicsScene::eventFilter(QObject*, QEvent*)
    {136, 799, 394, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3225 QGraphicsScene::contextMenuEvent(QGraphicsSceneContextMenuEvent*)
    {136, 911, 400, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3226 QGraphicsScene::dropEvent(QGraphicsSceneDragDropEvent*)
    {136, 1003, 280, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3227 QGraphicsScene::focusInEvent(QFocusEvent*)
    {136, 1007, 280, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3228 QGraphicsScene::focusOutEvent(QFocusEvent*)
    {136, 1060, 1070, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3229 QGraphicsScene::helpEvent(QGraphicsSceneHelpEvent*)
    {136, 1203, 396, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3230 QGraphicsScene::keyPressEvent(QKeyEvent*)
    {136, 1205, 396, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3231 QGraphicsScene::keyReleaseEvent(QKeyEvent*)
    {136, 1375, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3232 QGraphicsScene::mousePressEvent(QGraphicsSceneMouseEvent*)
    {136, 1373, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3233 QGraphicsScene::mouseMoveEvent(QGraphicsSceneMouseEvent*)
    {136, 1377, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3234 QGraphicsScene::mouseReleaseEvent(QGraphicsSceneMouseEvent*)
    {136, 1371, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3235 QGraphicsScene::mouseDoubleClickEvent(QGraphicsSceneMouseEvent*)
    {136, 2397, 398, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3236 QGraphicsScene::wheelEvent(QGraphicsSceneWheelEvent*)
    {136, 1105, 1061, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3237 QGraphicsScene::inputMethodEvent(QInputMethodEvent*)
    {136, 892, 619, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3238 QGraphicsScene::drawBackground(QPainter*, const QRectF&)
    {136, 894, 619, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3239 QGraphicsScene::drawForeground(QPainter*, const QRectF&)
    {136, 897, 1072, 5, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3240 QGraphicsScene::drawItems(QPainter*, int, QGraphicsItem**, const QStyleOptionGraphicsItem*, QWidget*)
    {145, 2206, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 288, 0},	//3241 QGraphicsView::sizeHint() const
    {145, 1106, 1063, 1, Smoke::mf_const|Smoke::mf_virtual, 302, 0},	//3242 QGraphicsView::inputMethodQuery(Qt::InputMethodQuery) const
    {145, 957, 331, 1, Smoke::mf_protected|Smoke::mf_virtual, 384, 0},	//3243 QGraphicsView::event(QEvent*)
    {145, 2385, 331, 1, Smoke::mf_protected|Smoke::mf_virtual, 384, 0},	//3244 QGraphicsView::viewportEvent(QEvent*)
    {145, 799, 1078, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3245 QGraphicsView::contextMenuEvent(QContextMenuEvent*)
    {145, 881, 1080, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3246 QGraphicsView::dragEnterEvent(QDragEnterEvent*)
    {145, 883, 1082, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3247 QGraphicsView::dragLeaveEvent(QDragLeaveEvent*)
    {145, 885, 1084, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3248 QGraphicsView::dragMoveEvent(QDragMoveEvent*)
    {145, 911, 1086, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3249 QGraphicsView::dropEvent(QDropEvent*)
    {145, 1003, 280, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3250 QGraphicsView::focusInEvent(QFocusEvent*)
    {145, 1006, 7, 1, Smoke::mf_protected|Smoke::mf_virtual, 384, 0},	//3251 QGraphicsView::focusNextPrevChild(bool)
    {145, 1007, 280, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3252 QGraphicsView::focusOutEvent(QFocusEvent*)
    {145, 1203, 396, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3253 QGraphicsView::keyPressEvent(QKeyEvent*)
    {145, 1205, 396, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3254 QGraphicsView::keyReleaseEvent(QKeyEvent*)
    {145, 1371, 551, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3255 QGraphicsView::mouseDoubleClickEvent(QMouseEvent*)
    {145, 1375, 551, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3256 QGraphicsView::mousePressEvent(QMouseEvent*)
    {145, 1373, 551, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3257 QGraphicsView::mouseMoveEvent(QMouseEvent*)
    {145, 1377, 551, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3258 QGraphicsView::mouseReleaseEvent(QMouseEvent*)
    {145, 2397, 1088, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3259 QGraphicsView::wheelEvent(QWheelEvent*)
    {145, 1434, 547, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3260 QGraphicsView::paintEvent(QPaintEvent*)
    {145, 1590, 549, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3261 QGraphicsView::resizeEvent(QResizeEvent*)
    {145, 1640, 370, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3262 QGraphicsView::scrollContentsBy(int, int)
    {145, 2185, 324, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3263 QGraphicsView::showEvent(QShowEvent*)
    {145, 1105, 1061, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3264 QGraphicsView::inputMethodEvent(QInputMethodEvent*)
    {145, 892, 619, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3265 QGraphicsView::drawBackground(QPainter*, const QRectF&)
    {145, 894, 619, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3266 QGraphicsView::drawForeground(QPainter*, const QRectF&)
    {145, 897, 1090, 4, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3267 QGraphicsView::drawItems(QPainter*, int, QGraphicsItem**, const QStyleOptionGraphicsItem*)
    {146, 1834, 651, 1, Smoke::mf_property|Smoke::mf_virtual, 0, 0},	//3268 QGraphicsWidget::setGeometry(const QRectF&)
    {146, 1026, 1095, 4, Smoke::mf_const|Smoke::mf_virtual, 0, 0},	//3269 QGraphicsWidget::getContentsMargins(double*, double*, double*, double*) const
    {146, 2321, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 475, 0},	//3270 QGraphicsWidget::type() const
    {146, 1425, 216, 3, Smoke::mf_virtual, 0, 0},	//3271 QGraphicsWidget::paint(QPainter*, const QStyleOptionGraphicsItem*, QWidget*)
    {146, 1444, 216, 3, Smoke::mf_virtual, 0, 0},	//3272 QGraphicsWidget::paintWindowFrame(QPainter*, const QStyleOptionGraphicsItem*, QWidget*)
    {146, 709, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 281, 0},	//3273 QGraphicsWidget::boundingRect() const
    {146, 2169, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 274, 0},	//3274 QGraphicsWidget::shape() const
    {146, 1100, 1100, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3275 QGraphicsWidget::initStyleOption(QStyleOption*) const
    {146, 2206, 287, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 289, 0},	//3276 QGraphicsWidget::sizeHint(Qt::SizeHint, const QSizeF&) const
    {146, 2347, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3277 QGraphicsWidget::updateGeometry()
    {146, 1184, 284, 2, Smoke::mf_protected|Smoke::mf_virtual, 302, 0},	//3278 QGraphicsWidget::itemChange(QGraphicsItem::GraphicsItemChange, const QVariant&)
    {146, 1487, 482, 2, Smoke::mf_protected|Smoke::mf_virtual, 302, 0},	//3279 QGraphicsWidget::propertyChange(const QString&, const QVariant&)
    {146, 1626, 331, 1, Smoke::mf_protected|Smoke::mf_virtual, 384, 0},	//3280 QGraphicsWidget::sceneEvent(QEvent*)
    {146, 2401, 331, 1, Smoke::mf_protected|Smoke::mf_virtual, 384, 0},	//3281 QGraphicsWidget::windowFrameEvent(QEvent*)
    {146, 2402, 384, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 378, 0},	//3282 QGraphicsWidget::windowFrameSectionAt(const QPointF&) const
    {146, 957, 331, 1, Smoke::mf_protected|Smoke::mf_virtual, 384, 0},	//3283 QGraphicsWidget::event(QEvent*)
    {146, 715, 331, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3284 QGraphicsWidget::changeEvent(QEvent*)
    {146, 735, 1102, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3285 QGraphicsWidget::closeEvent(QCloseEvent*)
    {146, 1003, 280, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3286 QGraphicsWidget::focusInEvent(QFocusEvent*)
    {146, 1006, 7, 1, Smoke::mf_protected|Smoke::mf_virtual, 384, 0},	//3287 QGraphicsWidget::focusNextPrevChild(bool)
    {146, 1007, 280, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3288 QGraphicsWidget::focusOutEvent(QFocusEvent*)
    {146, 1064, 326, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3289 QGraphicsWidget::hideEvent(QHideEvent*)
    {146, 1379, 577, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3290 QGraphicsWidget::moveEvent(QGraphicsSceneMoveEvent*)
    {146, 1465, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3291 QGraphicsWidget::polishEvent()
    {146, 1590, 282, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3292 QGraphicsWidget::resizeEvent(QGraphicsSceneResizeEvent*)
    {146, 2185, 324, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3293 QGraphicsWidget::showEvent(QShowEvent*)
    {146, 1077, 290, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3294 QGraphicsWidget::hoverMoveEvent(QGraphicsSceneHoverEvent*)
    {146, 1075, 290, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3295 QGraphicsWidget::hoverLeaveEvent(QGraphicsSceneHoverEvent*)
    {146, 1037, 331, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3296 QGraphicsWidget::grabMouseEvent(QEvent*)
    {146, 2323, 331, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3297 QGraphicsWidget::ungrabMouseEvent(QEvent*)
    {146, 1036, 331, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3298 QGraphicsWidget::grabKeyboardEvent(QEvent*)
    {146, 2322, 331, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3299 QGraphicsWidget::ungrabKeyboardEvent(QEvent*)
    {146, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 477, 33},	//3300 QGraphicsWidget::Type (enum)
    {162, 957, 331, 1, Smoke::mf_virtual, 384, 0},	//3301 QObject::event(QEvent*)
    {162, 959, 272, 2, Smoke::mf_virtual, 384, 0},	//3302 QObject::eventFilter(QObject*, QEvent*)
    {162, 2297, 176, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3303 QObject::timerEvent(QTimerEvent*)
    {162, 721, 1104, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3304 QObject::childEvent(QChildEvent*)
    {162, 841, 331, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3305 QObject::customEvent(QEvent*)
    {162, 758, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3306 QObject::connectNotify(const char*)
    {162, 872, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3307 QObject::disconnectNotify(const char*)
    {198, 862, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 475, 0},	//3308 QWidget::devType() const
    {198, 2148, 7, 1, Smoke::mf_property|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//3309 QWidget::setVisible(bool)
    {198, 2206, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_virtual, 288, 0},	//3310 QWidget::sizeHint() const
    {198, 1369, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_virtual, 288, 0},	//3311 QWidget::minimumSizeHint() const
    {198, 1059, 129, 1, Smoke::mf_const|Smoke::mf_virtual, 475, 0},	//3312 QWidget::heightForWidth(int) const
    {198, 1433, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 270, 0},	//3313 QWidget::paintEngine() const
    {198, 1371, 551, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3314 QWidget::mouseDoubleClickEvent(QMouseEvent*)
    {198, 2397, 1088, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3315 QWidget::wheelEvent(QWheelEvent*)
    {198, 1205, 396, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3316 QWidget::keyReleaseEvent(QKeyEvent*)
    {198, 1007, 280, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3317 QWidget::focusOutEvent(QFocusEvent*)
    {198, 953, 331, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3318 QWidget::enterEvent(QEvent*)
    {198, 1233, 331, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3319 QWidget::leaveEvent(QEvent*)
    {198, 1379, 553, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3320 QWidget::moveEvent(QMoveEvent*)
    {198, 735, 1102, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3321 QWidget::closeEvent(QCloseEvent*)
    {198, 799, 1078, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3322 QWidget::contextMenuEvent(QContextMenuEvent*)
    {198, 2269, 1106, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3323 QWidget::tabletEvent(QTabletEvent*)
    {198, 564, 1108, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3324 QWidget::actionEvent(QActionEvent*)
    {198, 881, 1080, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3325 QWidget::dragEnterEvent(QDragEnterEvent*)
    {198, 885, 1084, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3326 QWidget::dragMoveEvent(QDragMoveEvent*)
    {198, 883, 1082, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3327 QWidget::dragLeaveEvent(QDragLeaveEvent*)
    {198, 911, 1086, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3328 QWidget::dropEvent(QDropEvent*)
    {198, 1064, 326, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3329 QWidget::hideEvent(QHideEvent*)
    {198, 2413, 1110, 1, Smoke::mf_protected|Smoke::mf_virtual, 384, 0},	//3330 QWidget::x11Event(_XEvent*)
    {198, 715, 331, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3331 QWidget::changeEvent(QEvent*)
    {198, 1359, 1112, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 475, 0},	//3332 QWidget::metric(QPaintDevice::PaintDeviceMetric) const
    {198, 1105, 1061, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3333 QWidget::inputMethodEvent(QInputMethodEvent*)
    {198, 1106, 1063, 1, Smoke::mf_const|Smoke::mf_virtual, 302, 0},	//3334 QWidget::inputMethodQuery(Qt::InputMethodQuery) const
    {198, 1006, 7, 1, Smoke::mf_protected|Smoke::mf_virtual, 384, 0},	//3335 QWidget::focusNextPrevChild(bool)
    {198, 2243, 1114, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3336 QWidget::styleChange(QStyle&)
    {198, 946, 7, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3337 QWidget::enabledChange(bool)
    {198, 1446, 1116, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3338 QWidget::paletteChange(const QPalette&)
    {198, 1012, 579, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3339 QWidget::fontChange(const QFont&)
    {198, 2400, 7, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3340 QWidget::windowActivationChange(bool)
    {198, 1221, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3341 QWidget::languageChange()
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    2536,  // Plasma::SvgWidget::SvgWidget(QGraphicsItem*)
    2537,  // Plasma::SvgWidget::SvgWidget(Plasma::Svg*)
    0,
    2522,  // Plasma::SvgWidget::SvgWidget(QGraphicsItem*, QFlags<Qt::WindowType>)
    2538,  // Plasma::SvgWidget::SvgWidget(Plasma::Svg*, const QString&)
    0,
    24,  // Plasma::loadScriptEngine(const QString&, Plasma::AbstractRunner*)
    28,  // Plasma::loadScriptEngine(const QString&, Plasma::Wallpaper*)
    32,  // Plasma::loadScriptEngine(const QString&, Plasma::DataEngine*)
    35,  // Plasma::loadScriptEngine(const QString&, Plasma::Applet*)
    0,
    924,  // Plasma::ContainmentActionsPluginsConfig::addPlugin(QFlags<Qt::KeyboardModifier>, Qt::MouseButton, const QString&)
    925,  // Plasma::ContainmentActionsPluginsConfig::addPlugin(QFlags<Qt::KeyboardModifier>, Qt::Orientation, const QString&)
    0,
    987,  // Plasma::Corona::importLayout(const KConfigBase&)
    989,  // Plasma::Corona::importLayout(const KConfigGroup&)
    0,
    1007,  // Plasma::Corona::mapAnimation(Plasma::Animator::Animation, Plasma::Animator::Animation)
    1008,  // Plasma::Corona::mapAnimation(Plasma::Animator::Animation, const QString&)
    0,
    2293,  // Plasma::Service::associateWidget(QWidget*, const QString&)
    2295,  // Plasma::Service::associateWidget(QGraphicsWidget*, const QString&)
    0,
    2294,  // Plasma::Service::disassociateWidget(QWidget*)
    2296,  // Plasma::Service::disassociateWidget(QGraphicsWidget*)
    0,
    2066,  // Plasma::RunnerManager::RunnerManager(QObject*)
    2103,  // Plasma::RunnerManager::RunnerManager(KConfigGroup&)
    0,
    345,  // Plasma::Animator::create(Plasma::Animator::CurveShape)
    365,  // Plasma::Animator::create(Plasma::Animator::Animation)
    366,  // Plasma::Animator::create(const QString&)
    0,
    343,  // Plasma::Animator::create(Plasma::Animator::Animation, QObject*)
    344,  // Plasma::Animator::create(const QString&, QObject*)
    0,
    2509,  // Plasma::Svg::paint(QPainter*, const QPointF&)
    2511,  // Plasma::Svg::paint(QPainter*, const QRectF&)
    0,
    2482,  // Plasma::Svg::paint(QPainter*, const QPointF&, const QString&)
    2484,  // Plasma::Svg::paint(QPainter*, const QRectF&, const QString&)
    0,
    535,  // Plasma::Applet::Applet(QGraphicsItem*)
    537,  // Plasma::Applet::Applet(const KPluginInfo&)
    0,
    214,  // Plasma::AbstractToolBox::AbstractToolBox(Plasma::Containment*)
    231,  // Plasma::AbstractToolBox::AbstractToolBox(QObject*)
    0,
    1954,  // Plasma::QueryMatch::QueryMatch(Plasma::AbstractRunner*)
    1955,  // Plasma::QueryMatch::QueryMatch(const Plasma::QueryMatch&)
    0,
    2022,  // Plasma::RunnerContext::RunnerContext(QObject*)
    2047,  // Plasma::RunnerContext::RunnerContext(Plasma::RunnerContext&)
    0,
    1067,  // Plasma::DataEngine::DataEngine(QObject*, KSharedPtr<KService>)
    1068,  // Plasma::DataEngine::DataEngine(QObject*, const QList<QVariant>&)
    0,
    2214,  // Plasma::ScrollWidget::ScrollWidget(QGraphicsWidget*)
    2215,  // Plasma::ScrollWidget::ScrollWidget(QGraphicsItem*)
    0,
    1928,  // Plasma::PushButton::setIcon(const QIcon&)
    1929,  // Plasma::PushButton::setIcon(const KIcon&)
    0,
    2753,  // Plasma::ToolTipContent::ToolTipContent(const QString&, const QString&, const QPixmap&)
    2754,  // Plasma::ToolTipContent::ToolTipContent(const QString&, const QString&, const QIcon&)
    0,
    2761,  // Plasma::ToolTipContent::setImage(const QPixmap&)
    2762,  // Plasma::ToolTipContent::setImage(const QIcon&)
    0,
    870,  // Plasma::Containment::StyleOption::StyleOption(const Plasma::Containment::StyleOption&)
    871,  // Plasma::Containment::StyleOption::StyleOption(const QStyleOptionGraphicsItem&)
    0,
    1468,  // Plasma::FrameSvg::hasElementPrefix(const QString&) const
    1469,  // Plasma::FrameSvg::hasElementPrefix(Plasma::Location) const
    0,
    1478,  // Plasma::FrameSvg::paintFrame(QPainter*, const QPointF&)
    1482,  // Plasma::FrameSvg::paintFrame(QPainter*, const QRectF&)
    0,
    1466,  // Plasma::FrameSvg::setElementPrefix(Plasma::Location)
    1467,  // Plasma::FrameSvg::setElementPrefix(const QString&)
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {27, 12, 109},	// Plasma::AcceptingInputStatus
    {27, 18, 107},	// Plasma::ActiveStatus
    {27, 20, 51},	// Plasma::AlignToHour
    {27, 21, 50},	// Plasma::AlignToMinute
    {27, 24, 101},	// Plasma::AllConstraints
    {27, 36, 116},	// Plasma::AnimatorComponent
    {27, 46, 113},	// Plasma::AppletComponent
    {27, 49, 90},	// Plasma::AppletType
    {27, 50, 43},	// Plasma::Application
    {27, 59, 124},	// Plasma::BottomEdge
    {27, 60, 53},	// Plasma::BottomMargin
    {27, 61, 86},	// Plasma::BottomPosedLeftAlignedPopup
    {27, 62, 87},	// Plasma::BottomPosedRightAlignedPopup
    {27, 63, 65},	// Plasma::BottomPositioned
    {27, 71, 48},	// Plasma::ButtonCancel
    {27, 74, 47},	// Plasma::ButtonNo
    {27, 75, 44},	// Plasma::ButtonNone
    {27, 76, 45},	// Plasma::ButtonOk
    {27, 78, 46},	// Plasma::ButtonYes
    {27, 83, 66},	// Plasma::CenterPositioned
    {27, 100, 60},	// Plasma::ConstrainedSquare
    {27, 111, 117},	// Plasma::ContainmentComponent
    {27, 114, 99},	// Plasma::ContextConstraint
    {27, 127, 114},	// Plasma::DataEngineComponent
    {27, 140, 121},	// Plasma::Desktop
    {27, 143, 110},	// Plasma::DesktopZoom
    {27, 155, 67},	// Plasma::Down
    {27, 180, 61},	// Plasma::FixedSize
    {27, 183, 120},	// Plasma::Floating
    {27, 184, 81},	// Plasma::FloatingPopup
    {27, 186, 93},	// Plasma::FormFactorConstraint
    {27, 192, 122},	// Plasma::FullScreen
    {27, 197, 119},	// Plasma::GenericComponent
    {27, 201, 111},	// Plasma::GroupZoom
    {27, 209, 41},	// Plasma::Horizontal
    {27, 210, 103},	// Plasma::HorizontalFlip
    {27, 218, 57},	// Plasma::IgnoreAspectRatio
    {27, 221, 97},	// Plasma::ImmutableConstraint
    {27, 225, 56},	// Plasma::InvalidAspectRatioMode
    {27, 226, 73},	// Plasma::InvalidCredentials
    {27, 284, 58},	// Plasma::KeepAspectRatio
    {27, 292, 69},	// Plasma::Left
    {27, 294, 125},	// Plasma::LeftEdge
    {27, 295, 54},	// Plasma::LeftMargin
    {27, 296, 85},	// Plasma::LeftPosedBottomAlignedPopup
    {27, 297, 84},	// Plasma::LeftPosedTopAlignedPopup
    {27, 298, 62},	// Plasma::LeftPositioned
    {27, 301, 91},	// Plasma::LineEditType
    {27, 304, 94},	// Plasma::LocationConstraint
    {27, 309, 40},	// Plasma::MediaCenter
    {27, 319, 78},	// Plasma::Mutable
    {27, 320, 108},	// Plasma::NeedsAttentionStatus
    {27, 323, 49},	// Plasma::NoAlignment
    {27, 325, 71},	// Plasma::NoAnnouncement
    {27, 331, 92},	// Plasma::NoConstraint
    {27, 337, 102},	// Plasma::NoFlip
    {27, 350, 112},	// Plasma::OverviewZoom
    {27, 364, 106},	// Plasma::PassiveStatus
    {27, 373, 39},	// Plasma::Planar
    {27, 380, 100},	// Plasma::PopupConstraint
    {27, 399, 70},	// Plasma::Right
    {27, 401, 126},	// Plasma::RightEdge
    {27, 402, 55},	// Plasma::RightMargin
    {27, 403, 89},	// Plasma::RightPosedBottomAlignedPopup
    {27, 404, 88},	// Plasma::RightPosedTopAlignedPopup
    {27, 405, 63},	// Plasma::RightPositioned
    {27, 409, 115},	// Plasma::RunnerComponent
    {27, 425, 95},	// Plasma::ScreenConstraint
    {27, 448, 96},	// Plasma::SizeConstraint
    {27, 461, 59},	// Plasma::Square
    {27, 463, 98},	// Plasma::StartupCompletedConstraint
    {27, 481, 80},	// Plasma::SystemImmutable
    {27, 502, 123},	// Plasma::TopEdge
    {27, 503, 52},	// Plasma::TopMargin
    {27, 504, 82},	// Plasma::TopPosedLeftAlignedPopup
    {27, 505, 83},	// Plasma::TopPosedRightAlignedPopup
    {27, 506, 64},	// Plasma::TopPositioned
    {27, 511, 76},	// Plasma::TrustedCredentials
    {27, 514, 77},	// Plasma::UltimateCredentials
    {27, 515, 74},	// Plasma::UnknownCredentials
    {27, 516, 105},	// Plasma::UnknownStatus
    {27, 518, 68},	// Plasma::Up
    {27, 521, 79},	// Plasma::UserImmutable
    {27, 525, 75},	// Plasma::ValidCredentials
    {27, 527, 42},	// Plasma::Vertical
    {27, 528, 104},	// Plasma::VerticalFlip
    {27, 545, 118},	// Plasma::WallpaperComponent
    {27, 552, 72},	// Plasma::ZeroconfAnnouncement
    {27, 554, 37},	// Plasma::ZoomIn
    {27, 555, 38},	// Plasma::ZoomOut
    {27, 570, 30},	// Plasma::actionsFromMenu#
    {27, 571, 31},	// Plasma::actionsFromMenu#$
    {27, 572, 29},	// Plasma::actionsFromMenu#$#
    {27, 1149, 33},	// Plasma::isPluginVersionCompatible$
    {27, 1210, 34},	// Plasma::knownLanguages$
    {27, 1318, -7},	// Plasma::loadScriptEngine$#
    {27, 1323, 18},	// Plasma::locationToDirection$
    {27, 1325, 23},	// Plasma::locationToInverseDirection$
    {27, 1422, 26},	// Plasma::packageStructure$$
    {27, 1625, 27},	// Plasma::scalingFactor$
    {27, 2371, 22},	// Plasma::version
    {27, 2372, 20},	// Plasma::versionMajor
    {27, 2373, 25},	// Plasma::versionMinor
    {27, 2374, 36},	// Plasma::versionRelease
    {27, 2375, 19},	// Plasma::versionString
    {27, 2384, 21},	// Plasma::viewFor#
    {28, 1, 138},	// Plasma::AbstractDialogManager::AbstractDialogManager
    {28, 2, 134},	// Plasma::AbstractDialogManager::AbstractDialogManager#
    {28, 1356, 127},	// Plasma::AbstractDialogManager::metaObject
    {28, 1491, 133},	// Plasma::AbstractDialogManager::qt_metacall$$?
    {28, 1493, 128},	// Plasma::AbstractDialogManager::qt_metacast$
    {28, 2182, 135},	// Plasma::AbstractDialogManager::showDialog##
    {28, 2231, 139},	// Plasma::AbstractDialogManager::staticMetaObject
    {28, 2313, 136},	// Plasma::AbstractDialogManager::tr$
    {28, 2314, 129},	// Plasma::AbstractDialogManager::tr$$
    {28, 2315, 131},	// Plasma::AbstractDialogManager::tr$$$
    {28, 2317, 137},	// Plasma::AbstractDialogManager::trUtf8$
    {28, 2318, 130},	// Plasma::AbstractDialogManager::trUtf8$$
    {28, 2319, 132},	// Plasma::AbstractDialogManager::trUtf8$$$
    {28, 2417, 140},	// Plasma::AbstractDialogManager::~AbstractDialogManager
    {29, 3, 194},	// Plasma::AbstractRunner::AbstractRunner
    {29, 4, 195},	// Plasma::AbstractRunner::AbstractRunner#
    {29, 5, 170},	// Plasma::AbstractRunner::AbstractRunner#$
    {29, 6, 172},	// Plasma::AbstractRunner::AbstractRunner#?
    {29, 7, 196},	// Plasma::AbstractRunner::AbstractRunner?
    {29, 8, 171},	// Plasma::AbstractRunner::AbstractRunner?#
    {29, 206, 204},	// Plasma::AbstractRunner::HighPriority
    {29, 207, 205},	// Plasma::AbstractRunner::HighestPriority
    {29, 305, 202},	// Plasma::AbstractRunner::LowPriority
    {29, 306, 201},	// Plasma::AbstractRunner::LowestPriority
    {29, 345, 203},	// Plasma::AbstractRunner::NormalPriority
    {29, 346, 200},	// Plasma::AbstractRunner::NormalSpeed
    {29, 454, 199},	// Plasma::AbstractRunner::SlowSpeed
    {29, 563, 183},	// Plasma::AbstractRunner::action$
    {29, 565, 184},	// Plasma::AbstractRunner::actions
    {29, 567, 179},	// Plasma::AbstractRunner::actionsForMatch#
    {29, 581, 181},	// Plasma::AbstractRunner::addAction$#
    {29, 582, 180},	// Plasma::AbstractRunner::addAction$#$
    {29, 632, 186},	// Plasma::AbstractRunner::addSyntax#
    {29, 705, 164},	// Plasma::AbstractRunner::bigLock
    {29, 723, 185},	// Plasma::AbstractRunner::clearActions
    {29, 743, 174},	// Plasma::AbstractRunner::config
    {29, 823, 151},	// Plasma::AbstractRunner::createRunOptions#
    {29, 845, 189},	// Plasma::AbstractRunner::dataEngine$
    {29, 850, 165},	// Plasma::AbstractRunner::defaultSyntax
    {29, 854, 159},	// Plasma::AbstractRunner::description
    {29, 1056, 150},	// Plasma::AbstractRunner::hasRunOptions
    {29, 1080, 160},	// Plasma::AbstractRunner::icon
    {29, 1082, 158},	// Plasma::AbstractRunner::id
    {29, 1083, 155},	// Plasma::AbstractRunner::ignoredTypes
    {29, 1096, 190},	// Plasma::AbstractRunner::init
    {29, 1143, 166},	// Plasma::AbstractRunner::isMatchingSuspended
    {29, 1342, 148},	// Plasma::AbstractRunner::match#
    {29, 1349, 169},	// Plasma::AbstractRunner::matchingSuspended$
    {29, 1356, 141},	// Plasma::AbstractRunner::metaObject
    {29, 1361, 191},	// Plasma::AbstractRunner::mimeDataForMatch#
    {29, 1391, 157},	// Plasma::AbstractRunner::name
    {29, 1419, 161},	// Plasma::AbstractRunner::package
    {29, 1456, 149},	// Plasma::AbstractRunner::performMatch#
    {29, 1480, 167},	// Plasma::AbstractRunner::prepare
    {29, 1484, 154},	// Plasma::AbstractRunner::priority
    {29, 1491, 147},	// Plasma::AbstractRunner::qt_metacall$$?
    {29, 1493, 142},	// Plasma::AbstractRunner::qt_metacast$
    {29, 1524, 162},	// Plasma::AbstractRunner::reloadConfiguration
    {29, 1535, 182},	// Plasma::AbstractRunner::removeAction$
    {29, 1605, 152},	// Plasma::AbstractRunner::run##
    {29, 1659, 197},	// Plasma::AbstractRunner::serviceQuery$
    {29, 1660, 178},	// Plasma::AbstractRunner::serviceQuery$$
    {29, 1783, 187},	// Plasma::AbstractRunner::setDefaultSyntax#
    {29, 1848, 175},	// Plasma::AbstractRunner::setHasRunOptions$
    {29, 1870, 156},	// Plasma::AbstractRunner::setIgnoredTypes$
    {29, 1981, 177},	// Plasma::AbstractRunner::setPriority$
    {29, 2046, 176},	// Plasma::AbstractRunner::setSpeed$
    {29, 2069, 188},	// Plasma::AbstractRunner::setSyntaxes?
    {29, 2222, 153},	// Plasma::AbstractRunner::speed
    {29, 2231, 198},	// Plasma::AbstractRunner::staticMetaObject
    {29, 2253, 173},	// Plasma::AbstractRunner::suspendMatching$
    {29, 2262, 163},	// Plasma::AbstractRunner::syntaxes
    {29, 2281, 168},	// Plasma::AbstractRunner::teardown
    {29, 2313, 192},	// Plasma::AbstractRunner::tr$
    {29, 2314, 143},	// Plasma::AbstractRunner::tr$$
    {29, 2315, 145},	// Plasma::AbstractRunner::tr$$$
    {29, 2317, 193},	// Plasma::AbstractRunner::trUtf8$
    {29, 2318, 144},	// Plasma::AbstractRunner::trUtf8$$
    {29, 2319, 146},	// Plasma::AbstractRunner::trUtf8$$$
    {29, 2418, 206},	// Plasma::AbstractRunner::~AbstractRunner
    {30, 9, 230},	// Plasma::AbstractToolBox::AbstractToolBox
    {30, 10, -46},	// Plasma::AbstractToolBox::AbstractToolBox#
    {30, 11, 215},	// Plasma::AbstractToolBox::AbstractToolBox#?
    {30, 19, 236},	// Plasma::AbstractToolBox::AddTool
    {30, 99, 237},	// Plasma::AbstractToolBox::ConfigureTool
    {30, 115, 238},	// Plasma::AbstractToolBox::ControlTool
    {30, 144, 240},	// Plasma::AbstractToolBox::DestructiveTool
    {30, 313, 239},	// Plasma::AbstractToolBox::MiscTool
    {30, 522, 241},	// Plasma::AbstractToolBox::UserToolType
    {30, 639, 218},	// Plasma::AbstractToolBox::addTool#
    {30, 770, 227},	// Plasma::AbstractToolBox::containment
    {30, 1159, 220},	// Plasma::AbstractToolBox::isShowing
    {30, 1279, 234},	// Plasma::AbstractToolBox::listToolBoxInfo
    {30, 1280, 217},	// Plasma::AbstractToolBox::listToolBoxInfo$
    {30, 1293, 232},	// Plasma::AbstractToolBox::load$
    {30, 1297, 233},	// Plasma::AbstractToolBox::load$?
    {30, 1298, 216},	// Plasma::AbstractToolBox::load$?#
    {30, 1356, 207},	// Plasma::AbstractToolBox::metaObject
    {30, 1491, 213},	// Plasma::AbstractToolBox::qt_metacall$$?
    {30, 1493, 208},	// Plasma::AbstractToolBox::qt_metacast$
    {30, 1561, 219},	// Plasma::AbstractToolBox::removeTool#
    {30, 1578, 224},	// Plasma::AbstractToolBox::reposition
    {30, 1596, 222},	// Plasma::AbstractToolBox::restore#
    {30, 1614, 223},	// Plasma::AbstractToolBox::save#
    {30, 2034, 221},	// Plasma::AbstractToolBox::setShowing$
    {30, 2231, 235},	// Plasma::AbstractToolBox::staticMetaObject
    {30, 2301, 225},	// Plasma::AbstractToolBox::toggled
    {30, 2313, 228},	// Plasma::AbstractToolBox::tr$
    {30, 2314, 209},	// Plasma::AbstractToolBox::tr$$
    {30, 2315, 211},	// Plasma::AbstractToolBox::tr$$$
    {30, 2317, 229},	// Plasma::AbstractToolBox::trUtf8$
    {30, 2318, 210},	// Plasma::AbstractToolBox::trUtf8$$
    {30, 2319, 212},	// Plasma::AbstractToolBox::trUtf8$$$
    {30, 2390, 226},	// Plasma::AbstractToolBox::visibilityChanged$
    {30, 2419, 242},	// Plasma::AbstractToolBox::~AbstractToolBox
    {31, 14, 255},	// Plasma::AccessAppletJob::AccessAppletJob#
    {31, 15, 251},	// Plasma::AccessAppletJob::AccessAppletJob##
    {31, 669, 250},	// Plasma::AccessAppletJob::applet
    {31, 1356, 243},	// Plasma::AccessAppletJob::metaObject
    {31, 1491, 249},	// Plasma::AccessAppletJob::qt_metacall$$?
    {31, 1493, 244},	// Plasma::AccessAppletJob::qt_metacast$
    {31, 2225, 252},	// Plasma::AccessAppletJob::start
    {31, 2231, 256},	// Plasma::AccessAppletJob::staticMetaObject
    {31, 2313, 253},	// Plasma::AccessAppletJob::tr$
    {31, 2314, 245},	// Plasma::AccessAppletJob::tr$$
    {31, 2315, 247},	// Plasma::AccessAppletJob::tr$$$
    {31, 2317, 254},	// Plasma::AccessAppletJob::trUtf8$
    {31, 2318, 246},	// Plasma::AccessAppletJob::trUtf8$$
    {31, 2319, 248},	// Plasma::AccessAppletJob::trUtf8$$$
    {31, 2420, 257},	// Plasma::AccessAppletJob::~AccessAppletJob
    {32, 561, 266},	// Plasma::AccessManager::accessRemoteApplet#
    {32, 991, 269},	// Plasma::AccessManager::finished#
    {32, 1356, 258},	// Plasma::AccessManager::metaObject
    {32, 1491, 264},	// Plasma::AccessManager::qt_metacall$$?
    {32, 1493, 259},	// Plasma::AccessManager::qt_metacast$
    {32, 1527, 270},	// Plasma::AccessManager::remoteAppletAnnounced#
    {32, 1529, 271},	// Plasma::AccessManager::remoteAppletUnannounced#
    {32, 1530, 267},	// Plasma::AccessManager::remoteApplets
    {32, 1652, 265},	// Plasma::AccessManager::self
    {32, 2231, 274},	// Plasma::AccessManager::staticMetaObject
    {32, 2248, 268},	// Plasma::AccessManager::supportedProtocols
    {32, 2313, 272},	// Plasma::AccessManager::tr$
    {32, 2314, 260},	// Plasma::AccessManager::tr$$
    {32, 2315, 262},	// Plasma::AccessManager::tr$$$
    {32, 2317, 273},	// Plasma::AccessManager::trUtf8$
    {32, 2318, 261},	// Plasma::AccessManager::trUtf8$$
    {32, 2319, 263},	// Plasma::AccessManager::trUtf8$$$
    {33, 32, 292},	// Plasma::Animation::Animation
    {33, 33, 283},	// Plasma::Animation::Animation#
    {33, 82, 295},	// Plasma::Animation::Center
    {33, 155, 297},	// Plasma::Animation::Down
    {33, 292, 298},	// Plasma::Animation::Left
    {33, 314, 300},	// Plasma::Animation::MoveAny
    {33, 315, 303},	// Plasma::Animation::MoveDown
    {33, 316, 304},	// Plasma::Animation::MoveLeft
    {33, 317, 302},	// Plasma::Animation::MoveRight
    {33, 318, 301},	// Plasma::Animation::MoveUp
    {33, 399, 299},	// Plasma::Animation::Right
    {33, 518, 296},	// Plasma::Animation::Up
    {33, 913, 282},	// Plasma::Animation::duration
    {33, 914, 287},	// Plasma::Animation::easingCurve
    {33, 1356, 275},	// Plasma::Animation::metaObject
    {33, 1491, 281},	// Plasma::Animation::qt_metacall$$?
    {33, 1493, 276},	// Plasma::Animation::qt_metacast$
    {33, 1799, 293},	// Plasma::Animation::setDuration
    {33, 1800, 288},	// Plasma::Animation::setDuration$
    {33, 1802, 286},	// Plasma::Animation::setEasingCurve#
    {33, 2085, 284},	// Plasma::Animation::setTargetWidget#
    {33, 2231, 294},	// Plasma::Animation::staticMetaObject
    {33, 2279, 285},	// Plasma::Animation::targetWidget
    {33, 2313, 290},	// Plasma::Animation::tr$
    {33, 2314, 277},	// Plasma::Animation::tr$$
    {33, 2315, 279},	// Plasma::Animation::tr$$$
    {33, 2317, 291},	// Plasma::Animation::trUtf8$
    {33, 2318, 278},	// Plasma::Animation::trUtf8$$
    {33, 2319, 280},	// Plasma::Animation::trUtf8$$$
    {33, 2343, 289},	// Plasma::Animation::updateCurrentTime$
    {33, 2421, 305},	// Plasma::Animation::~Animation
    {34, 34, 332},	// Plasma::AnimationDriver::AnimationDriver
    {34, 35, 313},	// Plasma::AnimationDriver::AnimationDriver#
    {34, 654, 320},	// Plasma::AnimationDriver::animationCurve$
    {34, 656, 317},	// Plasma::AnimationDriver::animationDuration$
    {34, 660, 314},	// Plasma::AnimationDriver::animationFps$
    {34, 919, 322},	// Plasma::AnimationDriver::elementAnimationCurve$
    {34, 921, 319},	// Plasma::AnimationDriver::elementAnimationDuration$
    {34, 925, 316},	// Plasma::AnimationDriver::elementAnimationFps$
    {34, 927, 323},	// Plasma::AnimationDriver::elementAppear$#
    {34, 931, 324},	// Plasma::AnimationDriver::elementDisappear$#
    {34, 1176, 327},	// Plasma::AnimationDriver::itemActivated$#
    {34, 1181, 325},	// Plasma::AnimationDriver::itemAppear$#
    {34, 1189, 326},	// Plasma::AnimationDriver::itemDisappear$#
    {34, 1199, 328},	// Plasma::AnimationDriver::itemSlideIn$###
    {34, 1201, 329},	// Plasma::AnimationDriver::itemSlideOut$###
    {34, 1356, 306},	// Plasma::AnimationDriver::metaObject
    {34, 1384, 321},	// Plasma::AnimationDriver::movementAnimationCurve$
    {34, 1386, 318},	// Plasma::AnimationDriver::movementAnimationDuration$
    {34, 1388, 315},	// Plasma::AnimationDriver::movementAnimationFps$
    {34, 1491, 312},	// Plasma::AnimationDriver::qt_metacall$$?
    {34, 1493, 307},	// Plasma::AnimationDriver::qt_metacast$
    {34, 2231, 333},	// Plasma::AnimationDriver::staticMetaObject
    {34, 2313, 330},	// Plasma::AnimationDriver::tr$
    {34, 2314, 308},	// Plasma::AnimationDriver::tr$$
    {34, 2315, 310},	// Plasma::AnimationDriver::tr$$$
    {34, 2317, 331},	// Plasma::AnimationDriver::trUtf8$
    {34, 2318, 309},	// Plasma::AnimationDriver::trUtf8$$
    {34, 2319, 311},	// Plasma::AnimationDriver::trUtf8$$$
    {34, 2422, 334},	// Plasma::AnimationDriver::~AnimationDriver
    {35, 16, 370},	// Plasma::Animator::ActivateAnimation
    {35, 37, 368},	// Plasma::Animator::AppearAnimation
    {35, 151, 369},	// Plasma::Animator::DisappearAnimation
    {35, 158, 382},	// Plasma::Animator::EaseInCurve
    {35, 159, 384},	// Plasma::Animator::EaseInOutCurve
    {35, 160, 383},	// Plasma::Animator::EaseOutCurve
    {35, 174, 371},	// Plasma::Animator::FadeAnimation
    {35, 175, 389},	// Plasma::Animator::FastSlideInMovement
    {35, 176, 390},	// Plasma::Animator::FastSlideOutMovement
    {35, 198, 377},	// Plasma::Animator::GeometryAnimation
    {35, 202, 372},	// Plasma::Animator::GrowAnimation
    {35, 290, 381},	// Plasma::Animator::LastAnimation
    {35, 302, 385},	// Plasma::Animator::LinearCurve
    {35, 367, 386},	// Plasma::Animator::PendularCurve
    {35, 371, 379},	// Plasma::Animator::PixmapTransitionAnimation
    {35, 384, 373},	// Plasma::Animator::PulseAnimation
    {35, 406, 374},	// Plasma::Animator::RotationAnimation
    {35, 407, 375},	// Plasma::Animator::RotationStackedAnimation
    {35, 449, 376},	// Plasma::Animator::SlideAnimation
    {35, 450, 387},	// Plasma::Animator::SlideInMovement
    {35, 451, 388},	// Plasma::Animator::SlideOutMovement
    {35, 548, 380},	// Plasma::Animator::WaterAnimation
    {35, 553, 378},	// Plasma::Animator::ZoomAnimation
    {35, 658, 357},	// Plasma::Animator::animationFinished#$
    {35, 806, -30},	// Plasma::Animator::create$
    {35, 807, -34},	// Plasma::Animator::create$#
    {35, 832, 353},	// Plasma::Animator::currentPixmap$
    {35, 837, 349},	// Plasma::Animator::customAnimation$$$#$
    {35, 839, 360},	// Plasma::Animator::customAnimationFinished$
    {35, 923, 359},	// Plasma::Animator::elementAnimationFinished$
    {35, 1125, 354},	// Plasma::Animator::isAnimating
    {35, 1356, 335},	// Plasma::Animator::metaObject
    {35, 1382, 347},	// Plasma::Animator::moveItem#$#
    {35, 1390, 358},	// Plasma::Animator::movementFinished#
    {35, 1491, 341},	// Plasma::Animator::qt_metacall$$?
    {35, 1493, 336},	// Plasma::Animator::qt_metacast$
    {35, 1515, 355},	// Plasma::Animator::registerScrollingManager#
    {35, 1643, 361},	// Plasma::Animator::scrollStateChanged#$$
    {35, 1652, 342},	// Plasma::Animator::self
    {35, 1884, 352},	// Plasma::Animator::setInitialPixmap$#
    {35, 2231, 367},	// Plasma::Animator::staticMetaObject
    {35, 2235, 350},	// Plasma::Animator::stopCustomAnimation$
    {35, 2237, 351},	// Plasma::Animator::stopElementAnimation$
    {35, 2239, 346},	// Plasma::Animator::stopItemAnimation$
    {35, 2241, 348},	// Plasma::Animator::stopItemMovement$
    {35, 2298, 362},	// Plasma::Animator::timerEvent#
    {35, 2313, 363},	// Plasma::Animator::tr$
    {35, 2314, 337},	// Plasma::Animator::tr$$
    {35, 2315, 339},	// Plasma::Animator::tr$$$
    {35, 2317, 364},	// Plasma::Animator::trUtf8$
    {35, 2318, 338},	// Plasma::Animator::trUtf8$$
    {35, 2319, 340},	// Plasma::Animator::trUtf8$$$
    {35, 2334, 356},	// Plasma::Animator::unregisterScrollingManager#
    {36, 38, 534},	// Plasma::Applet::Applet
    {36, 39, -43},	// Plasma::Applet::Applet#
    {36, 40, 538},	// Plasma::Applet::Applet##
    {36, 41, 459},	// Plasma::Applet::Applet##$
    {36, 42, 536},	// Plasma::Applet::Applet#$
    {36, 43, 458},	// Plasma::Applet::Applet#$$
    {36, 44, 460},	// Plasma::Applet::Applet#$$?
    {36, 45, 499},	// Plasma::Applet::Applet#?
    {36, 132, 546},	// Plasma::Applet::DefaultBackground
    {36, 326, 543},	// Plasma::Applet::NoBackground
    {36, 462, 544},	// Plasma::Applet::StandardBackground
    {36, 508, 545},	// Plasma::Applet::TranslucentBackground
    {36, 513, 547},	// Plasma::Applet::Type
    {36, 563, 444},	// Plasma::Applet::action$
    {36, 573, 475},	// Plasma::Applet::activate
    {36, 581, 445},	// Plasma::Applet::addAction$#
    {36, 591, 455},	// Plasma::Applet::addAssociatedWidget#
    {36, 673, 477},	// Plasma::Applet::appletDestroyed#
    {36, 677, 471},	// Plasma::Applet::appletTransformedByUser
    {36, 678, 472},	// Plasma::Applet::appletTransformedItself
    {36, 681, 417},	// Plasma::Applet::aspectRatioMode
    {36, 686, 466},	// Plasma::Applet::associatedApplication
    {36, 687, 467},	// Plasma::Applet::associatedApplicationUrls
    {36, 702, 447},	// Plasma::Applet::backgroundHints
    {36, 712, 436},	// Plasma::Applet::category
    {36, 713, 428},	// Plasma::Applet::category#
    {36, 714, 429},	// Plasma::Applet::category$
    {36, 743, 400},	// Plasma::Applet::config
    {36, 744, 401},	// Plasma::Applet::config$
    {36, 745, 490},	// Plasma::Applet::configChanged
    {36, 746, 474},	// Plasma::Applet::configNeedsSaving
    {36, 747, 405},	// Plasma::Applet::configScheme
    {36, 750, 441},	// Plasma::Applet::configurationRequired
    {36, 766, 505},	// Plasma::Applet::constraintsEvent$
    {36, 770, 451},	// Plasma::Applet::containment
    {36, 793, 416},	// Plasma::Applet::context
    {36, 801, 443},	// Plasma::Applet::contextualActions
    {36, 811, 462},	// Plasma::Applet::createConfigurationInterface#
    {36, 840, 424},	// Plasma::Applet::customCategories
    {36, 845, 406},	// Plasma::Applet::dataEngine$
    {36, 857, 482},	// Plasma::Applet::destroy
    {36, 859, 461},	// Plasma::Applet::destroyed
    {36, 960, 510},	// Plasma::Applet::eventFilter##
    {36, 971, 509},	// Plasma::Applet::extender
    {36, 973, 479},	// Plasma::Applet::extenderItemRestored#
    {36, 1000, 488},	// Plasma::Applet::flushPendingConstraintsEvents
    {36, 1004, 513},	// Plasma::Applet::focusInEvent#
    {36, 1010, 432},	// Plasma::Applet::font
    {36, 1017, 414},	// Plasma::Applet::formFactor
    {36, 1025, 470},	// Plasma::Applet::geometryChanged
    {36, 1034, 404},	// Plasma::Applet::globalConfig
    {36, 1035, 453},	// Plasma::Applet::globalShortcut
    {36, 1044, 463},	// Plasma::Applet::hasAuthorization$
    {36, 1045, 442},	// Plasma::Applet::hasConfigurationInterface
    {36, 1050, 439},	// Plasma::Applet::hasFailedToLaunch
    {36, 1058, 468},	// Plasma::Applet::hasValidAssociatedApplication
    {36, 1074, 518},	// Plasma::Applet::hoverEnterEvent#
    {36, 1076, 519},	// Plasma::Applet::hoverLeaveEvent#
    {36, 1080, 435},	// Plasma::Applet::icon
    {36, 1082, 399},	// Plasma::Applet::id
    {36, 1087, 437},	// Plasma::Applet::immutability
    {36, 1089, 480},	// Plasma::Applet::immutabilityChanged$
    {36, 1096, 489},	// Plasma::Applet::init
    {36, 1099, 457},	// Plasma::Applet::initExtenderItem#
    {36, 1127, 440},	// Plasma::Applet::isBusy
    {36, 1133, 448},	// Plasma::Applet::isContainment
    {36, 1150, 454},	// Plasma::Applet::isPopupShowing
    {36, 1152, 497},	// Plasma::Applet::isPublished
    {36, 1155, 508},	// Plasma::Applet::isRegisteredAsDragHandle#
    {36, 1166, 485},	// Plasma::Applet::isUserConfiguring
    {36, 1185, 515},	// Plasma::Applet::itemChange$#
    {36, 1243, 524},	// Plasma::Applet::listAppletInfo
    {36, 1244, 525},	// Plasma::Applet::listAppletInfo$
    {36, 1245, 419},	// Plasma::Applet::listAppletInfo$$
    {36, 1247, 420},	// Plasma::Applet::listAppletInfoForMimetype$
    {36, 1249, 421},	// Plasma::Applet::listAppletInfoForUrl#
    {36, 1252, 526},	// Plasma::Applet::listCategories
    {36, 1253, 527},	// Plasma::Applet::listCategories$
    {36, 1254, 422},	// Plasma::Applet::listCategories$$
    {36, 1287, 532},	// Plasma::Applet::load#
    {36, 1290, 533},	// Plasma::Applet::load#$
    {36, 1291, 427},	// Plasma::Applet::load#$?
    {36, 1293, 530},	// Plasma::Applet::load$
    {36, 1295, 531},	// Plasma::Applet::load$$
    {36, 1296, 426},	// Plasma::Applet::load$$?
    {36, 1309, 528},	// Plasma::Applet::loadPlasmoid$
    {36, 1310, 529},	// Plasma::Applet::loadPlasmoid$$
    {36, 1311, 425},	// Plasma::Applet::loadPlasmoid$$?
    {36, 1319, 415},	// Plasma::Applet::location
    {36, 1327, 487},	// Plasma::Applet::lower
    {36, 1335, 409},	// Plasma::Applet::mapFromView##
    {36, 1337, 410},	// Plasma::Applet::mapToView##
    {36, 1355, 476},	// Plasma::Applet::messageButtonPressed$
    {36, 1356, 391},	// Plasma::Applet::metaObject
    {36, 1374, 512},	// Plasma::Applet::mouseMoveEvent#
    {36, 1391, 431},	// Plasma::Applet::name
    {36, 1397, 478},	// Plasma::Applet::newStatus$
    {36, 1419, 407},	// Plasma::Applet::package
    {36, 1420, 398},	// Plasma::Applet::packageStructure
    {36, 1443, 430},	// Plasma::Applet::paintInterface###
    {36, 1445, 438},	// Plasma::Applet::paintWindowFrame###
    {36, 1463, 433},	// Plasma::Applet::pluginName
    {36, 1472, 411},	// Plasma::Applet::popupPosition#
    {36, 1475, 412},	// Plasma::Applet::popupPosition#$
    {36, 1489, 495},	// Plasma::Applet::publish$$
    {36, 1491, 397},	// Plasma::Applet::qt_metacall$$?
    {36, 1493, 392},	// Plasma::Applet::qt_metacast$
    {36, 1497, 486},	// Plasma::Applet::raise
    {36, 1508, 506},	// Plasma::Applet::registerAsDragHandle#
    {36, 1520, 469},	// Plasma::Applet::releaseVisualFocus
    {36, 1540, 456},	// Plasma::Applet::removeAssociatedWidget#
    {36, 1591, 514},	// Plasma::Applet::resizeEvent#
    {36, 1596, 403},	// Plasma::Applet::restore#
    {36, 1607, 498},	// Plasma::Applet::runAssociatedApplication
    {36, 1614, 402},	// Plasma::Applet::save#
    {36, 1620, 501},	// Plasma::Applet::saveState#
    {36, 1628, 511},	// Plasma::Applet::sceneEventFilter##
    {36, 1639, 449},	// Plasma::Applet::screenRect
    {36, 1683, 418},	// Plasma::Applet::setAspectRatioMode$
    {36, 1685, 464},	// Plasma::Applet::setAssociatedApplication$
    {36, 1687, 465},	// Plasma::Applet::setAssociatedApplicationUrls?
    {36, 1707, 446},	// Plasma::Applet::setBackgroundHints$
    {36, 1711, 491},	// Plasma::Applet::setBusy$
    {36, 1733, 540},	// Plasma::Applet::setConfigurationRequired$
    {36, 1734, 503},	// Plasma::Applet::setConfigurationRequired$$
    {36, 1764, 423},	// Plasma::Applet::setCustomCategories?
    {36, 1821, 539},	// Plasma::Applet::setFailedToLaunch$
    {36, 1822, 500},	// Plasma::Applet::setFailedToLaunch$$
    {36, 1837, 452},	// Plasma::Applet::setGlobalShortcut#
    {36, 1846, 502},	// Plasma::Applet::setHasConfigurationInterface$
    {36, 1878, 481},	// Plasma::Applet::setImmutability$
    {36, 2052, 494},	// Plasma::Applet::setStatus$
    {36, 2169, 516},	// Plasma::Applet::shape
    {36, 2171, 434},	// Plasma::Applet::shouldConserveResources
    {36, 2177, 483},	// Plasma::Applet::showConfigurationInterface
    {36, 2178, 484},	// Plasma::Applet::showConfigurationInterface#
    {36, 2190, 504},	// Plasma::Applet::showMessage#$$
    {36, 2208, 541},	// Plasma::Applet::sizeHint$
    {36, 2209, 517},	// Plasma::Applet::sizeHint$#
    {36, 2211, 473},	// Plasma::Applet::sizeHintChanged$
    {36, 2229, 492},	// Plasma::Applet::startupArguments
    {36, 2231, 542},	// Plasma::Applet::staticMetaObject
    {36, 2232, 493},	// Plasma::Applet::status
    {36, 2298, 520},	// Plasma::Applet::timerEvent#
    {36, 2313, 521},	// Plasma::Applet::tr$
    {36, 2314, 393},	// Plasma::Applet::tr$$
    {36, 2315, 395},	// Plasma::Applet::tr$$$
    {36, 2317, 522},	// Plasma::Applet::trUtf8$
    {36, 2318, 394},	// Plasma::Applet::trUtf8$$
    {36, 2319, 396},	// Plasma::Applet::trUtf8$$$
    {36, 2321, 450},	// Plasma::Applet::type
    {36, 2330, 496},	// Plasma::Applet::unpublish
    {36, 2332, 507},	// Plasma::Applet::unregisterAsDragHandle#
    {36, 2340, 523},	// Plasma::Applet::updateConstraints
    {36, 2341, 413},	// Plasma::Applet::updateConstraints$
    {36, 2382, 408},	// Plasma::Applet::view
    {36, 2423, 548},	// Plasma::Applet::~Applet
    {37, 47, 590},	// Plasma::AppletScript::AppletScript
    {37, 48, 556},	// Plasma::AppletScript::AppletScript#
    {37, 630, 582},	// Plasma::AppletScript::addStandardConfigurationPages#
    {37, 669, 558},	// Plasma::AppletScript::applet
    {37, 745, 576},	// Plasma::AppletScript::configChanged
    {37, 746, 567},	// Plasma::AppletScript::configNeedsSaving
    {37, 766, 561},	// Plasma::AppletScript::constraintsEvent$
    {37, 784, 571},	// Plasma::AppletScript::containmentType
    {37, 801, 562},	// Plasma::AppletScript::contextualActions
    {37, 845, 577},	// Plasma::AppletScript::dataEngine$
    {37, 854, 580},	// Plasma::AppletScript::description
    {37, 908, 569},	// Plasma::AppletScript::drawWallpaper
    {37, 971, 568},	// Plasma::AppletScript::extender
    {37, 1155, 586},	// Plasma::AppletScript::isRegisteredAsDragHandle#
    {37, 1300, 587},	// Plasma::AppletScript::loadAnimationFromPackage$#
    {37, 1329, 578},	// Plasma::AppletScript::mainScript
    {37, 1356, 549},	// Plasma::AppletScript::metaObject
    {37, 1419, 579},	// Plasma::AppletScript::package
    {37, 1443, 559},	// Plasma::AppletScript::paintInterface###
    {37, 1468, 574},	// Plasma::AppletScript::popupEvent$
    {37, 1491, 555},	// Plasma::AppletScript::qt_metacall$$?
    {37, 1493, 550},	// Plasma::AppletScript::qt_metacast$
    {37, 1508, 584},	// Plasma::AppletScript::registerAsDragHandle#
    {37, 1620, 573},	// Plasma::AppletScript::saveState#
    {37, 1677, 557},	// Plasma::AppletScript::setApplet#
    {37, 1733, 591},	// Plasma::AppletScript::setConfigurationRequired$
    {37, 1734, 565},	// Plasma::AppletScript::setConfigurationRequired$$
    {37, 1742, 572},	// Plasma::AppletScript::setContainmentType$
    {37, 1798, 570},	// Plasma::AppletScript::setDrawWallpaper$
    {37, 1821, 592},	// Plasma::AppletScript::setFailedToLaunch$
    {37, 1822, 566},	// Plasma::AppletScript::setFailedToLaunch$$
    {37, 1846, 564},	// Plasma::AppletScript::setHasConfigurationInterface$
    {37, 2169, 563},	// Plasma::AppletScript::shape
    {37, 2177, 575},	// Plasma::AppletScript::showConfigurationInterface
    {37, 2190, 583},	// Plasma::AppletScript::showMessage#$$
    {37, 2202, 560},	// Plasma::AppletScript::size
    {37, 2224, 581},	// Plasma::AppletScript::standardConfigurationDialog
    {37, 2231, 593},	// Plasma::AppletScript::staticMetaObject
    {37, 2313, 588},	// Plasma::AppletScript::tr$
    {37, 2314, 551},	// Plasma::AppletScript::tr$$
    {37, 2315, 553},	// Plasma::AppletScript::tr$$$
    {37, 2317, 589},	// Plasma::AppletScript::trUtf8$
    {37, 2318, 552},	// Plasma::AppletScript::trUtf8$$
    {37, 2319, 554},	// Plasma::AppletScript::trUtf8$$$
    {37, 2332, 585},	// Plasma::AppletScript::unregisterAsDragHandle#
    {37, 2424, 594},	// Plasma::AppletScript::~AppletScript
    {38, 51, 597},	// Plasma::AuthorizationInterface::AuthorizationInterface
    {38, 52, 598},	// Plasma::AuthorizationInterface::AuthorizationInterface#
    {38, 692, 595},	// Plasma::AuthorizationInterface::authorizationRequest#
    {38, 734, 596},	// Plasma::AuthorizationInterface::clientPinRequest#
    {38, 2425, 599},	// Plasma::AuthorizationInterface::~AuthorizationInterface
    {39, 119, 617},	// Plasma::AuthorizationManager::Custom
    {39, 139, 614},	// Plasma::AuthorizationManager::DenyAll
    {39, 369, 616},	// Plasma::AuthorizationManager::PinPairing
    {39, 512, 615},	// Plasma::AuthorizationManager::TrustedOnly
    {39, 1356, 600},	// Plasma::AuthorizationManager::metaObject
    {39, 1491, 606},	// Plasma::AuthorizationManager::qt_metacall$$?
    {39, 1493, 601},	// Plasma::AuthorizationManager::qt_metacast$
    {39, 1502, 610},	// Plasma::AuthorizationManager::readyForRemoteAccess
    {39, 1652, 607},	// Plasma::AuthorizationManager::self
    {39, 1691, 609},	// Plasma::AuthorizationManager::setAuthorizationInterface#
    {39, 1693, 608},	// Plasma::AuthorizationManager::setAuthorizationPolicy$
    {39, 2231, 613},	// Plasma::AuthorizationManager::staticMetaObject
    {39, 2313, 611},	// Plasma::AuthorizationManager::tr$
    {39, 2314, 602},	// Plasma::AuthorizationManager::tr$$
    {39, 2315, 604},	// Plasma::AuthorizationManager::tr$$$
    {39, 2317, 612},	// Plasma::AuthorizationManager::trUtf8$
    {39, 2318, 603},	// Plasma::AuthorizationManager::trUtf8$$
    {39, 2319, 605},	// Plasma::AuthorizationManager::trUtf8$$$
    {40, 26, 646},	// Plasma::AuthorizationRule::AllServices
    {40, 27, 645},	// Plasma::AuthorizationRule::AllUsers
    {40, 28, 640},	// Plasma::AuthorizationRule::Allow
    {40, 131, 644},	// Plasma::AuthorizationRule::Default
    {40, 138, 639},	// Plasma::AuthorizationRule::Deny
    {40, 368, 643},	// Plasma::AuthorizationRule::Persistent
    {40, 370, 641},	// Plasma::AuthorizationRule::PinRequired
    {40, 507, 642},	// Plasma::AuthorizationRule::Transient
    {40, 718, 635},	// Plasma::AuthorizationRule::changed#
    {40, 854, 625},	// Plasma::AuthorizationRule::description
    {40, 1356, 618},	// Plasma::AuthorizationRule::metaObject
    {40, 1457, 629},	// Plasma::AuthorizationRule::persistence
    {40, 1458, 633},	// Plasma::AuthorizationRule::pin
    {40, 1464, 627},	// Plasma::AuthorizationRule::policy
    {40, 1491, 624},	// Plasma::AuthorizationRule::qt_metacall$$?
    {40, 1493, 619},	// Plasma::AuthorizationRule::qt_metacast$
    {40, 1656, 634},	// Plasma::AuthorizationRule::serviceName
    {40, 1956, 628},	// Plasma::AuthorizationRule::setPersistence$
    {40, 1958, 632},	// Plasma::AuthorizationRule::setPin$
    {40, 1962, 626},	// Plasma::AuthorizationRule::setPolicy$
    {40, 2087, 630},	// Plasma::AuthorizationRule::setTargets$
    {40, 2231, 638},	// Plasma::AuthorizationRule::staticMetaObject
    {40, 2280, 631},	// Plasma::AuthorizationRule::targets
    {40, 2313, 636},	// Plasma::AuthorizationRule::tr$
    {40, 2314, 620},	// Plasma::AuthorizationRule::tr$$
    {40, 2315, 622},	// Plasma::AuthorizationRule::tr$$$
    {40, 2317, 637},	// Plasma::AuthorizationRule::trUtf8$
    {40, 2318, 621},	// Plasma::AuthorizationRule::trUtf8$$
    {40, 2319, 623},	// Plasma::AuthorizationRule::trUtf8$$$
    {40, 2426, 647},	// Plasma::AuthorizationRule::~AuthorizationRule
    {41, 68, 670},	// Plasma::BusyWidget::BusyWidget
    {41, 69, 655},	// Plasma::BusyWidget::BusyWidget#
    {41, 731, 660},	// Plasma::BusyWidget::clicked
    {41, 1065, 663},	// Plasma::BusyWidget::hideEvent#
    {41, 1158, 657},	// Plasma::BusyWidget::isRunning
    {41, 1211, 659},	// Plasma::BusyWidget::label
    {41, 1356, 648},	// Plasma::BusyWidget::metaObject
    {41, 1376, 665},	// Plasma::BusyWidget::mousePressEvent#
    {41, 1378, 666},	// Plasma::BusyWidget::mouseReleaseEvent#
    {41, 1426, 671},	// Plasma::BusyWidget::paint##
    {41, 1427, 661},	// Plasma::BusyWidget::paint###
    {41, 1491, 654},	// Plasma::BusyWidget::qt_metacall$$?
    {41, 1493, 649},	// Plasma::BusyWidget::qt_metacast$
    {41, 1591, 664},	// Plasma::BusyWidget::resizeEvent#
    {41, 1890, 658},	// Plasma::BusyWidget::setLabel$
    {41, 2009, 656},	// Plasma::BusyWidget::setRunning$
    {41, 2186, 662},	// Plasma::BusyWidget::showEvent#
    {41, 2231, 672},	// Plasma::BusyWidget::staticMetaObject
    {41, 2298, 667},	// Plasma::BusyWidget::timerEvent#
    {41, 2313, 668},	// Plasma::BusyWidget::tr$
    {41, 2314, 650},	// Plasma::BusyWidget::tr$$
    {41, 2315, 652},	// Plasma::BusyWidget::tr$$$
    {41, 2317, 669},	// Plasma::BusyWidget::trUtf8$
    {41, 2318, 651},	// Plasma::BusyWidget::trUtf8$$
    {41, 2319, 653},	// Plasma::BusyWidget::trUtf8$$$
    {41, 2427, 673},	// Plasma::BusyWidget::~BusyWidget
    {42, 86, 696},	// Plasma::CheckBox::CheckBox
    {42, 87, 681},	// Plasma::CheckBox::CheckBox#
    {42, 716, 693},	// Plasma::CheckBox::changeEvent#
    {42, 1084, 685},	// Plasma::CheckBox::image
    {42, 1129, 690},	// Plasma::CheckBox::isChecked
    {42, 1356, 674},	// Plasma::CheckBox::metaObject
    {42, 1393, 688},	// Plasma::CheckBox::nativeWidget
    {42, 1491, 680},	// Plasma::CheckBox::qt_metacall$$?
    {42, 1493, 675},	// Plasma::CheckBox::qt_metacast$
    {42, 1591, 692},	// Plasma::CheckBox::resizeEvent#
    {42, 1721, 689},	// Plasma::CheckBox::setChecked$
    {42, 1873, 684},	// Plasma::CheckBox::setImage$
    {42, 2057, 686},	// Plasma::CheckBox::setStyleSheet$
    {42, 2089, 682},	// Plasma::CheckBox::setText$
    {42, 2231, 697},	// Plasma::CheckBox::staticMetaObject
    {42, 2244, 687},	// Plasma::CheckBox::styleSheet
    {42, 2282, 683},	// Plasma::CheckBox::text
    {42, 2302, 691},	// Plasma::CheckBox::toggled$
    {42, 2313, 694},	// Plasma::CheckBox::tr$
    {42, 2314, 676},	// Plasma::CheckBox::tr$$
    {42, 2315, 678},	// Plasma::CheckBox::tr$$$
    {42, 2317, 695},	// Plasma::CheckBox::trUtf8$
    {42, 2318, 677},	// Plasma::CheckBox::trUtf8$$
    {42, 2319, 679},	// Plasma::CheckBox::trUtf8$$$
    {42, 2428, 698},	// Plasma::CheckBox::~CheckBox
    {43, 718, 709},	// Plasma::ClientPinRequest::changed#
    {43, 854, 706},	// Plasma::ClientPinRequest::description
    {43, 1356, 699},	// Plasma::ClientPinRequest::metaObject
    {43, 1458, 708},	// Plasma::ClientPinRequest::pin
    {43, 1491, 705},	// Plasma::ClientPinRequest::qt_metacall$$?
    {43, 1493, 700},	// Plasma::ClientPinRequest::qt_metacast$
    {43, 1958, 707},	// Plasma::ClientPinRequest::setPin$
    {43, 2231, 712},	// Plasma::ClientPinRequest::staticMetaObject
    {43, 2313, 710},	// Plasma::ClientPinRequest::tr$
    {43, 2314, 701},	// Plasma::ClientPinRequest::tr$$
    {43, 2315, 703},	// Plasma::ClientPinRequest::tr$$$
    {43, 2317, 711},	// Plasma::ClientPinRequest::trUtf8$
    {43, 2318, 702},	// Plasma::ClientPinRequest::trUtf8$$
    {43, 2319, 704},	// Plasma::ClientPinRequest::trUtf8$$$
    {44, 89, 744},	// Plasma::ComboBox::ComboBox
    {44, 90, 720},	// Plasma::ComboBox::ComboBox#
    {44, 575, 731},	// Plasma::ComboBox::activated$
    {44, 607, 726},	// Plasma::ComboBox::addItem$
    {44, 716, 740},	// Plasma::ComboBox::changeEvent#
    {44, 722, 730},	// Plasma::ComboBox::clear
    {44, 804, 727},	// Plasma::ComboBox::count
    {44, 828, 728},	// Plasma::ComboBox::currentIndex
    {44, 830, 733},	// Plasma::ComboBox::currentIndexChanged$
    {44, 1004, 736},	// Plasma::ComboBox::focusInEvent#
    {44, 1008, 737},	// Plasma::ComboBox::focusOutEvent#
    {44, 1074, 738},	// Plasma::ComboBox::hoverEnterEvent#
    {44, 1076, 739},	// Plasma::ComboBox::hoverLeaveEvent#
    {44, 1356, 713},	// Plasma::ComboBox::metaObject
    {44, 1376, 741},	// Plasma::ComboBox::mousePressEvent#
    {44, 1393, 725},	// Plasma::ComboBox::nativeWidget
    {44, 1427, 735},	// Plasma::ComboBox::paint###
    {44, 1491, 719},	// Plasma::ComboBox::qt_metacall$$?
    {44, 1493, 714},	// Plasma::ComboBox::qt_metacast$
    {44, 1591, 734},	// Plasma::ComboBox::resizeEvent#
    {44, 1762, 729},	// Plasma::ComboBox::setCurrentIndex$
    {44, 1930, 724},	// Plasma::ComboBox::setNativeWidget#
    {44, 2057, 722},	// Plasma::ComboBox::setStyleSheet$
    {44, 2231, 745},	// Plasma::ComboBox::staticMetaObject
    {44, 2244, 723},	// Plasma::ComboBox::styleSheet
    {44, 2282, 721},	// Plasma::ComboBox::text
    {44, 2285, 732},	// Plasma::ComboBox::textChanged$
    {44, 2313, 742},	// Plasma::ComboBox::tr$
    {44, 2314, 715},	// Plasma::ComboBox::tr$$
    {44, 2315, 717},	// Plasma::ComboBox::tr$$$
    {44, 2317, 743},	// Plasma::ComboBox::trUtf8$
    {44, 2318, 716},	// Plasma::ComboBox::trUtf8$$
    {44, 2319, 718},	// Plasma::ComboBox::trUtf8$$$
    {44, 2429, 746},	// Plasma::ComboBox::~ComboBox
    {45, 93, 758},	// Plasma::ConfigLoader::ConfigLoader##
    {45, 94, 749},	// Plasma::ConfigLoader::ConfigLoader###
    {45, 95, 756},	// Plasma::ConfigLoader::ConfigLoader$#
    {45, 96, 747},	// Plasma::ConfigLoader::ConfigLoader$##
    {45, 97, 757},	// Plasma::ConfigLoader::ConfigLoader?#
    {45, 98, 748},	// Plasma::ConfigLoader::ConfigLoader?##
    {45, 987, 750},	// Plasma::ConfigLoader::findItem$$
    {45, 989, 751},	// Plasma::ConfigLoader::findItemByName$
    {45, 1041, 754},	// Plasma::ConfigLoader::groupList
    {45, 1052, 753},	// Plasma::ConfigLoader::hasGroup$
    {45, 1486, 752},	// Plasma::ConfigLoader::property$
    {45, 2367, 755},	// Plasma::ConfigLoader::usrWriteConfig
    {45, 2430, 759},	// Plasma::ConfigLoader::~ConfigLoader
    {46, 101, 849},	// Plasma::Containment::Containment
    {46, 102, 850},	// Plasma::Containment::Containment#
    {46, 103, 851},	// Plasma::Containment::Containment#$
    {46, 104, 767},	// Plasma::Containment::Containment#$$
    {46, 105, 768},	// Plasma::Containment::Containment#?
    {46, 120, 866},	// Plasma::Containment::CustomContainment
    {46, 121, 867},	// Plasma::Containment::CustomPanelContainment
    {46, 141, 864},	// Plasma::Containment::DesktopContainment
    {46, 332, 863},	// Plasma::Containment::NoContainmentType
    {46, 362, 865},	// Plasma::Containment::PanelContainment
    {46, 576, 800},	// Plasma::Containment::activity
    {46, 584, 858},	// Plasma::Containment::addApplet#
    {46, 585, 859},	// Plasma::Containment::addApplet##
    {46, 586, 777},	// Plasma::Containment::addApplet##$
    {46, 587, 856},	// Plasma::Containment::addApplet$
    {46, 588, 857},	// Plasma::Containment::addApplet$?
    {46, 589, 776},	// Plasma::Containment::addApplet$?#
    {46, 591, 794},	// Plasma::Containment::addAssociatedWidget#
    {46, 625, 820},	// Plasma::Containment::addSiblingContainment
    {46, 626, 813},	// Plasma::Containment::addSiblingContainment#
    {46, 641, 788},	// Plasma::Containment::addToolBoxAction#
    {46, 671, 808},	// Plasma::Containment::appletAdded##
    {46, 676, 809},	// Plasma::Containment::appletRemoved#
    {46, 679, 778},	// Plasma::Containment::applets
    {46, 724, 779},	// Plasma::Containment::clearApplets
    {46, 736, 793},	// Plasma::Containment::closeToolBox
    {46, 745, 826},	// Plasma::Containment::configChanged
    {46, 753, 816},	// Plasma::Containment::configureRequested#
    {46, 772, 806},	// Plasma::Containment::containmentActions$
    {46, 773, 807},	// Plasma::Containment::containmentActionsConfig
    {46, 776, 805},	// Plasma::Containment::containmentActionsTriggers
    {46, 784, 770},	// Plasma::Containment::containmentType
    {46, 793, 801},	// Plasma::Containment::context
    {46, 796, 817},	// Plasma::Containment::contextChanged#
    {46, 800, 834},	// Plasma::Containment::contextMenuEvent#
    {46, 803, 771},	// Plasma::Containment::corona
    {46, 855, 783},	// Plasma::Containment::desktop
    {46, 857, 823},	// Plasma::Containment::destroy
    {46, 858, 824},	// Plasma::Containment::destroy$
    {46, 882, 839},	// Plasma::Containment::dragEnterEvent#
    {46, 884, 840},	// Plasma::Containment::dragLeaveEvent#
    {46, 886, 841},	// Plasma::Containment::dragMoveEvent#
    {46, 908, 796},	// Plasma::Containment::drawWallpaper
    {46, 912, 842},	// Plasma::Containment::dropEvent#
    {46, 942, 787},	// Plasma::Containment::enableAction$$
    {46, 1005, 821},	// Plasma::Containment::focusNextApplet
    {46, 1009, 822},	// Plasma::Containment::focusPreviousApplet
    {46, 1096, 769},	// Plasma::Containment::init
    {46, 1164, 791},	// Plasma::Containment::isToolBoxOpen
    {46, 1185, 838},	// Plasma::Containment::itemChange$#
    {46, 1204, 835},	// Plasma::Containment::keyPressEvent#
    {46, 1222, 784},	// Plasma::Containment::lastDesktop
    {46, 1224, 782},	// Plasma::Containment::lastScreen
    {46, 1256, 774},	// Plasma::Containment::listContainmentTypes
    {46, 1257, 852},	// Plasma::Containment::listContainments
    {46, 1258, 853},	// Plasma::Containment::listContainments$
    {46, 1259, 772},	// Plasma::Containment::listContainments$$
    {46, 1261, 775},	// Plasma::Containment::listContainmentsForMimetype$
    {46, 1263, 854},	// Plasma::Containment::listContainmentsOfType$
    {46, 1264, 855},	// Plasma::Containment::listContainmentsOfType$$
    {46, 1265, 773},	// Plasma::Containment::listContainmentsOfType$$$
    {46, 1356, 760},	// Plasma::Containment::metaObject
    {46, 1374, 831},	// Plasma::Containment::mouseMoveEvent#
    {46, 1376, 832},	// Plasma::Containment::mousePressEvent#
    {46, 1378, 833},	// Plasma::Containment::mouseReleaseEvent#
    {46, 1404, 792},	// Plasma::Containment::openToolBox
    {46, 1491, 766},	// Plasma::Containment::qt_metacall$$?
    {46, 1493, 761},	// Plasma::Containment::qt_metacast$
    {46, 1540, 795},	// Plasma::Containment::removeAssociatedWidget#
    {46, 1563, 789},	// Plasma::Containment::removeToolBoxAction#
    {46, 1591, 843},	// Plasma::Containment::resizeEvent#
    {46, 1596, 786},	// Plasma::Containment::restore#
    {46, 1598, 830},	// Plasma::Containment::restoreContents#
    {46, 1614, 785},	// Plasma::Containment::save#
    {46, 1616, 829},	// Plasma::Containment::saveContents#
    {46, 1628, 837},	// Plasma::Containment::sceneEventFilter##
    {46, 1632, 781},	// Plasma::Containment::screen
    {46, 1634, 815},	// Plasma::Containment::screenChanged$$#
    {46, 1667, 799},	// Plasma::Containment::setActivity$
    {46, 1738, 804},	// Plasma::Containment::setContainmentActions$$
    {46, 1742, 827},	// Plasma::Containment::setContainmentType$
    {46, 1798, 828},	// Plasma::Containment::setDrawWallpaper$
    {46, 1831, 819},	// Plasma::Containment::setFormFactor$
    {46, 1903, 818},	// Plasma::Containment::setLocation$
    {46, 2013, 860},	// Plasma::Containment::setScreen$
    {46, 2014, 780},	// Plasma::Containment::setScreen$$
    {46, 2105, 845},	// Plasma::Containment::setToolBox#
    {46, 2107, 790},	// Plasma::Containment::setToolBoxOpen$
    {46, 2151, 861},	// Plasma::Containment::setWallpaper$
    {46, 2152, 797},	// Plasma::Containment::setWallpaper$$
    {46, 2175, 814},	// Plasma::Containment::showAddWidgetsInterface#
    {46, 2177, 825},	// Plasma::Containment::showConfigurationInterface
    {46, 2180, 802},	// Plasma::Containment::showContextMenu##
    {46, 2184, 803},	// Plasma::Containment::showDropZone#
    {46, 2231, 862},	// Plasma::Containment::staticMetaObject
    {46, 2303, 846},	// Plasma::Containment::toolBox
    {46, 2304, 844},	// Plasma::Containment::toolBoxItem
    {46, 2305, 811},	// Plasma::Containment::toolBoxToggled
    {46, 2307, 812},	// Plasma::Containment::toolBoxVisibilityChanged$
    {46, 2313, 847},	// Plasma::Containment::tr$
    {46, 2314, 762},	// Plasma::Containment::tr$$
    {46, 2315, 764},	// Plasma::Containment::tr$$$
    {46, 2317, 848},	// Plasma::Containment::trUtf8$
    {46, 2318, 763},	// Plasma::Containment::trUtf8$$
    {46, 2319, 765},	// Plasma::Containment::trUtf8$$$
    {46, 2393, 798},	// Plasma::Containment::wallpaper
    {46, 2398, 836},	// Plasma::Containment::wheelEvent#
    {46, 2416, 810},	// Plasma::Containment::zoomRequested#$
    {46, 2431, 868},	// Plasma::Containment::~Containment
    {47, 466, 869},	// Plasma::Containment::StyleOption::StyleOption
    {47, 467, -70},	// Plasma::Containment::StyleOption::StyleOption#
    {47, 513, 874},	// Plasma::Containment::StyleOption::Type
    {47, 526, 875},	// Plasma::Containment::StyleOption::Version
    {47, 2147, 873},	// Plasma::Containment::StyleOption::setView#
    {47, 2382, 872},	// Plasma::Containment::StyleOption::view
    {47, 2475, 876},	// Plasma::Containment::StyleOption::~StyleOption
    {48, 106, 912},	// Plasma::ContainmentActions::ContainmentActions
    {48, 107, 884},	// Plasma::ContainmentActions::ContainmentActions#
    {48, 108, 905},	// Plasma::ContainmentActions::ContainmentActions#?
    {48, 749, 896},	// Plasma::ContainmentActions::configurationAccepted
    {48, 750, 900},	// Plasma::ContainmentActions::configurationRequired
    {48, 770, 908},	// Plasma::ContainmentActions::containment
    {48, 798, 897},	// Plasma::ContainmentActions::contextEvent#
    {48, 801, 898},	// Plasma::ContainmentActions::contextualActions
    {48, 811, 895},	// Plasma::ContainmentActions::createConfigurationInterface#
    {48, 845, 899},	// Plasma::ContainmentActions::dataEngine$
    {48, 958, 903},	// Plasma::ContainmentActions::event#
    {48, 962, 901},	// Plasma::ContainmentActions::eventToString#
    {48, 1080, 891},	// Plasma::ContainmentActions::icon
    {48, 1097, 906},	// Plasma::ContainmentActions::init#
    {48, 1141, 892},	// Plasma::ContainmentActions::isInitialized
    {48, 1255, 885},	// Plasma::ContainmentActions::listContainmentActionsInfo
    {48, 1288, 914},	// Plasma::ContainmentActions::load##
    {48, 1289, 887},	// Plasma::ContainmentActions::load##?
    {48, 1290, 913},	// Plasma::ContainmentActions::load#$
    {48, 1291, 886},	// Plasma::ContainmentActions::load#$?
    {48, 1356, 877},	// Plasma::ContainmentActions::metaObject
    {48, 1391, 889},	// Plasma::ContainmentActions::name
    {48, 1420, 888},	// Plasma::ContainmentActions::packageStructure
    {48, 1450, 909},	// Plasma::ContainmentActions::paste##
    {48, 1463, 890},	// Plasma::ContainmentActions::pluginName
    {48, 1473, 902},	// Plasma::ContainmentActions::popupPosition##
    {48, 1491, 883},	// Plasma::ContainmentActions::qt_metacall$$?
    {48, 1493, 878},	// Plasma::ContainmentActions::qt_metacast$
    {48, 1596, 893},	// Plasma::ContainmentActions::restore#
    {48, 1614, 894},	// Plasma::ContainmentActions::save#
    {48, 1732, 915},	// Plasma::ContainmentActions::setConfigurationRequired
    {48, 1733, 907},	// Plasma::ContainmentActions::setConfigurationRequired$
    {48, 1736, 904},	// Plasma::ContainmentActions::setContainment#
    {48, 2231, 916},	// Plasma::ContainmentActions::staticMetaObject
    {48, 2313, 910},	// Plasma::ContainmentActions::tr$
    {48, 2314, 879},	// Plasma::ContainmentActions::tr$$
    {48, 2315, 881},	// Plasma::ContainmentActions::tr$$$
    {48, 2317, 911},	// Plasma::ContainmentActions::trUtf8$
    {48, 2318, 880},	// Plasma::ContainmentActions::trUtf8$$
    {48, 2319, 882},	// Plasma::ContainmentActions::trUtf8$$$
    {48, 2432, 917},	// Plasma::ContainmentActions::~ContainmentActions
    {49, 109, 918},	// Plasma::ContainmentActionsPluginsConfig::ContainmentActionsPluginsConfig
    {49, 110, 919},	// Plasma::ContainmentActionsPluginsConfig::ContainmentActionsPluginsConfig#
    {49, 617, 923},	// Plasma::ContainmentActionsPluginsConfig::addPlugin#$
    {49, 618, -12},	// Plasma::ContainmentActionsPluginsConfig::addPlugin$$$
    {49, 722, 921},	// Plasma::ContainmentActionsPluginsConfig::clear
    {49, 1414, 920},	// Plasma::ContainmentActionsPluginsConfig::operator=#
    {49, 1533, 922},	// Plasma::ContainmentActionsPluginsConfig::remove#
    {49, 2433, 926},	// Plasma::ContainmentActionsPluginsConfig::~ContainmentActionsPluginsConfig
    {50, 112, 946},	// Plasma::Context::Context
    {50, 113, 934},	// Plasma::Context::Context#
    {50, 578, 942},	// Plasma::Context::activityChanged#
    {50, 718, 941},	// Plasma::Context::changed#
    {50, 809, 935},	// Plasma::Context::createActivity$
    {50, 824, 938},	// Plasma::Context::currentActivity
    {50, 825, 940},	// Plasma::Context::currentActivityId
    {50, 1240, 936},	// Plasma::Context::listActivities
    {50, 1321, 943},	// Plasma::Context::locationChanged#
    {50, 1356, 927},	// Plasma::Context::metaObject
    {50, 1491, 933},	// Plasma::Context::qt_metacall$$?
    {50, 1493, 928},	// Plasma::Context::qt_metacast$
    {50, 1758, 937},	// Plasma::Context::setCurrentActivity$
    {50, 1760, 939},	// Plasma::Context::setCurrentActivityId$
    {50, 2231, 947},	// Plasma::Context::staticMetaObject
    {50, 2313, 944},	// Plasma::Context::tr$
    {50, 2314, 929},	// Plasma::Context::tr$$
    {50, 2315, 931},	// Plasma::Context::tr$$$
    {50, 2317, 945},	// Plasma::Context::trUtf8$
    {50, 2318, 930},	// Plasma::Context::trUtf8$$
    {50, 2319, 932},	// Plasma::Context::trUtf8$$$
    {50, 2434, 948},	// Plasma::Context::~Context
    {51, 116, 1016},	// Plasma::Corona::Corona
    {51, 117, 956},	// Plasma::Corona::Corona#
    {51, 563, 976},	// Plasma::Corona::action$
    {51, 565, 978},	// Plasma::Corona::actions
    {51, 580, 982},	// Plasma::Corona::addAction$
    {51, 581, 977},	// Plasma::Corona::addAction$#
    {51, 593, 1017},	// Plasma::Corona::addContainment$
    {51, 594, 963},	// Plasma::Corona::addContainment$?
    {51, 596, 1018},	// Plasma::Corona::addContainmentDelayed$
    {51, 597, 964},	// Plasma::Corona::addContainmentDelayed$?
    {51, 613, 967},	// Plasma::Corona::addOffscreenWidget#
    {51, 624, 981},	// Plasma::Corona::addShortcuts#
    {51, 674, 958},	// Plasma::Corona::appletMimeType
    {51, 698, 972},	// Plasma::Corona::availableScreenRegion$
    {51, 699, 1003},	// Plasma::Corona::availableScreenRegionChanged
    {51, 726, 961},	// Plasma::Corona::clearContainments
    {51, 743, 962},	// Plasma::Corona::config
    {51, 748, 1002},	// Plasma::Corona::configSynced
    {51, 775, 984},	// Plasma::Corona::containmentActionsDefaults$
    {51, 778, 999},	// Plasma::Corona::containmentAdded#
    {51, 780, 1019},	// Plasma::Corona::containmentForScreen$
    {51, 781, 965},	// Plasma::Corona::containmentForScreen$$
    {51, 782, 1020},	// Plasma::Corona::containmentForScreen$$$
    {51, 783, 966},	// Plasma::Corona::containmentForScreen$$$?
    {51, 785, 960},	// Plasma::Corona::containments
    {51, 848, 959},	// Plasma::Corona::defaultContainmentPlugin
    {51, 863, 986},	// Plasma::Corona::dialogManager
    {51, 882, 1011},	// Plasma::Corona::dragEnterEvent#
    {51, 884, 1012},	// Plasma::Corona::dragLeaveEvent#
    {51, 886, 1013},	// Plasma::Corona::dragMoveEvent#
    {51, 942, 979},	// Plasma::Corona::enableAction$$
    {51, 970, 990},	// Plasma::Corona::exportLayout#?
    {51, 1023, 975},	// Plasma::Corona::freeEdges$
    {51, 1087, 994},	// Plasma::Corona::immutability
    {51, 1089, 1004},	// Plasma::Corona::immutabilityChanged$
    {51, 1092, -15},	// Plasma::Corona::importLayout#
    {51, 1103, 1021},	// Plasma::Corona::initializeLayout
    {51, 1104, 991},	// Plasma::Corona::initializeLayout$
    {51, 1232, 998},	// Plasma::Corona::layoutContainments
    {51, 1301, 1006},	// Plasma::Corona::loadDefaultLayout
    {51, 1306, 1022},	// Plasma::Corona::loadLayout
    {51, 1307, 992},	// Plasma::Corona::loadLayout$
    {51, 1333, -18},	// Plasma::Corona::mapAnimation$$
    {51, 1356, 949},	// Plasma::Corona::metaObject
    {51, 1401, 970},	// Plasma::Corona::numScreens
    {51, 1402, 969},	// Plasma::Corona::offscreenWidgets
    {51, 1473, 973},	// Plasma::Corona::popupPosition##
    {51, 1474, 974},	// Plasma::Corona::popupPosition##$
    {51, 1478, 988},	// Plasma::Corona::preferredToolBoxPlugin$
    {51, 1491, 955},	// Plasma::Corona::qt_metacall$$?
    {51, 1493, 950},	// Plasma::Corona::qt_metacast$
    {51, 1520, 1001},	// Plasma::Corona::releaseVisualFocus
    {51, 1553, 968},	// Plasma::Corona::removeOffscreenWidget#
    {51, 1579, 996},	// Plasma::Corona::requestConfigSync
    {51, 1580, 997},	// Plasma::Corona::requireConfigSync
    {51, 1617, 1023},	// Plasma::Corona::saveLayout
    {51, 1618, 993},	// Plasma::Corona::saveLayout$
    {51, 1636, 971},	// Plasma::Corona::screenGeometry$
    {51, 1638, 1000},	// Plasma::Corona::screenOwnerChanged$$#
    {51, 1679, 957},	// Plasma::Corona::setAppletMimeType$
    {51, 1740, 983},	// Plasma::Corona::setContainmentActionsDefaults$#
    {51, 1775, 1010},	// Plasma::Corona::setDefaultContainmentPlugin$
    {51, 1790, 985},	// Plasma::Corona::setDialogManager#
    {51, 1878, 995},	// Plasma::Corona::setImmutability$
    {51, 1973, 1009},	// Plasma::Corona::setPreferredToolBoxPlugin$$
    {51, 2170, 1005},	// Plasma::Corona::shortcutsChanged
    {51, 2231, 1024},	// Plasma::Corona::staticMetaObject
    {51, 2313, 1014},	// Plasma::Corona::tr$
    {51, 2314, 951},	// Plasma::Corona::tr$$
    {51, 2315, 953},	// Plasma::Corona::tr$$$
    {51, 2317, 1015},	// Plasma::Corona::trUtf8$
    {51, 2318, 952},	// Plasma::Corona::trUtf8$$
    {51, 2319, 954},	// Plasma::Corona::trUtf8$$$
    {51, 2350, 980},	// Plasma::Corona::updateShortcuts
    {51, 2435, 1025},	// Plasma::Corona::~Corona
    {52, 122, 1056},	// Plasma::DataContainer::DataContainer
    {52, 123, 1033},	// Plasma::DataContainer::DataContainer#
    {52, 704, 1047},	// Plasma::DataContainer::becameUnused$
    {52, 719, 1049},	// Plasma::DataContainer::checkForUpdate
    {52, 720, 1052},	// Plasma::DataContainer::checkUsage
    {52, 764, 1038},	// Plasma::DataContainer::connectVisualization#$$
    {52, 843, 1034},	// Plasma::DataContainer::data
    {52, 847, 1046},	// Plasma::DataContainer::dataUpdated$?
    {52, 876, 1044},	// Plasma::DataContainer::disconnectVisualization#
    {52, 1015, 1045},	// Plasma::DataContainer::forceImmediateUpdate
    {52, 1027, 1043},	// Plasma::DataContainer::getDataEngine
    {52, 1160, 1040},	// Plasma::DataContainer::isStorageEnabled
    {52, 1356, 1026},	// Plasma::DataContainer::metaObject
    {52, 1395, 1041},	// Plasma::DataContainer::needsToBeStored
    {52, 1491, 1032},	// Plasma::DataContainer::qt_metacall$$?
    {52, 1493, 1027},	// Plasma::DataContainer::qt_metacast$
    {52, 1536, 1036},	// Plasma::DataContainer::removeAllData
    {52, 1769, 1035},	// Plasma::DataContainer::setData$#
    {52, 1932, 1042},	// Plasma::DataContainer::setNeedsToBeStored$
    {52, 1933, 1057},	// Plasma::DataContainer::setNeedsUpdate
    {52, 1934, 1051},	// Plasma::DataContainer::setNeedsUpdate$
    {52, 2054, 1039},	// Plasma::DataContainer::setStorageEnabled$
    {52, 2231, 1058},	// Plasma::DataContainer::staticMetaObject
    {52, 2296, 1050},	// Plasma::DataContainer::timeSinceLastUpdate
    {52, 2298, 1053},	// Plasma::DataContainer::timerEvent#
    {52, 2313, 1054},	// Plasma::DataContainer::tr$
    {52, 2314, 1028},	// Plasma::DataContainer::tr$$
    {52, 2315, 1030},	// Plasma::DataContainer::tr$$$
    {52, 2317, 1055},	// Plasma::DataContainer::trUtf8$
    {52, 2318, 1029},	// Plasma::DataContainer::trUtf8$$
    {52, 2319, 1031},	// Plasma::DataContainer::trUtf8$$$
    {52, 2349, 1048},	// Plasma::DataContainer::updateRequested#
    {52, 2392, 1037},	// Plasma::DataContainer::visualizationIsConnected#
    {52, 2436, 1059},	// Plasma::DataContainer::~DataContainer
    {53, 124, 1113},	// Plasma::DataEngine::DataEngine
    {53, 125, 1114},	// Plasma::DataEngine::DataEngine#
    {53, 126, -55},	// Plasma::DataEngine::DataEngine#?
    {53, 628, 1094},	// Plasma::DataEngine::addSource#
    {53, 755, 1117},	// Plasma::DataEngine::connectAllSources#
    {53, 756, 1118},	// Plasma::DataEngine::connectAllSources#$
    {53, 757, 1074},	// Plasma::DataEngine::connectAllSources#$$
    {53, 760, 1115},	// Plasma::DataEngine::connectSource$#
    {53, 761, 1116},	// Plasma::DataEngine::connectSource$#$
    {53, 762, 1073},	// Plasma::DataEngine::connectSource$#$$
    {53, 767, 1101},	// Plasma::DataEngine::containerDict
    {53, 769, 1076},	// Plasma::DataEngine::containerForSource$
    {53, 812, 1119},	// Plasma::DataEngine::createDefaultService
    {53, 813, 1084},	// Plasma::DataEngine::createDefaultService#
    {53, 874, 1075},	// Plasma::DataEngine::disconnectSource$#
    {53, 1016, 1110},	// Plasma::DataEngine::forceImmediateUpdateOfAllVisualizations
    {53, 1080, 1081},	// Plasma::DataEngine::icon
    {53, 1096, 1069},	// Plasma::DataEngine::init
    {53, 1136, 1079},	// Plasma::DataEngine::isEmpty
    {53, 1169, 1078},	// Plasma::DataEngine::isValid
    {53, 1350, 1080},	// Plasma::DataEngine::maxSourceCount
    {53, 1356, 1060},	// Plasma::DataEngine::metaObject
    {53, 1368, 1097},	// Plasma::DataEngine::minimumPollingInterval
    {53, 1391, 1072},	// Plasma::DataEngine::name
    {53, 1419, 1082},	// Plasma::DataEngine::package
    {53, 1463, 1083},	// Plasma::DataEngine::pluginName
    {53, 1491, 1066},	// Plasma::DataEngine::qt_metacall$$?
    {53, 1493, 1061},	// Plasma::DataEngine::qt_metacast$
    {53, 1495, 1077},	// Plasma::DataEngine::query$
    {53, 1537, 1092},	// Plasma::DataEngine::removeAllData$
    {53, 1538, 1099},	// Plasma::DataEngine::removeAllSources
    {53, 1542, 1093},	// Plasma::DataEngine::removeData$$
    {53, 1557, 1108},	// Plasma::DataEngine::removeSource$
    {53, 1631, 1107},	// Plasma::DataEngine::scheduleSourcesUpdated
    {53, 1655, 1071},	// Plasma::DataEngine::serviceForSource$
    {53, 1769, 1089},	// Plasma::DataEngine::setData$#
    {53, 1770, 1090},	// Plasma::DataEngine::setData$$#
    {53, 1771, 1091},	// Plasma::DataEngine::setData$?
    {53, 1781, 1105},	// Plasma::DataEngine::setDefaultService$
    {53, 1866, 1104},	// Plasma::DataEngine::setIcon$
    {53, 1907, 1095},	// Plasma::DataEngine::setMaxSourceCount$
    {53, 1921, 1096},	// Plasma::DataEngine::setMinimumPollingInterval$
    {53, 1928, 1103},	// Plasma::DataEngine::setName$
    {53, 1964, 1098},	// Plasma::DataEngine::setPollingInterval$
    {53, 2055, 1106},	// Plasma::DataEngine::setStorageEnabled$$
    {53, 2131, 1100},	// Plasma::DataEngine::setValid$
    {53, 2216, 1085},	// Plasma::DataEngine::sourceAdded$
    {53, 2218, 1086},	// Plasma::DataEngine::sourceRemoved$
    {53, 2220, 1087},	// Plasma::DataEngine::sourceRequestEvent$
    {53, 2221, 1070},	// Plasma::DataEngine::sources
    {53, 2231, 1120},	// Plasma::DataEngine::staticMetaObject
    {53, 2298, 1102},	// Plasma::DataEngine::timerEvent#
    {53, 2313, 1111},	// Plasma::DataEngine::tr$
    {53, 2314, 1062},	// Plasma::DataEngine::tr$$
    {53, 2315, 1064},	// Plasma::DataEngine::tr$$$
    {53, 2317, 1112},	// Plasma::DataEngine::trUtf8$
    {53, 2318, 1063},	// Plasma::DataEngine::trUtf8$$
    {53, 2319, 1065},	// Plasma::DataEngine::trUtf8$$$
    {53, 2339, 1109},	// Plasma::DataEngine::updateAllSources
    {53, 2352, 1088},	// Plasma::DataEngine::updateSourceEvent$
    {53, 2437, 1121},	// Plasma::DataEngine::~DataEngine
    {54, 948, 1130},	// Plasma::DataEngineManager::engine$
    {54, 1241, 1139},	// Plasma::DataEngineManager::listAllEngines
    {54, 1242, 1133},	// Plasma::DataEngineManager::listAllEngines$
    {54, 1266, 1140},	// Plasma::DataEngineManager::listEngineInfo
    {54, 1267, 1134},	// Plasma::DataEngineManager::listEngineInfo$
    {54, 1269, 1141},	// Plasma::DataEngineManager::listEngineInfoByCategory$
    {54, 1270, 1135},	// Plasma::DataEngineManager::listEngineInfoByCategory$$
    {54, 1303, 1131},	// Plasma::DataEngineManager::loadEngine$
    {54, 1356, 1122},	// Plasma::DataEngineManager::metaObject
    {54, 1491, 1128},	// Plasma::DataEngineManager::qt_metacall$$?
    {54, 1493, 1123},	// Plasma::DataEngineManager::qt_metacast$
    {54, 1652, 1129},	// Plasma::DataEngineManager::self
    {54, 2231, 1142},	// Plasma::DataEngineManager::staticMetaObject
    {54, 2298, 1136},	// Plasma::DataEngineManager::timerEvent#
    {54, 2313, 1137},	// Plasma::DataEngineManager::tr$
    {54, 2314, 1124},	// Plasma::DataEngineManager::tr$$
    {54, 2315, 1126},	// Plasma::DataEngineManager::tr$$$
    {54, 2317, 1138},	// Plasma::DataEngineManager::trUtf8$
    {54, 2318, 1125},	// Plasma::DataEngineManager::trUtf8$$
    {54, 2319, 1127},	// Plasma::DataEngineManager::trUtf8$$$
    {54, 2329, 1132},	// Plasma::DataEngineManager::unloadEngine$
    {55, 128, 1180},	// Plasma::DataEngineScript::DataEngineScript
    {55, 129, 1150},	// Plasma::DataEngineScript::DataEngineScript#
    {55, 628, 1170},	// Plasma::DataEngineScript::addSource#
    {55, 767, 1171},	// Plasma::DataEngineScript::containerDict
    {55, 844, 1152},	// Plasma::DataEngineScript::dataEngine
    {55, 854, 1159},	// Plasma::DataEngineScript::description
    {55, 1016, 1177},	// Plasma::DataEngineScript::forceImmediateUpdateOfAllVisualizations
    {55, 1329, 1157},	// Plasma::DataEngineScript::mainScript
    {55, 1356, 1143},	// Plasma::DataEngineScript::metaObject
    {55, 1368, 1167},	// Plasma::DataEngineScript::minimumPollingInterval
    {55, 1419, 1158},	// Plasma::DataEngineScript::package
    {55, 1491, 1149},	// Plasma::DataEngineScript::qt_metacall$$?
    {55, 1493, 1144},	// Plasma::DataEngineScript::qt_metacast$
    {55, 1537, 1163},	// Plasma::DataEngineScript::removeAllData$
    {55, 1538, 1169},	// Plasma::DataEngineScript::removeAllSources
    {55, 1542, 1164},	// Plasma::DataEngineScript::removeData$$
    {55, 1557, 1175},	// Plasma::DataEngineScript::removeSource$
    {55, 1631, 1174},	// Plasma::DataEngineScript::scheduleSourcesUpdated
    {55, 1655, 1156},	// Plasma::DataEngineScript::serviceForSource$
    {55, 1769, 1161},	// Plasma::DataEngineScript::setData$#
    {55, 1770, 1160},	// Plasma::DataEngineScript::setData$$#
    {55, 1771, 1162},	// Plasma::DataEngineScript::setData$?
    {55, 1773, 1151},	// Plasma::DataEngineScript::setDataEngine#
    {55, 1866, 1173},	// Plasma::DataEngineScript::setIcon$
    {55, 1907, 1165},	// Plasma::DataEngineScript::setMaxSourceCount$
    {55, 1921, 1166},	// Plasma::DataEngineScript::setMinimumPollingInterval$
    {55, 1928, 1172},	// Plasma::DataEngineScript::setName$
    {55, 1964, 1168},	// Plasma::DataEngineScript::setPollingInterval$
    {55, 2220, 1154},	// Plasma::DataEngineScript::sourceRequestEvent$
    {55, 2221, 1153},	// Plasma::DataEngineScript::sources
    {55, 2231, 1181},	// Plasma::DataEngineScript::staticMetaObject
    {55, 2313, 1178},	// Plasma::DataEngineScript::tr$
    {55, 2314, 1145},	// Plasma::DataEngineScript::tr$$
    {55, 2315, 1147},	// Plasma::DataEngineScript::tr$$$
    {55, 2317, 1179},	// Plasma::DataEngineScript::trUtf8$
    {55, 2318, 1146},	// Plasma::DataEngineScript::trUtf8$$
    {55, 2319, 1148},	// Plasma::DataEngineScript::trUtf8$$$
    {55, 2339, 1176},	// Plasma::DataEngineScript::updateAllSources
    {55, 2352, 1155},	// Plasma::DataEngineScript::updateSourceEvent$
    {55, 2438, 1182},	// Plasma::DataEngineScript::~DataEngineScript
    {56, 88, 1205},	// Plasma::Delegate::ColumnTypeRole
    {56, 135, 1201},	// Plasma::Delegate::Delegate
    {56, 136, 1190},	// Plasma::Delegate::Delegate#
    {56, 307, 1206},	// Plasma::Delegate::MainColumn
    {56, 433, 1207},	// Plasma::Delegate::SecondaryActionColumn
    {56, 469, 1204},	// Plasma::Delegate::SubTitleMandatoryRole
    {56, 470, 1203},	// Plasma::Delegate::SubTitleRole
    {56, 940, 1197},	// Plasma::Delegate::emptyRect##
    {56, 1356, 1183},	// Plasma::Delegate::metaObject
    {56, 1427, 1193},	// Plasma::Delegate::paint###
    {56, 1491, 1189},	// Plasma::Delegate::qt_metacall$$?
    {56, 1493, 1184},	// Plasma::Delegate::qt_metacast$
    {56, 1504, 1196},	// Plasma::Delegate::rectAfterSubTitle##
    {56, 1506, 1195},	// Plasma::Delegate::rectAfterTitle##
    {56, 1602, 1192},	// Plasma::Delegate::roleMapping$
    {56, 2005, 1191},	// Plasma::Delegate::setRoleMapping$$
    {56, 2193, 1194},	// Plasma::Delegate::showToolTip
    {56, 2207, 1198},	// Plasma::Delegate::sizeHint##
    {56, 2231, 1202},	// Plasma::Delegate::staticMetaObject
    {56, 2313, 1199},	// Plasma::Delegate::tr$
    {56, 2314, 1185},	// Plasma::Delegate::tr$$
    {56, 2315, 1187},	// Plasma::Delegate::tr$$$
    {56, 2317, 1200},	// Plasma::Delegate::trUtf8$
    {56, 2318, 1186},	// Plasma::Delegate::trUtf8$$
    {56, 2319, 1188},	// Plasma::Delegate::trUtf8$$$
    {56, 2439, 1208},	// Plasma::Delegate::~Delegate
    {57, 22, 1254},	// Plasma::Dialog::All
    {57, 146, 1246},	// Plasma::Dialog::Dialog
    {57, 147, 1247},	// Plasma::Dialog::Dialog#
    {57, 148, 1216},	// Plasma::Dialog::Dialog#$
    {57, 334, 1249},	// Plasma::Dialog::NoCorner
    {57, 347, 1250},	// Plasma::Dialog::NorthEast
    {57, 348, 1252},	// Plasma::Dialog::NorthWest
    {57, 457, 1251},	// Plasma::Dialog::SouthEast
    {57, 458, 1253},	// Plasma::Dialog::SouthWest
    {57, 650, 1224},	// Plasma::Dialog::animatedHide$
    {57, 652, 1225},	// Plasma::Dialog::animatedShow$
    {57, 681, 1226},	// Plasma::Dialog::aspectRatioMode
    {57, 864, 1228},	// Plasma::Dialog::dialogResized
    {57, 866, 1229},	// Plasma::Dialog::dialogVisible$
    {57, 958, 1232},	// Plasma::Dialog::event#
    {57, 960, 1234},	// Plasma::Dialog::eventFilter##
    {57, 1004, 1237},	// Plasma::Dialog::focusInEvent#
    {57, 1031, 1223},	// Plasma::Dialog::getMinimumResizeLimits$$$$
    {57, 1038, 1218},	// Plasma::Dialog::graphicsWidget
    {57, 1065, 1235},	// Plasma::Dialog::hideEvent#
    {57, 1094, 1243},	// Plasma::Dialog::inControlArea#
    {57, 1167, 1221},	// Plasma::Dialog::isUserResizing
    {57, 1204, 1241},	// Plasma::Dialog::keyPressEvent#
    {57, 1356, 1209},	// Plasma::Dialog::metaObject
    {57, 1374, 1238},	// Plasma::Dialog::mouseMoveEvent#
    {57, 1376, 1239},	// Plasma::Dialog::mousePressEvent#
    {57, 1378, 1240},	// Plasma::Dialog::mouseReleaseEvent#
    {57, 1380, 1242},	// Plasma::Dialog::moveEvent#
    {57, 1435, 1231},	// Plasma::Dialog::paintEvent#
    {57, 1491, 1215},	// Plasma::Dialog::qt_metacall$$?
    {57, 1493, 1210},	// Plasma::Dialog::qt_metacast$
    {57, 1589, 1220},	// Plasma::Dialog::resizeCorners
    {57, 1591, 1233},	// Plasma::Dialog::resizeEvent#
    {57, 1683, 1227},	// Plasma::Dialog::setAspectRatioMode$
    {57, 1839, 1217},	// Plasma::Dialog::setGraphicsWidget#
    {57, 1923, 1222},	// Plasma::Dialog::setMinimumResizeLimits$$$$
    {57, 2001, 1219},	// Plasma::Dialog::setResizeHandleCorners$
    {57, 2186, 1236},	// Plasma::Dialog::showEvent#
    {57, 2231, 1248},	// Plasma::Dialog::staticMetaObject
    {57, 2261, 1230},	// Plasma::Dialog::syncToGraphicsWidget
    {57, 2313, 1244},	// Plasma::Dialog::tr$
    {57, 2314, 1211},	// Plasma::Dialog::tr$$
    {57, 2315, 1213},	// Plasma::Dialog::tr$$$
    {57, 2317, 1245},	// Plasma::Dialog::trUtf8$
    {57, 2318, 1212},	// Plasma::Dialog::trUtf8$$
    {57, 2319, 1214},	// Plasma::Dialog::trUtf8$$$
    {57, 2440, 1255},	// Plasma::Dialog::~Dialog
    {58, 64, 1299},	// Plasma::Extender::BottomUpStacked
    {58, 167, 1263},	// Plasma::Extender::Extender#
    {58, 328, 1298},	// Plasma::Extender::NoBorders
    {58, 501, 1300},	// Plasma::Extender::TopDownStacked
    {58, 665, 1274},	// Plasma::Extender::appearance
    {58, 669, 1276},	// Plasma::Extender::applet
    {58, 688, 1267},	// Plasma::Extender::attachedItems
    {58, 861, 1268},	// Plasma::Extender::detachedItems
    {58, 882, 1287},	// Plasma::Extender::dragEnterEvent#
    {58, 884, 1289},	// Plasma::Extender::dragLeaveEvent#
    {58, 886, 1288},	// Plasma::Extender::dragMoveEvent#
    {58, 912, 1290},	// Plasma::Extender::dropEvent#
    {58, 938, 1265},	// Plasma::Extender::emptyExtenderMessage
    {58, 945, 1283},	// Plasma::Extender::enabledBordersForItem#
    {58, 1025, 1293},	// Plasma::Extender::geometryChanged
    {58, 1040, 1270},	// Plasma::Extender::group$
    {58, 1042, 1275},	// Plasma::Extender::groups
    {58, 1054, 1271},	// Plasma::Extender::hasItem$
    {58, 1136, 1272},	// Plasma::Extender::isEmpty
    {58, 1174, 1269},	// Plasma::Extender::item$
    {58, 1178, 1296},	// Plasma::Extender::itemAddedEvent#
    {58, 1179, 1277},	// Plasma::Extender::itemAddedEvent##
    {58, 1183, 1291},	// Plasma::Extender::itemAttached#
    {58, 1185, 1284},	// Plasma::Extender::itemChange$#
    {58, 1187, 1292},	// Plasma::Extender::itemDetached#
    {58, 1191, 1279},	// Plasma::Extender::itemHoverEnterEvent#
    {58, 1193, 1281},	// Plasma::Extender::itemHoverLeaveEvent#
    {58, 1195, 1280},	// Plasma::Extender::itemHoverMoveEvent##
    {58, 1197, 1278},	// Plasma::Extender::itemRemovedEvent#
    {58, 1202, 1266},	// Plasma::Extender::items
    {58, 1356, 1256},	// Plasma::Extender::metaObject
    {58, 1376, 1286},	// Plasma::Extender::mousePressEvent#
    {58, 1491, 1262},	// Plasma::Extender::qt_metacall$$?
    {58, 1493, 1257},	// Plasma::Extender::qt_metacast$
    {58, 1591, 1285},	// Plasma::Extender::resizeEvent#
    {58, 1619, 1282},	// Plasma::Extender::saveState
    {58, 1675, 1273},	// Plasma::Extender::setAppearance$
    {58, 1811, 1264},	// Plasma::Extender::setEmptyExtenderMessage$
    {58, 2231, 1297},	// Plasma::Extender::staticMetaObject
    {58, 2313, 1294},	// Plasma::Extender::tr$
    {58, 2314, 1258},	// Plasma::Extender::tr$$
    {58, 2315, 1260},	// Plasma::Extender::tr$$$
    {58, 2317, 1295},	// Plasma::Extender::trUtf8$
    {58, 2318, 1259},	// Plasma::Extender::trUtf8$$
    {58, 2319, 1261},	// Plasma::Extender::trUtf8$$$
    {58, 2441, 1301},	// Plasma::Extender::~Extender
    {59, 169, 1327},	// Plasma::ExtenderGroup::ExtenderGroup#
    {59, 170, 1309},	// Plasma::ExtenderGroup::ExtenderGroup#$
    {59, 694, 1311},	// Plasma::ExtenderGroup::autoHide
    {59, 737, 1318},	// Plasma::ExtenderGroup::collapseGroup
    {59, 882, 1321},	// Plasma::ExtenderGroup::dragEnterEvent#
    {59, 884, 1323},	// Plasma::ExtenderGroup::dragLeaveEvent#
    {59, 886, 1322},	// Plasma::ExtenderGroup::dragMoveEvent#
    {59, 912, 1324},	// Plasma::ExtenderGroup::dropEvent#
    {59, 960, 1320},	// Plasma::ExtenderGroup::eventFilter##
    {59, 968, 1317},	// Plasma::ExtenderGroup::expandGroup
    {59, 1126, 1314},	// Plasma::ExtenderGroup::isAutoCollapse
    {59, 1139, 1313},	// Plasma::ExtenderGroup::isGroupCollapsed
    {59, 1202, 1310},	// Plasma::ExtenderGroup::items
    {59, 1356, 1302},	// Plasma::ExtenderGroup::metaObject
    {59, 1491, 1308},	// Plasma::ExtenderGroup::qt_metacall$$?
    {59, 1493, 1303},	// Plasma::ExtenderGroup::qt_metacast$
    {59, 1591, 1319},	// Plasma::ExtenderGroup::resizeEvent#
    {59, 1695, 1315},	// Plasma::ExtenderGroup::setAutoCollapse$
    {59, 1699, 1312},	// Plasma::ExtenderGroup::setAutoHide$
    {59, 1844, 1316},	// Plasma::ExtenderGroup::setGroupCollapsed$
    {59, 2231, 1328},	// Plasma::ExtenderGroup::staticMetaObject
    {59, 2313, 1325},	// Plasma::ExtenderGroup::tr$
    {59, 2314, 1304},	// Plasma::ExtenderGroup::tr$$
    {59, 2315, 1306},	// Plasma::ExtenderGroup::tr$$$
    {59, 2317, 1326},	// Plasma::ExtenderGroup::trUtf8$
    {59, 2318, 1305},	// Plasma::ExtenderGroup::trUtf8$$
    {59, 2319, 1307},	// Plasma::ExtenderGroup::trUtf8$$$
    {59, 2442, 1329},	// Plasma::ExtenderGroup::~ExtenderGroup
    {60, 172, 1381},	// Plasma::ExtenderItem::ExtenderItem#
    {60, 173, 1337},	// Plasma::ExtenderItem::ExtenderItem#$
    {60, 563, 1359},	// Plasma::ExtenderItem::action$
    {60, 581, 1358},	// Plasma::ExtenderItem::addAction$#
    {60, 693, 1355},	// Plasma::ExtenderItem::autoExpireDelay
    {60, 743, 1338},	// Plasma::ExtenderItem::config
    {60, 857, 1362},	// Plasma::ExtenderItem::destroy
    {60, 860, 1367},	// Plasma::ExtenderItem::destroyed#
    {60, 971, 1349},	// Plasma::ExtenderItem::extender
    {60, 1039, 1352},	// Plasma::ExtenderItem::group
    {60, 1063, 1366},	// Plasma::ExtenderItem::hideCloseButton
    {60, 1076, 1376},	// Plasma::ExtenderItem::hoverLeaveEvent#
    {60, 1078, 1375},	// Plasma::ExtenderItem::hoverMoveEvent#
    {60, 1080, 1347},	// Plasma::ExtenderItem::icon
    {60, 1132, 1357},	// Plasma::ExtenderItem::isCollapsed
    {60, 1134, 1356},	// Plasma::ExtenderItem::isDetached
    {60, 1138, 1353},	// Plasma::ExtenderItem::isGroup
    {60, 1165, 1361},	// Plasma::ExtenderItem::isTransient
    {60, 1356, 1330},	// Plasma::ExtenderItem::metaObject
    {60, 1372, 1372},	// Plasma::ExtenderItem::mouseDoubleClickEvent#
    {60, 1374, 1373},	// Plasma::ExtenderItem::mouseMoveEvent#
    {60, 1376, 1371},	// Plasma::ExtenderItem::mousePressEvent#
    {60, 1378, 1374},	// Plasma::ExtenderItem::mouseReleaseEvent#
    {60, 1380, 1369},	// Plasma::ExtenderItem::moveEvent#
    {60, 1391, 1344},	// Plasma::ExtenderItem::name
    {60, 1427, 1368},	// Plasma::ExtenderItem::paint###
    {60, 1491, 1336},	// Plasma::ExtenderItem::qt_metacall$$?
    {60, 1493, 1331},	// Plasma::ExtenderItem::qt_metacast$
    {60, 1591, 1370},	// Plasma::ExtenderItem::resizeEvent#
    {60, 1600, 1364},	// Plasma::ExtenderItem::returnToSource
    {60, 1628, 1377},	// Plasma::ExtenderItem::sceneEventFilter##
    {60, 1697, 1354},	// Plasma::ExtenderItem::setAutoExpireDelay$
    {60, 1729, 1363},	// Plasma::ExtenderItem::setCollapsed$
    {60, 1817, 1382},	// Plasma::ExtenderItem::setExtender#
    {60, 1818, 1348},	// Plasma::ExtenderItem::setExtender##
    {60, 1841, 1350},	// Plasma::ExtenderItem::setGroup#
    {60, 1842, 1351},	// Plasma::ExtenderItem::setGroup##
    {60, 1865, 1346},	// Plasma::ExtenderItem::setIcon#
    {60, 1866, 1345},	// Plasma::ExtenderItem::setIcon$
    {60, 1928, 1343},	// Plasma::ExtenderItem::setName$
    {60, 2103, 1341},	// Plasma::ExtenderItem::setTitle$
    {60, 2111, 1360},	// Plasma::ExtenderItem::setTransient$
    {60, 2158, 1339},	// Plasma::ExtenderItem::setWidget#
    {60, 2176, 1365},	// Plasma::ExtenderItem::showCloseButton
    {60, 2209, 1378},	// Plasma::ExtenderItem::sizeHint$#
    {60, 2231, 1383},	// Plasma::ExtenderItem::staticMetaObject
    {60, 2299, 1342},	// Plasma::ExtenderItem::title
    {60, 2313, 1379},	// Plasma::ExtenderItem::tr$
    {60, 2314, 1332},	// Plasma::ExtenderItem::tr$$
    {60, 2315, 1334},	// Plasma::ExtenderItem::tr$$$
    {60, 2317, 1380},	// Plasma::ExtenderItem::trUtf8$
    {60, 2318, 1333},	// Plasma::ExtenderItem::trUtf8$$
    {60, 2319, 1335},	// Plasma::ExtenderItem::trUtf8$$$
    {60, 2399, 1340},	// Plasma::ExtenderItem::widget
    {60, 2443, 1384},	// Plasma::ExtenderItem::~ExtenderItem
    {61, 181, 1410},	// Plasma::FlashingLabel::FlashingLabel
    {61, 182, 1392},	// Plasma::FlashingLabel::FlashingLabel#
    {61, 696, 1403},	// Plasma::FlashingLabel::autohide
    {61, 740, 1396},	// Plasma::FlashingLabel::color
    {61, 913, 1398},	// Plasma::FlashingLabel::duration
    {61, 975, 1406},	// Plasma::FlashingLabel::fadeIn
    {61, 976, 1407},	// Plasma::FlashingLabel::fadeOut
    {61, 994, 1414},	// Plasma::FlashingLabel::flash#
    {61, 995, 1415},	// Plasma::FlashingLabel::flash#$
    {61, 996, 1401},	// Plasma::FlashingLabel::flash#$$
    {61, 997, 1412},	// Plasma::FlashingLabel::flash$
    {61, 998, 1413},	// Plasma::FlashingLabel::flash$$
    {61, 999, 1400},	// Plasma::FlashingLabel::flash$$#
    {61, 1010, 1394},	// Plasma::FlashingLabel::font
    {61, 1208, 1405},	// Plasma::FlashingLabel::kill
    {61, 1356, 1385},	// Plasma::FlashingLabel::metaObject
    {61, 1426, 1411},	// Plasma::FlashingLabel::paint##
    {61, 1427, 1393},	// Plasma::FlashingLabel::paint###
    {61, 1491, 1391},	// Plasma::FlashingLabel::qt_metacall$$?
    {61, 1493, 1386},	// Plasma::FlashingLabel::qt_metacast$
    {61, 1703, 1402},	// Plasma::FlashingLabel::setAutohide$
    {61, 1731, 1397},	// Plasma::FlashingLabel::setColor#
    {61, 1800, 1399},	// Plasma::FlashingLabel::setDuration$
    {61, 1826, 1395},	// Plasma::FlashingLabel::setFont#
    {61, 2209, 1404},	// Plasma::FlashingLabel::sizeHint$#
    {61, 2231, 1416},	// Plasma::FlashingLabel::staticMetaObject
    {61, 2313, 1408},	// Plasma::FlashingLabel::tr$
    {61, 2314, 1387},	// Plasma::FlashingLabel::tr$$
    {61, 2315, 1389},	// Plasma::FlashingLabel::tr$$$
    {61, 2317, 1409},	// Plasma::FlashingLabel::trUtf8$
    {61, 2318, 1388},	// Plasma::FlashingLabel::trUtf8$$
    {61, 2319, 1390},	// Plasma::FlashingLabel::trUtf8$$$
    {61, 2444, 1417},	// Plasma::FlashingLabel::~FlashingLabel
    {62, 188, 1443},	// Plasma::Frame::Frame
    {62, 189, 1425},	// Plasma::Frame::Frame#
    {62, 372, 1446},	// Plasma::Frame::Plain
    {62, 397, 1447},	// Plasma::Frame::Raised
    {62, 472, 1448},	// Plasma::Frame::Sunken
    {62, 716, 1440},	// Plasma::Frame::changeEvent#
    {62, 943, 1429},	// Plasma::Frame::enabledBorders
    {62, 1020, 1427},	// Plasma::Frame::frameShadow
    {62, 1084, 1433},	// Plasma::Frame::image
    {62, 1356, 1418},	// Plasma::Frame::metaObject
    {62, 1393, 1436},	// Plasma::Frame::nativeWidget
    {62, 1426, 1444},	// Plasma::Frame::paint##
    {62, 1427, 1437},	// Plasma::Frame::paint###
    {62, 1491, 1424},	// Plasma::Frame::qt_metacall$$?
    {62, 1493, 1419},	// Plasma::Frame::qt_metacast$
    {62, 1591, 1438},	// Plasma::Frame::resizeEvent#
    {62, 1815, 1428},	// Plasma::Frame::setEnabledBorders$
    {62, 1833, 1426},	// Plasma::Frame::setFrameShadow$
    {62, 1873, 1432},	// Plasma::Frame::setImage$
    {62, 2057, 1434},	// Plasma::Frame::setStyleSheet$
    {62, 2089, 1430},	// Plasma::Frame::setText$
    {62, 2209, 1439},	// Plasma::Frame::sizeHint$#
    {62, 2231, 1445},	// Plasma::Frame::staticMetaObject
    {62, 2244, 1435},	// Plasma::Frame::styleSheet
    {62, 2282, 1431},	// Plasma::Frame::text
    {62, 2313, 1441},	// Plasma::Frame::tr$
    {62, 2314, 1420},	// Plasma::Frame::tr$$
    {62, 2315, 1422},	// Plasma::Frame::tr$$$
    {62, 2317, 1442},	// Plasma::Frame::trUtf8$
    {62, 2318, 1421},	// Plasma::Frame::trUtf8$$
    {62, 2319, 1423},	// Plasma::Frame::trUtf8$$$
    {62, 2445, 1449},	// Plasma::Frame::~Frame
    {63, 23, 1490},	// Plasma::FrameSvg::AllBorders
    {63, 58, 1487},	// Plasma::FrameSvg::BottomBorder
    {63, 190, 1481},	// Plasma::FrameSvg::FrameSvg
    {63, 191, 1457},	// Plasma::FrameSvg::FrameSvg#
    {63, 293, 1488},	// Plasma::FrameSvg::LeftBorder
    {63, 327, 1485},	// Plasma::FrameSvg::NoBorder
    {63, 400, 1489},	// Plasma::FrameSvg::RightBorder
    {63, 500, 1486},	// Plasma::FrameSvg::TopBorder
    {63, 648, 1472},	// Plasma::FrameSvg::alphaMask
    {63, 710, 1474},	// Plasma::FrameSvg::cacheAllRenderedFrames
    {63, 725, 1475},	// Plasma::FrameSvg::clearCache
    {63, 791, 1465},	// Plasma::FrameSvg::contentsRect
    {63, 943, 1460},	// Plasma::FrameSvg::enabledBorders
    {63, 1019, 1476},	// Plasma::FrameSvg::framePixmap
    {63, 1021, 1462},	// Plasma::FrameSvg::frameSize
    {63, 1029, 1464},	// Plasma::FrameSvg::getMargins$$$$
    {63, 1049, -73},	// Plasma::FrameSvg::hasElementPrefix$
    {63, 1339, 1463},	// Plasma::FrameSvg::marginSize$
    {63, 1340, 1471},	// Plasma::FrameSvg::mask
    {63, 1356, 1450},	// Plasma::FrameSvg::metaObject
    {63, 1437, 1483},	// Plasma::FrameSvg::paintFrame#
    {63, 1438, -76},	// Plasma::FrameSvg::paintFrame##
    {63, 1439, 1477},	// Plasma::FrameSvg::paintFrame###
    {63, 1479, 1470},	// Plasma::FrameSvg::prefix
    {63, 1491, 1456},	// Plasma::FrameSvg::qt_metacall$$?
    {63, 1493, 1451},	// Plasma::FrameSvg::qt_metacast$
    {63, 1593, 1461},	// Plasma::FrameSvg::resizeFrame#
    {63, 1713, 1473},	// Plasma::FrameSvg::setCacheAllRenderedFrames$
    {63, 1807, -79},	// Plasma::FrameSvg::setElementPrefix$
    {63, 1815, 1459},	// Plasma::FrameSvg::setEnabledBorders$
    {63, 1876, 1458},	// Plasma::FrameSvg::setImagePath$
    {63, 2231, 1484},	// Plasma::FrameSvg::staticMetaObject
    {63, 2313, 1479},	// Plasma::FrameSvg::tr$
    {63, 2314, 1452},	// Plasma::FrameSvg::tr$$
    {63, 2315, 1454},	// Plasma::FrameSvg::tr$$$
    {63, 2317, 1480},	// Plasma::FrameSvg::trUtf8$
    {63, 2318, 1453},	// Plasma::FrameSvg::trUtf8$$
    {63, 2319, 1455},	// Plasma::FrameSvg::trUtf8$$$
    {63, 2446, 1491},	// Plasma::FrameSvg::~FrameSvg
    {64, 195, 1499},	// Plasma::GLApplet::GLApplet#$$
    {64, 196, 1500},	// Plasma::GLApplet::GLApplet#?
    {64, 707, 1507},	// Plasma::GLApplet::bindTexture#
    {64, 708, 1501},	// Plasma::GLApplet::bindTexture#$
    {64, 853, 1502},	// Plasma::GLApplet::deleteTexture$
    {64, 1331, 1504},	// Plasma::GLApplet::makeCurrent
    {64, 1356, 1492},	// Plasma::GLApplet::metaObject
    {64, 1441, 1503},	// Plasma::GLApplet::paintGLInterface##
    {64, 1491, 1498},	// Plasma::GLApplet::qt_metacall$$?
    {64, 1493, 1493},	// Plasma::GLApplet::qt_metacast$
    {64, 2231, 1508},	// Plasma::GLApplet::staticMetaObject
    {64, 2313, 1505},	// Plasma::GLApplet::tr$
    {64, 2314, 1494},	// Plasma::GLApplet::tr$$
    {64, 2315, 1496},	// Plasma::GLApplet::tr$$$
    {64, 2317, 1506},	// Plasma::GLApplet::trUtf8$
    {64, 2318, 1495},	// Plasma::GLApplet::trUtf8$$
    {64, 2319, 1497},	// Plasma::GLApplet::trUtf8$$$
    {64, 2447, 1509},	// Plasma::GLApplet::~GLApplet
    {65, 199, 1527},	// Plasma::GroupBox::GroupBox
    {65, 200, 1517},	// Plasma::GroupBox::GroupBox#
    {65, 716, 1524},	// Plasma::GroupBox::changeEvent#
    {65, 1356, 1510},	// Plasma::GroupBox::metaObject
    {65, 1393, 1522},	// Plasma::GroupBox::nativeWidget
    {65, 1491, 1516},	// Plasma::GroupBox::qt_metacall$$?
    {65, 1493, 1511},	// Plasma::GroupBox::qt_metacast$
    {65, 1591, 1523},	// Plasma::GroupBox::resizeEvent#
    {65, 2057, 1520},	// Plasma::GroupBox::setStyleSheet$
    {65, 2089, 1518},	// Plasma::GroupBox::setText$
    {65, 2231, 1528},	// Plasma::GroupBox::staticMetaObject
    {65, 2244, 1521},	// Plasma::GroupBox::styleSheet
    {65, 2282, 1519},	// Plasma::GroupBox::text
    {65, 2313, 1525},	// Plasma::GroupBox::tr$
    {65, 2314, 1512},	// Plasma::GroupBox::tr$$
    {65, 2315, 1514},	// Plasma::GroupBox::tr$$$
    {65, 2317, 1526},	// Plasma::GroupBox::trUtf8$
    {65, 2318, 1513},	// Plasma::GroupBox::trUtf8$$
    {65, 2319, 1515},	// Plasma::GroupBox::trUtf8$$$
    {65, 2448, 1529},	// Plasma::GroupBox::~GroupBox
    {66, 212, 1593},	// Plasma::IconWidget::IconWidget
    {66, 213, 1537},	// Plasma::IconWidget::IconWidget#
    {66, 214, 1595},	// Plasma::IconWidget::IconWidget#$
    {66, 215, 1539},	// Plasma::IconWidget::IconWidget#$#
    {66, 216, 1594},	// Plasma::IconWidget::IconWidget$
    {66, 217, 1538},	// Plasma::IconWidget::IconWidget$#
    {66, 562, 1561},	// Plasma::IconWidget::action
    {66, 574, 1579},	// Plasma::IconWidget::activated
    {66, 605, 1558},	// Plasma::IconWidget::addIconAction#
    {66, 716, 1589},	// Plasma::IconWidget::changeEvent#
    {66, 717, 1580},	// Plasma::IconWidget::changed
    {66, 731, 1577},	// Plasma::IconWidget::clicked
    {66, 880, 1578},	// Plasma::IconWidget::doubleClicked
    {66, 889, 1590},	// Plasma::IconWidget::drawActionButtonBase##$
    {66, 892, 1570},	// Plasma::IconWidget::drawBackground
    {66, 1074, 1586},	// Plasma::IconWidget::hoverEnterEvent#
    {66, 1076, 1587},	// Plasma::IconWidget::hoverLeaveEvent#
    {66, 1080, 1546},	// Plasma::IconWidget::icon
    {66, 1081, 1551},	// Plasma::IconWidget::iconSize
    {66, 1095, 1544},	// Plasma::IconWidget::infoText
    {66, 1123, 1564},	// Plasma::IconWidget::invertLayout$
    {66, 1124, 1565},	// Plasma::IconWidget::invertedLayout
    {66, 1135, 1581},	// Plasma::IconWidget::isDown
    {66, 1352, 1557},	// Plasma::IconWidget::maximumIconSize
    {66, 1356, 1530},	// Plasma::IconWidget::metaObject
    {66, 1367, 1555},	// Plasma::IconWidget::minimumIconSize
    {66, 1372, 1585},	// Plasma::IconWidget::mouseDoubleClickEvent#
    {66, 1374, 1583},	// Plasma::IconWidget::mouseMoveEvent#
    {66, 1376, 1582},	// Plasma::IconWidget::mousePressEvent#
    {66, 1378, 1584},	// Plasma::IconWidget::mouseReleaseEvent#
    {66, 1400, 1567},	// Plasma::IconWidget::numDisplayLines
    {66, 1417, 1563},	// Plasma::IconWidget::orientation
    {66, 1426, 1598},	// Plasma::IconWidget::paint##
    {66, 1427, 1574},	// Plasma::IconWidget::paint###
    {66, 1476, 1553},	// Plasma::IconWidget::preferredIconSize
    {66, 1482, 1576},	// Plasma::IconWidget::pressed$
    {66, 1491, 1536},	// Plasma::IconWidget::qt_metacall$$?
    {66, 1493, 1531},	// Plasma::IconWidget::qt_metacast$
    {66, 1546, 1559},	// Plasma::IconWidget::removeIconAction#
    {66, 1628, 1588},	// Plasma::IconWidget::sceneEventFilter##
    {66, 1665, 1560},	// Plasma::IconWidget::setAction#
    {66, 1796, 1569},	// Plasma::IconWidget::setDrawBackground$
    {66, 1865, 1547},	// Plasma::IconWidget::setIcon#
    {66, 1866, 1550},	// Plasma::IconWidget::setIcon$
    {66, 1882, 1545},	// Plasma::IconWidget::setInfoText$
    {66, 1911, 1556},	// Plasma::IconWidget::setMaximumIconSize#
    {66, 1919, 1554},	// Plasma::IconWidget::setMinimumIconSize#
    {66, 1936, 1568},	// Plasma::IconWidget::setNumDisplayLines$
    {66, 1942, 1562},	// Plasma::IconWidget::setOrientation$
    {66, 1971, 1552},	// Plasma::IconWidget::setPreferredIconSize#
    {66, 1974, 1597},	// Plasma::IconWidget::setPressed
    {66, 1975, 1572},	// Plasma::IconWidget::setPressed$
    {66, 2064, 1596},	// Plasma::IconWidget::setSvg$
    {66, 2065, 1542},	// Plasma::IconWidget::setSvg$$
    {66, 2089, 1541},	// Plasma::IconWidget::setText$
    {66, 2091, 1549},	// Plasma::IconWidget::setTextBackgroundColor#
    {66, 2116, 1573},	// Plasma::IconWidget::setUnpressed
    {66, 2169, 1571},	// Plasma::IconWidget::shape
    {66, 2205, 1566},	// Plasma::IconWidget::sizeFromIconSize$
    {66, 2208, 1599},	// Plasma::IconWidget::sizeHint$
    {66, 2209, 1575},	// Plasma::IconWidget::sizeHint$#
    {66, 2231, 1600},	// Plasma::IconWidget::staticMetaObject
    {66, 2254, 1543},	// Plasma::IconWidget::svg
    {66, 2282, 1540},	// Plasma::IconWidget::text
    {66, 2283, 1548},	// Plasma::IconWidget::textBackgroundColor
    {66, 2313, 1591},	// Plasma::IconWidget::tr$
    {66, 2314, 1532},	// Plasma::IconWidget::tr$$
    {66, 2315, 1534},	// Plasma::IconWidget::tr$$$
    {66, 2317, 1592},	// Plasma::IconWidget::trUtf8$
    {66, 2318, 1533},	// Plasma::IconWidget::trUtf8$$
    {66, 2319, 1535},	// Plasma::IconWidget::trUtf8$$$
    {66, 2449, 1601},	// Plasma::IconWidget::~IconWidget
    {67, 228, 1625},	// Plasma::ItemBackground::ItemBackground
    {67, 229, 1609},	// Plasma::ItemBackground::ItemBackground#
    {67, 664, 1616},	// Plasma::ItemBackground::animationStep$
    {67, 666, 1615},	// Plasma::ItemBackground::appearanceChanged
    {67, 960, 1620},	// Plasma::ItemBackground::eventFilter##
    {67, 1185, 1619},	// Plasma::ItemBackground::itemChange$#
    {67, 1356, 1602},	// Plasma::ItemBackground::metaObject
    {67, 1427, 1614},	// Plasma::ItemBackground::paint###
    {67, 1491, 1608},	// Plasma::ItemBackground::qt_metacall$$?
    {67, 1493, 1603},	// Plasma::ItemBackground::qt_metacast$
    {67, 1591, 1622},	// Plasma::ItemBackground::resizeEvent#
    {67, 1628, 1621},	// Plasma::ItemBackground::sceneEventFilter##
    {67, 2079, 1610},	// Plasma::ItemBackground::setTarget#
    {67, 2081, 1612},	// Plasma::ItemBackground::setTargetItem#
    {67, 2231, 1626},	// Plasma::ItemBackground::staticMetaObject
    {67, 2272, 1611},	// Plasma::ItemBackground::target
    {67, 2273, 1613},	// Plasma::ItemBackground::targetItem
    {67, 2275, 1618},	// Plasma::ItemBackground::targetItemReached#
    {67, 2277, 1617},	// Plasma::ItemBackground::targetReached#
    {67, 2313, 1623},	// Plasma::ItemBackground::tr$
    {67, 2314, 1604},	// Plasma::ItemBackground::tr$$
    {67, 2315, 1606},	// Plasma::ItemBackground::tr$$$
    {67, 2317, 1624},	// Plasma::ItemBackground::trUtf8$
    {67, 2318, 1605},	// Plasma::ItemBackground::trUtf8$$
    {67, 2319, 1607},	// Plasma::ItemBackground::trUtf8$$$
    {67, 2450, 1627},	// Plasma::ItemBackground::~ItemBackground
    {68, 288, 1665},	// Plasma::Label::Label
    {68, 289, 1635},	// Plasma::Label::Label#
    {68, 645, 1641},	// Plasma::Label::alignment
    {68, 716, 1658},	// Plasma::Label::changeEvent#
    {68, 800, 1661},	// Plasma::Label::contextMenuEvent#
    {68, 847, 1653},	// Plasma::Label::dataUpdated$?
    {68, 958, 1659},	// Plasma::Label::event#
    {68, 1057, 1643},	// Plasma::Label::hasScaledContents
    {68, 1084, 1639},	// Plasma::Label::image
    {68, 1185, 1660},	// Plasma::Label::itemChange$#
    {68, 1236, 1651},	// Plasma::Label::linkActivated$
    {68, 1239, 1652},	// Plasma::Label::linkHovered$
    {68, 1356, 1628},	// Plasma::Label::metaObject
    {68, 1374, 1656},	// Plasma::Label::mouseMoveEvent#
    {68, 1376, 1655},	// Plasma::Label::mousePressEvent#
    {68, 1393, 1650},	// Plasma::Label::nativeWidget
    {68, 1427, 1657},	// Plasma::Label::paint###
    {68, 1491, 1634},	// Plasma::Label::qt_metacall$$?
    {68, 1493, 1629},	// Plasma::Label::qt_metacast$
    {68, 1591, 1654},	// Plasma::Label::resizeEvent#
    {68, 1669, 1640},	// Plasma::Label::setAlignment$
    {68, 1873, 1638},	// Plasma::Label::setImage$
    {68, 2011, 1642},	// Plasma::Label::setScaledContents$
    {68, 2057, 1648},	// Plasma::Label::setStyleSheet$
    {68, 2089, 1636},	// Plasma::Label::setText$
    {68, 2093, 1644},	// Plasma::Label::setTextSelectable$
    {68, 2164, 1646},	// Plasma::Label::setWordWrap$
    {68, 2209, 1662},	// Plasma::Label::sizeHint$#
    {68, 2231, 1666},	// Plasma::Label::staticMetaObject
    {68, 2244, 1649},	// Plasma::Label::styleSheet
    {68, 2282, 1637},	// Plasma::Label::text
    {68, 2288, 1645},	// Plasma::Label::textSelectable
    {68, 2313, 1663},	// Plasma::Label::tr$
    {68, 2314, 1630},	// Plasma::Label::tr$$
    {68, 2315, 1632},	// Plasma::Label::tr$$$
    {68, 2317, 1664},	// Plasma::Label::trUtf8$
    {68, 2318, 1631},	// Plasma::Label::trUtf8$$
    {68, 2319, 1633},	// Plasma::Label::trUtf8$$$
    {68, 2408, 1647},	// Plasma::Label::wordWrap
    {68, 2451, 1667},	// Plasma::Label::~Label
    {69, 299, 1700},	// Plasma::LineEdit::LineEdit
    {69, 300, 1675},	// Plasma::LineEdit::LineEdit#
    {69, 716, 1688},	// Plasma::LineEdit::changeEvent#
    {69, 730, 1681},	// Plasma::LineEdit::clickMessage
    {69, 915, 1693},	// Plasma::LineEdit::editingFinished
    {69, 1002, 1697},	// Plasma::LineEdit::focusChanged$
    {69, 1004, 1691},	// Plasma::LineEdit::focusInEvent#
    {69, 1008, 1692},	// Plasma::LineEdit::focusOutEvent#
    {69, 1074, 1686},	// Plasma::LineEdit::hoverEnterEvent#
    {69, 1076, 1687},	// Plasma::LineEdit::hoverLeaveEvent#
    {69, 1130, 1679},	// Plasma::LineEdit::isClearButtonShown
    {69, 1356, 1668},	// Plasma::LineEdit::metaObject
    {69, 1376, 1690},	// Plasma::LineEdit::mousePressEvent#
    {69, 1393, 1685},	// Plasma::LineEdit::nativeWidget
    {69, 1427, 1689},	// Plasma::LineEdit::paint###
    {69, 1491, 1674},	// Plasma::LineEdit::qt_metacall$$?
    {69, 1493, 1669},	// Plasma::LineEdit::qt_metacast$
    {69, 1599, 1694},	// Plasma::LineEdit::returnPressed
    {69, 1723, 1678},	// Plasma::LineEdit::setClearButtonShown$
    {69, 1725, 1680},	// Plasma::LineEdit::setClickMessage$
    {69, 1930, 1684},	// Plasma::LineEdit::setNativeWidget#
    {69, 2057, 1682},	// Plasma::LineEdit::setStyleSheet$
    {69, 2089, 1676},	// Plasma::LineEdit::setText$
    {69, 2231, 1701},	// Plasma::LineEdit::staticMetaObject
    {69, 2244, 1683},	// Plasma::LineEdit::styleSheet
    {69, 2282, 1677},	// Plasma::LineEdit::text
    {69, 2285, 1696},	// Plasma::LineEdit::textChanged$
    {69, 2287, 1695},	// Plasma::LineEdit::textEdited$
    {69, 2313, 1698},	// Plasma::LineEdit::tr$
    {69, 2314, 1670},	// Plasma::LineEdit::tr$$
    {69, 2315, 1672},	// Plasma::LineEdit::tr$$$
    {69, 2317, 1699},	// Plasma::LineEdit::trUtf8$
    {69, 2318, 1671},	// Plasma::LineEdit::trUtf8$$
    {69, 2319, 1673},	// Plasma::LineEdit::trUtf8$$$
    {69, 2452, 1702},	// Plasma::LineEdit::~LineEdit
    {70, 29, 1742},	// Plasma::Meter::AnalogMeter
    {70, 56, 1740},	// Plasma::Meter::BarMeterHorizontal
    {70, 57, 1741},	// Plasma::Meter::BarMeterVertical
    {70, 310, 1736},	// Plasma::Meter::Meter
    {70, 311, 1710},	// Plasma::Meter::Meter#
    {70, 847, 1727},	// Plasma::Meter::dataUpdated$?
    {70, 1212, 1719},	// Plasma::Meter::label$
    {70, 1214, 1725},	// Plasma::Meter::labelAlignment$
    {70, 1216, 1721},	// Plasma::Meter::labelColor$
    {70, 1218, 1723},	// Plasma::Meter::labelFont$
    {70, 1220, 1726},	// Plasma::Meter::labelRect$
    {70, 1351, 1711},	// Plasma::Meter::maximum
    {70, 1356, 1703},	// Plasma::Meter::metaObject
    {70, 1358, 1717},	// Plasma::Meter::meterType
    {70, 1366, 1712},	// Plasma::Meter::minimum
    {70, 1426, 1737},	// Plasma::Meter::paint##
    {70, 1427, 1732},	// Plasma::Meter::paint###
    {70, 1491, 1709},	// Plasma::Meter::qt_metacall$$?
    {70, 1493, 1704},	// Plasma::Meter::qt_metacast$
    {70, 1891, 1718},	// Plasma::Meter::setLabel$$
    {70, 1893, 1724},	// Plasma::Meter::setLabelAlignment$$
    {70, 1895, 1720},	// Plasma::Meter::setLabelColor$#
    {70, 1897, 1722},	// Plasma::Meter::setLabelFont$#
    {70, 1909, 1728},	// Plasma::Meter::setMaximum$
    {70, 1913, 1716},	// Plasma::Meter::setMeterType$
    {70, 1917, 1729},	// Plasma::Meter::setMinimum$
    {70, 2064, 1714},	// Plasma::Meter::setSvg$
    {70, 2133, 1730},	// Plasma::Meter::setValue$
    {70, 2208, 1738},	// Plasma::Meter::sizeHint$
    {70, 2209, 1733},	// Plasma::Meter::sizeHint$#
    {70, 2231, 1739},	// Plasma::Meter::staticMetaObject
    {70, 2254, 1715},	// Plasma::Meter::svg
    {70, 2313, 1734},	// Plasma::Meter::tr$
    {70, 2314, 1705},	// Plasma::Meter::tr$$
    {70, 2315, 1707},	// Plasma::Meter::tr$$$
    {70, 2317, 1735},	// Plasma::Meter::trUtf8$
    {70, 2318, 1706},	// Plasma::Meter::trUtf8$$
    {70, 2319, 1708},	// Plasma::Meter::trUtf8$$$
    {70, 2368, 1713},	// Plasma::Meter::value
    {70, 2370, 1731},	// Plasma::Meter::valueChanged$
    {70, 2453, 1743},	// Plasma::Meter::~Meter
    {71, 351, 1744},	// Plasma::Package::Package
    {71, 352, 1747},	// Plasma::Package::Package#
    {71, 353, 1745},	// Plasma::Package::Package$$?
    {71, 354, 1746},	// Plasma::Package::Package$?
    {71, 788, 1757},	// Plasma::Package::contentsHash
    {71, 820, 1764},	// Plasma::Package::createPackage#$$
    {71, 821, 1763},	// Plasma::Package::createPackage#$$$
    {71, 955, 1752},	// Plasma::Package::entryList$
    {71, 978, 1751},	// Plasma::Package::filePath$
    {71, 979, 1750},	// Plasma::Package::filePath$$
    {71, 1119, 1760},	// Plasma::Package::installPackage$$$
    {71, 1169, 1749},	// Plasma::Package::isValid
    {71, 1272, 1758},	// Plasma::Package::listInstalled$
    {71, 1274, 1759},	// Plasma::Package::listInstalledPaths$
    {71, 1357, 1753},	// Plasma::Package::metadata
    {71, 1414, 1748},	// Plasma::Package::operator=#
    {71, 1451, 1755},	// Plasma::Package::path
    {71, 1511, 1762},	// Plasma::Package::registerPackage#$
    {71, 1954, 1754},	// Plasma::Package::setPath$
    {71, 2242, 1756},	// Plasma::Package::structure
    {71, 2326, 1761},	// Plasma::Package::uninstallPackage$$$
    {71, 2454, 1765},	// Plasma::Package::~Package
    {72, 355, 1808},	// Plasma::PackageMetadata::PackageMetadata
    {72, 356, 1767},	// Plasma::PackageMetadata::PackageMetadata#
    {72, 357, 1766},	// Plasma::PackageMetadata::PackageMetadata$
    {72, 680, 1781},	// Plasma::PackageMetadata::application
    {72, 690, 1776},	// Plasma::PackageMetadata::author
    {72, 712, 1782},	// Plasma::PackageMetadata::category
    {72, 854, 1773},	// Plasma::PackageMetadata::description
    {72, 937, 1777},	// Plasma::PackageMetadata::email
    {72, 1080, 1791},	// Plasma::PackageMetadata::icon
    {72, 1090, 1785},	// Plasma::PackageMetadata::implementationApi
    {72, 1169, 1769},	// Plasma::PackageMetadata::isValid
    {72, 1207, 1774},	// Plasma::PackageMetadata::keywords
    {72, 1234, 1780},	// Plasma::PackageMetadata::license
    {72, 1391, 1772},	// Plasma::PackageMetadata::name
    {72, 1414, 1768},	// Plasma::PackageMetadata::operator=#
    {72, 1463, 1784},	// Plasma::PackageMetadata::pluginName
    {72, 1500, 1771},	// Plasma::PackageMetadata::read$
    {72, 1531, 1786},	// Plasma::PackageMetadata::remoteLocation
    {72, 1581, 1787},	// Plasma::PackageMetadata::requiredDataEngines
    {72, 1584, 1783},	// Plasma::PackageMetadata::requiredVersion
    {72, 1663, 1775},	// Plasma::PackageMetadata::serviceType
    {72, 1681, 1800},	// Plasma::PackageMetadata::setApplication$
    {72, 1689, 1795},	// Plasma::PackageMetadata::setAuthor$
    {72, 1717, 1801},	// Plasma::PackageMetadata::setCategory$
    {72, 1786, 1790},	// Plasma::PackageMetadata::setDescription$
    {72, 1809, 1796},	// Plasma::PackageMetadata::setEmail$
    {72, 1866, 1792},	// Plasma::PackageMetadata::setIcon$
    {72, 1880, 1806},	// Plasma::PackageMetadata::setImplementationApi$
    {72, 1888, 1793},	// Plasma::PackageMetadata::setKeywords?
    {72, 1901, 1799},	// Plasma::PackageMetadata::setLicense$
    {72, 1928, 1789},	// Plasma::PackageMetadata::setName$
    {72, 1960, 1805},	// Plasma::PackageMetadata::setPluginName$
    {72, 1991, 1803},	// Plasma::PackageMetadata::setRemoteLocation#
    {72, 1997, 1807},	// Plasma::PackageMetadata::setRequiredDataEngines?
    {72, 1999, 1802},	// Plasma::PackageMetadata::setRequiredVersion$
    {72, 2024, 1794},	// Plasma::PackageMetadata::setServiceType$
    {72, 2113, 1804},	// Plasma::PackageMetadata::setType$
    {72, 2135, 1797},	// Plasma::PackageMetadata::setVersion$
    {72, 2156, 1798},	// Plasma::PackageMetadata::setWebsite$
    {72, 2321, 1788},	// Plasma::PackageMetadata::type
    {72, 2371, 1778},	// Plasma::PackageMetadata::version
    {72, 2396, 1779},	// Plasma::PackageMetadata::website
    {72, 2411, 1770},	// Plasma::PackageMetadata::write$
    {72, 2455, 1809},	// Plasma::PackageMetadata::~PackageMetadata
    {73, 358, 1859},	// Plasma::PackageStructure::PackageStructure
    {73, 359, 1860},	// Plasma::PackageStructure::PackageStructure#
    {73, 360, 1817},	// Plasma::PackageStructure::PackageStructure#$
    {73, 599, 1825},	// Plasma::PackageStructure::addDirectoryDefinition$$$
    {73, 603, 1826},	// Plasma::PackageStructure::addFileDefinition$$$
    {73, 646, 1850},	// Plasma::PackageStructure::allowExternalPaths
    {73, 789, 1844},	// Plasma::PackageStructure::contentsPrefix
    {73, 790, 1845},	// Plasma::PackageStructure::contentsPrefixPaths
    {73, 817, 1861},	// Plasma::PackageStructure::createNewWidgetBrowser
    {73, 818, 1843},	// Plasma::PackageStructure::createNewWidgetBrowser#
    {73, 849, 1846},	// Plasma::PackageStructure::defaultPackageRoot
    {73, 867, 1821},	// Plasma::PackageStructure::directories
    {73, 955, 1830},	// Plasma::PackageStructure::entryList$
    {73, 980, 1823},	// Plasma::PackageStructure::files
    {73, 1118, 1841},	// Plasma::PackageStructure::installPackage$$
    {73, 1157, 1833},	// Plasma::PackageStructure::isRequired$
    {73, 1293, 1819},	// Plasma::PackageStructure::load$
    {73, 1356, 1810},	// Plasma::PackageStructure::metaObject
    {73, 1357, 1849},	// Plasma::PackageStructure::metadata
    {73, 1365, 1836},	// Plasma::PackageStructure::mimetypes$
    {73, 1392, 1831},	// Plasma::PackageStructure::name$
    {73, 1398, 1851},	// Plasma::PackageStructure::newWidgetBrowserFinished
    {73, 1414, 1818},	// Plasma::PackageStructure::operator=#
    {73, 1451, 1838},	// Plasma::PackageStructure::path
    {73, 1452, 1828},	// Plasma::PackageStructure::path$
    {73, 1453, 1856},	// Plasma::PackageStructure::pathChanged
    {73, 1491, 1816},	// Plasma::PackageStructure::qt_metacall$$?
    {73, 1493, 1811},	// Plasma::PackageStructure::qt_metacast$
    {73, 1499, 1839},	// Plasma::PackageStructure::read#
    {73, 1544, 1827},	// Plasma::PackageStructure::removeDefinition$
    {73, 1582, 1822},	// Plasma::PackageStructure::requiredDirectories
    {73, 1583, 1824},	// Plasma::PackageStructure::requiredFiles
    {73, 1647, 1829},	// Plasma::PackageStructure::searchPath$
    {73, 1657, 1847},	// Plasma::PackageStructure::servicePrefix
    {73, 1671, 1852},	// Plasma::PackageStructure::setAllowExternalPaths$
    {73, 1748, 1853},	// Plasma::PackageStructure::setContentsPrefix$
    {73, 1750, 1854},	// Plasma::PackageStructure::setContentsPrefixPaths?
    {73, 1777, 1834},	// Plasma::PackageStructure::setDefaultMimetypes?
    {73, 1779, 1855},	// Plasma::PackageStructure::setDefaultPackageRoot$
    {73, 1915, 1835},	// Plasma::PackageStructure::setMimetypes$?
    {73, 1954, 1837},	// Plasma::PackageStructure::setPath$
    {73, 1995, 1832},	// Plasma::PackageStructure::setRequired$$
    {73, 2022, 1848},	// Plasma::PackageStructure::setServicePrefix$
    {73, 2231, 1862},	// Plasma::PackageStructure::staticMetaObject
    {73, 2313, 1857},	// Plasma::PackageStructure::tr$
    {73, 2314, 1812},	// Plasma::PackageStructure::tr$$
    {73, 2315, 1814},	// Plasma::PackageStructure::tr$$$
    {73, 2317, 1858},	// Plasma::PackageStructure::trUtf8$
    {73, 2318, 1813},	// Plasma::PackageStructure::trUtf8$$
    {73, 2319, 1815},	// Plasma::PackageStructure::trUtf8$$$
    {73, 2321, 1820},	// Plasma::PackageStructure::type
    {73, 2325, 1842},	// Plasma::PackageStructure::uninstallPackage$$
    {73, 2410, 1840},	// Plasma::PackageStructure::write#
    {73, 2456, 1863},	// Plasma::PackageStructure::~PackageStructure
    {74, 376, 1864},	// Plasma::PlotColor::PlotColor
    {74, 377, 1865},	// Plasma::PlotColor::PlotColor#
    {74, 740, 1866},	// Plasma::PlotColor::color
    {74, 842, 1868},	// Plasma::PlotColor::darkColor
    {74, 1731, 1867},	// Plasma::PlotColor::setColor#
    {74, 1766, 1869},	// Plasma::PlotColor::setDarkColor#
    {74, 2457, 1870},	// Plasma::PlotColor::~PlotColor
    {75, 379, 1878},	// Plasma::PopupApplet::PopupApplet#?
    {75, 882, 1901},	// Plasma::PopupApplet::dragEnterEvent#
    {75, 884, 1902},	// Plasma::PopupApplet::dragLeaveEvent#
    {75, 912, 1903},	// Plasma::PopupApplet::dropEvent#
    {75, 960, 1900},	// Plasma::PopupApplet::eventFilter##
    {75, 1038, 1884},	// Plasma::PopupApplet::graphicsWidget
    {75, 1066, 1893},	// Plasma::PopupApplet::hidePopup
    {75, 1140, 1892},	// Plasma::PopupApplet::isIconified
    {75, 1147, 1890},	// Plasma::PopupApplet::isPassivePopup
    {75, 1150, 1891},	// Plasma::PopupApplet::isPopupShowing
    {75, 1356, 1871},	// Plasma::PopupApplet::metaObject
    {75, 1376, 1898},	// Plasma::PopupApplet::mousePressEvent#
    {75, 1378, 1899},	// Plasma::PopupApplet::mouseReleaseEvent#
    {75, 1466, 1888},	// Plasma::PopupApplet::popupAlignment
    {75, 1468, 1896},	// Plasma::PopupApplet::popupEvent$
    {75, 1469, 1881},	// Plasma::PopupApplet::popupIcon
    {75, 1470, 1886},	// Plasma::PopupApplet::popupPlacement
    {75, 1491, 1877},	// Plasma::PopupApplet::qt_metacall$$?
    {75, 1493, 1872},	// Plasma::PopupApplet::qt_metacast$
    {75, 1839, 1885},	// Plasma::PopupApplet::setGraphicsWidget#
    {75, 1952, 1889},	// Plasma::PopupApplet::setPassivePopup$
    {75, 1966, 1887},	// Plasma::PopupApplet::setPopupAlignment$
    {75, 1968, 1879},	// Plasma::PopupApplet::setPopupIcon#
    {75, 1969, 1880},	// Plasma::PopupApplet::setPopupIcon$
    {75, 2158, 1883},	// Plasma::PopupApplet::setWidget#
    {75, 2191, 1907},	// Plasma::PopupApplet::showPopup
    {75, 2192, 1894},	// Plasma::PopupApplet::showPopup$
    {75, 2208, 1908},	// Plasma::PopupApplet::sizeHint$
    {75, 2209, 1897},	// Plasma::PopupApplet::sizeHint$#
    {75, 2231, 1909},	// Plasma::PopupApplet::staticMetaObject
    {75, 2298, 1904},	// Plasma::PopupApplet::timerEvent#
    {75, 2300, 1895},	// Plasma::PopupApplet::togglePopup
    {75, 2313, 1905},	// Plasma::PopupApplet::tr$
    {75, 2314, 1873},	// Plasma::PopupApplet::tr$$
    {75, 2315, 1875},	// Plasma::PopupApplet::tr$$$
    {75, 2317, 1906},	// Plasma::PopupApplet::trUtf8$
    {75, 2318, 1874},	// Plasma::PopupApplet::trUtf8$$
    {75, 2319, 1876},	// Plasma::PopupApplet::trUtf8$$$
    {75, 2399, 1882},	// Plasma::PopupApplet::widget
    {75, 2458, 1910},	// Plasma::PopupApplet::~PopupApplet
    {76, 385, 1950},	// Plasma::PushButton::PushButton
    {76, 386, 1918},	// Plasma::PushButton::PushButton#
    {76, 562, 1927},	// Plasma::PushButton::action
    {76, 716, 1946},	// Plasma::PushButton::changeEvent#
    {76, 729, 1940},	// Plasma::PushButton::click
    {76, 731, 1938},	// Plasma::PushButton::clicked
    {76, 1074, 1944},	// Plasma::PushButton::hoverEnterEvent#
    {76, 1076, 1945},	// Plasma::PushButton::hoverLeaveEvent#
    {76, 1080, 1930},	// Plasma::PushButton::icon
    {76, 1084, 1923},	// Plasma::PushButton::image
    {76, 1128, 1932},	// Plasma::PushButton::isCheckable
    {76, 1129, 1933},	// Plasma::PushButton::isChecked
    {76, 1135, 1934},	// Plasma::PushButton::isDown
    {76, 1356, 1911},	// Plasma::PushButton::metaObject
    {76, 1393, 1935},	// Plasma::PushButton::nativeWidget
    {76, 1426, 1951},	// Plasma::PushButton::paint##
    {76, 1427, 1942},	// Plasma::PushButton::paint###
    {76, 1481, 1936},	// Plasma::PushButton::pressed
    {76, 1491, 1917},	// Plasma::PushButton::qt_metacall$$?
    {76, 1493, 1912},	// Plasma::PushButton::qt_metacast$
    {76, 1521, 1937},	// Plasma::PushButton::released
    {76, 1591, 1943},	// Plasma::PushButton::resizeEvent#
    {76, 1665, 1926},	// Plasma::PushButton::setAction#
    {76, 1719, 1931},	// Plasma::PushButton::setCheckable$
    {76, 1721, 1941},	// Plasma::PushButton::setChecked$
    {76, 1865, -61},	// Plasma::PushButton::setIcon#
    {76, 1873, 1921},	// Plasma::PushButton::setImage$
    {76, 1874, 1922},	// Plasma::PushButton::setImage$$
    {76, 2057, 1924},	// Plasma::PushButton::setStyleSheet$
    {76, 2089, 1919},	// Plasma::PushButton::setText$
    {76, 2209, 1947},	// Plasma::PushButton::sizeHint$#
    {76, 2231, 1952},	// Plasma::PushButton::staticMetaObject
    {76, 2244, 1925},	// Plasma::PushButton::styleSheet
    {76, 2282, 1920},	// Plasma::PushButton::text
    {76, 2302, 1939},	// Plasma::PushButton::toggled$
    {76, 2313, 1948},	// Plasma::PushButton::tr$
    {76, 2314, 1913},	// Plasma::PushButton::tr$$
    {76, 2315, 1915},	// Plasma::PushButton::tr$$$
    {76, 2317, 1949},	// Plasma::PushButton::trUtf8$
    {76, 2318, 1914},	// Plasma::PushButton::trUtf8$$
    {76, 2319, 1916},	// Plasma::PushButton::trUtf8$$$
    {76, 2459, 1953},	// Plasma::PushButton::~PushButton
    {77, 91, 1984},	// Plasma::QueryMatch::CompletionMatch
    {77, 164, 1988},	// Plasma::QueryMatch::ExactMatch
    {77, 205, 1987},	// Plasma::QueryMatch::HelperMatch
    {77, 223, 1986},	// Plasma::QueryMatch::InformationalMatch
    {77, 341, 1983},	// Plasma::QueryMatch::NoMatch
    {77, 381, 1985},	// Plasma::QueryMatch::PossibleMatch
    {77, 393, -49},	// Plasma::QueryMatch::QueryMatch#
    {77, 811, 1982},	// Plasma::QueryMatch::createConfigurationInterface#
    {77, 843, 1968},	// Plasma::QueryMatch::data
    {77, 1045, 1981},	// Plasma::QueryMatch::hasConfigurationInterface
    {77, 1080, 1976},	// Plasma::QueryMatch::icon
    {77, 1082, 1970},	// Plasma::QueryMatch::id
    {77, 1137, 1978},	// Plasma::QueryMatch::isEnabled
    {77, 1169, 1961},	// Plasma::QueryMatch::isValid
    {77, 1410, 1958},	// Plasma::QueryMatch::operator!=#
    {77, 1412, 1959},	// Plasma::QueryMatch::operator<#
    {77, 1414, 1956},	// Plasma::QueryMatch::operator=#
    {77, 1416, 1957},	// Plasma::QueryMatch::operator==#
    {77, 1522, 1965},	// Plasma::QueryMatch::relevance
    {77, 1604, 1966},	// Plasma::QueryMatch::run#
    {77, 1608, 1960},	// Plasma::QueryMatch::runner
    {77, 1651, 1979},	// Plasma::QueryMatch::selectedAction
    {77, 1768, 1967},	// Plasma::QueryMatch::setData#
    {77, 1813, 1977},	// Plasma::QueryMatch::setEnabled$
    {77, 1865, 1975},	// Plasma::QueryMatch::setIcon#
    {77, 1868, 1969},	// Plasma::QueryMatch::setId$
    {77, 1989, 1964},	// Plasma::QueryMatch::setRelevance$
    {77, 2020, 1980},	// Plasma::QueryMatch::setSelectedAction#
    {77, 2061, 1973},	// Plasma::QueryMatch::setSubtext$
    {77, 2089, 1971},	// Plasma::QueryMatch::setText$
    {77, 2113, 1962},	// Plasma::QueryMatch::setType$
    {77, 2247, 1974},	// Plasma::QueryMatch::subtext
    {77, 2282, 1972},	// Plasma::QueryMatch::text
    {77, 2321, 1963},	// Plasma::QueryMatch::type
    {77, 2460, 1989},	// Plasma::QueryMatch::~QueryMatch
    {78, 395, 2012},	// Plasma::RadioButton::RadioButton
    {78, 396, 1997},	// Plasma::RadioButton::RadioButton#
    {78, 716, 2009},	// Plasma::RadioButton::changeEvent#
    {78, 1084, 2001},	// Plasma::RadioButton::image
    {78, 1129, 2006},	// Plasma::RadioButton::isChecked
    {78, 1356, 1990},	// Plasma::RadioButton::metaObject
    {78, 1393, 2004},	// Plasma::RadioButton::nativeWidget
    {78, 1491, 1996},	// Plasma::RadioButton::qt_metacall$$?
    {78, 1493, 1991},	// Plasma::RadioButton::qt_metacast$
    {78, 1591, 2008},	// Plasma::RadioButton::resizeEvent#
    {78, 1721, 2005},	// Plasma::RadioButton::setChecked$
    {78, 1873, 2000},	// Plasma::RadioButton::setImage$
    {78, 2057, 2002},	// Plasma::RadioButton::setStyleSheet$
    {78, 2089, 1998},	// Plasma::RadioButton::setText$
    {78, 2231, 2013},	// Plasma::RadioButton::staticMetaObject
    {78, 2244, 2003},	// Plasma::RadioButton::styleSheet
    {78, 2282, 1999},	// Plasma::RadioButton::text
    {78, 2302, 2007},	// Plasma::RadioButton::toggled$
    {78, 2313, 2010},	// Plasma::RadioButton::tr$
    {78, 2314, 1992},	// Plasma::RadioButton::tr$$
    {78, 2315, 1994},	// Plasma::RadioButton::tr$$$
    {78, 2317, 2011},	// Plasma::RadioButton::trUtf8$
    {78, 2318, 1993},	// Plasma::RadioButton::trUtf8$$
    {78, 2319, 1995},	// Plasma::RadioButton::trUtf8$$$
    {78, 2461, 2014},	// Plasma::RadioButton::~RadioButton
    {79, 150, 2051},	// Plasma::RunnerContext::Directory
    {79, 165, 2054},	// Plasma::RunnerContext::Executable
    {79, 177, 2052},	// Plasma::RunnerContext::File
    {79, 178, 2057},	// Plasma::RunnerContext::FileSystem
    {79, 204, 2056},	// Plasma::RunnerContext::Help
    {79, 321, 2053},	// Plasma::RunnerContext::NetworkLocation
    {79, 344, 2049},	// Plasma::RunnerContext::None
    {79, 410, 2046},	// Plasma::RunnerContext::RunnerContext
    {79, 411, -52},	// Plasma::RunnerContext::RunnerContext#
    {79, 412, 2023},	// Plasma::RunnerContext::RunnerContext##
    {79, 445, 2055},	// Plasma::RunnerContext::ShellCommand
    {79, 517, 2050},	// Plasma::RunnerContext::UnknownType
    {79, 609, 2032},	// Plasma::RunnerContext::addMatch$#
    {79, 611, 2031},	// Plasma::RunnerContext::addMatches$?
    {79, 1169, 2030},	// Plasma::RunnerContext::isValid
    {79, 1343, 2037},	// Plasma::RunnerContext::match$
    {79, 1345, 2036},	// Plasma::RunnerContext::matches
    {79, 1346, 2043},	// Plasma::RunnerContext::matchesChanged
    {79, 1356, 2015},	// Plasma::RunnerContext::metaObject
    {79, 1363, 2029},	// Plasma::RunnerContext::mimeType
    {79, 1414, 2024},	// Plasma::RunnerContext::operator=#
    {79, 1491, 2021},	// Plasma::RunnerContext::qt_metacall$$?
    {79, 1493, 2016},	// Plasma::RunnerContext::qt_metacast$
    {79, 1494, 2027},	// Plasma::RunnerContext::query
    {79, 1548, 2033},	// Plasma::RunnerContext::removeMatch$
    {79, 1550, 2035},	// Plasma::RunnerContext::removeMatches#
    {79, 1551, 2034},	// Plasma::RunnerContext::removeMatches?
    {79, 1585, 2025},	// Plasma::RunnerContext::reset
    {79, 1596, 2040},	// Plasma::RunnerContext::restore#
    {79, 1604, 2042},	// Plasma::RunnerContext::run#
    {79, 1614, 2041},	// Plasma::RunnerContext::save#
    {79, 1983, 2026},	// Plasma::RunnerContext::setQuery$
    {79, 2040, 2038},	// Plasma::RunnerContext::setSingleRunnerQueryMode$
    {79, 2200, 2039},	// Plasma::RunnerContext::singleRunnerQueryMode
    {79, 2231, 2048},	// Plasma::RunnerContext::staticMetaObject
    {79, 2313, 2044},	// Plasma::RunnerContext::tr$
    {79, 2314, 2017},	// Plasma::RunnerContext::tr$$
    {79, 2315, 2019},	// Plasma::RunnerContext::tr$$$
    {79, 2317, 2045},	// Plasma::RunnerContext::trUtf8$
    {79, 2318, 2018},	// Plasma::RunnerContext::trUtf8$$
    {79, 2319, 2020},	// Plasma::RunnerContext::trUtf8$$$
    {79, 2321, 2028},	// Plasma::RunnerContext::type
    {79, 2462, 2058},	// Plasma::RunnerContext::~RunnerContext
    {80, 413, 2102},	// Plasma::RunnerManager::RunnerManager
    {80, 414, -27},	// Plasma::RunnerManager::RunnerManager#
    {80, 415, 2067},	// Plasma::RunnerManager::RunnerManager##
    {80, 567, 2081},	// Plasma::RunnerManager::actionsForMatch#
    {80, 647, 2087},	// Plasma::RunnerManager::allowedRunners
    {80, 966, 2096},	// Plasma::RunnerManager::execQuery$
    {80, 967, 2095},	// Plasma::RunnerManager::execQuery$$
    {80, 1230, 2094},	// Plasma::RunnerManager::launchQuery$
    {80, 1231, 2093},	// Plasma::RunnerManager::launchQuery$$
    {80, 1276, 2104},	// Plasma::RunnerManager::listRunnerInfo
    {80, 1277, 2090},	// Plasma::RunnerManager::listRunnerInfo$
    {80, 1315, 2086},	// Plasma::RunnerManager::loadRunner$
    {80, 1316, 2085},	// Plasma::RunnerManager::loadRunner?
    {80, 1344, 2092},	// Plasma::RunnerManager::matchSessionComplete
    {80, 1345, 2078},	// Plasma::RunnerManager::matches
    {80, 1347, 2098},	// Plasma::RunnerManager::matchesChanged?
    {80, 1356, 2059},	// Plasma::RunnerManager::metaObject
    {80, 1361, 2088},	// Plasma::RunnerManager::mimeDataForMatch#
    {80, 1362, 2089},	// Plasma::RunnerManager::mimeDataForMatch$
    {80, 1491, 2065},	// Plasma::RunnerManager::qt_metacall$$?
    {80, 1493, 2060},	// Plasma::RunnerManager::qt_metacast$
    {80, 1494, 2082},	// Plasma::RunnerManager::query
    {80, 1496, 2099},	// Plasma::RunnerManager::queryFinished
    {80, 1524, 2083},	// Plasma::RunnerManager::reloadConfiguration
    {80, 1585, 2097},	// Plasma::RunnerManager::reset
    {80, 1604, 2079},	// Plasma::RunnerManager::run#
    {80, 1606, 2080},	// Plasma::RunnerManager::run$
    {80, 1609, 2068},	// Plasma::RunnerManager::runner$
    {80, 1611, 2074},	// Plasma::RunnerManager::runnerName$
    {80, 1612, 2075},	// Plasma::RunnerManager::runners
    {80, 1645, 2077},	// Plasma::RunnerManager::searchContext
    {80, 1673, 2084},	// Plasma::RunnerManager::setAllowedRunners?
    {80, 2036, 2073},	// Plasma::RunnerManager::setSingleMode$
    {80, 2038, 2070},	// Plasma::RunnerManager::setSingleModeRunnerId$
    {80, 2168, 2091},	// Plasma::RunnerManager::setupMatchSession
    {80, 2196, 2072},	// Plasma::RunnerManager::singleMode
    {80, 2197, 2076},	// Plasma::RunnerManager::singleModeAdvertisedRunnerIds
    {80, 2198, 2069},	// Plasma::RunnerManager::singleModeRunner
    {80, 2199, 2071},	// Plasma::RunnerManager::singleModeRunnerId
    {80, 2231, 2105},	// Plasma::RunnerManager::staticMetaObject
    {80, 2313, 2100},	// Plasma::RunnerManager::tr$
    {80, 2314, 2061},	// Plasma::RunnerManager::tr$$
    {80, 2315, 2063},	// Plasma::RunnerManager::tr$$$
    {80, 2317, 2101},	// Plasma::RunnerManager::trUtf8$
    {80, 2318, 2062},	// Plasma::RunnerManager::trUtf8$$
    {80, 2319, 2064},	// Plasma::RunnerManager::trUtf8$$$
    {80, 2463, 2106},	// Plasma::RunnerManager::~RunnerManager
    {81, 416, 2144},	// Plasma::RunnerScript::RunnerScript
    {81, 417, 2114},	// Plasma::RunnerScript::RunnerScript#
    {81, 563, 2137},	// Plasma::RunnerScript::action$
    {81, 565, 2138},	// Plasma::RunnerScript::actions
    {81, 568, 2123},	// Plasma::RunnerScript::actionsForMatch#?
    {81, 581, 2135},	// Plasma::RunnerScript::addAction$#
    {81, 582, 2134},	// Plasma::RunnerScript::addAction$#$
    {81, 632, 2140},	// Plasma::RunnerScript::addSyntax#
    {81, 723, 2139},	// Plasma::RunnerScript::clearActions
    {81, 743, 2128},	// Plasma::RunnerScript::config
    {81, 823, 2121},	// Plasma::RunnerScript::createRunOptions#
    {81, 845, 2127},	// Plasma::RunnerScript::dataEngine$
    {81, 854, 2126},	// Plasma::RunnerScript::description
    {81, 1329, 2124},	// Plasma::RunnerScript::mainScript
    {81, 1342, 2117},	// Plasma::RunnerScript::match#
    {81, 1356, 2107},	// Plasma::RunnerScript::metaObject
    {81, 1419, 2125},	// Plasma::RunnerScript::package
    {81, 1480, 2119},	// Plasma::RunnerScript::prepare
    {81, 1491, 2113},	// Plasma::RunnerScript::qt_metacall$$?
    {81, 1493, 2108},	// Plasma::RunnerScript::qt_metacast$
    {81, 1524, 2122},	// Plasma::RunnerScript::reloadConfiguration
    {81, 1535, 2136},	// Plasma::RunnerScript::removeAction$
    {81, 1605, 2118},	// Plasma::RunnerScript::run##
    {81, 1608, 2116},	// Plasma::RunnerScript::runner
    {81, 1659, 2145},	// Plasma::RunnerScript::serviceQuery$
    {81, 1660, 2133},	// Plasma::RunnerScript::serviceQuery$$
    {81, 1848, 2130},	// Plasma::RunnerScript::setHasRunOptions$
    {81, 1870, 2129},	// Plasma::RunnerScript::setIgnoredTypes$
    {81, 1981, 2132},	// Plasma::RunnerScript::setPriority$
    {81, 2007, 2115},	// Plasma::RunnerScript::setRunner#
    {81, 2046, 2131},	// Plasma::RunnerScript::setSpeed$
    {81, 2069, 2141},	// Plasma::RunnerScript::setSyntaxes?
    {81, 2231, 2146},	// Plasma::RunnerScript::staticMetaObject
    {81, 2281, 2120},	// Plasma::RunnerScript::teardown
    {81, 2313, 2142},	// Plasma::RunnerScript::tr$
    {81, 2314, 2109},	// Plasma::RunnerScript::tr$$
    {81, 2315, 2111},	// Plasma::RunnerScript::tr$$$
    {81, 2317, 2143},	// Plasma::RunnerScript::trUtf8$
    {81, 2318, 2110},	// Plasma::RunnerScript::trUtf8$$
    {81, 2319, 2112},	// Plasma::RunnerScript::trUtf8$$$
    {81, 2464, 2147},	// Plasma::RunnerScript::~RunnerScript
    {82, 419, 2149},	// Plasma::RunnerSyntax::RunnerSyntax#
    {82, 420, 2148},	// Plasma::RunnerSyntax::RunnerSyntax$$
    {82, 601, 2151},	// Plasma::RunnerSyntax::addExampleQuery$
    {82, 854, 2155},	// Plasma::RunnerSyntax::description
    {82, 963, 2152},	// Plasma::RunnerSyntax::exampleQueries
    {82, 964, 2153},	// Plasma::RunnerSyntax::exampleQueriesWithTermDescription
    {82, 1414, 2150},	// Plasma::RunnerSyntax::operator=#
    {82, 1648, 2157},	// Plasma::RunnerSyntax::searchTermDescription
    {82, 1786, 2154},	// Plasma::RunnerSyntax::setDescription$
    {82, 2018, 2156},	// Plasma::RunnerSyntax::setSearchTermDescription$
    {82, 2465, 2158},	// Plasma::RunnerSyntax::~RunnerSyntax
    {83, 426, 2172},	// Plasma::ScriptEngine::ScriptEngine
    {83, 427, 2167},	// Plasma::ScriptEngine::ScriptEngine#
    {83, 1096, 2166},	// Plasma::ScriptEngine::init
    {83, 1329, 2168},	// Plasma::ScriptEngine::mainScript
    {83, 1356, 2159},	// Plasma::ScriptEngine::metaObject
    {83, 1419, 2169},	// Plasma::ScriptEngine::package
    {83, 1491, 2165},	// Plasma::ScriptEngine::qt_metacall$$?
    {83, 1493, 2160},	// Plasma::ScriptEngine::qt_metacast$
    {83, 2231, 2173},	// Plasma::ScriptEngine::staticMetaObject
    {83, 2313, 2170},	// Plasma::ScriptEngine::tr$
    {83, 2314, 2161},	// Plasma::ScriptEngine::tr$$
    {83, 2315, 2163},	// Plasma::ScriptEngine::tr$$$
    {83, 2317, 2171},	// Plasma::ScriptEngine::trUtf8$
    {83, 2318, 2162},	// Plasma::ScriptEngine::trUtf8$$
    {83, 2319, 2164},	// Plasma::ScriptEngine::trUtf8$$$
    {83, 2466, 2174},	// Plasma::ScriptEngine::~ScriptEngine
    {84, 428, 2204},	// Plasma::ScrollBar::ScrollBar
    {84, 429, 2182},	// Plasma::ScrollBar::ScrollBar#
    {84, 800, 2197},	// Plasma::ScrollBar::contextMenuEvent#
    {84, 1351, 2190},	// Plasma::ScrollBar::maximum
    {84, 1356, 2175},	// Plasma::ScrollBar::metaObject
    {84, 1366, 2189},	// Plasma::ScrollBar::minimum
    {84, 1393, 2195},	// Plasma::ScrollBar::nativeWidget
    {84, 1417, 2196},	// Plasma::ScrollBar::orientation
    {84, 1424, 2187},	// Plasma::ScrollBar::pageStep
    {84, 1491, 2181},	// Plasma::ScrollBar::qt_metacall$$?
    {84, 1493, 2176},	// Plasma::ScrollBar::qt_metacast$
    {84, 1909, 2192},	// Plasma::ScrollBar::setMaximum$
    {84, 1917, 2191},	// Plasma::ScrollBar::setMinimum$
    {84, 1942, 2199},	// Plasma::ScrollBar::setOrientation$
    {84, 1950, 2186},	// Plasma::ScrollBar::setPageStep$
    {84, 1985, 2183},	// Plasma::ScrollBar::setRange$$
    {84, 2042, 2184},	// Plasma::ScrollBar::setSingleStep$
    {84, 2057, 2193},	// Plasma::ScrollBar::setStyleSheet$
    {84, 2133, 2198},	// Plasma::ScrollBar::setValue$
    {84, 2201, 2185},	// Plasma::ScrollBar::singleStep
    {84, 2213, 2201},	// Plasma::ScrollBar::sliderMoved$
    {84, 2231, 2205},	// Plasma::ScrollBar::staticMetaObject
    {84, 2244, 2194},	// Plasma::ScrollBar::styleSheet
    {84, 2313, 2202},	// Plasma::ScrollBar::tr$
    {84, 2314, 2177},	// Plasma::ScrollBar::tr$$
    {84, 2315, 2179},	// Plasma::ScrollBar::tr$$$
    {84, 2317, 2203},	// Plasma::ScrollBar::trUtf8$
    {84, 2318, 2178},	// Plasma::ScrollBar::trUtf8$$
    {84, 2319, 2180},	// Plasma::ScrollBar::trUtf8$$$
    {84, 2368, 2188},	// Plasma::ScrollBar::value
    {84, 2370, 2200},	// Plasma::ScrollBar::valueChanged$
    {84, 2467, 2206},	// Plasma::ScrollBar::~ScrollBar
    {85, 431, 2255},	// Plasma::ScrollWidget::ScrollWidget
    {85, 432, -58},	// Plasma::ScrollWidget::ScrollWidget#
    {85, 645, 2219},	// Plasma::ScrollWidget::alignment
    {85, 792, 2233},	// Plasma::ScrollWidget::contentsSize
    {85, 950, 2229},	// Plasma::ScrollWidget::ensureItemVisible#
    {85, 952, 2228},	// Plasma::ScrollWidget::ensureRectVisible#
    {85, 960, 2249},	// Plasma::ScrollWidget::eventFilter##
    {85, 1004, 2250},	// Plasma::ScrollWidget::focusInEvent#
    {85, 1055, 2221},	// Plasma::ScrollWidget::hasOverShoot
    {85, 1072, 2223},	// Plasma::ScrollWidget::horizontalScrollBarPolicy
    {85, 1204, 2247},	// Plasma::ScrollWidget::keyPressEvent#
    {85, 1356, 2207},	// Plasma::ScrollWidget::metaObject
    {85, 1374, 2244},	// Plasma::ScrollWidget::mouseMoveEvent#
    {85, 1376, 2245},	// Plasma::ScrollWidget::mousePressEvent#
    {85, 1378, 2246},	// Plasma::ScrollWidget::mouseReleaseEvent#
    {85, 1393, 2240},	// Plasma::ScrollWidget::nativeWidget
    {85, 1418, 2226},	// Plasma::ScrollWidget::overflowBordersVisible
    {85, 1491, 2213},	// Plasma::ScrollWidget::qt_metacall$$?
    {85, 1493, 2208},	// Plasma::ScrollWidget::qt_metacast$
    {85, 1508, 2230},	// Plasma::ScrollWidget::registerAsDragHandle#
    {85, 1591, 2243},	// Plasma::ScrollWidget::resizeEvent#
    {85, 1628, 2252},	// Plasma::ScrollWidget::sceneEventFilter##
    {85, 1641, 2235},	// Plasma::ScrollWidget::scrollPosition
    {85, 1644, 2241},	// Plasma::ScrollWidget::scrollStateChanged$$
    {85, 1669, 2218},	// Plasma::ScrollWidget::setAlignment$
    {85, 1858, 2222},	// Plasma::ScrollWidget::setHorizontalScrollBarPolicy$
    {85, 1944, 2220},	// Plasma::ScrollWidget::setOverShoot$
    {85, 1946, 2227},	// Plasma::ScrollWidget::setOverflowBordersVisible$
    {85, 2016, 2234},	// Plasma::ScrollWidget::setScrollPosition#
    {85, 2044, 2236},	// Plasma::ScrollWidget::setSnapSize#
    {85, 2057, 2238},	// Plasma::ScrollWidget::setStyleSheet$
    {85, 2145, 2224},	// Plasma::ScrollWidget::setVerticalScrollBarPolicy$
    {85, 2158, 2216},	// Plasma::ScrollWidget::setWidget#
    {85, 2209, 2251},	// Plasma::ScrollWidget::sizeHint$#
    {85, 2214, 2237},	// Plasma::ScrollWidget::snapSize
    {85, 2231, 2256},	// Plasma::ScrollWidget::staticMetaObject
    {85, 2244, 2239},	// Plasma::ScrollWidget::styleSheet
    {85, 2313, 2253},	// Plasma::ScrollWidget::tr$
    {85, 2314, 2209},	// Plasma::ScrollWidget::tr$$
    {85, 2315, 2211},	// Plasma::ScrollWidget::tr$$$
    {85, 2317, 2254},	// Plasma::ScrollWidget::trUtf8$
    {85, 2318, 2210},	// Plasma::ScrollWidget::trUtf8$$
    {85, 2319, 2212},	// Plasma::ScrollWidget::trUtf8$$$
    {85, 2332, 2231},	// Plasma::ScrollWidget::unregisterAsDragHandle#
    {85, 2381, 2225},	// Plasma::ScrollWidget::verticalScrollBarPolicy
    {85, 2386, 2232},	// Plasma::ScrollWidget::viewportGeometry
    {85, 2388, 2242},	// Plasma::ScrollWidget::viewportGeometryChanged#
    {85, 2398, 2248},	// Plasma::ScrollWidget::wheelEvent#
    {85, 2399, 2217},	// Plasma::ScrollWidget::widget
    {85, 2468, 2257},	// Plasma::ScrollWidget::~ScrollWidget
    {86, 434, 2272},	// Plasma::Separator::Separator
    {86, 435, 2273},	// Plasma::Separator::Separator#
    {86, 436, 2265},	// Plasma::Separator::Separator#$
    {86, 1356, 2258},	// Plasma::Separator::metaObject
    {86, 1417, 2267},	// Plasma::Separator::orientation
    {86, 1427, 2268},	// Plasma::Separator::paint###
    {86, 1491, 2264},	// Plasma::Separator::qt_metacall$$?
    {86, 1493, 2259},	// Plasma::Separator::qt_metacast$
    {86, 1942, 2266},	// Plasma::Separator::setOrientation$
    {86, 2209, 2269},	// Plasma::Separator::sizeHint$#
    {86, 2231, 2274},	// Plasma::Separator::staticMetaObject
    {86, 2313, 2270},	// Plasma::Separator::tr$
    {86, 2314, 2260},	// Plasma::Separator::tr$$
    {86, 2315, 2262},	// Plasma::Separator::tr$$$
    {86, 2317, 2271},	// Plasma::Separator::trUtf8$
    {86, 2318, 2261},	// Plasma::Separator::trUtf8$$
    {86, 2319, 2263},	// Plasma::Separator::trUtf8$$$
    {86, 2469, 2275},	// Plasma::Separator::~Separator
    {87, 437, 2316},	// Plasma::Service::Service
    {87, 438, 2303},	// Plasma::Service::Service#
    {87, 439, 2304},	// Plasma::Service::Service#?
    {87, 558, 2314},	// Plasma::Service::access#
    {87, 559, 2285},	// Plasma::Service::access##
    {87, 683, 2297},	// Plasma::Service::associateItem#$
    {87, 685, -21},	// Plasma::Service::associateWidget#$
    {87, 816, 2305},	// Plasma::Service::createJob$?
    {87, 856, 2287},	// Plasma::Service::destination
    {87, 869, 2298},	// Plasma::Service::disassociateItem#
    {87, 871, -24},	// Plasma::Service::disassociateWidget#
    {87, 991, 2300},	// Plasma::Service::finished#
    {87, 1146, 2291},	// Plasma::Service::isOperationEnabled$
    {87, 1293, 2313},	// Plasma::Service::load$
    {87, 1294, 2284},	// Plasma::Service::load$#
    {87, 1297, 2312},	// Plasma::Service::load$?
    {87, 1298, 2283},	// Plasma::Service::load$?#
    {87, 1356, 2276},	// Plasma::Service::metaObject
    {87, 1391, 2292},	// Plasma::Service::name
    {87, 1406, 2289},	// Plasma::Service::operationDescription$
    {87, 1407, 2288},	// Plasma::Service::operationNames
    {87, 1408, 2301},	// Plasma::Service::operationsChanged
    {87, 1448, 2299},	// Plasma::Service::parametersFromDescription#
    {87, 1491, 2282},	// Plasma::Service::qt_metacall$$?
    {87, 1493, 2277},	// Plasma::Service::qt_metacast$
    {87, 1509, 2306},	// Plasma::Service::registerOperationsScheme
    {87, 1662, 2302},	// Plasma::Service::serviceReady#
    {87, 1788, 2286},	// Plasma::Service::setDestination$
    {87, 1928, 2308},	// Plasma::Service::setName$
    {87, 1938, 2309},	// Plasma::Service::setOperationEnabled$$
    {87, 1940, 2307},	// Plasma::Service::setOperationsScheme#
    {87, 2227, 2315},	// Plasma::Service::startOperationCall#
    {87, 2228, 2290},	// Plasma::Service::startOperationCall##
    {87, 2231, 2317},	// Plasma::Service::staticMetaObject
    {87, 2313, 2310},	// Plasma::Service::tr$
    {87, 2314, 2278},	// Plasma::Service::tr$$
    {87, 2315, 2280},	// Plasma::Service::tr$$$
    {87, 2317, 2311},	// Plasma::Service::trUtf8$
    {87, 2318, 2279},	// Plasma::Service::trUtf8$$
    {87, 2319, 2281},	// Plasma::Service::trUtf8$$$
    {87, 2470, 2318},	// Plasma::Service::~Service
    {88, 441, 2331},	// Plasma::ServiceAccessJob::ServiceAccessJob#
    {88, 442, 2327},	// Plasma::ServiceAccessJob::ServiceAccessJob##
    {88, 1356, 2319},	// Plasma::ServiceAccessJob::metaObject
    {88, 1491, 2325},	// Plasma::ServiceAccessJob::qt_metacall$$?
    {88, 1493, 2320},	// Plasma::ServiceAccessJob::qt_metacast$
    {88, 1653, 2326},	// Plasma::ServiceAccessJob::service
    {88, 2225, 2328},	// Plasma::ServiceAccessJob::start
    {88, 2231, 2332},	// Plasma::ServiceAccessJob::staticMetaObject
    {88, 2313, 2329},	// Plasma::ServiceAccessJob::tr$
    {88, 2314, 2321},	// Plasma::ServiceAccessJob::tr$$
    {88, 2315, 2323},	// Plasma::ServiceAccessJob::tr$$$
    {88, 2317, 2330},	// Plasma::ServiceAccessJob::trUtf8$
    {88, 2318, 2322},	// Plasma::ServiceAccessJob::trUtf8$$
    {88, 2319, 2324},	// Plasma::ServiceAccessJob::trUtf8$$$
    {88, 2471, 2333},	// Plasma::ServiceAccessJob::~ServiceAccessJob
    {90, 446, 2408},	// Plasma::SignalPlotter::SignalPlotter
    {90, 447, 2341},	// Plasma::SignalPlotter::SignalPlotter#
    {90, 615, 2342},	// Plasma::SignalPlotter::addPlot#
    {90, 622, 2343},	// Plasma::SignalPlotter::addSample?
    {90, 701, 2383},	// Plasma::SignalPlotter::backgroundColor
    {90, 711, 2395},	// Plasma::SignalPlotter::calculateNiceRange
    {90, 891, 2404},	// Plasma::SignalPlotter::drawAxisText#$$
    {90, 893, 2398},	// Plasma::SignalPlotter::drawBackground#$$
    {90, 896, 2405},	// Plasma::SignalPlotter::drawHorizontalLines#$$$
    {90, 899, 2403},	// Plasma::SignalPlotter::drawPlots#$$$$
    {90, 901, 2399},	// Plasma::SignalPlotter::drawThinFrame#$$
    {90, 903, 2401},	// Plasma::SignalPlotter::drawTopBarContents#$$$
    {90, 905, 2400},	// Plasma::SignalPlotter::drawTopBarFrame#$$
    {90, 907, 2402},	// Plasma::SignalPlotter::drawVerticalLines#$$$
    {90, 910, 2397},	// Plasma::SignalPlotter::drawWidget#$$$
    {90, 1010, 2375},	// Plasma::SignalPlotter::font
    {90, 1013, 2373},	// Plasma::SignalPlotter::fontColor
    {90, 1033, 2392},	// Plasma::SignalPlotter::getSnapshotImage$$
    {90, 1069, 2371},	// Plasma::SignalPlotter::horizontalLinesColor
    {90, 1070, 2377},	// Plasma::SignalPlotter::horizontalLinesCount
    {90, 1071, 2359},	// Plasma::SignalPlotter::horizontalScale
    {90, 1226, 2386},	// Plasma::SignalPlotter::lastValue$
    {90, 1228, 2387},	// Plasma::SignalPlotter::lastValueAsString$
    {90, 1356, 2334},	// Plasma::SignalPlotter::metaObject
    {90, 1427, 2396},	// Plasma::SignalPlotter::paint###
    {90, 1462, 2346},	// Plasma::SignalPlotter::plotColors
    {90, 1491, 2340},	// Plasma::SignalPlotter::qt_metacall$$?
    {90, 1493, 2335},	// Plasma::SignalPlotter::qt_metacast$
    {90, 1555, 2345},	// Plasma::SignalPlotter::removePlot$
    {90, 1576, 2344},	// Plasma::SignalPlotter::reorderPlots?
    {90, 1622, 2351},	// Plasma::SignalPlotter::scale$
    {90, 1623, 2352},	// Plasma::SignalPlotter::scaledBy
    {90, 1705, 2382},	// Plasma::SignalPlotter::setBackgroundColor#
    {90, 1826, 2374},	// Plasma::SignalPlotter::setFont#
    {90, 1829, 2372},	// Plasma::SignalPlotter::setFontColor#
    {90, 1835, 2393},	// Plasma::SignalPlotter::setGeometry#
    {90, 1852, 2370},	// Plasma::SignalPlotter::setHorizontalLinesColor#
    {90, 1854, 2376},	// Plasma::SignalPlotter::setHorizontalLinesCount$
    {90, 1856, 2358},	// Plasma::SignalPlotter::setHorizontalScale$
    {90, 2026, 2368},	// Plasma::SignalPlotter::setShowHorizontalLines$
    {90, 2028, 2378},	// Plasma::SignalPlotter::setShowLabels$
    {90, 2030, 2380},	// Plasma::SignalPlotter::setShowTopBar$
    {90, 2032, 2360},	// Plasma::SignalPlotter::setShowVerticalLines$
    {90, 2048, 2390},	// Plasma::SignalPlotter::setStackPlots$
    {90, 2067, 2384},	// Plasma::SignalPlotter::setSvgBackground$
    {90, 2099, 2388},	// Plasma::SignalPlotter::setThinFrame$
    {90, 2103, 2347},	// Plasma::SignalPlotter::setTitle$
    {90, 2115, 2349},	// Plasma::SignalPlotter::setUnit$
    {90, 2123, 2353},	// Plasma::SignalPlotter::setUseAutoRange$
    {90, 2137, 2362},	// Plasma::SignalPlotter::setVerticalLinesColor#
    {90, 2139, 2364},	// Plasma::SignalPlotter::setVerticalLinesDistance$
    {90, 2141, 2366},	// Plasma::SignalPlotter::setVerticalLinesScroll$
    {90, 2143, 2355},	// Plasma::SignalPlotter::setVerticalRange$$
    {90, 2187, 2369},	// Plasma::SignalPlotter::showHorizontalLines
    {90, 2188, 2379},	// Plasma::SignalPlotter::showLabels
    {90, 2194, 2381},	// Plasma::SignalPlotter::showTopBar
    {90, 2195, 2361},	// Plasma::SignalPlotter::showVerticalLines
    {90, 2223, 2391},	// Plasma::SignalPlotter::stackPlots
    {90, 2231, 2409},	// Plasma::SignalPlotter::staticMetaObject
    {90, 2255, 2385},	// Plasma::SignalPlotter::svgBackground
    {90, 2292, 2389},	// Plasma::SignalPlotter::thinFrame
    {90, 2299, 2348},	// Plasma::SignalPlotter::title
    {90, 2313, 2406},	// Plasma::SignalPlotter::tr$
    {90, 2314, 2336},	// Plasma::SignalPlotter::tr$$
    {90, 2315, 2338},	// Plasma::SignalPlotter::tr$$$
    {90, 2317, 2407},	// Plasma::SignalPlotter::trUtf8$
    {90, 2318, 2337},	// Plasma::SignalPlotter::trUtf8$$
    {90, 2319, 2339},	// Plasma::SignalPlotter::trUtf8$$$
    {90, 2327, 2350},	// Plasma::SignalPlotter::unit
    {90, 2344, 2394},	// Plasma::SignalPlotter::updateDataBuffers
    {90, 2359, 2354},	// Plasma::SignalPlotter::useAutoRange
    {90, 2376, 2363},	// Plasma::SignalPlotter::verticalLinesColor
    {90, 2377, 2365},	// Plasma::SignalPlotter::verticalLinesDistance
    {90, 2378, 2367},	// Plasma::SignalPlotter::verticalLinesScroll
    {90, 2379, 2357},	// Plasma::SignalPlotter::verticalMaxValue
    {90, 2380, 2356},	// Plasma::SignalPlotter::verticalMinValue
    {90, 2472, 2410},	// Plasma::SignalPlotter::~SignalPlotter
    {91, 452, 2437},	// Plasma::Slider::Slider
    {91, 453, 2418},	// Plasma::Slider::Slider#
    {91, 1351, 2419},	// Plasma::Slider::maximum
    {91, 1356, 2411},	// Plasma::Slider::metaObject
    {91, 1366, 2420},	// Plasma::Slider::minimum
    {91, 1393, 2425},	// Plasma::Slider::nativeWidget
    {91, 1417, 2422},	// Plasma::Slider::orientation
    {91, 1427, 2426},	// Plasma::Slider::paint###
    {91, 1491, 2417},	// Plasma::Slider::qt_metacall$$?
    {91, 1493, 2412},	// Plasma::Slider::qt_metacast$
    {91, 1909, 2428},	// Plasma::Slider::setMaximum$
    {91, 1917, 2429},	// Plasma::Slider::setMinimum$
    {91, 1942, 2432},	// Plasma::Slider::setOrientation$
    {91, 1985, 2430},	// Plasma::Slider::setRange$$
    {91, 2057, 2423},	// Plasma::Slider::setStyleSheet$
    {91, 2133, 2431},	// Plasma::Slider::setValue$
    {91, 2213, 2433},	// Plasma::Slider::sliderMoved$
    {91, 2231, 2438},	// Plasma::Slider::staticMetaObject
    {91, 2244, 2424},	// Plasma::Slider::styleSheet
    {91, 2313, 2435},	// Plasma::Slider::tr$
    {91, 2314, 2413},	// Plasma::Slider::tr$$
    {91, 2315, 2415},	// Plasma::Slider::tr$$$
    {91, 2317, 2436},	// Plasma::Slider::trUtf8$
    {91, 2318, 2414},	// Plasma::Slider::trUtf8$$
    {91, 2319, 2416},	// Plasma::Slider::trUtf8$$$
    {91, 2368, 2421},	// Plasma::Slider::value
    {91, 2370, 2434},	// Plasma::Slider::valueChanged$
    {91, 2398, 2427},	// Plasma::Slider::wheelEvent#
    {91, 2473, 2439},	// Plasma::Slider::~Slider
    {92, 459, 2470},	// Plasma::SpinBox::SpinBox
    {92, 460, 2447},	// Plasma::SpinBox::SpinBox#
    {92, 716, 2454},	// Plasma::SpinBox::changeEvent#
    {92, 915, 2467},	// Plasma::SpinBox::editingFinished
    {92, 1008, 2460},	// Plasma::SpinBox::focusOutEvent#
    {92, 1074, 2455},	// Plasma::SpinBox::hoverEnterEvent#
    {92, 1076, 2456},	// Plasma::SpinBox::hoverLeaveEvent#
    {92, 1351, 2448},	// Plasma::SpinBox::maximum
    {92, 1356, 2440},	// Plasma::SpinBox::metaObject
    {92, 1366, 2449},	// Plasma::SpinBox::minimum
    {92, 1376, 2459},	// Plasma::SpinBox::mousePressEvent#
    {92, 1393, 2453},	// Plasma::SpinBox::nativeWidget
    {92, 1427, 2458},	// Plasma::SpinBox::paint###
    {92, 1491, 2446},	// Plasma::SpinBox::qt_metacall$$?
    {92, 1493, 2441},	// Plasma::SpinBox::qt_metacast$
    {92, 1591, 2457},	// Plasma::SpinBox::resizeEvent#
    {92, 1909, 2461},	// Plasma::SpinBox::setMaximum$
    {92, 1917, 2462},	// Plasma::SpinBox::setMinimum$
    {92, 1985, 2463},	// Plasma::SpinBox::setRange$$
    {92, 2057, 2451},	// Plasma::SpinBox::setStyleSheet$
    {92, 2133, 2464},	// Plasma::SpinBox::setValue$
    {92, 2213, 2465},	// Plasma::SpinBox::sliderMoved$
    {92, 2231, 2471},	// Plasma::SpinBox::staticMetaObject
    {92, 2244, 2452},	// Plasma::SpinBox::styleSheet
    {92, 2313, 2468},	// Plasma::SpinBox::tr$
    {92, 2314, 2442},	// Plasma::SpinBox::tr$$
    {92, 2315, 2444},	// Plasma::SpinBox::tr$$$
    {92, 2317, 2469},	// Plasma::SpinBox::trUtf8$
    {92, 2318, 2443},	// Plasma::SpinBox::trUtf8$$
    {92, 2319, 2445},	// Plasma::SpinBox::trUtf8$$$
    {92, 2368, 2450},	// Plasma::SpinBox::value
    {92, 2370, 2466},	// Plasma::SpinBox::valueChanged$
    {92, 2474, 2472},	// Plasma::SpinBox::~SpinBox
    {93, 474, 2507},	// Plasma::Svg::Svg
    {93, 475, 2480},	// Plasma::Svg::Svg#
    {93, 787, 2496},	// Plasma::Svg::containsMultipleImages
    {93, 929, 2493},	// Plasma::Svg::elementAtPoint#
    {93, 934, 2491},	// Plasma::Svg::elementRect$
    {93, 936, 2490},	// Plasma::Svg::elementSize$
    {93, 1047, 2492},	// Plasma::Svg::hasElement$
    {93, 1085, 2498},	// Plasma::Svg::imagePath
    {93, 1168, 2500},	// Plasma::Svg::isUsingRenderingCache
    {93, 1169, 2494},	// Plasma::Svg::isValid
    {93, 1356, 2473},	// Plasma::Svg::metaObject
    {93, 1426, -37},	// Plasma::Svg::paint##
    {93, 1428, -40},	// Plasma::Svg::paint##$
    {93, 1429, 2510},	// Plasma::Svg::paint#$$
    {93, 1430, 2483},	// Plasma::Svg::paint#$$$
    {93, 1431, 2512},	// Plasma::Svg::paint#$$$$
    {93, 1432, 2485},	// Plasma::Svg::paint#$$$$$
    {93, 1459, 2508},	// Plasma::Svg::pixmap
    {93, 1460, 2481},	// Plasma::Svg::pixmap$
    {93, 1491, 2479},	// Plasma::Svg::qt_metacall$$?
    {93, 1493, 2474},	// Plasma::Svg::qt_metacast$
    {93, 1577, 2503},	// Plasma::Svg::repaintNeeded
    {93, 1586, 2489},	// Plasma::Svg::resize
    {93, 1587, 2488},	// Plasma::Svg::resize#
    {93, 1588, 2487},	// Plasma::Svg::resize$$
    {93, 1744, 2495},	// Plasma::Svg::setContainsMultipleImages$
    {93, 1876, 2497},	// Plasma::Svg::setImagePath$
    {93, 2095, 2501},	// Plasma::Svg::setTheme#
    {93, 2129, 2499},	// Plasma::Svg::setUsingRenderingCache$
    {93, 2202, 2486},	// Plasma::Svg::size
    {93, 2203, 2504},	// Plasma::Svg::sizeChanged
    {93, 2231, 2513},	// Plasma::Svg::staticMetaObject
    {93, 2289, 2502},	// Plasma::Svg::theme
    {93, 2313, 2505},	// Plasma::Svg::tr$
    {93, 2314, 2475},	// Plasma::Svg::tr$$
    {93, 2315, 2477},	// Plasma::Svg::tr$$$
    {93, 2317, 2506},	// Plasma::Svg::trUtf8$
    {93, 2318, 2476},	// Plasma::Svg::trUtf8$$
    {93, 2319, 2478},	// Plasma::Svg::trUtf8$$$
    {93, 2476, 2514},	// Plasma::Svg::~Svg
    {94, 476, 2535},	// Plasma::SvgWidget::SvgWidget
    {94, 477, -1},	// Plasma::SvgWidget::SvgWidget#
    {94, 478, -4},	// Plasma::SvgWidget::SvgWidget#$
    {94, 479, 2539},	// Plasma::SvgWidget::SvgWidget#$#
    {94, 480, 2523},	// Plasma::SvgWidget::SvgWidget#$#$
    {94, 732, 2529},	// Plasma::SvgWidget::clicked$
    {94, 932, 2527},	// Plasma::SvgWidget::elementID
    {94, 1356, 2515},	// Plasma::SvgWidget::metaObject
    {94, 1376, 2532},	// Plasma::SvgWidget::mousePressEvent#
    {94, 1378, 2528},	// Plasma::SvgWidget::mouseReleaseEvent#
    {94, 1427, 2530},	// Plasma::SvgWidget::paint###
    {94, 1491, 2521},	// Plasma::SvgWidget::qt_metacall$$?
    {94, 1493, 2516},	// Plasma::SvgWidget::qt_metacast$
    {94, 1805, 2526},	// Plasma::SvgWidget::setElementID$
    {94, 2063, 2524},	// Plasma::SvgWidget::setSvg#
    {94, 2209, 2531},	// Plasma::SvgWidget::sizeHint$#
    {94, 2231, 2540},	// Plasma::SvgWidget::staticMetaObject
    {94, 2254, 2525},	// Plasma::SvgWidget::svg
    {94, 2313, 2533},	// Plasma::SvgWidget::tr$
    {94, 2314, 2517},	// Plasma::SvgWidget::tr$$
    {94, 2315, 2519},	// Plasma::SvgWidget::tr$$$
    {94, 2317, 2534},	// Plasma::SvgWidget::trUtf8$
    {94, 2318, 2518},	// Plasma::SvgWidget::trUtf8$$
    {94, 2319, 2520},	// Plasma::SvgWidget::trUtf8$$$
    {94, 2477, 2541},	// Plasma::SvgWidget::~SvgWidget
    {95, 482, 2581},	// Plasma::TabBar::TabBar
    {95, 483, 2549},	// Plasma::TabBar::TabBar#
    {95, 634, 2584},	// Plasma::TabBar::addTab#$
    {95, 635, 2552},	// Plasma::TabBar::addTab#$#
    {95, 636, 2585},	// Plasma::TabBar::addTab$
    {95, 637, 2553},	// Plasma::TabBar::addTab$#
    {95, 716, 2578},	// Plasma::TabBar::changeEvent#
    {95, 804, 2558},	// Plasma::TabBar::count
    {95, 827, 2575},	// Plasma::TabBar::currentChanged$
    {95, 828, 2557},	// Plasma::TabBar::currentIndex
    {95, 992, 2571},	// Plasma::TabBar::firstPositionWidget
    {95, 1113, 2582},	// Plasma::TabBar::insertTab$#$
    {95, 1114, 2550},	// Plasma::TabBar::insertTab$#$#
    {95, 1115, 2583},	// Plasma::TabBar::insertTab$$
    {95, 1116, 2551},	// Plasma::TabBar::insertTab$$#
    {95, 1161, 2564},	// Plasma::TabBar::isTabBarShown
    {95, 1163, 2568},	// Plasma::TabBar::isTabHighlighted$
    {95, 1223, 2573},	// Plasma::TabBar::lastPositionWidget
    {95, 1356, 2542},	// Plasma::TabBar::metaObject
    {95, 1393, 2569},	// Plasma::TabBar::nativeWidget
    {95, 1491, 2548},	// Plasma::TabBar::qt_metacall$$?
    {95, 1493, 2543},	// Plasma::TabBar::qt_metacast$
    {95, 1559, 2554},	// Plasma::TabBar::removeTab$
    {95, 1591, 2577},	// Plasma::TabBar::resizeEvent#
    {95, 1762, 2574},	// Plasma::TabBar::setCurrentIndex$
    {95, 1824, 2570},	// Plasma::TabBar::setFirstPositionWidget#
    {95, 1899, 2572},	// Plasma::TabBar::setLastPositionWidget#
    {95, 2057, 2565},	// Plasma::TabBar::setStyleSheet$
    {95, 2071, 2563},	// Plasma::TabBar::setTabBarShown$
    {95, 2073, 2567},	// Plasma::TabBar::setTabHighlighted$$
    {95, 2075, 2561},	// Plasma::TabBar::setTabIcon$#
    {95, 2077, 2559},	// Plasma::TabBar::setTabText$$
    {95, 2231, 2586},	// Plasma::TabBar::staticMetaObject
    {95, 2244, 2566},	// Plasma::TabBar::styleSheet
    {95, 2264, 2556},	// Plasma::TabBar::tabAt$
    {95, 2266, 2562},	// Plasma::TabBar::tabIcon$
    {95, 2268, 2560},	// Plasma::TabBar::tabText$
    {95, 2271, 2555},	// Plasma::TabBar::takeTab$
    {95, 2313, 2579},	// Plasma::TabBar::tr$
    {95, 2314, 2544},	// Plasma::TabBar::tr$$
    {95, 2315, 2546},	// Plasma::TabBar::tr$$$
    {95, 2317, 2580},	// Plasma::TabBar::trUtf8$
    {95, 2318, 2545},	// Plasma::TabBar::trUtf8$$
    {95, 2319, 2547},	// Plasma::TabBar::trUtf8$$$
    {95, 2398, 2576},	// Plasma::TabBar::wheelEvent#
    {95, 2478, 2587},	// Plasma::TabBar::~TabBar
    {96, 484, 2612},	// Plasma::TextBrowser::TextBrowser
    {96, 485, 2595},	// Plasma::TextBrowser::TextBrowser#
    {96, 668, 2603},	// Plasma::TextBrowser::append$
    {96, 716, 2608},	// Plasma::TextBrowser::changeEvent#
    {96, 800, 2609},	// Plasma::TextBrowser::contextMenuEvent#
    {96, 847, 2604},	// Plasma::TextBrowser::dataUpdated$?
    {96, 1356, 2588},	// Plasma::TextBrowser::metaObject
    {96, 1393, 2602},	// Plasma::TextBrowser::nativeWidget
    {96, 1491, 2594},	// Plasma::TextBrowser::qt_metacall$$?
    {96, 1493, 2589},	// Plasma::TextBrowser::qt_metacast$
    {96, 1591, 2606},	// Plasma::TextBrowser::resizeEvent#
    {96, 1858, 2598},	// Plasma::TextBrowser::setHorizontalScrollBarPolicy$
    {96, 2057, 2600},	// Plasma::TextBrowser::setStyleSheet$
    {96, 2089, 2596},	// Plasma::TextBrowser::setText$
    {96, 2145, 2599},	// Plasma::TextBrowser::setVerticalScrollBarPolicy$
    {96, 2231, 2613},	// Plasma::TextBrowser::staticMetaObject
    {96, 2244, 2601},	// Plasma::TextBrowser::styleSheet
    {96, 2282, 2597},	// Plasma::TextBrowser::text
    {96, 2284, 2605},	// Plasma::TextBrowser::textChanged
    {96, 2313, 2610},	// Plasma::TextBrowser::tr$
    {96, 2314, 2590},	// Plasma::TextBrowser::tr$$
    {96, 2315, 2592},	// Plasma::TextBrowser::tr$$$
    {96, 2317, 2611},	// Plasma::TextBrowser::trUtf8$
    {96, 2318, 2591},	// Plasma::TextBrowser::trUtf8$$
    {96, 2319, 2593},	// Plasma::TextBrowser::trUtf8$$$
    {96, 2398, 2607},	// Plasma::TextBrowser::wheelEvent#
    {96, 2479, 2614},	// Plasma::TextBrowser::~TextBrowser
    {97, 487, 2641},	// Plasma::TextEdit::TextEdit
    {97, 488, 2622},	// Plasma::TextEdit::TextEdit#
    {97, 668, 2631},	// Plasma::TextEdit::append$
    {97, 716, 2635},	// Plasma::TextEdit::changeEvent#
    {97, 800, 2636},	// Plasma::TextEdit::contextMenuEvent#
    {97, 847, 2632},	// Plasma::TextEdit::dataUpdated$?
    {97, 1008, 2638},	// Plasma::TextEdit::focusOutEvent#
    {97, 1153, 2626},	// Plasma::TextEdit::isReadOnly
    {97, 1356, 2615},	// Plasma::TextEdit::metaObject
    {97, 1376, 2637},	// Plasma::TextEdit::mousePressEvent#
    {97, 1393, 2630},	// Plasma::TextEdit::nativeWidget
    {97, 1491, 2621},	// Plasma::TextEdit::qt_metacall$$?
    {97, 1493, 2616},	// Plasma::TextEdit::qt_metacast$
    {97, 1591, 2634},	// Plasma::TextEdit::resizeEvent#
    {97, 1930, 2629},	// Plasma::TextEdit::setNativeWidget#
    {97, 1987, 2625},	// Plasma::TextEdit::setReadOnly$
    {97, 2057, 2627},	// Plasma::TextEdit::setStyleSheet$
    {97, 2089, 2623},	// Plasma::TextEdit::setText$
    {97, 2231, 2642},	// Plasma::TextEdit::staticMetaObject
    {97, 2244, 2628},	// Plasma::TextEdit::styleSheet
    {97, 2282, 2624},	// Plasma::TextEdit::text
    {97, 2284, 2633},	// Plasma::TextEdit::textChanged
    {97, 2313, 2639},	// Plasma::TextEdit::tr$
    {97, 2314, 2617},	// Plasma::TextEdit::tr$$
    {97, 2315, 2619},	// Plasma::TextEdit::tr$$$
    {97, 2317, 2640},	// Plasma::TextEdit::trUtf8$
    {97, 2318, 2618},	// Plasma::TextEdit::trUtf8$$
    {97, 2319, 2620},	// Plasma::TextEdit::trUtf8$$$
    {97, 2480, 2643},	// Plasma::TextEdit::~TextEdit
    {98, 53, 2696},	// Plasma::Theme::BackgroundColor
    {98, 70, 2698},	// Plasma::Theme::ButtonBackgroundColor
    {98, 72, 2702},	// Plasma::Theme::ButtonFocusColor
    {98, 73, 2701},	// Plasma::Theme::ButtonHoverColor
    {98, 77, 2697},	// Plasma::Theme::ButtonTextColor
    {98, 134, 2707},	// Plasma::Theme::DefaultFont
    {98, 142, 2708},	// Plasma::Theme::DesktopFont
    {98, 208, 2695},	// Plasma::Theme::HighlightColor
    {98, 303, 2699},	// Plasma::Theme::LinkColor
    {98, 455, 2709},	// Plasma::Theme::SmallestFont
    {98, 486, 2694},	// Plasma::Theme::TextColor
    {98, 489, 2688},	// Plasma::Theme::Theme
    {98, 490, 2652},	// Plasma::Theme::Theme#
    {98, 491, 2689},	// Plasma::Theme::Theme$
    {98, 492, 2653},	// Plasma::Theme::Theme$#
    {98, 536, 2704},	// Plasma::Theme::ViewBackgroundColor
    {98, 537, 2706},	// Plasma::Theme::ViewFocusColor
    {98, 538, 2705},	// Plasma::Theme::ViewHoverColor
    {98, 539, 2703},	// Plasma::Theme::ViewTextColor
    {98, 540, 2700},	// Plasma::Theme::VisitedLinkColor
    {98, 662, 2659},	// Plasma::Theme::animationPath$
    {98, 741, 2663},	// Plasma::Theme::color$
    {98, 742, 2662},	// Plasma::Theme::colorScheme
    {98, 834, 2661},	// Plasma::Theme::currentThemeHasImage$
    {98, 851, 2651},	// Plasma::Theme::defaultTheme
    {98, 982, 2672},	// Plasma::Theme::findInCache$#
    {98, 983, 2673},	// Plasma::Theme::findInCache$#$
    {98, 985, 2677},	// Plasma::Theme::findInRectsCache$$#
    {98, 1011, 2665},	// Plasma::Theme::font$
    {98, 1014, 2666},	// Plasma::Theme::fontMetrics
    {98, 1068, 2682},	// Plasma::Theme::homepage
    {98, 1086, 2658},	// Plasma::Theme::imagePath$
    {98, 1108, 2674},	// Plasma::Theme::insertIntoCache$#
    {98, 1109, 2675},	// Plasma::Theme::insertIntoCache$#$
    {98, 1111, 2679},	// Plasma::Theme::insertIntoRectsCache$$#
    {98, 1121, 2680},	// Plasma::Theme::invalidateRectsCache$
    {98, 1251, 2678},	// Plasma::Theme::listCachedRectKeys$
    {98, 1278, 2655},	// Plasma::Theme::listThemeInfo
    {98, 1356, 2644},	// Plasma::Theme::metaObject
    {98, 1420, 2654},	// Plasma::Theme::packageStructure
    {98, 1491, 2650},	// Plasma::Theme::qt_metacall$$?
    {98, 1493, 2645},	// Plasma::Theme::qt_metacast$
    {98, 1519, 2681},	// Plasma::Theme::releaseRectsCache$
    {98, 1715, 2676},	// Plasma::Theme::setCacheLimit$
    {98, 1826, 2691},	// Plasma::Theme::setFont#
    {98, 1827, 2664},	// Plasma::Theme::setFont#$
    {98, 2097, 2656},	// Plasma::Theme::setThemeName$
    {98, 2125, 2668},	// Plasma::Theme::setUseGlobalSettings$
    {98, 2167, 2685},	// Plasma::Theme::settingsChanged
    {98, 2231, 2693},	// Plasma::Theme::staticMetaObject
    {98, 2244, 2692},	// Plasma::Theme::styleSheet
    {98, 2245, 2671},	// Plasma::Theme::styleSheet$
    {98, 2290, 2684},	// Plasma::Theme::themeChanged
    {98, 2291, 2657},	// Plasma::Theme::themeName
    {98, 2308, 2683},	// Plasma::Theme::toolTipDelay
    {98, 2313, 2686},	// Plasma::Theme::tr$
    {98, 2314, 2646},	// Plasma::Theme::tr$$
    {98, 2315, 2648},	// Plasma::Theme::tr$$$
    {98, 2317, 2687},	// Plasma::Theme::trUtf8$
    {98, 2318, 2647},	// Plasma::Theme::trUtf8$$
    {98, 2319, 2649},	// Plasma::Theme::trUtf8$$$
    {98, 2361, 2669},	// Plasma::Theme::useGlobalSettings
    {98, 2362, 2670},	// Plasma::Theme::useNativeWidgetStyle
    {98, 2394, 2690},	// Plasma::Theme::wallpaperPath
    {98, 2395, 2660},	// Plasma::Theme::wallpaperPath#
    {98, 2406, 2667},	// Plasma::Theme::windowTranslucencyEnabled
    {98, 2481, 2710},	// Plasma::Theme::~Theme
    {99, 494, 2747},	// Plasma::ToolButton::ToolButton
    {99, 495, 2718},	// Plasma::ToolButton::ToolButton#
    {99, 562, 2731},	// Plasma::ToolButton::action
    {99, 695, 2720},	// Plasma::ToolButton::autoRaise
    {99, 716, 2742},	// Plasma::ToolButton::changeEvent#
    {99, 731, 2735},	// Plasma::ToolButton::clicked
    {99, 1074, 2740},	// Plasma::ToolButton::hoverEnterEvent#
    {99, 1076, 2741},	// Plasma::ToolButton::hoverLeaveEvent#
    {99, 1080, 2733},	// Plasma::ToolButton::icon
    {99, 1084, 2725},	// Plasma::ToolButton::image
    {99, 1135, 2727},	// Plasma::ToolButton::isDown
    {99, 1185, 2743},	// Plasma::ToolButton::itemChange$#
    {99, 1356, 2711},	// Plasma::ToolButton::metaObject
    {99, 1393, 2734},	// Plasma::ToolButton::nativeWidget
    {99, 1426, 2748},	// Plasma::ToolButton::paint##
    {99, 1427, 2738},	// Plasma::ToolButton::paint###
    {99, 1481, 2736},	// Plasma::ToolButton::pressed
    {99, 1491, 2717},	// Plasma::ToolButton::qt_metacall$$?
    {99, 1493, 2712},	// Plasma::ToolButton::qt_metacast$
    {99, 1521, 2737},	// Plasma::ToolButton::released
    {99, 1591, 2739},	// Plasma::ToolButton::resizeEvent#
    {99, 1665, 2730},	// Plasma::ToolButton::setAction#
    {99, 1701, 2719},	// Plasma::ToolButton::setAutoRaise$
    {99, 1792, 2726},	// Plasma::ToolButton::setDown$
    {99, 1865, 2732},	// Plasma::ToolButton::setIcon#
    {99, 1873, 2723},	// Plasma::ToolButton::setImage$
    {99, 1874, 2724},	// Plasma::ToolButton::setImage$$
    {99, 2057, 2728},	// Plasma::ToolButton::setStyleSheet$
    {99, 2089, 2721},	// Plasma::ToolButton::setText$
    {99, 2209, 2744},	// Plasma::ToolButton::sizeHint$#
    {99, 2231, 2749},	// Plasma::ToolButton::staticMetaObject
    {99, 2244, 2729},	// Plasma::ToolButton::styleSheet
    {99, 2282, 2722},	// Plasma::ToolButton::text
    {99, 2313, 2745},	// Plasma::ToolButton::tr$
    {99, 2314, 2713},	// Plasma::ToolButton::tr$$
    {99, 2315, 2715},	// Plasma::ToolButton::tr$$$
    {99, 2317, 2746},	// Plasma::ToolButton::trUtf8$
    {99, 2318, 2714},	// Plasma::ToolButton::trUtf8$$
    {99, 2319, 2716},	// Plasma::ToolButton::trUtf8$$$
    {99, 2482, 2750},	// Plasma::ToolButton::~ToolButton
    {100, 118, 2783},	// Plasma::ToolTipContent::CssResource
    {100, 211, 2782},	// Plasma::ToolTipContent::HtmlResource
    {100, 220, 2781},	// Plasma::ToolTipContent::ImageResource
    {100, 496, 2751},	// Plasma::ToolTipContent::ToolTipContent
    {100, 497, 2752},	// Plasma::ToolTipContent::ToolTipContent#
    {100, 498, 2780},	// Plasma::ToolTipContent::ToolTipContent$$
    {100, 499, -64},	// Plasma::ToolTipContent::ToolTipContent$$#
    {100, 620, 2774},	// Plasma::ToolTipContent::addResource$##
    {100, 696, 2771},	// Plasma::ToolTipContent::autohide
    {100, 1038, 2779},	// Plasma::ToolTipContent::graphicsWidget
    {100, 1067, 2769},	// Plasma::ToolTipContent::highlightWindows
    {100, 1084, 2763},	// Plasma::ToolTipContent::image
    {100, 1131, 2777},	// Plasma::ToolTipContent::isClickable
    {100, 1136, 2756},	// Plasma::ToolTipContent::isEmpty
    {100, 1142, 2773},	// Plasma::ToolTipContent::isInstantPopup
    {100, 1330, 2758},	// Plasma::ToolTipContent::mainText
    {100, 1414, 2755},	// Plasma::ToolTipContent::operator=#
    {100, 1513, 2775},	// Plasma::ToolTipContent::registerResources#
    {100, 1703, 2770},	// Plasma::ToolTipContent::setAutohide$
    {100, 1727, 2776},	// Plasma::ToolTipContent::setClickable$
    {100, 1839, 2778},	// Plasma::ToolTipContent::setGraphicsWidget#
    {100, 1850, 2768},	// Plasma::ToolTipContent::setHighlightWindows$
    {100, 1872, -67},	// Plasma::ToolTipContent::setImage#
    {100, 1886, 2772},	// Plasma::ToolTipContent::setInstantPopup$
    {100, 1905, 2757},	// Plasma::ToolTipContent::setMainText$
    {100, 2059, 2759},	// Plasma::ToolTipContent::setSubText$
    {100, 2160, 2764},	// Plasma::ToolTipContent::setWindowToPreview$
    {100, 2162, 2766},	// Plasma::ToolTipContent::setWindowsToPreview?
    {100, 2246, 2760},	// Plasma::ToolTipContent::subText
    {100, 2405, 2765},	// Plasma::ToolTipContent::windowToPreview
    {100, 2407, 2767},	// Plasma::ToolTipContent::windowsToPreview
    {100, 2483, 2784},	// Plasma::ToolTipContent::~ToolTipContent
    {101, 17, 2807},	// Plasma::ToolTipManager::Activated
    {101, 130, 2809},	// Plasma::ToolTipManager::Deactivated
    {101, 224, 2808},	// Plasma::ToolTipManager::Inhibited
    {101, 728, 2799},	// Plasma::ToolTipManager::clearContent#
    {101, 1062, 2795},	// Plasma::ToolTipManager::hide#
    {101, 1171, 2794},	// Plasma::ToolTipManager::isVisible#
    {101, 1237, 2803},	// Plasma::ToolTipManager::linkActivated$$$#
    {101, 1356, 2785},	// Plasma::ToolTipManager::metaObject
    {101, 1491, 2791},	// Plasma::ToolTipManager::qt_metacall$$?
    {101, 1493, 2786},	// Plasma::ToolTipManager::qt_metacast$
    {101, 1517, 2796},	// Plasma::ToolTipManager::registerWidget#
    {101, 1652, 2792},	// Plasma::ToolTipManager::self
    {101, 1746, 2798},	// Plasma::ToolTipManager::setContent##
    {101, 2050, 2800},	// Plasma::ToolTipManager::setState$
    {101, 2173, 2793},	// Plasma::ToolTipManager::show#
    {101, 2230, 2801},	// Plasma::ToolTipManager::state
    {101, 2231, 2806},	// Plasma::ToolTipManager::staticMetaObject
    {101, 2313, 2804},	// Plasma::ToolTipManager::tr$
    {101, 2314, 2787},	// Plasma::ToolTipManager::tr$$
    {101, 2315, 2789},	// Plasma::ToolTipManager::tr$$$
    {101, 2317, 2805},	// Plasma::ToolTipManager::trUtf8$
    {101, 2318, 2788},	// Plasma::ToolTipManager::trUtf8$$
    {101, 2319, 2790},	// Plasma::ToolTipManager::trUtf8$$$
    {101, 2336, 2797},	// Plasma::ToolTipManager::unregisterWidget#
    {101, 2404, 2802},	// Plasma::ToolTipManager::windowPreviewActivated$$$#
    {102, 509, 2825},	// Plasma::TreeView::TreeView
    {102, 510, 2817},	// Plasma::TreeView::TreeView#
    {102, 1356, 2810},	// Plasma::TreeView::metaObject
    {102, 1370, 2819},	// Plasma::TreeView::model
    {102, 1393, 2822},	// Plasma::TreeView::nativeWidget
    {102, 1491, 2816},	// Plasma::TreeView::qt_metacall$$?
    {102, 1493, 2811},	// Plasma::TreeView::qt_metacast$
    {102, 1925, 2818},	// Plasma::TreeView::setModel#
    {102, 2057, 2820},	// Plasma::TreeView::setStyleSheet$
    {102, 2231, 2826},	// Plasma::TreeView::staticMetaObject
    {102, 2244, 2821},	// Plasma::TreeView::styleSheet
    {102, 2313, 2823},	// Plasma::TreeView::tr$
    {102, 2314, 2812},	// Plasma::TreeView::tr$$
    {102, 2315, 2814},	// Plasma::TreeView::tr$$$
    {102, 2317, 2824},	// Plasma::TreeView::trUtf8$
    {102, 2318, 2813},	// Plasma::TreeView::trUtf8$$
    {102, 2319, 2815},	// Plasma::TreeView::trUtf8$$$
    {102, 2484, 2827},	// Plasma::TreeView::~TreeView
    {103, 133, 2878},	// Plasma::VideoWidget::DefaultControls
    {103, 322, 2874},	// Plasma::VideoWidget::Next
    {103, 333, 2868},	// Plasma::VideoWidget::NoControls
    {103, 349, 2877},	// Plasma::VideoWidget::OpenFile
    {103, 365, 2870},	// Plasma::VideoWidget::Pause
    {103, 374, 2869},	// Plasma::VideoWidget::Play
    {103, 375, 2872},	// Plasma::VideoWidget::PlayPause
    {103, 382, 2873},	// Plasma::VideoWidget::Previous
    {103, 383, 2875},	// Plasma::VideoWidget::Progress
    {103, 464, 2871},	// Plasma::VideoWidget::Stop
    {103, 529, 2866},	// Plasma::VideoWidget::VideoWidget
    {103, 530, 2835},	// Plasma::VideoWidget::VideoWidget#
    {103, 541, 2876},	// Plasma::VideoWidget::Volume
    {103, 556, 2857},	// Plasma::VideoWidget::aboutToFinish
    {103, 689, 2839},	// Plasma::VideoWidget::audioOutput
    {103, 802, 2846},	// Plasma::VideoWidget::controlsVisible
    {103, 835, 2840},	// Plasma::VideoWidget::currentTime
    {103, 1074, 2861},	// Plasma::VideoWidget::hoverEnterEvent#
    {103, 1076, 2862},	// Plasma::VideoWidget::hoverLeaveEvent#
    {103, 1078, 2863},	// Plasma::VideoWidget::hoverMoveEvent#
    {103, 1353, 2838},	// Plasma::VideoWidget::mediaObject
    {103, 1356, 2828},	// Plasma::VideoWidget::metaObject
    {103, 1393, 2851},	// Plasma::VideoWidget::nativeWidget
    {103, 1399, 2858},	// Plasma::VideoWidget::nextRequested
    {103, 1454, 2853},	// Plasma::VideoWidget::pause
    {103, 1461, 2852},	// Plasma::VideoWidget::play
    {103, 1483, 2859},	// Plasma::VideoWidget::previousRequested
    {103, 1491, 2834},	// Plasma::VideoWidget::qt_metacall$$?
    {103, 1493, 2829},	// Plasma::VideoWidget::qt_metacast$
    {103, 1525, 2842},	// Plasma::VideoWidget::remainingTime
    {103, 1591, 2860},	// Plasma::VideoWidget::resizeEvent#
    {103, 1650, 2855},	// Plasma::VideoWidget::seek$
    {103, 1756, 2845},	// Plasma::VideoWidget::setControlsVisible$
    {103, 2057, 2849},	// Plasma::VideoWidget::setStyleSheet$
    {103, 2101, 2847},	// Plasma::VideoWidget::setTickInterval$
    {103, 2119, 2836},	// Plasma::VideoWidget::setUrl$
    {103, 2127, 2843},	// Plasma::VideoWidget::setUsedControls$
    {103, 2231, 2867},	// Plasma::VideoWidget::staticMetaObject
    {103, 2233, 2854},	// Plasma::VideoWidget::stop
    {103, 2244, 2850},	// Plasma::VideoWidget::styleSheet
    {103, 2294, 2856},	// Plasma::VideoWidget::tick$
    {103, 2295, 2848},	// Plasma::VideoWidget::tickInterval
    {103, 2311, 2841},	// Plasma::VideoWidget::totalTime
    {103, 2313, 2864},	// Plasma::VideoWidget::tr$
    {103, 2314, 2830},	// Plasma::VideoWidget::tr$$
    {103, 2315, 2832},	// Plasma::VideoWidget::tr$$$
    {103, 2317, 2865},	// Plasma::VideoWidget::trUtf8$
    {103, 2318, 2831},	// Plasma::VideoWidget::trUtf8$$
    {103, 2319, 2833},	// Plasma::VideoWidget::trUtf8$$$
    {103, 2354, 2837},	// Plasma::VideoWidget::url
    {103, 2363, 2844},	// Plasma::VideoWidget::usedControls
    {103, 2485, 2879},	// Plasma::VideoWidget::~VideoWidget
    {104, 532, 2910},	// Plasma::View::View#
    {104, 533, 2887},	// Plasma::View::View##
    {104, 534, 2911},	// Plasma::View::View#$
    {104, 535, 2888},	// Plasma::View::View#$#
    {104, 743, 2906},	// Plasma::View::config
    {104, 746, 2907},	// Plasma::View::configNeedsSaving
    {104, 770, 2895},	// Plasma::View::containment
    {104, 855, 2893},	// Plasma::View::desktop
    {104, 917, 2894},	// Plasma::View::effectiveDesktop
    {104, 1082, 2901},	// Plasma::View::id
    {104, 1172, 2890},	// Plasma::View::isWallpaperEnabled
    {104, 1326, 2904},	// Plasma::View::lostContainment
    {104, 1356, 2880},	// Plasma::View::metaObject
    {104, 1491, 2886},	// Plasma::View::qt_metacall$$?
    {104, 1493, 2881},	// Plasma::View::qt_metacast$
    {104, 1629, 2902},	// Plasma::View::sceneRectAboutToChange
    {104, 1630, 2903},	// Plasma::View::sceneRectChanged
    {104, 1632, 2892},	// Plasma::View::screen
    {104, 1736, 2905},	// Plasma::View::setContainment#
    {104, 2013, 2912},	// Plasma::View::setScreen$
    {104, 2014, 2891},	// Plasma::View::setScreen$$
    {104, 2109, 2898},	// Plasma::View::setTrackContainmentChanges$
    {104, 2154, 2889},	// Plasma::View::setWallpaperEnabled$
    {104, 2231, 2915},	// Plasma::View::staticMetaObject
    {104, 2257, 2913},	// Plasma::View::swapContainment#$
    {104, 2258, 2896},	// Plasma::View::swapContainment#$?
    {104, 2259, 2914},	// Plasma::View::swapContainment$
    {104, 2260, 2897},	// Plasma::View::swapContainment$?
    {104, 2310, 2900},	// Plasma::View::topLevelViewAt#
    {104, 2313, 2908},	// Plasma::View::tr$
    {104, 2314, 2882},	// Plasma::View::tr$$
    {104, 2315, 2884},	// Plasma::View::tr$$$
    {104, 2317, 2909},	// Plasma::View::trUtf8$
    {104, 2318, 2883},	// Plasma::View::trUtf8$$
    {104, 2319, 2885},	// Plasma::View::trUtf8$$$
    {104, 2320, 2899},	// Plasma::View::trackContainmentChanges
    {104, 2486, 2916},	// Plasma::View::~View
    {105, 84, 3000},	// Plasma::Wallpaper::CenterTiledResize
    {105, 85, 2997},	// Plasma::Wallpaper::CenteredResize
    {105, 291, 3002},	// Plasma::Wallpaper::LastResizeMethod
    {105, 308, 3001},	// Plasma::Wallpaper::MaxpectResize
    {105, 422, 2998},	// Plasma::Wallpaper::ScaledAndCroppedResize
    {105, 423, 2996},	// Plasma::Wallpaper::ScaledResize
    {105, 493, 2999},	// Plasma::Wallpaper::TiledResize
    {105, 542, 2981},	// Plasma::Wallpaper::Wallpaper
    {105, 543, 2924},	// Plasma::Wallpaper::Wallpaper#
    {105, 544, 2969},	// Plasma::Wallpaper::Wallpaper#?
    {105, 643, 2968},	// Plasma::Wallpaper::addUrls?
    {105, 709, 2940},	// Plasma::Wallpaper::boundingRect
    {105, 746, 2964},	// Plasma::Wallpaper::configNeedsSaving
    {105, 750, 2951},	// Plasma::Wallpaper::configurationRequired
    {105, 751, 2963},	// Plasma::Wallpaper::configurationRequired$
    {105, 752, 2962},	// Plasma::Wallpaper::configureRequested
    {105, 794, 2994},	// Plasma::Wallpaper::contextActions
    {105, 801, 2957},	// Plasma::Wallpaper::contextualActions
    {105, 811, 2945},	// Plasma::Wallpaper::createConfigurationInterface#
    {105, 845, 2950},	// Plasma::Wallpaper::dataEngine$
    {105, 982, 2992},	// Plasma::Wallpaper::findInCache$#
    {105, 983, 2975},	// Plasma::Wallpaper::findInCache$#$
    {105, 1080, 2934},	// Plasma::Wallpaper::icon
    {105, 1097, 2970},	// Plasma::Wallpaper::init#
    {105, 1108, 2976},	// Plasma::Wallpaper::insertIntoCache$#
    {105, 1141, 2939},	// Plasma::Wallpaper::isInitialized
    {105, 1151, 2958},	// Plasma::Wallpaper::isPreviewing
    {105, 1168, 2952},	// Plasma::Wallpaper::isUsingRenderingCache
    {105, 1275, 2938},	// Plasma::Wallpaper::listRenderingModes
    {105, 1281, 2982},	// Plasma::Wallpaper::listWallpaperInfo
    {105, 1282, 2926},	// Plasma::Wallpaper::listWallpaperInfo$
    {105, 1284, 2983},	// Plasma::Wallpaper::listWallpaperInfoForMimetype$
    {105, 1285, 2927},	// Plasma::Wallpaper::listWallpaperInfoForMimetype$$
    {105, 1287, 2985},	// Plasma::Wallpaper::load#
    {105, 1292, 2929},	// Plasma::Wallpaper::load#?
    {105, 1293, 2984},	// Plasma::Wallpaper::load$
    {105, 1297, 2928},	// Plasma::Wallpaper::load$?
    {105, 1356, 2917},	// Plasma::Wallpaper::metaObject
    {105, 1374, 2946},	// Plasma::Wallpaper::mouseMoveEvent#
    {105, 1376, 2947},	// Plasma::Wallpaper::mousePressEvent#
    {105, 1378, 2948},	// Plasma::Wallpaper::mouseReleaseEvent#
    {105, 1391, 2931},	// Plasma::Wallpaper::name
    {105, 1394, 2960},	// Plasma::Wallpaper::needsPreviewDuringConfiguration
    {105, 1419, 2932},	// Plasma::Wallpaper::package
    {105, 1420, 2986},	// Plasma::Wallpaper::packageStructure
    {105, 1421, 2930},	// Plasma::Wallpaper::packageStructure#
    {105, 1426, 2942},	// Plasma::Wallpaper::paint##
    {105, 1463, 2933},	// Plasma::Wallpaper::pluginName
    {105, 1491, 2923},	// Plasma::Wallpaper::qt_metacall$$?
    {105, 1493, 2918},	// Plasma::Wallpaper::qt_metacast$
    {105, 1565, 2990},	// Plasma::Wallpaper::render##
    {105, 1566, 2991},	// Plasma::Wallpaper::render##$
    {105, 1567, 2973},	// Plasma::Wallpaper::render##$#
    {105, 1568, 2988},	// Plasma::Wallpaper::render$#
    {105, 1569, 2989},	// Plasma::Wallpaper::render$#$
    {105, 1570, 2972},	// Plasma::Wallpaper::render$#$#
    {105, 1572, 2965},	// Plasma::Wallpaper::renderCompleted#
    {105, 1573, 2967},	// Plasma::Wallpaper::renderHintsChanged
    {105, 1574, 2935},	// Plasma::Wallpaper::renderingMode
    {105, 1594, 2954},	// Plasma::Wallpaper::resizeMethodHint
    {105, 1596, 2943},	// Plasma::Wallpaper::restore#
    {105, 1614, 2944},	// Plasma::Wallpaper::save#
    {105, 1709, 2941},	// Plasma::Wallpaper::setBoundingRect#
    {105, 1733, 2987},	// Plasma::Wallpaper::setConfigurationRequired$
    {105, 1734, 2971},	// Plasma::Wallpaper::setConfigurationRequired$$
    {105, 1752, 2995},	// Plasma::Wallpaper::setContextActions?
    {105, 1754, 2977},	// Plasma::Wallpaper::setContextualActions?
    {105, 1977, 2978},	// Plasma::Wallpaper::setPreviewDuringConfiguration$
    {105, 1979, 2959},	// Plasma::Wallpaper::setPreviewing$
    {105, 1993, 2937},	// Plasma::Wallpaper::setRenderingMode$
    {105, 2003, 2953},	// Plasma::Wallpaper::setResizeMethodHint$
    {105, 2083, 2955},	// Plasma::Wallpaper::setTargetSizeHint#
    {105, 2121, 2925},	// Plasma::Wallpaper::setUrls?
    {105, 2129, 2974},	// Plasma::Wallpaper::setUsingRenderingCache$
    {105, 2231, 2993},	// Plasma::Wallpaper::staticMetaObject
    {105, 2251, 2936},	// Plasma::Wallpaper::supportsMimetype$
    {105, 2278, 2956},	// Plasma::Wallpaper::targetSizeHint
    {105, 2313, 2979},	// Plasma::Wallpaper::tr$
    {105, 2314, 2919},	// Plasma::Wallpaper::tr$$
    {105, 2315, 2921},	// Plasma::Wallpaper::tr$$$
    {105, 2317, 2980},	// Plasma::Wallpaper::trUtf8$
    {105, 2318, 2920},	// Plasma::Wallpaper::trUtf8$$
    {105, 2319, 2922},	// Plasma::Wallpaper::trUtf8$$$
    {105, 2338, 2961},	// Plasma::Wallpaper::update#
    {105, 2358, 2966},	// Plasma::Wallpaper::urlDropped#
    {105, 2398, 2949},	// Plasma::Wallpaper::wheelEvent#
    {105, 2487, 3003},	// Plasma::Wallpaper::~Wallpaper
    {106, 546, 3043},	// Plasma::WallpaperScript::WallpaperScript
    {106, 547, 3011},	// Plasma::WallpaperScript::WallpaperScript#
    {106, 709, 3027},	// Plasma::WallpaperScript::boundingRect
    {106, 746, 3038},	// Plasma::WallpaperScript::configNeedsSaving
    {106, 811, 3017},	// Plasma::WallpaperScript::createConfigurationInterface#
    {106, 845, 3028},	// Plasma::WallpaperScript::dataEngine$
    {106, 854, 3025},	// Plasma::WallpaperScript::description
    {106, 982, 3047},	// Plasma::WallpaperScript::findInCache$#
    {106, 983, 3034},	// Plasma::WallpaperScript::findInCache$#$
    {106, 1102, 3014},	// Plasma::WallpaperScript::initWallpaper#
    {106, 1108, 3035},	// Plasma::WallpaperScript::insertIntoCache$#
    {106, 1141, 3026},	// Plasma::WallpaperScript::isInitialized
    {106, 1329, 3023},	// Plasma::WallpaperScript::mainScript
    {106, 1356, 3004},	// Plasma::WallpaperScript::metaObject
    {106, 1374, 3018},	// Plasma::WallpaperScript::mouseMoveEvent#
    {106, 1376, 3019},	// Plasma::WallpaperScript::mousePressEvent#
    {106, 1378, 3020},	// Plasma::WallpaperScript::mouseReleaseEvent#
    {106, 1419, 3024},	// Plasma::WallpaperScript::package
    {106, 1426, 3015},	// Plasma::WallpaperScript::paint##
    {106, 1491, 3010},	// Plasma::WallpaperScript::qt_metacall$$?
    {106, 1493, 3005},	// Plasma::WallpaperScript::qt_metacast$
    {106, 1568, 3045},	// Plasma::WallpaperScript::render$#
    {106, 1569, 3046},	// Plasma::WallpaperScript::render$#$
    {106, 1570, 3032},	// Plasma::WallpaperScript::render$#$#
    {106, 1572, 3039},	// Plasma::WallpaperScript::renderCompleted#
    {106, 1614, 3016},	// Plasma::WallpaperScript::save#
    {106, 1733, 3044},	// Plasma::WallpaperScript::setConfigurationRequired$
    {106, 1734, 3031},	// Plasma::WallpaperScript::setConfigurationRequired$$
    {106, 1754, 3036},	// Plasma::WallpaperScript::setContextualActions?
    {106, 2003, 3029},	// Plasma::WallpaperScript::setResizeMethodHint$
    {106, 2083, 3030},	// Plasma::WallpaperScript::setTargetSizeHint#
    {106, 2121, 3022},	// Plasma::WallpaperScript::setUrls?
    {106, 2129, 3033},	// Plasma::WallpaperScript::setUsingRenderingCache$
    {106, 2150, 3012},	// Plasma::WallpaperScript::setWallpaper#
    {106, 2231, 3048},	// Plasma::WallpaperScript::staticMetaObject
    {106, 2313, 3041},	// Plasma::WallpaperScript::tr$
    {106, 2314, 3006},	// Plasma::WallpaperScript::tr$$
    {106, 2315, 3008},	// Plasma::WallpaperScript::tr$$$
    {106, 2317, 3042},	// Plasma::WallpaperScript::trUtf8$
    {106, 2318, 3007},	// Plasma::WallpaperScript::trUtf8$$
    {106, 2319, 3009},	// Plasma::WallpaperScript::trUtf8$$$
    {106, 2338, 3037},	// Plasma::WallpaperScript::update#
    {106, 2358, 3040},	// Plasma::WallpaperScript::urlDropped#
    {106, 2393, 3013},	// Plasma::WallpaperScript::wallpaper
    {106, 2398, 3021},	// Plasma::WallpaperScript::wheelEvent#
    {106, 2488, 3049},	// Plasma::WallpaperScript::~WallpaperScript
    {107, 549, 3103},	// Plasma::WebView::WebView
    {107, 550, 3057},	// Plasma::WebView::WebView#
    {107, 700, 3076},	// Plasma::WebView::back
    {107, 792, 3064},	// Plasma::WebView::contentsSize
    {107, 800, 3089},	// Plasma::WebView::contextMenuEvent#
    {107, 882, 3095},	// Plasma::WebView::dragEnterEvent#
    {107, 884, 3096},	// Plasma::WebView::dragLeaveEvent#
    {107, 886, 3097},	// Plasma::WebView::dragMoveEvent#
    {107, 887, 3074},	// Plasma::WebView::dragToScroll
    {107, 912, 3098},	// Plasma::WebView::dropEvent#
    {107, 1004, 3093},	// Plasma::WebView::focusInEvent#
    {107, 1008, 3094},	// Plasma::WebView::focusOutEvent#
    {107, 1018, 3077},	// Plasma::WebView::forward
    {107, 1024, 3063},	// Plasma::WebView::geometry
    {107, 1078, 3085},	// Plasma::WebView::hoverMoveEvent#
    {107, 1079, 3061},	// Plasma::WebView::html
    {107, 1185, 3099},	// Plasma::WebView::itemChange$#
    {107, 1204, 3091},	// Plasma::WebView::keyPressEvent#
    {107, 1206, 3092},	// Plasma::WebView::keyReleaseEvent#
    {107, 1305, 3081},	// Plasma::WebView::loadFinished$
    {107, 1313, 3080},	// Plasma::WebView::loadProgress$
    {107, 1328, 3072},	// Plasma::WebView::mainFrame
    {107, 1356, 3050},	// Plasma::WebView::metaObject
    {107, 1372, 3087},	// Plasma::WebView::mouseDoubleClickEvent#
    {107, 1374, 3084},	// Plasma::WebView::mouseMoveEvent#
    {107, 1376, 3086},	// Plasma::WebView::mousePressEvent#
    {107, 1378, 3088},	// Plasma::WebView::mouseReleaseEvent#
    {107, 1423, 3071},	// Plasma::WebView::page
    {107, 1426, 3106},	// Plasma::WebView::paint##
    {107, 1427, 3083},	// Plasma::WebView::paint###
    {107, 1491, 3056},	// Plasma::WebView::qt_metacall$$?
    {107, 1493, 3051},	// Plasma::WebView::qt_metacast$
    {107, 1523, 3078},	// Plasma::WebView::reload
    {107, 1641, 3066},	// Plasma::WebView::scrollPosition
    {107, 1794, 3073},	// Plasma::WebView::setDragToScroll$
    {107, 1835, 3075},	// Plasma::WebView::setGeometry#
    {107, 1860, 3104},	// Plasma::WebView::setHtml#
    {107, 1861, 3060},	// Plasma::WebView::setHtml##
    {107, 1862, 3105},	// Plasma::WebView::setHtml$
    {107, 1863, 3062},	// Plasma::WebView::setHtml$#
    {107, 1948, 3070},	// Plasma::WebView::setPage#
    {107, 2016, 3065},	// Plasma::WebView::setScrollPosition#
    {107, 2118, 3058},	// Plasma::WebView::setUrl#
    {107, 2166, 3069},	// Plasma::WebView::setZoomFactor$
    {107, 2209, 3100},	// Plasma::WebView::sizeHint$#
    {107, 2231, 3107},	// Plasma::WebView::staticMetaObject
    {107, 2233, 3079},	// Plasma::WebView::stop
    {107, 2313, 3101},	// Plasma::WebView::tr$
    {107, 2314, 3052},	// Plasma::WebView::tr$$
    {107, 2315, 3054},	// Plasma::WebView::tr$$$
    {107, 2317, 3102},	// Plasma::WebView::trUtf8$
    {107, 2318, 3053},	// Plasma::WebView::trUtf8$$
    {107, 2319, 3055},	// Plasma::WebView::trUtf8$$$
    {107, 2354, 3059},	// Plasma::WebView::url
    {107, 2356, 3082},	// Plasma::WebView::urlChanged#
    {107, 2386, 3067},	// Plasma::WebView::viewportGeometry
    {107, 2398, 3090},	// Plasma::WebView::wheelEvent#
    {107, 2414, 3068},	// Plasma::WebView::zoomFactor
    {107, 2489, 3108},	// Plasma::WebView::~WebView
    {131, 387, 3124},	// QGlobalSpace::Q_COMPLEX_TYPE
    {131, 388, 3128},	// QGlobalSpace::Q_DUMMY_TYPE
    {131, 389, 3127},	// QGlobalSpace::Q_MOVABLE_TYPE
    {131, 390, 3125},	// QGlobalSpace::Q_PRIMITIVE_TYPE
    {131, 391, 3126},	// QGlobalSpace::Q_STATIC_TYPE
};

}

extern "C" {

SMOKE_IMPORT void init_kdecore_Smoke();
SMOKE_IMPORT void init_kdeui_Smoke();

static bool initialized = false;
Smoke *plasma_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_plasma_Smoke() {
    init_kdecore_Smoke();
    init_kdeui_Smoke();
    if (initialized) return;
    plasma_Smoke = new Smoke(
        "plasma",
        __smokeplasma::classes, 198,
        __smokeplasma::methods, 3342,
        __smokeplasma::methodMaps, 3068,
        __smokeplasma::methodNames, 2489,
        __smokeplasma::types, 486,
        __smokeplasma::inheritanceList,
        __smokeplasma::argumentList,
        __smokeplasma::ambiguousMethodList,
        __smokeplasma::cast );
    initialized = true;
}

void delete_plasma_Smoke() { delete plasma_Smoke; }

}
